#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 3123
#define LARGE_STATE_COUNT 1182
#define SYMBOL_COUNT 650
#define ALIAS_COUNT 0
#define TOKEN_COUNT 318
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 1
#define MAX_ALIAS_SEQUENCE_LENGTH 6
#define PRODUCTION_ID_COUNT 2

enum ts_symbol_identifiers {
  sym_bookcode = 1,
  aux_sym_text_token1 = 2,
  sym__spaceOrLine = 3,
  anon_sym_BSLASHid = 4,
  sym_numberedLevelMax3 = 5,
  sym_numberedLevelMax4 = 6,
  sym_numberedLevelMax5 = 7,
  sym_versionNumber = 8,
  anon_sym_BSLASHusfm = 9,
  anon_sym_BSLASHide = 10,
  anon_sym_BSLASHref = 11,
  anon_sym_BSLASHref_STAR = 12,
  anon_sym_BSLASHh = 13,
  anon_sym_SPACE = 14,
  anon_sym_BSLASHtoc = 15,
  anon_sym_BSLASHtoca = 16,
  anon_sym_BSLASHsts = 17,
  anon_sym_BSLASHrem = 18,
  anon_sym_BSLASHrestore = 19,
  anon_sym_BSLASHlit = 20,
  anon_sym_BSLASHiqt = 21,
  anon_sym_BSLASHiqt_STAR = 22,
  anon_sym_BSLASHimt = 23,
  anon_sym_BSLASHimte = 24,
  aux_sym_imteTag_token1 = 25,
  anon_sym_BSLASHis = 26,
  anon_sym_BSLASHio = 27,
  anon_sym_BSLASHior = 28,
  anon_sym_BSLASHior_STAR = 29,
  anon_sym_BSLASHiot = 30,
  anon_sym_BSLASHip = 31,
  anon_sym_BSLASHim = 32,
  anon_sym_BSLASHipi = 33,
  anon_sym_BSLASHimi = 34,
  anon_sym_BSLASHili = 35,
  anon_sym_BSLASHipq = 36,
  anon_sym_BSLASHimq = 37,
  anon_sym_BSLASHipr = 38,
  anon_sym_BSLASHib = 39,
  anon_sym_BSLASHiq = 40,
  anon_sym_BSLASHie = 41,
  anon_sym_BSLASHiex = 42,
  anon_sym_BSLASHv = 43,
  sym_verseNumber = 44,
  anon_sym_BSLASHva = 45,
  anon_sym_BSLASHva_STAR = 46,
  anon_sym_BSLASHvp = 47,
  anon_sym_BSLASHvp_STAR = 48,
  anon_sym_BSLASHc = 49,
  sym_chapterNumber = 50,
  anon_sym_BSLASHcl = 51,
  anon_sym_BSLASHca = 52,
  anon_sym_BSLASHca_STAR = 53,
  anon_sym_BSLASHcp = 54,
  anon_sym_BSLASHcd = 55,
  anon_sym_BSLASHmt = 56,
  anon_sym_BSLASHmte = 57,
  anon_sym_BSLASHms = 58,
  anon_sym_BSLASHmr = 59,
  anon_sym_BSLASHs = 60,
  anon_sym_BSLASHsr = 61,
  anon_sym_BSLASHr = 62,
  anon_sym_BSLASHsp = 63,
  anon_sym_BSLASHd = 64,
  anon_sym_BSLASHsd = 65,
  anon_sym_BSLASHp = 66,
  anon_sym_BSLASHm = 67,
  anon_sym_BSLASHpo = 68,
  anon_sym_BSLASHpr = 69,
  anon_sym_BSLASHcls = 70,
  anon_sym_BSLASHpmo = 71,
  anon_sym_BSLASHpm = 72,
  anon_sym_BSLASHpmc = 73,
  anon_sym_BSLASHpmr = 74,
  anon_sym_BSLASHpi = 75,
  anon_sym_BSLASHmi = 76,
  anon_sym_BSLASHnb = 77,
  anon_sym_BSLASHpc = 78,
  anon_sym_BSLASHph = 79,
  anon_sym_BSLASHphi = 80,
  anon_sym_BSLASHb = 81,
  anon_sym_BSLASHq = 82,
  anon_sym_BSLASHqr = 83,
  anon_sym_BSLASHqc = 84,
  anon_sym_BSLASHqs = 85,
  anon_sym_BSLASHqs_STAR = 86,
  anon_sym_BSLASHqa = 87,
  anon_sym_BSLASHqac = 88,
  anon_sym_BSLASHqac_STAR = 89,
  anon_sym_BSLASHqm = 90,
  anon_sym_BSLASHqd = 91,
  anon_sym_BSLASHlh = 92,
  anon_sym_BSLASHlf = 93,
  anon_sym_BSLASHli = 94,
  anon_sym_BSLASHlim = 95,
  anon_sym_STAR = 96,
  anon_sym_BSLASHliv = 97,
  anon_sym_BSLASHlik = 98,
  anon_sym_BSLASHlik_STAR = 99,
  anon_sym_BSLASHlitl = 100,
  anon_sym_BSLASHlitl_STAR = 101,
  anon_sym_BSLASHtr = 102,
  sym_thTag = 103,
  sym_thrTag = 104,
  sym_tcTag = 105,
  sym_tcrTag = 106,
  sym_caller = 107,
  anon_sym_BSLASHf = 108,
  anon_sym_BSLASHf_STAR = 109,
  anon_sym_BSLASHfe = 110,
  anon_sym_BSLASHfe_STAR = 111,
  anon_sym_BSLASHef = 112,
  anon_sym_BSLASHef_STAR = 113,
  anon_sym_BSLASHfr = 114,
  anon_sym_BSLASHfr_STAR = 115,
  anon_sym_BSLASHfq = 116,
  anon_sym_BSLASHfq_STAR = 117,
  anon_sym_BSLASHfqa = 118,
  anon_sym_BSLASHfqa_STAR = 119,
  anon_sym_BSLASHfk = 120,
  anon_sym_BSLASHfk_STAR = 121,
  anon_sym_BSLASHfl = 122,
  anon_sym_BSLASHfl_STAR = 123,
  anon_sym_BSLASHfw = 124,
  anon_sym_BSLASHfw_STAR = 125,
  anon_sym_BSLASHfp = 126,
  anon_sym_BSLASHfp_STAR = 127,
  anon_sym_BSLASHft = 128,
  anon_sym_BSLASHft_STAR = 129,
  anon_sym_BSLASHfdc = 130,
  anon_sym_BSLASHfdc_STAR = 131,
  anon_sym_BSLASHfv = 132,
  anon_sym_BSLASHfv_STAR = 133,
  anon_sym_BSLASHfm = 134,
  anon_sym_BSLASHfm_STAR = 135,
  anon_sym_BSLASHx = 136,
  anon_sym_BSLASHx_STAR = 137,
  anon_sym_BSLASHxo = 138,
  anon_sym_BSLASHxo_STAR = 139,
  anon_sym_BSLASHxk = 140,
  anon_sym_BSLASHxk_STAR = 141,
  anon_sym_BSLASHxq = 142,
  anon_sym_BSLASHxq_STAR = 143,
  anon_sym_BSLASHxt = 144,
  anon_sym_BSLASHxt_STAR = 145,
  anon_sym_BSLASH_PLUSxt = 146,
  anon_sym_BSLASH_PLUSxt_STAR = 147,
  anon_sym_BSLASHxta = 148,
  anon_sym_BSLASHxta_STAR = 149,
  anon_sym_BSLASHxop = 150,
  anon_sym_BSLASHxop_STAR = 151,
  anon_sym_BSLASHxot = 152,
  anon_sym_BSLASHxot_STAR = 153,
  anon_sym_BSLASHxnt = 154,
  anon_sym_BSLASHxnt_STAR = 155,
  anon_sym_BSLASHxdc = 156,
  anon_sym_BSLASHxdc_STAR = 157,
  anon_sym_BSLASHrq = 158,
  anon_sym_BSLASHrq_STAR = 159,
  anon_sym_BSLASHadd = 160,
  anon_sym_BSLASHadd_STAR = 161,
  anon_sym_BSLASHbk = 162,
  anon_sym_BSLASHbk_STAR = 163,
  anon_sym_BSLASHdc = 164,
  anon_sym_BSLASHdc_STAR = 165,
  anon_sym_BSLASHk = 166,
  anon_sym_BSLASHk_STAR = 167,
  anon_sym_BSLASHnd = 168,
  anon_sym_BSLASHnd_STAR = 169,
  anon_sym_BSLASHord = 170,
  anon_sym_BSLASHord_STAR = 171,
  anon_sym_BSLASHpn = 172,
  anon_sym_BSLASHpn_STAR = 173,
  anon_sym_BSLASHpng = 174,
  anon_sym_BSLASHpng_STAR = 175,
  anon_sym_BSLASHaddpn = 176,
  anon_sym_BSLASHaddpn_STAR = 177,
  anon_sym_BSLASHqt = 178,
  anon_sym_BSLASHqt_STAR = 179,
  anon_sym_BSLASHsig = 180,
  anon_sym_BSLASHsig_STAR = 181,
  anon_sym_BSLASHsls = 182,
  anon_sym_BSLASHsls_STAR = 183,
  anon_sym_BSLASHtl = 184,
  anon_sym_BSLASHtl_STAR = 185,
  anon_sym_BSLASHwj = 186,
  anon_sym_BSLASHwj_STAR = 187,
  anon_sym_BSLASHem = 188,
  anon_sym_BSLASHem_STAR = 189,
  anon_sym_BSLASHbd = 190,
  anon_sym_BSLASHbd_STAR = 191,
  anon_sym_BSLASHit = 192,
  anon_sym_BSLASHit_STAR = 193,
  anon_sym_BSLASHbdit = 194,
  anon_sym_BSLASHbdit_STAR = 195,
  anon_sym_BSLASHno = 196,
  anon_sym_BSLASHno_STAR = 197,
  anon_sym_BSLASHsc = 198,
  anon_sym_BSLASHsc_STAR = 199,
  anon_sym_BSLASHsup = 200,
  anon_sym_BSLASHsup_STAR = 201,
  anon_sym_BSLASHndx = 202,
  anon_sym_BSLASHndx_STAR = 203,
  anon_sym_BSLASHpro = 204,
  anon_sym_BSLASHpro_STAR = 205,
  anon_sym_BSLASHrb = 206,
  anon_sym_BSLASHrb_STAR = 207,
  anon_sym_BSLASHw = 208,
  anon_sym_BSLASHw_STAR = 209,
  anon_sym_BSLASHwg = 210,
  anon_sym_BSLASHwg_STAR = 211,
  anon_sym_BSLASHwh = 212,
  anon_sym_BSLASHwh_STAR = 213,
  anon_sym_BSLASHwa = 214,
  anon_sym_BSLASHwa_STAR = 215,
  anon_sym_BSLASH_PLUSadd = 216,
  anon_sym_BSLASH_PLUSadd_STAR = 217,
  anon_sym_BSLASH_PLUSbk = 218,
  anon_sym_BSLASH_PLUSbk_STAR = 219,
  anon_sym_BSLASH_PLUSdc = 220,
  anon_sym_BSLASH_PLUSdc_STAR = 221,
  anon_sym_BSLASH_PLUSk = 222,
  anon_sym_BSLASH_PLUSk_STAR = 223,
  anon_sym_BSLASH_PLUSnd = 224,
  anon_sym_BSLASH_PLUSnd_STAR = 225,
  anon_sym_BSLASH_PLUSord = 226,
  anon_sym_BSLASH_PLUSord_STAR = 227,
  anon_sym_BSLASH_PLUSpn = 228,
  anon_sym_BSLASH_PLUSpn_STAR = 229,
  anon_sym_BSLASH_PLUSpng = 230,
  anon_sym_BSLASH_PLUSpng_STAR = 231,
  anon_sym_BSLASH_PLUSaddpn = 232,
  anon_sym_BSLASH_PLUSaddpn_STAR = 233,
  anon_sym_BSLASH_PLUSqt = 234,
  anon_sym_BSLASH_PLUSqt_STAR = 235,
  anon_sym_BSLASH_PLUSsig = 236,
  anon_sym_BSLASH_PLUSsig_STAR = 237,
  anon_sym_BSLASH_PLUSsls = 238,
  anon_sym_BSLASH_PLUSsls_STAR = 239,
  anon_sym_BSLASH_PLUStl = 240,
  anon_sym_BSLASH_PLUStl_STAR = 241,
  anon_sym_BSLASH_PLUSwj = 242,
  anon_sym_BSLASH_PLUSwj_STAR = 243,
  anon_sym_BSLASH_PLUSem = 244,
  anon_sym_BSLASH_PLUSem_STAR = 245,
  anon_sym_BSLASH_PLUSbd = 246,
  anon_sym_BSLASH_PLUSbd_STAR = 247,
  anon_sym_BSLASH_PLUSit = 248,
  anon_sym_BSLASH_PLUSit_STAR = 249,
  anon_sym_BSLASH_PLUSbdit = 250,
  anon_sym_BSLASH_PLUSbdit_STAR = 251,
  anon_sym_BSLASH_PLUSno = 252,
  anon_sym_BSLASH_PLUSno_STAR = 253,
  anon_sym_BSLASH_PLUSsc = 254,
  anon_sym_BSLASH_PLUSsc_STAR = 255,
  anon_sym_BSLASH_PLUSsup = 256,
  anon_sym_BSLASH_PLUSsup_STAR = 257,
  anon_sym_BSLASH_PLUSndx = 258,
  anon_sym_BSLASH_PLUSndx_STAR = 259,
  anon_sym_BSLASH_PLUSpro = 260,
  anon_sym_BSLASH_PLUSpro_STAR = 261,
  anon_sym_BSLASH_PLUSrb = 262,
  anon_sym_BSLASH_PLUSrb_STAR = 263,
  anon_sym_BSLASH_PLUSw = 264,
  anon_sym_BSLASH_PLUSw_STAR = 265,
  anon_sym_BSLASH_PLUSwg = 266,
  anon_sym_BSLASH_PLUSwg_STAR = 267,
  anon_sym_BSLASH_PLUSwh = 268,
  anon_sym_BSLASH_PLUSwh_STAR = 269,
  anon_sym_BSLASH_PLUSwa = 270,
  anon_sym_BSLASH_PLUSwa_STAR = 271,
  anon_sym_BSLASHfig = 272,
  anon_sym_BSLASHfig_STAR = 273,
  anon_sym_BSLASHjmp = 274,
  anon_sym_BSLASHjmp_STAR = 275,
  anon_sym_BSLASH_PLUSjmp = 276,
  anon_sym_BSLASH_PLUSjmp_STAR = 277,
  anon_sym_BSLASHpb = 278,
  anon_sym_BSLASH = 279,
  aux_sym_milestoneTag_token1 = 280,
  anon_sym_BSLASH_STAR = 281,
  sym_milestoneStartTag = 282,
  sym_milestoneEndTag = 283,
  sym_zSpaceTag = 284,
  sym__zSpaceClose = 285,
  anon_sym_BSLASHesb = 286,
  anon_sym_BSLASHesbe = 287,
  sym_category = 288,
  anon_sym_BSLASHcat = 289,
  anon_sym_BSLASHcat_STAR = 290,
  anon_sym_EQ = 291,
  anon_sym_DQUOTE = 292,
  sym_customAttributeName = 293,
  sym_attributeValue = 294,
  anon_sym_PIPE = 295,
  anon_sym_key = 296,
  anon_sym_lemma = 297,
  anon_sym_strong = 298,
  anon_sym_srcloc = 299,
  anon_sym_gloss = 300,
  anon_sym_link_DASHhref = 301,
  anon_sym_link_DASHtitle = 302,
  anon_sym_link_DASHid = 303,
  anon_sym_href = 304,
  anon_sym_title = 305,
  anon_sym_id = 306,
  anon_sym_x_DASH = 307,
  aux_sym__linkAttributeUserDefinedName_token1 = 308,
  anon_sym_alt = 309,
  anon_sym_src = 310,
  anon_sym_size = 311,
  anon_sym_loc = 312,
  anon_sym_copy = 313,
  anon_sym_ref = 314,
  anon_sym_sid = 315,
  anon_sym_eid = 316,
  anon_sym_who = 317,
  sym_File = 318,
  sym__mandatoryHead = 319,
  sym_text = 320,
  sym__text = 321,
  sym_book = 322,
  sym_description = 323,
  sym_id = 324,
  sym__bookHeader = 325,
  sym_usfm = 326,
  sym_ide = 327,
  sym_hBlock = 328,
  sym_tocBlock = 329,
  sym_tocaBlock = 330,
  sym_ref = 331,
  sym_h = 332,
  sym_hTag = 333,
  sym_toc = 334,
  sym_tocTag = 335,
  sym_toca = 336,
  sym_tocaTag = 337,
  sym__comments = 338,
  sym_sts = 339,
  sym_rem = 340,
  sym_restore = 341,
  sym_lit = 342,
  aux_sym__introText = 343,
  sym_iqt = 344,
  sym_imtBlock = 345,
  sym_imt = 346,
  sym_imtTag = 347,
  sym_imteBlock = 348,
  sym_imte = 349,
  sym_imteTag = 350,
  sym__midIntroMarker = 351,
  sym_isBlock = 352,
  sym_is = 353,
  sym_isTag = 354,
  sym_io = 355,
  sym_ioTag = 356,
  sym_ior = 357,
  sym_iot = 358,
  sym_ip = 359,
  sym_im = 360,
  sym_ipi = 361,
  sym_imi = 362,
  sym_iliBlock = 363,
  sym_ili = 364,
  sym_iliTag = 365,
  sym_ipq = 366,
  sym_imq = 367,
  sym_ipr = 368,
  sym_ib = 369,
  sym_iqBlock = 370,
  sym_iq = 371,
  sym_iqTag = 372,
  sym_ie = 373,
  sym_iex = 374,
  sym_verseText = 375,
  sym_v = 376,
  sym__verseMeta = 377,
  sym_va = 378,
  sym_vp = 379,
  sym_chapter = 380,
  sym_c = 381,
  sym__chapterContent = 382,
  sym__chapterMeta = 383,
  sym_cl = 384,
  sym_ca = 385,
  sym_cp = 386,
  sym_cd = 387,
  sym_title = 388,
  sym_mtBlock = 389,
  sym_mt = 390,
  sym_mtTag = 391,
  sym_mteBlock = 392,
  sym_mte = 393,
  sym_mteTag = 394,
  sym_msBlock = 395,
  sym_ms = 396,
  sym_msTag = 397,
  sym_mr = 398,
  sym_sBlock = 399,
  sym_s = 400,
  sym_sTag = 401,
  sym_sr = 402,
  sym_r = 403,
  sym_sp = 404,
  sym_d = 405,
  sym_sdBlock = 406,
  sym_sd = 407,
  sym_sdTag = 408,
  sym_paragraph = 409,
  sym__paragraphContent = 410,
  sym_p = 411,
  sym_m = 412,
  sym_po = 413,
  sym_pr = 414,
  sym_cls = 415,
  sym_pmo = 416,
  sym_pm = 417,
  sym_pmc = 418,
  sym_pmr = 419,
  sym_piBlock = 420,
  sym_pi = 421,
  sym_piTag = 422,
  sym_mi = 423,
  sym_nb = 424,
  sym_pc = 425,
  sym_phBlock = 426,
  sym_ph = 427,
  sym_phTag = 428,
  sym_b = 429,
  sym_poetry = 430,
  sym__poetryContent = 431,
  sym_qBlock = 432,
  sym_q = 433,
  sym_qTag = 434,
  sym_qr = 435,
  sym_qc = 436,
  sym_qs = 437,
  sym_qa = 438,
  sym_qac = 439,
  sym_qmBlock = 440,
  sym_qm = 441,
  sym_qmTag = 442,
  sym_qd = 443,
  sym_list = 444,
  sym_lh = 445,
  sym_lf = 446,
  sym__listMarker = 447,
  sym_liBlock = 448,
  sym_li = 449,
  sym_liTag = 450,
  sym_limBlock = 451,
  sym_lim = 452,
  sym_limTag = 453,
  sym_liv = 454,
  sym_livTag = 455,
  sym_lik = 456,
  sym_litl = 457,
  sym__listTextContent = 458,
  sym_table = 459,
  sym__tableText = 460,
  sym_tr = 461,
  sym_th = 462,
  sym_thr = 463,
  sym_tc = 464,
  sym_tcr = 465,
  sym_footnoteText = 466,
  sym_crossrefText = 467,
  sym_footnote = 468,
  sym_f = 469,
  sym_fe = 470,
  sym_ef = 471,
  sym_fr = 472,
  sym_fq = 473,
  sym_fqa = 474,
  sym_fk = 475,
  sym_fl = 476,
  sym_fw = 477,
  sym_fp = 478,
  sym_ft = 479,
  sym_fdc = 480,
  sym_fv = 481,
  sym_fm = 482,
  sym__footnoteContents = 483,
  sym_crossref = 484,
  sym_x = 485,
  sym_xo = 486,
  sym_xk = 487,
  sym_xq = 488,
  sym_xt = 489,
  sym_xtNested = 490,
  sym_xt_standalone = 491,
  sym_xta = 492,
  sym_xop = 493,
  sym_xot = 494,
  sym_xnt = 495,
  sym_xdc = 496,
  sym__crossrefContents = 497,
  sym_rq = 498,
  sym__innerText = 499,
  sym_add = 500,
  sym_bk = 501,
  sym_dc = 502,
  sym_k = 503,
  sym_nd = 504,
  sym_ord = 505,
  sym_pn = 506,
  sym_png = 507,
  sym_addpn = 508,
  sym_qt = 509,
  sym_sig = 510,
  sym_sls = 511,
  sym_tl = 512,
  sym_wj = 513,
  sym_em = 514,
  sym_bd = 515,
  sym_it = 516,
  sym_bdit = 517,
  sym_no = 518,
  sym_sc = 519,
  sym_sup = 520,
  sym_ndx = 521,
  sym_pro = 522,
  sym_rb = 523,
  sym_w = 524,
  sym_wg = 525,
  sym_wh = 526,
  sym_wa = 527,
  sym__characterMarker = 528,
  sym_addNested = 529,
  sym_bkNested = 530,
  sym_dcNested = 531,
  sym_kNested = 532,
  sym_ndNested = 533,
  sym_ordNested = 534,
  sym_pnNested = 535,
  sym_pngNested = 536,
  sym_addpnNested = 537,
  sym_qtNested = 538,
  sym_sigNested = 539,
  sym_slsNested = 540,
  sym_tlNested = 541,
  sym_wjNested = 542,
  sym_emNested = 543,
  sym_bdNested = 544,
  sym_itNested = 545,
  sym_bditNested = 546,
  sym_noNested = 547,
  sym_scNested = 548,
  sym_supNested = 549,
  sym_ndxNested = 550,
  sym_proNested = 551,
  sym_rbNested = 552,
  sym_wNested = 553,
  sym_wgNested = 554,
  sym_whNested = 555,
  sym_waNested = 556,
  sym__nestedCharacterMarker = 557,
  sym_fig = 558,
  sym_jmp = 559,
  sym_jmpNested = 560,
  sym_pb = 561,
  sym_milestoneTag = 562,
  sym__milestoneStandaloneMarker = 563,
  sym__milestoneStart = 564,
  sym__milestoneEnd = 565,
  sym_milestone = 566,
  sym__zNameSpaceRegular = 567,
  sym__zNameSpaceClosed = 568,
  sym__zNameSpaceStandaloneMarker = 569,
  sym_zNameSpace = 570,
  sym_esb = 571,
  sym__esbContents = 572,
  sym_cat = 573,
  sym_customAttribute = 574,
  sym_defaultAttribute = 575,
  sym__kAttributes = 576,
  sym_keyAttribute = 577,
  sym__wAttributes = 578,
  sym__rbAttributes = 579,
  sym__figAttributes = 580,
  sym__refAttributes = 581,
  sym_lemmaAttribute = 582,
  sym_strongAttribute = 583,
  sym_scrlocAttribute = 584,
  sym_glossAttribute = 585,
  sym__jmpAttribute = 586,
  sym_linkAttribute = 587,
  sym__linkAttributeName = 588,
  sym__linkAttributeUserDefinedName = 589,
  sym_altAttribute = 590,
  sym_srcAttribute = 591,
  sym_sizeAttribute = 592,
  sym_locAttribute = 593,
  sym_copyAttribute = 594,
  sym_refAttribute = 595,
  sym__milestoneAttributes = 596,
  sym_msAttribute = 597,
  sym_milestoneAttributeName = 598,
  sym__attributesInCrossref = 599,
  aux_sym_File_repeat1 = 600,
  aux_sym_File_repeat2 = 601,
  aux_sym__mandatoryHead_repeat1 = 602,
  aux_sym_hBlock_repeat1 = 603,
  aux_sym_tocBlock_repeat1 = 604,
  aux_sym_tocaBlock_repeat1 = 605,
  aux_sym_imtBlock_repeat1 = 606,
  aux_sym_imteBlock_repeat1 = 607,
  aux_sym_isBlock_repeat1 = 608,
  aux_sym_iliBlock_repeat1 = 609,
  aux_sym_iqBlock_repeat1 = 610,
  aux_sym_verseText_repeat1 = 611,
  aux_sym_v_repeat1 = 612,
  aux_sym_chapter_repeat1 = 613,
  aux_sym_c_repeat1 = 614,
  aux_sym_cd_repeat1 = 615,
  aux_sym_mtBlock_repeat1 = 616,
  aux_sym_mt_repeat1 = 617,
  aux_sym_mteBlock_repeat1 = 618,
  aux_sym_msBlock_repeat1 = 619,
  aux_sym_ms_repeat1 = 620,
  aux_sym_sBlock_repeat1 = 621,
  aux_sym_sdBlock_repeat1 = 622,
  aux_sym_p_repeat1 = 623,
  aux_sym_piBlock_repeat1 = 624,
  aux_sym_phBlock_repeat1 = 625,
  aux_sym_poetry_repeat1 = 626,
  aux_sym_qBlock_repeat1 = 627,
  aux_sym_q_repeat1 = 628,
  aux_sym_qa_repeat1 = 629,
  aux_sym_qmBlock_repeat1 = 630,
  aux_sym_list_repeat1 = 631,
  aux_sym_liBlock_repeat1 = 632,
  aux_sym_li_repeat1 = 633,
  aux_sym_limBlock_repeat1 = 634,
  aux_sym_liv_repeat1 = 635,
  aux_sym_table_repeat1 = 636,
  aux_sym_tr_repeat1 = 637,
  aux_sym_footnoteText_repeat1 = 638,
  aux_sym_crossrefText_repeat1 = 639,
  aux_sym_f_repeat1 = 640,
  aux_sym_x_repeat1 = 641,
  aux_sym__innerText_repeat1 = 642,
  aux_sym_esb_repeat1 = 643,
  aux_sym__wAttributes_repeat1 = 644,
  aux_sym__rbAttributes_repeat1 = 645,
  aux_sym__figAttributes_repeat1 = 646,
  aux_sym__jmpAttribute_repeat1 = 647,
  aux_sym__milestoneAttributes_repeat1 = 648,
  aux_sym__attributesInCrossref_repeat1 = 649,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_bookcode] = "bookcode",
  [aux_sym_text_token1] = "text_token1",
  [sym__spaceOrLine] = "_spaceOrLine",
  [anon_sym_BSLASHid] = "\\id ",
  [sym_numberedLevelMax3] = "numberedLevelMax3",
  [sym_numberedLevelMax4] = "numberedLevelMax4",
  [sym_numberedLevelMax5] = "numberedLevelMax5",
  [sym_versionNumber] = "versionNumber",
  [anon_sym_BSLASHusfm] = "\\usfm ",
  [anon_sym_BSLASHide] = "\\ide ",
  [anon_sym_BSLASHref] = "\\ref ",
  [anon_sym_BSLASHref_STAR] = "\\ref*",
  [anon_sym_BSLASHh] = "\\h",
  [anon_sym_SPACE] = " ",
  [anon_sym_BSLASHtoc] = "\\toc",
  [anon_sym_BSLASHtoca] = "\\toca",
  [anon_sym_BSLASHsts] = "\\sts ",
  [anon_sym_BSLASHrem] = "\\rem ",
  [anon_sym_BSLASHrestore] = "\\restore ",
  [anon_sym_BSLASHlit] = "\\lit ",
  [anon_sym_BSLASHiqt] = "\\iqt ",
  [anon_sym_BSLASHiqt_STAR] = "\\iqt*",
  [anon_sym_BSLASHimt] = "\\imt",
  [anon_sym_BSLASHimte] = "\\imte",
  [aux_sym_imteTag_token1] = "imteTag_token1",
  [anon_sym_BSLASHis] = "\\is",
  [anon_sym_BSLASHio] = "\\io",
  [anon_sym_BSLASHior] = "\\ior ",
  [anon_sym_BSLASHior_STAR] = "\\ior*",
  [anon_sym_BSLASHiot] = "\\iot ",
  [anon_sym_BSLASHip] = "\\ip ",
  [anon_sym_BSLASHim] = "\\im ",
  [anon_sym_BSLASHipi] = "\\ipi ",
  [anon_sym_BSLASHimi] = "\\imi ",
  [anon_sym_BSLASHili] = "\\ili",
  [anon_sym_BSLASHipq] = "\\ipq ",
  [anon_sym_BSLASHimq] = "\\imq ",
  [anon_sym_BSLASHipr] = "\\ipr ",
  [anon_sym_BSLASHib] = "\\ib",
  [anon_sym_BSLASHiq] = "\\iq",
  [anon_sym_BSLASHie] = "\\ie",
  [anon_sym_BSLASHiex] = "\\iex ",
  [anon_sym_BSLASHv] = "\\v ",
  [sym_verseNumber] = "verseNumber",
  [anon_sym_BSLASHva] = "\\va ",
  [anon_sym_BSLASHva_STAR] = "\\va*",
  [anon_sym_BSLASHvp] = "\\vp ",
  [anon_sym_BSLASHvp_STAR] = "\\vp*",
  [anon_sym_BSLASHc] = "\\c ",
  [sym_chapterNumber] = "chapterNumber",
  [anon_sym_BSLASHcl] = "\\cl ",
  [anon_sym_BSLASHca] = "\\ca ",
  [anon_sym_BSLASHca_STAR] = "\\ca*",
  [anon_sym_BSLASHcp] = "\\cp ",
  [anon_sym_BSLASHcd] = "\\cd ",
  [anon_sym_BSLASHmt] = "\\mt",
  [anon_sym_BSLASHmte] = "\\mte",
  [anon_sym_BSLASHms] = "\\ms",
  [anon_sym_BSLASHmr] = "\\mr ",
  [anon_sym_BSLASHs] = "\\s",
  [anon_sym_BSLASHsr] = "\\sr ",
  [anon_sym_BSLASHr] = "\\r ",
  [anon_sym_BSLASHsp] = "\\sp ",
  [anon_sym_BSLASHd] = "\\d ",
  [anon_sym_BSLASHsd] = "\\sd",
  [anon_sym_BSLASHp] = "\\p",
  [anon_sym_BSLASHm] = "\\m",
  [anon_sym_BSLASHpo] = "\\po",
  [anon_sym_BSLASHpr] = "\\pr",
  [anon_sym_BSLASHcls] = "\\cls",
  [anon_sym_BSLASHpmo] = "\\pmo",
  [anon_sym_BSLASHpm] = "\\pm",
  [anon_sym_BSLASHpmc] = "\\pmc",
  [anon_sym_BSLASHpmr] = "\\pmr",
  [anon_sym_BSLASHpi] = "\\pi",
  [anon_sym_BSLASHmi] = "\\mi",
  [anon_sym_BSLASHnb] = "\\nb",
  [anon_sym_BSLASHpc] = "\\pc",
  [anon_sym_BSLASHph] = "\\ph",
  [anon_sym_BSLASHphi] = "\\phi",
  [anon_sym_BSLASHb] = "\\b",
  [anon_sym_BSLASHq] = "\\q",
  [anon_sym_BSLASHqr] = "\\qr",
  [anon_sym_BSLASHqc] = "\\qc",
  [anon_sym_BSLASHqs] = "\\qs",
  [anon_sym_BSLASHqs_STAR] = "\\qs*",
  [anon_sym_BSLASHqa] = "\\qa",
  [anon_sym_BSLASHqac] = "\\qac",
  [anon_sym_BSLASHqac_STAR] = "\\qac*",
  [anon_sym_BSLASHqm] = "\\qm",
  [anon_sym_BSLASHqd] = "\\qd",
  [anon_sym_BSLASHlh] = "\\lh",
  [anon_sym_BSLASHlf] = "\\lf",
  [anon_sym_BSLASHli] = "\\li",
  [anon_sym_BSLASHlim] = "\\lim",
  [anon_sym_STAR] = "*",
  [anon_sym_BSLASHliv] = "\\liv",
  [anon_sym_BSLASHlik] = "\\lik ",
  [anon_sym_BSLASHlik_STAR] = "\\lik*",
  [anon_sym_BSLASHlitl] = "\\litl ",
  [anon_sym_BSLASHlitl_STAR] = "\\litl*",
  [anon_sym_BSLASHtr] = "\\tr",
  [sym_thTag] = "thTag",
  [sym_thrTag] = "thrTag",
  [sym_tcTag] = "tcTag",
  [sym_tcrTag] = "tcrTag",
  [sym_caller] = "caller",
  [anon_sym_BSLASHf] = "\\f ",
  [anon_sym_BSLASHf_STAR] = "\\f*",
  [anon_sym_BSLASHfe] = "\\fe ",
  [anon_sym_BSLASHfe_STAR] = "\\fe*",
  [anon_sym_BSLASHef] = "\\ef ",
  [anon_sym_BSLASHef_STAR] = "\\ef*",
  [anon_sym_BSLASHfr] = "\\fr ",
  [anon_sym_BSLASHfr_STAR] = "\\fr*",
  [anon_sym_BSLASHfq] = "\\fq ",
  [anon_sym_BSLASHfq_STAR] = "\\fq*",
  [anon_sym_BSLASHfqa] = "\\fqa ",
  [anon_sym_BSLASHfqa_STAR] = "\\fqa*",
  [anon_sym_BSLASHfk] = "\\fk ",
  [anon_sym_BSLASHfk_STAR] = "\\fk*",
  [anon_sym_BSLASHfl] = "\\fl ",
  [anon_sym_BSLASHfl_STAR] = "\\fl*",
  [anon_sym_BSLASHfw] = "\\fw ",
  [anon_sym_BSLASHfw_STAR] = "\\fw*",
  [anon_sym_BSLASHfp] = "\\fp ",
  [anon_sym_BSLASHfp_STAR] = "\\fp*",
  [anon_sym_BSLASHft] = "\\ft ",
  [anon_sym_BSLASHft_STAR] = "\\ft*",
  [anon_sym_BSLASHfdc] = "\\fdc ",
  [anon_sym_BSLASHfdc_STAR] = "\\fdc*",
  [anon_sym_BSLASHfv] = "\\fv ",
  [anon_sym_BSLASHfv_STAR] = "\\fv*",
  [anon_sym_BSLASHfm] = "\\fm ",
  [anon_sym_BSLASHfm_STAR] = "\\fm*",
  [anon_sym_BSLASHx] = "\\x ",
  [anon_sym_BSLASHx_STAR] = "\\x*",
  [anon_sym_BSLASHxo] = "\\xo ",
  [anon_sym_BSLASHxo_STAR] = "\\xo*",
  [anon_sym_BSLASHxk] = "\\xk ",
  [anon_sym_BSLASHxk_STAR] = "\\xk*",
  [anon_sym_BSLASHxq] = "\\xq ",
  [anon_sym_BSLASHxq_STAR] = "\\xq*",
  [anon_sym_BSLASHxt] = "\\xt ",
  [anon_sym_BSLASHxt_STAR] = "\\xt*",
  [anon_sym_BSLASH_PLUSxt] = "\\+xt ",
  [anon_sym_BSLASH_PLUSxt_STAR] = "\\+xt*",
  [anon_sym_BSLASHxta] = "\\xta ",
  [anon_sym_BSLASHxta_STAR] = "\\xta*",
  [anon_sym_BSLASHxop] = "\\xop ",
  [anon_sym_BSLASHxop_STAR] = "\\xop*",
  [anon_sym_BSLASHxot] = "\\xot ",
  [anon_sym_BSLASHxot_STAR] = "\\xot*",
  [anon_sym_BSLASHxnt] = "\\xnt ",
  [anon_sym_BSLASHxnt_STAR] = "\\xnt*",
  [anon_sym_BSLASHxdc] = "\\xdc ",
  [anon_sym_BSLASHxdc_STAR] = "\\xdc*",
  [anon_sym_BSLASHrq] = "\\rq ",
  [anon_sym_BSLASHrq_STAR] = "\\rq*",
  [anon_sym_BSLASHadd] = "\\add",
  [anon_sym_BSLASHadd_STAR] = "\\add*",
  [anon_sym_BSLASHbk] = "\\bk",
  [anon_sym_BSLASHbk_STAR] = "\\bk*",
  [anon_sym_BSLASHdc] = "\\dc",
  [anon_sym_BSLASHdc_STAR] = "\\dc*",
  [anon_sym_BSLASHk] = "\\k",
  [anon_sym_BSLASHk_STAR] = "\\k*",
  [anon_sym_BSLASHnd] = "\\nd",
  [anon_sym_BSLASHnd_STAR] = "\\nd*",
  [anon_sym_BSLASHord] = "\\ord",
  [anon_sym_BSLASHord_STAR] = "\\ord*",
  [anon_sym_BSLASHpn] = "\\pn",
  [anon_sym_BSLASHpn_STAR] = "\\pn*",
  [anon_sym_BSLASHpng] = "\\png",
  [anon_sym_BSLASHpng_STAR] = "\\png*",
  [anon_sym_BSLASHaddpn] = "\\addpn",
  [anon_sym_BSLASHaddpn_STAR] = "\\addpn*",
  [anon_sym_BSLASHqt] = "\\qt",
  [anon_sym_BSLASHqt_STAR] = "\\qt*",
  [anon_sym_BSLASHsig] = "\\sig",
  [anon_sym_BSLASHsig_STAR] = "\\sig*",
  [anon_sym_BSLASHsls] = "\\sls",
  [anon_sym_BSLASHsls_STAR] = "\\sls*",
  [anon_sym_BSLASHtl] = "\\tl",
  [anon_sym_BSLASHtl_STAR] = "\\tl*",
  [anon_sym_BSLASHwj] = "\\wj",
  [anon_sym_BSLASHwj_STAR] = "\\wj*",
  [anon_sym_BSLASHem] = "\\em",
  [anon_sym_BSLASHem_STAR] = "\\em*",
  [anon_sym_BSLASHbd] = "\\bd",
  [anon_sym_BSLASHbd_STAR] = "\\bd*",
  [anon_sym_BSLASHit] = "\\it",
  [anon_sym_BSLASHit_STAR] = "\\it*",
  [anon_sym_BSLASHbdit] = "\\bdit",
  [anon_sym_BSLASHbdit_STAR] = "\\bdit*",
  [anon_sym_BSLASHno] = "\\no",
  [anon_sym_BSLASHno_STAR] = "\\no*",
  [anon_sym_BSLASHsc] = "\\sc",
  [anon_sym_BSLASHsc_STAR] = "\\sc*",
  [anon_sym_BSLASHsup] = "\\sup",
  [anon_sym_BSLASHsup_STAR] = "\\sup*",
  [anon_sym_BSLASHndx] = "\\ndx",
  [anon_sym_BSLASHndx_STAR] = "\\ndx*",
  [anon_sym_BSLASHpro] = "\\pro",
  [anon_sym_BSLASHpro_STAR] = "\\pro*",
  [anon_sym_BSLASHrb] = "\\rb",
  [anon_sym_BSLASHrb_STAR] = "\\rb*",
  [anon_sym_BSLASHw] = "\\w",
  [anon_sym_BSLASHw_STAR] = "\\w*",
  [anon_sym_BSLASHwg] = "\\wg",
  [anon_sym_BSLASHwg_STAR] = "\\wg*",
  [anon_sym_BSLASHwh] = "\\wh",
  [anon_sym_BSLASHwh_STAR] = "\\wh*",
  [anon_sym_BSLASHwa] = "\\wa",
  [anon_sym_BSLASHwa_STAR] = "\\wa*",
  [anon_sym_BSLASH_PLUSadd] = "\\+add",
  [anon_sym_BSLASH_PLUSadd_STAR] = "\\+add*",
  [anon_sym_BSLASH_PLUSbk] = "\\+bk",
  [anon_sym_BSLASH_PLUSbk_STAR] = "\\+bk*",
  [anon_sym_BSLASH_PLUSdc] = "\\+dc",
  [anon_sym_BSLASH_PLUSdc_STAR] = "\\+dc*",
  [anon_sym_BSLASH_PLUSk] = "\\+k",
  [anon_sym_BSLASH_PLUSk_STAR] = "\\+k*",
  [anon_sym_BSLASH_PLUSnd] = "\\+nd",
  [anon_sym_BSLASH_PLUSnd_STAR] = "\\+nd*",
  [anon_sym_BSLASH_PLUSord] = "\\+ord",
  [anon_sym_BSLASH_PLUSord_STAR] = "\\+ord*",
  [anon_sym_BSLASH_PLUSpn] = "\\+pn",
  [anon_sym_BSLASH_PLUSpn_STAR] = "\\+pn*",
  [anon_sym_BSLASH_PLUSpng] = "\\+png",
  [anon_sym_BSLASH_PLUSpng_STAR] = "\\+png*",
  [anon_sym_BSLASH_PLUSaddpn] = "\\+addpn",
  [anon_sym_BSLASH_PLUSaddpn_STAR] = "\\+addpn*",
  [anon_sym_BSLASH_PLUSqt] = "\\+qt",
  [anon_sym_BSLASH_PLUSqt_STAR] = "\\+qt*",
  [anon_sym_BSLASH_PLUSsig] = "\\+sig",
  [anon_sym_BSLASH_PLUSsig_STAR] = "\\+sig*",
  [anon_sym_BSLASH_PLUSsls] = "\\+sls",
  [anon_sym_BSLASH_PLUSsls_STAR] = "\\+sls*",
  [anon_sym_BSLASH_PLUStl] = "\\+tl",
  [anon_sym_BSLASH_PLUStl_STAR] = "\\+tl*",
  [anon_sym_BSLASH_PLUSwj] = "\\+wj",
  [anon_sym_BSLASH_PLUSwj_STAR] = "\\+wj*",
  [anon_sym_BSLASH_PLUSem] = "\\+em",
  [anon_sym_BSLASH_PLUSem_STAR] = "\\+em*",
  [anon_sym_BSLASH_PLUSbd] = "\\+bd",
  [anon_sym_BSLASH_PLUSbd_STAR] = "\\+bd*",
  [anon_sym_BSLASH_PLUSit] = "\\+it",
  [anon_sym_BSLASH_PLUSit_STAR] = "\\+it*",
  [anon_sym_BSLASH_PLUSbdit] = "\\+bdit",
  [anon_sym_BSLASH_PLUSbdit_STAR] = "\\+bdit*",
  [anon_sym_BSLASH_PLUSno] = "\\+no",
  [anon_sym_BSLASH_PLUSno_STAR] = "\\+no*",
  [anon_sym_BSLASH_PLUSsc] = "\\+sc",
  [anon_sym_BSLASH_PLUSsc_STAR] = "\\+sc*",
  [anon_sym_BSLASH_PLUSsup] = "\\+sup",
  [anon_sym_BSLASH_PLUSsup_STAR] = "\\+sup*",
  [anon_sym_BSLASH_PLUSndx] = "\\+ndx",
  [anon_sym_BSLASH_PLUSndx_STAR] = "\\+ndx*",
  [anon_sym_BSLASH_PLUSpro] = "\\+pro",
  [anon_sym_BSLASH_PLUSpro_STAR] = "\\+pro*",
  [anon_sym_BSLASH_PLUSrb] = "\\+rb",
  [anon_sym_BSLASH_PLUSrb_STAR] = "\\+rb*",
  [anon_sym_BSLASH_PLUSw] = "\\+w",
  [anon_sym_BSLASH_PLUSw_STAR] = "\\+w*",
  [anon_sym_BSLASH_PLUSwg] = "\\+wg",
  [anon_sym_BSLASH_PLUSwg_STAR] = "\\+wg*",
  [anon_sym_BSLASH_PLUSwh] = "\\+wh",
  [anon_sym_BSLASH_PLUSwh_STAR] = "\\+wh*",
  [anon_sym_BSLASH_PLUSwa] = "\\+wa",
  [anon_sym_BSLASH_PLUSwa_STAR] = "\\+wa*",
  [anon_sym_BSLASHfig] = "\\fig",
  [anon_sym_BSLASHfig_STAR] = "\\fig*",
  [anon_sym_BSLASHjmp] = "\\jmp",
  [anon_sym_BSLASHjmp_STAR] = "\\jmp*",
  [anon_sym_BSLASH_PLUSjmp] = "\\+jmp",
  [anon_sym_BSLASH_PLUSjmp_STAR] = "\\+jmp*",
  [anon_sym_BSLASHpb] = "\\pb",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_milestoneTag_token1] = "milestoneTag_token1",
  [anon_sym_BSLASH_STAR] = "\\*",
  [sym_milestoneStartTag] = "milestoneStartTag",
  [sym_milestoneEndTag] = "milestoneEndTag",
  [sym_zSpaceTag] = "zSpaceTag",
  [sym__zSpaceClose] = "_zSpaceClose",
  [anon_sym_BSLASHesb] = "\\esb",
  [anon_sym_BSLASHesbe] = "\\esbe",
  [sym_category] = "category",
  [anon_sym_BSLASHcat] = "\\cat",
  [anon_sym_BSLASHcat_STAR] = "\\cat*",
  [anon_sym_EQ] = "=",
  [anon_sym_DQUOTE] = "\"",
  [sym_customAttributeName] = "customAttributeName",
  [sym_attributeValue] = "attributeValue",
  [anon_sym_PIPE] = "|",
  [anon_sym_key] = "key",
  [anon_sym_lemma] = "lemma",
  [anon_sym_strong] = "strong",
  [anon_sym_srcloc] = "srcloc",
  [anon_sym_gloss] = "gloss",
  [anon_sym_link_DASHhref] = "link-href",
  [anon_sym_link_DASHtitle] = "link-title",
  [anon_sym_link_DASHid] = "link-id",
  [anon_sym_href] = "href",
  [anon_sym_title] = "title",
  [anon_sym_id] = "id",
  [anon_sym_x_DASH] = "x-",
  [aux_sym__linkAttributeUserDefinedName_token1] = "_linkAttributeUserDefinedName_token1",
  [anon_sym_alt] = "alt",
  [anon_sym_src] = "src",
  [anon_sym_size] = "size",
  [anon_sym_loc] = "loc",
  [anon_sym_copy] = "copy",
  [anon_sym_ref] = "ref",
  [anon_sym_sid] = "sid",
  [anon_sym_eid] = "eid",
  [anon_sym_who] = "who",
  [sym_File] = "File",
  [sym__mandatoryHead] = "_mandatoryHead",
  [sym_text] = "text",
  [sym__text] = "_text",
  [sym_book] = "book",
  [sym_description] = "description",
  [sym_id] = "id",
  [sym__bookHeader] = "_bookHeader",
  [sym_usfm] = "usfm",
  [sym_ide] = "ide",
  [sym_hBlock] = "hBlock",
  [sym_tocBlock] = "tocBlock",
  [sym_tocaBlock] = "tocaBlock",
  [sym_ref] = "ref",
  [sym_h] = "h",
  [sym_hTag] = "hTag",
  [sym_toc] = "toc",
  [sym_tocTag] = "tocTag",
  [sym_toca] = "toca",
  [sym_tocaTag] = "tocaTag",
  [sym__comments] = "_comments",
  [sym_sts] = "sts",
  [sym_rem] = "rem",
  [sym_restore] = "restore",
  [sym_lit] = "lit",
  [aux_sym__introText] = "_introText",
  [sym_iqt] = "iqt",
  [sym_imtBlock] = "imtBlock",
  [sym_imt] = "imt",
  [sym_imtTag] = "imtTag",
  [sym_imteBlock] = "imteBlock",
  [sym_imte] = "imte",
  [sym_imteTag] = "imteTag",
  [sym__midIntroMarker] = "_midIntroMarker",
  [sym_isBlock] = "isBlock",
  [sym_is] = "is",
  [sym_isTag] = "isTag",
  [sym_io] = "io",
  [sym_ioTag] = "ioTag",
  [sym_ior] = "ior",
  [sym_iot] = "iot",
  [sym_ip] = "ip",
  [sym_im] = "im",
  [sym_ipi] = "ipi",
  [sym_imi] = "imi",
  [sym_iliBlock] = "iliBlock",
  [sym_ili] = "ili",
  [sym_iliTag] = "iliTag",
  [sym_ipq] = "ipq",
  [sym_imq] = "imq",
  [sym_ipr] = "ipr",
  [sym_ib] = "ib",
  [sym_iqBlock] = "iqBlock",
  [sym_iq] = "iq",
  [sym_iqTag] = "iqTag",
  [sym_ie] = "ie",
  [sym_iex] = "iex",
  [sym_verseText] = "verseText",
  [sym_v] = "v",
  [sym__verseMeta] = "_verseMeta",
  [sym_va] = "va",
  [sym_vp] = "vp",
  [sym_chapter] = "chapter",
  [sym_c] = "c",
  [sym__chapterContent] = "_chapterContent",
  [sym__chapterMeta] = "_chapterMeta",
  [sym_cl] = "cl",
  [sym_ca] = "ca",
  [sym_cp] = "cp",
  [sym_cd] = "cd",
  [sym_title] = "title",
  [sym_mtBlock] = "mtBlock",
  [sym_mt] = "mt",
  [sym_mtTag] = "mtTag",
  [sym_mteBlock] = "mteBlock",
  [sym_mte] = "mte",
  [sym_mteTag] = "mteTag",
  [sym_msBlock] = "msBlock",
  [sym_ms] = "ms",
  [sym_msTag] = "msTag",
  [sym_mr] = "mr",
  [sym_sBlock] = "sBlock",
  [sym_s] = "s",
  [sym_sTag] = "sTag",
  [sym_sr] = "sr",
  [sym_r] = "r",
  [sym_sp] = "sp",
  [sym_d] = "d",
  [sym_sdBlock] = "sdBlock",
  [sym_sd] = "sd",
  [sym_sdTag] = "sdTag",
  [sym_paragraph] = "paragraph",
  [sym__paragraphContent] = "_paragraphContent",
  [sym_p] = "p",
  [sym_m] = "m",
  [sym_po] = "po",
  [sym_pr] = "pr",
  [sym_cls] = "cls",
  [sym_pmo] = "pmo",
  [sym_pm] = "pm",
  [sym_pmc] = "pmc",
  [sym_pmr] = "pmr",
  [sym_piBlock] = "piBlock",
  [sym_pi] = "pi",
  [sym_piTag] = "piTag",
  [sym_mi] = "mi",
  [sym_nb] = "nb",
  [sym_pc] = "pc",
  [sym_phBlock] = "phBlock",
  [sym_ph] = "ph",
  [sym_phTag] = "phTag",
  [sym_b] = "b",
  [sym_poetry] = "poetry",
  [sym__poetryContent] = "_poetryContent",
  [sym_qBlock] = "qBlock",
  [sym_q] = "q",
  [sym_qTag] = "qTag",
  [sym_qr] = "qr",
  [sym_qc] = "qc",
  [sym_qs] = "qs",
  [sym_qa] = "qa",
  [sym_qac] = "qac",
  [sym_qmBlock] = "qmBlock",
  [sym_qm] = "qm",
  [sym_qmTag] = "qmTag",
  [sym_qd] = "qd",
  [sym_list] = "list",
  [sym_lh] = "lh",
  [sym_lf] = "lf",
  [sym__listMarker] = "_listMarker",
  [sym_liBlock] = "liBlock",
  [sym_li] = "li",
  [sym_liTag] = "liTag",
  [sym_limBlock] = "limBlock",
  [sym_lim] = "lim",
  [sym_limTag] = "limTag",
  [sym_liv] = "liv",
  [sym_livTag] = "livTag",
  [sym_lik] = "lik",
  [sym_litl] = "litl",
  [sym__listTextContent] = "_listTextContent",
  [sym_table] = "table",
  [sym__tableText] = "_tableText",
  [sym_tr] = "tr",
  [sym_th] = "th",
  [sym_thr] = "thr",
  [sym_tc] = "tc",
  [sym_tcr] = "tcr",
  [sym_footnoteText] = "footnoteText",
  [sym_crossrefText] = "crossrefText",
  [sym_footnote] = "footnote",
  [sym_f] = "f",
  [sym_fe] = "fe",
  [sym_ef] = "ef",
  [sym_fr] = "fr",
  [sym_fq] = "fq",
  [sym_fqa] = "fqa",
  [sym_fk] = "fk",
  [sym_fl] = "fl",
  [sym_fw] = "fw",
  [sym_fp] = "fp",
  [sym_ft] = "ft",
  [sym_fdc] = "fdc",
  [sym_fv] = "fv",
  [sym_fm] = "fm",
  [sym__footnoteContents] = "_footnoteContents",
  [sym_crossref] = "crossref",
  [sym_x] = "x",
  [sym_xo] = "xo",
  [sym_xk] = "xk",
  [sym_xq] = "xq",
  [sym_xt] = "xt",
  [sym_xtNested] = "xtNested",
  [sym_xt_standalone] = "xt_standalone",
  [sym_xta] = "xta",
  [sym_xop] = "xop",
  [sym_xot] = "xot",
  [sym_xnt] = "xnt",
  [sym_xdc] = "xdc",
  [sym__crossrefContents] = "_crossrefContents",
  [sym_rq] = "rq",
  [sym__innerText] = "_innerText",
  [sym_add] = "add",
  [sym_bk] = "bk",
  [sym_dc] = "dc",
  [sym_k] = "k",
  [sym_nd] = "nd",
  [sym_ord] = "ord",
  [sym_pn] = "pn",
  [sym_png] = "png",
  [sym_addpn] = "addpn",
  [sym_qt] = "qt",
  [sym_sig] = "sig",
  [sym_sls] = "sls",
  [sym_tl] = "tl",
  [sym_wj] = "wj",
  [sym_em] = "em",
  [sym_bd] = "bd",
  [sym_it] = "it",
  [sym_bdit] = "bdit",
  [sym_no] = "no",
  [sym_sc] = "sc",
  [sym_sup] = "sup",
  [sym_ndx] = "ndx",
  [sym_pro] = "pro",
  [sym_rb] = "rb",
  [sym_w] = "w",
  [sym_wg] = "wg",
  [sym_wh] = "wh",
  [sym_wa] = "wa",
  [sym__characterMarker] = "_characterMarker",
  [sym_addNested] = "addNested",
  [sym_bkNested] = "bkNested",
  [sym_dcNested] = "dcNested",
  [sym_kNested] = "kNested",
  [sym_ndNested] = "ndNested",
  [sym_ordNested] = "ordNested",
  [sym_pnNested] = "pnNested",
  [sym_pngNested] = "pngNested",
  [sym_addpnNested] = "addpnNested",
  [sym_qtNested] = "qtNested",
  [sym_sigNested] = "sigNested",
  [sym_slsNested] = "slsNested",
  [sym_tlNested] = "tlNested",
  [sym_wjNested] = "wjNested",
  [sym_emNested] = "emNested",
  [sym_bdNested] = "bdNested",
  [sym_itNested] = "itNested",
  [sym_bditNested] = "bditNested",
  [sym_noNested] = "noNested",
  [sym_scNested] = "scNested",
  [sym_supNested] = "supNested",
  [sym_ndxNested] = "ndxNested",
  [sym_proNested] = "proNested",
  [sym_rbNested] = "rbNested",
  [sym_wNested] = "wNested",
  [sym_wgNested] = "wgNested",
  [sym_whNested] = "whNested",
  [sym_waNested] = "waNested",
  [sym__nestedCharacterMarker] = "_nestedCharacterMarker",
  [sym_fig] = "fig",
  [sym_jmp] = "jmp",
  [sym_jmpNested] = "jmpNested",
  [sym_pb] = "pb",
  [sym_milestoneTag] = "milestoneTag",
  [sym__milestoneStandaloneMarker] = "_milestoneStandaloneMarker",
  [sym__milestoneStart] = "_milestoneStart",
  [sym__milestoneEnd] = "_milestoneEnd",
  [sym_milestone] = "milestone",
  [sym__zNameSpaceRegular] = "_zNameSpaceRegular",
  [sym__zNameSpaceClosed] = "_zNameSpaceClosed",
  [sym__zNameSpaceStandaloneMarker] = "_zNameSpaceStandaloneMarker",
  [sym_zNameSpace] = "zNameSpace",
  [sym_esb] = "esb",
  [sym__esbContents] = "_esbContents",
  [sym_cat] = "cat",
  [sym_customAttribute] = "customAttribute",
  [sym_defaultAttribute] = "defaultAttribute",
  [sym__kAttributes] = "_kAttributes",
  [sym_keyAttribute] = "keyAttribute",
  [sym__wAttributes] = "_wAttributes",
  [sym__rbAttributes] = "_rbAttributes",
  [sym__figAttributes] = "_figAttributes",
  [sym__refAttributes] = "_refAttributes",
  [sym_lemmaAttribute] = "lemmaAttribute",
  [sym_strongAttribute] = "strongAttribute",
  [sym_scrlocAttribute] = "scrlocAttribute",
  [sym_glossAttribute] = "glossAttribute",
  [sym__jmpAttribute] = "_jmpAttribute",
  [sym_linkAttribute] = "linkAttribute",
  [sym__linkAttributeName] = "_linkAttributeName",
  [sym__linkAttributeUserDefinedName] = "_linkAttributeUserDefinedName",
  [sym_altAttribute] = "altAttribute",
  [sym_srcAttribute] = "srcAttribute",
  [sym_sizeAttribute] = "sizeAttribute",
  [sym_locAttribute] = "locAttribute",
  [sym_copyAttribute] = "copyAttribute",
  [sym_refAttribute] = "refAttribute",
  [sym__milestoneAttributes] = "_milestoneAttributes",
  [sym_msAttribute] = "msAttribute",
  [sym_milestoneAttributeName] = "milestoneAttributeName",
  [sym__attributesInCrossref] = "_attributesInCrossref",
  [aux_sym_File_repeat1] = "File_repeat1",
  [aux_sym_File_repeat2] = "File_repeat2",
  [aux_sym__mandatoryHead_repeat1] = "_mandatoryHead_repeat1",
  [aux_sym_hBlock_repeat1] = "hBlock_repeat1",
  [aux_sym_tocBlock_repeat1] = "tocBlock_repeat1",
  [aux_sym_tocaBlock_repeat1] = "tocaBlock_repeat1",
  [aux_sym_imtBlock_repeat1] = "imtBlock_repeat1",
  [aux_sym_imteBlock_repeat1] = "imteBlock_repeat1",
  [aux_sym_isBlock_repeat1] = "isBlock_repeat1",
  [aux_sym_iliBlock_repeat1] = "iliBlock_repeat1",
  [aux_sym_iqBlock_repeat1] = "iqBlock_repeat1",
  [aux_sym_verseText_repeat1] = "verseText_repeat1",
  [aux_sym_v_repeat1] = "v_repeat1",
  [aux_sym_chapter_repeat1] = "chapter_repeat1",
  [aux_sym_c_repeat1] = "c_repeat1",
  [aux_sym_cd_repeat1] = "cd_repeat1",
  [aux_sym_mtBlock_repeat1] = "mtBlock_repeat1",
  [aux_sym_mt_repeat1] = "mt_repeat1",
  [aux_sym_mteBlock_repeat1] = "mteBlock_repeat1",
  [aux_sym_msBlock_repeat1] = "msBlock_repeat1",
  [aux_sym_ms_repeat1] = "ms_repeat1",
  [aux_sym_sBlock_repeat1] = "sBlock_repeat1",
  [aux_sym_sdBlock_repeat1] = "sdBlock_repeat1",
  [aux_sym_p_repeat1] = "p_repeat1",
  [aux_sym_piBlock_repeat1] = "piBlock_repeat1",
  [aux_sym_phBlock_repeat1] = "phBlock_repeat1",
  [aux_sym_poetry_repeat1] = "poetry_repeat1",
  [aux_sym_qBlock_repeat1] = "qBlock_repeat1",
  [aux_sym_q_repeat1] = "q_repeat1",
  [aux_sym_qa_repeat1] = "qa_repeat1",
  [aux_sym_qmBlock_repeat1] = "qmBlock_repeat1",
  [aux_sym_list_repeat1] = "list_repeat1",
  [aux_sym_liBlock_repeat1] = "liBlock_repeat1",
  [aux_sym_li_repeat1] = "li_repeat1",
  [aux_sym_limBlock_repeat1] = "limBlock_repeat1",
  [aux_sym_liv_repeat1] = "liv_repeat1",
  [aux_sym_table_repeat1] = "table_repeat1",
  [aux_sym_tr_repeat1] = "tr_repeat1",
  [aux_sym_footnoteText_repeat1] = "footnoteText_repeat1",
  [aux_sym_crossrefText_repeat1] = "crossrefText_repeat1",
  [aux_sym_f_repeat1] = "f_repeat1",
  [aux_sym_x_repeat1] = "x_repeat1",
  [aux_sym__innerText_repeat1] = "_innerText_repeat1",
  [aux_sym_esb_repeat1] = "esb_repeat1",
  [aux_sym__wAttributes_repeat1] = "_wAttributes_repeat1",
  [aux_sym__rbAttributes_repeat1] = "_rbAttributes_repeat1",
  [aux_sym__figAttributes_repeat1] = "_figAttributes_repeat1",
  [aux_sym__jmpAttribute_repeat1] = "_jmpAttribute_repeat1",
  [aux_sym__milestoneAttributes_repeat1] = "_milestoneAttributes_repeat1",
  [aux_sym__attributesInCrossref_repeat1] = "_attributesInCrossref_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_bookcode] = sym_bookcode,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [sym__spaceOrLine] = sym__spaceOrLine,
  [anon_sym_BSLASHid] = anon_sym_BSLASHid,
  [sym_numberedLevelMax3] = sym_numberedLevelMax3,
  [sym_numberedLevelMax4] = sym_numberedLevelMax4,
  [sym_numberedLevelMax5] = sym_numberedLevelMax5,
  [sym_versionNumber] = sym_versionNumber,
  [anon_sym_BSLASHusfm] = anon_sym_BSLASHusfm,
  [anon_sym_BSLASHide] = anon_sym_BSLASHide,
  [anon_sym_BSLASHref] = anon_sym_BSLASHref,
  [anon_sym_BSLASHref_STAR] = anon_sym_BSLASHref_STAR,
  [anon_sym_BSLASHh] = anon_sym_BSLASHh,
  [anon_sym_SPACE] = anon_sym_SPACE,
  [anon_sym_BSLASHtoc] = anon_sym_BSLASHtoc,
  [anon_sym_BSLASHtoca] = anon_sym_BSLASHtoca,
  [anon_sym_BSLASHsts] = anon_sym_BSLASHsts,
  [anon_sym_BSLASHrem] = anon_sym_BSLASHrem,
  [anon_sym_BSLASHrestore] = anon_sym_BSLASHrestore,
  [anon_sym_BSLASHlit] = anon_sym_BSLASHlit,
  [anon_sym_BSLASHiqt] = anon_sym_BSLASHiqt,
  [anon_sym_BSLASHiqt_STAR] = anon_sym_BSLASHiqt_STAR,
  [anon_sym_BSLASHimt] = anon_sym_BSLASHimt,
  [anon_sym_BSLASHimte] = anon_sym_BSLASHimte,
  [aux_sym_imteTag_token1] = aux_sym_imteTag_token1,
  [anon_sym_BSLASHis] = anon_sym_BSLASHis,
  [anon_sym_BSLASHio] = anon_sym_BSLASHio,
  [anon_sym_BSLASHior] = anon_sym_BSLASHior,
  [anon_sym_BSLASHior_STAR] = anon_sym_BSLASHior_STAR,
  [anon_sym_BSLASHiot] = anon_sym_BSLASHiot,
  [anon_sym_BSLASHip] = anon_sym_BSLASHip,
  [anon_sym_BSLASHim] = anon_sym_BSLASHim,
  [anon_sym_BSLASHipi] = anon_sym_BSLASHipi,
  [anon_sym_BSLASHimi] = anon_sym_BSLASHimi,
  [anon_sym_BSLASHili] = anon_sym_BSLASHili,
  [anon_sym_BSLASHipq] = anon_sym_BSLASHipq,
  [anon_sym_BSLASHimq] = anon_sym_BSLASHimq,
  [anon_sym_BSLASHipr] = anon_sym_BSLASHipr,
  [anon_sym_BSLASHib] = anon_sym_BSLASHib,
  [anon_sym_BSLASHiq] = anon_sym_BSLASHiq,
  [anon_sym_BSLASHie] = anon_sym_BSLASHie,
  [anon_sym_BSLASHiex] = anon_sym_BSLASHiex,
  [anon_sym_BSLASHv] = anon_sym_BSLASHv,
  [sym_verseNumber] = sym_verseNumber,
  [anon_sym_BSLASHva] = anon_sym_BSLASHva,
  [anon_sym_BSLASHva_STAR] = anon_sym_BSLASHva_STAR,
  [anon_sym_BSLASHvp] = anon_sym_BSLASHvp,
  [anon_sym_BSLASHvp_STAR] = anon_sym_BSLASHvp_STAR,
  [anon_sym_BSLASHc] = anon_sym_BSLASHc,
  [sym_chapterNumber] = sym_chapterNumber,
  [anon_sym_BSLASHcl] = anon_sym_BSLASHcl,
  [anon_sym_BSLASHca] = anon_sym_BSLASHca,
  [anon_sym_BSLASHca_STAR] = anon_sym_BSLASHca_STAR,
  [anon_sym_BSLASHcp] = anon_sym_BSLASHcp,
  [anon_sym_BSLASHcd] = anon_sym_BSLASHcd,
  [anon_sym_BSLASHmt] = anon_sym_BSLASHmt,
  [anon_sym_BSLASHmte] = anon_sym_BSLASHmte,
  [anon_sym_BSLASHms] = anon_sym_BSLASHms,
  [anon_sym_BSLASHmr] = anon_sym_BSLASHmr,
  [anon_sym_BSLASHs] = anon_sym_BSLASHs,
  [anon_sym_BSLASHsr] = anon_sym_BSLASHsr,
  [anon_sym_BSLASHr] = anon_sym_BSLASHr,
  [anon_sym_BSLASHsp] = anon_sym_BSLASHsp,
  [anon_sym_BSLASHd] = anon_sym_BSLASHd,
  [anon_sym_BSLASHsd] = anon_sym_BSLASHsd,
  [anon_sym_BSLASHp] = anon_sym_BSLASHp,
  [anon_sym_BSLASHm] = anon_sym_BSLASHm,
  [anon_sym_BSLASHpo] = anon_sym_BSLASHpo,
  [anon_sym_BSLASHpr] = anon_sym_BSLASHpr,
  [anon_sym_BSLASHcls] = anon_sym_BSLASHcls,
  [anon_sym_BSLASHpmo] = anon_sym_BSLASHpmo,
  [anon_sym_BSLASHpm] = anon_sym_BSLASHpm,
  [anon_sym_BSLASHpmc] = anon_sym_BSLASHpmc,
  [anon_sym_BSLASHpmr] = anon_sym_BSLASHpmr,
  [anon_sym_BSLASHpi] = anon_sym_BSLASHpi,
  [anon_sym_BSLASHmi] = anon_sym_BSLASHmi,
  [anon_sym_BSLASHnb] = anon_sym_BSLASHnb,
  [anon_sym_BSLASHpc] = anon_sym_BSLASHpc,
  [anon_sym_BSLASHph] = anon_sym_BSLASHph,
  [anon_sym_BSLASHphi] = anon_sym_BSLASHphi,
  [anon_sym_BSLASHb] = anon_sym_BSLASHb,
  [anon_sym_BSLASHq] = anon_sym_BSLASHq,
  [anon_sym_BSLASHqr] = anon_sym_BSLASHqr,
  [anon_sym_BSLASHqc] = anon_sym_BSLASHqc,
  [anon_sym_BSLASHqs] = anon_sym_BSLASHqs,
  [anon_sym_BSLASHqs_STAR] = anon_sym_BSLASHqs_STAR,
  [anon_sym_BSLASHqa] = anon_sym_BSLASHqa,
  [anon_sym_BSLASHqac] = anon_sym_BSLASHqac,
  [anon_sym_BSLASHqac_STAR] = anon_sym_BSLASHqac_STAR,
  [anon_sym_BSLASHqm] = anon_sym_BSLASHqm,
  [anon_sym_BSLASHqd] = anon_sym_BSLASHqd,
  [anon_sym_BSLASHlh] = anon_sym_BSLASHlh,
  [anon_sym_BSLASHlf] = anon_sym_BSLASHlf,
  [anon_sym_BSLASHli] = anon_sym_BSLASHli,
  [anon_sym_BSLASHlim] = anon_sym_BSLASHlim,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_BSLASHliv] = anon_sym_BSLASHliv,
  [anon_sym_BSLASHlik] = anon_sym_BSLASHlik,
  [anon_sym_BSLASHlik_STAR] = anon_sym_BSLASHlik_STAR,
  [anon_sym_BSLASHlitl] = anon_sym_BSLASHlitl,
  [anon_sym_BSLASHlitl_STAR] = anon_sym_BSLASHlitl_STAR,
  [anon_sym_BSLASHtr] = anon_sym_BSLASHtr,
  [sym_thTag] = sym_thTag,
  [sym_thrTag] = sym_thrTag,
  [sym_tcTag] = sym_tcTag,
  [sym_tcrTag] = sym_tcrTag,
  [sym_caller] = sym_caller,
  [anon_sym_BSLASHf] = anon_sym_BSLASHf,
  [anon_sym_BSLASHf_STAR] = anon_sym_BSLASHf_STAR,
  [anon_sym_BSLASHfe] = anon_sym_BSLASHfe,
  [anon_sym_BSLASHfe_STAR] = anon_sym_BSLASHfe_STAR,
  [anon_sym_BSLASHef] = anon_sym_BSLASHef,
  [anon_sym_BSLASHef_STAR] = anon_sym_BSLASHef_STAR,
  [anon_sym_BSLASHfr] = anon_sym_BSLASHfr,
  [anon_sym_BSLASHfr_STAR] = anon_sym_BSLASHfr_STAR,
  [anon_sym_BSLASHfq] = anon_sym_BSLASHfq,
  [anon_sym_BSLASHfq_STAR] = anon_sym_BSLASHfq_STAR,
  [anon_sym_BSLASHfqa] = anon_sym_BSLASHfqa,
  [anon_sym_BSLASHfqa_STAR] = anon_sym_BSLASHfqa_STAR,
  [anon_sym_BSLASHfk] = anon_sym_BSLASHfk,
  [anon_sym_BSLASHfk_STAR] = anon_sym_BSLASHfk_STAR,
  [anon_sym_BSLASHfl] = anon_sym_BSLASHfl,
  [anon_sym_BSLASHfl_STAR] = anon_sym_BSLASHfl_STAR,
  [anon_sym_BSLASHfw] = anon_sym_BSLASHfw,
  [anon_sym_BSLASHfw_STAR] = anon_sym_BSLASHfw_STAR,
  [anon_sym_BSLASHfp] = anon_sym_BSLASHfp,
  [anon_sym_BSLASHfp_STAR] = anon_sym_BSLASHfp_STAR,
  [anon_sym_BSLASHft] = anon_sym_BSLASHft,
  [anon_sym_BSLASHft_STAR] = anon_sym_BSLASHft_STAR,
  [anon_sym_BSLASHfdc] = anon_sym_BSLASHfdc,
  [anon_sym_BSLASHfdc_STAR] = anon_sym_BSLASHfdc_STAR,
  [anon_sym_BSLASHfv] = anon_sym_BSLASHfv,
  [anon_sym_BSLASHfv_STAR] = anon_sym_BSLASHfv_STAR,
  [anon_sym_BSLASHfm] = anon_sym_BSLASHfm,
  [anon_sym_BSLASHfm_STAR] = anon_sym_BSLASHfm_STAR,
  [anon_sym_BSLASHx] = anon_sym_BSLASHx,
  [anon_sym_BSLASHx_STAR] = anon_sym_BSLASHx_STAR,
  [anon_sym_BSLASHxo] = anon_sym_BSLASHxo,
  [anon_sym_BSLASHxo_STAR] = anon_sym_BSLASHxo_STAR,
  [anon_sym_BSLASHxk] = anon_sym_BSLASHxk,
  [anon_sym_BSLASHxk_STAR] = anon_sym_BSLASHxk_STAR,
  [anon_sym_BSLASHxq] = anon_sym_BSLASHxq,
  [anon_sym_BSLASHxq_STAR] = anon_sym_BSLASHxq_STAR,
  [anon_sym_BSLASHxt] = anon_sym_BSLASHxt,
  [anon_sym_BSLASHxt_STAR] = anon_sym_BSLASHxt_STAR,
  [anon_sym_BSLASH_PLUSxt] = anon_sym_BSLASH_PLUSxt,
  [anon_sym_BSLASH_PLUSxt_STAR] = anon_sym_BSLASH_PLUSxt_STAR,
  [anon_sym_BSLASHxta] = anon_sym_BSLASHxta,
  [anon_sym_BSLASHxta_STAR] = anon_sym_BSLASHxta_STAR,
  [anon_sym_BSLASHxop] = anon_sym_BSLASHxop,
  [anon_sym_BSLASHxop_STAR] = anon_sym_BSLASHxop_STAR,
  [anon_sym_BSLASHxot] = anon_sym_BSLASHxot,
  [anon_sym_BSLASHxot_STAR] = anon_sym_BSLASHxot_STAR,
  [anon_sym_BSLASHxnt] = anon_sym_BSLASHxnt,
  [anon_sym_BSLASHxnt_STAR] = anon_sym_BSLASHxnt_STAR,
  [anon_sym_BSLASHxdc] = anon_sym_BSLASHxdc,
  [anon_sym_BSLASHxdc_STAR] = anon_sym_BSLASHxdc_STAR,
  [anon_sym_BSLASHrq] = anon_sym_BSLASHrq,
  [anon_sym_BSLASHrq_STAR] = anon_sym_BSLASHrq_STAR,
  [anon_sym_BSLASHadd] = anon_sym_BSLASHadd,
  [anon_sym_BSLASHadd_STAR] = anon_sym_BSLASHadd_STAR,
  [anon_sym_BSLASHbk] = anon_sym_BSLASHbk,
  [anon_sym_BSLASHbk_STAR] = anon_sym_BSLASHbk_STAR,
  [anon_sym_BSLASHdc] = anon_sym_BSLASHdc,
  [anon_sym_BSLASHdc_STAR] = anon_sym_BSLASHdc_STAR,
  [anon_sym_BSLASHk] = anon_sym_BSLASHk,
  [anon_sym_BSLASHk_STAR] = anon_sym_BSLASHk_STAR,
  [anon_sym_BSLASHnd] = anon_sym_BSLASHnd,
  [anon_sym_BSLASHnd_STAR] = anon_sym_BSLASHnd_STAR,
  [anon_sym_BSLASHord] = anon_sym_BSLASHord,
  [anon_sym_BSLASHord_STAR] = anon_sym_BSLASHord_STAR,
  [anon_sym_BSLASHpn] = anon_sym_BSLASHpn,
  [anon_sym_BSLASHpn_STAR] = anon_sym_BSLASHpn_STAR,
  [anon_sym_BSLASHpng] = anon_sym_BSLASHpng,
  [anon_sym_BSLASHpng_STAR] = anon_sym_BSLASHpng_STAR,
  [anon_sym_BSLASHaddpn] = anon_sym_BSLASHaddpn,
  [anon_sym_BSLASHaddpn_STAR] = anon_sym_BSLASHaddpn_STAR,
  [anon_sym_BSLASHqt] = anon_sym_BSLASHqt,
  [anon_sym_BSLASHqt_STAR] = anon_sym_BSLASHqt_STAR,
  [anon_sym_BSLASHsig] = anon_sym_BSLASHsig,
  [anon_sym_BSLASHsig_STAR] = anon_sym_BSLASHsig_STAR,
  [anon_sym_BSLASHsls] = anon_sym_BSLASHsls,
  [anon_sym_BSLASHsls_STAR] = anon_sym_BSLASHsls_STAR,
  [anon_sym_BSLASHtl] = anon_sym_BSLASHtl,
  [anon_sym_BSLASHtl_STAR] = anon_sym_BSLASHtl_STAR,
  [anon_sym_BSLASHwj] = anon_sym_BSLASHwj,
  [anon_sym_BSLASHwj_STAR] = anon_sym_BSLASHwj_STAR,
  [anon_sym_BSLASHem] = anon_sym_BSLASHem,
  [anon_sym_BSLASHem_STAR] = anon_sym_BSLASHem_STAR,
  [anon_sym_BSLASHbd] = anon_sym_BSLASHbd,
  [anon_sym_BSLASHbd_STAR] = anon_sym_BSLASHbd_STAR,
  [anon_sym_BSLASHit] = anon_sym_BSLASHit,
  [anon_sym_BSLASHit_STAR] = anon_sym_BSLASHit_STAR,
  [anon_sym_BSLASHbdit] = anon_sym_BSLASHbdit,
  [anon_sym_BSLASHbdit_STAR] = anon_sym_BSLASHbdit_STAR,
  [anon_sym_BSLASHno] = anon_sym_BSLASHno,
  [anon_sym_BSLASHno_STAR] = anon_sym_BSLASHno_STAR,
  [anon_sym_BSLASHsc] = anon_sym_BSLASHsc,
  [anon_sym_BSLASHsc_STAR] = anon_sym_BSLASHsc_STAR,
  [anon_sym_BSLASHsup] = anon_sym_BSLASHsup,
  [anon_sym_BSLASHsup_STAR] = anon_sym_BSLASHsup_STAR,
  [anon_sym_BSLASHndx] = anon_sym_BSLASHndx,
  [anon_sym_BSLASHndx_STAR] = anon_sym_BSLASHndx_STAR,
  [anon_sym_BSLASHpro] = anon_sym_BSLASHpro,
  [anon_sym_BSLASHpro_STAR] = anon_sym_BSLASHpro_STAR,
  [anon_sym_BSLASHrb] = anon_sym_BSLASHrb,
  [anon_sym_BSLASHrb_STAR] = anon_sym_BSLASHrb_STAR,
  [anon_sym_BSLASHw] = anon_sym_BSLASHw,
  [anon_sym_BSLASHw_STAR] = anon_sym_BSLASHw_STAR,
  [anon_sym_BSLASHwg] = anon_sym_BSLASHwg,
  [anon_sym_BSLASHwg_STAR] = anon_sym_BSLASHwg_STAR,
  [anon_sym_BSLASHwh] = anon_sym_BSLASHwh,
  [anon_sym_BSLASHwh_STAR] = anon_sym_BSLASHwh_STAR,
  [anon_sym_BSLASHwa] = anon_sym_BSLASHwa,
  [anon_sym_BSLASHwa_STAR] = anon_sym_BSLASHwa_STAR,
  [anon_sym_BSLASH_PLUSadd] = anon_sym_BSLASH_PLUSadd,
  [anon_sym_BSLASH_PLUSadd_STAR] = anon_sym_BSLASH_PLUSadd_STAR,
  [anon_sym_BSLASH_PLUSbk] = anon_sym_BSLASH_PLUSbk,
  [anon_sym_BSLASH_PLUSbk_STAR] = anon_sym_BSLASH_PLUSbk_STAR,
  [anon_sym_BSLASH_PLUSdc] = anon_sym_BSLASH_PLUSdc,
  [anon_sym_BSLASH_PLUSdc_STAR] = anon_sym_BSLASH_PLUSdc_STAR,
  [anon_sym_BSLASH_PLUSk] = anon_sym_BSLASH_PLUSk,
  [anon_sym_BSLASH_PLUSk_STAR] = anon_sym_BSLASH_PLUSk_STAR,
  [anon_sym_BSLASH_PLUSnd] = anon_sym_BSLASH_PLUSnd,
  [anon_sym_BSLASH_PLUSnd_STAR] = anon_sym_BSLASH_PLUSnd_STAR,
  [anon_sym_BSLASH_PLUSord] = anon_sym_BSLASH_PLUSord,
  [anon_sym_BSLASH_PLUSord_STAR] = anon_sym_BSLASH_PLUSord_STAR,
  [anon_sym_BSLASH_PLUSpn] = anon_sym_BSLASH_PLUSpn,
  [anon_sym_BSLASH_PLUSpn_STAR] = anon_sym_BSLASH_PLUSpn_STAR,
  [anon_sym_BSLASH_PLUSpng] = anon_sym_BSLASH_PLUSpng,
  [anon_sym_BSLASH_PLUSpng_STAR] = anon_sym_BSLASH_PLUSpng_STAR,
  [anon_sym_BSLASH_PLUSaddpn] = anon_sym_BSLASH_PLUSaddpn,
  [anon_sym_BSLASH_PLUSaddpn_STAR] = anon_sym_BSLASH_PLUSaddpn_STAR,
  [anon_sym_BSLASH_PLUSqt] = anon_sym_BSLASH_PLUSqt,
  [anon_sym_BSLASH_PLUSqt_STAR] = anon_sym_BSLASH_PLUSqt_STAR,
  [anon_sym_BSLASH_PLUSsig] = anon_sym_BSLASH_PLUSsig,
  [anon_sym_BSLASH_PLUSsig_STAR] = anon_sym_BSLASH_PLUSsig_STAR,
  [anon_sym_BSLASH_PLUSsls] = anon_sym_BSLASH_PLUSsls,
  [anon_sym_BSLASH_PLUSsls_STAR] = anon_sym_BSLASH_PLUSsls_STAR,
  [anon_sym_BSLASH_PLUStl] = anon_sym_BSLASH_PLUStl,
  [anon_sym_BSLASH_PLUStl_STAR] = anon_sym_BSLASH_PLUStl_STAR,
  [anon_sym_BSLASH_PLUSwj] = anon_sym_BSLASH_PLUSwj,
  [anon_sym_BSLASH_PLUSwj_STAR] = anon_sym_BSLASH_PLUSwj_STAR,
  [anon_sym_BSLASH_PLUSem] = anon_sym_BSLASH_PLUSem,
  [anon_sym_BSLASH_PLUSem_STAR] = anon_sym_BSLASH_PLUSem_STAR,
  [anon_sym_BSLASH_PLUSbd] = anon_sym_BSLASH_PLUSbd,
  [anon_sym_BSLASH_PLUSbd_STAR] = anon_sym_BSLASH_PLUSbd_STAR,
  [anon_sym_BSLASH_PLUSit] = anon_sym_BSLASH_PLUSit,
  [anon_sym_BSLASH_PLUSit_STAR] = anon_sym_BSLASH_PLUSit_STAR,
  [anon_sym_BSLASH_PLUSbdit] = anon_sym_BSLASH_PLUSbdit,
  [anon_sym_BSLASH_PLUSbdit_STAR] = anon_sym_BSLASH_PLUSbdit_STAR,
  [anon_sym_BSLASH_PLUSno] = anon_sym_BSLASH_PLUSno,
  [anon_sym_BSLASH_PLUSno_STAR] = anon_sym_BSLASH_PLUSno_STAR,
  [anon_sym_BSLASH_PLUSsc] = anon_sym_BSLASH_PLUSsc,
  [anon_sym_BSLASH_PLUSsc_STAR] = anon_sym_BSLASH_PLUSsc_STAR,
  [anon_sym_BSLASH_PLUSsup] = anon_sym_BSLASH_PLUSsup,
  [anon_sym_BSLASH_PLUSsup_STAR] = anon_sym_BSLASH_PLUSsup_STAR,
  [anon_sym_BSLASH_PLUSndx] = anon_sym_BSLASH_PLUSndx,
  [anon_sym_BSLASH_PLUSndx_STAR] = anon_sym_BSLASH_PLUSndx_STAR,
  [anon_sym_BSLASH_PLUSpro] = anon_sym_BSLASH_PLUSpro,
  [anon_sym_BSLASH_PLUSpro_STAR] = anon_sym_BSLASH_PLUSpro_STAR,
  [anon_sym_BSLASH_PLUSrb] = anon_sym_BSLASH_PLUSrb,
  [anon_sym_BSLASH_PLUSrb_STAR] = anon_sym_BSLASH_PLUSrb_STAR,
  [anon_sym_BSLASH_PLUSw] = anon_sym_BSLASH_PLUSw,
  [anon_sym_BSLASH_PLUSw_STAR] = anon_sym_BSLASH_PLUSw_STAR,
  [anon_sym_BSLASH_PLUSwg] = anon_sym_BSLASH_PLUSwg,
  [anon_sym_BSLASH_PLUSwg_STAR] = anon_sym_BSLASH_PLUSwg_STAR,
  [anon_sym_BSLASH_PLUSwh] = anon_sym_BSLASH_PLUSwh,
  [anon_sym_BSLASH_PLUSwh_STAR] = anon_sym_BSLASH_PLUSwh_STAR,
  [anon_sym_BSLASH_PLUSwa] = anon_sym_BSLASH_PLUSwa,
  [anon_sym_BSLASH_PLUSwa_STAR] = anon_sym_BSLASH_PLUSwa_STAR,
  [anon_sym_BSLASHfig] = anon_sym_BSLASHfig,
  [anon_sym_BSLASHfig_STAR] = anon_sym_BSLASHfig_STAR,
  [anon_sym_BSLASHjmp] = anon_sym_BSLASHjmp,
  [anon_sym_BSLASHjmp_STAR] = anon_sym_BSLASHjmp_STAR,
  [anon_sym_BSLASH_PLUSjmp] = anon_sym_BSLASH_PLUSjmp,
  [anon_sym_BSLASH_PLUSjmp_STAR] = anon_sym_BSLASH_PLUSjmp_STAR,
  [anon_sym_BSLASHpb] = anon_sym_BSLASHpb,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_milestoneTag_token1] = aux_sym_milestoneTag_token1,
  [anon_sym_BSLASH_STAR] = anon_sym_BSLASH_STAR,
  [sym_milestoneStartTag] = sym_milestoneStartTag,
  [sym_milestoneEndTag] = sym_milestoneEndTag,
  [sym_zSpaceTag] = sym_zSpaceTag,
  [sym__zSpaceClose] = sym__zSpaceClose,
  [anon_sym_BSLASHesb] = anon_sym_BSLASHesb,
  [anon_sym_BSLASHesbe] = anon_sym_BSLASHesbe,
  [sym_category] = sym_category,
  [anon_sym_BSLASHcat] = anon_sym_BSLASHcat,
  [anon_sym_BSLASHcat_STAR] = anon_sym_BSLASHcat_STAR,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym_customAttributeName] = sym_customAttributeName,
  [sym_attributeValue] = sym_attributeValue,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_key] = anon_sym_key,
  [anon_sym_lemma] = anon_sym_lemma,
  [anon_sym_strong] = anon_sym_strong,
  [anon_sym_srcloc] = anon_sym_srcloc,
  [anon_sym_gloss] = anon_sym_gloss,
  [anon_sym_link_DASHhref] = anon_sym_link_DASHhref,
  [anon_sym_link_DASHtitle] = anon_sym_link_DASHtitle,
  [anon_sym_link_DASHid] = anon_sym_link_DASHid,
  [anon_sym_href] = anon_sym_href,
  [anon_sym_title] = anon_sym_title,
  [anon_sym_id] = anon_sym_id,
  [anon_sym_x_DASH] = anon_sym_x_DASH,
  [aux_sym__linkAttributeUserDefinedName_token1] = aux_sym__linkAttributeUserDefinedName_token1,
  [anon_sym_alt] = anon_sym_alt,
  [anon_sym_src] = anon_sym_src,
  [anon_sym_size] = anon_sym_size,
  [anon_sym_loc] = anon_sym_loc,
  [anon_sym_copy] = anon_sym_copy,
  [anon_sym_ref] = anon_sym_ref,
  [anon_sym_sid] = anon_sym_sid,
  [anon_sym_eid] = anon_sym_eid,
  [anon_sym_who] = anon_sym_who,
  [sym_File] = sym_File,
  [sym__mandatoryHead] = sym__mandatoryHead,
  [sym_text] = sym_text,
  [sym__text] = sym__text,
  [sym_book] = sym_book,
  [sym_description] = sym_description,
  [sym_id] = sym_id,
  [sym__bookHeader] = sym__bookHeader,
  [sym_usfm] = sym_usfm,
  [sym_ide] = sym_ide,
  [sym_hBlock] = sym_hBlock,
  [sym_tocBlock] = sym_tocBlock,
  [sym_tocaBlock] = sym_tocaBlock,
  [sym_ref] = sym_ref,
  [sym_h] = sym_h,
  [sym_hTag] = sym_hTag,
  [sym_toc] = sym_toc,
  [sym_tocTag] = sym_tocTag,
  [sym_toca] = sym_toca,
  [sym_tocaTag] = sym_tocaTag,
  [sym__comments] = sym__comments,
  [sym_sts] = sym_sts,
  [sym_rem] = sym_rem,
  [sym_restore] = sym_restore,
  [sym_lit] = sym_lit,
  [aux_sym__introText] = aux_sym__introText,
  [sym_iqt] = sym_iqt,
  [sym_imtBlock] = sym_imtBlock,
  [sym_imt] = sym_imt,
  [sym_imtTag] = sym_imtTag,
  [sym_imteBlock] = sym_imteBlock,
  [sym_imte] = sym_imte,
  [sym_imteTag] = sym_imteTag,
  [sym__midIntroMarker] = sym__midIntroMarker,
  [sym_isBlock] = sym_isBlock,
  [sym_is] = sym_is,
  [sym_isTag] = sym_isTag,
  [sym_io] = sym_io,
  [sym_ioTag] = sym_ioTag,
  [sym_ior] = sym_ior,
  [sym_iot] = sym_iot,
  [sym_ip] = sym_ip,
  [sym_im] = sym_im,
  [sym_ipi] = sym_ipi,
  [sym_imi] = sym_imi,
  [sym_iliBlock] = sym_iliBlock,
  [sym_ili] = sym_ili,
  [sym_iliTag] = sym_iliTag,
  [sym_ipq] = sym_ipq,
  [sym_imq] = sym_imq,
  [sym_ipr] = sym_ipr,
  [sym_ib] = sym_ib,
  [sym_iqBlock] = sym_iqBlock,
  [sym_iq] = sym_iq,
  [sym_iqTag] = sym_iqTag,
  [sym_ie] = sym_ie,
  [sym_iex] = sym_iex,
  [sym_verseText] = sym_verseText,
  [sym_v] = sym_v,
  [sym__verseMeta] = sym__verseMeta,
  [sym_va] = sym_va,
  [sym_vp] = sym_vp,
  [sym_chapter] = sym_chapter,
  [sym_c] = sym_c,
  [sym__chapterContent] = sym__chapterContent,
  [sym__chapterMeta] = sym__chapterMeta,
  [sym_cl] = sym_cl,
  [sym_ca] = sym_ca,
  [sym_cp] = sym_cp,
  [sym_cd] = sym_cd,
  [sym_title] = sym_title,
  [sym_mtBlock] = sym_mtBlock,
  [sym_mt] = sym_mt,
  [sym_mtTag] = sym_mtTag,
  [sym_mteBlock] = sym_mteBlock,
  [sym_mte] = sym_mte,
  [sym_mteTag] = sym_mteTag,
  [sym_msBlock] = sym_msBlock,
  [sym_ms] = sym_ms,
  [sym_msTag] = sym_msTag,
  [sym_mr] = sym_mr,
  [sym_sBlock] = sym_sBlock,
  [sym_s] = sym_s,
  [sym_sTag] = sym_sTag,
  [sym_sr] = sym_sr,
  [sym_r] = sym_r,
  [sym_sp] = sym_sp,
  [sym_d] = sym_d,
  [sym_sdBlock] = sym_sdBlock,
  [sym_sd] = sym_sd,
  [sym_sdTag] = sym_sdTag,
  [sym_paragraph] = sym_paragraph,
  [sym__paragraphContent] = sym__paragraphContent,
  [sym_p] = sym_p,
  [sym_m] = sym_m,
  [sym_po] = sym_po,
  [sym_pr] = sym_pr,
  [sym_cls] = sym_cls,
  [sym_pmo] = sym_pmo,
  [sym_pm] = sym_pm,
  [sym_pmc] = sym_pmc,
  [sym_pmr] = sym_pmr,
  [sym_piBlock] = sym_piBlock,
  [sym_pi] = sym_pi,
  [sym_piTag] = sym_piTag,
  [sym_mi] = sym_mi,
  [sym_nb] = sym_nb,
  [sym_pc] = sym_pc,
  [sym_phBlock] = sym_phBlock,
  [sym_ph] = sym_ph,
  [sym_phTag] = sym_phTag,
  [sym_b] = sym_b,
  [sym_poetry] = sym_poetry,
  [sym__poetryContent] = sym__poetryContent,
  [sym_qBlock] = sym_qBlock,
  [sym_q] = sym_q,
  [sym_qTag] = sym_qTag,
  [sym_qr] = sym_qr,
  [sym_qc] = sym_qc,
  [sym_qs] = sym_qs,
  [sym_qa] = sym_qa,
  [sym_qac] = sym_qac,
  [sym_qmBlock] = sym_qmBlock,
  [sym_qm] = sym_qm,
  [sym_qmTag] = sym_qmTag,
  [sym_qd] = sym_qd,
  [sym_list] = sym_list,
  [sym_lh] = sym_lh,
  [sym_lf] = sym_lf,
  [sym__listMarker] = sym__listMarker,
  [sym_liBlock] = sym_liBlock,
  [sym_li] = sym_li,
  [sym_liTag] = sym_liTag,
  [sym_limBlock] = sym_limBlock,
  [sym_lim] = sym_lim,
  [sym_limTag] = sym_limTag,
  [sym_liv] = sym_liv,
  [sym_livTag] = sym_livTag,
  [sym_lik] = sym_lik,
  [sym_litl] = sym_litl,
  [sym__listTextContent] = sym__listTextContent,
  [sym_table] = sym_table,
  [sym__tableText] = sym__tableText,
  [sym_tr] = sym_tr,
  [sym_th] = sym_th,
  [sym_thr] = sym_thr,
  [sym_tc] = sym_tc,
  [sym_tcr] = sym_tcr,
  [sym_footnoteText] = sym_footnoteText,
  [sym_crossrefText] = sym_crossrefText,
  [sym_footnote] = sym_footnote,
  [sym_f] = sym_f,
  [sym_fe] = sym_fe,
  [sym_ef] = sym_ef,
  [sym_fr] = sym_fr,
  [sym_fq] = sym_fq,
  [sym_fqa] = sym_fqa,
  [sym_fk] = sym_fk,
  [sym_fl] = sym_fl,
  [sym_fw] = sym_fw,
  [sym_fp] = sym_fp,
  [sym_ft] = sym_ft,
  [sym_fdc] = sym_fdc,
  [sym_fv] = sym_fv,
  [sym_fm] = sym_fm,
  [sym__footnoteContents] = sym__footnoteContents,
  [sym_crossref] = sym_crossref,
  [sym_x] = sym_x,
  [sym_xo] = sym_xo,
  [sym_xk] = sym_xk,
  [sym_xq] = sym_xq,
  [sym_xt] = sym_xt,
  [sym_xtNested] = sym_xtNested,
  [sym_xt_standalone] = sym_xt_standalone,
  [sym_xta] = sym_xta,
  [sym_xop] = sym_xop,
  [sym_xot] = sym_xot,
  [sym_xnt] = sym_xnt,
  [sym_xdc] = sym_xdc,
  [sym__crossrefContents] = sym__crossrefContents,
  [sym_rq] = sym_rq,
  [sym__innerText] = sym__innerText,
  [sym_add] = sym_add,
  [sym_bk] = sym_bk,
  [sym_dc] = sym_dc,
  [sym_k] = sym_k,
  [sym_nd] = sym_nd,
  [sym_ord] = sym_ord,
  [sym_pn] = sym_pn,
  [sym_png] = sym_png,
  [sym_addpn] = sym_addpn,
  [sym_qt] = sym_qt,
  [sym_sig] = sym_sig,
  [sym_sls] = sym_sls,
  [sym_tl] = sym_tl,
  [sym_wj] = sym_wj,
  [sym_em] = sym_em,
  [sym_bd] = sym_bd,
  [sym_it] = sym_it,
  [sym_bdit] = sym_bdit,
  [sym_no] = sym_no,
  [sym_sc] = sym_sc,
  [sym_sup] = sym_sup,
  [sym_ndx] = sym_ndx,
  [sym_pro] = sym_pro,
  [sym_rb] = sym_rb,
  [sym_w] = sym_w,
  [sym_wg] = sym_wg,
  [sym_wh] = sym_wh,
  [sym_wa] = sym_wa,
  [sym__characterMarker] = sym__characterMarker,
  [sym_addNested] = sym_addNested,
  [sym_bkNested] = sym_bkNested,
  [sym_dcNested] = sym_dcNested,
  [sym_kNested] = sym_kNested,
  [sym_ndNested] = sym_ndNested,
  [sym_ordNested] = sym_ordNested,
  [sym_pnNested] = sym_pnNested,
  [sym_pngNested] = sym_pngNested,
  [sym_addpnNested] = sym_addpnNested,
  [sym_qtNested] = sym_qtNested,
  [sym_sigNested] = sym_sigNested,
  [sym_slsNested] = sym_slsNested,
  [sym_tlNested] = sym_tlNested,
  [sym_wjNested] = sym_wjNested,
  [sym_emNested] = sym_emNested,
  [sym_bdNested] = sym_bdNested,
  [sym_itNested] = sym_itNested,
  [sym_bditNested] = sym_bditNested,
  [sym_noNested] = sym_noNested,
  [sym_scNested] = sym_scNested,
  [sym_supNested] = sym_supNested,
  [sym_ndxNested] = sym_ndxNested,
  [sym_proNested] = sym_proNested,
  [sym_rbNested] = sym_rbNested,
  [sym_wNested] = sym_wNested,
  [sym_wgNested] = sym_wgNested,
  [sym_whNested] = sym_whNested,
  [sym_waNested] = sym_waNested,
  [sym__nestedCharacterMarker] = sym__nestedCharacterMarker,
  [sym_fig] = sym_fig,
  [sym_jmp] = sym_jmp,
  [sym_jmpNested] = sym_jmpNested,
  [sym_pb] = sym_pb,
  [sym_milestoneTag] = sym_milestoneTag,
  [sym__milestoneStandaloneMarker] = sym__milestoneStandaloneMarker,
  [sym__milestoneStart] = sym__milestoneStart,
  [sym__milestoneEnd] = sym__milestoneEnd,
  [sym_milestone] = sym_milestone,
  [sym__zNameSpaceRegular] = sym__zNameSpaceRegular,
  [sym__zNameSpaceClosed] = sym__zNameSpaceClosed,
  [sym__zNameSpaceStandaloneMarker] = sym__zNameSpaceStandaloneMarker,
  [sym_zNameSpace] = sym_zNameSpace,
  [sym_esb] = sym_esb,
  [sym__esbContents] = sym__esbContents,
  [sym_cat] = sym_cat,
  [sym_customAttribute] = sym_customAttribute,
  [sym_defaultAttribute] = sym_defaultAttribute,
  [sym__kAttributes] = sym__kAttributes,
  [sym_keyAttribute] = sym_keyAttribute,
  [sym__wAttributes] = sym__wAttributes,
  [sym__rbAttributes] = sym__rbAttributes,
  [sym__figAttributes] = sym__figAttributes,
  [sym__refAttributes] = sym__refAttributes,
  [sym_lemmaAttribute] = sym_lemmaAttribute,
  [sym_strongAttribute] = sym_strongAttribute,
  [sym_scrlocAttribute] = sym_scrlocAttribute,
  [sym_glossAttribute] = sym_glossAttribute,
  [sym__jmpAttribute] = sym__jmpAttribute,
  [sym_linkAttribute] = sym_linkAttribute,
  [sym__linkAttributeName] = sym__linkAttributeName,
  [sym__linkAttributeUserDefinedName] = sym__linkAttributeUserDefinedName,
  [sym_altAttribute] = sym_altAttribute,
  [sym_srcAttribute] = sym_srcAttribute,
  [sym_sizeAttribute] = sym_sizeAttribute,
  [sym_locAttribute] = sym_locAttribute,
  [sym_copyAttribute] = sym_copyAttribute,
  [sym_refAttribute] = sym_refAttribute,
  [sym__milestoneAttributes] = sym__milestoneAttributes,
  [sym_msAttribute] = sym_msAttribute,
  [sym_milestoneAttributeName] = sym_milestoneAttributeName,
  [sym__attributesInCrossref] = sym__attributesInCrossref,
  [aux_sym_File_repeat1] = aux_sym_File_repeat1,
  [aux_sym_File_repeat2] = aux_sym_File_repeat2,
  [aux_sym__mandatoryHead_repeat1] = aux_sym__mandatoryHead_repeat1,
  [aux_sym_hBlock_repeat1] = aux_sym_hBlock_repeat1,
  [aux_sym_tocBlock_repeat1] = aux_sym_tocBlock_repeat1,
  [aux_sym_tocaBlock_repeat1] = aux_sym_tocaBlock_repeat1,
  [aux_sym_imtBlock_repeat1] = aux_sym_imtBlock_repeat1,
  [aux_sym_imteBlock_repeat1] = aux_sym_imteBlock_repeat1,
  [aux_sym_isBlock_repeat1] = aux_sym_isBlock_repeat1,
  [aux_sym_iliBlock_repeat1] = aux_sym_iliBlock_repeat1,
  [aux_sym_iqBlock_repeat1] = aux_sym_iqBlock_repeat1,
  [aux_sym_verseText_repeat1] = aux_sym_verseText_repeat1,
  [aux_sym_v_repeat1] = aux_sym_v_repeat1,
  [aux_sym_chapter_repeat1] = aux_sym_chapter_repeat1,
  [aux_sym_c_repeat1] = aux_sym_c_repeat1,
  [aux_sym_cd_repeat1] = aux_sym_cd_repeat1,
  [aux_sym_mtBlock_repeat1] = aux_sym_mtBlock_repeat1,
  [aux_sym_mt_repeat1] = aux_sym_mt_repeat1,
  [aux_sym_mteBlock_repeat1] = aux_sym_mteBlock_repeat1,
  [aux_sym_msBlock_repeat1] = aux_sym_msBlock_repeat1,
  [aux_sym_ms_repeat1] = aux_sym_ms_repeat1,
  [aux_sym_sBlock_repeat1] = aux_sym_sBlock_repeat1,
  [aux_sym_sdBlock_repeat1] = aux_sym_sdBlock_repeat1,
  [aux_sym_p_repeat1] = aux_sym_p_repeat1,
  [aux_sym_piBlock_repeat1] = aux_sym_piBlock_repeat1,
  [aux_sym_phBlock_repeat1] = aux_sym_phBlock_repeat1,
  [aux_sym_poetry_repeat1] = aux_sym_poetry_repeat1,
  [aux_sym_qBlock_repeat1] = aux_sym_qBlock_repeat1,
  [aux_sym_q_repeat1] = aux_sym_q_repeat1,
  [aux_sym_qa_repeat1] = aux_sym_qa_repeat1,
  [aux_sym_qmBlock_repeat1] = aux_sym_qmBlock_repeat1,
  [aux_sym_list_repeat1] = aux_sym_list_repeat1,
  [aux_sym_liBlock_repeat1] = aux_sym_liBlock_repeat1,
  [aux_sym_li_repeat1] = aux_sym_li_repeat1,
  [aux_sym_limBlock_repeat1] = aux_sym_limBlock_repeat1,
  [aux_sym_liv_repeat1] = aux_sym_liv_repeat1,
  [aux_sym_table_repeat1] = aux_sym_table_repeat1,
  [aux_sym_tr_repeat1] = aux_sym_tr_repeat1,
  [aux_sym_footnoteText_repeat1] = aux_sym_footnoteText_repeat1,
  [aux_sym_crossrefText_repeat1] = aux_sym_crossrefText_repeat1,
  [aux_sym_f_repeat1] = aux_sym_f_repeat1,
  [aux_sym_x_repeat1] = aux_sym_x_repeat1,
  [aux_sym__innerText_repeat1] = aux_sym__innerText_repeat1,
  [aux_sym_esb_repeat1] = aux_sym_esb_repeat1,
  [aux_sym__wAttributes_repeat1] = aux_sym__wAttributes_repeat1,
  [aux_sym__rbAttributes_repeat1] = aux_sym__rbAttributes_repeat1,
  [aux_sym__figAttributes_repeat1] = aux_sym__figAttributes_repeat1,
  [aux_sym__jmpAttribute_repeat1] = aux_sym__jmpAttribute_repeat1,
  [aux_sym__milestoneAttributes_repeat1] = aux_sym__milestoneAttributes_repeat1,
  [aux_sym__attributesInCrossref_repeat1] = aux_sym__attributesInCrossref_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_bookcode] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__spaceOrLine] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_BSLASHid] = {
    .visible = true,
    .named = false,
  },
  [sym_numberedLevelMax3] = {
    .visible = true,
    .named = true,
  },
  [sym_numberedLevelMax4] = {
    .visible = true,
    .named = true,
  },
  [sym_numberedLevelMax5] = {
    .visible = true,
    .named = true,
  },
  [sym_versionNumber] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHusfm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHide] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHref_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHh] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SPACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtoc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtoca] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrem] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrestore] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHiqt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHiqt_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHimt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHimte] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_imteTag_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASHis] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHio] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHior] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHior_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHiot] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHip] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHim] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHipi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHimi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHili] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHipq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHimq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHipr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHib] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHiq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHie] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHiex] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHv] = {
    .visible = true,
    .named = false,
  },
  [sym_verseNumber] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHva] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHva_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHvp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHvp_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHc] = {
    .visible = true,
    .named = false,
  },
  [sym_chapterNumber] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHcl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHca] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHca_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHmt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHmte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHms] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHmr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcls] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpmo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpmc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpmr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHmi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHph] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHphi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqs_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqa] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqac] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqac_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlh] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlf] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHli] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlim] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHliv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlik] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlik_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlitl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlitl_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtr] = {
    .visible = true,
    .named = false,
  },
  [sym_thTag] = {
    .visible = true,
    .named = true,
  },
  [sym_thrTag] = {
    .visible = true,
    .named = true,
  },
  [sym_tcTag] = {
    .visible = true,
    .named = true,
  },
  [sym_tcrTag] = {
    .visible = true,
    .named = true,
  },
  [sym_caller] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHf] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHf_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfe] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfe_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHef_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfr_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfq_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfqa] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfqa_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfk] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfk_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfl_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfw_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfp_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHft] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHft_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfdc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfdc_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfv_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfm_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHx] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHx_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxo_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxk] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxk_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxq_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxt_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSxt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSxt_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxta] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxta_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxop] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxop_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxot] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxot_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxnt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxnt_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxdc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxdc_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrq_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHadd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHadd_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbk] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbk_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHdc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHdc_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHk] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHk_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnd_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHord] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHord_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpn_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpng] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpng_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHaddpn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHaddpn_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqt_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsig_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsls] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsls_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtl_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwj] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwj_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHem] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHem_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbd_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHit_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbdit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbdit_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHno] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHno_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsc_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsup] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsup_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHndx] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHndx_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpro] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpro_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrb_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHw_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwg] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwg_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwh] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwh_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwa] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwa_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSadd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSadd_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSbk] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSbk_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSdc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSdc_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSk] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSk_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSnd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSnd_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSord] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSord_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSpn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSpn_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSpng] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSpng_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSaddpn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSaddpn_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSqt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSqt_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsig_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsls] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsls_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUStl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUStl_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwj] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwj_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSem] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSem_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSbd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSbd_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSit_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSbdit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSbdit_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSno] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSno_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsc_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsup] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsup_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSndx] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSndx_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSpro] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSpro_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSrb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSrb_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSw_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwg] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwg_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwh] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwh_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwa] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwa_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfig_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHjmp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHjmp_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSjmp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSjmp_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_milestoneTag_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASH_STAR] = {
    .visible = true,
    .named = false,
  },
  [sym_milestoneStartTag] = {
    .visible = true,
    .named = true,
  },
  [sym_milestoneEndTag] = {
    .visible = true,
    .named = true,
  },
  [sym_zSpaceTag] = {
    .visible = true,
    .named = true,
  },
  [sym__zSpaceClose] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_BSLASHesb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHesbe] = {
    .visible = true,
    .named = false,
  },
  [sym_category] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHcat] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcat_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_customAttributeName] = {
    .visible = true,
    .named = true,
  },
  [sym_attributeValue] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_key] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lemma] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strong] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_srcloc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_gloss] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_link_DASHhref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_link_DASHtitle] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_link_DASHid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_href] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_title] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_id] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_x_DASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__linkAttributeUserDefinedName_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_alt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_src] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_size] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_loc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_copy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_who] = {
    .visible = true,
    .named = false,
  },
  [sym_File] = {
    .visible = true,
    .named = true,
  },
  [sym__mandatoryHead] = {
    .visible = false,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym__text] = {
    .visible = false,
    .named = true,
  },
  [sym_book] = {
    .visible = true,
    .named = true,
  },
  [sym_description] = {
    .visible = true,
    .named = true,
  },
  [sym_id] = {
    .visible = true,
    .named = true,
  },
  [sym__bookHeader] = {
    .visible = false,
    .named = true,
  },
  [sym_usfm] = {
    .visible = true,
    .named = true,
  },
  [sym_ide] = {
    .visible = true,
    .named = true,
  },
  [sym_hBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_tocBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_tocaBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_h] = {
    .visible = true,
    .named = true,
  },
  [sym_hTag] = {
    .visible = true,
    .named = true,
  },
  [sym_toc] = {
    .visible = true,
    .named = true,
  },
  [sym_tocTag] = {
    .visible = true,
    .named = true,
  },
  [sym_toca] = {
    .visible = true,
    .named = true,
  },
  [sym_tocaTag] = {
    .visible = true,
    .named = true,
  },
  [sym__comments] = {
    .visible = false,
    .named = true,
  },
  [sym_sts] = {
    .visible = true,
    .named = true,
  },
  [sym_rem] = {
    .visible = true,
    .named = true,
  },
  [sym_restore] = {
    .visible = true,
    .named = true,
  },
  [sym_lit] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__introText] = {
    .visible = false,
    .named = false,
  },
  [sym_iqt] = {
    .visible = true,
    .named = true,
  },
  [sym_imtBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_imt] = {
    .visible = true,
    .named = true,
  },
  [sym_imtTag] = {
    .visible = true,
    .named = true,
  },
  [sym_imteBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_imte] = {
    .visible = true,
    .named = true,
  },
  [sym_imteTag] = {
    .visible = true,
    .named = true,
  },
  [sym__midIntroMarker] = {
    .visible = false,
    .named = true,
  },
  [sym_isBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_is] = {
    .visible = true,
    .named = true,
  },
  [sym_isTag] = {
    .visible = true,
    .named = true,
  },
  [sym_io] = {
    .visible = true,
    .named = true,
  },
  [sym_ioTag] = {
    .visible = true,
    .named = true,
  },
  [sym_ior] = {
    .visible = true,
    .named = true,
  },
  [sym_iot] = {
    .visible = true,
    .named = true,
  },
  [sym_ip] = {
    .visible = true,
    .named = true,
  },
  [sym_im] = {
    .visible = true,
    .named = true,
  },
  [sym_ipi] = {
    .visible = true,
    .named = true,
  },
  [sym_imi] = {
    .visible = true,
    .named = true,
  },
  [sym_iliBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_ili] = {
    .visible = true,
    .named = true,
  },
  [sym_iliTag] = {
    .visible = true,
    .named = true,
  },
  [sym_ipq] = {
    .visible = true,
    .named = true,
  },
  [sym_imq] = {
    .visible = true,
    .named = true,
  },
  [sym_ipr] = {
    .visible = true,
    .named = true,
  },
  [sym_ib] = {
    .visible = true,
    .named = true,
  },
  [sym_iqBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_iq] = {
    .visible = true,
    .named = true,
  },
  [sym_iqTag] = {
    .visible = true,
    .named = true,
  },
  [sym_ie] = {
    .visible = true,
    .named = true,
  },
  [sym_iex] = {
    .visible = true,
    .named = true,
  },
  [sym_verseText] = {
    .visible = true,
    .named = true,
  },
  [sym_v] = {
    .visible = true,
    .named = true,
  },
  [sym__verseMeta] = {
    .visible = false,
    .named = true,
  },
  [sym_va] = {
    .visible = true,
    .named = true,
  },
  [sym_vp] = {
    .visible = true,
    .named = true,
  },
  [sym_chapter] = {
    .visible = true,
    .named = true,
  },
  [sym_c] = {
    .visible = true,
    .named = true,
  },
  [sym__chapterContent] = {
    .visible = false,
    .named = true,
  },
  [sym__chapterMeta] = {
    .visible = false,
    .named = true,
  },
  [sym_cl] = {
    .visible = true,
    .named = true,
  },
  [sym_ca] = {
    .visible = true,
    .named = true,
  },
  [sym_cp] = {
    .visible = true,
    .named = true,
  },
  [sym_cd] = {
    .visible = true,
    .named = true,
  },
  [sym_title] = {
    .visible = true,
    .named = true,
  },
  [sym_mtBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_mt] = {
    .visible = true,
    .named = true,
  },
  [sym_mtTag] = {
    .visible = true,
    .named = true,
  },
  [sym_mteBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_mte] = {
    .visible = true,
    .named = true,
  },
  [sym_mteTag] = {
    .visible = true,
    .named = true,
  },
  [sym_msBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_ms] = {
    .visible = true,
    .named = true,
  },
  [sym_msTag] = {
    .visible = true,
    .named = true,
  },
  [sym_mr] = {
    .visible = true,
    .named = true,
  },
  [sym_sBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_s] = {
    .visible = true,
    .named = true,
  },
  [sym_sTag] = {
    .visible = true,
    .named = true,
  },
  [sym_sr] = {
    .visible = true,
    .named = true,
  },
  [sym_r] = {
    .visible = true,
    .named = true,
  },
  [sym_sp] = {
    .visible = true,
    .named = true,
  },
  [sym_d] = {
    .visible = true,
    .named = true,
  },
  [sym_sdBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_sd] = {
    .visible = true,
    .named = true,
  },
  [sym_sdTag] = {
    .visible = true,
    .named = true,
  },
  [sym_paragraph] = {
    .visible = true,
    .named = true,
  },
  [sym__paragraphContent] = {
    .visible = false,
    .named = true,
  },
  [sym_p] = {
    .visible = true,
    .named = true,
  },
  [sym_m] = {
    .visible = true,
    .named = true,
  },
  [sym_po] = {
    .visible = true,
    .named = true,
  },
  [sym_pr] = {
    .visible = true,
    .named = true,
  },
  [sym_cls] = {
    .visible = true,
    .named = true,
  },
  [sym_pmo] = {
    .visible = true,
    .named = true,
  },
  [sym_pm] = {
    .visible = true,
    .named = true,
  },
  [sym_pmc] = {
    .visible = true,
    .named = true,
  },
  [sym_pmr] = {
    .visible = true,
    .named = true,
  },
  [sym_piBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_pi] = {
    .visible = true,
    .named = true,
  },
  [sym_piTag] = {
    .visible = true,
    .named = true,
  },
  [sym_mi] = {
    .visible = true,
    .named = true,
  },
  [sym_nb] = {
    .visible = true,
    .named = true,
  },
  [sym_pc] = {
    .visible = true,
    .named = true,
  },
  [sym_phBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_ph] = {
    .visible = true,
    .named = true,
  },
  [sym_phTag] = {
    .visible = true,
    .named = true,
  },
  [sym_b] = {
    .visible = true,
    .named = true,
  },
  [sym_poetry] = {
    .visible = true,
    .named = true,
  },
  [sym__poetryContent] = {
    .visible = false,
    .named = true,
  },
  [sym_qBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_q] = {
    .visible = true,
    .named = true,
  },
  [sym_qTag] = {
    .visible = true,
    .named = true,
  },
  [sym_qr] = {
    .visible = true,
    .named = true,
  },
  [sym_qc] = {
    .visible = true,
    .named = true,
  },
  [sym_qs] = {
    .visible = true,
    .named = true,
  },
  [sym_qa] = {
    .visible = true,
    .named = true,
  },
  [sym_qac] = {
    .visible = true,
    .named = true,
  },
  [sym_qmBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_qm] = {
    .visible = true,
    .named = true,
  },
  [sym_qmTag] = {
    .visible = true,
    .named = true,
  },
  [sym_qd] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_lh] = {
    .visible = true,
    .named = true,
  },
  [sym_lf] = {
    .visible = true,
    .named = true,
  },
  [sym__listMarker] = {
    .visible = false,
    .named = true,
  },
  [sym_liBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_li] = {
    .visible = true,
    .named = true,
  },
  [sym_liTag] = {
    .visible = true,
    .named = true,
  },
  [sym_limBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_lim] = {
    .visible = true,
    .named = true,
  },
  [sym_limTag] = {
    .visible = true,
    .named = true,
  },
  [sym_liv] = {
    .visible = true,
    .named = true,
  },
  [sym_livTag] = {
    .visible = true,
    .named = true,
  },
  [sym_lik] = {
    .visible = true,
    .named = true,
  },
  [sym_litl] = {
    .visible = true,
    .named = true,
  },
  [sym__listTextContent] = {
    .visible = false,
    .named = true,
  },
  [sym_table] = {
    .visible = true,
    .named = true,
  },
  [sym__tableText] = {
    .visible = false,
    .named = true,
  },
  [sym_tr] = {
    .visible = true,
    .named = true,
  },
  [sym_th] = {
    .visible = true,
    .named = true,
  },
  [sym_thr] = {
    .visible = true,
    .named = true,
  },
  [sym_tc] = {
    .visible = true,
    .named = true,
  },
  [sym_tcr] = {
    .visible = true,
    .named = true,
  },
  [sym_footnoteText] = {
    .visible = true,
    .named = true,
  },
  [sym_crossrefText] = {
    .visible = true,
    .named = true,
  },
  [sym_footnote] = {
    .visible = true,
    .named = true,
  },
  [sym_f] = {
    .visible = true,
    .named = true,
  },
  [sym_fe] = {
    .visible = true,
    .named = true,
  },
  [sym_ef] = {
    .visible = true,
    .named = true,
  },
  [sym_fr] = {
    .visible = true,
    .named = true,
  },
  [sym_fq] = {
    .visible = true,
    .named = true,
  },
  [sym_fqa] = {
    .visible = true,
    .named = true,
  },
  [sym_fk] = {
    .visible = true,
    .named = true,
  },
  [sym_fl] = {
    .visible = true,
    .named = true,
  },
  [sym_fw] = {
    .visible = true,
    .named = true,
  },
  [sym_fp] = {
    .visible = true,
    .named = true,
  },
  [sym_ft] = {
    .visible = true,
    .named = true,
  },
  [sym_fdc] = {
    .visible = true,
    .named = true,
  },
  [sym_fv] = {
    .visible = true,
    .named = true,
  },
  [sym_fm] = {
    .visible = true,
    .named = true,
  },
  [sym__footnoteContents] = {
    .visible = false,
    .named = true,
  },
  [sym_crossref] = {
    .visible = true,
    .named = true,
  },
  [sym_x] = {
    .visible = true,
    .named = true,
  },
  [sym_xo] = {
    .visible = true,
    .named = true,
  },
  [sym_xk] = {
    .visible = true,
    .named = true,
  },
  [sym_xq] = {
    .visible = true,
    .named = true,
  },
  [sym_xt] = {
    .visible = true,
    .named = true,
  },
  [sym_xtNested] = {
    .visible = true,
    .named = true,
  },
  [sym_xt_standalone] = {
    .visible = true,
    .named = true,
  },
  [sym_xta] = {
    .visible = true,
    .named = true,
  },
  [sym_xop] = {
    .visible = true,
    .named = true,
  },
  [sym_xot] = {
    .visible = true,
    .named = true,
  },
  [sym_xnt] = {
    .visible = true,
    .named = true,
  },
  [sym_xdc] = {
    .visible = true,
    .named = true,
  },
  [sym__crossrefContents] = {
    .visible = false,
    .named = true,
  },
  [sym_rq] = {
    .visible = true,
    .named = true,
  },
  [sym__innerText] = {
    .visible = false,
    .named = true,
  },
  [sym_add] = {
    .visible = true,
    .named = true,
  },
  [sym_bk] = {
    .visible = true,
    .named = true,
  },
  [sym_dc] = {
    .visible = true,
    .named = true,
  },
  [sym_k] = {
    .visible = true,
    .named = true,
  },
  [sym_nd] = {
    .visible = true,
    .named = true,
  },
  [sym_ord] = {
    .visible = true,
    .named = true,
  },
  [sym_pn] = {
    .visible = true,
    .named = true,
  },
  [sym_png] = {
    .visible = true,
    .named = true,
  },
  [sym_addpn] = {
    .visible = true,
    .named = true,
  },
  [sym_qt] = {
    .visible = true,
    .named = true,
  },
  [sym_sig] = {
    .visible = true,
    .named = true,
  },
  [sym_sls] = {
    .visible = true,
    .named = true,
  },
  [sym_tl] = {
    .visible = true,
    .named = true,
  },
  [sym_wj] = {
    .visible = true,
    .named = true,
  },
  [sym_em] = {
    .visible = true,
    .named = true,
  },
  [sym_bd] = {
    .visible = true,
    .named = true,
  },
  [sym_it] = {
    .visible = true,
    .named = true,
  },
  [sym_bdit] = {
    .visible = true,
    .named = true,
  },
  [sym_no] = {
    .visible = true,
    .named = true,
  },
  [sym_sc] = {
    .visible = true,
    .named = true,
  },
  [sym_sup] = {
    .visible = true,
    .named = true,
  },
  [sym_ndx] = {
    .visible = true,
    .named = true,
  },
  [sym_pro] = {
    .visible = true,
    .named = true,
  },
  [sym_rb] = {
    .visible = true,
    .named = true,
  },
  [sym_w] = {
    .visible = true,
    .named = true,
  },
  [sym_wg] = {
    .visible = true,
    .named = true,
  },
  [sym_wh] = {
    .visible = true,
    .named = true,
  },
  [sym_wa] = {
    .visible = true,
    .named = true,
  },
  [sym__characterMarker] = {
    .visible = false,
    .named = true,
  },
  [sym_addNested] = {
    .visible = true,
    .named = true,
  },
  [sym_bkNested] = {
    .visible = true,
    .named = true,
  },
  [sym_dcNested] = {
    .visible = true,
    .named = true,
  },
  [sym_kNested] = {
    .visible = true,
    .named = true,
  },
  [sym_ndNested] = {
    .visible = true,
    .named = true,
  },
  [sym_ordNested] = {
    .visible = true,
    .named = true,
  },
  [sym_pnNested] = {
    .visible = true,
    .named = true,
  },
  [sym_pngNested] = {
    .visible = true,
    .named = true,
  },
  [sym_addpnNested] = {
    .visible = true,
    .named = true,
  },
  [sym_qtNested] = {
    .visible = true,
    .named = true,
  },
  [sym_sigNested] = {
    .visible = true,
    .named = true,
  },
  [sym_slsNested] = {
    .visible = true,
    .named = true,
  },
  [sym_tlNested] = {
    .visible = true,
    .named = true,
  },
  [sym_wjNested] = {
    .visible = true,
    .named = true,
  },
  [sym_emNested] = {
    .visible = true,
    .named = true,
  },
  [sym_bdNested] = {
    .visible = true,
    .named = true,
  },
  [sym_itNested] = {
    .visible = true,
    .named = true,
  },
  [sym_bditNested] = {
    .visible = true,
    .named = true,
  },
  [sym_noNested] = {
    .visible = true,
    .named = true,
  },
  [sym_scNested] = {
    .visible = true,
    .named = true,
  },
  [sym_supNested] = {
    .visible = true,
    .named = true,
  },
  [sym_ndxNested] = {
    .visible = true,
    .named = true,
  },
  [sym_proNested] = {
    .visible = true,
    .named = true,
  },
  [sym_rbNested] = {
    .visible = true,
    .named = true,
  },
  [sym_wNested] = {
    .visible = true,
    .named = true,
  },
  [sym_wgNested] = {
    .visible = true,
    .named = true,
  },
  [sym_whNested] = {
    .visible = true,
    .named = true,
  },
  [sym_waNested] = {
    .visible = true,
    .named = true,
  },
  [sym__nestedCharacterMarker] = {
    .visible = false,
    .named = true,
  },
  [sym_fig] = {
    .visible = true,
    .named = true,
  },
  [sym_jmp] = {
    .visible = true,
    .named = true,
  },
  [sym_jmpNested] = {
    .visible = true,
    .named = true,
  },
  [sym_pb] = {
    .visible = true,
    .named = true,
  },
  [sym_milestoneTag] = {
    .visible = true,
    .named = true,
  },
  [sym__milestoneStandaloneMarker] = {
    .visible = false,
    .named = true,
  },
  [sym__milestoneStart] = {
    .visible = false,
    .named = true,
  },
  [sym__milestoneEnd] = {
    .visible = false,
    .named = true,
  },
  [sym_milestone] = {
    .visible = true,
    .named = true,
  },
  [sym__zNameSpaceRegular] = {
    .visible = false,
    .named = true,
  },
  [sym__zNameSpaceClosed] = {
    .visible = false,
    .named = true,
  },
  [sym__zNameSpaceStandaloneMarker] = {
    .visible = false,
    .named = true,
  },
  [sym_zNameSpace] = {
    .visible = true,
    .named = true,
  },
  [sym_esb] = {
    .visible = true,
    .named = true,
  },
  [sym__esbContents] = {
    .visible = false,
    .named = true,
  },
  [sym_cat] = {
    .visible = true,
    .named = true,
  },
  [sym_customAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_defaultAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym__kAttributes] = {
    .visible = false,
    .named = true,
  },
  [sym_keyAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym__wAttributes] = {
    .visible = false,
    .named = true,
  },
  [sym__rbAttributes] = {
    .visible = false,
    .named = true,
  },
  [sym__figAttributes] = {
    .visible = false,
    .named = true,
  },
  [sym__refAttributes] = {
    .visible = false,
    .named = true,
  },
  [sym_lemmaAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_strongAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_scrlocAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_glossAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jmpAttribute] = {
    .visible = false,
    .named = true,
  },
  [sym_linkAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym__linkAttributeName] = {
    .visible = false,
    .named = true,
  },
  [sym__linkAttributeUserDefinedName] = {
    .visible = false,
    .named = true,
  },
  [sym_altAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_srcAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_locAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_copyAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_refAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym__milestoneAttributes] = {
    .visible = false,
    .named = true,
  },
  [sym_msAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_milestoneAttributeName] = {
    .visible = true,
    .named = true,
  },
  [sym__attributesInCrossref] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_File_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_File_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__mandatoryHead_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_hBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tocBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tocaBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_imtBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_imteBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_isBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_iliBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_iqBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_verseText_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_v_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_chapter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_c_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cd_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_mtBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_mt_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_mteBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_msBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ms_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sdBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_p_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_piBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_phBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_poetry_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_qBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_q_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_qa_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_qmBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_liBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_li_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_limBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_liv_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_table_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tr_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_footnoteText_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_crossrefText_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_f_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_x_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__innerText_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_esb_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__wAttributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__rbAttributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__figAttributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jmpAttribute_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__milestoneAttributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__attributesInCrossref_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_label = 1,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_label] = "label",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_label, 1},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 46,
  [61] = 45,
  [62] = 44,
  [63] = 42,
  [64] = 43,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 97,
  [100] = 100,
  [101] = 98,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 97,
  [106] = 100,
  [107] = 98,
  [108] = 102,
  [109] = 103,
  [110] = 104,
  [111] = 97,
  [112] = 100,
  [113] = 98,
  [114] = 102,
  [115] = 103,
  [116] = 104,
  [117] = 97,
  [118] = 100,
  [119] = 98,
  [120] = 102,
  [121] = 103,
  [122] = 104,
  [123] = 97,
  [124] = 100,
  [125] = 98,
  [126] = 102,
  [127] = 103,
  [128] = 104,
  [129] = 100,
  [130] = 98,
  [131] = 102,
  [132] = 103,
  [133] = 98,
  [134] = 104,
  [135] = 97,
  [136] = 103,
  [137] = 102,
  [138] = 98,
  [139] = 100,
  [140] = 97,
  [141] = 104,
  [142] = 103,
  [143] = 102,
  [144] = 51,
  [145] = 102,
  [146] = 103,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 50,
  [151] = 53,
  [152] = 54,
  [153] = 98,
  [154] = 102,
  [155] = 103,
  [156] = 100,
  [157] = 98,
  [158] = 102,
  [159] = 103,
  [160] = 104,
  [161] = 97,
  [162] = 100,
  [163] = 98,
  [164] = 102,
  [165] = 103,
  [166] = 104,
  [167] = 97,
  [168] = 168,
  [169] = 169,
  [170] = 52,
  [171] = 100,
  [172] = 98,
  [173] = 102,
  [174] = 103,
  [175] = 104,
  [176] = 97,
  [177] = 100,
  [178] = 104,
  [179] = 57,
  [180] = 49,
  [181] = 59,
  [182] = 58,
  [183] = 104,
  [184] = 97,
  [185] = 100,
  [186] = 97,
  [187] = 56,
  [188] = 55,
  [189] = 100,
  [190] = 104,
  [191] = 191,
  [192] = 192,
  [193] = 66,
  [194] = 84,
  [195] = 67,
  [196] = 83,
  [197] = 90,
  [198] = 89,
  [199] = 87,
  [200] = 80,
  [201] = 79,
  [202] = 68,
  [203] = 96,
  [204] = 70,
  [205] = 86,
  [206] = 71,
  [207] = 72,
  [208] = 73,
  [209] = 95,
  [210] = 82,
  [211] = 94,
  [212] = 74,
  [213] = 91,
  [214] = 88,
  [215] = 75,
  [216] = 76,
  [217] = 69,
  [218] = 77,
  [219] = 78,
  [220] = 93,
  [221] = 92,
  [222] = 85,
  [223] = 81,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 258,
  [260] = 260,
  [261] = 261,
  [262] = 258,
  [263] = 260,
  [264] = 260,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 283,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 283,
  [293] = 293,
  [294] = 283,
  [295] = 283,
  [296] = 283,
  [297] = 283,
  [298] = 283,
  [299] = 283,
  [300] = 283,
  [301] = 301,
  [302] = 283,
  [303] = 283,
  [304] = 304,
  [305] = 305,
  [306] = 283,
  [307] = 307,
  [308] = 308,
  [309] = 282,
  [310] = 307,
  [311] = 308,
  [312] = 281,
  [313] = 305,
  [314] = 284,
  [315] = 308,
  [316] = 307,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 307,
  [321] = 308,
  [322] = 307,
  [323] = 308,
  [324] = 324,
  [325] = 57,
  [326] = 326,
  [327] = 324,
  [328] = 328,
  [329] = 329,
  [330] = 326,
  [331] = 326,
  [332] = 324,
  [333] = 319,
  [334] = 317,
  [335] = 335,
  [336] = 87,
  [337] = 308,
  [338] = 307,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 319,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 318,
  [350] = 228,
  [351] = 247,
  [352] = 256,
  [353] = 246,
  [354] = 7,
  [355] = 257,
  [356] = 245,
  [357] = 244,
  [358] = 243,
  [359] = 2,
  [360] = 2,
  [361] = 342,
  [362] = 6,
  [363] = 242,
  [364] = 254,
  [365] = 225,
  [366] = 240,
  [367] = 5,
  [368] = 239,
  [369] = 238,
  [370] = 4,
  [371] = 371,
  [372] = 317,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 229,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 237,
  [383] = 3,
  [384] = 384,
  [385] = 236,
  [386] = 253,
  [387] = 387,
  [388] = 249,
  [389] = 234,
  [390] = 250,
  [391] = 233,
  [392] = 235,
  [393] = 248,
  [394] = 224,
  [395] = 255,
  [396] = 251,
  [397] = 232,
  [398] = 231,
  [399] = 230,
  [400] = 227,
  [401] = 252,
  [402] = 226,
  [403] = 241,
  [404] = 270,
  [405] = 269,
  [406] = 271,
  [407] = 348,
  [408] = 278,
  [409] = 346,
  [410] = 277,
  [411] = 347,
  [412] = 344,
  [413] = 276,
  [414] = 268,
  [415] = 275,
  [416] = 274,
  [417] = 273,
  [418] = 272,
  [419] = 267,
  [420] = 420,
  [421] = 421,
  [422] = 47,
  [423] = 423,
  [424] = 2,
  [425] = 425,
  [426] = 48,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 342,
  [458] = 256,
  [459] = 2,
  [460] = 250,
  [461] = 461,
  [462] = 248,
  [463] = 463,
  [464] = 430,
  [465] = 452,
  [466] = 247,
  [467] = 446,
  [468] = 468,
  [469] = 270,
  [470] = 470,
  [471] = 246,
  [472] = 245,
  [473] = 244,
  [474] = 443,
  [475] = 442,
  [476] = 476,
  [477] = 3,
  [478] = 243,
  [479] = 242,
  [480] = 225,
  [481] = 441,
  [482] = 274,
  [483] = 268,
  [484] = 440,
  [485] = 6,
  [486] = 456,
  [487] = 445,
  [488] = 439,
  [489] = 438,
  [490] = 267,
  [491] = 271,
  [492] = 269,
  [493] = 437,
  [494] = 494,
  [495] = 436,
  [496] = 273,
  [497] = 435,
  [498] = 434,
  [499] = 7,
  [500] = 451,
  [501] = 240,
  [502] = 239,
  [503] = 432,
  [504] = 433,
  [505] = 429,
  [506] = 4,
  [507] = 5,
  [508] = 238,
  [509] = 277,
  [510] = 229,
  [511] = 237,
  [512] = 278,
  [513] = 236,
  [514] = 235,
  [515] = 344,
  [516] = 516,
  [517] = 48,
  [518] = 276,
  [519] = 275,
  [520] = 255,
  [521] = 251,
  [522] = 272,
  [523] = 228,
  [524] = 227,
  [525] = 431,
  [526] = 347,
  [527] = 346,
  [528] = 348,
  [529] = 226,
  [530] = 47,
  [531] = 254,
  [532] = 257,
  [533] = 253,
  [534] = 534,
  [535] = 249,
  [536] = 241,
  [537] = 230,
  [538] = 252,
  [539] = 234,
  [540] = 233,
  [541] = 224,
  [542] = 232,
  [543] = 231,
  [544] = 342,
  [545] = 2,
  [546] = 275,
  [547] = 346,
  [548] = 267,
  [549] = 270,
  [550] = 550,
  [551] = 276,
  [552] = 347,
  [553] = 268,
  [554] = 272,
  [555] = 274,
  [556] = 273,
  [557] = 557,
  [558] = 278,
  [559] = 271,
  [560] = 269,
  [561] = 561,
  [562] = 348,
  [563] = 563,
  [564] = 344,
  [565] = 277,
  [566] = 2,
  [567] = 567,
  [568] = 434,
  [569] = 436,
  [570] = 453,
  [571] = 442,
  [572] = 441,
  [573] = 437,
  [574] = 444,
  [575] = 455,
  [576] = 443,
  [577] = 440,
  [578] = 431,
  [579] = 450,
  [580] = 448,
  [581] = 439,
  [582] = 429,
  [583] = 456,
  [584] = 430,
  [585] = 433,
  [586] = 445,
  [587] = 438,
  [588] = 454,
  [589] = 447,
  [590] = 452,
  [591] = 435,
  [592] = 446,
  [593] = 451,
  [594] = 449,
  [595] = 432,
  [596] = 231,
  [597] = 240,
  [598] = 225,
  [599] = 242,
  [600] = 3,
  [601] = 243,
  [602] = 244,
  [603] = 232,
  [604] = 224,
  [605] = 233,
  [606] = 245,
  [607] = 246,
  [608] = 247,
  [609] = 248,
  [610] = 250,
  [611] = 2,
  [612] = 252,
  [613] = 253,
  [614] = 614,
  [615] = 230,
  [616] = 254,
  [617] = 239,
  [618] = 4,
  [619] = 5,
  [620] = 241,
  [621] = 226,
  [622] = 238,
  [623] = 237,
  [624] = 236,
  [625] = 234,
  [626] = 229,
  [627] = 255,
  [628] = 251,
  [629] = 235,
  [630] = 227,
  [631] = 257,
  [632] = 256,
  [633] = 633,
  [634] = 228,
  [635] = 249,
  [636] = 476,
  [637] = 6,
  [638] = 236,
  [639] = 237,
  [640] = 226,
  [641] = 230,
  [642] = 228,
  [643] = 231,
  [644] = 238,
  [645] = 227,
  [646] = 235,
  [647] = 647,
  [648] = 3,
  [649] = 232,
  [650] = 427,
  [651] = 224,
  [652] = 248,
  [653] = 234,
  [654] = 48,
  [655] = 249,
  [656] = 463,
  [657] = 256,
  [658] = 239,
  [659] = 257,
  [660] = 250,
  [661] = 251,
  [662] = 267,
  [663] = 255,
  [664] = 274,
  [665] = 271,
  [666] = 269,
  [667] = 2,
  [668] = 468,
  [669] = 240,
  [670] = 420,
  [671] = 470,
  [672] = 672,
  [673] = 461,
  [674] = 229,
  [675] = 225,
  [676] = 7,
  [677] = 247,
  [678] = 277,
  [679] = 276,
  [680] = 275,
  [681] = 272,
  [682] = 451,
  [683] = 446,
  [684] = 5,
  [685] = 241,
  [686] = 431,
  [687] = 687,
  [688] = 432,
  [689] = 429,
  [690] = 433,
  [691] = 434,
  [692] = 273,
  [693] = 516,
  [694] = 252,
  [695] = 435,
  [696] = 242,
  [697] = 268,
  [698] = 534,
  [699] = 246,
  [700] = 243,
  [701] = 436,
  [702] = 244,
  [703] = 494,
  [704] = 437,
  [705] = 438,
  [706] = 4,
  [707] = 439,
  [708] = 440,
  [709] = 254,
  [710] = 253,
  [711] = 441,
  [712] = 245,
  [713] = 442,
  [714] = 443,
  [715] = 452,
  [716] = 430,
  [717] = 233,
  [718] = 278,
  [719] = 445,
  [720] = 456,
  [721] = 47,
  [722] = 270,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 308,
  [727] = 557,
  [728] = 550,
  [729] = 561,
  [730] = 563,
  [731] = 307,
  [732] = 307,
  [733] = 308,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 735,
  [739] = 736,
  [740] = 734,
  [741] = 737,
  [742] = 3,
  [743] = 4,
  [744] = 279,
  [745] = 229,
  [746] = 254,
  [747] = 255,
  [748] = 633,
  [749] = 749,
  [750] = 614,
  [751] = 751,
  [752] = 752,
  [753] = 253,
  [754] = 251,
  [755] = 252,
  [756] = 257,
  [757] = 256,
  [758] = 249,
  [759] = 234,
  [760] = 233,
  [761] = 2,
  [762] = 224,
  [763] = 232,
  [764] = 5,
  [765] = 280,
  [766] = 231,
  [767] = 230,
  [768] = 241,
  [769] = 226,
  [770] = 227,
  [771] = 228,
  [772] = 235,
  [773] = 236,
  [774] = 237,
  [775] = 238,
  [776] = 239,
  [777] = 240,
  [778] = 225,
  [779] = 242,
  [780] = 243,
  [781] = 244,
  [782] = 245,
  [783] = 246,
  [784] = 247,
  [785] = 248,
  [786] = 250,
  [787] = 279,
  [788] = 280,
  [789] = 647,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 792,
  [795] = 792,
  [796] = 792,
  [797] = 792,
  [798] = 792,
  [799] = 792,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 791,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 790,
  [819] = 807,
  [820] = 806,
  [821] = 805,
  [822] = 804,
  [823] = 803,
  [824] = 824,
  [825] = 825,
  [826] = 802,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 801,
  [833] = 800,
  [834] = 793,
  [835] = 835,
  [836] = 808,
  [837] = 809,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 791,
  [842] = 830,
  [843] = 839,
  [844] = 838,
  [845] = 831,
  [846] = 829,
  [847] = 830,
  [848] = 809,
  [849] = 808,
  [850] = 828,
  [851] = 835,
  [852] = 793,
  [853] = 827,
  [854] = 800,
  [855] = 801,
  [856] = 831,
  [857] = 802,
  [858] = 790,
  [859] = 803,
  [860] = 804,
  [861] = 805,
  [862] = 806,
  [863] = 824,
  [864] = 807,
  [865] = 838,
  [866] = 840,
  [867] = 813,
  [868] = 791,
  [869] = 815,
  [870] = 839,
  [871] = 816,
  [872] = 790,
  [873] = 824,
  [874] = 825,
  [875] = 827,
  [876] = 828,
  [877] = 829,
  [878] = 839,
  [879] = 840,
  [880] = 838,
  [881] = 825,
  [882] = 831,
  [883] = 830,
  [884] = 809,
  [885] = 808,
  [886] = 829,
  [887] = 828,
  [888] = 835,
  [889] = 824,
  [890] = 790,
  [891] = 816,
  [892] = 793,
  [893] = 800,
  [894] = 801,
  [895] = 802,
  [896] = 803,
  [897] = 804,
  [898] = 805,
  [899] = 806,
  [900] = 807,
  [901] = 815,
  [902] = 813,
  [903] = 791,
  [904] = 815,
  [905] = 816,
  [906] = 790,
  [907] = 824,
  [908] = 825,
  [909] = 827,
  [910] = 828,
  [911] = 829,
  [912] = 839,
  [913] = 840,
  [914] = 838,
  [915] = 831,
  [916] = 802,
  [917] = 813,
  [918] = 830,
  [919] = 809,
  [920] = 808,
  [921] = 827,
  [922] = 835,
  [923] = 807,
  [924] = 806,
  [925] = 792,
  [926] = 825,
  [927] = 800,
  [928] = 801,
  [929] = 793,
  [930] = 805,
  [931] = 804,
  [932] = 803,
  [933] = 804,
  [934] = 805,
  [935] = 806,
  [936] = 807,
  [937] = 803,
  [938] = 813,
  [939] = 791,
  [940] = 815,
  [941] = 816,
  [942] = 790,
  [943] = 824,
  [944] = 825,
  [945] = 827,
  [946] = 828,
  [947] = 829,
  [948] = 839,
  [949] = 840,
  [950] = 838,
  [951] = 831,
  [952] = 830,
  [953] = 809,
  [954] = 802,
  [955] = 808,
  [956] = 835,
  [957] = 793,
  [958] = 827,
  [959] = 800,
  [960] = 801,
  [961] = 810,
  [962] = 811,
  [963] = 812,
  [964] = 817,
  [965] = 801,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 792,
  [976] = 802,
  [977] = 977,
  [978] = 803,
  [979] = 816,
  [980] = 980,
  [981] = 981,
  [982] = 815,
  [983] = 791,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 804,
  [989] = 805,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 806,
  [999] = 807,
  [1000] = 813,
  [1001] = 800,
  [1002] = 813,
  [1003] = 807,
  [1004] = 806,
  [1005] = 791,
  [1006] = 805,
  [1007] = 804,
  [1008] = 815,
  [1009] = 816,
  [1010] = 803,
  [1011] = 802,
  [1012] = 801,
  [1013] = 800,
  [1014] = 824,
  [1015] = 825,
  [1016] = 827,
  [1017] = 966,
  [1018] = 967,
  [1019] = 968,
  [1020] = 793,
  [1021] = 828,
  [1022] = 835,
  [1023] = 808,
  [1024] = 809,
  [1025] = 830,
  [1026] = 831,
  [1027] = 829,
  [1028] = 839,
  [1029] = 840,
  [1030] = 838,
  [1031] = 838,
  [1032] = 840,
  [1033] = 793,
  [1034] = 831,
  [1035] = 839,
  [1036] = 969,
  [1037] = 829,
  [1038] = 830,
  [1039] = 828,
  [1040] = 993,
  [1041] = 825,
  [1042] = 824,
  [1043] = 790,
  [1044] = 809,
  [1045] = 816,
  [1046] = 815,
  [1047] = 791,
  [1048] = 970,
  [1049] = 808,
  [1050] = 835,
  [1051] = 793,
  [1052] = 971,
  [1053] = 813,
  [1054] = 972,
  [1055] = 973,
  [1056] = 997,
  [1057] = 996,
  [1058] = 995,
  [1059] = 994,
  [1060] = 840,
  [1061] = 992,
  [1062] = 991,
  [1063] = 800,
  [1064] = 990,
  [1065] = 801,
  [1066] = 987,
  [1067] = 986,
  [1068] = 985,
  [1069] = 984,
  [1070] = 981,
  [1071] = 980,
  [1072] = 977,
  [1073] = 974,
  [1074] = 802,
  [1075] = 803,
  [1076] = 804,
  [1077] = 805,
  [1078] = 806,
  [1079] = 807,
  [1080] = 835,
  [1081] = 808,
  [1082] = 813,
  [1083] = 835,
  [1084] = 809,
  [1085] = 815,
  [1086] = 830,
  [1087] = 816,
  [1088] = 790,
  [1089] = 824,
  [1090] = 825,
  [1091] = 827,
  [1092] = 828,
  [1093] = 831,
  [1094] = 829,
  [1095] = 839,
  [1096] = 840,
  [1097] = 838,
  [1098] = 1098,
  [1099] = 1098,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1128,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1128,
  [1138] = 1121,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1143,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1142,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1149,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1149,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1149,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1149,
  [1161] = 1161,
  [1162] = 1149,
  [1163] = 1163,
  [1164] = 1149,
  [1165] = 1149,
  [1166] = 1149,
  [1167] = 1149,
  [1168] = 1149,
  [1169] = 1169,
  [1170] = 1149,
  [1171] = 1149,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1179,
  [1181] = 1177,
  [1182] = 251,
  [1183] = 7,
  [1184] = 6,
  [1185] = 48,
  [1186] = 647,
  [1187] = 5,
  [1188] = 245,
  [1189] = 47,
  [1190] = 2,
  [1191] = 244,
  [1192] = 243,
  [1193] = 242,
  [1194] = 235,
  [1195] = 225,
  [1196] = 250,
  [1197] = 3,
  [1198] = 240,
  [1199] = 239,
  [1200] = 238,
  [1201] = 237,
  [1202] = 236,
  [1203] = 252,
  [1204] = 248,
  [1205] = 228,
  [1206] = 253,
  [1207] = 227,
  [1208] = 247,
  [1209] = 241,
  [1210] = 226,
  [1211] = 230,
  [1212] = 4,
  [1213] = 229,
  [1214] = 246,
  [1215] = 255,
  [1216] = 257,
  [1217] = 256,
  [1218] = 249,
  [1219] = 234,
  [1220] = 233,
  [1221] = 254,
  [1222] = 231,
  [1223] = 232,
  [1224] = 224,
  [1225] = 1225,
  [1226] = 1139,
  [1227] = 1227,
  [1228] = 1140,
  [1229] = 1229,
  [1230] = 277,
  [1231] = 1231,
  [1232] = 342,
  [1233] = 7,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1175,
  [1240] = 1240,
  [1241] = 269,
  [1242] = 1176,
  [1243] = 1174,
  [1244] = 48,
  [1245] = 1172,
  [1246] = 276,
  [1247] = 274,
  [1248] = 267,
  [1249] = 47,
  [1250] = 273,
  [1251] = 275,
  [1252] = 272,
  [1253] = 6,
  [1254] = 268,
  [1255] = 278,
  [1256] = 271,
  [1257] = 346,
  [1258] = 270,
  [1259] = 1259,
  [1260] = 2,
  [1261] = 1261,
  [1262] = 1178,
  [1263] = 1263,
  [1264] = 270,
  [1265] = 267,
  [1266] = 342,
  [1267] = 2,
  [1268] = 274,
  [1269] = 275,
  [1270] = 1270,
  [1271] = 6,
  [1272] = 278,
  [1273] = 1273,
  [1274] = 272,
  [1275] = 268,
  [1276] = 271,
  [1277] = 269,
  [1278] = 1278,
  [1279] = 1114,
  [1280] = 277,
  [1281] = 276,
  [1282] = 273,
  [1283] = 7,
  [1284] = 1284,
  [1285] = 348,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 346,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1229,
  [1299] = 1225,
  [1300] = 344,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 342,
  [1304] = 1304,
  [1305] = 1227,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 347,
  [1311] = 437,
  [1312] = 442,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 348,
  [1316] = 2,
  [1317] = 432,
  [1318] = 429,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 433,
  [1322] = 434,
  [1323] = 435,
  [1324] = 451,
  [1325] = 346,
  [1326] = 436,
  [1327] = 347,
  [1328] = 438,
  [1329] = 1329,
  [1330] = 439,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 440,
  [1334] = 344,
  [1335] = 269,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 441,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 443,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 268,
  [1347] = 1347,
  [1348] = 431,
  [1349] = 452,
  [1350] = 430,
  [1351] = 1351,
  [1352] = 277,
  [1353] = 276,
  [1354] = 1354,
  [1355] = 275,
  [1356] = 271,
  [1357] = 2,
  [1358] = 272,
  [1359] = 446,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 274,
  [1363] = 2,
  [1364] = 342,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 434,
  [1371] = 431,
  [1372] = 48,
  [1373] = 245,
  [1374] = 275,
  [1375] = 446,
  [1376] = 451,
  [1377] = 432,
  [1378] = 47,
  [1379] = 429,
  [1380] = 244,
  [1381] = 243,
  [1382] = 246,
  [1383] = 433,
  [1384] = 254,
  [1385] = 435,
  [1386] = 436,
  [1387] = 437,
  [1388] = 438,
  [1389] = 439,
  [1390] = 440,
  [1391] = 2,
  [1392] = 242,
  [1393] = 225,
  [1394] = 240,
  [1395] = 239,
  [1396] = 238,
  [1397] = 441,
  [1398] = 237,
  [1399] = 236,
  [1400] = 235,
  [1401] = 228,
  [1402] = 227,
  [1403] = 226,
  [1404] = 241,
  [1405] = 230,
  [1406] = 231,
  [1407] = 232,
  [1408] = 224,
  [1409] = 233,
  [1410] = 234,
  [1411] = 249,
  [1412] = 256,
  [1413] = 257,
  [1414] = 463,
  [1415] = 442,
  [1416] = 476,
  [1417] = 443,
  [1418] = 247,
  [1419] = 452,
  [1420] = 430,
  [1421] = 248,
  [1422] = 229,
  [1423] = 461,
  [1424] = 516,
  [1425] = 250,
  [1426] = 274,
  [1427] = 271,
  [1428] = 269,
  [1429] = 7,
  [1430] = 277,
  [1431] = 4,
  [1432] = 5,
  [1433] = 252,
  [1434] = 3,
  [1435] = 273,
  [1436] = 267,
  [1437] = 270,
  [1438] = 278,
  [1439] = 276,
  [1440] = 445,
  [1441] = 456,
  [1442] = 253,
  [1443] = 268,
  [1444] = 255,
  [1445] = 6,
  [1446] = 251,
  [1447] = 272,
  [1448] = 431,
  [1449] = 7,
  [1450] = 248,
  [1451] = 250,
  [1452] = 257,
  [1453] = 246,
  [1454] = 245,
  [1455] = 252,
  [1456] = 253,
  [1457] = 254,
  [1458] = 244,
  [1459] = 243,
  [1460] = 242,
  [1461] = 225,
  [1462] = 240,
  [1463] = 239,
  [1464] = 238,
  [1465] = 237,
  [1466] = 236,
  [1467] = 235,
  [1468] = 228,
  [1469] = 227,
  [1470] = 226,
  [1471] = 241,
  [1472] = 230,
  [1473] = 231,
  [1474] = 232,
  [1475] = 224,
  [1476] = 233,
  [1477] = 234,
  [1478] = 249,
  [1479] = 256,
  [1480] = 274,
  [1481] = 251,
  [1482] = 255,
  [1483] = 229,
  [1484] = 436,
  [1485] = 445,
  [1486] = 456,
  [1487] = 437,
  [1488] = 4,
  [1489] = 5,
  [1490] = 438,
  [1491] = 7,
  [1492] = 6,
  [1493] = 2,
  [1494] = 439,
  [1495] = 1273,
  [1496] = 440,
  [1497] = 1278,
  [1498] = 441,
  [1499] = 2,
  [1500] = 442,
  [1501] = 443,
  [1502] = 452,
  [1503] = 430,
  [1504] = 1270,
  [1505] = 247,
  [1506] = 271,
  [1507] = 269,
  [1508] = 1263,
  [1509] = 3,
  [1510] = 273,
  [1511] = 47,
  [1512] = 267,
  [1513] = 270,
  [1514] = 278,
  [1515] = 268,
  [1516] = 6,
  [1517] = 451,
  [1518] = 446,
  [1519] = 272,
  [1520] = 275,
  [1521] = 276,
  [1522] = 48,
  [1523] = 277,
  [1524] = 435,
  [1525] = 432,
  [1526] = 429,
  [1527] = 433,
  [1528] = 434,
  [1529] = 1294,
  [1530] = 1284,
  [1531] = 1289,
  [1532] = 1291,
  [1533] = 1286,
  [1534] = 1288,
  [1535] = 1301,
  [1536] = 1287,
  [1537] = 1296,
  [1538] = 1307,
  [1539] = 1290,
  [1540] = 1297,
  [1541] = 1302,
  [1542] = 1304,
  [1543] = 1308,
  [1544] = 1292,
  [1545] = 1295,
  [1546] = 1319,
  [1547] = 1320,
  [1548] = 1140,
  [1549] = 1549,
  [1550] = 342,
  [1551] = 5,
  [1552] = 273,
  [1553] = 3,
  [1554] = 2,
  [1555] = 34,
  [1556] = 36,
  [1557] = 41,
  [1558] = 38,
  [1559] = 25,
  [1560] = 10,
  [1561] = 11,
  [1562] = 37,
  [1563] = 12,
  [1564] = 13,
  [1565] = 14,
  [1566] = 15,
  [1567] = 16,
  [1568] = 17,
  [1569] = 18,
  [1570] = 19,
  [1571] = 20,
  [1572] = 8,
  [1573] = 267,
  [1574] = 270,
  [1575] = 21,
  [1576] = 22,
  [1577] = 274,
  [1578] = 271,
  [1579] = 269,
  [1580] = 23,
  [1581] = 423,
  [1582] = 425,
  [1583] = 24,
  [1584] = 9,
  [1585] = 26,
  [1586] = 27,
  [1587] = 28,
  [1588] = 29,
  [1589] = 30,
  [1590] = 31,
  [1591] = 32,
  [1592] = 33,
  [1593] = 7,
  [1594] = 39,
  [1595] = 277,
  [1596] = 276,
  [1597] = 40,
  [1598] = 275,
  [1599] = 272,
  [1600] = 2,
  [1601] = 35,
  [1602] = 6,
  [1603] = 4,
  [1604] = 268,
  [1605] = 428,
  [1606] = 421,
  [1607] = 278,
  [1608] = 271,
  [1609] = 269,
  [1610] = 7,
  [1611] = 5,
  [1612] = 270,
  [1613] = 277,
  [1614] = 276,
  [1615] = 275,
  [1616] = 272,
  [1617] = 267,
  [1618] = 4,
  [1619] = 274,
  [1620] = 346,
  [1621] = 278,
  [1622] = 273,
  [1623] = 3,
  [1624] = 6,
  [1625] = 268,
  [1626] = 1626,
  [1627] = 2,
  [1628] = 2,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 275,
  [1636] = 7,
  [1637] = 277,
  [1638] = 276,
  [1639] = 270,
  [1640] = 267,
  [1641] = 272,
  [1642] = 273,
  [1643] = 1643,
  [1644] = 2,
  [1645] = 1645,
  [1646] = 269,
  [1647] = 271,
  [1648] = 274,
  [1649] = 278,
  [1650] = 268,
  [1651] = 6,
  [1652] = 431,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1365,
  [1657] = 430,
  [1658] = 452,
  [1659] = 443,
  [1660] = 442,
  [1661] = 435,
  [1662] = 441,
  [1663] = 446,
  [1664] = 432,
  [1665] = 1665,
  [1666] = 440,
  [1667] = 429,
  [1668] = 439,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1366,
  [1672] = 1672,
  [1673] = 48,
  [1674] = 433,
  [1675] = 434,
  [1676] = 47,
  [1677] = 1677,
  [1678] = 438,
  [1679] = 451,
  [1680] = 436,
  [1681] = 2,
  [1682] = 437,
  [1683] = 420,
  [1684] = 342,
  [1685] = 427,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 346,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 2,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 1710,
  [1711] = 438,
  [1712] = 429,
  [1713] = 432,
  [1714] = 430,
  [1715] = 441,
  [1716] = 442,
  [1717] = 443,
  [1718] = 439,
  [1719] = 451,
  [1720] = 431,
  [1721] = 1366,
  [1722] = 433,
  [1723] = 452,
  [1724] = 440,
  [1725] = 437,
  [1726] = 1726,
  [1727] = 446,
  [1728] = 435,
  [1729] = 1365,
  [1730] = 1730,
  [1731] = 434,
  [1732] = 1732,
  [1733] = 436,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 340,
  [1737] = 341,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1739,
  [1741] = 1741,
  [1742] = 1739,
  [1743] = 1739,
  [1744] = 1741,
  [1745] = 1741,
  [1746] = 1739,
  [1747] = 1741,
  [1748] = 1741,
  [1749] = 1739,
  [1750] = 1739,
  [1751] = 1741,
  [1752] = 1741,
  [1753] = 1741,
  [1754] = 1741,
  [1755] = 1741,
  [1756] = 1741,
  [1757] = 1739,
  [1758] = 1739,
  [1759] = 1739,
  [1760] = 1739,
  [1761] = 1741,
  [1762] = 1739,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1770,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1773,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1803,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 425,
  [1829] = 421,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1847,
  [1848] = 1846,
  [1849] = 1847,
  [1850] = 1847,
  [1851] = 1846,
  [1852] = 1846,
  [1853] = 1847,
  [1854] = 1846,
  [1855] = 1847,
  [1856] = 1846,
  [1857] = 1847,
  [1858] = 1847,
  [1859] = 1847,
  [1860] = 1847,
  [1861] = 1847,
  [1862] = 1847,
  [1863] = 1846,
  [1864] = 1846,
  [1865] = 1846,
  [1866] = 1866,
  [1867] = 1867,
  [1868] = 1866,
  [1869] = 1866,
  [1870] = 1866,
  [1871] = 1866,
  [1872] = 1866,
  [1873] = 1866,
  [1874] = 1866,
  [1875] = 1866,
  [1876] = 1867,
  [1877] = 1877,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1877,
  [1881] = 1881,
  [1882] = 1881,
  [1883] = 1881,
  [1884] = 1884,
  [1885] = 1881,
  [1886] = 1886,
  [1887] = 1879,
  [1888] = 1886,
  [1889] = 1877,
  [1890] = 1890,
  [1891] = 1879,
  [1892] = 1886,
  [1893] = 1886,
  [1894] = 1890,
  [1895] = 1886,
  [1896] = 1886,
  [1897] = 1881,
  [1898] = 1877,
  [1899] = 1890,
  [1900] = 1878,
  [1901] = 1879,
  [1902] = 1877,
  [1903] = 1881,
  [1904] = 1904,
  [1905] = 1878,
  [1906] = 1284,
  [1907] = 1879,
  [1908] = 1879,
  [1909] = 1909,
  [1910] = 1878,
  [1911] = 1877,
  [1912] = 1878,
  [1913] = 1879,
  [1914] = 1879,
  [1915] = 1877,
  [1916] = 1884,
  [1917] = 1881,
  [1918] = 1877,
  [1919] = 1879,
  [1920] = 1886,
  [1921] = 1921,
  [1922] = 1909,
  [1923] = 1878,
  [1924] = 1886,
  [1925] = 1879,
  [1926] = 1884,
  [1927] = 1877,
  [1928] = 1878,
  [1929] = 1879,
  [1930] = 1881,
  [1931] = 1878,
  [1932] = 1877,
  [1933] = 1878,
  [1934] = 1881,
  [1935] = 1877,
  [1936] = 1879,
  [1937] = 1886,
  [1938] = 1879,
  [1939] = 1921,
  [1940] = 1940,
  [1941] = 1941,
  [1942] = 1942,
  [1943] = 1941,
  [1944] = 1941,
  [1945] = 1945,
  [1946] = 1942,
  [1947] = 1945,
  [1948] = 1940,
  [1949] = 1942,
  [1950] = 1941,
  [1951] = 1940,
  [1952] = 1941,
  [1953] = 1941,
  [1954] = 1954,
  [1955] = 1942,
  [1956] = 1942,
  [1957] = 1940,
  [1958] = 1945,
  [1959] = 1940,
  [1960] = 1945,
  [1961] = 1941,
  [1962] = 1942,
  [1963] = 1945,
  [1964] = 1945,
  [1965] = 1940,
  [1966] = 1966,
  [1967] = 1940,
  [1968] = 1945,
  [1969] = 1940,
  [1970] = 1941,
  [1971] = 1942,
  [1972] = 1966,
  [1973] = 1942,
  [1974] = 1974,
  [1975] = 1945,
  [1976] = 1942,
  [1977] = 1940,
  [1978] = 1945,
  [1979] = 1941,
  [1980] = 1980,
  [1981] = 1981,
  [1982] = 1982,
  [1983] = 1983,
  [1984] = 1980,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1987,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 1980,
  [1993] = 1990,
  [1994] = 1982,
  [1995] = 1995,
  [1996] = 1990,
  [1997] = 1997,
  [1998] = 1998,
  [1999] = 1990,
  [2000] = 2000,
  [2001] = 1982,
  [2002] = 2002,
  [2003] = 2003,
  [2004] = 2004,
  [2005] = 2005,
  [2006] = 2006,
  [2007] = 2007,
  [2008] = 2008,
  [2009] = 2009,
  [2010] = 2010,
  [2011] = 1980,
  [2012] = 1990,
  [2013] = 1983,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 1982,
  [2017] = 2017,
  [2018] = 1980,
  [2019] = 2019,
  [2020] = 1982,
  [2021] = 2021,
  [2022] = 2010,
  [2023] = 2023,
  [2024] = 1986,
  [2025] = 2025,
  [2026] = 2000,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2000,
  [2030] = 1986,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 2028,
  [2035] = 2027,
  [2036] = 2017,
  [2037] = 2028,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2027,
  [2042] = 1980,
  [2043] = 1982,
  [2044] = 1983,
  [2045] = 2045,
  [2046] = 1980,
  [2047] = 2047,
  [2048] = 2048,
  [2049] = 1983,
  [2050] = 2050,
  [2051] = 2051,
  [2052] = 2052,
  [2053] = 1997,
  [2054] = 2054,
  [2055] = 2017,
  [2056] = 2056,
  [2057] = 2057,
  [2058] = 2058,
  [2059] = 2059,
  [2060] = 1980,
  [2061] = 2017,
  [2062] = 1986,
  [2063] = 2000,
  [2064] = 2028,
  [2065] = 2027,
  [2066] = 1983,
  [2067] = 2067,
  [2068] = 2017,
  [2069] = 1982,
  [2070] = 1983,
  [2071] = 1990,
  [2072] = 1980,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 2017,
  [2076] = 2076,
  [2077] = 2033,
  [2078] = 2038,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 1982,
  [2082] = 1986,
  [2083] = 2000,
  [2084] = 2028,
  [2085] = 2027,
  [2086] = 2039,
  [2087] = 1980,
  [2088] = 1997,
  [2089] = 2045,
  [2090] = 2090,
  [2091] = 2091,
  [2092] = 2027,
  [2093] = 2028,
  [2094] = 2000,
  [2095] = 1986,
  [2096] = 2047,
  [2097] = 2010,
  [2098] = 1986,
  [2099] = 2048,
  [2100] = 2000,
  [2101] = 1982,
  [2102] = 1983,
  [2103] = 2017,
  [2104] = 2028,
  [2105] = 2056,
  [2106] = 2017,
  [2107] = 2027,
  [2108] = 2019,
  [2109] = 1983,
  [2110] = 1980,
  [2111] = 2111,
  [2112] = 2032,
  [2113] = 2090,
  [2114] = 2114,
  [2115] = 2027,
  [2116] = 2028,
  [2117] = 2000,
  [2118] = 1986,
  [2119] = 1986,
  [2120] = 1983,
  [2121] = 1980,
  [2122] = 2000,
  [2123] = 2028,
  [2124] = 2017,
  [2125] = 2027,
  [2126] = 2126,
  [2127] = 2127,
  [2128] = 2128,
  [2129] = 2129,
  [2130] = 2130,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 2133,
  [2134] = 2134,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 2137,
  [2138] = 2138,
  [2139] = 2139,
  [2140] = 2140,
  [2141] = 2141,
  [2142] = 2142,
  [2143] = 2143,
  [2144] = 2140,
  [2145] = 2145,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 2148,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 2147,
  [2152] = 2146,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 2170,
  [2171] = 2128,
  [2172] = 2172,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 2170,
  [2176] = 2155,
  [2177] = 2161,
  [2178] = 2128,
  [2179] = 2145,
  [2180] = 2169,
  [2181] = 2168,
  [2182] = 2159,
  [2183] = 2160,
  [2184] = 2158,
  [2185] = 2162,
  [2186] = 2163,
  [2187] = 2164,
  [2188] = 2165,
  [2189] = 2166,
  [2190] = 2167,
  [2191] = 2157,
  [2192] = 2172,
  [2193] = 2173,
  [2194] = 2174,
  [2195] = 2127,
  [2196] = 2129,
  [2197] = 2130,
  [2198] = 2131,
  [2199] = 2132,
  [2200] = 2133,
  [2201] = 2134,
  [2202] = 2135,
  [2203] = 2136,
  [2204] = 2137,
  [2205] = 2138,
  [2206] = 2139,
  [2207] = 2140,
  [2208] = 2141,
  [2209] = 2142,
  [2210] = 2143,
  [2211] = 2156,
  [2212] = 2145,
  [2213] = 2146,
  [2214] = 2147,
  [2215] = 2148,
  [2216] = 2149,
  [2217] = 2143,
  [2218] = 2142,
  [2219] = 2141,
  [2220] = 2161,
  [2221] = 2154,
  [2222] = 2155,
  [2223] = 2156,
  [2224] = 2157,
  [2225] = 2158,
  [2226] = 2154,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 2149,
  [2231] = 2148,
  [2232] = 2147,
  [2233] = 2146,
  [2234] = 2145,
  [2235] = 2168,
  [2236] = 2169,
  [2237] = 2143,
  [2238] = 2128,
  [2239] = 2142,
  [2240] = 2141,
  [2241] = 2140,
  [2242] = 2170,
  [2243] = 2139,
  [2244] = 2161,
  [2245] = 2138,
  [2246] = 2137,
  [2247] = 2139,
  [2248] = 2138,
  [2249] = 2159,
  [2250] = 2137,
  [2251] = 2162,
  [2252] = 2163,
  [2253] = 2164,
  [2254] = 2165,
  [2255] = 2166,
  [2256] = 2167,
  [2257] = 2136,
  [2258] = 2172,
  [2259] = 2173,
  [2260] = 2174,
  [2261] = 2127,
  [2262] = 2129,
  [2263] = 2130,
  [2264] = 2131,
  [2265] = 2132,
  [2266] = 2133,
  [2267] = 2134,
  [2268] = 2135,
  [2269] = 2136,
  [2270] = 2137,
  [2271] = 2138,
  [2272] = 2139,
  [2273] = 2140,
  [2274] = 2141,
  [2275] = 2142,
  [2276] = 2143,
  [2277] = 2135,
  [2278] = 2145,
  [2279] = 2146,
  [2280] = 2147,
  [2281] = 2148,
  [2282] = 2149,
  [2283] = 2130,
  [2284] = 2136,
  [2285] = 2135,
  [2286] = 2134,
  [2287] = 2154,
  [2288] = 2155,
  [2289] = 2156,
  [2290] = 2133,
  [2291] = 2132,
  [2292] = 2131,
  [2293] = 2130,
  [2294] = 2129,
  [2295] = 2127,
  [2296] = 2174,
  [2297] = 2173,
  [2298] = 2172,
  [2299] = 2168,
  [2300] = 2169,
  [2301] = 2167,
  [2302] = 2128,
  [2303] = 2166,
  [2304] = 2165,
  [2305] = 2164,
  [2306] = 2170,
  [2307] = 2163,
  [2308] = 2161,
  [2309] = 2162,
  [2310] = 2134,
  [2311] = 2133,
  [2312] = 2132,
  [2313] = 2159,
  [2314] = 2160,
  [2315] = 2162,
  [2316] = 2163,
  [2317] = 2164,
  [2318] = 2165,
  [2319] = 2166,
  [2320] = 2167,
  [2321] = 2159,
  [2322] = 2172,
  [2323] = 2173,
  [2324] = 2174,
  [2325] = 2127,
  [2326] = 2129,
  [2327] = 2130,
  [2328] = 2131,
  [2329] = 2132,
  [2330] = 2133,
  [2331] = 2134,
  [2332] = 2135,
  [2333] = 2136,
  [2334] = 2137,
  [2335] = 2138,
  [2336] = 2139,
  [2337] = 2140,
  [2338] = 2141,
  [2339] = 2142,
  [2340] = 2143,
  [2341] = 2148,
  [2342] = 2145,
  [2343] = 2146,
  [2344] = 2147,
  [2345] = 2148,
  [2346] = 2149,
  [2347] = 2131,
  [2348] = 2163,
  [2349] = 2129,
  [2350] = 2170,
  [2351] = 2154,
  [2352] = 2155,
  [2353] = 2156,
  [2354] = 2128,
  [2355] = 2169,
  [2356] = 2168,
  [2357] = 2357,
  [2358] = 2149,
  [2359] = 2158,
  [2360] = 2157,
  [2361] = 2156,
  [2362] = 2155,
  [2363] = 2168,
  [2364] = 2169,
  [2365] = 2154,
  [2366] = 2128,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2170,
  [2371] = 2371,
  [2372] = 2161,
  [2373] = 2367,
  [2374] = 2127,
  [2375] = 2174,
  [2376] = 2173,
  [2377] = 2159,
  [2378] = 2149,
  [2379] = 2162,
  [2380] = 2163,
  [2381] = 2164,
  [2382] = 2165,
  [2383] = 2166,
  [2384] = 2167,
  [2385] = 2148,
  [2386] = 2172,
  [2387] = 2173,
  [2388] = 2174,
  [2389] = 2127,
  [2390] = 2129,
  [2391] = 2130,
  [2392] = 2131,
  [2393] = 2132,
  [2394] = 2133,
  [2395] = 2134,
  [2396] = 2135,
  [2397] = 2136,
  [2398] = 2137,
  [2399] = 2138,
  [2400] = 2139,
  [2401] = 2140,
  [2402] = 2141,
  [2403] = 2142,
  [2404] = 2143,
  [2405] = 2147,
  [2406] = 2145,
  [2407] = 2146,
  [2408] = 2147,
  [2409] = 2148,
  [2410] = 2149,
  [2411] = 2172,
  [2412] = 2146,
  [2413] = 2167,
  [2414] = 2145,
  [2415] = 2154,
  [2416] = 2155,
  [2417] = 2156,
  [2418] = 2143,
  [2419] = 2142,
  [2420] = 2141,
  [2421] = 2170,
  [2422] = 2166,
  [2423] = 2165,
  [2424] = 2164,
  [2425] = 2159,
  [2426] = 2140,
  [2427] = 2162,
  [2428] = 2164,
  [2429] = 2148,
  [2430] = 2139,
  [2431] = 2431,
  [2432] = 2138,
  [2433] = 2137,
  [2434] = 2136,
  [2435] = 2135,
  [2436] = 2134,
  [2437] = 2170,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2159,
  [2442] = 2133,
  [2443] = 2162,
  [2444] = 2164,
  [2445] = 2148,
  [2446] = 2163,
  [2447] = 2132,
  [2448] = 2131,
  [2449] = 2130,
  [2450] = 2129,
  [2451] = 2127,
  [2452] = 2174,
  [2453] = 2162,
  [2454] = 2159,
  [2455] = 2173,
  [2456] = 2162,
  [2457] = 2164,
  [2458] = 2172,
  [2459] = 2167,
  [2460] = 2166,
  [2461] = 2165,
  [2462] = 2164,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2162,
  [2466] = 2159,
  [2467] = 2164,
  [2468] = 2160,
  [2469] = 2159,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2161,
  [2473] = 2170,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2481,
  [2482] = 2128,
  [2483] = 2169,
  [2484] = 2168,
  [2485] = 2485,
  [2486] = 2357,
  [2487] = 2487,
  [2488] = 2488,
  [2489] = 2489,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2160,
  [2496] = 2158,
  [2497] = 2497,
  [2498] = 2159,
  [2499] = 2157,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2492,
  [2510] = 2491,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2156,
  [2517] = 2155,
  [2518] = 2154,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2508,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2161,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2170,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2368,
  [2543] = 2371,
  [2544] = 2501,
  [2545] = 2503,
  [2546] = 2512,
  [2547] = 2515,
  [2548] = 2548,
  [2549] = 2549,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2555,
  [2556] = 2556,
  [2557] = 2474,
  [2558] = 2475,
  [2559] = 2476,
  [2560] = 2560,
  [2561] = 2479,
  [2562] = 2562,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2566,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2569,
  [2570] = 2570,
  [2571] = 2571,
  [2572] = 2572,
  [2573] = 2573,
  [2574] = 2574,
  [2575] = 2575,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 2578,
  [2579] = 2579,
  [2580] = 2580,
  [2581] = 2581,
  [2582] = 2582,
  [2583] = 2583,
  [2584] = 2464,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2588,
  [2589] = 2589,
  [2590] = 2508,
  [2591] = 2492,
  [2592] = 2491,
  [2593] = 2593,
  [2594] = 2371,
  [2595] = 2549,
  [2596] = 2550,
  [2597] = 2597,
  [2598] = 2598,
  [2599] = 2474,
  [2600] = 2475,
  [2601] = 2476,
  [2602] = 2602,
  [2603] = 2479,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 2607,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 2549,
  [2616] = 2550,
  [2617] = 2367,
  [2618] = 2149,
  [2619] = 2148,
  [2620] = 2147,
  [2621] = 2146,
  [2622] = 2145,
  [2623] = 2143,
  [2624] = 2127,
  [2625] = 2142,
  [2626] = 2141,
  [2627] = 2140,
  [2628] = 2139,
  [2629] = 2479,
  [2630] = 2138,
  [2631] = 2137,
  [2632] = 2136,
  [2633] = 2549,
  [2634] = 2550,
  [2635] = 2135,
  [2636] = 2636,
  [2637] = 2474,
  [2638] = 2475,
  [2639] = 2476,
  [2640] = 2134,
  [2641] = 2479,
  [2642] = 2133,
  [2643] = 2132,
  [2644] = 2131,
  [2645] = 2130,
  [2646] = 2129,
  [2647] = 2174,
  [2648] = 2173,
  [2649] = 2172,
  [2650] = 2167,
  [2651] = 2166,
  [2652] = 2165,
  [2653] = 2164,
  [2654] = 2431,
  [2655] = 2163,
  [2656] = 2478,
  [2657] = 2162,
  [2658] = 2658,
  [2659] = 2476,
  [2660] = 2475,
  [2661] = 2474,
  [2662] = 2662,
  [2663] = 2614,
  [2664] = 2607,
  [2665] = 2665,
  [2666] = 2666,
  [2667] = 2539,
  [2668] = 2668,
  [2669] = 2669,
  [2670] = 2481,
  [2671] = 2549,
  [2672] = 2550,
  [2673] = 2673,
  [2674] = 2674,
  [2675] = 2474,
  [2676] = 2475,
  [2677] = 2476,
  [2678] = 2606,
  [2679] = 2479,
  [2680] = 2160,
  [2681] = 2681,
  [2682] = 2497,
  [2683] = 2683,
  [2684] = 2684,
  [2685] = 2685,
  [2686] = 2159,
  [2687] = 2687,
  [2688] = 2688,
  [2689] = 2689,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2692,
  [2693] = 2693,
  [2694] = 2694,
  [2695] = 2695,
  [2696] = 2480,
  [2697] = 2598,
  [2698] = 2597,
  [2699] = 2500,
  [2700] = 2477,
  [2701] = 2502,
  [2702] = 2504,
  [2703] = 2505,
  [2704] = 2506,
  [2705] = 2511,
  [2706] = 2161,
  [2707] = 2169,
  [2708] = 2170,
  [2709] = 2549,
  [2710] = 2550,
  [2711] = 2464,
  [2712] = 2128,
  [2713] = 2474,
  [2714] = 2475,
  [2715] = 2476,
  [2716] = 2593,
  [2717] = 2479,
  [2718] = 2589,
  [2719] = 2168,
  [2720] = 2588,
  [2721] = 2587,
  [2722] = 2586,
  [2723] = 2585,
  [2724] = 2724,
  [2725] = 2562,
  [2726] = 2726,
  [2727] = 2727,
  [2728] = 2555,
  [2729] = 2554,
  [2730] = 2541,
  [2731] = 2731,
  [2732] = 2493,
  [2733] = 2733,
  [2734] = 2734,
  [2735] = 2735,
  [2736] = 2736,
  [2737] = 2737,
  [2738] = 2738,
  [2739] = 2739,
  [2740] = 2740,
  [2741] = 2741,
  [2742] = 2742,
  [2743] = 2743,
  [2744] = 2744,
  [2745] = 2745,
  [2746] = 2538,
  [2747] = 2537,
  [2748] = 2748,
  [2749] = 2474,
  [2750] = 2475,
  [2751] = 2476,
  [2752] = 2752,
  [2753] = 2479,
  [2754] = 2666,
  [2755] = 2755,
  [2756] = 2756,
  [2757] = 2757,
  [2758] = 2758,
  [2759] = 2759,
  [2760] = 2760,
  [2761] = 2761,
  [2762] = 2762,
  [2763] = 2763,
  [2764] = 2764,
  [2765] = 2765,
  [2766] = 2668,
  [2767] = 2669,
  [2768] = 2768,
  [2769] = 2769,
  [2770] = 2674,
  [2771] = 2771,
  [2772] = 2683,
  [2773] = 2684,
  [2774] = 2774,
  [2775] = 2685,
  [2776] = 2687,
  [2777] = 2688,
  [2778] = 2689,
  [2779] = 2690,
  [2780] = 2691,
  [2781] = 2692,
  [2782] = 2693,
  [2783] = 2694,
  [2784] = 2695,
  [2785] = 2474,
  [2786] = 2475,
  [2787] = 2476,
  [2788] = 2169,
  [2789] = 2479,
  [2790] = 2168,
  [2791] = 2536,
  [2792] = 2534,
  [2793] = 2533,
  [2794] = 2531,
  [2795] = 2530,
  [2796] = 2529,
  [2797] = 2526,
  [2798] = 2521,
  [2799] = 2520,
  [2800] = 2800,
  [2801] = 2801,
  [2802] = 2154,
  [2803] = 2155,
  [2804] = 2156,
  [2805] = 2805,
  [2806] = 2806,
  [2807] = 2807,
  [2808] = 2808,
  [2809] = 2809,
  [2810] = 2810,
  [2811] = 2157,
  [2812] = 2158,
  [2813] = 2813,
  [2814] = 2602,
  [2815] = 2490,
  [2816] = 2488,
  [2817] = 2817,
  [2818] = 2818,
  [2819] = 2819,
  [2820] = 2474,
  [2821] = 2475,
  [2822] = 2476,
  [2823] = 2823,
  [2824] = 2479,
  [2825] = 2825,
  [2826] = 2826,
  [2827] = 2474,
  [2828] = 2475,
  [2829] = 2476,
  [2830] = 2830,
  [2831] = 2479,
  [2832] = 2487,
  [2833] = 2357,
  [2834] = 2474,
  [2835] = 2475,
  [2836] = 2476,
  [2837] = 2837,
  [2838] = 2479,
  [2839] = 2485,
  [2840] = 2840,
  [2841] = 2474,
  [2842] = 2475,
  [2843] = 2476,
  [2844] = 2844,
  [2845] = 2765,
  [2846] = 2764,
  [2847] = 2763,
  [2848] = 2762,
  [2849] = 2761,
  [2850] = 2760,
  [2851] = 2759,
  [2852] = 2758,
  [2853] = 2757,
  [2854] = 2756,
  [2855] = 2755,
  [2856] = 2752,
  [2857] = 2748,
  [2858] = 2745,
  [2859] = 2744,
  [2860] = 2743,
  [2861] = 2742,
  [2862] = 2741,
  [2863] = 2740,
  [2864] = 2739,
  [2865] = 2738,
  [2866] = 2737,
  [2867] = 2736,
  [2868] = 2734,
  [2869] = 2733,
  [2870] = 2726,
  [2871] = 2731,
  [2872] = 2583,
  [2873] = 2582,
  [2874] = 2581,
  [2875] = 2580,
  [2876] = 2579,
  [2877] = 2578,
  [2878] = 2577,
  [2879] = 2576,
  [2880] = 2575,
  [2881] = 2574,
  [2882] = 2573,
  [2883] = 2572,
  [2884] = 2571,
  [2885] = 2570,
  [2886] = 2569,
  [2887] = 2568,
  [2888] = 2567,
  [2889] = 2566,
  [2890] = 2565,
  [2891] = 2564,
  [2892] = 2563,
  [2893] = 2560,
  [2894] = 2556,
  [2895] = 2553,
  [2896] = 2552,
  [2897] = 2551,
  [2898] = 2548,
  [2899] = 2540,
  [2900] = 2900,
  [2901] = 2527,
  [2902] = 2523,
  [2903] = 2903,
  [2904] = 2494,
  [2905] = 2905,
  [2906] = 2489,
  [2907] = 2765,
  [2908] = 2764,
  [2909] = 2763,
  [2910] = 2762,
  [2911] = 2761,
  [2912] = 2760,
  [2913] = 2759,
  [2914] = 2758,
  [2915] = 2757,
  [2916] = 2756,
  [2917] = 2755,
  [2918] = 2752,
  [2919] = 2748,
  [2920] = 2745,
  [2921] = 2744,
  [2922] = 2743,
  [2923] = 2742,
  [2924] = 2741,
  [2925] = 2740,
  [2926] = 2739,
  [2927] = 2738,
  [2928] = 2737,
  [2929] = 2736,
  [2930] = 2734,
  [2931] = 2733,
  [2932] = 2726,
  [2933] = 2731,
  [2934] = 2934,
  [2935] = 2523,
  [2936] = 2494,
  [2937] = 2937,
  [2938] = 2765,
  [2939] = 2764,
  [2940] = 2763,
  [2941] = 2762,
  [2942] = 2761,
  [2943] = 2760,
  [2944] = 2759,
  [2945] = 2758,
  [2946] = 2757,
  [2947] = 2756,
  [2948] = 2755,
  [2949] = 2752,
  [2950] = 2748,
  [2951] = 2745,
  [2952] = 2744,
  [2953] = 2743,
  [2954] = 2742,
  [2955] = 2741,
  [2956] = 2740,
  [2957] = 2739,
  [2958] = 2738,
  [2959] = 2737,
  [2960] = 2736,
  [2961] = 2734,
  [2962] = 2733,
  [2963] = 2726,
  [2964] = 2731,
  [2965] = 2965,
  [2966] = 2494,
  [2967] = 2967,
  [2968] = 2765,
  [2969] = 2764,
  [2970] = 2763,
  [2971] = 2762,
  [2972] = 2761,
  [2973] = 2760,
  [2974] = 2759,
  [2975] = 2758,
  [2976] = 2757,
  [2977] = 2756,
  [2978] = 2755,
  [2979] = 2752,
  [2980] = 2748,
  [2981] = 2745,
  [2982] = 2744,
  [2983] = 2743,
  [2984] = 2742,
  [2985] = 2741,
  [2986] = 2740,
  [2987] = 2739,
  [2988] = 2738,
  [2989] = 2737,
  [2990] = 2736,
  [2991] = 2734,
  [2992] = 2733,
  [2993] = 2726,
  [2994] = 2731,
  [2995] = 2995,
  [2996] = 2494,
  [2997] = 2997,
  [2998] = 2765,
  [2999] = 2764,
  [3000] = 2763,
  [3001] = 2762,
  [3002] = 2761,
  [3003] = 2760,
  [3004] = 2759,
  [3005] = 2758,
  [3006] = 2757,
  [3007] = 2756,
  [3008] = 2755,
  [3009] = 2752,
  [3010] = 2748,
  [3011] = 2745,
  [3012] = 2744,
  [3013] = 2743,
  [3014] = 2742,
  [3015] = 2741,
  [3016] = 2740,
  [3017] = 2739,
  [3018] = 2738,
  [3019] = 2737,
  [3020] = 2736,
  [3021] = 2734,
  [3022] = 2733,
  [3023] = 2726,
  [3024] = 2731,
  [3025] = 3025,
  [3026] = 2494,
  [3027] = 3027,
  [3028] = 2765,
  [3029] = 2764,
  [3030] = 2763,
  [3031] = 2762,
  [3032] = 2761,
  [3033] = 2760,
  [3034] = 2759,
  [3035] = 2758,
  [3036] = 2757,
  [3037] = 2756,
  [3038] = 2755,
  [3039] = 2752,
  [3040] = 2748,
  [3041] = 2745,
  [3042] = 2744,
  [3043] = 2743,
  [3044] = 2742,
  [3045] = 2741,
  [3046] = 2740,
  [3047] = 2739,
  [3048] = 2738,
  [3049] = 2737,
  [3050] = 2736,
  [3051] = 2734,
  [3052] = 2733,
  [3053] = 2726,
  [3054] = 2731,
  [3055] = 3055,
  [3056] = 2765,
  [3057] = 2764,
  [3058] = 2763,
  [3059] = 2762,
  [3060] = 2761,
  [3061] = 2760,
  [3062] = 2759,
  [3063] = 2758,
  [3064] = 2757,
  [3065] = 2756,
  [3066] = 2755,
  [3067] = 2752,
  [3068] = 2748,
  [3069] = 2745,
  [3070] = 2744,
  [3071] = 2743,
  [3072] = 2742,
  [3073] = 2741,
  [3074] = 2740,
  [3075] = 2739,
  [3076] = 2738,
  [3077] = 2737,
  [3078] = 2736,
  [3079] = 2734,
  [3080] = 2733,
  [3081] = 2726,
  [3082] = 2731,
  [3083] = 3083,
  [3084] = 2765,
  [3085] = 2764,
  [3086] = 2763,
  [3087] = 2762,
  [3088] = 2761,
  [3089] = 2760,
  [3090] = 2759,
  [3091] = 2758,
  [3092] = 2757,
  [3093] = 2756,
  [3094] = 2755,
  [3095] = 2752,
  [3096] = 2748,
  [3097] = 2745,
  [3098] = 2744,
  [3099] = 2743,
  [3100] = 2742,
  [3101] = 2741,
  [3102] = 2740,
  [3103] = 2739,
  [3104] = 2738,
  [3105] = 2737,
  [3106] = 2736,
  [3107] = 2734,
  [3108] = 2733,
  [3109] = 2726,
  [3110] = 2731,
  [3111] = 3111,
  [3112] = 2735,
  [3113] = 2662,
  [3114] = 3114,
  [3115] = 3115,
  [3116] = 2735,
  [3117] = 2735,
  [3118] = 2735,
  [3119] = 2735,
  [3120] = 2735,
  [3121] = 2735,
  [3122] = 2735,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(600);
      ADVANCE_MAP(
        '"', 1082,
        '*', 776,
        '3', 644,
        '4', 646,
        '5', 648,
        '=', 1081,
        '\\', 1025,
        'a', 1215,
        'c', 1219,
        'e', 1211,
        'g', 1214,
        'h', 1225,
        'i', 1199,
        'k', 1202,
        'l', 1203,
        'q', 1227,
        'r', 1204,
        's', 1210,
        't', 1212,
        'w', 1209,
        'x', 1193,
        '|', 1152,
        '1', 644,
        '2', 644,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(651);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(577);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1233);
      END_STATE();
    case 1:
      if (lookahead == ' ') ADVANCE(703);
      if (lookahead == 'a') ADVANCE(23);
      if (lookahead == 'd') ADVANCE(25);
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'p') ADVANCE(28);
      END_STATE();
    case 2:
      if (lookahead == ' ') ADVANCE(703);
      if (lookahead == 'a') ADVANCE(24);
      if (lookahead == 'd') ADVANCE(25);
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'p') ADVANCE(28);
      END_STATE();
    case 3:
      if (lookahead == ' ') ADVANCE(703);
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'd') ADVANCE(25);
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'p') ADVANCE(28);
      END_STATE();
    case 4:
      if (lookahead == ' ') ADVANCE(703);
      if (lookahead == 'l') ADVANCE(26);
      END_STATE();
    case 5:
      if (lookahead == ' ') ADVANCE(723);
      END_STATE();
    case 6:
      if (lookahead == ' ') ADVANCE(723);
      if (lookahead == 'c') ADVANCE(855);
      END_STATE();
    case 7:
      if (lookahead == ' ') ADVANCE(723);
      if (lookahead == 'c') ADVANCE(854);
      END_STATE();
    case 8:
      if (lookahead == ' ') ADVANCE(723);
      if (lookahead == 'c') ADVANCE(135);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        ' ', 796,
        '*', 797,
        'd', 306,
        'e', 32,
        'i', 396,
        'k', 33,
        'l', 34,
        'm', 36,
        'p', 37,
        'q', 38,
        'r', 39,
        't', 40,
        'v', 42,
        'w', 43,
      );
      END_STATE();
    case 10:
      ADVANCE_MAP(
        ' ', 796,
        '*', 797,
        'd', 306,
        'e', 32,
        'i', 396,
        'k', 33,
        'l', 34,
        'm', 36,
        'p', 37,
        'q', 38,
        'r', 39,
        't', 40,
        'v', 41,
        'w', 43,
      );
      END_STATE();
    case 11:
      if (lookahead == ' ') ADVANCE(796);
      if (lookahead == 'e') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(396);
      if (lookahead == 'm') ADVANCE(35);
      END_STATE();
    case 12:
      if (lookahead == ' ') ADVANCE(796);
      if (lookahead == 'e') ADVANCE(31);
      if (lookahead == 'm') ADVANCE(35);
      END_STATE();
    case 13:
      if (lookahead == ' ') ADVANCE(721);
      if (lookahead == 'b') ADVANCE(920);
      if (lookahead == 'e') ADVANCE(381);
      if (lookahead == 'q') ADVANCE(51);
      END_STATE();
    case 14:
      if (lookahead == ' ') ADVANCE(721);
      if (lookahead == 'b') ADVANCE(919);
      if (lookahead == 'e') ADVANCE(447);
      END_STATE();
    case 15:
      if (lookahead == ' ') ADVANCE(721);
      if (lookahead == 'b') ADVANCE(919);
      if (lookahead == 'e') ADVANCE(383);
      if (lookahead == 'q') ADVANCE(50);
      END_STATE();
    case 16:
      if (lookahead == ' ') ADVANCE(721);
      if (lookahead == 'e') ADVANCE(447);
      END_STATE();
    case 17:
      if (lookahead == ' ') ADVANCE(721);
      if (lookahead == 'e') ADVANCE(447);
      if (lookahead == 'q') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == ' ') ADVANCE(694);
      if (lookahead == 'a') ADVANCE(55);
      if (lookahead == 'p') ADVANCE(57);
      END_STATE();
    case 19:
      if (lookahead == ' ') ADVANCE(694);
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'p') ADVANCE(56);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        ' ', 824,
        '*', 825,
        'd', 308,
        'k', 59,
        'n', 545,
        'o', 60,
        'q', 63,
        't', 65,
      );
      END_STATE();
    case 21:
      if (lookahead == ' ') ADVANCE(824);
      if (lookahead == 't') ADVANCE(64);
      END_STATE();
    case 22:
      if (lookahead == ' ') ADVANCE(706);
      END_STATE();
    case 23:
      if (lookahead == ' ') ADVANCE(706);
      if (lookahead == '*') ADVANCE(707);
      if (lookahead == 't') ADVANCE(1079);
      END_STATE();
    case 24:
      if (lookahead == ' ') ADVANCE(706);
      if (lookahead == 't') ADVANCE(1078);
      END_STATE();
    case 25:
      if (lookahead == ' ') ADVANCE(709);
      END_STATE();
    case 26:
      if (lookahead == ' ') ADVANCE(705);
      END_STATE();
    case 27:
      if (lookahead == ' ') ADVANCE(705);
      if (lookahead == 's') ADVANCE(738);
      END_STATE();
    case 28:
      if (lookahead == ' ') ADVANCE(708);
      END_STATE();
    case 29:
      if (lookahead == ' ') ADVANCE(800);
      END_STATE();
    case 30:
      if (lookahead == ' ') ADVANCE(800);
      if (lookahead == '*') ADVANCE(801);
      END_STATE();
    case 31:
      if (lookahead == ' ') ADVANCE(798);
      END_STATE();
    case 32:
      if (lookahead == ' ') ADVANCE(798);
      if (lookahead == '*') ADVANCE(799);
      END_STATE();
    case 33:
      if (lookahead == ' ') ADVANCE(808);
      if (lookahead == '*') ADVANCE(809);
      END_STATE();
    case 34:
      if (lookahead == ' ') ADVANCE(810);
      if (lookahead == '*') ADVANCE(811);
      END_STATE();
    case 35:
      if (lookahead == ' ') ADVANCE(822);
      END_STATE();
    case 36:
      if (lookahead == ' ') ADVANCE(822);
      if (lookahead == '*') ADVANCE(823);
      END_STATE();
    case 37:
      if (lookahead == ' ') ADVANCE(814);
      if (lookahead == '*') ADVANCE(815);
      END_STATE();
    case 38:
      if (lookahead == ' ') ADVANCE(804);
      if (lookahead == '*') ADVANCE(805);
      if (lookahead == 'a') ADVANCE(71);
      END_STATE();
    case 39:
      if (lookahead == ' ') ADVANCE(802);
      if (lookahead == '*') ADVANCE(803);
      END_STATE();
    case 40:
      if (lookahead == ' ') ADVANCE(816);
      if (lookahead == '*') ADVANCE(817);
      END_STATE();
    case 41:
      if (lookahead == ' ') ADVANCE(820);
      END_STATE();
    case 42:
      if (lookahead == ' ') ADVANCE(820);
      if (lookahead == '*') ADVANCE(821);
      END_STATE();
    case 43:
      if (lookahead == ' ') ADVANCE(812);
      if (lookahead == '*') ADVANCE(813);
      END_STATE();
    case 44:
      if (lookahead == ' ') ADVANCE(642);
      END_STATE();
    case 45:
      if (lookahead == ' ') ADVANCE(642);
      if (lookahead == 'e') ADVANCE(72);
      END_STATE();
    case 46:
      if (lookahead == ' ') ADVANCE(680);
      if (lookahead == 'i') ADVANCE(74);
      if (lookahead == 'q') ADVANCE(75);
      if (lookahead == 't') ADVANCE(668);
      END_STATE();
    case 47:
      if (lookahead == ' ') ADVANCE(679);
      END_STATE();
    case 48:
      if (lookahead == ' ') ADVANCE(679);
      if (lookahead == 'i') ADVANCE(79);
      if (lookahead == 'q') ADVANCE(80);
      if (lookahead == 'r') ADVANCE(81);
      END_STATE();
    case 49:
      if (lookahead == ' ') ADVANCE(714);
      END_STATE();
    case 50:
      if (lookahead == ' ') ADVANCE(846);
      END_STATE();
    case 51:
      if (lookahead == ' ') ADVANCE(846);
      if (lookahead == '*') ADVANCE(847);
      END_STATE();
    case 52:
      if (lookahead == ' ') ADVANCE(722);
      END_STATE();
    case 53:
      if (lookahead == ' ') ADVANCE(720);
      END_STATE();
    case 54:
      if (lookahead == ' ') ADVANCE(699);
      END_STATE();
    case 55:
      if (lookahead == ' ') ADVANCE(699);
      if (lookahead == '*') ADVANCE(700);
      END_STATE();
    case 56:
      if (lookahead == ' ') ADVANCE(701);
      END_STATE();
    case 57:
      if (lookahead == ' ') ADVANCE(701);
      if (lookahead == '*') ADVANCE(702);
      END_STATE();
    case 58:
      if (lookahead == ' ') ADVANCE(828);
      END_STATE();
    case 59:
      if (lookahead == ' ') ADVANCE(828);
      if (lookahead == '*') ADVANCE(829);
      END_STATE();
    case 60:
      if (lookahead == ' ') ADVANCE(826);
      if (lookahead == '*') ADVANCE(827);
      if (lookahead == 'p') ADVANCE(98);
      if (lookahead == 't') ADVANCE(100);
      END_STATE();
    case 61:
      if (lookahead == ' ') ADVANCE(826);
      if (lookahead == 'p') ADVANCE(97);
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 62:
      if (lookahead == ' ') ADVANCE(830);
      END_STATE();
    case 63:
      if (lookahead == ' ') ADVANCE(830);
      if (lookahead == '*') ADVANCE(831);
      END_STATE();
    case 64:
      if (lookahead == ' ') ADVANCE(832);
      END_STATE();
    case 65:
      if (lookahead == ' ') ADVANCE(832);
      if (lookahead == '*') ADVANCE(833);
      if (lookahead == 'a') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == ' ') ADVANCE(832);
      if (lookahead == '*') ADVANCE(833);
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 67:
      if (lookahead == ' ') ADVANCE(832);
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 68:
      if (lookahead == ' ') ADVANCE(834);
      END_STATE();
    case 69:
      if (lookahead == ' ') ADVANCE(834);
      if (lookahead == '*') ADVANCE(835);
      END_STATE();
    case 70:
      if (lookahead == ' ') ADVANCE(818);
      if (lookahead == '*') ADVANCE(819);
      END_STATE();
    case 71:
      if (lookahead == ' ') ADVANCE(806);
      if (lookahead == '*') ADVANCE(807);
      END_STATE();
    case 72:
      if (lookahead == ' ') ADVANCE(655);
      END_STATE();
    case 73:
      if (lookahead == ' ') ADVANCE(693);
      END_STATE();
    case 74:
      if (lookahead == ' ') ADVANCE(682);
      END_STATE();
    case 75:
      if (lookahead == ' ') ADVANCE(685);
      END_STATE();
    case 76:
      if (lookahead == ' ') ADVANCE(676);
      END_STATE();
    case 77:
      if (lookahead == ' ') ADVANCE(676);
      if (lookahead == '*') ADVANCE(677);
      END_STATE();
    case 78:
      if (lookahead == ' ') ADVANCE(678);
      END_STATE();
    case 79:
      if (lookahead == ' ') ADVANCE(681);
      END_STATE();
    case 80:
      if (lookahead == ' ') ADVANCE(684);
      END_STATE();
    case 81:
      if (lookahead == ' ') ADVANCE(686);
      END_STATE();
    case 82:
      if (lookahead == ' ') ADVANCE(666);
      END_STATE();
    case 83:
      if (lookahead == ' ') ADVANCE(666);
      if (lookahead == '*') ADVANCE(667);
      END_STATE();
    case 84:
      if (lookahead == ' ') ADVANCE(778);
      END_STATE();
    case 85:
      if (lookahead == ' ') ADVANCE(778);
      if (lookahead == '*') ADVANCE(779);
      END_STATE();
    case 86:
      if (lookahead == ' ') ADVANCE(665);
      END_STATE();
    case 87:
      if (lookahead == ' ') ADVANCE(665);
      if (lookahead == 'l') ADVANCE(104);
      END_STATE();
    case 88:
      if (lookahead == ' ') ADVANCE(665);
      if (lookahead == 'l') ADVANCE(103);
      END_STATE();
    case 89:
      if (lookahead == ' ') ADVANCE(656);
      END_STATE();
    case 90:
      if (lookahead == ' ') ADVANCE(656);
      if (lookahead == '*') ADVANCE(657);
      END_STATE();
    case 91:
      if (lookahead == ' ') ADVANCE(663);
      END_STATE();
    case 92:
      if (lookahead == ' ') ADVANCE(662);
      END_STATE();
    case 93:
      if (lookahead == ' ') ADVANCE(844);
      END_STATE();
    case 94:
      if (lookahead == ' ') ADVANCE(844);
      if (lookahead == '*') ADVANCE(845);
      END_STATE();
    case 95:
      if (lookahead == ' ') ADVANCE(842);
      END_STATE();
    case 96:
      if (lookahead == ' ') ADVANCE(842);
      if (lookahead == '*') ADVANCE(843);
      END_STATE();
    case 97:
      if (lookahead == ' ') ADVANCE(838);
      END_STATE();
    case 98:
      if (lookahead == ' ') ADVANCE(838);
      if (lookahead == '*') ADVANCE(839);
      END_STATE();
    case 99:
      if (lookahead == ' ') ADVANCE(840);
      END_STATE();
    case 100:
      if (lookahead == ' ') ADVANCE(840);
      if (lookahead == '*') ADVANCE(841);
      END_STATE();
    case 101:
      if (lookahead == ' ') ADVANCE(836);
      END_STATE();
    case 102:
      if (lookahead == ' ') ADVANCE(836);
      if (lookahead == '*') ADVANCE(837);
      END_STATE();
    case 103:
      if (lookahead == ' ') ADVANCE(780);
      END_STATE();
    case 104:
      if (lookahead == ' ') ADVANCE(780);
      if (lookahead == '*') ADVANCE(781);
      END_STATE();
    case 105:
      if (lookahead == ' ') ADVANCE(654);
      END_STATE();
    case 106:
      if (lookahead == ' ') ADVANCE(664);
      END_STATE();
    case 107:
      if (lookahead == ' ') ADVANCE(659);
      if (lookahead == '1' ||
          lookahead == '2') ADVANCE(670);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(110);
      END_STATE();
    case 108:
      if (lookahead == ' ') ADVANCE(659);
      if (('1' <= lookahead && lookahead <= '3')) ADVANCE(643);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(110);
      END_STATE();
    case 109:
      if (lookahead == ' ') ADVANCE(659);
      if (('1' <= lookahead && lookahead <= '4')) ADVANCE(645);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(110);
      END_STATE();
    case 110:
      if (lookahead == ' ') ADVANCE(659);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(110);
      END_STATE();
    case 111:
      if (lookahead == ' ') ADVANCE(659);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(110);
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(647);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '"', 1082,
        'a', 1122,
        'c', 1132,
        'h', 1141,
        'i', 1093,
        'l', 1114,
        'r', 1097,
        's', 1116,
        't', 1117,
        'x', 1085,
        '|', 1152,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1087);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\') ADVANCE(1151);
      END_STATE();
    case 113:
      ADVANCE_MAP(
        '"', 1082,
        'e', 1118,
        'h', 1141,
        'i', 1093,
        'l', 1115,
        's', 1119,
        't', 1117,
        'w', 1112,
        'x', 1085,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1102);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 114:
      if (lookahead == '"') ADVANCE(1082);
      if (lookahead == 'g') ADVANCE(1126);
      if (lookahead == 'h') ADVANCE(1141);
      if (lookahead == 'i') ADVANCE(1093);
      if (lookahead == 'l') ADVANCE(1115);
      if (lookahead == 't') ADVANCE(1117);
      if (lookahead == 'x') ADVANCE(1085);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1109);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 115:
      if (lookahead == '"') ADVANCE(1082);
      if (lookahead == 'h') ADVANCE(1141);
      if (lookahead == 'i') ADVANCE(1093);
      if (lookahead == 'l') ADVANCE(1101);
      if (lookahead == 's') ADVANCE(1140);
      if (lookahead == 't') ADVANCE(1117);
      if (lookahead == 'x') ADVANCE(1085);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1110);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 116:
      if (lookahead == '"') ADVANCE(1082);
      if (lookahead == 'h') ADVANCE(1141);
      if (lookahead == 'i') ADVANCE(1093);
      if (lookahead == 'l') ADVANCE(1115);
      if (lookahead == 't') ADVANCE(1117);
      if (lookahead == 'x') ADVANCE(1085);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1111);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\') ADVANCE(1151);
      END_STATE();
    case 117:
      if (lookahead == '"') ADVANCE(1082);
      if (lookahead == 'l') ADVANCE(1133);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1127);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 118:
      if (lookahead == '"') ADVANCE(1082);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1150);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 119:
      if (lookahead == '*') ADVANCE(776);
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(647);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '*', 1067,
        '+', 264,
        'a', 341,
        'b', 323,
        'c', 253,
        'd', 304,
        'e', 444,
        'f', 417,
        'i', 345,
        'j', 446,
        'k', 123,
        'l', 410,
        'n', 324,
        'o', 502,
        'p', 455,
        'q', 541,
        'r', 287,
        's', 305,
        't', 436,
        'v', 258,
        'w', 125,
        'x', 128,
        'z', 575,
      );
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '*', 1067,
        '+', 498,
        'c', 256,
        'f', 416,
        'k', 123,
        'l', 413,
        'r', 286,
        'w', 124,
        'x', 127,
      );
      END_STATE();
    case 122:
      ADVANCE_MAP(
        '*', 797,
        'd', 306,
        'e', 138,
        'i', 396,
        'k', 33,
        'l', 34,
        'm', 139,
        'p', 37,
        'q', 38,
        'r', 39,
        't', 40,
        'v', 41,
        'w', 43,
      );
      END_STATE();
    case 123:
      if (lookahead == '*') ADVANCE(860);
      END_STATE();
    case 124:
      if (lookahead == '*') ADVANCE(924);
      END_STATE();
    case 125:
      if (lookahead == '*') ADVANCE(924);
      if (lookahead == 'a') ADVANCE(150);
      if (lookahead == 'g') ADVANCE(151);
      if (lookahead == 'h') ADVANCE(152);
      if (lookahead == 'j') ADVANCE(153);
      END_STATE();
    case 126:
      if (lookahead == '*') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(310);
      if (lookahead == 'k') ADVANCE(58);
      if (lookahead == 'n') ADVANCE(552);
      if (lookahead == 'o') ADVANCE(61);
      if (lookahead == 'q') ADVANCE(62);
      if (lookahead == 't') ADVANCE(67);
      END_STATE();
    case 127:
      if (lookahead == '*') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(310);
      if (lookahead == 'k') ADVANCE(58);
      if (lookahead == 'n') ADVANCE(552);
      if (lookahead == 'o') ADVANCE(61);
      if (lookahead == 'q') ADVANCE(62);
      if (lookahead == 't') ADVANCE(66);
      END_STATE();
    case 128:
      if (lookahead == '*') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(308);
      if (lookahead == 'k') ADVANCE(59);
      if (lookahead == 'n') ADVANCE(545);
      if (lookahead == 'o') ADVANCE(60);
      if (lookahead == 'q') ADVANCE(63);
      if (lookahead == 't') ADVANCE(65);
      END_STATE();
    case 129:
      if (lookahead == '*') ADVANCE(945);
      END_STATE();
    case 130:
      if (lookahead == '*') ADVANCE(1008);
      END_STATE();
    case 131:
      if (lookahead == '*') ADVANCE(1008);
      if (lookahead == 'a') ADVANCE(167);
      if (lookahead == 'g') ADVANCE(168);
      if (lookahead == 'h') ADVANCE(169);
      if (lookahead == 'j') ADVANCE(170);
      END_STATE();
    case 132:
      if (lookahead == '*') ADVANCE(897);
      if (lookahead == 'i') ADVANCE(553);
      END_STATE();
    case 133:
      if (lookahead == '*') ADVANCE(853);
      END_STATE();
    case 134:
      if (lookahead == '*') ADVANCE(707);
      if (lookahead == 't') ADVANCE(1078);
      END_STATE();
    case 135:
      if (lookahead == '*') ADVANCE(856);
      END_STATE();
    case 136:
      if (lookahead == '*') ADVANCE(801);
      END_STATE();
    case 137:
      if (lookahead == '*') ADVANCE(894);
      END_STATE();
    case 138:
      if (lookahead == '*') ADVANCE(799);
      END_STATE();
    case 139:
      if (lookahead == '*') ADVANCE(823);
      END_STATE();
    case 140:
      if (lookahead == '*') ADVANCE(821);
      END_STATE();
    case 141:
      if (lookahead == '*') ADVANCE(900);
      END_STATE();
    case 142:
      if (lookahead == '*') ADVANCE(863);
      if (lookahead == 'x') ADVANCE(176);
      END_STATE();
    case 143:
      if (lookahead == '*') ADVANCE(906);
      END_STATE();
    case 144:
      if (lookahead == '*') ADVANCE(869);
      if (lookahead == 'g') ADVANCE(178);
      END_STATE();
    case 145:
      if (lookahead == '*') ADVANCE(921);
      END_STATE();
    case 146:
      if (lookahead == '*') ADVANCE(847);
      END_STATE();
    case 147:
      if (lookahead == '*') ADVANCE(909);
      END_STATE();
    case 148:
      if (lookahead == '*') ADVANCE(700);
      END_STATE();
    case 149:
      if (lookahead == '*') ADVANCE(702);
      END_STATE();
    case 150:
      if (lookahead == '*') ADVANCE(933);
      END_STATE();
    case 151:
      if (lookahead == '*') ADVANCE(927);
      END_STATE();
    case 152:
      if (lookahead == '*') ADVANCE(930);
      END_STATE();
    case 153:
      if (lookahead == '*') ADVANCE(891);
      END_STATE();
    case 154:
      if (lookahead == '*') ADVANCE(1072);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(154);
      END_STATE();
    case 155:
      if (lookahead == '*') ADVANCE(981);
      if (lookahead == 'i') ADVANCE(554);
      END_STATE();
    case 156:
      if (lookahead == '*') ADVANCE(939);
      END_STATE();
    case 157:
      if (lookahead == '*') ADVANCE(942);
      END_STATE();
    case 158:
      if (lookahead == '*') ADVANCE(978);
      END_STATE();
    case 159:
      if (lookahead == '*') ADVANCE(984);
      END_STATE();
    case 160:
      if (lookahead == '*') ADVANCE(948);
      if (lookahead == 'x') ADVANCE(185);
      END_STATE();
    case 161:
      if (lookahead == '*') ADVANCE(990);
      END_STATE();
    case 162:
      if (lookahead == '*') ADVANCE(954);
      if (lookahead == 'g') ADVANCE(187);
      END_STATE();
    case 163:
      if (lookahead == '*') ADVANCE(963);
      END_STATE();
    case 164:
      if (lookahead == '*') ADVANCE(1005);
      END_STATE();
    case 165:
      if (lookahead == '*') ADVANCE(993);
      END_STATE();
    case 166:
      if (lookahead == '*') ADVANCE(972);
      END_STATE();
    case 167:
      if (lookahead == '*') ADVANCE(1017);
      END_STATE();
    case 168:
      if (lookahead == '*') ADVANCE(1011);
      END_STATE();
    case 169:
      if (lookahead == '*') ADVANCE(1014);
      END_STATE();
    case 170:
      if (lookahead == '*') ADVANCE(975);
      END_STATE();
    case 171:
      if (lookahead == '*') ADVANCE(850);
      if (lookahead == 'p') ADVANCE(463);
      END_STATE();
    case 172:
      if (lookahead == '*') ADVANCE(1080);
      END_STATE();
    case 173:
      if (lookahead == '*') ADVANCE(677);
      END_STATE();
    case 174:
      if (lookahead == '*') ADVANCE(667);
      END_STATE();
    case 175:
      if (lookahead == '*') ADVANCE(779);
      END_STATE();
    case 176:
      if (lookahead == '*') ADVANCE(915);
      END_STATE();
    case 177:
      if (lookahead == '*') ADVANCE(866);
      END_STATE();
    case 178:
      if (lookahead == '*') ADVANCE(872);
      END_STATE();
    case 179:
      if (lookahead == '*') ADVANCE(918);
      END_STATE();
    case 180:
      if (lookahead == '*') ADVANCE(657);
      END_STATE();
    case 181:
      if (lookahead == '*') ADVANCE(882);
      END_STATE();
    case 182:
      if (lookahead == '*') ADVANCE(885);
      END_STATE();
    case 183:
      if (lookahead == '*') ADVANCE(912);
      END_STATE();
    case 184:
      if (lookahead == '*') ADVANCE(936);
      if (lookahead == 'p') ADVANCE(464);
      END_STATE();
    case 185:
      if (lookahead == '*') ADVANCE(999);
      END_STATE();
    case 186:
      if (lookahead == '*') ADVANCE(951);
      END_STATE();
    case 187:
      if (lookahead == '*') ADVANCE(957);
      END_STATE();
    case 188:
      if (lookahead == '*') ADVANCE(1002);
      END_STATE();
    case 189:
      if (lookahead == '*') ADVANCE(966);
      END_STATE();
    case 190:
      if (lookahead == '*') ADVANCE(969);
      END_STATE();
    case 191:
      if (lookahead == '*') ADVANCE(996);
      END_STATE();
    case 192:
      if (lookahead == '*') ADVANCE(903);
      END_STATE();
    case 193:
      if (lookahead == '*') ADVANCE(781);
      END_STATE();
    case 194:
      if (lookahead == '*') ADVANCE(987);
      END_STATE();
    case 195:
      if (lookahead == '*') ADVANCE(875);
      END_STATE();
    case 196:
      if (lookahead == '*') ADVANCE(960);
      END_STATE();
    case 197:
      if (lookahead == '*') ADVANCE(879);
      END_STATE();
    case 198:
      if (lookahead == '*') ADVANCE(888);
      END_STATE();
    case 199:
      if (lookahead == '*') ADVANCE(1019);
      END_STATE();
    case 200:
      if (lookahead == '*') ADVANCE(1021);
      END_STATE();
    case 201:
      if (lookahead == '*') ADVANCE(1023);
      END_STATE();
    case 202:
      if (lookahead == '*') ADVANCE(766);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '+', 260,
        'a', 336,
        'b', 313,
        'c', 256,
        'd', 289,
        'e', 370,
        'f', 10,
        'i', 520,
        'j', 439,
        'k', 857,
        'n', 314,
        'o', 497,
        'p', 451,
        'q', 262,
        'r', 282,
        's', 290,
        't', 429,
        'w', 922,
        'x', 20,
      );
      END_STATE();
    case 204:
      if (lookahead == '+') ADVANCE(424);
      if (lookahead == 'f') ADVANCE(416);
      END_STATE();
    case 205:
      if (lookahead == '+') ADVANCE(424);
      if (lookahead == 'j') ADVANCE(446);
      END_STATE();
    case 206:
      if (lookahead == '+') ADVANCE(557);
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'w') ADVANCE(124);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '+', 266,
        'a', 343,
        'b', 328,
        'c', 256,
        'd', 298,
        'e', 395,
        'f', 122,
        'i', 530,
        'j', 439,
        'k', 857,
        'n', 329,
        'o', 503,
        'p', 457,
        'q', 535,
        'r', 281,
        's', 300,
        't', 427,
        'w', 923,
        'x', 128,
      );
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '+', 266,
        'a', 343,
        'b', 328,
        'c', 256,
        'd', 298,
        'e', 395,
        'f', 122,
        'i', 530,
        'j', 439,
        'k', 857,
        'n', 329,
        'o', 503,
        'p', 457,
        'q', 535,
        'r', 281,
        's', 300,
        't', 427,
        'w', 923,
        'x', 547,
      );
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '+', 259,
        'a', 341,
        'b', 323,
        'd', 304,
        'e', 388,
        'f', 11,
        'i', 540,
        'j', 446,
        'n', 324,
        'o', 502,
        'p', 455,
        'q', 263,
        'r', 494,
        's', 305,
        't', 436,
        'w', 125,
        'x', 21,
      );
      END_STATE();
    case 210:
      if (lookahead == '+') ADVANCE(265);
      if (lookahead == 'e') ADVANCE(384);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'k') ADVANCE(123);
      if (lookahead == 'r') ADVANCE(494);
      if (lookahead == 'x') ADVANCE(21);
      END_STATE();
    case 211:
      if (lookahead == '-') ADVANCE(1190);
      END_STATE();
    case 212:
      if (lookahead == '-') ADVANCE(349);
      if (lookahead == 'c') ADVANCE(791);
      if (lookahead == 'h') ADVANCE(785);
      if (lookahead == 'l') ADVANCE(886);
      if (lookahead == 'o') ADVANCE(294);
      if (lookahead == 'r') ADVANCE(782);
      if (lookahead == 's') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 213:
      if (lookahead == '-') ADVANCE(349);
      if (lookahead == 'c') ADVANCE(791);
      if (lookahead == 'h') ADVANCE(785);
      if (lookahead == 'l') ADVANCE(886);
      if (lookahead == 'r') ADVANCE(782);
      if (lookahead == 's') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 214:
      if (lookahead == '-') ADVANCE(349);
      if (lookahead == 'c') ADVANCE(791);
      if (lookahead == 'h') ADVANCE(785);
      if (lookahead == 'r') ADVANCE(782);
      if (lookahead == 's') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 215:
      if (lookahead == '-') ADVANCE(349);
      if (lookahead == 'l') ADVANCE(886);
      if (lookahead == 'r') ADVANCE(782);
      if (lookahead == 's') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 216:
      if (lookahead == '-') ADVANCE(349);
      if (lookahead == 'l') ADVANCE(886);
      if (lookahead == 's') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 217:
      if (lookahead == '-') ADVANCE(349);
      if (lookahead == 'o') ADVANCE(294);
      if (lookahead == 's') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 218:
      if (lookahead == '-') ADVANCE(349);
      if (lookahead == 'r') ADVANCE(782);
      if (lookahead == 's') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 219:
      if (lookahead == '-') ADVANCE(349);
      if (lookahead == 's') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 220:
      if (lookahead == '-') ADVANCE(349);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 221:
      if (lookahead == '-') ADVANCE(406);
      END_STATE();
    case 222:
      if (lookahead == '-') ADVANCE(1189);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '\\', 120,
        'a', 435,
        'c', 472,
        'e', 420,
        'g', 432,
        'h', 500,
        'i', 322,
        'k', 354,
        'l', 365,
        'q', 527,
        'r', 363,
        's', 409,
        't', 422,
        'w', 407,
        'x', 211,
        '|', 1152,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(696);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '\\', 120,
        'a', 435,
        'c', 472,
        'e', 420,
        'g', 432,
        'h', 500,
        'i', 322,
        'k', 354,
        'l', 365,
        'r', 363,
        's', 409,
        't', 421,
        'w', 407,
        'x', 211,
        '|', 1152,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(696);
      END_STATE();
    case 225:
      if (lookahead == '\\') ADVANCE(1037);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 226:
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 227:
      if (lookahead == '\\') ADVANCE(1040);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 228:
      if (lookahead == '\\') ADVANCE(209);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 229:
      if (lookahead == '\\') ADVANCE(1051);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 230:
      if (lookahead == '\\') ADVANCE(210);
      if (lookahead == 'k') ADVANCE(619);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(629);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 231:
      if (lookahead == '\\') ADVANCE(1031);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 232:
      ADVANCE_MAP(
        '\\', 121,
        'a', 435,
        'c', 472,
        'h', 500,
        'i', 322,
        'l', 415,
        'r', 363,
        's', 412,
        't', 421,
        'x', 211,
        '|', 1152,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      END_STATE();
    case 233:
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'h') ADVANCE(500);
      if (lookahead == 'i') ADVANCE(322);
      if (lookahead == 'l') ADVANCE(364);
      if (lookahead == 's') ADVANCE(504);
      if (lookahead == 't') ADVANCE(421);
      if (lookahead == 'x') ADVANCE(211);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      END_STATE();
    case 234:
      if (lookahead == '\\') ADVANCE(205);
      if (lookahead == 'h') ADVANCE(500);
      if (lookahead == 'i') ADVANCE(322);
      if (lookahead == 'l') ADVANCE(414);
      if (lookahead == 't') ADVANCE(421);
      if (lookahead == 'x') ADVANCE(222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      END_STATE();
    case 235:
      if (lookahead == '\\') ADVANCE(204);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 236:
      if (lookahead == '\\') ADVANCE(1041);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 237:
      if (lookahead == '\\') ADVANCE(207);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 238:
      if (lookahead == '\\') ADVANCE(1055);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 239:
      if (lookahead == '\\') ADVANCE(1044);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 240:
      if (lookahead == '\\') ADVANCE(1052);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 241:
      if (lookahead == '\\') ADVANCE(1032);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 242:
      if (lookahead == '\\') ADVANCE(1030);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 243:
      if (lookahead == '\\') ADVANCE(1039);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 244:
      if (lookahead == '\\') ADVANCE(208);
      if (lookahead == 'h') ADVANCE(633);
      if (lookahead == 'i') ADVANCE(614);
      if (lookahead == 'l') ADVANCE(625);
      if (lookahead == 't') ADVANCE(626);
      if (lookahead == 'x') ADVANCE(612);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(623);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 245:
      if (lookahead == '\\') ADVANCE(1046);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 246:
      if (lookahead == '\\') ADVANCE(1027);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 247:
      if (lookahead == '\\') ADVANCE(1053);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247);
      END_STATE();
    case 248:
      if (lookahead == '\\') ADVANCE(1042);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 249:
      if (lookahead == '\\') ADVANCE(1045);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 250:
      if (lookahead == '\\') ADVANCE(1026);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 251:
      if (lookahead == '\\') ADVANCE(1043);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 252:
      if (lookahead == '\\') ADVANCE(1054);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252);
      END_STATE();
    case 253:
      if (lookahead == 'a') ADVANCE(134);
      END_STATE();
    case 254:
      if (lookahead == 'a') ADVANCE(1156);
      END_STATE();
    case 255:
      if (lookahead == 'a') ADVANCE(293);
      if (lookahead == 's') ADVANCE(761);
      if (lookahead == 't') ADVANCE(878);
      END_STATE();
    case 256:
      if (lookahead == 'a') ADVANCE(529);
      END_STATE();
    case 257:
      if (lookahead == 'a') ADVANCE(529);
      if (lookahead == 'l') ADVANCE(509);
      END_STATE();
    case 258:
      if (lookahead == 'a') ADVANCE(148);
      if (lookahead == 'p') ADVANCE(149);
      END_STATE();
    case 259:
      ADVANCE_MAP(
        'a', 340,
        'b', 315,
        'd', 291,
        'e', 440,
        'i', 523,
        'j', 443,
        'k', 944,
        'n', 316,
        'o', 499,
        'p', 452,
        'q', 524,
        'r', 278,
        's', 292,
        't', 428,
        'w', 1006,
      );
      END_STATE();
    case 260:
      ADVANCE_MAP(
        'a', 340,
        'b', 315,
        'd', 291,
        'e', 440,
        'i', 523,
        'j', 443,
        'k', 944,
        'n', 316,
        'o', 499,
        'p', 452,
        'q', 524,
        'r', 278,
        's', 292,
        't', 428,
        'w', 1006,
        'x', 543,
      );
      END_STATE();
    case 261:
      ADVANCE_MAP(
        'a', 340,
        'b', 315,
        'd', 291,
        'e', 440,
        'i', 523,
        'j', 443,
        'k', 944,
        'n', 316,
        'o', 499,
        'p', 452,
        'q', 524,
        'r', 278,
        's', 292,
        't', 428,
        'w', 1006,
        'x', 549,
      );
      END_STATE();
    case 262:
      if (lookahead == 'a') ADVANCE(311);
      if (lookahead == 't') ADVANCE(877);
      END_STATE();
    case 263:
      if (lookahead == 'a') ADVANCE(311);
      if (lookahead == 't') ADVANCE(197);
      END_STATE();
    case 264:
      ADVANCE_MAP(
        'a', 342,
        'b', 337,
        'd', 307,
        'e', 449,
        'i', 546,
        'j', 450,
        'k', 129,
        'n', 338,
        'o', 507,
        'p', 461,
        'q', 548,
        'r', 288,
        's', 309,
        't', 437,
        'w', 131,
      );
      END_STATE();
    case 265:
      ADVANCE_MAP(
        'a', 344,
        'b', 332,
        'd', 301,
        'e', 441,
        'i', 532,
        'j', 443,
        'k', 943,
        'n', 333,
        'o', 505,
        'p', 459,
        'q', 533,
        'r', 284,
        's', 302,
        't', 430,
        'w', 1007,
      );
      END_STATE();
    case 266:
      ADVANCE_MAP(
        'a', 344,
        'b', 332,
        'd', 301,
        'e', 441,
        'i', 532,
        'j', 443,
        'k', 943,
        'n', 333,
        'o', 505,
        'p', 459,
        'q', 533,
        'r', 284,
        's', 302,
        't', 430,
        'w', 1007,
        'x', 543,
      );
      END_STATE();
    case 267:
      ADVANCE_MAP(
        'a', 344,
        'b', 332,
        'd', 301,
        'e', 441,
        'i', 532,
        'j', 443,
        'k', 943,
        'n', 333,
        'o', 505,
        'p', 459,
        'q', 533,
        'r', 284,
        's', 302,
        't', 430,
        'w', 1007,
        'x', 549,
      );
      END_STATE();
    case 268:
      if (lookahead == 'a') ADVANCE(555);
      END_STATE();
    case 269:
      ADVANCE_MAP(
        'b', 687,
        'd', 45,
        'e', 692,
        'l', 408,
        'm', 46,
        'o', 672,
        'p', 48,
        'q', 689,
        's', 671,
        't', 899,
      );
      END_STATE();
    case 270:
      ADVANCE_MAP(
        'b', 687,
        'd', 367,
        'e', 692,
        'l', 408,
        'm', 46,
        'o', 675,
        'p', 48,
        'q', 688,
        's', 671,
      );
      END_STATE();
    case 271:
      ADVANCE_MAP(
        'b', 687,
        'e', 692,
        'l', 408,
        'm', 46,
        'o', 675,
        'p', 48,
        'q', 688,
        's', 671,
      );
      END_STATE();
    case 272:
      ADVANCE_MAP(
        'b', 687,
        'e', 692,
        'l', 408,
        'm', 46,
        'o', 674,
        'p', 48,
        'q', 690,
        's', 671,
        't', 898,
      );
      END_STATE();
    case 273:
      ADVANCE_MAP(
        'b', 687,
        'e', 692,
        'l', 408,
        'm', 46,
        'o', 673,
        'p', 48,
        'q', 691,
        's', 671,
      );
      END_STATE();
    case 274:
      if (lookahead == 'b') ADVANCE(745);
      END_STATE();
    case 275:
      if (lookahead == 'b') ADVANCE(745);
      if (lookahead == 'd') ADVANCE(861);
      if (lookahead == 'o') ADVANCE(905);
      END_STATE();
    case 276:
      if (lookahead == 'b') ADVANCE(745);
      if (lookahead == 'd') ADVANCE(142);
      if (lookahead == 'o') ADVANCE(143);
      END_STATE();
    case 277:
      if (lookahead == 'b') ADVANCE(745);
      if (lookahead == 'd') ADVANCE(862);
      if (lookahead == 'o') ADVANCE(904);
      END_STATE();
    case 278:
      if (lookahead == 'b') ADVANCE(1004);
      END_STATE();
    case 279:
      if (lookahead == 'b') ADVANCE(1074);
      END_STATE();
    case 280:
      if (lookahead == 'b') ADVANCE(919);
      if (lookahead == 'e') ADVANCE(383);
      if (lookahead == 'q') ADVANCE(50);
      END_STATE();
    case 281:
      if (lookahead == 'b') ADVANCE(919);
      if (lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 282:
      if (lookahead == 'b') ADVANCE(919);
      if (lookahead == 'e') ADVANCE(382);
      if (lookahead == 'q') ADVANCE(50);
      END_STATE();
    case 283:
      if (lookahead == 'b') ADVANCE(1073);
      END_STATE();
    case 284:
      if (lookahead == 'b') ADVANCE(1003);
      END_STATE();
    case 285:
      if (lookahead == 'b') ADVANCE(351);
      END_STATE();
    case 286:
      if (lookahead == 'b') ADVANCE(145);
      if (lookahead == 'e') ADVANCE(393);
      END_STATE();
    case 287:
      if (lookahead == 'b') ADVANCE(145);
      if (lookahead == 'e') ADVANCE(393);
      if (lookahead == 'q') ADVANCE(146);
      END_STATE();
    case 288:
      if (lookahead == 'b') ADVANCE(164);
      END_STATE();
    case 289:
      if (lookahead == 'c') ADVANCE(855);
      END_STATE();
    case 290:
      if (lookahead == 'c') ADVANCE(908);
      if (lookahead == 'i') ADVANCE(397);
      if (lookahead == 'l') ADVANCE(510);
      if (lookahead == 'u') ADVANCE(478);
      END_STATE();
    case 291:
      if (lookahead == 'c') ADVANCE(941);
      END_STATE();
    case 292:
      if (lookahead == 'c') ADVANCE(992);
      if (lookahead == 'i') ADVANCE(398);
      if (lookahead == 'l') ADVANCE(511);
      if (lookahead == 'u') ADVANCE(480);
      END_STATE();
    case 293:
      if (lookahead == 'c') ADVANCE(765);
      END_STATE();
    case 294:
      if (lookahead == 'c') ADVANCE(660);
      END_STATE();
    case 295:
      if (lookahead == 'c') ADVANCE(1245);
      END_STATE();
    case 296:
      if (lookahead == 'c') ADVANCE(1240);
      END_STATE();
    case 297:
      if (lookahead == 'c') ADVANCE(1162);
      END_STATE();
    case 298:
      if (lookahead == 'c') ADVANCE(854);
      END_STATE();
    case 299:
      if (lookahead == 'c') ADVANCE(907);
      if (lookahead == 'i') ADVANCE(400);
      if (lookahead == 'l') ADVANCE(513);
      if (lookahead == 't') ADVANCE(517);
      if (lookahead == 'u') ADVANCE(481);
      END_STATE();
    case 300:
      if (lookahead == 'c') ADVANCE(907);
      if (lookahead == 'i') ADVANCE(400);
      if (lookahead == 'l') ADVANCE(513);
      if (lookahead == 'u') ADVANCE(481);
      END_STATE();
    case 301:
      if (lookahead == 'c') ADVANCE(940);
      END_STATE();
    case 302:
      if (lookahead == 'c') ADVANCE(991);
      if (lookahead == 'i') ADVANCE(401);
      if (lookahead == 'l') ADVANCE(514);
      if (lookahead == 'u') ADVANCE(482);
      END_STATE();
    case 303:
      if (lookahead == 'c') ADVANCE(1238);
      END_STATE();
    case 304:
      if (lookahead == 'c') ADVANCE(135);
      END_STATE();
    case 305:
      if (lookahead == 'c') ADVANCE(147);
      if (lookahead == 'i') ADVANCE(403);
      if (lookahead == 'l') ADVANCE(518);
      if (lookahead == 'u') ADVANCE(491);
      END_STATE();
    case 306:
      if (lookahead == 'c') ADVANCE(70);
      END_STATE();
    case 307:
      if (lookahead == 'c') ADVANCE(157);
      END_STATE();
    case 308:
      if (lookahead == 'c') ADVANCE(94);
      END_STATE();
    case 309:
      if (lookahead == 'c') ADVANCE(165);
      if (lookahead == 'i') ADVANCE(404);
      if (lookahead == 'l') ADVANCE(519);
      if (lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 310:
      if (lookahead == 'c') ADVANCE(93);
      END_STATE();
    case 311:
      if (lookahead == 'c') ADVANCE(202);
      END_STATE();
    case 312:
      if (lookahead == 'c') ADVANCE(433);
      END_STATE();
    case 313:
      if (lookahead == 'd') ADVANCE(895);
      if (lookahead == 'k') ADVANCE(852);
      END_STATE();
    case 314:
      if (lookahead == 'd') ADVANCE(861);
      if (lookahead == 'o') ADVANCE(905);
      END_STATE();
    case 315:
      if (lookahead == 'd') ADVANCE(979);
      if (lookahead == 'k') ADVANCE(938);
      END_STATE();
    case 316:
      if (lookahead == 'd') ADVANCE(946);
      if (lookahead == 'o') ADVANCE(989);
      END_STATE();
    case 317:
      if (lookahead == 'd') ADVANCE(848);
      END_STATE();
    case 318:
      if (lookahead == 'd') ADVANCE(865);
      END_STATE();
    case 319:
      if (lookahead == 'd') ADVANCE(934);
      END_STATE();
    case 320:
      if (lookahead == 'd') ADVANCE(950);
      END_STATE();
    case 321:
      if (lookahead == 'd') ADVANCE(1174);
      END_STATE();
    case 322:
      if (lookahead == 'd') ADVANCE(1185);
      END_STATE();
    case 323:
      if (lookahead == 'd') ADVANCE(132);
      if (lookahead == 'k') ADVANCE(133);
      END_STATE();
    case 324:
      if (lookahead == 'd') ADVANCE(142);
      if (lookahead == 'o') ADVANCE(143);
      END_STATE();
    case 325:
      if (lookahead == 'd') ADVANCE(1257);
      END_STATE();
    case 326:
      if (lookahead == 'd') ADVANCE(1254);
      if (lookahead == 'z') ADVANCE(355);
      END_STATE();
    case 327:
      if (lookahead == 'd') ADVANCE(171);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(896);
      if (lookahead == 'k') ADVANCE(851);
      END_STATE();
    case 329:
      if (lookahead == 'd') ADVANCE(862);
      if (lookahead == 'o') ADVANCE(904);
      END_STATE();
    case 330:
      if (lookahead == 'd') ADVANCE(849);
      END_STATE();
    case 331:
      if (lookahead == 'd') ADVANCE(864);
      END_STATE();
    case 332:
      if (lookahead == 'd') ADVANCE(980);
      if (lookahead == 'k') ADVANCE(937);
      END_STATE();
    case 333:
      if (lookahead == 'd') ADVANCE(947);
      if (lookahead == 'o') ADVANCE(988);
      END_STATE();
    case 334:
      if (lookahead == 'd') ADVANCE(935);
      END_STATE();
    case 335:
      if (lookahead == 'd') ADVANCE(949);
      END_STATE();
    case 336:
      if (lookahead == 'd') ADVANCE(317);
      END_STATE();
    case 337:
      if (lookahead == 'd') ADVANCE(155);
      if (lookahead == 'k') ADVANCE(156);
      END_STATE();
    case 338:
      if (lookahead == 'd') ADVANCE(160);
      if (lookahead == 'o') ADVANCE(161);
      END_STATE();
    case 339:
      if (lookahead == 'd') ADVANCE(184);
      END_STATE();
    case 340:
      if (lookahead == 'd') ADVANCE(319);
      END_STATE();
    case 341:
      if (lookahead == 'd') ADVANCE(327);
      END_STATE();
    case 342:
      if (lookahead == 'd') ADVANCE(339);
      END_STATE();
    case 343:
      if (lookahead == 'd') ADVANCE(330);
      END_STATE();
    case 344:
      if (lookahead == 'd') ADVANCE(334);
      END_STATE();
    case 345:
      if (lookahead == 'd') ADVANCE(44);
      if (lookahead == 'o') ADVANCE(506);
      if (lookahead == 'q') ADVANCE(551);
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 346:
      if (lookahead == 'd') ADVANCE(177);
      END_STATE();
    case 347:
      if (lookahead == 'd') ADVANCE(186);
      END_STATE();
    case 348:
      if (lookahead == 'e') ADVANCE(692);
      if (lookahead == 'm') ADVANCE(542);
      if (lookahead == 'p') ADVANCE(47);
      if (lookahead == 'q') ADVANCE(544);
      if (lookahead == 't') ADVANCE(898);
      END_STATE();
    case 349:
      if (lookahead == 'e') ADVANCE(1069);
      if (lookahead == 's') ADVANCE(1068);
      END_STATE();
    case 350:
      if (lookahead == 'e') ADVANCE(712);
      END_STATE();
    case 351:
      if (lookahead == 'e') ADVANCE(1075);
      END_STATE();
    case 352:
      if (lookahead == 'e') ADVANCE(669);
      END_STATE();
    case 353:
      if (lookahead == 'e') ADVANCE(1171);
      END_STATE();
    case 354:
      if (lookahead == 'e') ADVANCE(559);
      END_STATE();
    case 355:
      if (lookahead == 'e') ADVANCE(1242);
      END_STATE();
    case 356:
      if (lookahead == 'e') ADVANCE(1181);
      END_STATE();
    case 357:
      if (lookahead == 'e') ADVANCE(558);
      if (lookahead == 'p') ADVANCE(47);
      END_STATE();
    case 358:
      if (lookahead == 'e') ADVANCE(558);
      if (lookahead == 'p') ADVANCE(47);
      if (lookahead == 't') ADVANCE(898);
      END_STATE();
    case 359:
      if (lookahead == 'e') ADVANCE(447);
      END_STATE();
    case 360:
      if (lookahead == 'e') ADVANCE(447);
      if (lookahead == 'q') ADVANCE(50);
      END_STATE();
    case 361:
      if (lookahead == 'e') ADVANCE(377);
      END_STATE();
    case 362:
      if (lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 363:
      if (lookahead == 'e') ADVANCE(378);
      END_STATE();
    case 364:
      if (lookahead == 'e') ADVANCE(445);
      if (lookahead == 'i') ADVANCE(456);
      END_STATE();
    case 365:
      if (lookahead == 'e') ADVANCE(445);
      if (lookahead == 'i') ADVANCE(456);
      if (lookahead == 'o') ADVANCE(295);
      END_STATE();
    case 366:
      if (lookahead == 'e') ADVANCE(379);
      END_STATE();
    case 367:
      if (lookahead == 'e') ADVANCE(72);
      END_STATE();
    case 368:
      if (lookahead == 'e') ADVANCE(394);
      if (lookahead == 'q') ADVANCE(146);
      END_STATE();
    case 369:
      if (lookahead == 'e') ADVANCE(106);
      END_STATE();
    case 370:
      if (lookahead == 'f') ADVANCE(30);
      if (lookahead == 'm') ADVANCE(893);
      END_STATE();
    case 371:
      if (lookahead == 'f') ADVANCE(30);
      if (lookahead == 'm') ADVANCE(893);
      if (lookahead == 's') ADVANCE(279);
      END_STATE();
    case 372:
      if (lookahead == 'f') ADVANCE(30);
      if (lookahead == 'm') ADVANCE(893);
      if (lookahead == 's') ADVANCE(285);
      END_STATE();
    case 373:
      if (lookahead == 'f') ADVANCE(30);
      if (lookahead == 'm') ADVANCE(892);
      if (lookahead == 's') ADVANCE(285);
      END_STATE();
    case 374:
      if (lookahead == 'f') ADVANCE(770);
      if (lookahead == 'h') ADVANCE(769);
      if (lookahead == 'i') ADVANCE(771);
      END_STATE();
    case 375:
      if (lookahead == 'f') ADVANCE(770);
      if (lookahead == 'h') ADVANCE(769);
      if (lookahead == 'i') ADVANCE(774);
      END_STATE();
    case 376:
      if (lookahead == 'f') ADVANCE(770);
      if (lookahead == 'h') ADVANCE(769);
      if (lookahead == 'i') ADVANCE(772);
      END_STATE();
    case 377:
      if (lookahead == 'f') ADVANCE(1168);
      END_STATE();
    case 378:
      if (lookahead == 'f') ADVANCE(1251);
      END_STATE();
    case 379:
      if (lookahead == 'f') ADVANCE(1177);
      END_STATE();
    case 380:
      if (lookahead == 'f') ADVANCE(448);
      END_STATE();
    case 381:
      if (lookahead == 'f') ADVANCE(90);
      if (lookahead == 'm') ADVANCE(91);
      if (lookahead == 's') ADVANCE(538);
      END_STATE();
    case 382:
      if (lookahead == 'f') ADVANCE(89);
      END_STATE();
    case 383:
      if (lookahead == 'f') ADVANCE(89);
      if (lookahead == 'm') ADVANCE(91);
      if (lookahead == 's') ADVANCE(538);
      END_STATE();
    case 384:
      if (lookahead == 'f') ADVANCE(29);
      END_STATE();
    case 385:
      if (lookahead == 'f') ADVANCE(29);
      if (lookahead == 'm') ADVANCE(892);
      END_STATE();
    case 386:
      if (lookahead == 'f') ADVANCE(29);
      if (lookahead == 'm') ADVANCE(892);
      if (lookahead == 's') ADVANCE(285);
      END_STATE();
    case 387:
      if (lookahead == 'f') ADVANCE(29);
      if (lookahead == 'm') ADVANCE(892);
      if (lookahead == 's') ADVANCE(283);
      END_STATE();
    case 388:
      if (lookahead == 'f') ADVANCE(29);
      if (lookahead == 'm') ADVANCE(137);
      END_STATE();
    case 389:
      if (lookahead == 'f') ADVANCE(29);
      if (lookahead == 'm') ADVANCE(137);
      if (lookahead == 's') ADVANCE(285);
      END_STATE();
    case 390:
      if (lookahead == 'f') ADVANCE(29);
      if (lookahead == 's') ADVANCE(279);
      END_STATE();
    case 391:
      if (lookahead == 'f') ADVANCE(29);
      if (lookahead == 's') ADVANCE(285);
      END_STATE();
    case 392:
      if (lookahead == 'f') ADVANCE(29);
      if (lookahead == 's') ADVANCE(283);
      END_STATE();
    case 393:
      if (lookahead == 'f') ADVANCE(180);
      END_STATE();
    case 394:
      if (lookahead == 'f') ADVANCE(180);
      if (lookahead == 'm') ADVANCE(91);
      if (lookahead == 's') ADVANCE(538);
      END_STATE();
    case 395:
      if (lookahead == 'f') ADVANCE(136);
      if (lookahead == 'm') ADVANCE(892);
      END_STATE();
    case 396:
      if (lookahead == 'g') ADVANCE(1018);
      END_STATE();
    case 397:
      if (lookahead == 'g') ADVANCE(881);
      END_STATE();
    case 398:
      if (lookahead == 'g') ADVANCE(965);
      END_STATE();
    case 399:
      if (lookahead == 'g') ADVANCE(1159);
      END_STATE();
    case 400:
      if (lookahead == 'g') ADVANCE(880);
      END_STATE();
    case 401:
      if (lookahead == 'g') ADVANCE(964);
      END_STATE();
    case 402:
      if (lookahead == 'g') ADVANCE(199);
      END_STATE();
    case 403:
      if (lookahead == 'g') ADVANCE(181);
      END_STATE();
    case 404:
      if (lookahead == 'g') ADVANCE(189);
      END_STATE();
    case 405:
      if (lookahead == 'h') ADVANCE(769);
      if (lookahead == 'i') ADVANCE(774);
      END_STATE();
    case 406:
      if (lookahead == 'h') ADVANCE(496);
      if (lookahead == 'i') ADVANCE(321);
      if (lookahead == 't') ADVANCE(419);
      END_STATE();
    case 407:
      if (lookahead == 'h') ADVANCE(467);
      END_STATE();
    case 408:
      if (lookahead == 'i') ADVANCE(683);
      END_STATE();
    case 409:
      if (lookahead == 'i') ADVANCE(326);
      if (lookahead == 'r') ADVANCE(296);
      if (lookahead == 't') ADVANCE(501);
      END_STATE();
    case 410:
      if (lookahead == 'i') ADVANCE(773);
      END_STATE();
    case 411:
      if (lookahead == 'i') ADVANCE(774);
      END_STATE();
    case 412:
      if (lookahead == 'i') ADVANCE(561);
      if (lookahead == 'r') ADVANCE(303);
      END_STATE();
    case 413:
      if (lookahead == 'i') ADVANCE(426);
      END_STATE();
    case 414:
      if (lookahead == 'i') ADVANCE(456);
      END_STATE();
    case 415:
      if (lookahead == 'i') ADVANCE(456);
      if (lookahead == 'o') ADVANCE(295);
      END_STATE();
    case 416:
      if (lookahead == 'i') ADVANCE(402);
      END_STATE();
    case 417:
      if (lookahead == 'i') ADVANCE(402);
      if (lookahead == 'm') ADVANCE(139);
      if (lookahead == 'v') ADVANCE(140);
      END_STATE();
    case 418:
      if (lookahead == 'i') ADVANCE(402);
      if (lookahead == 'v') ADVANCE(140);
      END_STATE();
    case 419:
      if (lookahead == 'i') ADVANCE(537);
      END_STATE();
    case 420:
      if (lookahead == 'i') ADVANCE(325);
      END_STATE();
    case 421:
      if (lookahead == 'i') ADVANCE(556);
      END_STATE();
    case 422:
      if (lookahead == 'i') ADVANCE(556);
      if (lookahead == 's') ADVANCE(1064);
      END_STATE();
    case 423:
      if (lookahead == 'i') ADVANCE(550);
      END_STATE();
    case 424:
      if (lookahead == 'j') ADVANCE(450);
      END_STATE();
    case 425:
      if (lookahead == 'k') ADVANCE(221);
      END_STATE();
    case 426:
      if (lookahead == 'k') ADVANCE(175);
      if (lookahead == 't') ADVANCE(438);
      END_STATE();
    case 427:
      if (lookahead == 'l') ADVANCE(886);
      END_STATE();
    case 428:
      if (lookahead == 'l') ADVANCE(971);
      END_STATE();
    case 429:
      if (lookahead == 'l') ADVANCE(887);
      END_STATE();
    case 430:
      if (lookahead == 'l') ADVANCE(970);
      END_STATE();
    case 431:
      if (lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 432:
      if (lookahead == 'l') ADVANCE(473);
      END_STATE();
    case 433:
      if (lookahead == 'l') ADVANCE(474);
      END_STATE();
    case 434:
      if (lookahead == 'l') ADVANCE(356);
      END_STATE();
    case 435:
      if (lookahead == 'l') ADVANCE(528);
      END_STATE();
    case 436:
      if (lookahead == 'l') ADVANCE(198);
      END_STATE();
    case 437:
      if (lookahead == 'l') ADVANCE(166);
      END_STATE();
    case 438:
      if (lookahead == 'l') ADVANCE(193);
      END_STATE();
    case 439:
      if (lookahead == 'm') ADVANCE(477);
      END_STATE();
    case 440:
      if (lookahead == 'm') ADVANCE(977);
      END_STATE();
    case 441:
      if (lookahead == 'm') ADVANCE(976);
      END_STATE();
    case 442:
      if (lookahead == 'm') ADVANCE(254);
      END_STATE();
    case 443:
      if (lookahead == 'm') ADVANCE(479);
      END_STATE();
    case 444:
      if (lookahead == 'm') ADVANCE(137);
      END_STATE();
    case 445:
      if (lookahead == 'm') ADVANCE(442);
      END_STATE();
    case 446:
      if (lookahead == 'm') ADVANCE(490);
      END_STATE();
    case 447:
      if (lookahead == 'm') ADVANCE(91);
      if (lookahead == 's') ADVANCE(538);
      END_STATE();
    case 448:
      if (lookahead == 'm') ADVANCE(105);
      END_STATE();
    case 449:
      if (lookahead == 'm') ADVANCE(158);
      END_STATE();
    case 450:
      if (lookahead == 'm') ADVANCE(492);
      END_STATE();
    case 451:
      if (lookahead == 'n') ADVANCE(867);
      if (lookahead == 'r') ADVANCE(465);
      END_STATE();
    case 452:
      if (lookahead == 'n') ADVANCE(952);
      if (lookahead == 'r') ADVANCE(466);
      END_STATE();
    case 453:
      if (lookahead == 'n') ADVANCE(874);
      END_STATE();
    case 454:
      if (lookahead == 'n') ADVANCE(959);
      END_STATE();
    case 455:
      if (lookahead == 'n') ADVANCE(144);
      if (lookahead == 'r') ADVANCE(475);
      END_STATE();
    case 456:
      if (lookahead == 'n') ADVANCE(425);
      END_STATE();
    case 457:
      if (lookahead == 'n') ADVANCE(868);
      if (lookahead == 'r') ADVANCE(468);
      END_STATE();
    case 458:
      if (lookahead == 'n') ADVANCE(873);
      END_STATE();
    case 459:
      if (lookahead == 'n') ADVANCE(953);
      if (lookahead == 'r') ADVANCE(469);
      END_STATE();
    case 460:
      if (lookahead == 'n') ADVANCE(958);
      END_STATE();
    case 461:
      if (lookahead == 'n') ADVANCE(162);
      if (lookahead == 'r') ADVANCE(476);
      END_STATE();
    case 462:
      if (lookahead == 'n') ADVANCE(399);
      END_STATE();
    case 463:
      if (lookahead == 'n') ADVANCE(195);
      END_STATE();
    case 464:
      if (lookahead == 'n') ADVANCE(196);
      END_STATE();
    case 465:
      if (lookahead == 'o') ADVANCE(917);
      END_STATE();
    case 466:
      if (lookahead == 'o') ADVANCE(1001);
      END_STATE();
    case 467:
      if (lookahead == 'o') ADVANCE(1260);
      END_STATE();
    case 468:
      if (lookahead == 'o') ADVANCE(916);
      END_STATE();
    case 469:
      if (lookahead == 'o') ADVANCE(1000);
      END_STATE();
    case 470:
      if (lookahead == 'o') ADVANCE(495);
      END_STATE();
    case 471:
      if (lookahead == 'o') ADVANCE(462);
      END_STATE();
    case 472:
      if (lookahead == 'o') ADVANCE(483);
      END_STATE();
    case 473:
      if (lookahead == 'o') ADVANCE(516);
      END_STATE();
    case 474:
      if (lookahead == 'o') ADVANCE(297);
      END_STATE();
    case 475:
      if (lookahead == 'o') ADVANCE(179);
      END_STATE();
    case 476:
      if (lookahead == 'o') ADVANCE(188);
      END_STATE();
    case 477:
      if (lookahead == 'p') ADVANCE(1020);
      END_STATE();
    case 478:
      if (lookahead == 'p') ADVANCE(911);
      END_STATE();
    case 479:
      if (lookahead == 'p') ADVANCE(1022);
      END_STATE();
    case 480:
      if (lookahead == 'p') ADVANCE(995);
      END_STATE();
    case 481:
      if (lookahead == 'p') ADVANCE(910);
      END_STATE();
    case 482:
      if (lookahead == 'p') ADVANCE(994);
      END_STATE();
    case 483:
      if (lookahead == 'p') ADVANCE(560);
      END_STATE();
    case 484:
      if (lookahead == 'p') ADVANCE(149);
      END_STATE();
    case 485:
      if (lookahead == 'p') ADVANCE(47);
      END_STATE();
    case 486:
      if (lookahead == 'p') ADVANCE(47);
      if (lookahead == 'q') ADVANCE(544);
      if (lookahead == 't') ADVANCE(899);
      END_STATE();
    case 487:
      if (lookahead == 'p') ADVANCE(47);
      if (lookahead == 'q') ADVANCE(544);
      if (lookahead == 't') ADVANCE(898);
      END_STATE();
    case 488:
      if (lookahead == 'p') ADVANCE(47);
      if (lookahead == 't') ADVANCE(898);
      END_STATE();
    case 489:
      if (lookahead == 'p') ADVANCE(47);
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 490:
      if (lookahead == 'p') ADVANCE(200);
      END_STATE();
    case 491:
      if (lookahead == 'p') ADVANCE(183);
      END_STATE();
    case 492:
      if (lookahead == 'p') ADVANCE(201);
      END_STATE();
    case 493:
      if (lookahead == 'p') ADVANCE(191);
      END_STATE();
    case 494:
      if (lookahead == 'q') ADVANCE(50);
      END_STATE();
    case 495:
      if (lookahead == 'r') ADVANCE(369);
      END_STATE();
    case 496:
      if (lookahead == 'r') ADVANCE(361);
      END_STATE();
    case 497:
      if (lookahead == 'r') ADVANCE(318);
      END_STATE();
    case 498:
      if (lookahead == 'r') ADVANCE(288);
      if (lookahead == 'w') ADVANCE(130);
      END_STATE();
    case 499:
      if (lookahead == 'r') ADVANCE(320);
      END_STATE();
    case 500:
      if (lookahead == 'r') ADVANCE(366);
      END_STATE();
    case 501:
      if (lookahead == 'r') ADVANCE(471);
      END_STATE();
    case 502:
      if (lookahead == 'r') ADVANCE(346);
      END_STATE();
    case 503:
      if (lookahead == 'r') ADVANCE(331);
      END_STATE();
    case 504:
      if (lookahead == 'r') ADVANCE(312);
      if (lookahead == 't') ADVANCE(501);
      END_STATE();
    case 505:
      if (lookahead == 'r') ADVANCE(335);
      END_STATE();
    case 506:
      if (lookahead == 'r') ADVANCE(173);
      END_STATE();
    case 507:
      if (lookahead == 'r') ADVANCE(347);
      END_STATE();
    case 508:
      if (lookahead == 's') ADVANCE(380);
      END_STATE();
    case 509:
      if (lookahead == 's') ADVANCE(738);
      END_STATE();
    case 510:
      if (lookahead == 's') ADVANCE(884);
      END_STATE();
    case 511:
      if (lookahead == 's') ADVANCE(968);
      END_STATE();
    case 512:
      if (lookahead == 's') ADVANCE(1165);
      END_STATE();
    case 513:
      if (lookahead == 's') ADVANCE(883);
      END_STATE();
    case 514:
      if (lookahead == 's') ADVANCE(967);
      END_STATE();
    case 515:
      if (lookahead == 's') ADVANCE(283);
      END_STATE();
    case 516:
      if (lookahead == 's') ADVANCE(512);
      END_STATE();
    case 517:
      if (lookahead == 's') ADVANCE(92);
      END_STATE();
    case 518:
      if (lookahead == 's') ADVANCE(182);
      END_STATE();
    case 519:
      if (lookahead == 's') ADVANCE(190);
      END_STATE();
    case 520:
      if (lookahead == 't') ADVANCE(899);
      END_STATE();
    case 521:
      if (lookahead == 't') ADVANCE(220);
      END_STATE();
    case 522:
      if (lookahead == 't') ADVANCE(878);
      END_STATE();
    case 523:
      if (lookahead == 't') ADVANCE(983);
      END_STATE();
    case 524:
      if (lookahead == 't') ADVANCE(962);
      END_STATE();
    case 525:
      if (lookahead == 't') ADVANCE(902);
      END_STATE();
    case 526:
      if (lookahead == 't') ADVANCE(986);
      END_STATE();
    case 527:
      if (lookahead == 't') ADVANCE(562);
      END_STATE();
    case 528:
      if (lookahead == 't') ADVANCE(1235);
      END_STATE();
    case 529:
      if (lookahead == 't') ADVANCE(1078);
      END_STATE();
    case 530:
      if (lookahead == 't') ADVANCE(898);
      END_STATE();
    case 531:
      if (lookahead == 't') ADVANCE(901);
      END_STATE();
    case 532:
      if (lookahead == 't') ADVANCE(982);
      END_STATE();
    case 533:
      if (lookahead == 't') ADVANCE(961);
      END_STATE();
    case 534:
      if (lookahead == 't') ADVANCE(985);
      END_STATE();
    case 535:
      if (lookahead == 't') ADVANCE(876);
      END_STATE();
    case 536:
      if (lookahead == 't') ADVANCE(710);
      END_STATE();
    case 537:
      if (lookahead == 't') ADVANCE(431);
      END_STATE();
    case 538:
      if (lookahead == 't') ADVANCE(470);
      END_STATE();
    case 539:
      if (lookahead == 't') ADVANCE(517);
      END_STATE();
    case 540:
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 541:
      if (lookahead == 't') ADVANCE(197);
      END_STATE();
    case 542:
      if (lookahead == 't') ADVANCE(352);
      END_STATE();
    case 543:
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 544:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 545:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 546:
      if (lookahead == 't') ADVANCE(159);
      END_STATE();
    case 547:
      if (lookahead == 't') ADVANCE(64);
      END_STATE();
    case 548:
      if (lookahead == 't') ADVANCE(163);
      END_STATE();
    case 549:
      if (lookahead == 't') ADVANCE(68);
      END_STATE();
    case 550:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 551:
      if (lookahead == 't') ADVANCE(174);
      END_STATE();
    case 552:
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 553:
      if (lookahead == 't') ADVANCE(192);
      END_STATE();
    case 554:
      if (lookahead == 't') ADVANCE(194);
      END_STATE();
    case 555:
      if (lookahead == 't') ADVANCE(172);
      END_STATE();
    case 556:
      if (lookahead == 't') ADVANCE(434);
      END_STATE();
    case 557:
      if (lookahead == 'w') ADVANCE(130);
      END_STATE();
    case 558:
      if (lookahead == 'x') ADVANCE(73);
      END_STATE();
    case 559:
      if (lookahead == 'y') ADVANCE(1153);
      END_STATE();
    case 560:
      if (lookahead == 'y') ADVANCE(1248);
      END_STATE();
    case 561:
      if (lookahead == 'z') ADVANCE(355);
      END_STATE();
    case 562:
      if (lookahead == 'e' ||
          lookahead == 's') ADVANCE(1064);
      END_STATE();
    case 563:
      if (('1' <= lookahead && lookahead <= '3')) ADVANCE(643);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      END_STATE();
    case 564:
      if (('1' <= lookahead && lookahead <= '4')) ADVANCE(645);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      END_STATE();
    case 565:
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(789);
      END_STATE();
    case 566:
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(783);
      END_STATE();
    case 567:
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(792);
      END_STATE();
    case 568:
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(786);
      END_STATE();
    case 569:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1076);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1077);
      END_STATE();
    case 570:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(653);
      END_STATE();
    case 571:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(698);
      END_STATE();
    case 572:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(601);
      END_STATE();
    case 573:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(572);
      END_STATE();
    case 574:
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1070);
      END_STATE();
    case 575:
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(154);
      END_STATE();
    case 576:
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      END_STATE();
    case 577:
      if (eof) ADVANCE(600);
      ADVANCE_MAP(
        '"', 1082,
        '=', 1081,
        '\\', 1025,
        'a', 1215,
        'c', 1219,
        'e', 1211,
        'g', 1214,
        'h', 1225,
        'i', 1199,
        'k', 1202,
        'l', 1203,
        'r', 1204,
        's', 1210,
        't', 1213,
        'w', 1209,
        'x', 1193,
        '|', 1152,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(577);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(651);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1233);
      END_STATE();
    case 578:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1047);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 579:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1058);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(579);
      if (lookahead != 0) ADVANCE(795);
      END_STATE();
    case 580:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1048);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 581:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1050);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 582:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1029);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 583:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1063);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(583);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(704);
      END_STATE();
    case 584:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1056);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 585:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1062);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 586:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1062);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(586);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(650);
      END_STATE();
    case 587:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1033);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 588:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1061);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 589:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1035);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 590:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1035);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(590);
      END_STATE();
    case 591:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1038);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(591);
      END_STATE();
    case 592:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1036);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 593:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1036);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(593);
      END_STATE();
    case 594:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1049);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 595:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1028);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0) ADVANCE(640);
      END_STATE();
    case 596:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1057);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(596);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(573);
      END_STATE();
    case 597:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1060);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(597);
      END_STATE();
    case 598:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1059);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(598);
      END_STATE();
    case 599:
      if (eof) ADVANCE(600);
      if (lookahead == '\\') ADVANCE(1034);
      if (lookahead == '|') ADVANCE(1152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(599);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_bookcode);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == '.') ADVANCE(570);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(652);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'e') ADVANCE(1243);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'f') ADVANCE(1178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'k') ADVANCE(1194);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'l') ADVANCE(1206);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'm') ADVANCE(1195);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'o') ADVANCE(1218);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 's') ADVANCE(1226);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'y') ADVANCE(1249);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_bookcode);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '-') ADVANCE(1191);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '-') ADVANCE(624);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'd') ADVANCE(1188);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'd') ADVANCE(1176);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'e') ADVANCE(621);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'e') ADVANCE(1184);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'e') ADVANCE(1173);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'e') ADVANCE(637);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'e') ADVANCE(622);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'f') ADVANCE(1180);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'f') ADVANCE(1170);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'h') ADVANCE(633);
      if (lookahead == 'i') ADVANCE(614);
      if (lookahead == 'l') ADVANCE(625);
      if (lookahead == 't') ADVANCE(626);
      if (lookahead == 'x') ADVANCE(612);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(623);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'h') ADVANCE(634);
      if (lookahead == 'i') ADVANCE(615);
      if (lookahead == 't') ADVANCE(627);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'i') ADVANCE(632);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'i') ADVANCE(635);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'i') ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'k') ADVANCE(613);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'k') ADVANCE(619);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(629);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'l') ADVANCE(617);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'l') ADVANCE(618);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'n') ADVANCE(628);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'r') ADVANCE(616);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'r') ADVANCE(620);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 't') ADVANCE(630);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 't') ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'y') ADVANCE(1155);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(638);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(639);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym__spaceOrLine);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(641);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(anon_sym_BSLASHid);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_numberedLevelMax3);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_numberedLevelMax3);
      if (lookahead == '.') ADVANCE(570);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(649);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_numberedLevelMax4);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_numberedLevelMax4);
      if (lookahead == '.') ADVANCE(570);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(649);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_numberedLevelMax5);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_numberedLevelMax5);
      if (lookahead == '.') ADVANCE(570);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(649);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_versionNumber);
      if (lookahead == '.') ADVANCE(570);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_versionNumber);
      if (lookahead == '.') ADVANCE(570);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(650);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_versionNumber);
      if (lookahead == '.') ADVANCE(570);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(649);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_versionNumber);
      if (lookahead == '.') ADVANCE(570);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(652);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_versionNumber);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(653);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(anon_sym_BSLASHusfm);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(anon_sym_BSLASHide);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(anon_sym_BSLASHref);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(anon_sym_BSLASHref_STAR);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(anon_sym_BSLASHh);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(anon_sym_SPACE);
      if (lookahead == ' ') ADVANCE(659);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(anon_sym_BSLASHtoc);
      if (lookahead == 'a') ADVANCE(661);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(anon_sym_BSLASHtoca);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(anon_sym_BSLASHsts);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(anon_sym_BSLASHrem);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(anon_sym_BSLASHrestore);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(anon_sym_BSLASHlit);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(anon_sym_BSLASHiqt);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(anon_sym_BSLASHiqt_STAR);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(anon_sym_BSLASHimt);
      if (lookahead == 'e') ADVANCE(669);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(anon_sym_BSLASHimte);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(aux_sym_imteTag_token1);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(anon_sym_BSLASHis);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(anon_sym_BSLASHio);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(anon_sym_BSLASHio);
      if (lookahead == 'r') ADVANCE(173);
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(anon_sym_BSLASHio);
      if (lookahead == 'r') ADVANCE(76);
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(anon_sym_BSLASHio);
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(anon_sym_BSLASHior);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(anon_sym_BSLASHior_STAR);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(anon_sym_BSLASHiot);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(anon_sym_BSLASHip);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(anon_sym_BSLASHim);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(anon_sym_BSLASHipi);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(anon_sym_BSLASHimi);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(anon_sym_BSLASHili);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(anon_sym_BSLASHipq);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(anon_sym_BSLASHimq);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(anon_sym_BSLASHipr);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(anon_sym_BSLASHib);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(anon_sym_BSLASHiq);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(anon_sym_BSLASHiq);
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(anon_sym_BSLASHiq);
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(anon_sym_BSLASHiq);
      if (lookahead == 't') ADVANCE(174);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(anon_sym_BSLASHie);
      if (lookahead == 'x') ADVANCE(73);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(anon_sym_BSLASHiex);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(anon_sym_BSLASHv);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym_verseNumber);
      if (lookahead == '-') ADVANCE(571);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(697);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym_verseNumber);
      if (lookahead == '-') ADVANCE(571);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(697);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(696);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(695);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym_verseNumber);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(697);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym_verseNumber);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(697);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(698);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(697);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(anon_sym_BSLASHva);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(anon_sym_BSLASHva_STAR);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(anon_sym_BSLASHvp);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(anon_sym_BSLASHvp_STAR);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(anon_sym_BSLASHc);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym_chapterNumber);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(704);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(anon_sym_BSLASHcl);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(anon_sym_BSLASHca);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(anon_sym_BSLASHca_STAR);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(anon_sym_BSLASHcp);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(anon_sym_BSLASHcd);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(anon_sym_BSLASHmt);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(anon_sym_BSLASHmt);
      if (lookahead == 'e') ADVANCE(712);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(anon_sym_BSLASHmte);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(anon_sym_BSLASHms);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(anon_sym_BSLASHmr);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(anon_sym_BSLASHs);
      ADVANCE_MAP(
        'c', 908,
        'd', 724,
        'i', 397,
        'l', 510,
        'p', 52,
        'r', 53,
        't', 517,
        'u', 478,
      );
      END_STATE();
    case 716:
      ACCEPT_TOKEN(anon_sym_BSLASHs);
      ADVANCE_MAP(
        'c', 907,
        'd', 724,
        'i', 400,
        'l', 513,
        'p', 52,
        'r', 53,
        't', 517,
        'u', 481,
      );
      END_STATE();
    case 717:
      ACCEPT_TOKEN(anon_sym_BSLASHs);
      if (lookahead == 'c') ADVANCE(907);
      if (lookahead == 'd') ADVANCE(724);
      if (lookahead == 'i') ADVANCE(400);
      if (lookahead == 'l') ADVANCE(513);
      if (lookahead == 'p') ADVANCE(52);
      if (lookahead == 't') ADVANCE(517);
      if (lookahead == 'u') ADVANCE(481);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(anon_sym_BSLASHs);
      if (lookahead == 'c') ADVANCE(147);
      if (lookahead == 'd') ADVANCE(724);
      if (lookahead == 'i') ADVANCE(403);
      if (lookahead == 'l') ADVANCE(518);
      if (lookahead == 'p') ADVANCE(52);
      if (lookahead == 't') ADVANCE(517);
      if (lookahead == 'u') ADVANCE(491);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(anon_sym_BSLASHs);
      if (lookahead == 'd') ADVANCE(724);
      if (lookahead == 'p') ADVANCE(52);
      if (lookahead == 't') ADVANCE(517);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(anon_sym_BSLASHsr);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(anon_sym_BSLASHr);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(anon_sym_BSLASHsp);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(anon_sym_BSLASHd);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(anon_sym_BSLASHsd);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(anon_sym_BSLASHp);
      ADVANCE_MAP(
        'b', 1024,
        'c', 746,
        'h', 748,
        'i', 743,
        'm', 740,
        'n', 867,
        'o', 733,
        'r', 735,
      );
      END_STATE();
    case 726:
      ACCEPT_TOKEN(anon_sym_BSLASHp);
      ADVANCE_MAP(
        'b', 1024,
        'c', 746,
        'h', 747,
        'i', 743,
        'm', 740,
        'n', 867,
        'o', 733,
        'r', 735,
      );
      END_STATE();
    case 727:
      ACCEPT_TOKEN(anon_sym_BSLASHp);
      ADVANCE_MAP(
        'b', 1024,
        'c', 746,
        'h', 747,
        'i', 743,
        'm', 740,
        'n', 144,
        'o', 733,
        'r', 737,
      );
      END_STATE();
    case 728:
      ACCEPT_TOKEN(anon_sym_BSLASHp);
      ADVANCE_MAP(
        'b', 1024,
        'c', 746,
        'h', 747,
        'i', 743,
        'm', 740,
        'n', 868,
        'o', 733,
        'r', 736,
      );
      END_STATE();
    case 729:
      ACCEPT_TOKEN(anon_sym_BSLASHp);
      if (lookahead == 'b') ADVANCE(1024);
      if (lookahead == 'c') ADVANCE(746);
      if (lookahead == 'h') ADVANCE(747);
      if (lookahead == 'i') ADVANCE(743);
      if (lookahead == 'm') ADVANCE(740);
      if (lookahead == 'o') ADVANCE(733);
      if (lookahead == 'r') ADVANCE(734);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(anon_sym_BSLASHm);
      if (lookahead == 'i') ADVANCE(744);
      if (lookahead == 'r') ADVANCE(49);
      if (lookahead == 's') ADVANCE(713);
      if (lookahead == 't') ADVANCE(711);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(anon_sym_BSLASHm);
      if (lookahead == 'i') ADVANCE(744);
      if (lookahead == 'r') ADVANCE(49);
      if (lookahead == 's') ADVANCE(713);
      if (lookahead == 't') ADVANCE(350);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(anon_sym_BSLASHm);
      if (lookahead == 'i') ADVANCE(744);
      if (lookahead == 's') ADVANCE(713);
      if (lookahead == 't') ADVANCE(350);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(anon_sym_BSLASHpo);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(anon_sym_BSLASHpr);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(anon_sym_BSLASHpr);
      if (lookahead == 'o') ADVANCE(917);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(anon_sym_BSLASHpr);
      if (lookahead == 'o') ADVANCE(916);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(anon_sym_BSLASHpr);
      if (lookahead == 'o') ADVANCE(179);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(anon_sym_BSLASHcls);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(anon_sym_BSLASHpmo);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(anon_sym_BSLASHpm);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'o') ADVANCE(739);
      if (lookahead == 'r') ADVANCE(742);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(anon_sym_BSLASHpmc);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(anon_sym_BSLASHpmr);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(anon_sym_BSLASHpi);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(anon_sym_BSLASHmi);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(anon_sym_BSLASHnb);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(anon_sym_BSLASHpc);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(anon_sym_BSLASHph);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(anon_sym_BSLASHph);
      if (lookahead == 'i') ADVANCE(749);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(anon_sym_BSLASHphi);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(anon_sym_BSLASHb);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(anon_sym_BSLASHb);
      if (lookahead == 'd') ADVANCE(895);
      if (lookahead == 'k') ADVANCE(852);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(anon_sym_BSLASHb);
      if (lookahead == 'd') ADVANCE(132);
      if (lookahead == 'k') ADVANCE(133);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(anon_sym_BSLASHb);
      if (lookahead == 'd') ADVANCE(896);
      if (lookahead == 'k') ADVANCE(851);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(anon_sym_BSLASHq);
      if (lookahead == 'a') ADVANCE(764);
      if (lookahead == 'c') ADVANCE(759);
      if (lookahead == 'd') ADVANCE(768);
      if (lookahead == 'm') ADVANCE(767);
      if (lookahead == 'r') ADVANCE(758);
      if (lookahead == 's') ADVANCE(761);
      if (lookahead == 't') ADVANCE(878);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(anon_sym_BSLASHq);
      if (lookahead == 'a') ADVANCE(764);
      if (lookahead == 'c') ADVANCE(759);
      if (lookahead == 'd') ADVANCE(768);
      if (lookahead == 'm') ADVANCE(767);
      if (lookahead == 'r') ADVANCE(758);
      if (lookahead == 's') ADVANCE(760);
      if (lookahead == 't') ADVANCE(878);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(anon_sym_BSLASHq);
      if (lookahead == 'a') ADVANCE(763);
      if (lookahead == 'c') ADVANCE(759);
      if (lookahead == 'd') ADVANCE(768);
      if (lookahead == 'm') ADVANCE(767);
      if (lookahead == 'r') ADVANCE(758);
      if (lookahead == 't') ADVANCE(220);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(anon_sym_BSLASHq);
      if (lookahead == 'a') ADVANCE(763);
      if (lookahead == 'c') ADVANCE(759);
      if (lookahead == 'd') ADVANCE(768);
      if (lookahead == 'm') ADVANCE(767);
      if (lookahead == 'r') ADVANCE(758);
      if (lookahead == 't') ADVANCE(878);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(anon_sym_BSLASHqr);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(anon_sym_BSLASHqc);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(anon_sym_BSLASHqs);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(anon_sym_BSLASHqs);
      if (lookahead == '*') ADVANCE(762);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(anon_sym_BSLASHqs_STAR);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(anon_sym_BSLASHqa);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(anon_sym_BSLASHqa);
      if (lookahead == 'c') ADVANCE(765);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(anon_sym_BSLASHqac);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(anon_sym_BSLASHqac_STAR);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(anon_sym_BSLASHqm);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(anon_sym_BSLASHqd);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(anon_sym_BSLASHlh);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(anon_sym_BSLASHlf);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(anon_sym_BSLASHli);
      if (lookahead == 'k') ADVANCE(85);
      if (lookahead == 'm') ADVANCE(775);
      if (lookahead == 't') ADVANCE(87);
      if (lookahead == 'v') ADVANCE(777);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(anon_sym_BSLASHli);
      if (lookahead == 'k') ADVANCE(84);
      if (lookahead == 'm') ADVANCE(775);
      if (lookahead == 't') ADVANCE(88);
      if (lookahead == 'v') ADVANCE(777);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(anon_sym_BSLASHli);
      if (lookahead == 'm') ADVANCE(775);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(anon_sym_BSLASHli);
      if (lookahead == 'm') ADVANCE(775);
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(anon_sym_BSLASHlim);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(anon_sym_BSLASHliv);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(anon_sym_BSLASHlik);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(anon_sym_BSLASHlik_STAR);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(anon_sym_BSLASHlitl);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(anon_sym_BSLASHlitl_STAR);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(anon_sym_BSLASHtr);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym_thTag);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_thTag);
      if (lookahead == '-') ADVANCE(566);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym_thTag);
      if (lookahead == 'r') ADVANCE(788);
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(784);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym_thrTag);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym_thrTag);
      if (lookahead == '-') ADVANCE(568);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym_thrTag);
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(787);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym_tcTag);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_tcTag);
      if (lookahead == '-') ADVANCE(565);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym_tcTag);
      if (lookahead == 'r') ADVANCE(794);
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(790);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym_tcrTag);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym_tcrTag);
      if (lookahead == '-') ADVANCE(567);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym_tcrTag);
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(793);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym_caller);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '\\') ADVANCE(795);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(anon_sym_BSLASHf);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(anon_sym_BSLASHf_STAR);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(anon_sym_BSLASHfe);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(anon_sym_BSLASHfe_STAR);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(anon_sym_BSLASHef);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(anon_sym_BSLASHef_STAR);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(anon_sym_BSLASHfr);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(anon_sym_BSLASHfr_STAR);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(anon_sym_BSLASHfq);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(anon_sym_BSLASHfq_STAR);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(anon_sym_BSLASHfqa);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(anon_sym_BSLASHfqa_STAR);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(anon_sym_BSLASHfk);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(anon_sym_BSLASHfk_STAR);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(anon_sym_BSLASHfl);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(anon_sym_BSLASHfl_STAR);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(anon_sym_BSLASHfw);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(anon_sym_BSLASHfw_STAR);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(anon_sym_BSLASHfp);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(anon_sym_BSLASHfp_STAR);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(anon_sym_BSLASHft);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(anon_sym_BSLASHft_STAR);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(anon_sym_BSLASHfdc);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(anon_sym_BSLASHfdc_STAR);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(anon_sym_BSLASHfv);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(anon_sym_BSLASHfv_STAR);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(anon_sym_BSLASHfm);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(anon_sym_BSLASHfm_STAR);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(anon_sym_BSLASHx);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(anon_sym_BSLASHx_STAR);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(anon_sym_BSLASHxo);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(anon_sym_BSLASHxo_STAR);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(anon_sym_BSLASHxk);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(anon_sym_BSLASHxk_STAR);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(anon_sym_BSLASHxq);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(anon_sym_BSLASHxq_STAR);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(anon_sym_BSLASHxt);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(anon_sym_BSLASHxt_STAR);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSxt);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSxt_STAR);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(anon_sym_BSLASHxta);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(anon_sym_BSLASHxta_STAR);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(anon_sym_BSLASHxop);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(anon_sym_BSLASHxop_STAR);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(anon_sym_BSLASHxot);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(anon_sym_BSLASHxot_STAR);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(anon_sym_BSLASHxnt);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(anon_sym_BSLASHxnt_STAR);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(anon_sym_BSLASHxdc);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(anon_sym_BSLASHxdc_STAR);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(anon_sym_BSLASHrq);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(anon_sym_BSLASHrq_STAR);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(anon_sym_BSLASHadd);
      if (lookahead == '*') ADVANCE(850);
      if (lookahead == 'p') ADVANCE(453);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(anon_sym_BSLASHadd);
      if (lookahead == 'p') ADVANCE(458);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(anon_sym_BSLASHadd_STAR);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(anon_sym_BSLASHbk);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(anon_sym_BSLASHbk);
      if (lookahead == '*') ADVANCE(853);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(anon_sym_BSLASHbk_STAR);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(anon_sym_BSLASHdc);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(anon_sym_BSLASHdc);
      if (lookahead == '*') ADVANCE(856);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(anon_sym_BSLASHdc_STAR);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(anon_sym_BSLASHk);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(anon_sym_BSLASHk);
      if (lookahead == '*') ADVANCE(860);
      if (lookahead == '-') ADVANCE(349);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(anon_sym_BSLASHk);
      if (lookahead == '-') ADVANCE(349);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(anon_sym_BSLASHk_STAR);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(anon_sym_BSLASHnd);
      if (lookahead == '*') ADVANCE(863);
      if (lookahead == 'x') ADVANCE(914);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(anon_sym_BSLASHnd);
      if (lookahead == 'x') ADVANCE(913);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(anon_sym_BSLASHnd_STAR);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(anon_sym_BSLASHord);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(anon_sym_BSLASHord);
      if (lookahead == '*') ADVANCE(866);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(anon_sym_BSLASHord_STAR);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(anon_sym_BSLASHpn);
      if (lookahead == '*') ADVANCE(869);
      if (lookahead == 'g') ADVANCE(871);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(anon_sym_BSLASHpn);
      if (lookahead == 'g') ADVANCE(870);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(anon_sym_BSLASHpn_STAR);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(anon_sym_BSLASHpng);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(anon_sym_BSLASHpng);
      if (lookahead == '*') ADVANCE(872);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(anon_sym_BSLASHpng_STAR);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(anon_sym_BSLASHaddpn);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(anon_sym_BSLASHaddpn);
      if (lookahead == '*') ADVANCE(875);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(anon_sym_BSLASHaddpn_STAR);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(anon_sym_BSLASHqt);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(anon_sym_BSLASHqt);
      if (lookahead == '*') ADVANCE(879);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(anon_sym_BSLASHqt);
      if (lookahead == '-') ADVANCE(349);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(anon_sym_BSLASHqt_STAR);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(anon_sym_BSLASHsig);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(anon_sym_BSLASHsig);
      if (lookahead == '*') ADVANCE(882);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(anon_sym_BSLASHsig_STAR);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(anon_sym_BSLASHsls);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(anon_sym_BSLASHsls);
      if (lookahead == '*') ADVANCE(885);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(anon_sym_BSLASHsls_STAR);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(anon_sym_BSLASHtl);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(anon_sym_BSLASHtl);
      if (lookahead == '*') ADVANCE(888);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(anon_sym_BSLASHtl_STAR);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(anon_sym_BSLASHwj);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(anon_sym_BSLASHwj);
      if (lookahead == '*') ADVANCE(891);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(anon_sym_BSLASHwj_STAR);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(anon_sym_BSLASHem);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(anon_sym_BSLASHem);
      if (lookahead == '*') ADVANCE(894);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(anon_sym_BSLASHem_STAR);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(anon_sym_BSLASHbd);
      if (lookahead == '*') ADVANCE(897);
      if (lookahead == 'i') ADVANCE(525);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(anon_sym_BSLASHbd);
      if (lookahead == 'i') ADVANCE(531);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(anon_sym_BSLASHbd_STAR);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(anon_sym_BSLASHit);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(anon_sym_BSLASHit);
      if (lookahead == '*') ADVANCE(900);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(anon_sym_BSLASHit_STAR);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(anon_sym_BSLASHbdit);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(anon_sym_BSLASHbdit);
      if (lookahead == '*') ADVANCE(903);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(anon_sym_BSLASHbdit_STAR);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(anon_sym_BSLASHno);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(anon_sym_BSLASHno);
      if (lookahead == '*') ADVANCE(906);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(anon_sym_BSLASHno_STAR);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(anon_sym_BSLASHsc);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(anon_sym_BSLASHsc);
      if (lookahead == '*') ADVANCE(909);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(anon_sym_BSLASHsc_STAR);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(anon_sym_BSLASHsup);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(anon_sym_BSLASHsup);
      if (lookahead == '*') ADVANCE(912);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(anon_sym_BSLASHsup_STAR);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(anon_sym_BSLASHndx);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(anon_sym_BSLASHndx);
      if (lookahead == '*') ADVANCE(915);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(anon_sym_BSLASHndx_STAR);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(anon_sym_BSLASHpro);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(anon_sym_BSLASHpro);
      if (lookahead == '*') ADVANCE(918);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(anon_sym_BSLASHpro_STAR);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(anon_sym_BSLASHrb);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(anon_sym_BSLASHrb);
      if (lookahead == '*') ADVANCE(921);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(anon_sym_BSLASHrb_STAR);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(anon_sym_BSLASHw);
      if (lookahead == '*') ADVANCE(924);
      if (lookahead == 'a') ADVANCE(932);
      if (lookahead == 'g') ADVANCE(926);
      if (lookahead == 'h') ADVANCE(929);
      if (lookahead == 'j') ADVANCE(890);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(anon_sym_BSLASHw);
      if (lookahead == 'a') ADVANCE(931);
      if (lookahead == 'g') ADVANCE(925);
      if (lookahead == 'h') ADVANCE(928);
      if (lookahead == 'j') ADVANCE(889);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(anon_sym_BSLASHw_STAR);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(anon_sym_BSLASHwg);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(anon_sym_BSLASHwg);
      if (lookahead == '*') ADVANCE(927);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(anon_sym_BSLASHwg_STAR);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(anon_sym_BSLASHwh);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(anon_sym_BSLASHwh);
      if (lookahead == '*') ADVANCE(930);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(anon_sym_BSLASHwh_STAR);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(anon_sym_BSLASHwa);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(anon_sym_BSLASHwa);
      if (lookahead == '*') ADVANCE(933);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(anon_sym_BSLASHwa_STAR);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSadd);
      if (lookahead == '*') ADVANCE(936);
      if (lookahead == 'p') ADVANCE(454);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSadd);
      if (lookahead == 'p') ADVANCE(460);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSadd_STAR);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbk);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbk);
      if (lookahead == '*') ADVANCE(939);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbk_STAR);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSdc);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSdc);
      if (lookahead == '*') ADVANCE(942);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSdc_STAR);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSk);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSk);
      if (lookahead == '*') ADVANCE(945);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSk_STAR);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSnd);
      if (lookahead == '*') ADVANCE(948);
      if (lookahead == 'x') ADVANCE(998);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSnd);
      if (lookahead == 'x') ADVANCE(997);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSnd_STAR);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSord);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSord);
      if (lookahead == '*') ADVANCE(951);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSord_STAR);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpn);
      if (lookahead == '*') ADVANCE(954);
      if (lookahead == 'g') ADVANCE(956);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpn);
      if (lookahead == 'g') ADVANCE(955);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpn_STAR);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpng);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpng);
      if (lookahead == '*') ADVANCE(957);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpng_STAR);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSaddpn);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSaddpn);
      if (lookahead == '*') ADVANCE(960);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSaddpn_STAR);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSqt);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSqt);
      if (lookahead == '*') ADVANCE(963);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSqt_STAR);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsig);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsig);
      if (lookahead == '*') ADVANCE(966);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsig_STAR);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsls);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsls);
      if (lookahead == '*') ADVANCE(969);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsls_STAR);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUStl);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUStl);
      if (lookahead == '*') ADVANCE(972);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUStl_STAR);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwj);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwj);
      if (lookahead == '*') ADVANCE(975);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwj_STAR);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSem);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSem);
      if (lookahead == '*') ADVANCE(978);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSem_STAR);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbd);
      if (lookahead == '*') ADVANCE(981);
      if (lookahead == 'i') ADVANCE(526);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbd);
      if (lookahead == 'i') ADVANCE(534);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbd_STAR);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSit);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSit);
      if (lookahead == '*') ADVANCE(984);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSit_STAR);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbdit);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbdit);
      if (lookahead == '*') ADVANCE(987);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbdit_STAR);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSno);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSno);
      if (lookahead == '*') ADVANCE(990);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSno_STAR);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsc);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsc);
      if (lookahead == '*') ADVANCE(993);
      END_STATE();
    case 993:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsc_STAR);
      END_STATE();
    case 994:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsup);
      END_STATE();
    case 995:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsup);
      if (lookahead == '*') ADVANCE(996);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsup_STAR);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSndx);
      END_STATE();
    case 998:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSndx);
      if (lookahead == '*') ADVANCE(999);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSndx_STAR);
      END_STATE();
    case 1000:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpro);
      END_STATE();
    case 1001:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpro);
      if (lookahead == '*') ADVANCE(1002);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpro_STAR);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSrb);
      END_STATE();
    case 1004:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSrb);
      if (lookahead == '*') ADVANCE(1005);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSrb_STAR);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSw);
      if (lookahead == '*') ADVANCE(1008);
      if (lookahead == 'a') ADVANCE(1016);
      if (lookahead == 'g') ADVANCE(1010);
      if (lookahead == 'h') ADVANCE(1013);
      if (lookahead == 'j') ADVANCE(974);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSw);
      if (lookahead == 'a') ADVANCE(1015);
      if (lookahead == 'g') ADVANCE(1009);
      if (lookahead == 'h') ADVANCE(1012);
      if (lookahead == 'j') ADVANCE(973);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSw_STAR);
      END_STATE();
    case 1009:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwg);
      END_STATE();
    case 1010:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwg);
      if (lookahead == '*') ADVANCE(1011);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwg_STAR);
      END_STATE();
    case 1012:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwh);
      END_STATE();
    case 1013:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwh);
      if (lookahead == '*') ADVANCE(1014);
      END_STATE();
    case 1014:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwh_STAR);
      END_STATE();
    case 1015:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwa);
      END_STATE();
    case 1016:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwa);
      if (lookahead == '*') ADVANCE(1017);
      END_STATE();
    case 1017:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwa_STAR);
      END_STATE();
    case 1018:
      ACCEPT_TOKEN(anon_sym_BSLASHfig);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(anon_sym_BSLASHfig_STAR);
      END_STATE();
    case 1020:
      ACCEPT_TOKEN(anon_sym_BSLASHjmp);
      END_STATE();
    case 1021:
      ACCEPT_TOKEN(anon_sym_BSLASHjmp_STAR);
      END_STATE();
    case 1022:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSjmp);
      END_STATE();
    case 1023:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSjmp_STAR);
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(anon_sym_BSLASHpb);
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        '+', 260,
        'a', 336,
        'b', 751,
        'c', 1,
        'd', 6,
        'e', 371,
        'f', 9,
        'h', 658,
        'i', 269,
        'j', 439,
        'k', 858,
        'l', 374,
        'm', 730,
        'n', 275,
        'o', 497,
        'p', 725,
        'q', 754,
        'r', 13,
        's', 715,
        't', 212,
        'u', 508,
        'v', 18,
        'w', 922,
        'x', 20,
        'z', 574,
      );
      END_STATE();
    case 1026:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'a', 343,
        'b', 753,
        'c', 257,
        'd', 7,
        'e', 386,
        'f', 11,
        'i', 488,
        'j', 439,
        'k', 859,
        'l', 405,
        'm', 732,
        'n', 277,
        'o', 503,
        'p', 728,
        'q', 755,
        'r', 15,
        's', 717,
        't', 215,
        'v', 19,
        'w', 923,
        'x', 21,
        'z', 574,
      );
      END_STATE();
    case 1027:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'a', 343,
        'b', 753,
        'c', 257,
        'd', 7,
        'e', 386,
        'f', 11,
        'i', 488,
        'j', 439,
        'k', 859,
        'l', 376,
        'm', 732,
        'n', 277,
        'o', 503,
        'p', 728,
        'q', 757,
        'r', 15,
        's', 717,
        't', 215,
        'v', 19,
        'w', 923,
        'x', 21,
        'z', 574,
      );
      END_STATE();
    case 1028:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'a', 343,
        'b', 753,
        'c', 3,
        'd', 7,
        'e', 387,
        'f', 11,
        'i', 358,
        'j', 439,
        'k', 859,
        'l', 405,
        'm', 732,
        'n', 277,
        'o', 503,
        'p', 728,
        'q', 755,
        'r', 15,
        's', 717,
        't', 215,
        'v', 19,
        'w', 923,
        'x', 21,
        'z', 574,
      );
      END_STATE();
    case 1029:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'a', 343,
        'b', 753,
        'c', 3,
        'd', 7,
        'e', 387,
        'f', 11,
        'i', 358,
        'j', 439,
        'k', 859,
        'l', 376,
        'm', 732,
        'n', 277,
        'o', 503,
        'p', 728,
        'q', 757,
        'r', 15,
        's', 717,
        't', 215,
        'v', 19,
        'w', 923,
        'x', 21,
        'z', 574,
      );
      END_STATE();
    case 1030:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'a', 343,
        'b', 328,
        'd', 298,
        'e', 385,
        'f', 11,
        'i', 530,
        'j', 439,
        'k', 859,
        'l', 411,
        'n', 329,
        'o', 503,
        'p', 457,
        'q', 522,
        'r', 280,
        's', 299,
        't', 216,
        'v', 19,
        'w', 923,
        'x', 21,
        'z', 574,
      );
      END_STATE();
    case 1031:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'a', 343,
        'b', 328,
        'd', 298,
        'e', 385,
        'f', 11,
        'i', 530,
        'j', 439,
        'k', 859,
        'l', 423,
        'n', 329,
        'o', 503,
        'p', 457,
        'q', 255,
        'r', 280,
        's', 299,
        't', 216,
        'v', 19,
        'w', 923,
        'x', 21,
        'z', 574,
      );
      END_STATE();
    case 1032:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'b', 750,
        'c', 257,
        'd', 5,
        'e', 391,
        'f', 12,
        'i', 485,
        'k', 220,
        'l', 405,
        'm', 732,
        'n', 274,
        'p', 729,
        'q', 756,
        'r', 16,
        's', 719,
        't', 218,
        'z', 574,
      );
      END_STATE();
    case 1033:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'b', 750,
        'c', 3,
        'd', 5,
        'e', 392,
        'f', 12,
        'i', 357,
        'k', 220,
        'l', 405,
        'm', 732,
        'n', 274,
        'p', 729,
        'q', 756,
        'r', 16,
        's', 719,
        't', 218,
        'z', 574,
      );
      END_STATE();
    case 1034:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'b', 750,
        'c', 2,
        'd', 5,
        'e', 390,
        'f', 12,
        'i', 357,
        'k', 220,
        'l', 405,
        'm', 732,
        'n', 274,
        'p', 729,
        'q', 756,
        'r', 16,
        's', 719,
        't', 218,
        'z', 574,
      );
      END_STATE();
    case 1035:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'c', 4,
        'e', 515,
        'h', 658,
        'i', 270,
        'k', 220,
        'l', 423,
        'm', 536,
        'q', 521,
        'r', 362,
        's', 539,
        't', 217,
        'u', 508,
        'z', 574,
      );
      END_STATE();
    case 1036:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1067,
        'c', 4,
        'e', 515,
        'i', 271,
        'k', 220,
        'l', 423,
        'q', 521,
        'r', 359,
        's', 539,
        't', 219,
        'z', 574,
      );
      END_STATE();
    case 1037:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '+', 260,
        'a', 336,
        'b', 751,
        'c', 257,
        'd', 6,
        'e', 372,
        'f', 10,
        'i', 486,
        'j', 439,
        'k', 859,
        'l', 374,
        'm', 731,
        'n', 275,
        'o', 497,
        'p', 726,
        'q', 757,
        'r', 15,
        's', 715,
        't', 215,
        'v', 19,
        'w', 922,
        'x', 20,
        'z', 576,
      );
      END_STATE();
    case 1038:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '+', 424,
        'c', 4,
        'e', 515,
        'f', 418,
        'i', 273,
        'j', 446,
        'k', 220,
        'l', 423,
        'q', 521,
        'r', 368,
        's', 539,
        't', 219,
        'v', 484,
        'z', 576,
      );
      END_STATE();
    case 1039:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '+', 266,
        'a', 343,
        'b', 753,
        'c', 257,
        'd', 7,
        'e', 373,
        'f', 10,
        'i', 487,
        'j', 439,
        'k', 859,
        'l', 376,
        'm', 732,
        'n', 277,
        'o', 503,
        'p', 728,
        'q', 757,
        'r', 15,
        's', 717,
        't', 215,
        'v', 19,
        'w', 923,
        'x', 20,
        'z', 576,
      );
      END_STATE();
    case 1040:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '+', 259,
        'a', 341,
        'b', 752,
        'c', 257,
        'd', 8,
        'e', 389,
        'f', 11,
        'i', 489,
        'k', 220,
        'l', 405,
        'm', 732,
        'n', 276,
        'o', 502,
        'p', 727,
        'q', 756,
        'r', 17,
        's', 718,
        't', 218,
        'w', 125,
        'x', 21,
        'z', 576,
      );
      END_STATE();
    case 1041:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '+', 261,
        'a', 336,
        'b', 751,
        'c', 257,
        'd', 6,
        'e', 372,
        'f', 10,
        'i', 486,
        'j', 439,
        'k', 859,
        'l', 376,
        'm', 731,
        'n', 275,
        'o', 497,
        'p', 726,
        'q', 757,
        'r', 15,
        's', 715,
        't', 215,
        'v', 19,
        'w', 922,
        'x', 21,
        'z', 576,
      );
      END_STATE();
    case 1042:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '+', 267,
        'a', 343,
        'b', 753,
        'c', 257,
        'd', 7,
        'e', 373,
        'f', 10,
        'i', 487,
        'j', 439,
        'k', 859,
        'l', 374,
        'm', 731,
        'n', 277,
        'o', 503,
        'p', 728,
        'q', 757,
        'r', 15,
        's', 716,
        't', 215,
        'v', 19,
        'w', 923,
        'x', 21,
        'z', 576,
      );
      END_STATE();
    case 1043:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 343,
        'b', 753,
        'c', 257,
        'd', 7,
        'e', 386,
        'f', 11,
        'i', 488,
        'j', 439,
        'k', 859,
        'l', 374,
        'm', 732,
        'n', 277,
        'o', 503,
        'p', 728,
        'q', 757,
        'r', 15,
        's', 717,
        't', 215,
        'v', 19,
        'w', 923,
        'x', 21,
        'z', 576,
      );
      END_STATE();
    case 1044:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 343,
        'b', 753,
        'c', 257,
        'd', 7,
        'e', 386,
        'f', 11,
        'i', 488,
        'j', 439,
        'k', 859,
        'l', 405,
        'm', 732,
        'n', 277,
        'o', 503,
        'p', 728,
        'q', 757,
        'r', 14,
        's', 717,
        't', 213,
        'w', 923,
        'z', 576,
      );
      END_STATE();
    case 1045:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 343,
        'b', 753,
        'c', 257,
        'd', 7,
        'e', 386,
        'f', 11,
        'i', 488,
        'j', 439,
        'k', 859,
        'l', 405,
        'm', 732,
        'n', 277,
        'o', 503,
        'p', 728,
        'q', 755,
        'r', 15,
        's', 717,
        't', 215,
        'v', 19,
        'w', 923,
        'x', 21,
        'z', 576,
      );
      END_STATE();
    case 1046:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 343,
        'b', 753,
        'c', 257,
        'd', 7,
        'e', 386,
        'f', 11,
        'i', 487,
        'j', 439,
        'k', 859,
        'l', 376,
        'm', 731,
        'n', 277,
        'o', 503,
        'p', 728,
        'q', 757,
        'r', 15,
        's', 716,
        't', 215,
        'v', 19,
        'w', 923,
        'x', 21,
        'z', 576,
      );
      END_STATE();
    case 1047:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 343,
        'b', 753,
        'c', 3,
        'd', 7,
        'e', 387,
        'f', 11,
        'i', 348,
        'j', 439,
        'k', 859,
        'l', 376,
        'm', 731,
        'n', 277,
        'o', 503,
        'p', 728,
        'q', 757,
        'r', 15,
        's', 716,
        't', 215,
        'v', 19,
        'w', 923,
        'x', 21,
        'z', 576,
      );
      END_STATE();
    case 1048:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 343,
        'b', 753,
        'c', 3,
        'd', 7,
        'e', 387,
        'f', 11,
        'i', 358,
        'j', 439,
        'k', 859,
        'l', 405,
        'm', 732,
        'n', 277,
        'o', 503,
        'p', 728,
        'q', 757,
        'r', 14,
        's', 717,
        't', 213,
        'w', 923,
        'z', 576,
      );
      END_STATE();
    case 1049:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 343,
        'b', 753,
        'c', 3,
        'd', 7,
        'e', 387,
        'f', 11,
        'i', 358,
        'j', 439,
        'k', 859,
        'l', 405,
        'm', 732,
        'n', 277,
        'o', 503,
        'p', 728,
        'q', 755,
        'r', 15,
        's', 717,
        't', 215,
        'v', 19,
        'w', 923,
        'x', 21,
        'z', 576,
      );
      END_STATE();
    case 1050:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 343,
        'b', 328,
        'c', 4,
        'd', 298,
        'e', 387,
        'f', 11,
        'i', 272,
        'j', 439,
        'k', 859,
        'l', 411,
        'n', 329,
        'o', 503,
        'p', 457,
        'q', 522,
        'r', 280,
        's', 299,
        't', 216,
        'v', 19,
        'w', 923,
        'x', 21,
        'z', 576,
      );
      END_STATE();
    case 1051:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 343,
        'b', 328,
        'd', 298,
        'e', 385,
        'f', 11,
        'i', 530,
        'j', 439,
        'k', 859,
        'l', 423,
        'n', 329,
        'o', 503,
        'p', 457,
        'q', 255,
        'r', 280,
        's', 299,
        't', 216,
        'v', 19,
        'w', 923,
        'x', 21,
        'z', 576,
      );
      END_STATE();
    case 1052:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 750,
        'c', 257,
        'd', 5,
        'e', 391,
        'f', 12,
        'i', 485,
        'k', 220,
        'l', 405,
        'm', 732,
        'n', 274,
        'p', 729,
        'q', 756,
        'r', 17,
        's', 719,
        't', 218,
        'x', 21,
        'z', 576,
      );
      END_STATE();
    case 1053:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 750,
        'c', 257,
        'd', 5,
        'e', 391,
        'f', 12,
        'i', 485,
        'k', 220,
        'l', 405,
        'm', 732,
        'n', 274,
        'p', 729,
        'q', 756,
        'r', 16,
        's', 719,
        't', 218,
        'x', 126,
        'z', 576,
      );
      END_STATE();
    case 1054:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 750,
        'c', 257,
        'd', 5,
        'e', 391,
        'f', 12,
        'i', 485,
        'k', 220,
        'l', 405,
        'm', 732,
        'n', 274,
        'p', 729,
        'q', 756,
        'r', 16,
        's', 719,
        't', 214,
        'z', 576,
      );
      END_STATE();
    case 1055:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 750,
        'c', 257,
        'd', 5,
        'e', 391,
        'f', 12,
        'i', 485,
        'k', 220,
        'l', 375,
        'm', 732,
        'n', 274,
        'p', 729,
        'q', 756,
        'r', 16,
        's', 719,
        't', 218,
        'z', 576,
      );
      END_STATE();
    case 1056:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 750,
        'c', 3,
        'd', 5,
        'e', 392,
        'f', 12,
        'i', 357,
        'k', 220,
        'l', 405,
        'm', 732,
        'n', 274,
        'p', 729,
        'q', 756,
        'r', 17,
        's', 719,
        't', 218,
        'x', 21,
        'z', 576,
      );
      END_STATE();
    case 1057:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 750,
        'c', 3,
        'd', 5,
        'e', 392,
        'f', 12,
        'i', 357,
        'k', 220,
        'l', 405,
        'm', 732,
        'n', 274,
        'p', 729,
        'q', 756,
        'r', 16,
        's', 719,
        't', 214,
        'z', 576,
      );
      END_STATE();
    case 1058:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 750,
        'c', 3,
        'd', 5,
        'e', 392,
        'f', 12,
        'i', 357,
        'k', 220,
        'l', 375,
        'm', 732,
        'n', 274,
        'p', 729,
        'q', 756,
        'r', 16,
        's', 719,
        't', 218,
        'z', 576,
      );
      END_STATE();
    case 1059:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 750,
        'c', 2,
        'd', 5,
        'e', 390,
        'f', 12,
        'i', 357,
        'k', 220,
        'l', 405,
        'm', 732,
        'n', 274,
        'p', 729,
        'q', 756,
        'r', 16,
        's', 719,
        't', 218,
        'z', 576,
      );
      END_STATE();
    case 1060:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 750,
        'c', 2,
        'd', 5,
        'e', 390,
        'f', 12,
        'i', 357,
        'k', 220,
        'l', 405,
        'm', 732,
        'n', 274,
        'p', 729,
        'q', 756,
        'r', 16,
        's', 719,
        't', 214,
        'z', 576,
      );
      END_STATE();
    case 1061:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'c', 4,
        'e', 392,
        'f', 12,
        'i', 271,
        'k', 220,
        'l', 423,
        'm', 536,
        'q', 521,
        'r', 360,
        's', 539,
        't', 219,
        'x', 21,
        'z', 576,
      );
      END_STATE();
    case 1062:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'c', 4,
        'e', 515,
        'h', 658,
        'i', 270,
        'k', 220,
        'l', 423,
        'm', 536,
        'q', 521,
        'r', 362,
        's', 539,
        't', 217,
        'u', 508,
        'z', 576,
      );
      END_STATE();
    case 1063:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'c', 4,
        'e', 515,
        'i', 271,
        'k', 220,
        'l', 423,
        'm', 536,
        'q', 521,
        'r', 359,
        's', 539,
        't', 219,
        'z', 576,
      );
      END_STATE();
    case 1064:
      ACCEPT_TOKEN(aux_sym_milestoneTag_token1);
      END_STATE();
    case 1065:
      ACCEPT_TOKEN(aux_sym_milestoneTag_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 1066:
      ACCEPT_TOKEN(aux_sym_milestoneTag_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1067:
      ACCEPT_TOKEN(anon_sym_BSLASH_STAR);
      END_STATE();
    case 1068:
      ACCEPT_TOKEN(sym_milestoneStartTag);
      END_STATE();
    case 1069:
      ACCEPT_TOKEN(sym_milestoneEndTag);
      END_STATE();
    case 1070:
      ACCEPT_TOKEN(sym_zSpaceTag);
      if (lookahead == '*') ADVANCE(1072);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1070);
      END_STATE();
    case 1071:
      ACCEPT_TOKEN(sym_zSpaceTag);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      END_STATE();
    case 1072:
      ACCEPT_TOKEN(sym__zSpaceClose);
      END_STATE();
    case 1073:
      ACCEPT_TOKEN(anon_sym_BSLASHesb);
      END_STATE();
    case 1074:
      ACCEPT_TOKEN(anon_sym_BSLASHesb);
      if (lookahead == 'e') ADVANCE(1075);
      END_STATE();
    case 1075:
      ACCEPT_TOKEN(anon_sym_BSLASHesbe);
      END_STATE();
    case 1076:
      ACCEPT_TOKEN(sym_category);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1076);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1077);
      END_STATE();
    case 1077:
      ACCEPT_TOKEN(sym_category);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1077);
      END_STATE();
    case 1078:
      ACCEPT_TOKEN(anon_sym_BSLASHcat);
      END_STATE();
    case 1079:
      ACCEPT_TOKEN(anon_sym_BSLASHcat);
      if (lookahead == '*') ADVANCE(1080);
      END_STATE();
    case 1080:
      ACCEPT_TOKEN(anon_sym_BSLASHcat_STAR);
      END_STATE();
    case 1081:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 1082:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 1083:
      ACCEPT_TOKEN(sym_customAttributeName);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1083);
      END_STATE();
    case 1084:
      ACCEPT_TOKEN(sym_customAttributeName);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1084);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1085:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == '-') ADVANCE(1192);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1086:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == '-') ADVANCE(1113);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1087:
      ACCEPT_TOKEN(sym_attributeValue);
      ADVANCE_MAP(
        'a', 1122,
        'c', 1132,
        'h', 1141,
        'i', 1093,
        'l', 1114,
        'r', 1097,
        's', 1116,
        't', 1117,
        'x', 1085,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1087);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1088:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'a') ADVANCE(1158);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1089:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'c') ADVANCE(1247);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1090:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'c') ADVANCE(1241);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1091:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'c') ADVANCE(1164);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1092:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'c') ADVANCE(1123);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1093:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'd') ADVANCE(1187);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1094:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'd') ADVANCE(1175);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1095:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'd') ADVANCE(1259);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1096:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'd') ADVANCE(1256);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1097:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1105);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1098:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1244);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1099:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1183);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1100:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1172);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1101:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1129);
      if (lookahead == 'i') ADVANCE(1130);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1102:
      ACCEPT_TOKEN(sym_attributeValue);
      ADVANCE_MAP(
        'e', 1118,
        'h', 1141,
        'i', 1093,
        'l', 1115,
        's', 1119,
        't', 1117,
        'w', 1112,
        'x', 1085,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1102);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1103:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1106);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1104:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1107);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1105:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'f') ADVANCE(1253);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1106:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'f') ADVANCE(1179);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1107:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'f') ADVANCE(1169);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1108:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'g') ADVANCE(1161);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1109:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'g') ADVANCE(1126);
      if (lookahead == 'h') ADVANCE(1141);
      if (lookahead == 'i') ADVANCE(1093);
      if (lookahead == 'l') ADVANCE(1115);
      if (lookahead == 't') ADVANCE(1117);
      if (lookahead == 'x') ADVANCE(1085);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1109);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1110:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'h') ADVANCE(1141);
      if (lookahead == 'i') ADVANCE(1093);
      if (lookahead == 'l') ADVANCE(1101);
      if (lookahead == 's') ADVANCE(1140);
      if (lookahead == 't') ADVANCE(1117);
      if (lookahead == 'x') ADVANCE(1085);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1110);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1111:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'h') ADVANCE(1141);
      if (lookahead == 'i') ADVANCE(1093);
      if (lookahead == 'l') ADVANCE(1115);
      if (lookahead == 't') ADVANCE(1117);
      if (lookahead == 'x') ADVANCE(1085);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1111);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1112:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'h') ADVANCE(1134);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1113:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'h') ADVANCE(1142);
      if (lookahead == 'i') ADVANCE(1094);
      if (lookahead == 't') ADVANCE(1120);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1114:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1130);
      if (lookahead == 'o') ADVANCE(1089);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1115:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1130);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1116:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1149);
      if (lookahead == 'r') ADVANCE(1090);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1117:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1146);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1118:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1095);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1119:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1096);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1120:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1147);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1121:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'k') ADVANCE(1086);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1122:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'l') ADVANCE(1145);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1123:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'l') ADVANCE(1137);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1124:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'l') ADVANCE(1099);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1125:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'l') ADVANCE(1100);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1126:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'l') ADVANCE(1135);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1127:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'l') ADVANCE(1133);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1127);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1128:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'm') ADVANCE(1088);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1129:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'm') ADVANCE(1128);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1130:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'n') ADVANCE(1121);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1131:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'n') ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1132:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'o') ADVANCE(1138);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1133:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'o') ADVANCE(1089);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1134:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'o') ADVANCE(1262);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1135:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'o') ADVANCE(1144);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1136:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'o') ADVANCE(1131);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1137:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'o') ADVANCE(1091);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1138:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'p') ADVANCE(1148);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1139:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'r') ADVANCE(1136);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1140:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'r') ADVANCE(1092);
      if (lookahead == 't') ADVANCE(1139);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1141:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'r') ADVANCE(1103);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1142:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'r') ADVANCE(1104);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1143:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 's') ADVANCE(1167);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1144:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 's') ADVANCE(1143);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1145:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 't') ADVANCE(1237);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1146:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 't') ADVANCE(1124);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1147:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 't') ADVANCE(1125);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1148:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'y') ADVANCE(1250);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1149:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'z') ADVANCE(1098);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1150:
      ACCEPT_TOKEN(sym_attributeValue);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1150);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1151:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1152:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 1153:
      ACCEPT_TOKEN(anon_sym_key);
      END_STATE();
    case 1154:
      ACCEPT_TOKEN(anon_sym_key);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1155:
      ACCEPT_TOKEN(anon_sym_key);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 1156:
      ACCEPT_TOKEN(anon_sym_lemma);
      END_STATE();
    case 1157:
      ACCEPT_TOKEN(anon_sym_lemma);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1158:
      ACCEPT_TOKEN(anon_sym_lemma);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1159:
      ACCEPT_TOKEN(anon_sym_strong);
      END_STATE();
    case 1160:
      ACCEPT_TOKEN(anon_sym_strong);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1161:
      ACCEPT_TOKEN(anon_sym_strong);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1162:
      ACCEPT_TOKEN(anon_sym_srcloc);
      END_STATE();
    case 1163:
      ACCEPT_TOKEN(anon_sym_srcloc);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1164:
      ACCEPT_TOKEN(anon_sym_srcloc);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1165:
      ACCEPT_TOKEN(anon_sym_gloss);
      END_STATE();
    case 1166:
      ACCEPT_TOKEN(anon_sym_gloss);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1167:
      ACCEPT_TOKEN(anon_sym_gloss);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1168:
      ACCEPT_TOKEN(anon_sym_link_DASHhref);
      END_STATE();
    case 1169:
      ACCEPT_TOKEN(anon_sym_link_DASHhref);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1170:
      ACCEPT_TOKEN(anon_sym_link_DASHhref);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 1171:
      ACCEPT_TOKEN(anon_sym_link_DASHtitle);
      END_STATE();
    case 1172:
      ACCEPT_TOKEN(anon_sym_link_DASHtitle);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1173:
      ACCEPT_TOKEN(anon_sym_link_DASHtitle);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 1174:
      ACCEPT_TOKEN(anon_sym_link_DASHid);
      END_STATE();
    case 1175:
      ACCEPT_TOKEN(anon_sym_link_DASHid);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1176:
      ACCEPT_TOKEN(anon_sym_link_DASHid);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 1177:
      ACCEPT_TOKEN(anon_sym_href);
      END_STATE();
    case 1178:
      ACCEPT_TOKEN(anon_sym_href);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1179:
      ACCEPT_TOKEN(anon_sym_href);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1180:
      ACCEPT_TOKEN(anon_sym_href);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 1181:
      ACCEPT_TOKEN(anon_sym_title);
      END_STATE();
    case 1182:
      ACCEPT_TOKEN(anon_sym_title);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1183:
      ACCEPT_TOKEN(anon_sym_title);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1184:
      ACCEPT_TOKEN(anon_sym_title);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 1185:
      ACCEPT_TOKEN(anon_sym_id);
      END_STATE();
    case 1186:
      ACCEPT_TOKEN(anon_sym_id);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 1187:
      ACCEPT_TOKEN(anon_sym_id);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1188:
      ACCEPT_TOKEN(anon_sym_id);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 1189:
      ACCEPT_TOKEN(anon_sym_x_DASH);
      END_STATE();
    case 1190:
      ACCEPT_TOKEN(anon_sym_x_DASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1083);
      END_STATE();
    case 1191:
      ACCEPT_TOKEN(anon_sym_x_DASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(639);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(640);
      END_STATE();
    case 1192:
      ACCEPT_TOKEN(anon_sym_x_DASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1084);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1193:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == '-') ADVANCE(1190);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1194:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == '-') ADVANCE(406);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1195:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'a') ADVANCE(1157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1196:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'c') ADVANCE(1246);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 1197:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'c') ADVANCE(1239);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 1198:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'c') ADVANCE(1163);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1199:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'd') ADVANCE(1186);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1200:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'd') ADVANCE(1258);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 1201:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'd') ADVANCE(1255);
      if (lookahead == 'z') ADVANCE(603);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'y')) ADVANCE(611);
      END_STATE();
    case 1202:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'e') ADVANCE(1230);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1203:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'e') ADVANCE(1216);
      if (lookahead == 'i') ADVANCE(1217);
      if (lookahead == 'o') ADVANCE(1196);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1204:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'e') ADVANCE(1207);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1205:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'e') ADVANCE(604);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 1206:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'e') ADVANCE(1182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1207:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'f') ADVANCE(1252);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 1208:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'g') ADVANCE(1160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1209:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'h') ADVANCE(1221);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1210:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'i') ADVANCE(1201);
      if (lookahead == 'r') ADVANCE(1197);
      if (lookahead == 't') ADVANCE(1224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1211:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'i') ADVANCE(1200);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1212:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'i') ADVANCE(1229);
      if (lookahead == 's') ADVANCE(1065);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1213:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'i') ADVANCE(1229);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1214:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'l') ADVANCE(1220);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1215:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'l') ADVANCE(1228);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1216:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'm') ADVANCE(607);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 1217:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'n') ADVANCE(605);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 1218:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'n') ADVANCE(1208);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1219:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'o') ADVANCE(1223);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1220:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'o') ADVANCE(609);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 1221:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'o') ADVANCE(1261);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 1222:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'o') ADVANCE(1198);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1223:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'p') ADVANCE(610);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 1224:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'r') ADVANCE(608);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 1225:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'r') ADVANCE(1205);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1226:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 's') ADVANCE(1166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1227:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 't') ADVANCE(1231);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1228:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 't') ADVANCE(1236);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 1229:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 't') ADVANCE(606);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 1230:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'y') ADVANCE(1154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 1231:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'e' ||
          lookahead == 's') ADVANCE(1066);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 1232:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(611);
      END_STATE();
    case 1233:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1232);
      END_STATE();
    case 1234:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1235:
      ACCEPT_TOKEN(anon_sym_alt);
      END_STATE();
    case 1236:
      ACCEPT_TOKEN(anon_sym_alt);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1237:
      ACCEPT_TOKEN(anon_sym_alt);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1238:
      ACCEPT_TOKEN(anon_sym_src);
      END_STATE();
    case 1239:
      ACCEPT_TOKEN(anon_sym_src);
      if (lookahead == 'l') ADVANCE(1222);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1240:
      ACCEPT_TOKEN(anon_sym_src);
      if (lookahead == 'l') ADVANCE(474);
      END_STATE();
    case 1241:
      ACCEPT_TOKEN(anon_sym_src);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1242:
      ACCEPT_TOKEN(anon_sym_size);
      END_STATE();
    case 1243:
      ACCEPT_TOKEN(anon_sym_size);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1244:
      ACCEPT_TOKEN(anon_sym_size);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1245:
      ACCEPT_TOKEN(anon_sym_loc);
      END_STATE();
    case 1246:
      ACCEPT_TOKEN(anon_sym_loc);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1247:
      ACCEPT_TOKEN(anon_sym_loc);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1248:
      ACCEPT_TOKEN(anon_sym_copy);
      END_STATE();
    case 1249:
      ACCEPT_TOKEN(anon_sym_copy);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1250:
      ACCEPT_TOKEN(anon_sym_copy);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1251:
      ACCEPT_TOKEN(anon_sym_ref);
      END_STATE();
    case 1252:
      ACCEPT_TOKEN(anon_sym_ref);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1253:
      ACCEPT_TOKEN(anon_sym_ref);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1254:
      ACCEPT_TOKEN(anon_sym_sid);
      END_STATE();
    case 1255:
      ACCEPT_TOKEN(anon_sym_sid);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1256:
      ACCEPT_TOKEN(anon_sym_sid);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1257:
      ACCEPT_TOKEN(anon_sym_eid);
      END_STATE();
    case 1258:
      ACCEPT_TOKEN(anon_sym_eid);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1259:
      ACCEPT_TOKEN(anon_sym_eid);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    case 1260:
      ACCEPT_TOKEN(anon_sym_who);
      END_STATE();
    case 1261:
      ACCEPT_TOKEN(anon_sym_who);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1234);
      END_STATE();
    case 1262:
      ACCEPT_TOKEN(anon_sym_who);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1151);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 223},
  [2] = {.lex_state = 225},
  [3] = {.lex_state = 225},
  [4] = {.lex_state = 225},
  [5] = {.lex_state = 225},
  [6] = {.lex_state = 236},
  [7] = {.lex_state = 236},
  [8] = {.lex_state = 226},
  [9] = {.lex_state = 226},
  [10] = {.lex_state = 226},
  [11] = {.lex_state = 226},
  [12] = {.lex_state = 226},
  [13] = {.lex_state = 226},
  [14] = {.lex_state = 226},
  [15] = {.lex_state = 226},
  [16] = {.lex_state = 226},
  [17] = {.lex_state = 226},
  [18] = {.lex_state = 226},
  [19] = {.lex_state = 226},
  [20] = {.lex_state = 226},
  [21] = {.lex_state = 226},
  [22] = {.lex_state = 226},
  [23] = {.lex_state = 226},
  [24] = {.lex_state = 226},
  [25] = {.lex_state = 226},
  [26] = {.lex_state = 226},
  [27] = {.lex_state = 226},
  [28] = {.lex_state = 226},
  [29] = {.lex_state = 226},
  [30] = {.lex_state = 226},
  [31] = {.lex_state = 226},
  [32] = {.lex_state = 226},
  [33] = {.lex_state = 226},
  [34] = {.lex_state = 226},
  [35] = {.lex_state = 226},
  [36] = {.lex_state = 226},
  [37] = {.lex_state = 226},
  [38] = {.lex_state = 226},
  [39] = {.lex_state = 226},
  [40] = {.lex_state = 226},
  [41] = {.lex_state = 226},
  [42] = {.lex_state = 578},
  [43] = {.lex_state = 578},
  [44] = {.lex_state = 578},
  [45] = {.lex_state = 578},
  [46] = {.lex_state = 578},
  [47] = {.lex_state = 243},
  [48] = {.lex_state = 243},
  [49] = {.lex_state = 594},
  [50] = {.lex_state = 594},
  [51] = {.lex_state = 594},
  [52] = {.lex_state = 594},
  [53] = {.lex_state = 594},
  [54] = {.lex_state = 594},
  [55] = {.lex_state = 594},
  [56] = {.lex_state = 594},
  [57] = {.lex_state = 594},
  [58] = {.lex_state = 594},
  [59] = {.lex_state = 594},
  [60] = {.lex_state = 245},
  [61] = {.lex_state = 245},
  [62] = {.lex_state = 245},
  [63] = {.lex_state = 245},
  [64] = {.lex_state = 245},
  [65] = {.lex_state = 237},
  [66] = {.lex_state = 578},
  [67] = {.lex_state = 578},
  [68] = {.lex_state = 578},
  [69] = {.lex_state = 578},
  [70] = {.lex_state = 578},
  [71] = {.lex_state = 578},
  [72] = {.lex_state = 578},
  [73] = {.lex_state = 578},
  [74] = {.lex_state = 578},
  [75] = {.lex_state = 578},
  [76] = {.lex_state = 578},
  [77] = {.lex_state = 578},
  [78] = {.lex_state = 578},
  [79] = {.lex_state = 578},
  [80] = {.lex_state = 578},
  [81] = {.lex_state = 578},
  [82] = {.lex_state = 578},
  [83] = {.lex_state = 578},
  [84] = {.lex_state = 578},
  [85] = {.lex_state = 578},
  [86] = {.lex_state = 578},
  [87] = {.lex_state = 578},
  [88] = {.lex_state = 578},
  [89] = {.lex_state = 578},
  [90] = {.lex_state = 578},
  [91] = {.lex_state = 578},
  [92] = {.lex_state = 578},
  [93] = {.lex_state = 578},
  [94] = {.lex_state = 578},
  [95] = {.lex_state = 578},
  [96] = {.lex_state = 578},
  [97] = {.lex_state = 237},
  [98] = {.lex_state = 237},
  [99] = {.lex_state = 237},
  [100] = {.lex_state = 237},
  [101] = {.lex_state = 237},
  [102] = {.lex_state = 237},
  [103] = {.lex_state = 237},
  [104] = {.lex_state = 237},
  [105] = {.lex_state = 237},
  [106] = {.lex_state = 237},
  [107] = {.lex_state = 237},
  [108] = {.lex_state = 237},
  [109] = {.lex_state = 237},
  [110] = {.lex_state = 237},
  [111] = {.lex_state = 237},
  [112] = {.lex_state = 237},
  [113] = {.lex_state = 237},
  [114] = {.lex_state = 237},
  [115] = {.lex_state = 237},
  [116] = {.lex_state = 237},
  [117] = {.lex_state = 237},
  [118] = {.lex_state = 237},
  [119] = {.lex_state = 237},
  [120] = {.lex_state = 237},
  [121] = {.lex_state = 237},
  [122] = {.lex_state = 237},
  [123] = {.lex_state = 237},
  [124] = {.lex_state = 237},
  [125] = {.lex_state = 237},
  [126] = {.lex_state = 237},
  [127] = {.lex_state = 237},
  [128] = {.lex_state = 237},
  [129] = {.lex_state = 237},
  [130] = {.lex_state = 237},
  [131] = {.lex_state = 237},
  [132] = {.lex_state = 237},
  [133] = {.lex_state = 237},
  [134] = {.lex_state = 237},
  [135] = {.lex_state = 237},
  [136] = {.lex_state = 237},
  [137] = {.lex_state = 237},
  [138] = {.lex_state = 237},
  [139] = {.lex_state = 237},
  [140] = {.lex_state = 237},
  [141] = {.lex_state = 237},
  [142] = {.lex_state = 237},
  [143] = {.lex_state = 237},
  [144] = {.lex_state = 249},
  [145] = {.lex_state = 237},
  [146] = {.lex_state = 237},
  [147] = {.lex_state = 579},
  [148] = {.lex_state = 579},
  [149] = {.lex_state = 579},
  [150] = {.lex_state = 249},
  [151] = {.lex_state = 249},
  [152] = {.lex_state = 249},
  [153] = {.lex_state = 237},
  [154] = {.lex_state = 237},
  [155] = {.lex_state = 237},
  [156] = {.lex_state = 237},
  [157] = {.lex_state = 237},
  [158] = {.lex_state = 237},
  [159] = {.lex_state = 237},
  [160] = {.lex_state = 237},
  [161] = {.lex_state = 237},
  [162] = {.lex_state = 237},
  [163] = {.lex_state = 237},
  [164] = {.lex_state = 237},
  [165] = {.lex_state = 237},
  [166] = {.lex_state = 237},
  [167] = {.lex_state = 237},
  [168] = {.lex_state = 579},
  [169] = {.lex_state = 579},
  [170] = {.lex_state = 249},
  [171] = {.lex_state = 237},
  [172] = {.lex_state = 237},
  [173] = {.lex_state = 237},
  [174] = {.lex_state = 237},
  [175] = {.lex_state = 237},
  [176] = {.lex_state = 237},
  [177] = {.lex_state = 237},
  [178] = {.lex_state = 237},
  [179] = {.lex_state = 249},
  [180] = {.lex_state = 249},
  [181] = {.lex_state = 249},
  [182] = {.lex_state = 249},
  [183] = {.lex_state = 237},
  [184] = {.lex_state = 237},
  [185] = {.lex_state = 237},
  [186] = {.lex_state = 237},
  [187] = {.lex_state = 249},
  [188] = {.lex_state = 249},
  [189] = {.lex_state = 237},
  [190] = {.lex_state = 237},
  [191] = {.lex_state = 237},
  [192] = {.lex_state = 237},
  [193] = {.lex_state = 245},
  [194] = {.lex_state = 245},
  [195] = {.lex_state = 245},
  [196] = {.lex_state = 245},
  [197] = {.lex_state = 245},
  [198] = {.lex_state = 245},
  [199] = {.lex_state = 245},
  [200] = {.lex_state = 245},
  [201] = {.lex_state = 245},
  [202] = {.lex_state = 245},
  [203] = {.lex_state = 245},
  [204] = {.lex_state = 245},
  [205] = {.lex_state = 245},
  [206] = {.lex_state = 245},
  [207] = {.lex_state = 245},
  [208] = {.lex_state = 245},
  [209] = {.lex_state = 245},
  [210] = {.lex_state = 245},
  [211] = {.lex_state = 245},
  [212] = {.lex_state = 245},
  [213] = {.lex_state = 245},
  [214] = {.lex_state = 245},
  [215] = {.lex_state = 245},
  [216] = {.lex_state = 245},
  [217] = {.lex_state = 245},
  [218] = {.lex_state = 245},
  [219] = {.lex_state = 245},
  [220] = {.lex_state = 245},
  [221] = {.lex_state = 245},
  [222] = {.lex_state = 245},
  [223] = {.lex_state = 245},
  [224] = {.lex_state = 248},
  [225] = {.lex_state = 248},
  [226] = {.lex_state = 248},
  [227] = {.lex_state = 248},
  [228] = {.lex_state = 248},
  [229] = {.lex_state = 248},
  [230] = {.lex_state = 248},
  [231] = {.lex_state = 248},
  [232] = {.lex_state = 248},
  [233] = {.lex_state = 248},
  [234] = {.lex_state = 248},
  [235] = {.lex_state = 248},
  [236] = {.lex_state = 248},
  [237] = {.lex_state = 248},
  [238] = {.lex_state = 248},
  [239] = {.lex_state = 248},
  [240] = {.lex_state = 248},
  [241] = {.lex_state = 248},
  [242] = {.lex_state = 248},
  [243] = {.lex_state = 248},
  [244] = {.lex_state = 248},
  [245] = {.lex_state = 248},
  [246] = {.lex_state = 248},
  [247] = {.lex_state = 248},
  [248] = {.lex_state = 248},
  [249] = {.lex_state = 248},
  [250] = {.lex_state = 248},
  [251] = {.lex_state = 248},
  [252] = {.lex_state = 248},
  [253] = {.lex_state = 248},
  [254] = {.lex_state = 248},
  [255] = {.lex_state = 248},
  [256] = {.lex_state = 248},
  [257] = {.lex_state = 248},
  [258] = {.lex_state = 238},
  [259] = {.lex_state = 238},
  [260] = {.lex_state = 238},
  [261] = {.lex_state = 238},
  [262] = {.lex_state = 238},
  [263] = {.lex_state = 238},
  [264] = {.lex_state = 238},
  [265] = {.lex_state = 237},
  [266] = {.lex_state = 237},
  [267] = {.lex_state = 227},
  [268] = {.lex_state = 227},
  [269] = {.lex_state = 227},
  [270] = {.lex_state = 227},
  [271] = {.lex_state = 227},
  [272] = {.lex_state = 227},
  [273] = {.lex_state = 227},
  [274] = {.lex_state = 227},
  [275] = {.lex_state = 227},
  [276] = {.lex_state = 227},
  [277] = {.lex_state = 227},
  [278] = {.lex_state = 227},
  [279] = {.lex_state = 228},
  [280] = {.lex_state = 228},
  [281] = {.lex_state = 578},
  [282] = {.lex_state = 578},
  [283] = {.lex_state = 237},
  [284] = {.lex_state = 578},
  [285] = {.lex_state = 237},
  [286] = {.lex_state = 237},
  [287] = {.lex_state = 237},
  [288] = {.lex_state = 237},
  [289] = {.lex_state = 237},
  [290] = {.lex_state = 237},
  [291] = {.lex_state = 237},
  [292] = {.lex_state = 237},
  [293] = {.lex_state = 237},
  [294] = {.lex_state = 237},
  [295] = {.lex_state = 237},
  [296] = {.lex_state = 237},
  [297] = {.lex_state = 237},
  [298] = {.lex_state = 237},
  [299] = {.lex_state = 237},
  [300] = {.lex_state = 237},
  [301] = {.lex_state = 237},
  [302] = {.lex_state = 237},
  [303] = {.lex_state = 237},
  [304] = {.lex_state = 237},
  [305] = {.lex_state = 578},
  [306] = {.lex_state = 237},
  [307] = {.lex_state = 578},
  [308] = {.lex_state = 578},
  [309] = {.lex_state = 245},
  [310] = {.lex_state = 594},
  [311] = {.lex_state = 594},
  [312] = {.lex_state = 245},
  [313] = {.lex_state = 245},
  [314] = {.lex_state = 245},
  [315] = {.lex_state = 251},
  [316] = {.lex_state = 251},
  [317] = {.lex_state = 578},
  [318] = {.lex_state = 578},
  [319] = {.lex_state = 578},
  [320] = {.lex_state = 580},
  [321] = {.lex_state = 580},
  [322] = {.lex_state = 249},
  [323] = {.lex_state = 249},
  [324] = {.lex_state = 229},
  [325] = {.lex_state = 229},
  [326] = {.lex_state = 229},
  [327] = {.lex_state = 229},
  [328] = {.lex_state = 578},
  [329] = {.lex_state = 578},
  [330] = {.lex_state = 229},
  [331] = {.lex_state = 229},
  [332] = {.lex_state = 229},
  [333] = {.lex_state = 245},
  [334] = {.lex_state = 245},
  [335] = {.lex_state = 581},
  [336] = {.lex_state = 581},
  [337] = {.lex_state = 239},
  [338] = {.lex_state = 239},
  [339] = {.lex_state = 581},
  [340] = {.lex_state = 244},
  [341] = {.lex_state = 244},
  [342] = {.lex_state = 582},
  [343] = {.lex_state = 581},
  [344] = {.lex_state = 578},
  [345] = {.lex_state = 581},
  [346] = {.lex_state = 582},
  [347] = {.lex_state = 578},
  [348] = {.lex_state = 578},
  [349] = {.lex_state = 581},
  [350] = {.lex_state = 578},
  [351] = {.lex_state = 578},
  [352] = {.lex_state = 578},
  [353] = {.lex_state = 578},
  [354] = {.lex_state = 578},
  [355] = {.lex_state = 578},
  [356] = {.lex_state = 578},
  [357] = {.lex_state = 578},
  [358] = {.lex_state = 578},
  [359] = {.lex_state = 578},
  [360] = {.lex_state = 582},
  [361] = {.lex_state = 595},
  [362] = {.lex_state = 578},
  [363] = {.lex_state = 578},
  [364] = {.lex_state = 578},
  [365] = {.lex_state = 578},
  [366] = {.lex_state = 578},
  [367] = {.lex_state = 578},
  [368] = {.lex_state = 578},
  [369] = {.lex_state = 578},
  [370] = {.lex_state = 578},
  [371] = {.lex_state = 581},
  [372] = {.lex_state = 581},
  [373] = {.lex_state = 581},
  [374] = {.lex_state = 581},
  [375] = {.lex_state = 581},
  [376] = {.lex_state = 578},
  [377] = {.lex_state = 581},
  [378] = {.lex_state = 581},
  [379] = {.lex_state = 581},
  [380] = {.lex_state = 581},
  [381] = {.lex_state = 581},
  [382] = {.lex_state = 578},
  [383] = {.lex_state = 578},
  [384] = {.lex_state = 581},
  [385] = {.lex_state = 578},
  [386] = {.lex_state = 578},
  [387] = {.lex_state = 581},
  [388] = {.lex_state = 578},
  [389] = {.lex_state = 578},
  [390] = {.lex_state = 578},
  [391] = {.lex_state = 578},
  [392] = {.lex_state = 578},
  [393] = {.lex_state = 578},
  [394] = {.lex_state = 578},
  [395] = {.lex_state = 578},
  [396] = {.lex_state = 578},
  [397] = {.lex_state = 578},
  [398] = {.lex_state = 578},
  [399] = {.lex_state = 578},
  [400] = {.lex_state = 578},
  [401] = {.lex_state = 578},
  [402] = {.lex_state = 578},
  [403] = {.lex_state = 578},
  [404] = {.lex_state = 578},
  [405] = {.lex_state = 578},
  [406] = {.lex_state = 578},
  [407] = {.lex_state = 594},
  [408] = {.lex_state = 578},
  [409] = {.lex_state = 595},
  [410] = {.lex_state = 578},
  [411] = {.lex_state = 594},
  [412] = {.lex_state = 594},
  [413] = {.lex_state = 578},
  [414] = {.lex_state = 578},
  [415] = {.lex_state = 578},
  [416] = {.lex_state = 578},
  [417] = {.lex_state = 578},
  [418] = {.lex_state = 578},
  [419] = {.lex_state = 578},
  [420] = {.lex_state = 244},
  [421] = {.lex_state = 244},
  [422] = {.lex_state = 578},
  [423] = {.lex_state = 244},
  [424] = {.lex_state = 595},
  [425] = {.lex_state = 244},
  [426] = {.lex_state = 578},
  [427] = {.lex_state = 244},
  [428] = {.lex_state = 244},
  [429] = {.lex_state = 578},
  [430] = {.lex_state = 578},
  [431] = {.lex_state = 578},
  [432] = {.lex_state = 578},
  [433] = {.lex_state = 578},
  [434] = {.lex_state = 578},
  [435] = {.lex_state = 578},
  [436] = {.lex_state = 578},
  [437] = {.lex_state = 578},
  [438] = {.lex_state = 578},
  [439] = {.lex_state = 578},
  [440] = {.lex_state = 578},
  [441] = {.lex_state = 578},
  [442] = {.lex_state = 578},
  [443] = {.lex_state = 578},
  [444] = {.lex_state = 578},
  [445] = {.lex_state = 578},
  [446] = {.lex_state = 578},
  [447] = {.lex_state = 578},
  [448] = {.lex_state = 578},
  [449] = {.lex_state = 578},
  [450] = {.lex_state = 578},
  [451] = {.lex_state = 578},
  [452] = {.lex_state = 578},
  [453] = {.lex_state = 578},
  [454] = {.lex_state = 578},
  [455] = {.lex_state = 578},
  [456] = {.lex_state = 578},
  [457] = {.lex_state = 246},
  [458] = {.lex_state = 594},
  [459] = {.lex_state = 594},
  [460] = {.lex_state = 594},
  [461] = {.lex_state = 594},
  [462] = {.lex_state = 594},
  [463] = {.lex_state = 594},
  [464] = {.lex_state = 594},
  [465] = {.lex_state = 594},
  [466] = {.lex_state = 594},
  [467] = {.lex_state = 594},
  [468] = {.lex_state = 594},
  [469] = {.lex_state = 594},
  [470] = {.lex_state = 594},
  [471] = {.lex_state = 594},
  [472] = {.lex_state = 594},
  [473] = {.lex_state = 594},
  [474] = {.lex_state = 594},
  [475] = {.lex_state = 594},
  [476] = {.lex_state = 594},
  [477] = {.lex_state = 594},
  [478] = {.lex_state = 594},
  [479] = {.lex_state = 594},
  [480] = {.lex_state = 594},
  [481] = {.lex_state = 594},
  [482] = {.lex_state = 594},
  [483] = {.lex_state = 594},
  [484] = {.lex_state = 594},
  [485] = {.lex_state = 594},
  [486] = {.lex_state = 594},
  [487] = {.lex_state = 594},
  [488] = {.lex_state = 594},
  [489] = {.lex_state = 594},
  [490] = {.lex_state = 594},
  [491] = {.lex_state = 594},
  [492] = {.lex_state = 594},
  [493] = {.lex_state = 594},
  [494] = {.lex_state = 594},
  [495] = {.lex_state = 594},
  [496] = {.lex_state = 594},
  [497] = {.lex_state = 594},
  [498] = {.lex_state = 594},
  [499] = {.lex_state = 594},
  [500] = {.lex_state = 594},
  [501] = {.lex_state = 594},
  [502] = {.lex_state = 594},
  [503] = {.lex_state = 594},
  [504] = {.lex_state = 594},
  [505] = {.lex_state = 594},
  [506] = {.lex_state = 594},
  [507] = {.lex_state = 594},
  [508] = {.lex_state = 594},
  [509] = {.lex_state = 594},
  [510] = {.lex_state = 594},
  [511] = {.lex_state = 594},
  [512] = {.lex_state = 594},
  [513] = {.lex_state = 594},
  [514] = {.lex_state = 594},
  [515] = {.lex_state = 245},
  [516] = {.lex_state = 594},
  [517] = {.lex_state = 594},
  [518] = {.lex_state = 594},
  [519] = {.lex_state = 594},
  [520] = {.lex_state = 594},
  [521] = {.lex_state = 594},
  [522] = {.lex_state = 594},
  [523] = {.lex_state = 594},
  [524] = {.lex_state = 594},
  [525] = {.lex_state = 594},
  [526] = {.lex_state = 245},
  [527] = {.lex_state = 246},
  [528] = {.lex_state = 245},
  [529] = {.lex_state = 594},
  [530] = {.lex_state = 594},
  [531] = {.lex_state = 594},
  [532] = {.lex_state = 594},
  [533] = {.lex_state = 594},
  [534] = {.lex_state = 594},
  [535] = {.lex_state = 594},
  [536] = {.lex_state = 594},
  [537] = {.lex_state = 594},
  [538] = {.lex_state = 594},
  [539] = {.lex_state = 594},
  [540] = {.lex_state = 594},
  [541] = {.lex_state = 594},
  [542] = {.lex_state = 594},
  [543] = {.lex_state = 594},
  [544] = {.lex_state = 250},
  [545] = {.lex_state = 246},
  [546] = {.lex_state = 245},
  [547] = {.lex_state = 250},
  [548] = {.lex_state = 245},
  [549] = {.lex_state = 245},
  [550] = {.lex_state = 578},
  [551] = {.lex_state = 245},
  [552] = {.lex_state = 249},
  [553] = {.lex_state = 245},
  [554] = {.lex_state = 245},
  [555] = {.lex_state = 245},
  [556] = {.lex_state = 245},
  [557] = {.lex_state = 578},
  [558] = {.lex_state = 245},
  [559] = {.lex_state = 245},
  [560] = {.lex_state = 245},
  [561] = {.lex_state = 578},
  [562] = {.lex_state = 249},
  [563] = {.lex_state = 578},
  [564] = {.lex_state = 249},
  [565] = {.lex_state = 245},
  [566] = {.lex_state = 250},
  [567] = {.lex_state = 237},
  [568] = {.lex_state = 245},
  [569] = {.lex_state = 245},
  [570] = {.lex_state = 245},
  [571] = {.lex_state = 245},
  [572] = {.lex_state = 245},
  [573] = {.lex_state = 245},
  [574] = {.lex_state = 245},
  [575] = {.lex_state = 245},
  [576] = {.lex_state = 245},
  [577] = {.lex_state = 245},
  [578] = {.lex_state = 245},
  [579] = {.lex_state = 245},
  [580] = {.lex_state = 245},
  [581] = {.lex_state = 245},
  [582] = {.lex_state = 245},
  [583] = {.lex_state = 245},
  [584] = {.lex_state = 245},
  [585] = {.lex_state = 245},
  [586] = {.lex_state = 245},
  [587] = {.lex_state = 245},
  [588] = {.lex_state = 245},
  [589] = {.lex_state = 245},
  [590] = {.lex_state = 245},
  [591] = {.lex_state = 245},
  [592] = {.lex_state = 245},
  [593] = {.lex_state = 245},
  [594] = {.lex_state = 245},
  [595] = {.lex_state = 245},
  [596] = {.lex_state = 580},
  [597] = {.lex_state = 580},
  [598] = {.lex_state = 580},
  [599] = {.lex_state = 580},
  [600] = {.lex_state = 580},
  [601] = {.lex_state = 580},
  [602] = {.lex_state = 580},
  [603] = {.lex_state = 580},
  [604] = {.lex_state = 580},
  [605] = {.lex_state = 580},
  [606] = {.lex_state = 580},
  [607] = {.lex_state = 580},
  [608] = {.lex_state = 580},
  [609] = {.lex_state = 580},
  [610] = {.lex_state = 580},
  [611] = {.lex_state = 580},
  [612] = {.lex_state = 580},
  [613] = {.lex_state = 580},
  [614] = {.lex_state = 578},
  [615] = {.lex_state = 580},
  [616] = {.lex_state = 580},
  [617] = {.lex_state = 580},
  [618] = {.lex_state = 580},
  [619] = {.lex_state = 580},
  [620] = {.lex_state = 580},
  [621] = {.lex_state = 580},
  [622] = {.lex_state = 580},
  [623] = {.lex_state = 580},
  [624] = {.lex_state = 580},
  [625] = {.lex_state = 580},
  [626] = {.lex_state = 580},
  [627] = {.lex_state = 580},
  [628] = {.lex_state = 580},
  [629] = {.lex_state = 580},
  [630] = {.lex_state = 580},
  [631] = {.lex_state = 580},
  [632] = {.lex_state = 580},
  [633] = {.lex_state = 578},
  [634] = {.lex_state = 580},
  [635] = {.lex_state = 580},
  [636] = {.lex_state = 249},
  [637] = {.lex_state = 249},
  [638] = {.lex_state = 249},
  [639] = {.lex_state = 249},
  [640] = {.lex_state = 249},
  [641] = {.lex_state = 249},
  [642] = {.lex_state = 249},
  [643] = {.lex_state = 249},
  [644] = {.lex_state = 249},
  [645] = {.lex_state = 249},
  [646] = {.lex_state = 249},
  [647] = {.lex_state = 578},
  [648] = {.lex_state = 249},
  [649] = {.lex_state = 249},
  [650] = {.lex_state = 237},
  [651] = {.lex_state = 249},
  [652] = {.lex_state = 249},
  [653] = {.lex_state = 249},
  [654] = {.lex_state = 249},
  [655] = {.lex_state = 249},
  [656] = {.lex_state = 249},
  [657] = {.lex_state = 249},
  [658] = {.lex_state = 249},
  [659] = {.lex_state = 249},
  [660] = {.lex_state = 249},
  [661] = {.lex_state = 249},
  [662] = {.lex_state = 249},
  [663] = {.lex_state = 249},
  [664] = {.lex_state = 249},
  [665] = {.lex_state = 249},
  [666] = {.lex_state = 249},
  [667] = {.lex_state = 249},
  [668] = {.lex_state = 249},
  [669] = {.lex_state = 249},
  [670] = {.lex_state = 237},
  [671] = {.lex_state = 249},
  [672] = {.lex_state = 237},
  [673] = {.lex_state = 249},
  [674] = {.lex_state = 249},
  [675] = {.lex_state = 249},
  [676] = {.lex_state = 249},
  [677] = {.lex_state = 249},
  [678] = {.lex_state = 249},
  [679] = {.lex_state = 249},
  [680] = {.lex_state = 249},
  [681] = {.lex_state = 249},
  [682] = {.lex_state = 249},
  [683] = {.lex_state = 249},
  [684] = {.lex_state = 249},
  [685] = {.lex_state = 249},
  [686] = {.lex_state = 249},
  [687] = {.lex_state = 583},
  [688] = {.lex_state = 249},
  [689] = {.lex_state = 249},
  [690] = {.lex_state = 249},
  [691] = {.lex_state = 249},
  [692] = {.lex_state = 249},
  [693] = {.lex_state = 249},
  [694] = {.lex_state = 249},
  [695] = {.lex_state = 249},
  [696] = {.lex_state = 249},
  [697] = {.lex_state = 249},
  [698] = {.lex_state = 249},
  [699] = {.lex_state = 249},
  [700] = {.lex_state = 249},
  [701] = {.lex_state = 249},
  [702] = {.lex_state = 249},
  [703] = {.lex_state = 249},
  [704] = {.lex_state = 249},
  [705] = {.lex_state = 249},
  [706] = {.lex_state = 249},
  [707] = {.lex_state = 249},
  [708] = {.lex_state = 249},
  [709] = {.lex_state = 249},
  [710] = {.lex_state = 249},
  [711] = {.lex_state = 249},
  [712] = {.lex_state = 249},
  [713] = {.lex_state = 249},
  [714] = {.lex_state = 249},
  [715] = {.lex_state = 249},
  [716] = {.lex_state = 249},
  [717] = {.lex_state = 249},
  [718] = {.lex_state = 249},
  [719] = {.lex_state = 249},
  [720] = {.lex_state = 249},
  [721] = {.lex_state = 249},
  [722] = {.lex_state = 249},
  [723] = {.lex_state = 237},
  [724] = {.lex_state = 237},
  [725] = {.lex_state = 237},
  [726] = {.lex_state = 229},
  [727] = {.lex_state = 245},
  [728] = {.lex_state = 245},
  [729] = {.lex_state = 245},
  [730] = {.lex_state = 245},
  [731] = {.lex_state = 229},
  [732] = {.lex_state = 581},
  [733] = {.lex_state = 581},
  [734] = {.lex_state = 578},
  [735] = {.lex_state = 578},
  [736] = {.lex_state = 578},
  [737] = {.lex_state = 578},
  [738] = {.lex_state = 578},
  [739] = {.lex_state = 578},
  [740] = {.lex_state = 578},
  [741] = {.lex_state = 578},
  [742] = {.lex_state = 239},
  [743] = {.lex_state = 239},
  [744] = {.lex_state = 230},
  [745] = {.lex_state = 239},
  [746] = {.lex_state = 239},
  [747] = {.lex_state = 239},
  [748] = {.lex_state = 245},
  [749] = {.lex_state = 583},
  [750] = {.lex_state = 245},
  [751] = {.lex_state = 583},
  [752] = {.lex_state = 583},
  [753] = {.lex_state = 239},
  [754] = {.lex_state = 239},
  [755] = {.lex_state = 239},
  [756] = {.lex_state = 239},
  [757] = {.lex_state = 239},
  [758] = {.lex_state = 239},
  [759] = {.lex_state = 239},
  [760] = {.lex_state = 239},
  [761] = {.lex_state = 239},
  [762] = {.lex_state = 239},
  [763] = {.lex_state = 239},
  [764] = {.lex_state = 239},
  [765] = {.lex_state = 230},
  [766] = {.lex_state = 239},
  [767] = {.lex_state = 239},
  [768] = {.lex_state = 239},
  [769] = {.lex_state = 239},
  [770] = {.lex_state = 239},
  [771] = {.lex_state = 239},
  [772] = {.lex_state = 239},
  [773] = {.lex_state = 239},
  [774] = {.lex_state = 239},
  [775] = {.lex_state = 239},
  [776] = {.lex_state = 239},
  [777] = {.lex_state = 239},
  [778] = {.lex_state = 239},
  [779] = {.lex_state = 239},
  [780] = {.lex_state = 239},
  [781] = {.lex_state = 239},
  [782] = {.lex_state = 239},
  [783] = {.lex_state = 239},
  [784] = {.lex_state = 239},
  [785] = {.lex_state = 239},
  [786] = {.lex_state = 239},
  [787] = {.lex_state = 228},
  [788] = {.lex_state = 228},
  [789] = {.lex_state = 245},
  [790] = {.lex_state = 226},
  [791] = {.lex_state = 226},
  [792] = {.lex_state = 226},
  [793] = {.lex_state = 226},
  [794] = {.lex_state = 226},
  [795] = {.lex_state = 226},
  [796] = {.lex_state = 226},
  [797] = {.lex_state = 226},
  [798] = {.lex_state = 226},
  [799] = {.lex_state = 226},
  [800] = {.lex_state = 226},
  [801] = {.lex_state = 226},
  [802] = {.lex_state = 226},
  [803] = {.lex_state = 226},
  [804] = {.lex_state = 226},
  [805] = {.lex_state = 226},
  [806] = {.lex_state = 226},
  [807] = {.lex_state = 226},
  [808] = {.lex_state = 226},
  [809] = {.lex_state = 226},
  [810] = {.lex_state = 226},
  [811] = {.lex_state = 226},
  [812] = {.lex_state = 226},
  [813] = {.lex_state = 226},
  [814] = {.lex_state = 226},
  [815] = {.lex_state = 226},
  [816] = {.lex_state = 226},
  [817] = {.lex_state = 226},
  [818] = {.lex_state = 226},
  [819] = {.lex_state = 226},
  [820] = {.lex_state = 226},
  [821] = {.lex_state = 226},
  [822] = {.lex_state = 226},
  [823] = {.lex_state = 226},
  [824] = {.lex_state = 226},
  [825] = {.lex_state = 226},
  [826] = {.lex_state = 226},
  [827] = {.lex_state = 226},
  [828] = {.lex_state = 226},
  [829] = {.lex_state = 226},
  [830] = {.lex_state = 226},
  [831] = {.lex_state = 226},
  [832] = {.lex_state = 226},
  [833] = {.lex_state = 226},
  [834] = {.lex_state = 226},
  [835] = {.lex_state = 226},
  [836] = {.lex_state = 226},
  [837] = {.lex_state = 226},
  [838] = {.lex_state = 226},
  [839] = {.lex_state = 226},
  [840] = {.lex_state = 226},
  [841] = {.lex_state = 226},
  [842] = {.lex_state = 226},
  [843] = {.lex_state = 226},
  [844] = {.lex_state = 226},
  [845] = {.lex_state = 226},
  [846] = {.lex_state = 226},
  [847] = {.lex_state = 226},
  [848] = {.lex_state = 226},
  [849] = {.lex_state = 226},
  [850] = {.lex_state = 226},
  [851] = {.lex_state = 226},
  [852] = {.lex_state = 226},
  [853] = {.lex_state = 226},
  [854] = {.lex_state = 226},
  [855] = {.lex_state = 226},
  [856] = {.lex_state = 226},
  [857] = {.lex_state = 226},
  [858] = {.lex_state = 226},
  [859] = {.lex_state = 226},
  [860] = {.lex_state = 226},
  [861] = {.lex_state = 226},
  [862] = {.lex_state = 226},
  [863] = {.lex_state = 226},
  [864] = {.lex_state = 226},
  [865] = {.lex_state = 226},
  [866] = {.lex_state = 226},
  [867] = {.lex_state = 226},
  [868] = {.lex_state = 226},
  [869] = {.lex_state = 226},
  [870] = {.lex_state = 226},
  [871] = {.lex_state = 226},
  [872] = {.lex_state = 226},
  [873] = {.lex_state = 226},
  [874] = {.lex_state = 226},
  [875] = {.lex_state = 226},
  [876] = {.lex_state = 226},
  [877] = {.lex_state = 226},
  [878] = {.lex_state = 226},
  [879] = {.lex_state = 226},
  [880] = {.lex_state = 226},
  [881] = {.lex_state = 226},
  [882] = {.lex_state = 226},
  [883] = {.lex_state = 226},
  [884] = {.lex_state = 226},
  [885] = {.lex_state = 226},
  [886] = {.lex_state = 226},
  [887] = {.lex_state = 226},
  [888] = {.lex_state = 226},
  [889] = {.lex_state = 226},
  [890] = {.lex_state = 226},
  [891] = {.lex_state = 226},
  [892] = {.lex_state = 226},
  [893] = {.lex_state = 226},
  [894] = {.lex_state = 226},
  [895] = {.lex_state = 226},
  [896] = {.lex_state = 226},
  [897] = {.lex_state = 226},
  [898] = {.lex_state = 226},
  [899] = {.lex_state = 226},
  [900] = {.lex_state = 226},
  [901] = {.lex_state = 226},
  [902] = {.lex_state = 226},
  [903] = {.lex_state = 226},
  [904] = {.lex_state = 226},
  [905] = {.lex_state = 226},
  [906] = {.lex_state = 226},
  [907] = {.lex_state = 226},
  [908] = {.lex_state = 226},
  [909] = {.lex_state = 226},
  [910] = {.lex_state = 226},
  [911] = {.lex_state = 226},
  [912] = {.lex_state = 226},
  [913] = {.lex_state = 226},
  [914] = {.lex_state = 226},
  [915] = {.lex_state = 226},
  [916] = {.lex_state = 226},
  [917] = {.lex_state = 226},
  [918] = {.lex_state = 226},
  [919] = {.lex_state = 226},
  [920] = {.lex_state = 226},
  [921] = {.lex_state = 226},
  [922] = {.lex_state = 226},
  [923] = {.lex_state = 226},
  [924] = {.lex_state = 226},
  [925] = {.lex_state = 226},
  [926] = {.lex_state = 226},
  [927] = {.lex_state = 226},
  [928] = {.lex_state = 226},
  [929] = {.lex_state = 226},
  [930] = {.lex_state = 226},
  [931] = {.lex_state = 226},
  [932] = {.lex_state = 226},
  [933] = {.lex_state = 226},
  [934] = {.lex_state = 226},
  [935] = {.lex_state = 226},
  [936] = {.lex_state = 226},
  [937] = {.lex_state = 226},
  [938] = {.lex_state = 226},
  [939] = {.lex_state = 226},
  [940] = {.lex_state = 226},
  [941] = {.lex_state = 226},
  [942] = {.lex_state = 226},
  [943] = {.lex_state = 226},
  [944] = {.lex_state = 226},
  [945] = {.lex_state = 226},
  [946] = {.lex_state = 226},
  [947] = {.lex_state = 226},
  [948] = {.lex_state = 226},
  [949] = {.lex_state = 226},
  [950] = {.lex_state = 226},
  [951] = {.lex_state = 226},
  [952] = {.lex_state = 226},
  [953] = {.lex_state = 226},
  [954] = {.lex_state = 226},
  [955] = {.lex_state = 226},
  [956] = {.lex_state = 226},
  [957] = {.lex_state = 226},
  [958] = {.lex_state = 226},
  [959] = {.lex_state = 226},
  [960] = {.lex_state = 226},
  [961] = {.lex_state = 226},
  [962] = {.lex_state = 226},
  [963] = {.lex_state = 226},
  [964] = {.lex_state = 226},
  [965] = {.lex_state = 226},
  [966] = {.lex_state = 226},
  [967] = {.lex_state = 226},
  [968] = {.lex_state = 226},
  [969] = {.lex_state = 226},
  [970] = {.lex_state = 226},
  [971] = {.lex_state = 226},
  [972] = {.lex_state = 226},
  [973] = {.lex_state = 226},
  [974] = {.lex_state = 226},
  [975] = {.lex_state = 226},
  [976] = {.lex_state = 226},
  [977] = {.lex_state = 226},
  [978] = {.lex_state = 226},
  [979] = {.lex_state = 226},
  [980] = {.lex_state = 226},
  [981] = {.lex_state = 226},
  [982] = {.lex_state = 226},
  [983] = {.lex_state = 226},
  [984] = {.lex_state = 226},
  [985] = {.lex_state = 226},
  [986] = {.lex_state = 226},
  [987] = {.lex_state = 226},
  [988] = {.lex_state = 226},
  [989] = {.lex_state = 226},
  [990] = {.lex_state = 226},
  [991] = {.lex_state = 226},
  [992] = {.lex_state = 226},
  [993] = {.lex_state = 226},
  [994] = {.lex_state = 226},
  [995] = {.lex_state = 226},
  [996] = {.lex_state = 226},
  [997] = {.lex_state = 226},
  [998] = {.lex_state = 226},
  [999] = {.lex_state = 226},
  [1000] = {.lex_state = 226},
  [1001] = {.lex_state = 226},
  [1002] = {.lex_state = 226},
  [1003] = {.lex_state = 226},
  [1004] = {.lex_state = 226},
  [1005] = {.lex_state = 226},
  [1006] = {.lex_state = 226},
  [1007] = {.lex_state = 226},
  [1008] = {.lex_state = 226},
  [1009] = {.lex_state = 226},
  [1010] = {.lex_state = 226},
  [1011] = {.lex_state = 226},
  [1012] = {.lex_state = 226},
  [1013] = {.lex_state = 226},
  [1014] = {.lex_state = 226},
  [1015] = {.lex_state = 226},
  [1016] = {.lex_state = 226},
  [1017] = {.lex_state = 226},
  [1018] = {.lex_state = 226},
  [1019] = {.lex_state = 226},
  [1020] = {.lex_state = 226},
  [1021] = {.lex_state = 226},
  [1022] = {.lex_state = 226},
  [1023] = {.lex_state = 226},
  [1024] = {.lex_state = 226},
  [1025] = {.lex_state = 226},
  [1026] = {.lex_state = 226},
  [1027] = {.lex_state = 226},
  [1028] = {.lex_state = 226},
  [1029] = {.lex_state = 226},
  [1030] = {.lex_state = 226},
  [1031] = {.lex_state = 226},
  [1032] = {.lex_state = 226},
  [1033] = {.lex_state = 226},
  [1034] = {.lex_state = 226},
  [1035] = {.lex_state = 226},
  [1036] = {.lex_state = 226},
  [1037] = {.lex_state = 226},
  [1038] = {.lex_state = 226},
  [1039] = {.lex_state = 226},
  [1040] = {.lex_state = 226},
  [1041] = {.lex_state = 226},
  [1042] = {.lex_state = 226},
  [1043] = {.lex_state = 226},
  [1044] = {.lex_state = 226},
  [1045] = {.lex_state = 226},
  [1046] = {.lex_state = 226},
  [1047] = {.lex_state = 226},
  [1048] = {.lex_state = 226},
  [1049] = {.lex_state = 226},
  [1050] = {.lex_state = 226},
  [1051] = {.lex_state = 226},
  [1052] = {.lex_state = 226},
  [1053] = {.lex_state = 226},
  [1054] = {.lex_state = 226},
  [1055] = {.lex_state = 226},
  [1056] = {.lex_state = 226},
  [1057] = {.lex_state = 226},
  [1058] = {.lex_state = 226},
  [1059] = {.lex_state = 226},
  [1060] = {.lex_state = 226},
  [1061] = {.lex_state = 226},
  [1062] = {.lex_state = 226},
  [1063] = {.lex_state = 226},
  [1064] = {.lex_state = 226},
  [1065] = {.lex_state = 226},
  [1066] = {.lex_state = 226},
  [1067] = {.lex_state = 226},
  [1068] = {.lex_state = 226},
  [1069] = {.lex_state = 226},
  [1070] = {.lex_state = 226},
  [1071] = {.lex_state = 226},
  [1072] = {.lex_state = 226},
  [1073] = {.lex_state = 226},
  [1074] = {.lex_state = 226},
  [1075] = {.lex_state = 226},
  [1076] = {.lex_state = 226},
  [1077] = {.lex_state = 226},
  [1078] = {.lex_state = 226},
  [1079] = {.lex_state = 226},
  [1080] = {.lex_state = 226},
  [1081] = {.lex_state = 226},
  [1082] = {.lex_state = 226},
  [1083] = {.lex_state = 226},
  [1084] = {.lex_state = 226},
  [1085] = {.lex_state = 226},
  [1086] = {.lex_state = 226},
  [1087] = {.lex_state = 226},
  [1088] = {.lex_state = 226},
  [1089] = {.lex_state = 226},
  [1090] = {.lex_state = 226},
  [1091] = {.lex_state = 226},
  [1092] = {.lex_state = 226},
  [1093] = {.lex_state = 226},
  [1094] = {.lex_state = 226},
  [1095] = {.lex_state = 226},
  [1096] = {.lex_state = 226},
  [1097] = {.lex_state = 226},
  [1098] = {.lex_state = 578},
  [1099] = {.lex_state = 578},
  [1100] = {.lex_state = 237},
  [1101] = {.lex_state = 237},
  [1102] = {.lex_state = 237},
  [1103] = {.lex_state = 237},
  [1104] = {.lex_state = 237},
  [1105] = {.lex_state = 237},
  [1106] = {.lex_state = 237},
  [1107] = {.lex_state = 237},
  [1108] = {.lex_state = 237},
  [1109] = {.lex_state = 237},
  [1110] = {.lex_state = 237},
  [1111] = {.lex_state = 237},
  [1112] = {.lex_state = 237},
  [1113] = {.lex_state = 237},
  [1114] = {.lex_state = 237},
  [1115] = {.lex_state = 237},
  [1116] = {.lex_state = 237},
  [1117] = {.lex_state = 237},
  [1118] = {.lex_state = 237},
  [1119] = {.lex_state = 578},
  [1120] = {.lex_state = 583},
  [1121] = {.lex_state = 578},
  [1122] = {.lex_state = 578},
  [1123] = {.lex_state = 578},
  [1124] = {.lex_state = 578},
  [1125] = {.lex_state = 578},
  [1126] = {.lex_state = 578},
  [1127] = {.lex_state = 578},
  [1128] = {.lex_state = 578},
  [1129] = {.lex_state = 578},
  [1130] = {.lex_state = 578},
  [1131] = {.lex_state = 578},
  [1132] = {.lex_state = 578},
  [1133] = {.lex_state = 578},
  [1134] = {.lex_state = 578},
  [1135] = {.lex_state = 578},
  [1136] = {.lex_state = 578},
  [1137] = {.lex_state = 578},
  [1138] = {.lex_state = 578},
  [1139] = {.lex_state = 584},
  [1140] = {.lex_state = 584},
  [1141] = {.lex_state = 586},
  [1142] = {.lex_state = 578},
  [1143] = {.lex_state = 578},
  [1144] = {.lex_state = 578},
  [1145] = {.lex_state = 586},
  [1146] = {.lex_state = 586},
  [1147] = {.lex_state = 578},
  [1148] = {.lex_state = 226},
  [1149] = {.lex_state = 226},
  [1150] = {.lex_state = 226},
  [1151] = {.lex_state = 226},
  [1152] = {.lex_state = 226},
  [1153] = {.lex_state = 226},
  [1154] = {.lex_state = 226},
  [1155] = {.lex_state = 226},
  [1156] = {.lex_state = 226},
  [1157] = {.lex_state = 226},
  [1158] = {.lex_state = 226},
  [1159] = {.lex_state = 226},
  [1160] = {.lex_state = 226},
  [1161] = {.lex_state = 226},
  [1162] = {.lex_state = 226},
  [1163] = {.lex_state = 226},
  [1164] = {.lex_state = 226},
  [1165] = {.lex_state = 226},
  [1166] = {.lex_state = 226},
  [1167] = {.lex_state = 226},
  [1168] = {.lex_state = 226},
  [1169] = {.lex_state = 578},
  [1170] = {.lex_state = 226},
  [1171] = {.lex_state = 226},
  [1172] = {.lex_state = 579},
  [1173] = {.lex_state = 578},
  [1174] = {.lex_state = 579},
  [1175] = {.lex_state = 579},
  [1176] = {.lex_state = 579},
  [1177] = {.lex_state = 578},
  [1178] = {.lex_state = 579},
  [1179] = {.lex_state = 578},
  [1180] = {.lex_state = 578},
  [1181] = {.lex_state = 578},
  [1182] = {.lex_state = 581},
  [1183] = {.lex_state = 581},
  [1184] = {.lex_state = 581},
  [1185] = {.lex_state = 581},
  [1186] = {.lex_state = 581},
  [1187] = {.lex_state = 581},
  [1188] = {.lex_state = 581},
  [1189] = {.lex_state = 581},
  [1190] = {.lex_state = 581},
  [1191] = {.lex_state = 581},
  [1192] = {.lex_state = 581},
  [1193] = {.lex_state = 581},
  [1194] = {.lex_state = 581},
  [1195] = {.lex_state = 581},
  [1196] = {.lex_state = 581},
  [1197] = {.lex_state = 581},
  [1198] = {.lex_state = 581},
  [1199] = {.lex_state = 581},
  [1200] = {.lex_state = 581},
  [1201] = {.lex_state = 581},
  [1202] = {.lex_state = 581},
  [1203] = {.lex_state = 581},
  [1204] = {.lex_state = 581},
  [1205] = {.lex_state = 581},
  [1206] = {.lex_state = 581},
  [1207] = {.lex_state = 581},
  [1208] = {.lex_state = 581},
  [1209] = {.lex_state = 581},
  [1210] = {.lex_state = 581},
  [1211] = {.lex_state = 581},
  [1212] = {.lex_state = 581},
  [1213] = {.lex_state = 581},
  [1214] = {.lex_state = 581},
  [1215] = {.lex_state = 581},
  [1216] = {.lex_state = 581},
  [1217] = {.lex_state = 581},
  [1218] = {.lex_state = 581},
  [1219] = {.lex_state = 581},
  [1220] = {.lex_state = 581},
  [1221] = {.lex_state = 581},
  [1222] = {.lex_state = 581},
  [1223] = {.lex_state = 581},
  [1224] = {.lex_state = 581},
  [1225] = {.lex_state = 596},
  [1226] = {.lex_state = 240},
  [1227] = {.lex_state = 596},
  [1228] = {.lex_state = 240},
  [1229] = {.lex_state = 596},
  [1230] = {.lex_state = 597},
  [1231] = {.lex_state = 579},
  [1232] = {.lex_state = 587},
  [1233] = {.lex_state = 597},
  [1234] = {.lex_state = 597},
  [1235] = {.lex_state = 597},
  [1236] = {.lex_state = 597},
  [1237] = {.lex_state = 579},
  [1238] = {.lex_state = 597},
  [1239] = {.lex_state = 238},
  [1240] = {.lex_state = 579},
  [1241] = {.lex_state = 597},
  [1242] = {.lex_state = 238},
  [1243] = {.lex_state = 238},
  [1244] = {.lex_state = 597},
  [1245] = {.lex_state = 238},
  [1246] = {.lex_state = 597},
  [1247] = {.lex_state = 597},
  [1248] = {.lex_state = 597},
  [1249] = {.lex_state = 597},
  [1250] = {.lex_state = 597},
  [1251] = {.lex_state = 597},
  [1252] = {.lex_state = 597},
  [1253] = {.lex_state = 597},
  [1254] = {.lex_state = 597},
  [1255] = {.lex_state = 597},
  [1256] = {.lex_state = 597},
  [1257] = {.lex_state = 599},
  [1258] = {.lex_state = 597},
  [1259] = {.lex_state = 598},
  [1260] = {.lex_state = 599},
  [1261] = {.lex_state = 598},
  [1262] = {.lex_state = 238},
  [1263] = {.lex_state = 579},
  [1264] = {.lex_state = 584},
  [1265] = {.lex_state = 584},
  [1266] = {.lex_state = 231},
  [1267] = {.lex_state = 584},
  [1268] = {.lex_state = 584},
  [1269] = {.lex_state = 584},
  [1270] = {.lex_state = 579},
  [1271] = {.lex_state = 584},
  [1272] = {.lex_state = 584},
  [1273] = {.lex_state = 579},
  [1274] = {.lex_state = 584},
  [1275] = {.lex_state = 584},
  [1276] = {.lex_state = 584},
  [1277] = {.lex_state = 584},
  [1278] = {.lex_state = 579},
  [1279] = {.lex_state = 247},
  [1280] = {.lex_state = 584},
  [1281] = {.lex_state = 584},
  [1282] = {.lex_state = 584},
  [1283] = {.lex_state = 584},
  [1284] = {.lex_state = 584},
  [1285] = {.lex_state = 229},
  [1286] = {.lex_state = 584},
  [1287] = {.lex_state = 579},
  [1288] = {.lex_state = 579},
  [1289] = {.lex_state = 579},
  [1290] = {.lex_state = 579},
  [1291] = {.lex_state = 584},
  [1292] = {.lex_state = 579},
  [1293] = {.lex_state = 231},
  [1294] = {.lex_state = 579},
  [1295] = {.lex_state = 579},
  [1296] = {.lex_state = 579},
  [1297] = {.lex_state = 579},
  [1298] = {.lex_state = 252},
  [1299] = {.lex_state = 252},
  [1300] = {.lex_state = 229},
  [1301] = {.lex_state = 579},
  [1302] = {.lex_state = 579},
  [1303] = {.lex_state = 242},
  [1304] = {.lex_state = 579},
  [1305] = {.lex_state = 252},
  [1306] = {.lex_state = 598},
  [1307] = {.lex_state = 579},
  [1308] = {.lex_state = 579},
  [1309] = {.lex_state = 598},
  [1310] = {.lex_state = 229},
  [1311] = {.lex_state = 598},
  [1312] = {.lex_state = 598},
  [1313] = {.lex_state = 598},
  [1314] = {.lex_state = 598},
  [1315] = {.lex_state = 581},
  [1316] = {.lex_state = 598},
  [1317] = {.lex_state = 598},
  [1318] = {.lex_state = 598},
  [1319] = {.lex_state = 579},
  [1320] = {.lex_state = 579},
  [1321] = {.lex_state = 598},
  [1322] = {.lex_state = 598},
  [1323] = {.lex_state = 598},
  [1324] = {.lex_state = 598},
  [1325] = {.lex_state = 242},
  [1326] = {.lex_state = 598},
  [1327] = {.lex_state = 581},
  [1328] = {.lex_state = 598},
  [1329] = {.lex_state = 598},
  [1330] = {.lex_state = 598},
  [1331] = {.lex_state = 598},
  [1332] = {.lex_state = 598},
  [1333] = {.lex_state = 598},
  [1334] = {.lex_state = 581},
  [1335] = {.lex_state = 598},
  [1336] = {.lex_state = 598},
  [1337] = {.lex_state = 598},
  [1338] = {.lex_state = 598},
  [1339] = {.lex_state = 598},
  [1340] = {.lex_state = 598},
  [1341] = {.lex_state = 598},
  [1342] = {.lex_state = 598},
  [1343] = {.lex_state = 598},
  [1344] = {.lex_state = 598},
  [1345] = {.lex_state = 598},
  [1346] = {.lex_state = 598},
  [1347] = {.lex_state = 598},
  [1348] = {.lex_state = 598},
  [1349] = {.lex_state = 598},
  [1350] = {.lex_state = 598},
  [1351] = {.lex_state = 598},
  [1352] = {.lex_state = 598},
  [1353] = {.lex_state = 598},
  [1354] = {.lex_state = 598},
  [1355] = {.lex_state = 598},
  [1356] = {.lex_state = 598},
  [1357] = {.lex_state = 231},
  [1358] = {.lex_state = 598},
  [1359] = {.lex_state = 598},
  [1360] = {.lex_state = 598},
  [1361] = {.lex_state = 598},
  [1362] = {.lex_state = 598},
  [1363] = {.lex_state = 242},
  [1364] = {.lex_state = 241},
  [1365] = {.lex_state = 579},
  [1366] = {.lex_state = 579},
  [1367] = {.lex_state = 579},
  [1368] = {.lex_state = 579},
  [1369] = {.lex_state = 579},
  [1370] = {.lex_state = 229},
  [1371] = {.lex_state = 229},
  [1372] = {.lex_state = 229},
  [1373] = {.lex_state = 229},
  [1374] = {.lex_state = 229},
  [1375] = {.lex_state = 229},
  [1376] = {.lex_state = 229},
  [1377] = {.lex_state = 229},
  [1378] = {.lex_state = 229},
  [1379] = {.lex_state = 229},
  [1380] = {.lex_state = 229},
  [1381] = {.lex_state = 229},
  [1382] = {.lex_state = 229},
  [1383] = {.lex_state = 229},
  [1384] = {.lex_state = 229},
  [1385] = {.lex_state = 229},
  [1386] = {.lex_state = 229},
  [1387] = {.lex_state = 229},
  [1388] = {.lex_state = 229},
  [1389] = {.lex_state = 229},
  [1390] = {.lex_state = 229},
  [1391] = {.lex_state = 229},
  [1392] = {.lex_state = 229},
  [1393] = {.lex_state = 229},
  [1394] = {.lex_state = 229},
  [1395] = {.lex_state = 229},
  [1396] = {.lex_state = 229},
  [1397] = {.lex_state = 229},
  [1398] = {.lex_state = 229},
  [1399] = {.lex_state = 229},
  [1400] = {.lex_state = 229},
  [1401] = {.lex_state = 229},
  [1402] = {.lex_state = 229},
  [1403] = {.lex_state = 229},
  [1404] = {.lex_state = 229},
  [1405] = {.lex_state = 229},
  [1406] = {.lex_state = 229},
  [1407] = {.lex_state = 229},
  [1408] = {.lex_state = 229},
  [1409] = {.lex_state = 229},
  [1410] = {.lex_state = 229},
  [1411] = {.lex_state = 229},
  [1412] = {.lex_state = 229},
  [1413] = {.lex_state = 229},
  [1414] = {.lex_state = 229},
  [1415] = {.lex_state = 229},
  [1416] = {.lex_state = 229},
  [1417] = {.lex_state = 229},
  [1418] = {.lex_state = 229},
  [1419] = {.lex_state = 229},
  [1420] = {.lex_state = 229},
  [1421] = {.lex_state = 229},
  [1422] = {.lex_state = 229},
  [1423] = {.lex_state = 229},
  [1424] = {.lex_state = 229},
  [1425] = {.lex_state = 229},
  [1426] = {.lex_state = 229},
  [1427] = {.lex_state = 229},
  [1428] = {.lex_state = 229},
  [1429] = {.lex_state = 229},
  [1430] = {.lex_state = 229},
  [1431] = {.lex_state = 229},
  [1432] = {.lex_state = 229},
  [1433] = {.lex_state = 229},
  [1434] = {.lex_state = 229},
  [1435] = {.lex_state = 229},
  [1436] = {.lex_state = 229},
  [1437] = {.lex_state = 229},
  [1438] = {.lex_state = 229},
  [1439] = {.lex_state = 229},
  [1440] = {.lex_state = 229},
  [1441] = {.lex_state = 229},
  [1442] = {.lex_state = 229},
  [1443] = {.lex_state = 229},
  [1444] = {.lex_state = 229},
  [1445] = {.lex_state = 229},
  [1446] = {.lex_state = 229},
  [1447] = {.lex_state = 229},
  [1448] = {.lex_state = 581},
  [1449] = {.lex_state = 581},
  [1450] = {.lex_state = 581},
  [1451] = {.lex_state = 581},
  [1452] = {.lex_state = 581},
  [1453] = {.lex_state = 581},
  [1454] = {.lex_state = 581},
  [1455] = {.lex_state = 581},
  [1456] = {.lex_state = 581},
  [1457] = {.lex_state = 581},
  [1458] = {.lex_state = 581},
  [1459] = {.lex_state = 581},
  [1460] = {.lex_state = 581},
  [1461] = {.lex_state = 581},
  [1462] = {.lex_state = 581},
  [1463] = {.lex_state = 581},
  [1464] = {.lex_state = 581},
  [1465] = {.lex_state = 581},
  [1466] = {.lex_state = 581},
  [1467] = {.lex_state = 581},
  [1468] = {.lex_state = 581},
  [1469] = {.lex_state = 581},
  [1470] = {.lex_state = 581},
  [1471] = {.lex_state = 581},
  [1472] = {.lex_state = 581},
  [1473] = {.lex_state = 581},
  [1474] = {.lex_state = 581},
  [1475] = {.lex_state = 581},
  [1476] = {.lex_state = 581},
  [1477] = {.lex_state = 581},
  [1478] = {.lex_state = 581},
  [1479] = {.lex_state = 581},
  [1480] = {.lex_state = 581},
  [1481] = {.lex_state = 581},
  [1482] = {.lex_state = 581},
  [1483] = {.lex_state = 581},
  [1484] = {.lex_state = 581},
  [1485] = {.lex_state = 581},
  [1486] = {.lex_state = 581},
  [1487] = {.lex_state = 581},
  [1488] = {.lex_state = 581},
  [1489] = {.lex_state = 581},
  [1490] = {.lex_state = 581},
  [1491] = {.lex_state = 240},
  [1492] = {.lex_state = 240},
  [1493] = {.lex_state = 581},
  [1494] = {.lex_state = 581},
  [1495] = {.lex_state = 238},
  [1496] = {.lex_state = 581},
  [1497] = {.lex_state = 238},
  [1498] = {.lex_state = 581},
  [1499] = {.lex_state = 240},
  [1500] = {.lex_state = 581},
  [1501] = {.lex_state = 581},
  [1502] = {.lex_state = 581},
  [1503] = {.lex_state = 581},
  [1504] = {.lex_state = 238},
  [1505] = {.lex_state = 581},
  [1506] = {.lex_state = 581},
  [1507] = {.lex_state = 581},
  [1508] = {.lex_state = 238},
  [1509] = {.lex_state = 581},
  [1510] = {.lex_state = 581},
  [1511] = {.lex_state = 581},
  [1512] = {.lex_state = 581},
  [1513] = {.lex_state = 581},
  [1514] = {.lex_state = 581},
  [1515] = {.lex_state = 581},
  [1516] = {.lex_state = 581},
  [1517] = {.lex_state = 581},
  [1518] = {.lex_state = 581},
  [1519] = {.lex_state = 581},
  [1520] = {.lex_state = 581},
  [1521] = {.lex_state = 581},
  [1522] = {.lex_state = 581},
  [1523] = {.lex_state = 581},
  [1524] = {.lex_state = 581},
  [1525] = {.lex_state = 581},
  [1526] = {.lex_state = 581},
  [1527] = {.lex_state = 581},
  [1528] = {.lex_state = 581},
  [1529] = {.lex_state = 238},
  [1530] = {.lex_state = 240},
  [1531] = {.lex_state = 238},
  [1532] = {.lex_state = 240},
  [1533] = {.lex_state = 240},
  [1534] = {.lex_state = 238},
  [1535] = {.lex_state = 238},
  [1536] = {.lex_state = 238},
  [1537] = {.lex_state = 238},
  [1538] = {.lex_state = 238},
  [1539] = {.lex_state = 238},
  [1540] = {.lex_state = 238},
  [1541] = {.lex_state = 238},
  [1542] = {.lex_state = 238},
  [1543] = {.lex_state = 238},
  [1544] = {.lex_state = 238},
  [1545] = {.lex_state = 238},
  [1546] = {.lex_state = 238},
  [1547] = {.lex_state = 238},
  [1548] = {.lex_state = 588},
  [1549] = {.lex_state = 588},
  [1550] = {.lex_state = 589},
  [1551] = {.lex_state = 230},
  [1552] = {.lex_state = 230},
  [1553] = {.lex_state = 230},
  [1554] = {.lex_state = 230},
  [1555] = {.lex_state = 230},
  [1556] = {.lex_state = 230},
  [1557] = {.lex_state = 230},
  [1558] = {.lex_state = 230},
  [1559] = {.lex_state = 230},
  [1560] = {.lex_state = 230},
  [1561] = {.lex_state = 230},
  [1562] = {.lex_state = 230},
  [1563] = {.lex_state = 230},
  [1564] = {.lex_state = 230},
  [1565] = {.lex_state = 230},
  [1566] = {.lex_state = 230},
  [1567] = {.lex_state = 230},
  [1568] = {.lex_state = 230},
  [1569] = {.lex_state = 230},
  [1570] = {.lex_state = 230},
  [1571] = {.lex_state = 230},
  [1572] = {.lex_state = 230},
  [1573] = {.lex_state = 230},
  [1574] = {.lex_state = 230},
  [1575] = {.lex_state = 230},
  [1576] = {.lex_state = 230},
  [1577] = {.lex_state = 230},
  [1578] = {.lex_state = 230},
  [1579] = {.lex_state = 230},
  [1580] = {.lex_state = 230},
  [1581] = {.lex_state = 223},
  [1582] = {.lex_state = 223},
  [1583] = {.lex_state = 230},
  [1584] = {.lex_state = 230},
  [1585] = {.lex_state = 230},
  [1586] = {.lex_state = 230},
  [1587] = {.lex_state = 230},
  [1588] = {.lex_state = 230},
  [1589] = {.lex_state = 230},
  [1590] = {.lex_state = 230},
  [1591] = {.lex_state = 230},
  [1592] = {.lex_state = 230},
  [1593] = {.lex_state = 230},
  [1594] = {.lex_state = 230},
  [1595] = {.lex_state = 230},
  [1596] = {.lex_state = 230},
  [1597] = {.lex_state = 230},
  [1598] = {.lex_state = 230},
  [1599] = {.lex_state = 230},
  [1600] = {.lex_state = 228},
  [1601] = {.lex_state = 230},
  [1602] = {.lex_state = 230},
  [1603] = {.lex_state = 230},
  [1604] = {.lex_state = 230},
  [1605] = {.lex_state = 223},
  [1606] = {.lex_state = 223},
  [1607] = {.lex_state = 230},
  [1608] = {.lex_state = 228},
  [1609] = {.lex_state = 228},
  [1610] = {.lex_state = 228},
  [1611] = {.lex_state = 228},
  [1612] = {.lex_state = 228},
  [1613] = {.lex_state = 228},
  [1614] = {.lex_state = 228},
  [1615] = {.lex_state = 228},
  [1616] = {.lex_state = 228},
  [1617] = {.lex_state = 228},
  [1618] = {.lex_state = 228},
  [1619] = {.lex_state = 228},
  [1620] = {.lex_state = 590},
  [1621] = {.lex_state = 228},
  [1622] = {.lex_state = 228},
  [1623] = {.lex_state = 228},
  [1624] = {.lex_state = 228},
  [1625] = {.lex_state = 228},
  [1626] = {.lex_state = 586},
  [1627] = {.lex_state = 591},
  [1628] = {.lex_state = 590},
  [1629] = {.lex_state = 586},
  [1630] = {.lex_state = 586},
  [1631] = {.lex_state = 585},
  [1632] = {.lex_state = 586},
  [1633] = {.lex_state = 586},
  [1634] = {.lex_state = 586},
  [1635] = {.lex_state = 588},
  [1636] = {.lex_state = 588},
  [1637] = {.lex_state = 588},
  [1638] = {.lex_state = 588},
  [1639] = {.lex_state = 588},
  [1640] = {.lex_state = 588},
  [1641] = {.lex_state = 588},
  [1642] = {.lex_state = 588},
  [1643] = {.lex_state = 578},
  [1644] = {.lex_state = 588},
  [1645] = {.lex_state = 578},
  [1646] = {.lex_state = 588},
  [1647] = {.lex_state = 588},
  [1648] = {.lex_state = 588},
  [1649] = {.lex_state = 588},
  [1650] = {.lex_state = 588},
  [1651] = {.lex_state = 588},
  [1652] = {.lex_state = 586},
  [1653] = {.lex_state = 586},
  [1654] = {.lex_state = 586},
  [1655] = {.lex_state = 586},
  [1656] = {.lex_state = 586},
  [1657] = {.lex_state = 586},
  [1658] = {.lex_state = 586},
  [1659] = {.lex_state = 586},
  [1660] = {.lex_state = 586},
  [1661] = {.lex_state = 586},
  [1662] = {.lex_state = 586},
  [1663] = {.lex_state = 586},
  [1664] = {.lex_state = 586},
  [1665] = {.lex_state = 586},
  [1666] = {.lex_state = 586},
  [1667] = {.lex_state = 586},
  [1668] = {.lex_state = 586},
  [1669] = {.lex_state = 586},
  [1670] = {.lex_state = 586},
  [1671] = {.lex_state = 586},
  [1672] = {.lex_state = 586},
  [1673] = {.lex_state = 586},
  [1674] = {.lex_state = 586},
  [1675] = {.lex_state = 586},
  [1676] = {.lex_state = 586},
  [1677] = {.lex_state = 586},
  [1678] = {.lex_state = 586},
  [1679] = {.lex_state = 586},
  [1680] = {.lex_state = 586},
  [1681] = {.lex_state = 586},
  [1682] = {.lex_state = 586},
  [1683] = {.lex_state = 232},
  [1684] = {.lex_state = 592},
  [1685] = {.lex_state = 232},
  [1686] = {.lex_state = 578},
  [1687] = {.lex_state = 578},
  [1688] = {.lex_state = 578},
  [1689] = {.lex_state = 578},
  [1690] = {.lex_state = 578},
  [1691] = {.lex_state = 578},
  [1692] = {.lex_state = 578},
  [1693] = {.lex_state = 578},
  [1694] = {.lex_state = 578},
  [1695] = {.lex_state = 578},
  [1696] = {.lex_state = 578},
  [1697] = {.lex_state = 578},
  [1698] = {.lex_state = 583},
  [1699] = {.lex_state = 593},
  [1700] = {.lex_state = 583},
  [1701] = {.lex_state = 583},
  [1702] = {.lex_state = 583},
  [1703] = {.lex_state = 593},
  [1704] = {.lex_state = 583},
  [1705] = {.lex_state = 583},
  [1706] = {.lex_state = 583},
  [1707] = {.lex_state = 583},
  [1708] = {.lex_state = 583},
  [1709] = {.lex_state = 583},
  [1710] = {.lex_state = 112},
  [1711] = {.lex_state = 583},
  [1712] = {.lex_state = 583},
  [1713] = {.lex_state = 583},
  [1714] = {.lex_state = 583},
  [1715] = {.lex_state = 583},
  [1716] = {.lex_state = 583},
  [1717] = {.lex_state = 583},
  [1718] = {.lex_state = 583},
  [1719] = {.lex_state = 583},
  [1720] = {.lex_state = 583},
  [1721] = {.lex_state = 583},
  [1722] = {.lex_state = 583},
  [1723] = {.lex_state = 583},
  [1724] = {.lex_state = 583},
  [1725] = {.lex_state = 583},
  [1726] = {.lex_state = 583},
  [1727] = {.lex_state = 583},
  [1728] = {.lex_state = 583},
  [1729] = {.lex_state = 583},
  [1730] = {.lex_state = 583},
  [1731] = {.lex_state = 583},
  [1732] = {.lex_state = 583},
  [1733] = {.lex_state = 583},
  [1734] = {.lex_state = 232},
  [1735] = {.lex_state = 232},
  [1736] = {.lex_state = 223},
  [1737] = {.lex_state = 223},
  [1738] = {.lex_state = 223},
  [1739] = {.lex_state = 223},
  [1740] = {.lex_state = 223},
  [1741] = {.lex_state = 223},
  [1742] = {.lex_state = 223},
  [1743] = {.lex_state = 223},
  [1744] = {.lex_state = 223},
  [1745] = {.lex_state = 223},
  [1746] = {.lex_state = 223},
  [1747] = {.lex_state = 223},
  [1748] = {.lex_state = 223},
  [1749] = {.lex_state = 223},
  [1750] = {.lex_state = 223},
  [1751] = {.lex_state = 223},
  [1752] = {.lex_state = 223},
  [1753] = {.lex_state = 223},
  [1754] = {.lex_state = 223},
  [1755] = {.lex_state = 223},
  [1756] = {.lex_state = 223},
  [1757] = {.lex_state = 223},
  [1758] = {.lex_state = 223},
  [1759] = {.lex_state = 223},
  [1760] = {.lex_state = 223},
  [1761] = {.lex_state = 223},
  [1762] = {.lex_state = 223},
  [1763] = {.lex_state = 233},
  [1764] = {.lex_state = 233},
  [1765] = {.lex_state = 115},
  [1766] = {.lex_state = 223},
  [1767] = {.lex_state = 113},
  [1768] = {.lex_state = 223},
  [1769] = {.lex_state = 225},
  [1770] = {.lex_state = 225},
  [1771] = {.lex_state = 225},
  [1772] = {.lex_state = 223},
  [1773] = {.lex_state = 116},
  [1774] = {.lex_state = 223},
  [1775] = {.lex_state = 232},
  [1776] = {.lex_state = 114},
  [1777] = {.lex_state = 116},
  [1778] = {.lex_state = 223},
  [1779] = {.lex_state = 232},
  [1780] = {.lex_state = 232},
  [1781] = {.lex_state = 232},
  [1782] = {.lex_state = 232},
  [1783] = {.lex_state = 232},
  [1784] = {.lex_state = 232},
  [1785] = {.lex_state = 232},
  [1786] = {.lex_state = 232},
  [1787] = {.lex_state = 232},
  [1788] = {.lex_state = 232},
  [1789] = {.lex_state = 232},
  [1790] = {.lex_state = 223},
  [1791] = {.lex_state = 223},
  [1792] = {.lex_state = 233},
  [1793] = {.lex_state = 233},
  [1794] = {.lex_state = 233},
  [1795] = {.lex_state = 234},
  [1796] = {.lex_state = 233},
  [1797] = {.lex_state = 234},
  [1798] = {.lex_state = 233},
  [1799] = {.lex_state = 234},
  [1800] = {.lex_state = 223},
  [1801] = {.lex_state = 233},
  [1802] = {.lex_state = 223},
  [1803] = {.lex_state = 223},
  [1804] = {.lex_state = 223},
  [1805] = {.lex_state = 223},
  [1806] = {.lex_state = 223},
  [1807] = {.lex_state = 223},
  [1808] = {.lex_state = 223},
  [1809] = {.lex_state = 223},
  [1810] = {.lex_state = 223},
  [1811] = {.lex_state = 223},
  [1812] = {.lex_state = 223},
  [1813] = {.lex_state = 223},
  [1814] = {.lex_state = 223},
  [1815] = {.lex_state = 223},
  [1816] = {.lex_state = 223},
  [1817] = {.lex_state = 223},
  [1818] = {.lex_state = 223},
  [1819] = {.lex_state = 223},
  [1820] = {.lex_state = 223},
  [1821] = {.lex_state = 223},
  [1822] = {.lex_state = 223},
  [1823] = {.lex_state = 223},
  [1824] = {.lex_state = 223},
  [1825] = {.lex_state = 0},
  [1826] = {.lex_state = 0},
  [1827] = {.lex_state = 0},
  [1828] = {.lex_state = 234},
  [1829] = {.lex_state = 234},
  [1830] = {.lex_state = 0},
  [1831] = {.lex_state = 0},
  [1832] = {.lex_state = 225},
  [1833] = {.lex_state = 225},
  [1834] = {.lex_state = 225},
  [1835] = {.lex_state = 225},
  [1836] = {.lex_state = 0},
  [1837] = {.lex_state = 0},
  [1838] = {.lex_state = 0},
  [1839] = {.lex_state = 0},
  [1840] = {.lex_state = 0},
  [1841] = {.lex_state = 0},
  [1842] = {.lex_state = 0},
  [1843] = {.lex_state = 0},
  [1844] = {.lex_state = 0},
  [1845] = {.lex_state = 0},
  [1846] = {.lex_state = 223},
  [1847] = {.lex_state = 235},
  [1848] = {.lex_state = 223},
  [1849] = {.lex_state = 235},
  [1850] = {.lex_state = 235},
  [1851] = {.lex_state = 223},
  [1852] = {.lex_state = 223},
  [1853] = {.lex_state = 235},
  [1854] = {.lex_state = 223},
  [1855] = {.lex_state = 235},
  [1856] = {.lex_state = 223},
  [1857] = {.lex_state = 235},
  [1858] = {.lex_state = 235},
  [1859] = {.lex_state = 235},
  [1860] = {.lex_state = 235},
  [1861] = {.lex_state = 235},
  [1862] = {.lex_state = 235},
  [1863] = {.lex_state = 223},
  [1864] = {.lex_state = 223},
  [1865] = {.lex_state = 223},
  [1866] = {.lex_state = 228},
  [1867] = {.lex_state = 235},
  [1868] = {.lex_state = 228},
  [1869] = {.lex_state = 228},
  [1870] = {.lex_state = 228},
  [1871] = {.lex_state = 228},
  [1872] = {.lex_state = 228},
  [1873] = {.lex_state = 228},
  [1874] = {.lex_state = 228},
  [1875] = {.lex_state = 228},
  [1876] = {.lex_state = 235},
  [1877] = {.lex_state = 223},
  [1878] = {.lex_state = 0},
  [1879] = {.lex_state = 223},
  [1880] = {.lex_state = 223},
  [1881] = {.lex_state = 223},
  [1882] = {.lex_state = 223},
  [1883] = {.lex_state = 223},
  [1884] = {.lex_state = 226},
  [1885] = {.lex_state = 223},
  [1886] = {.lex_state = 223},
  [1887] = {.lex_state = 223},
  [1888] = {.lex_state = 223},
  [1889] = {.lex_state = 223},
  [1890] = {.lex_state = 226},
  [1891] = {.lex_state = 223},
  [1892] = {.lex_state = 223},
  [1893] = {.lex_state = 223},
  [1894] = {.lex_state = 226},
  [1895] = {.lex_state = 223},
  [1896] = {.lex_state = 223},
  [1897] = {.lex_state = 223},
  [1898] = {.lex_state = 223},
  [1899] = {.lex_state = 226},
  [1900] = {.lex_state = 0},
  [1901] = {.lex_state = 223},
  [1902] = {.lex_state = 223},
  [1903] = {.lex_state = 223},
  [1904] = {.lex_state = 117},
  [1905] = {.lex_state = 0},
  [1906] = {.lex_state = 226},
  [1907] = {.lex_state = 223},
  [1908] = {.lex_state = 223},
  [1909] = {.lex_state = 223},
  [1910] = {.lex_state = 0},
  [1911] = {.lex_state = 223},
  [1912] = {.lex_state = 0},
  [1913] = {.lex_state = 223},
  [1914] = {.lex_state = 223},
  [1915] = {.lex_state = 223},
  [1916] = {.lex_state = 226},
  [1917] = {.lex_state = 223},
  [1918] = {.lex_state = 223},
  [1919] = {.lex_state = 223},
  [1920] = {.lex_state = 223},
  [1921] = {.lex_state = 223},
  [1922] = {.lex_state = 223},
  [1923] = {.lex_state = 0},
  [1924] = {.lex_state = 223},
  [1925] = {.lex_state = 223},
  [1926] = {.lex_state = 226},
  [1927] = {.lex_state = 223},
  [1928] = {.lex_state = 0},
  [1929] = {.lex_state = 223},
  [1930] = {.lex_state = 223},
  [1931] = {.lex_state = 0},
  [1932] = {.lex_state = 223},
  [1933] = {.lex_state = 0},
  [1934] = {.lex_state = 223},
  [1935] = {.lex_state = 223},
  [1936] = {.lex_state = 223},
  [1937] = {.lex_state = 223},
  [1938] = {.lex_state = 223},
  [1939] = {.lex_state = 223},
  [1940] = {.lex_state = 0},
  [1941] = {.lex_state = 0},
  [1942] = {.lex_state = 0},
  [1943] = {.lex_state = 0},
  [1944] = {.lex_state = 0},
  [1945] = {.lex_state = 223},
  [1946] = {.lex_state = 0},
  [1947] = {.lex_state = 223},
  [1948] = {.lex_state = 0},
  [1949] = {.lex_state = 0},
  [1950] = {.lex_state = 0},
  [1951] = {.lex_state = 0},
  [1952] = {.lex_state = 0},
  [1953] = {.lex_state = 0},
  [1954] = {.lex_state = 0},
  [1955] = {.lex_state = 0},
  [1956] = {.lex_state = 0},
  [1957] = {.lex_state = 0},
  [1958] = {.lex_state = 223},
  [1959] = {.lex_state = 0},
  [1960] = {.lex_state = 223},
  [1961] = {.lex_state = 0},
  [1962] = {.lex_state = 0},
  [1963] = {.lex_state = 223},
  [1964] = {.lex_state = 223},
  [1965] = {.lex_state = 0},
  [1966] = {.lex_state = 223},
  [1967] = {.lex_state = 0},
  [1968] = {.lex_state = 223},
  [1969] = {.lex_state = 0},
  [1970] = {.lex_state = 0},
  [1971] = {.lex_state = 0},
  [1972] = {.lex_state = 223},
  [1973] = {.lex_state = 0},
  [1974] = {.lex_state = 119},
  [1975] = {.lex_state = 223},
  [1976] = {.lex_state = 0},
  [1977] = {.lex_state = 0},
  [1978] = {.lex_state = 223},
  [1979] = {.lex_state = 0},
  [1980] = {.lex_state = 225},
  [1981] = {.lex_state = 225},
  [1982] = {.lex_state = 225},
  [1983] = {.lex_state = 0},
  [1984] = {.lex_state = 225},
  [1985] = {.lex_state = 107},
  [1986] = {.lex_state = 225},
  [1987] = {.lex_state = 118},
  [1988] = {.lex_state = 225},
  [1989] = {.lex_state = 107},
  [1990] = {.lex_state = 225},
  [1991] = {.lex_state = 107},
  [1992] = {.lex_state = 225},
  [1993] = {.lex_state = 225},
  [1994] = {.lex_state = 225},
  [1995] = {.lex_state = 109},
  [1996] = {.lex_state = 225},
  [1997] = {.lex_state = 225},
  [1998] = {.lex_state = 109},
  [1999] = {.lex_state = 225},
  [2000] = {.lex_state = 225},
  [2001] = {.lex_state = 225},
  [2002] = {.lex_state = 118},
  [2003] = {.lex_state = 118},
  [2004] = {.lex_state = 118},
  [2005] = {.lex_state = 225},
  [2006] = {.lex_state = 225},
  [2007] = {.lex_state = 0},
  [2008] = {.lex_state = 118},
  [2009] = {.lex_state = 118},
  [2010] = {.lex_state = 118},
  [2011] = {.lex_state = 225},
  [2012] = {.lex_state = 225},
  [2013] = {.lex_state = 0},
  [2014] = {.lex_state = 225},
  [2015] = {.lex_state = 108},
  [2016] = {.lex_state = 225},
  [2017] = {.lex_state = 0},
  [2018] = {.lex_state = 225},
  [2019] = {.lex_state = 118},
  [2020] = {.lex_state = 225},
  [2021] = {.lex_state = 108},
  [2022] = {.lex_state = 118},
  [2023] = {.lex_state = 108},
  [2024] = {.lex_state = 225},
  [2025] = {.lex_state = 119},
  [2026] = {.lex_state = 225},
  [2027] = {.lex_state = 225},
  [2028] = {.lex_state = 225},
  [2029] = {.lex_state = 225},
  [2030] = {.lex_state = 225},
  [2031] = {.lex_state = 225},
  [2032] = {.lex_state = 225},
  [2033] = {.lex_state = 564},
  [2034] = {.lex_state = 225},
  [2035] = {.lex_state = 225},
  [2036] = {.lex_state = 0},
  [2037] = {.lex_state = 225},
  [2038] = {.lex_state = 564},
  [2039] = {.lex_state = 563},
  [2040] = {.lex_state = 118},
  [2041] = {.lex_state = 225},
  [2042] = {.lex_state = 225},
  [2043] = {.lex_state = 225},
  [2044] = {.lex_state = 0},
  [2045] = {.lex_state = 563},
  [2046] = {.lex_state = 225},
  [2047] = {.lex_state = 563},
  [2048] = {.lex_state = 563},
  [2049] = {.lex_state = 0},
  [2050] = {.lex_state = 564},
  [2051] = {.lex_state = 118},
  [2052] = {.lex_state = 225},
  [2053] = {.lex_state = 225},
  [2054] = {.lex_state = 225},
  [2055] = {.lex_state = 0},
  [2056] = {.lex_state = 111},
  [2057] = {.lex_state = 108},
  [2058] = {.lex_state = 107},
  [2059] = {.lex_state = 118},
  [2060] = {.lex_state = 225},
  [2061] = {.lex_state = 0},
  [2062] = {.lex_state = 225},
  [2063] = {.lex_state = 225},
  [2064] = {.lex_state = 225},
  [2065] = {.lex_state = 225},
  [2066] = {.lex_state = 0},
  [2067] = {.lex_state = 118},
  [2068] = {.lex_state = 0},
  [2069] = {.lex_state = 225},
  [2070] = {.lex_state = 0},
  [2071] = {.lex_state = 225},
  [2072] = {.lex_state = 225},
  [2073] = {.lex_state = 0},
  [2074] = {.lex_state = 109},
  [2075] = {.lex_state = 0},
  [2076] = {.lex_state = 225},
  [2077] = {.lex_state = 564},
  [2078] = {.lex_state = 564},
  [2079] = {.lex_state = 225},
  [2080] = {.lex_state = 108},
  [2081] = {.lex_state = 225},
  [2082] = {.lex_state = 225},
  [2083] = {.lex_state = 225},
  [2084] = {.lex_state = 225},
  [2085] = {.lex_state = 225},
  [2086] = {.lex_state = 563},
  [2087] = {.lex_state = 225},
  [2088] = {.lex_state = 225},
  [2089] = {.lex_state = 563},
  [2090] = {.lex_state = 118},
  [2091] = {.lex_state = 118},
  [2092] = {.lex_state = 225},
  [2093] = {.lex_state = 225},
  [2094] = {.lex_state = 225},
  [2095] = {.lex_state = 225},
  [2096] = {.lex_state = 563},
  [2097] = {.lex_state = 118},
  [2098] = {.lex_state = 225},
  [2099] = {.lex_state = 563},
  [2100] = {.lex_state = 225},
  [2101] = {.lex_state = 225},
  [2102] = {.lex_state = 0},
  [2103] = {.lex_state = 0},
  [2104] = {.lex_state = 225},
  [2105] = {.lex_state = 111},
  [2106] = {.lex_state = 0},
  [2107] = {.lex_state = 225},
  [2108] = {.lex_state = 118},
  [2109] = {.lex_state = 0},
  [2110] = {.lex_state = 225},
  [2111] = {.lex_state = 118},
  [2112] = {.lex_state = 225},
  [2113] = {.lex_state = 118},
  [2114] = {.lex_state = 225},
  [2115] = {.lex_state = 225},
  [2116] = {.lex_state = 225},
  [2117] = {.lex_state = 225},
  [2118] = {.lex_state = 225},
  [2119] = {.lex_state = 225},
  [2120] = {.lex_state = 0},
  [2121] = {.lex_state = 225},
  [2122] = {.lex_state = 225},
  [2123] = {.lex_state = 225},
  [2124] = {.lex_state = 0},
  [2125] = {.lex_state = 225},
  [2126] = {.lex_state = 225},
  [2127] = {.lex_state = 223},
  [2128] = {.lex_state = 0},
  [2129] = {.lex_state = 223},
  [2130] = {.lex_state = 223},
  [2131] = {.lex_state = 223},
  [2132] = {.lex_state = 223},
  [2133] = {.lex_state = 223},
  [2134] = {.lex_state = 223},
  [2135] = {.lex_state = 223},
  [2136] = {.lex_state = 223},
  [2137] = {.lex_state = 223},
  [2138] = {.lex_state = 223},
  [2139] = {.lex_state = 223},
  [2140] = {.lex_state = 223},
  [2141] = {.lex_state = 223},
  [2142] = {.lex_state = 223},
  [2143] = {.lex_state = 223},
  [2144] = {.lex_state = 223},
  [2145] = {.lex_state = 223},
  [2146] = {.lex_state = 223},
  [2147] = {.lex_state = 223},
  [2148] = {.lex_state = 223},
  [2149] = {.lex_state = 223},
  [2150] = {.lex_state = 0},
  [2151] = {.lex_state = 223},
  [2152] = {.lex_state = 223},
  [2153] = {.lex_state = 0},
  [2154] = {.lex_state = 223},
  [2155] = {.lex_state = 223},
  [2156] = {.lex_state = 223},
  [2157] = {.lex_state = 119},
  [2158] = {.lex_state = 119},
  [2159] = {.lex_state = 223},
  [2160] = {.lex_state = 223},
  [2161] = {.lex_state = 223},
  [2162] = {.lex_state = 223},
  [2163] = {.lex_state = 223},
  [2164] = {.lex_state = 223},
  [2165] = {.lex_state = 223},
  [2166] = {.lex_state = 223},
  [2167] = {.lex_state = 223},
  [2168] = {.lex_state = 0},
  [2169] = {.lex_state = 0},
  [2170] = {.lex_state = 223},
  [2171] = {.lex_state = 0},
  [2172] = {.lex_state = 223},
  [2173] = {.lex_state = 223},
  [2174] = {.lex_state = 223},
  [2175] = {.lex_state = 223},
  [2176] = {.lex_state = 223},
  [2177] = {.lex_state = 223},
  [2178] = {.lex_state = 0},
  [2179] = {.lex_state = 223},
  [2180] = {.lex_state = 0},
  [2181] = {.lex_state = 0},
  [2182] = {.lex_state = 223},
  [2183] = {.lex_state = 223},
  [2184] = {.lex_state = 119},
  [2185] = {.lex_state = 223},
  [2186] = {.lex_state = 223},
  [2187] = {.lex_state = 223},
  [2188] = {.lex_state = 223},
  [2189] = {.lex_state = 223},
  [2190] = {.lex_state = 223},
  [2191] = {.lex_state = 119},
  [2192] = {.lex_state = 223},
  [2193] = {.lex_state = 223},
  [2194] = {.lex_state = 223},
  [2195] = {.lex_state = 223},
  [2196] = {.lex_state = 223},
  [2197] = {.lex_state = 223},
  [2198] = {.lex_state = 223},
  [2199] = {.lex_state = 223},
  [2200] = {.lex_state = 223},
  [2201] = {.lex_state = 223},
  [2202] = {.lex_state = 223},
  [2203] = {.lex_state = 223},
  [2204] = {.lex_state = 223},
  [2205] = {.lex_state = 223},
  [2206] = {.lex_state = 223},
  [2207] = {.lex_state = 223},
  [2208] = {.lex_state = 223},
  [2209] = {.lex_state = 223},
  [2210] = {.lex_state = 223},
  [2211] = {.lex_state = 223},
  [2212] = {.lex_state = 223},
  [2213] = {.lex_state = 223},
  [2214] = {.lex_state = 223},
  [2215] = {.lex_state = 223},
  [2216] = {.lex_state = 223},
  [2217] = {.lex_state = 223},
  [2218] = {.lex_state = 223},
  [2219] = {.lex_state = 223},
  [2220] = {.lex_state = 223},
  [2221] = {.lex_state = 223},
  [2222] = {.lex_state = 223},
  [2223] = {.lex_state = 223},
  [2224] = {.lex_state = 119},
  [2225] = {.lex_state = 119},
  [2226] = {.lex_state = 223},
  [2227] = {.lex_state = 0},
  [2228] = {.lex_state = 0},
  [2229] = {.lex_state = 0},
  [2230] = {.lex_state = 223},
  [2231] = {.lex_state = 223},
  [2232] = {.lex_state = 223},
  [2233] = {.lex_state = 223},
  [2234] = {.lex_state = 223},
  [2235] = {.lex_state = 0},
  [2236] = {.lex_state = 0},
  [2237] = {.lex_state = 223},
  [2238] = {.lex_state = 0},
  [2239] = {.lex_state = 223},
  [2240] = {.lex_state = 223},
  [2241] = {.lex_state = 223},
  [2242] = {.lex_state = 223},
  [2243] = {.lex_state = 223},
  [2244] = {.lex_state = 223},
  [2245] = {.lex_state = 223},
  [2246] = {.lex_state = 223},
  [2247] = {.lex_state = 223},
  [2248] = {.lex_state = 223},
  [2249] = {.lex_state = 223},
  [2250] = {.lex_state = 223},
  [2251] = {.lex_state = 223},
  [2252] = {.lex_state = 223},
  [2253] = {.lex_state = 223},
  [2254] = {.lex_state = 223},
  [2255] = {.lex_state = 223},
  [2256] = {.lex_state = 223},
  [2257] = {.lex_state = 223},
  [2258] = {.lex_state = 223},
  [2259] = {.lex_state = 223},
  [2260] = {.lex_state = 223},
  [2261] = {.lex_state = 223},
  [2262] = {.lex_state = 223},
  [2263] = {.lex_state = 223},
  [2264] = {.lex_state = 223},
  [2265] = {.lex_state = 223},
  [2266] = {.lex_state = 223},
  [2267] = {.lex_state = 223},
  [2268] = {.lex_state = 223},
  [2269] = {.lex_state = 223},
  [2270] = {.lex_state = 223},
  [2271] = {.lex_state = 223},
  [2272] = {.lex_state = 223},
  [2273] = {.lex_state = 223},
  [2274] = {.lex_state = 223},
  [2275] = {.lex_state = 223},
  [2276] = {.lex_state = 223},
  [2277] = {.lex_state = 223},
  [2278] = {.lex_state = 223},
  [2279] = {.lex_state = 223},
  [2280] = {.lex_state = 223},
  [2281] = {.lex_state = 223},
  [2282] = {.lex_state = 223},
  [2283] = {.lex_state = 223},
  [2284] = {.lex_state = 223},
  [2285] = {.lex_state = 223},
  [2286] = {.lex_state = 223},
  [2287] = {.lex_state = 223},
  [2288] = {.lex_state = 223},
  [2289] = {.lex_state = 223},
  [2290] = {.lex_state = 223},
  [2291] = {.lex_state = 223},
  [2292] = {.lex_state = 223},
  [2293] = {.lex_state = 223},
  [2294] = {.lex_state = 223},
  [2295] = {.lex_state = 223},
  [2296] = {.lex_state = 223},
  [2297] = {.lex_state = 223},
  [2298] = {.lex_state = 223},
  [2299] = {.lex_state = 0},
  [2300] = {.lex_state = 0},
  [2301] = {.lex_state = 223},
  [2302] = {.lex_state = 0},
  [2303] = {.lex_state = 223},
  [2304] = {.lex_state = 223},
  [2305] = {.lex_state = 223},
  [2306] = {.lex_state = 223},
  [2307] = {.lex_state = 223},
  [2308] = {.lex_state = 223},
  [2309] = {.lex_state = 223},
  [2310] = {.lex_state = 223},
  [2311] = {.lex_state = 223},
  [2312] = {.lex_state = 223},
  [2313] = {.lex_state = 223},
  [2314] = {.lex_state = 223},
  [2315] = {.lex_state = 223},
  [2316] = {.lex_state = 223},
  [2317] = {.lex_state = 223},
  [2318] = {.lex_state = 223},
  [2319] = {.lex_state = 223},
  [2320] = {.lex_state = 223},
  [2321] = {.lex_state = 223},
  [2322] = {.lex_state = 223},
  [2323] = {.lex_state = 223},
  [2324] = {.lex_state = 223},
  [2325] = {.lex_state = 223},
  [2326] = {.lex_state = 223},
  [2327] = {.lex_state = 223},
  [2328] = {.lex_state = 223},
  [2329] = {.lex_state = 223},
  [2330] = {.lex_state = 223},
  [2331] = {.lex_state = 223},
  [2332] = {.lex_state = 223},
  [2333] = {.lex_state = 223},
  [2334] = {.lex_state = 223},
  [2335] = {.lex_state = 223},
  [2336] = {.lex_state = 223},
  [2337] = {.lex_state = 223},
  [2338] = {.lex_state = 223},
  [2339] = {.lex_state = 223},
  [2340] = {.lex_state = 223},
  [2341] = {.lex_state = 223},
  [2342] = {.lex_state = 223},
  [2343] = {.lex_state = 223},
  [2344] = {.lex_state = 223},
  [2345] = {.lex_state = 223},
  [2346] = {.lex_state = 223},
  [2347] = {.lex_state = 223},
  [2348] = {.lex_state = 223},
  [2349] = {.lex_state = 223},
  [2350] = {.lex_state = 223},
  [2351] = {.lex_state = 223},
  [2352] = {.lex_state = 223},
  [2353] = {.lex_state = 223},
  [2354] = {.lex_state = 0},
  [2355] = {.lex_state = 0},
  [2356] = {.lex_state = 0},
  [2357] = {.lex_state = 0},
  [2358] = {.lex_state = 223},
  [2359] = {.lex_state = 119},
  [2360] = {.lex_state = 119},
  [2361] = {.lex_state = 223},
  [2362] = {.lex_state = 223},
  [2363] = {.lex_state = 0},
  [2364] = {.lex_state = 0},
  [2365] = {.lex_state = 223},
  [2366] = {.lex_state = 0},
  [2367] = {.lex_state = 0},
  [2368] = {.lex_state = 0},
  [2369] = {.lex_state = 0},
  [2370] = {.lex_state = 223},
  [2371] = {.lex_state = 0},
  [2372] = {.lex_state = 223},
  [2373] = {.lex_state = 0},
  [2374] = {.lex_state = 223},
  [2375] = {.lex_state = 223},
  [2376] = {.lex_state = 223},
  [2377] = {.lex_state = 223},
  [2378] = {.lex_state = 223},
  [2379] = {.lex_state = 223},
  [2380] = {.lex_state = 223},
  [2381] = {.lex_state = 223},
  [2382] = {.lex_state = 223},
  [2383] = {.lex_state = 223},
  [2384] = {.lex_state = 223},
  [2385] = {.lex_state = 223},
  [2386] = {.lex_state = 223},
  [2387] = {.lex_state = 223},
  [2388] = {.lex_state = 223},
  [2389] = {.lex_state = 223},
  [2390] = {.lex_state = 223},
  [2391] = {.lex_state = 223},
  [2392] = {.lex_state = 223},
  [2393] = {.lex_state = 223},
  [2394] = {.lex_state = 223},
  [2395] = {.lex_state = 223},
  [2396] = {.lex_state = 223},
  [2397] = {.lex_state = 223},
  [2398] = {.lex_state = 223},
  [2399] = {.lex_state = 223},
  [2400] = {.lex_state = 223},
  [2401] = {.lex_state = 223},
  [2402] = {.lex_state = 223},
  [2403] = {.lex_state = 223},
  [2404] = {.lex_state = 223},
  [2405] = {.lex_state = 223},
  [2406] = {.lex_state = 223},
  [2407] = {.lex_state = 223},
  [2408] = {.lex_state = 223},
  [2409] = {.lex_state = 223},
  [2410] = {.lex_state = 223},
  [2411] = {.lex_state = 223},
  [2412] = {.lex_state = 223},
  [2413] = {.lex_state = 223},
  [2414] = {.lex_state = 223},
  [2415] = {.lex_state = 223},
  [2416] = {.lex_state = 223},
  [2417] = {.lex_state = 223},
  [2418] = {.lex_state = 223},
  [2419] = {.lex_state = 223},
  [2420] = {.lex_state = 223},
  [2421] = {.lex_state = 223},
  [2422] = {.lex_state = 223},
  [2423] = {.lex_state = 223},
  [2424] = {.lex_state = 223},
  [2425] = {.lex_state = 223},
  [2426] = {.lex_state = 223},
  [2427] = {.lex_state = 223},
  [2428] = {.lex_state = 223},
  [2429] = {.lex_state = 223},
  [2430] = {.lex_state = 223},
  [2431] = {.lex_state = 223},
  [2432] = {.lex_state = 223},
  [2433] = {.lex_state = 223},
  [2434] = {.lex_state = 223},
  [2435] = {.lex_state = 223},
  [2436] = {.lex_state = 223},
  [2437] = {.lex_state = 223},
  [2438] = {.lex_state = 225},
  [2439] = {.lex_state = 225},
  [2440] = {.lex_state = 225},
  [2441] = {.lex_state = 223},
  [2442] = {.lex_state = 223},
  [2443] = {.lex_state = 223},
  [2444] = {.lex_state = 223},
  [2445] = {.lex_state = 223},
  [2446] = {.lex_state = 223},
  [2447] = {.lex_state = 223},
  [2448] = {.lex_state = 223},
  [2449] = {.lex_state = 223},
  [2450] = {.lex_state = 223},
  [2451] = {.lex_state = 223},
  [2452] = {.lex_state = 223},
  [2453] = {.lex_state = 223},
  [2454] = {.lex_state = 223},
  [2455] = {.lex_state = 223},
  [2456] = {.lex_state = 223},
  [2457] = {.lex_state = 223},
  [2458] = {.lex_state = 223},
  [2459] = {.lex_state = 223},
  [2460] = {.lex_state = 223},
  [2461] = {.lex_state = 223},
  [2462] = {.lex_state = 223},
  [2463] = {.lex_state = 223},
  [2464] = {.lex_state = 223},
  [2465] = {.lex_state = 223},
  [2466] = {.lex_state = 223},
  [2467] = {.lex_state = 223},
  [2468] = {.lex_state = 223},
  [2469] = {.lex_state = 223},
  [2470] = {.lex_state = 0},
  [2471] = {.lex_state = 0},
  [2472] = {.lex_state = 223},
  [2473] = {.lex_state = 223},
  [2474] = {.lex_state = 579},
  [2475] = {.lex_state = 579},
  [2476] = {.lex_state = 579},
  [2477] = {.lex_state = 119},
  [2478] = {.lex_state = 569},
  [2479] = {.lex_state = 579},
  [2480] = {.lex_state = 223},
  [2481] = {.lex_state = 119},
  [2482] = {.lex_state = 0},
  [2483] = {.lex_state = 0},
  [2484] = {.lex_state = 0},
  [2485] = {.lex_state = 0},
  [2486] = {.lex_state = 0},
  [2487] = {.lex_state = 0},
  [2488] = {.lex_state = 223},
  [2489] = {.lex_state = 119},
  [2490] = {.lex_state = 223},
  [2491] = {.lex_state = 119},
  [2492] = {.lex_state = 119},
  [2493] = {.lex_state = 0},
  [2494] = {.lex_state = 223},
  [2495] = {.lex_state = 223},
  [2496] = {.lex_state = 119},
  [2497] = {.lex_state = 233},
  [2498] = {.lex_state = 223},
  [2499] = {.lex_state = 119},
  [2500] = {.lex_state = 119},
  [2501] = {.lex_state = 119},
  [2502] = {.lex_state = 119},
  [2503] = {.lex_state = 119},
  [2504] = {.lex_state = 119},
  [2505] = {.lex_state = 119},
  [2506] = {.lex_state = 119},
  [2507] = {.lex_state = 119},
  [2508] = {.lex_state = 118},
  [2509] = {.lex_state = 119},
  [2510] = {.lex_state = 119},
  [2511] = {.lex_state = 107},
  [2512] = {.lex_state = 119},
  [2513] = {.lex_state = 107},
  [2514] = {.lex_state = 107},
  [2515] = {.lex_state = 119},
  [2516] = {.lex_state = 223},
  [2517] = {.lex_state = 223},
  [2518] = {.lex_state = 223},
  [2519] = {.lex_state = 223},
  [2520] = {.lex_state = 223},
  [2521] = {.lex_state = 223},
  [2522] = {.lex_state = 0},
  [2523] = {.lex_state = 0},
  [2524] = {.lex_state = 0},
  [2525] = {.lex_state = 238},
  [2526] = {.lex_state = 223},
  [2527] = {.lex_state = 0},
  [2528] = {.lex_state = 118},
  [2529] = {.lex_state = 223},
  [2530] = {.lex_state = 223},
  [2531] = {.lex_state = 223},
  [2532] = {.lex_state = 223},
  [2533] = {.lex_state = 223},
  [2534] = {.lex_state = 223},
  [2535] = {.lex_state = 223},
  [2536] = {.lex_state = 223},
  [2537] = {.lex_state = 223},
  [2538] = {.lex_state = 223},
  [2539] = {.lex_state = 223},
  [2540] = {.lex_state = 119},
  [2541] = {.lex_state = 223},
  [2542] = {.lex_state = 0},
  [2543] = {.lex_state = 0},
  [2544] = {.lex_state = 119},
  [2545] = {.lex_state = 119},
  [2546] = {.lex_state = 119},
  [2547] = {.lex_state = 119},
  [2548] = {.lex_state = 119},
  [2549] = {.lex_state = 223},
  [2550] = {.lex_state = 223},
  [2551] = {.lex_state = 119},
  [2552] = {.lex_state = 119},
  [2553] = {.lex_state = 119},
  [2554] = {.lex_state = 223},
  [2555] = {.lex_state = 223},
  [2556] = {.lex_state = 119},
  [2557] = {.lex_state = 579},
  [2558] = {.lex_state = 579},
  [2559] = {.lex_state = 579},
  [2560] = {.lex_state = 119},
  [2561] = {.lex_state = 579},
  [2562] = {.lex_state = 223},
  [2563] = {.lex_state = 119},
  [2564] = {.lex_state = 119},
  [2565] = {.lex_state = 119},
  [2566] = {.lex_state = 119},
  [2567] = {.lex_state = 119},
  [2568] = {.lex_state = 119},
  [2569] = {.lex_state = 119},
  [2570] = {.lex_state = 119},
  [2571] = {.lex_state = 119},
  [2572] = {.lex_state = 119},
  [2573] = {.lex_state = 119},
  [2574] = {.lex_state = 119},
  [2575] = {.lex_state = 119},
  [2576] = {.lex_state = 119},
  [2577] = {.lex_state = 119},
  [2578] = {.lex_state = 119},
  [2579] = {.lex_state = 119},
  [2580] = {.lex_state = 119},
  [2581] = {.lex_state = 119},
  [2582] = {.lex_state = 119},
  [2583] = {.lex_state = 119},
  [2584] = {.lex_state = 223},
  [2585] = {.lex_state = 223},
  [2586] = {.lex_state = 223},
  [2587] = {.lex_state = 223},
  [2588] = {.lex_state = 223},
  [2589] = {.lex_state = 223},
  [2590] = {.lex_state = 118},
  [2591] = {.lex_state = 119},
  [2592] = {.lex_state = 119},
  [2593] = {.lex_state = 223},
  [2594] = {.lex_state = 0},
  [2595] = {.lex_state = 223},
  [2596] = {.lex_state = 223},
  [2597] = {.lex_state = 223},
  [2598] = {.lex_state = 223},
  [2599] = {.lex_state = 579},
  [2600] = {.lex_state = 579},
  [2601] = {.lex_state = 579},
  [2602] = {.lex_state = 223},
  [2603] = {.lex_state = 579},
  [2604] = {.lex_state = 223},
  [2605] = {.lex_state = 107},
  [2606] = {.lex_state = 223},
  [2607] = {.lex_state = 232},
  [2608] = {.lex_state = 225},
  [2609] = {.lex_state = 107},
  [2610] = {.lex_state = 225},
  [2611] = {.lex_state = 107},
  [2612] = {.lex_state = 225},
  [2613] = {.lex_state = 107},
  [2614] = {.lex_state = 232},
  [2615] = {.lex_state = 223},
  [2616] = {.lex_state = 223},
  [2617] = {.lex_state = 0},
  [2618] = {.lex_state = 223},
  [2619] = {.lex_state = 223},
  [2620] = {.lex_state = 223},
  [2621] = {.lex_state = 223},
  [2622] = {.lex_state = 223},
  [2623] = {.lex_state = 223},
  [2624] = {.lex_state = 223},
  [2625] = {.lex_state = 223},
  [2626] = {.lex_state = 223},
  [2627] = {.lex_state = 223},
  [2628] = {.lex_state = 223},
  [2629] = {.lex_state = 579},
  [2630] = {.lex_state = 223},
  [2631] = {.lex_state = 223},
  [2632] = {.lex_state = 223},
  [2633] = {.lex_state = 223},
  [2634] = {.lex_state = 223},
  [2635] = {.lex_state = 223},
  [2636] = {.lex_state = 583},
  [2637] = {.lex_state = 579},
  [2638] = {.lex_state = 579},
  [2639] = {.lex_state = 579},
  [2640] = {.lex_state = 223},
  [2641] = {.lex_state = 579},
  [2642] = {.lex_state = 223},
  [2643] = {.lex_state = 223},
  [2644] = {.lex_state = 223},
  [2645] = {.lex_state = 223},
  [2646] = {.lex_state = 223},
  [2647] = {.lex_state = 223},
  [2648] = {.lex_state = 223},
  [2649] = {.lex_state = 223},
  [2650] = {.lex_state = 223},
  [2651] = {.lex_state = 223},
  [2652] = {.lex_state = 223},
  [2653] = {.lex_state = 223},
  [2654] = {.lex_state = 223},
  [2655] = {.lex_state = 223},
  [2656] = {.lex_state = 569},
  [2657] = {.lex_state = 223},
  [2658] = {.lex_state = 119},
  [2659] = {.lex_state = 579},
  [2660] = {.lex_state = 579},
  [2661] = {.lex_state = 579},
  [2662] = {.lex_state = 119},
  [2663] = {.lex_state = 232},
  [2664] = {.lex_state = 232},
  [2665] = {.lex_state = 119},
  [2666] = {.lex_state = 119},
  [2667] = {.lex_state = 223},
  [2668] = {.lex_state = 119},
  [2669] = {.lex_state = 119},
  [2670] = {.lex_state = 119},
  [2671] = {.lex_state = 223},
  [2672] = {.lex_state = 223},
  [2673] = {.lex_state = 223},
  [2674] = {.lex_state = 119},
  [2675] = {.lex_state = 579},
  [2676] = {.lex_state = 579},
  [2677] = {.lex_state = 579},
  [2678] = {.lex_state = 223},
  [2679] = {.lex_state = 579},
  [2680] = {.lex_state = 223},
  [2681] = {.lex_state = 119},
  [2682] = {.lex_state = 233},
  [2683] = {.lex_state = 119},
  [2684] = {.lex_state = 119},
  [2685] = {.lex_state = 119},
  [2686] = {.lex_state = 223},
  [2687] = {.lex_state = 119},
  [2688] = {.lex_state = 119},
  [2689] = {.lex_state = 119},
  [2690] = {.lex_state = 119},
  [2691] = {.lex_state = 119},
  [2692] = {.lex_state = 119},
  [2693] = {.lex_state = 119},
  [2694] = {.lex_state = 119},
  [2695] = {.lex_state = 119},
  [2696] = {.lex_state = 223},
  [2697] = {.lex_state = 223},
  [2698] = {.lex_state = 223},
  [2699] = {.lex_state = 119},
  [2700] = {.lex_state = 119},
  [2701] = {.lex_state = 119},
  [2702] = {.lex_state = 119},
  [2703] = {.lex_state = 119},
  [2704] = {.lex_state = 119},
  [2705] = {.lex_state = 107},
  [2706] = {.lex_state = 223},
  [2707] = {.lex_state = 0},
  [2708] = {.lex_state = 223},
  [2709] = {.lex_state = 223},
  [2710] = {.lex_state = 223},
  [2711] = {.lex_state = 223},
  [2712] = {.lex_state = 0},
  [2713] = {.lex_state = 579},
  [2714] = {.lex_state = 579},
  [2715] = {.lex_state = 579},
  [2716] = {.lex_state = 223},
  [2717] = {.lex_state = 579},
  [2718] = {.lex_state = 223},
  [2719] = {.lex_state = 0},
  [2720] = {.lex_state = 223},
  [2721] = {.lex_state = 223},
  [2722] = {.lex_state = 223},
  [2723] = {.lex_state = 223},
  [2724] = {.lex_state = 107},
  [2725] = {.lex_state = 223},
  [2726] = {.lex_state = 119},
  [2727] = {.lex_state = 107},
  [2728] = {.lex_state = 223},
  [2729] = {.lex_state = 223},
  [2730] = {.lex_state = 223},
  [2731] = {.lex_state = 119},
  [2732] = {.lex_state = 0},
  [2733] = {.lex_state = 119},
  [2734] = {.lex_state = 119},
  [2735] = {.lex_state = 119},
  [2736] = {.lex_state = 119},
  [2737] = {.lex_state = 119},
  [2738] = {.lex_state = 119},
  [2739] = {.lex_state = 119},
  [2740] = {.lex_state = 119},
  [2741] = {.lex_state = 119},
  [2742] = {.lex_state = 119},
  [2743] = {.lex_state = 119},
  [2744] = {.lex_state = 119},
  [2745] = {.lex_state = 119},
  [2746] = {.lex_state = 223},
  [2747] = {.lex_state = 223},
  [2748] = {.lex_state = 119},
  [2749] = {.lex_state = 579},
  [2750] = {.lex_state = 579},
  [2751] = {.lex_state = 579},
  [2752] = {.lex_state = 119},
  [2753] = {.lex_state = 579},
  [2754] = {.lex_state = 119},
  [2755] = {.lex_state = 119},
  [2756] = {.lex_state = 119},
  [2757] = {.lex_state = 119},
  [2758] = {.lex_state = 119},
  [2759] = {.lex_state = 119},
  [2760] = {.lex_state = 119},
  [2761] = {.lex_state = 119},
  [2762] = {.lex_state = 119},
  [2763] = {.lex_state = 119},
  [2764] = {.lex_state = 119},
  [2765] = {.lex_state = 119},
  [2766] = {.lex_state = 119},
  [2767] = {.lex_state = 119},
  [2768] = {.lex_state = 107},
  [2769] = {.lex_state = 107},
  [2770] = {.lex_state = 119},
  [2771] = {.lex_state = 107},
  [2772] = {.lex_state = 119},
  [2773] = {.lex_state = 119},
  [2774] = {.lex_state = 107},
  [2775] = {.lex_state = 119},
  [2776] = {.lex_state = 119},
  [2777] = {.lex_state = 119},
  [2778] = {.lex_state = 119},
  [2779] = {.lex_state = 119},
  [2780] = {.lex_state = 119},
  [2781] = {.lex_state = 119},
  [2782] = {.lex_state = 119},
  [2783] = {.lex_state = 119},
  [2784] = {.lex_state = 119},
  [2785] = {.lex_state = 579},
  [2786] = {.lex_state = 579},
  [2787] = {.lex_state = 579},
  [2788] = {.lex_state = 0},
  [2789] = {.lex_state = 579},
  [2790] = {.lex_state = 0},
  [2791] = {.lex_state = 223},
  [2792] = {.lex_state = 223},
  [2793] = {.lex_state = 223},
  [2794] = {.lex_state = 223},
  [2795] = {.lex_state = 223},
  [2796] = {.lex_state = 223},
  [2797] = {.lex_state = 223},
  [2798] = {.lex_state = 223},
  [2799] = {.lex_state = 223},
  [2800] = {.lex_state = 586},
  [2801] = {.lex_state = 0},
  [2802] = {.lex_state = 223},
  [2803] = {.lex_state = 223},
  [2804] = {.lex_state = 223},
  [2805] = {.lex_state = 0},
  [2806] = {.lex_state = 0},
  [2807] = {.lex_state = 0},
  [2808] = {.lex_state = 0},
  [2809] = {.lex_state = 0},
  [2810] = {.lex_state = 0},
  [2811] = {.lex_state = 119},
  [2812] = {.lex_state = 119},
  [2813] = {.lex_state = 0},
  [2814] = {.lex_state = 223},
  [2815] = {.lex_state = 223},
  [2816] = {.lex_state = 223},
  [2817] = {.lex_state = 0},
  [2818] = {.lex_state = 0},
  [2819] = {.lex_state = 223},
  [2820] = {.lex_state = 579},
  [2821] = {.lex_state = 579},
  [2822] = {.lex_state = 579},
  [2823] = {.lex_state = 0},
  [2824] = {.lex_state = 579},
  [2825] = {.lex_state = 0},
  [2826] = {.lex_state = 0},
  [2827] = {.lex_state = 579},
  [2828] = {.lex_state = 579},
  [2829] = {.lex_state = 579},
  [2830] = {.lex_state = 583},
  [2831] = {.lex_state = 579},
  [2832] = {.lex_state = 0},
  [2833] = {.lex_state = 0},
  [2834] = {.lex_state = 579},
  [2835] = {.lex_state = 579},
  [2836] = {.lex_state = 579},
  [2837] = {.lex_state = 0},
  [2838] = {.lex_state = 579},
  [2839] = {.lex_state = 0},
  [2840] = {.lex_state = 0},
  [2841] = {.lex_state = 579},
  [2842] = {.lex_state = 579},
  [2843] = {.lex_state = 579},
  [2844] = {.lex_state = 0},
  [2845] = {.lex_state = 119},
  [2846] = {.lex_state = 119},
  [2847] = {.lex_state = 119},
  [2848] = {.lex_state = 119},
  [2849] = {.lex_state = 119},
  [2850] = {.lex_state = 119},
  [2851] = {.lex_state = 119},
  [2852] = {.lex_state = 119},
  [2853] = {.lex_state = 119},
  [2854] = {.lex_state = 119},
  [2855] = {.lex_state = 119},
  [2856] = {.lex_state = 119},
  [2857] = {.lex_state = 119},
  [2858] = {.lex_state = 119},
  [2859] = {.lex_state = 119},
  [2860] = {.lex_state = 119},
  [2861] = {.lex_state = 119},
  [2862] = {.lex_state = 119},
  [2863] = {.lex_state = 119},
  [2864] = {.lex_state = 119},
  [2865] = {.lex_state = 119},
  [2866] = {.lex_state = 119},
  [2867] = {.lex_state = 119},
  [2868] = {.lex_state = 119},
  [2869] = {.lex_state = 119},
  [2870] = {.lex_state = 119},
  [2871] = {.lex_state = 119},
  [2872] = {.lex_state = 119},
  [2873] = {.lex_state = 119},
  [2874] = {.lex_state = 119},
  [2875] = {.lex_state = 119},
  [2876] = {.lex_state = 119},
  [2877] = {.lex_state = 119},
  [2878] = {.lex_state = 119},
  [2879] = {.lex_state = 119},
  [2880] = {.lex_state = 119},
  [2881] = {.lex_state = 119},
  [2882] = {.lex_state = 119},
  [2883] = {.lex_state = 119},
  [2884] = {.lex_state = 119},
  [2885] = {.lex_state = 119},
  [2886] = {.lex_state = 119},
  [2887] = {.lex_state = 119},
  [2888] = {.lex_state = 119},
  [2889] = {.lex_state = 119},
  [2890] = {.lex_state = 119},
  [2891] = {.lex_state = 119},
  [2892] = {.lex_state = 119},
  [2893] = {.lex_state = 119},
  [2894] = {.lex_state = 119},
  [2895] = {.lex_state = 119},
  [2896] = {.lex_state = 119},
  [2897] = {.lex_state = 119},
  [2898] = {.lex_state = 119},
  [2899] = {.lex_state = 119},
  [2900] = {.lex_state = 0},
  [2901] = {.lex_state = 0},
  [2902] = {.lex_state = 0},
  [2903] = {.lex_state = 0},
  [2904] = {.lex_state = 223},
  [2905] = {.lex_state = 0},
  [2906] = {.lex_state = 119},
  [2907] = {.lex_state = 119},
  [2908] = {.lex_state = 119},
  [2909] = {.lex_state = 119},
  [2910] = {.lex_state = 119},
  [2911] = {.lex_state = 119},
  [2912] = {.lex_state = 119},
  [2913] = {.lex_state = 119},
  [2914] = {.lex_state = 119},
  [2915] = {.lex_state = 119},
  [2916] = {.lex_state = 119},
  [2917] = {.lex_state = 119},
  [2918] = {.lex_state = 119},
  [2919] = {.lex_state = 119},
  [2920] = {.lex_state = 119},
  [2921] = {.lex_state = 119},
  [2922] = {.lex_state = 119},
  [2923] = {.lex_state = 119},
  [2924] = {.lex_state = 119},
  [2925] = {.lex_state = 119},
  [2926] = {.lex_state = 119},
  [2927] = {.lex_state = 119},
  [2928] = {.lex_state = 119},
  [2929] = {.lex_state = 119},
  [2930] = {.lex_state = 119},
  [2931] = {.lex_state = 119},
  [2932] = {.lex_state = 119},
  [2933] = {.lex_state = 119},
  [2934] = {.lex_state = 0},
  [2935] = {.lex_state = 0},
  [2936] = {.lex_state = 223},
  [2937] = {.lex_state = 0},
  [2938] = {.lex_state = 119},
  [2939] = {.lex_state = 119},
  [2940] = {.lex_state = 119},
  [2941] = {.lex_state = 119},
  [2942] = {.lex_state = 119},
  [2943] = {.lex_state = 119},
  [2944] = {.lex_state = 119},
  [2945] = {.lex_state = 119},
  [2946] = {.lex_state = 119},
  [2947] = {.lex_state = 119},
  [2948] = {.lex_state = 119},
  [2949] = {.lex_state = 119},
  [2950] = {.lex_state = 119},
  [2951] = {.lex_state = 119},
  [2952] = {.lex_state = 119},
  [2953] = {.lex_state = 119},
  [2954] = {.lex_state = 119},
  [2955] = {.lex_state = 119},
  [2956] = {.lex_state = 119},
  [2957] = {.lex_state = 119},
  [2958] = {.lex_state = 119},
  [2959] = {.lex_state = 119},
  [2960] = {.lex_state = 119},
  [2961] = {.lex_state = 119},
  [2962] = {.lex_state = 119},
  [2963] = {.lex_state = 119},
  [2964] = {.lex_state = 119},
  [2965] = {.lex_state = 0},
  [2966] = {.lex_state = 223},
  [2967] = {.lex_state = 0},
  [2968] = {.lex_state = 119},
  [2969] = {.lex_state = 119},
  [2970] = {.lex_state = 119},
  [2971] = {.lex_state = 119},
  [2972] = {.lex_state = 119},
  [2973] = {.lex_state = 119},
  [2974] = {.lex_state = 119},
  [2975] = {.lex_state = 119},
  [2976] = {.lex_state = 119},
  [2977] = {.lex_state = 119},
  [2978] = {.lex_state = 119},
  [2979] = {.lex_state = 119},
  [2980] = {.lex_state = 119},
  [2981] = {.lex_state = 119},
  [2982] = {.lex_state = 119},
  [2983] = {.lex_state = 119},
  [2984] = {.lex_state = 119},
  [2985] = {.lex_state = 119},
  [2986] = {.lex_state = 119},
  [2987] = {.lex_state = 119},
  [2988] = {.lex_state = 119},
  [2989] = {.lex_state = 119},
  [2990] = {.lex_state = 119},
  [2991] = {.lex_state = 119},
  [2992] = {.lex_state = 119},
  [2993] = {.lex_state = 119},
  [2994] = {.lex_state = 119},
  [2995] = {.lex_state = 596},
  [2996] = {.lex_state = 223},
  [2997] = {.lex_state = 0},
  [2998] = {.lex_state = 119},
  [2999] = {.lex_state = 119},
  [3000] = {.lex_state = 119},
  [3001] = {.lex_state = 119},
  [3002] = {.lex_state = 119},
  [3003] = {.lex_state = 119},
  [3004] = {.lex_state = 119},
  [3005] = {.lex_state = 119},
  [3006] = {.lex_state = 119},
  [3007] = {.lex_state = 119},
  [3008] = {.lex_state = 119},
  [3009] = {.lex_state = 119},
  [3010] = {.lex_state = 119},
  [3011] = {.lex_state = 119},
  [3012] = {.lex_state = 119},
  [3013] = {.lex_state = 119},
  [3014] = {.lex_state = 119},
  [3015] = {.lex_state = 119},
  [3016] = {.lex_state = 119},
  [3017] = {.lex_state = 119},
  [3018] = {.lex_state = 119},
  [3019] = {.lex_state = 119},
  [3020] = {.lex_state = 119},
  [3021] = {.lex_state = 119},
  [3022] = {.lex_state = 119},
  [3023] = {.lex_state = 119},
  [3024] = {.lex_state = 119},
  [3025] = {.lex_state = 223},
  [3026] = {.lex_state = 223},
  [3027] = {.lex_state = 0},
  [3028] = {.lex_state = 119},
  [3029] = {.lex_state = 119},
  [3030] = {.lex_state = 119},
  [3031] = {.lex_state = 119},
  [3032] = {.lex_state = 119},
  [3033] = {.lex_state = 119},
  [3034] = {.lex_state = 119},
  [3035] = {.lex_state = 119},
  [3036] = {.lex_state = 119},
  [3037] = {.lex_state = 119},
  [3038] = {.lex_state = 119},
  [3039] = {.lex_state = 119},
  [3040] = {.lex_state = 119},
  [3041] = {.lex_state = 119},
  [3042] = {.lex_state = 119},
  [3043] = {.lex_state = 119},
  [3044] = {.lex_state = 119},
  [3045] = {.lex_state = 119},
  [3046] = {.lex_state = 119},
  [3047] = {.lex_state = 119},
  [3048] = {.lex_state = 119},
  [3049] = {.lex_state = 119},
  [3050] = {.lex_state = 119},
  [3051] = {.lex_state = 119},
  [3052] = {.lex_state = 119},
  [3053] = {.lex_state = 119},
  [3054] = {.lex_state = 119},
  [3055] = {.lex_state = 223},
  [3056] = {.lex_state = 119},
  [3057] = {.lex_state = 119},
  [3058] = {.lex_state = 119},
  [3059] = {.lex_state = 119},
  [3060] = {.lex_state = 119},
  [3061] = {.lex_state = 119},
  [3062] = {.lex_state = 119},
  [3063] = {.lex_state = 119},
  [3064] = {.lex_state = 119},
  [3065] = {.lex_state = 119},
  [3066] = {.lex_state = 119},
  [3067] = {.lex_state = 119},
  [3068] = {.lex_state = 119},
  [3069] = {.lex_state = 119},
  [3070] = {.lex_state = 119},
  [3071] = {.lex_state = 119},
  [3072] = {.lex_state = 119},
  [3073] = {.lex_state = 119},
  [3074] = {.lex_state = 119},
  [3075] = {.lex_state = 119},
  [3076] = {.lex_state = 119},
  [3077] = {.lex_state = 119},
  [3078] = {.lex_state = 119},
  [3079] = {.lex_state = 119},
  [3080] = {.lex_state = 119},
  [3081] = {.lex_state = 119},
  [3082] = {.lex_state = 119},
  [3083] = {.lex_state = 0},
  [3084] = {.lex_state = 119},
  [3085] = {.lex_state = 119},
  [3086] = {.lex_state = 119},
  [3087] = {.lex_state = 119},
  [3088] = {.lex_state = 119},
  [3089] = {.lex_state = 119},
  [3090] = {.lex_state = 119},
  [3091] = {.lex_state = 119},
  [3092] = {.lex_state = 119},
  [3093] = {.lex_state = 119},
  [3094] = {.lex_state = 119},
  [3095] = {.lex_state = 119},
  [3096] = {.lex_state = 119},
  [3097] = {.lex_state = 119},
  [3098] = {.lex_state = 119},
  [3099] = {.lex_state = 119},
  [3100] = {.lex_state = 119},
  [3101] = {.lex_state = 119},
  [3102] = {.lex_state = 119},
  [3103] = {.lex_state = 119},
  [3104] = {.lex_state = 119},
  [3105] = {.lex_state = 119},
  [3106] = {.lex_state = 119},
  [3107] = {.lex_state = 119},
  [3108] = {.lex_state = 119},
  [3109] = {.lex_state = 119},
  [3110] = {.lex_state = 119},
  [3111] = {.lex_state = 0},
  [3112] = {.lex_state = 119},
  [3113] = {.lex_state = 119},
  [3114] = {.lex_state = 0},
  [3115] = {.lex_state = 0},
  [3116] = {.lex_state = 119},
  [3117] = {.lex_state = 119},
  [3118] = {.lex_state = 119},
  [3119] = {.lex_state = 119},
  [3120] = {.lex_state = 119},
  [3121] = {.lex_state = 119},
  [3122] = {.lex_state = 119},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_bookcode] = ACTIONS(1),
    [anon_sym_BSLASHid] = ACTIONS(1),
    [sym_numberedLevelMax3] = ACTIONS(1),
    [sym_numberedLevelMax4] = ACTIONS(1),
    [sym_numberedLevelMax5] = ACTIONS(1),
    [sym_versionNumber] = ACTIONS(1),
    [anon_sym_BSLASHusfm] = ACTIONS(1),
    [anon_sym_BSLASHide] = ACTIONS(1),
    [anon_sym_BSLASHref] = ACTIONS(1),
    [anon_sym_BSLASHref_STAR] = ACTIONS(1),
    [anon_sym_BSLASHh] = ACTIONS(1),
    [anon_sym_BSLASHtoc] = ACTIONS(1),
    [anon_sym_BSLASHtoca] = ACTIONS(1),
    [anon_sym_BSLASHsts] = ACTIONS(1),
    [anon_sym_BSLASHrem] = ACTIONS(1),
    [anon_sym_BSLASHrestore] = ACTIONS(1),
    [anon_sym_BSLASHlit] = ACTIONS(1),
    [anon_sym_BSLASHiqt] = ACTIONS(1),
    [anon_sym_BSLASHiqt_STAR] = ACTIONS(1),
    [anon_sym_BSLASHimt] = ACTIONS(1),
    [anon_sym_BSLASHimte] = ACTIONS(1),
    [aux_sym_imteTag_token1] = ACTIONS(1),
    [anon_sym_BSLASHis] = ACTIONS(1),
    [anon_sym_BSLASHio] = ACTIONS(1),
    [anon_sym_BSLASHior] = ACTIONS(1),
    [anon_sym_BSLASHior_STAR] = ACTIONS(1),
    [anon_sym_BSLASHiot] = ACTIONS(1),
    [anon_sym_BSLASHip] = ACTIONS(1),
    [anon_sym_BSLASHim] = ACTIONS(1),
    [anon_sym_BSLASHipi] = ACTIONS(1),
    [anon_sym_BSLASHimi] = ACTIONS(1),
    [anon_sym_BSLASHili] = ACTIONS(1),
    [anon_sym_BSLASHipq] = ACTIONS(1),
    [anon_sym_BSLASHimq] = ACTIONS(1),
    [anon_sym_BSLASHipr] = ACTIONS(1),
    [anon_sym_BSLASHib] = ACTIONS(1),
    [anon_sym_BSLASHiq] = ACTIONS(1),
    [anon_sym_BSLASHie] = ACTIONS(1),
    [anon_sym_BSLASHiex] = ACTIONS(1),
    [anon_sym_BSLASHv] = ACTIONS(1),
    [anon_sym_BSLASHva] = ACTIONS(1),
    [anon_sym_BSLASHva_STAR] = ACTIONS(1),
    [anon_sym_BSLASHvp] = ACTIONS(1),
    [anon_sym_BSLASHvp_STAR] = ACTIONS(1),
    [anon_sym_BSLASHc] = ACTIONS(1),
    [sym_chapterNumber] = ACTIONS(1),
    [anon_sym_BSLASHcl] = ACTIONS(1),
    [anon_sym_BSLASHca] = ACTIONS(1),
    [anon_sym_BSLASHca_STAR] = ACTIONS(1),
    [anon_sym_BSLASHcp] = ACTIONS(1),
    [anon_sym_BSLASHcd] = ACTIONS(1),
    [anon_sym_BSLASHmt] = ACTIONS(1),
    [anon_sym_BSLASHmte] = ACTIONS(1),
    [anon_sym_BSLASHms] = ACTIONS(1),
    [anon_sym_BSLASHmr] = ACTIONS(1),
    [anon_sym_BSLASHs] = ACTIONS(1),
    [anon_sym_BSLASHsr] = ACTIONS(1),
    [anon_sym_BSLASHr] = ACTIONS(1),
    [anon_sym_BSLASHsp] = ACTIONS(1),
    [anon_sym_BSLASHd] = ACTIONS(1),
    [anon_sym_BSLASHsd] = ACTIONS(1),
    [anon_sym_BSLASHp] = ACTIONS(1),
    [anon_sym_BSLASHm] = ACTIONS(1),
    [anon_sym_BSLASHpo] = ACTIONS(1),
    [anon_sym_BSLASHpr] = ACTIONS(1),
    [anon_sym_BSLASHcls] = ACTIONS(1),
    [anon_sym_BSLASHpmo] = ACTIONS(1),
    [anon_sym_BSLASHpm] = ACTIONS(1),
    [anon_sym_BSLASHpmc] = ACTIONS(1),
    [anon_sym_BSLASHpmr] = ACTIONS(1),
    [anon_sym_BSLASHpi] = ACTIONS(1),
    [anon_sym_BSLASHmi] = ACTIONS(1),
    [anon_sym_BSLASHnb] = ACTIONS(1),
    [anon_sym_BSLASHpc] = ACTIONS(1),
    [anon_sym_BSLASHph] = ACTIONS(1),
    [anon_sym_BSLASHphi] = ACTIONS(1),
    [anon_sym_BSLASHb] = ACTIONS(1),
    [anon_sym_BSLASHq] = ACTIONS(1),
    [anon_sym_BSLASHqr] = ACTIONS(1),
    [anon_sym_BSLASHqc] = ACTIONS(1),
    [anon_sym_BSLASHqs] = ACTIONS(1),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(1),
    [anon_sym_BSLASHqa] = ACTIONS(1),
    [anon_sym_BSLASHqac] = ACTIONS(1),
    [anon_sym_BSLASHqm] = ACTIONS(1),
    [anon_sym_BSLASHqd] = ACTIONS(1),
    [anon_sym_BSLASHlh] = ACTIONS(1),
    [anon_sym_BSLASHlf] = ACTIONS(1),
    [anon_sym_BSLASHli] = ACTIONS(1),
    [anon_sym_BSLASHlim] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_BSLASHliv] = ACTIONS(1),
    [anon_sym_BSLASHlik] = ACTIONS(1),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(1),
    [anon_sym_BSLASHlitl] = ACTIONS(1),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(1),
    [anon_sym_BSLASHtr] = ACTIONS(1),
    [sym_thTag] = ACTIONS(1),
    [sym_thrTag] = ACTIONS(1),
    [sym_tcTag] = ACTIONS(1),
    [sym_tcrTag] = ACTIONS(1),
    [anon_sym_BSLASHf] = ACTIONS(1),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfe] = ACTIONS(1),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1),
    [anon_sym_BSLASHef] = ACTIONS(1),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfr] = ACTIONS(1),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfq] = ACTIONS(1),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfqa] = ACTIONS(1),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfk] = ACTIONS(1),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfl] = ACTIONS(1),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfw] = ACTIONS(1),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfp] = ACTIONS(1),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(1),
    [anon_sym_BSLASHft] = ACTIONS(1),
    [anon_sym_BSLASHft_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfdc] = ACTIONS(1),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfv] = ACTIONS(1),
    [anon_sym_BSLASHfv_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfm] = ACTIONS(1),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(1),
    [anon_sym_BSLASHx] = ACTIONS(1),
    [anon_sym_BSLASHx_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxo] = ACTIONS(1),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxk] = ACTIONS(1),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxq] = ACTIONS(1),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxt] = ACTIONS(1),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxta] = ACTIONS(1),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxop] = ACTIONS(1),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxot] = ACTIONS(1),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxnt] = ACTIONS(1),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxdc] = ACTIONS(1),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(1),
    [anon_sym_BSLASHrq] = ACTIONS(1),
    [anon_sym_BSLASHrq_STAR] = ACTIONS(1),
    [anon_sym_BSLASHadd] = ACTIONS(1),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(1),
    [anon_sym_BSLASHbk] = ACTIONS(1),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(1),
    [anon_sym_BSLASHdc] = ACTIONS(1),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(1),
    [anon_sym_BSLASHk] = ACTIONS(1),
    [anon_sym_BSLASHk_STAR] = ACTIONS(1),
    [anon_sym_BSLASHnd] = ACTIONS(1),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(1),
    [anon_sym_BSLASHord] = ACTIONS(1),
    [anon_sym_BSLASHord_STAR] = ACTIONS(1),
    [anon_sym_BSLASHpn] = ACTIONS(1),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(1),
    [anon_sym_BSLASHpng] = ACTIONS(1),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(1),
    [anon_sym_BSLASHaddpn] = ACTIONS(1),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(1),
    [anon_sym_BSLASHqt] = ACTIONS(1),
    [anon_sym_BSLASHsig] = ACTIONS(1),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(1),
    [anon_sym_BSLASHsls] = ACTIONS(1),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(1),
    [anon_sym_BSLASHtl] = ACTIONS(1),
    [anon_sym_BSLASHwj] = ACTIONS(1),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(1),
    [anon_sym_BSLASHem] = ACTIONS(1),
    [anon_sym_BSLASHem_STAR] = ACTIONS(1),
    [anon_sym_BSLASHbd] = ACTIONS(1),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(1),
    [anon_sym_BSLASHit] = ACTIONS(1),
    [anon_sym_BSLASHit_STAR] = ACTIONS(1),
    [anon_sym_BSLASHbdit] = ACTIONS(1),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(1),
    [anon_sym_BSLASHno] = ACTIONS(1),
    [anon_sym_BSLASHno_STAR] = ACTIONS(1),
    [anon_sym_BSLASHsc] = ACTIONS(1),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(1),
    [anon_sym_BSLASHsup] = ACTIONS(1),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(1),
    [anon_sym_BSLASHndx] = ACTIONS(1),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(1),
    [anon_sym_BSLASHpro] = ACTIONS(1),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(1),
    [anon_sym_BSLASHrb] = ACTIONS(1),
    [anon_sym_BSLASHrb_STAR] = ACTIONS(1),
    [anon_sym_BSLASHw] = ACTIONS(1),
    [anon_sym_BSLASHw_STAR] = ACTIONS(1),
    [anon_sym_BSLASHwg] = ACTIONS(1),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(1),
    [anon_sym_BSLASHwh] = ACTIONS(1),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(1),
    [anon_sym_BSLASHwa] = ACTIONS(1),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfig] = ACTIONS(1),
    [anon_sym_BSLASHjmp] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1),
    [anon_sym_BSLASHpb] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_milestoneTag_token1] = ACTIONS(1),
    [anon_sym_BSLASH_STAR] = ACTIONS(1),
    [sym_milestoneStartTag] = ACTIONS(1),
    [sym_milestoneEndTag] = ACTIONS(1),
    [sym_zSpaceTag] = ACTIONS(1),
    [sym__zSpaceClose] = ACTIONS(1),
    [anon_sym_BSLASHesb] = ACTIONS(1),
    [anon_sym_BSLASHesbe] = ACTIONS(1),
    [anon_sym_BSLASHcat] = ACTIONS(1),
    [anon_sym_BSLASHcat_STAR] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_customAttributeName] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_key] = ACTIONS(1),
    [anon_sym_lemma] = ACTIONS(1),
    [anon_sym_strong] = ACTIONS(1),
    [anon_sym_srcloc] = ACTIONS(1),
    [anon_sym_gloss] = ACTIONS(1),
    [anon_sym_link_DASHhref] = ACTIONS(1),
    [anon_sym_link_DASHtitle] = ACTIONS(1),
    [anon_sym_link_DASHid] = ACTIONS(1),
    [anon_sym_href] = ACTIONS(1),
    [anon_sym_title] = ACTIONS(1),
    [anon_sym_id] = ACTIONS(1),
    [anon_sym_x_DASH] = ACTIONS(1),
    [aux_sym__linkAttributeUserDefinedName_token1] = ACTIONS(1),
    [anon_sym_alt] = ACTIONS(1),
    [anon_sym_src] = ACTIONS(1),
    [anon_sym_size] = ACTIONS(1),
    [anon_sym_loc] = ACTIONS(1),
    [anon_sym_copy] = ACTIONS(1),
    [anon_sym_ref] = ACTIONS(1),
    [anon_sym_sid] = ACTIONS(1),
    [anon_sym_eid] = ACTIONS(1),
    [anon_sym_who] = ACTIONS(1),
  },
  [1] = {
    [sym_File] = STATE(3115),
    [sym__mandatoryHead] = STATE(687),
    [sym_book] = STATE(1141),
    [sym_id] = STATE(1677),
    [anon_sym_BSLASHid] = ACTIONS(3),
  },
  [2] = {
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHiqt] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHmr] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHsr] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHlf] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHliv] = ACTIONS(7),
    [anon_sym_BSLASHlik] = ACTIONS(7),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(7),
    [anon_sym_BSLASHlitl] = ACTIONS(7),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHf_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHef_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfr] = ACTIONS(7),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfq] = ACTIONS(7),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfqa] = ACTIONS(7),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfk] = ACTIONS(7),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfl] = ACTIONS(7),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfw] = ACTIONS(7),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfp] = ACTIONS(7),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(7),
    [anon_sym_BSLASHft] = ACTIONS(7),
    [anon_sym_BSLASHft_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfdc] = ACTIONS(7),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfv] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHx_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxo] = ACTIONS(7),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxk] = ACTIONS(7),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxq] = ACTIONS(7),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxta] = ACTIONS(7),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxop] = ACTIONS(7),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxot] = ACTIONS(7),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxnt] = ACTIONS(7),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxdc] = ACTIONS(7),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHord_STAR] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHem_STAR] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHit_STAR] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHno_STAR] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHw_STAR] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(7),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesbe] = ACTIONS(7),
    [anon_sym_BSLASHcat] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
  },
  [3] = {
    [aux_sym_text_token1] = ACTIONS(9),
    [anon_sym_BSLASHref] = ACTIONS(11),
    [anon_sym_BSLASHsts] = ACTIONS(11),
    [anon_sym_BSLASHrem] = ACTIONS(11),
    [anon_sym_BSLASHrestore] = ACTIONS(11),
    [anon_sym_BSLASHlit] = ACTIONS(11),
    [anon_sym_BSLASHiqt] = ACTIONS(11),
    [anon_sym_BSLASHip] = ACTIONS(11),
    [anon_sym_BSLASHv] = ACTIONS(11),
    [anon_sym_BSLASHva] = ACTIONS(11),
    [anon_sym_BSLASHvp] = ACTIONS(11),
    [anon_sym_BSLASHmte] = ACTIONS(11),
    [anon_sym_BSLASHms] = ACTIONS(11),
    [anon_sym_BSLASHmr] = ACTIONS(11),
    [anon_sym_BSLASHs] = ACTIONS(11),
    [anon_sym_BSLASHsr] = ACTIONS(11),
    [anon_sym_BSLASHr] = ACTIONS(11),
    [anon_sym_BSLASHsp] = ACTIONS(11),
    [anon_sym_BSLASHd] = ACTIONS(11),
    [anon_sym_BSLASHsd] = ACTIONS(11),
    [anon_sym_BSLASHp] = ACTIONS(11),
    [anon_sym_BSLASHm] = ACTIONS(11),
    [anon_sym_BSLASHpo] = ACTIONS(11),
    [anon_sym_BSLASHpr] = ACTIONS(11),
    [anon_sym_BSLASHcls] = ACTIONS(11),
    [anon_sym_BSLASHpmo] = ACTIONS(11),
    [anon_sym_BSLASHpm] = ACTIONS(11),
    [anon_sym_BSLASHpmc] = ACTIONS(11),
    [anon_sym_BSLASHpmr] = ACTIONS(11),
    [anon_sym_BSLASHpi] = ACTIONS(11),
    [anon_sym_BSLASHmi] = ACTIONS(11),
    [anon_sym_BSLASHnb] = ACTIONS(11),
    [anon_sym_BSLASHpc] = ACTIONS(11),
    [anon_sym_BSLASHph] = ACTIONS(11),
    [anon_sym_BSLASHb] = ACTIONS(11),
    [anon_sym_BSLASHq] = ACTIONS(11),
    [anon_sym_BSLASHqr] = ACTIONS(11),
    [anon_sym_BSLASHqc] = ACTIONS(11),
    [anon_sym_BSLASHqa] = ACTIONS(11),
    [anon_sym_BSLASHqm] = ACTIONS(11),
    [anon_sym_BSLASHqd] = ACTIONS(11),
    [anon_sym_BSLASHlh] = ACTIONS(11),
    [anon_sym_BSLASHlf] = ACTIONS(11),
    [anon_sym_BSLASHli] = ACTIONS(11),
    [anon_sym_BSLASHlim] = ACTIONS(11),
    [anon_sym_BSLASHliv] = ACTIONS(11),
    [anon_sym_BSLASHlik] = ACTIONS(11),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(11),
    [anon_sym_BSLASHlitl] = ACTIONS(11),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(11),
    [anon_sym_BSLASHtr] = ACTIONS(11),
    [anon_sym_BSLASHf] = ACTIONS(11),
    [anon_sym_BSLASHf_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfe] = ACTIONS(11),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(11),
    [anon_sym_BSLASHef] = ACTIONS(11),
    [anon_sym_BSLASHef_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfr] = ACTIONS(11),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfq] = ACTIONS(11),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfqa] = ACTIONS(11),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfk] = ACTIONS(11),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfl] = ACTIONS(11),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfw] = ACTIONS(11),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfp] = ACTIONS(11),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(11),
    [anon_sym_BSLASHft] = ACTIONS(11),
    [anon_sym_BSLASHft_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfdc] = ACTIONS(11),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfv] = ACTIONS(11),
    [anon_sym_BSLASHfm] = ACTIONS(11),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(11),
    [anon_sym_BSLASHx] = ACTIONS(11),
    [anon_sym_BSLASHx_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxo] = ACTIONS(11),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxk] = ACTIONS(11),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxq] = ACTIONS(11),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxt] = ACTIONS(11),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxta] = ACTIONS(11),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxop] = ACTIONS(11),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxot] = ACTIONS(11),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxnt] = ACTIONS(11),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxdc] = ACTIONS(11),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(11),
    [anon_sym_BSLASHrq] = ACTIONS(11),
    [anon_sym_BSLASHadd] = ACTIONS(11),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(11),
    [anon_sym_BSLASHbk] = ACTIONS(11),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(11),
    [anon_sym_BSLASHdc] = ACTIONS(11),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(11),
    [anon_sym_BSLASHk] = ACTIONS(11),
    [anon_sym_BSLASHnd] = ACTIONS(11),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(11),
    [anon_sym_BSLASHord] = ACTIONS(11),
    [anon_sym_BSLASHord_STAR] = ACTIONS(11),
    [anon_sym_BSLASHpn] = ACTIONS(11),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(11),
    [anon_sym_BSLASHpng] = ACTIONS(11),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(11),
    [anon_sym_BSLASHaddpn] = ACTIONS(11),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(11),
    [anon_sym_BSLASHqt] = ACTIONS(11),
    [anon_sym_BSLASHsig] = ACTIONS(11),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(11),
    [anon_sym_BSLASHsls] = ACTIONS(11),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(11),
    [anon_sym_BSLASHtl] = ACTIONS(11),
    [anon_sym_BSLASHwj] = ACTIONS(11),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(11),
    [anon_sym_BSLASHem] = ACTIONS(11),
    [anon_sym_BSLASHem_STAR] = ACTIONS(11),
    [anon_sym_BSLASHbd] = ACTIONS(11),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(11),
    [anon_sym_BSLASHit] = ACTIONS(11),
    [anon_sym_BSLASHit_STAR] = ACTIONS(11),
    [anon_sym_BSLASHbdit] = ACTIONS(11),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(11),
    [anon_sym_BSLASHno] = ACTIONS(11),
    [anon_sym_BSLASHno_STAR] = ACTIONS(11),
    [anon_sym_BSLASHsc] = ACTIONS(11),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(11),
    [anon_sym_BSLASHsup] = ACTIONS(11),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(11),
    [anon_sym_BSLASHndx] = ACTIONS(11),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(11),
    [anon_sym_BSLASHpro] = ACTIONS(11),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(11),
    [anon_sym_BSLASHrb] = ACTIONS(11),
    [anon_sym_BSLASHw] = ACTIONS(11),
    [anon_sym_BSLASHw_STAR] = ACTIONS(11),
    [anon_sym_BSLASHwg] = ACTIONS(11),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(11),
    [anon_sym_BSLASHwh] = ACTIONS(11),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(11),
    [anon_sym_BSLASHwa] = ACTIONS(11),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(11),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfig] = ACTIONS(11),
    [anon_sym_BSLASHjmp] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(11),
    [anon_sym_BSLASHpb] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(11),
    [sym_milestoneStartTag] = ACTIONS(11),
    [sym_milestoneEndTag] = ACTIONS(11),
    [sym_zSpaceTag] = ACTIONS(11),
    [anon_sym_BSLASHesbe] = ACTIONS(11),
    [anon_sym_BSLASHcat] = ACTIONS(11),
    [anon_sym_PIPE] = ACTIONS(11),
  },
  [4] = {
    [aux_sym_text_token1] = ACTIONS(13),
    [anon_sym_BSLASHref] = ACTIONS(15),
    [anon_sym_BSLASHsts] = ACTIONS(15),
    [anon_sym_BSLASHrem] = ACTIONS(15),
    [anon_sym_BSLASHrestore] = ACTIONS(15),
    [anon_sym_BSLASHlit] = ACTIONS(15),
    [anon_sym_BSLASHiqt] = ACTIONS(15),
    [anon_sym_BSLASHip] = ACTIONS(15),
    [anon_sym_BSLASHv] = ACTIONS(15),
    [anon_sym_BSLASHva] = ACTIONS(15),
    [anon_sym_BSLASHvp] = ACTIONS(15),
    [anon_sym_BSLASHmte] = ACTIONS(15),
    [anon_sym_BSLASHms] = ACTIONS(15),
    [anon_sym_BSLASHmr] = ACTIONS(15),
    [anon_sym_BSLASHs] = ACTIONS(15),
    [anon_sym_BSLASHsr] = ACTIONS(15),
    [anon_sym_BSLASHr] = ACTIONS(15),
    [anon_sym_BSLASHsp] = ACTIONS(15),
    [anon_sym_BSLASHd] = ACTIONS(15),
    [anon_sym_BSLASHsd] = ACTIONS(15),
    [anon_sym_BSLASHp] = ACTIONS(15),
    [anon_sym_BSLASHm] = ACTIONS(15),
    [anon_sym_BSLASHpo] = ACTIONS(15),
    [anon_sym_BSLASHpr] = ACTIONS(15),
    [anon_sym_BSLASHcls] = ACTIONS(15),
    [anon_sym_BSLASHpmo] = ACTIONS(15),
    [anon_sym_BSLASHpm] = ACTIONS(15),
    [anon_sym_BSLASHpmc] = ACTIONS(15),
    [anon_sym_BSLASHpmr] = ACTIONS(15),
    [anon_sym_BSLASHpi] = ACTIONS(15),
    [anon_sym_BSLASHmi] = ACTIONS(15),
    [anon_sym_BSLASHnb] = ACTIONS(15),
    [anon_sym_BSLASHpc] = ACTIONS(15),
    [anon_sym_BSLASHph] = ACTIONS(15),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [anon_sym_BSLASHq] = ACTIONS(15),
    [anon_sym_BSLASHqr] = ACTIONS(15),
    [anon_sym_BSLASHqc] = ACTIONS(15),
    [anon_sym_BSLASHqa] = ACTIONS(15),
    [anon_sym_BSLASHqm] = ACTIONS(15),
    [anon_sym_BSLASHqd] = ACTIONS(15),
    [anon_sym_BSLASHlh] = ACTIONS(15),
    [anon_sym_BSLASHlf] = ACTIONS(15),
    [anon_sym_BSLASHli] = ACTIONS(15),
    [anon_sym_BSLASHlim] = ACTIONS(15),
    [anon_sym_BSLASHliv] = ACTIONS(15),
    [anon_sym_BSLASHlik] = ACTIONS(15),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(15),
    [anon_sym_BSLASHlitl] = ACTIONS(15),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(15),
    [anon_sym_BSLASHtr] = ACTIONS(15),
    [anon_sym_BSLASHf] = ACTIONS(15),
    [anon_sym_BSLASHf_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfe] = ACTIONS(15),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(15),
    [anon_sym_BSLASHef] = ACTIONS(15),
    [anon_sym_BSLASHef_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfr] = ACTIONS(15),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfq] = ACTIONS(15),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfqa] = ACTIONS(15),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfk] = ACTIONS(15),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfl] = ACTIONS(15),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfw] = ACTIONS(15),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfp] = ACTIONS(15),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(15),
    [anon_sym_BSLASHft] = ACTIONS(15),
    [anon_sym_BSLASHft_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfdc] = ACTIONS(15),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfv] = ACTIONS(15),
    [anon_sym_BSLASHfm] = ACTIONS(15),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(15),
    [anon_sym_BSLASHx] = ACTIONS(15),
    [anon_sym_BSLASHx_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxo] = ACTIONS(15),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxk] = ACTIONS(15),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxq] = ACTIONS(15),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxt] = ACTIONS(15),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxta] = ACTIONS(15),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxop] = ACTIONS(15),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxot] = ACTIONS(15),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxnt] = ACTIONS(15),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxdc] = ACTIONS(15),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(15),
    [anon_sym_BSLASHrq] = ACTIONS(15),
    [anon_sym_BSLASHadd] = ACTIONS(15),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(15),
    [anon_sym_BSLASHbk] = ACTIONS(15),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(15),
    [anon_sym_BSLASHdc] = ACTIONS(15),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(15),
    [anon_sym_BSLASHk] = ACTIONS(15),
    [anon_sym_BSLASHnd] = ACTIONS(15),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(15),
    [anon_sym_BSLASHord] = ACTIONS(15),
    [anon_sym_BSLASHord_STAR] = ACTIONS(15),
    [anon_sym_BSLASHpn] = ACTIONS(15),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(15),
    [anon_sym_BSLASHpng] = ACTIONS(15),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpn] = ACTIONS(15),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(15),
    [anon_sym_BSLASHqt] = ACTIONS(15),
    [anon_sym_BSLASHsig] = ACTIONS(15),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(15),
    [anon_sym_BSLASHsls] = ACTIONS(15),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(15),
    [anon_sym_BSLASHtl] = ACTIONS(15),
    [anon_sym_BSLASHwj] = ACTIONS(15),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(15),
    [anon_sym_BSLASHem] = ACTIONS(15),
    [anon_sym_BSLASHem_STAR] = ACTIONS(15),
    [anon_sym_BSLASHbd] = ACTIONS(15),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(15),
    [anon_sym_BSLASHit] = ACTIONS(15),
    [anon_sym_BSLASHit_STAR] = ACTIONS(15),
    [anon_sym_BSLASHbdit] = ACTIONS(15),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(15),
    [anon_sym_BSLASHno] = ACTIONS(15),
    [anon_sym_BSLASHno_STAR] = ACTIONS(15),
    [anon_sym_BSLASHsc] = ACTIONS(15),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(15),
    [anon_sym_BSLASHsup] = ACTIONS(15),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(15),
    [anon_sym_BSLASHndx] = ACTIONS(15),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(15),
    [anon_sym_BSLASHpro] = ACTIONS(15),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(15),
    [anon_sym_BSLASHrb] = ACTIONS(15),
    [anon_sym_BSLASHw] = ACTIONS(15),
    [anon_sym_BSLASHw_STAR] = ACTIONS(15),
    [anon_sym_BSLASHwg] = ACTIONS(15),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(15),
    [anon_sym_BSLASHwh] = ACTIONS(15),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(15),
    [anon_sym_BSLASHwa] = ACTIONS(15),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(15),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfig] = ACTIONS(15),
    [anon_sym_BSLASHjmp] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(15),
    [anon_sym_BSLASHpb] = ACTIONS(15),
    [anon_sym_BSLASH] = ACTIONS(15),
    [sym_milestoneStartTag] = ACTIONS(15),
    [sym_milestoneEndTag] = ACTIONS(15),
    [sym_zSpaceTag] = ACTIONS(15),
    [anon_sym_BSLASHesbe] = ACTIONS(15),
    [anon_sym_BSLASHcat] = ACTIONS(15),
    [anon_sym_PIPE] = ACTIONS(15),
  },
  [5] = {
    [aux_sym_text_token1] = ACTIONS(17),
    [anon_sym_BSLASHref] = ACTIONS(19),
    [anon_sym_BSLASHsts] = ACTIONS(19),
    [anon_sym_BSLASHrem] = ACTIONS(19),
    [anon_sym_BSLASHrestore] = ACTIONS(19),
    [anon_sym_BSLASHlit] = ACTIONS(19),
    [anon_sym_BSLASHiqt] = ACTIONS(19),
    [anon_sym_BSLASHip] = ACTIONS(19),
    [anon_sym_BSLASHv] = ACTIONS(19),
    [anon_sym_BSLASHva] = ACTIONS(19),
    [anon_sym_BSLASHvp] = ACTIONS(19),
    [anon_sym_BSLASHmte] = ACTIONS(19),
    [anon_sym_BSLASHms] = ACTIONS(19),
    [anon_sym_BSLASHmr] = ACTIONS(19),
    [anon_sym_BSLASHs] = ACTIONS(19),
    [anon_sym_BSLASHsr] = ACTIONS(19),
    [anon_sym_BSLASHr] = ACTIONS(19),
    [anon_sym_BSLASHsp] = ACTIONS(19),
    [anon_sym_BSLASHd] = ACTIONS(19),
    [anon_sym_BSLASHsd] = ACTIONS(19),
    [anon_sym_BSLASHp] = ACTIONS(19),
    [anon_sym_BSLASHm] = ACTIONS(19),
    [anon_sym_BSLASHpo] = ACTIONS(19),
    [anon_sym_BSLASHpr] = ACTIONS(19),
    [anon_sym_BSLASHcls] = ACTIONS(19),
    [anon_sym_BSLASHpmo] = ACTIONS(19),
    [anon_sym_BSLASHpm] = ACTIONS(19),
    [anon_sym_BSLASHpmc] = ACTIONS(19),
    [anon_sym_BSLASHpmr] = ACTIONS(19),
    [anon_sym_BSLASHpi] = ACTIONS(19),
    [anon_sym_BSLASHmi] = ACTIONS(19),
    [anon_sym_BSLASHnb] = ACTIONS(19),
    [anon_sym_BSLASHpc] = ACTIONS(19),
    [anon_sym_BSLASHph] = ACTIONS(19),
    [anon_sym_BSLASHb] = ACTIONS(19),
    [anon_sym_BSLASHq] = ACTIONS(19),
    [anon_sym_BSLASHqr] = ACTIONS(19),
    [anon_sym_BSLASHqc] = ACTIONS(19),
    [anon_sym_BSLASHqa] = ACTIONS(19),
    [anon_sym_BSLASHqm] = ACTIONS(19),
    [anon_sym_BSLASHqd] = ACTIONS(19),
    [anon_sym_BSLASHlh] = ACTIONS(19),
    [anon_sym_BSLASHlf] = ACTIONS(19),
    [anon_sym_BSLASHli] = ACTIONS(19),
    [anon_sym_BSLASHlim] = ACTIONS(19),
    [anon_sym_BSLASHliv] = ACTIONS(19),
    [anon_sym_BSLASHlik] = ACTIONS(19),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(19),
    [anon_sym_BSLASHlitl] = ACTIONS(19),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(19),
    [anon_sym_BSLASHtr] = ACTIONS(19),
    [anon_sym_BSLASHf] = ACTIONS(19),
    [anon_sym_BSLASHf_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfe] = ACTIONS(19),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(19),
    [anon_sym_BSLASHef] = ACTIONS(19),
    [anon_sym_BSLASHef_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfr] = ACTIONS(19),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfq] = ACTIONS(19),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfqa] = ACTIONS(19),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfk] = ACTIONS(19),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfl] = ACTIONS(19),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfw] = ACTIONS(19),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfp] = ACTIONS(19),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(19),
    [anon_sym_BSLASHft] = ACTIONS(19),
    [anon_sym_BSLASHft_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfdc] = ACTIONS(19),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfv] = ACTIONS(19),
    [anon_sym_BSLASHfm] = ACTIONS(19),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(19),
    [anon_sym_BSLASHx] = ACTIONS(19),
    [anon_sym_BSLASHx_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxo] = ACTIONS(19),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxk] = ACTIONS(19),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxq] = ACTIONS(19),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxt] = ACTIONS(19),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxta] = ACTIONS(19),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxop] = ACTIONS(19),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxot] = ACTIONS(19),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxnt] = ACTIONS(19),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxdc] = ACTIONS(19),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(19),
    [anon_sym_BSLASHrq] = ACTIONS(19),
    [anon_sym_BSLASHadd] = ACTIONS(19),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(19),
    [anon_sym_BSLASHbk] = ACTIONS(19),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(19),
    [anon_sym_BSLASHdc] = ACTIONS(19),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(19),
    [anon_sym_BSLASHk] = ACTIONS(19),
    [anon_sym_BSLASHnd] = ACTIONS(19),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(19),
    [anon_sym_BSLASHord] = ACTIONS(19),
    [anon_sym_BSLASHord_STAR] = ACTIONS(19),
    [anon_sym_BSLASHpn] = ACTIONS(19),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(19),
    [anon_sym_BSLASHpng] = ACTIONS(19),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddpn] = ACTIONS(19),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(19),
    [anon_sym_BSLASHqt] = ACTIONS(19),
    [anon_sym_BSLASHsig] = ACTIONS(19),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsls] = ACTIONS(19),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(19),
    [anon_sym_BSLASHtl] = ACTIONS(19),
    [anon_sym_BSLASHwj] = ACTIONS(19),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(19),
    [anon_sym_BSLASHem] = ACTIONS(19),
    [anon_sym_BSLASHem_STAR] = ACTIONS(19),
    [anon_sym_BSLASHbd] = ACTIONS(19),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(19),
    [anon_sym_BSLASHit] = ACTIONS(19),
    [anon_sym_BSLASHit_STAR] = ACTIONS(19),
    [anon_sym_BSLASHbdit] = ACTIONS(19),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(19),
    [anon_sym_BSLASHno] = ACTIONS(19),
    [anon_sym_BSLASHno_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsc] = ACTIONS(19),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsup] = ACTIONS(19),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(19),
    [anon_sym_BSLASHndx] = ACTIONS(19),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(19),
    [anon_sym_BSLASHpro] = ACTIONS(19),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(19),
    [anon_sym_BSLASHrb] = ACTIONS(19),
    [anon_sym_BSLASHw] = ACTIONS(19),
    [anon_sym_BSLASHw_STAR] = ACTIONS(19),
    [anon_sym_BSLASHwg] = ACTIONS(19),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(19),
    [anon_sym_BSLASHwh] = ACTIONS(19),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(19),
    [anon_sym_BSLASHwa] = ACTIONS(19),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(19),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfig] = ACTIONS(19),
    [anon_sym_BSLASHjmp] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(19),
    [anon_sym_BSLASHpb] = ACTIONS(19),
    [anon_sym_BSLASH] = ACTIONS(19),
    [sym_milestoneStartTag] = ACTIONS(19),
    [sym_milestoneEndTag] = ACTIONS(19),
    [sym_zSpaceTag] = ACTIONS(19),
    [anon_sym_BSLASHesbe] = ACTIONS(19),
    [anon_sym_BSLASHcat] = ACTIONS(19),
    [anon_sym_PIPE] = ACTIONS(19),
  },
  [6] = {
    [aux_sym_text_token1] = ACTIONS(21),
    [anon_sym_BSLASHref] = ACTIONS(23),
    [anon_sym_BSLASHsts] = ACTIONS(23),
    [anon_sym_BSLASHrem] = ACTIONS(23),
    [anon_sym_BSLASHrestore] = ACTIONS(23),
    [anon_sym_BSLASHlit] = ACTIONS(23),
    [anon_sym_BSLASHiqt] = ACTIONS(23),
    [anon_sym_BSLASHip] = ACTIONS(23),
    [anon_sym_BSLASHv] = ACTIONS(23),
    [anon_sym_BSLASHva] = ACTIONS(23),
    [anon_sym_BSLASHvp] = ACTIONS(23),
    [anon_sym_BSLASHmte] = ACTIONS(23),
    [anon_sym_BSLASHms] = ACTIONS(23),
    [anon_sym_BSLASHmr] = ACTIONS(23),
    [anon_sym_BSLASHs] = ACTIONS(23),
    [anon_sym_BSLASHsr] = ACTIONS(23),
    [anon_sym_BSLASHr] = ACTIONS(23),
    [anon_sym_BSLASHsp] = ACTIONS(23),
    [anon_sym_BSLASHd] = ACTIONS(23),
    [anon_sym_BSLASHsd] = ACTIONS(23),
    [anon_sym_BSLASHp] = ACTIONS(23),
    [anon_sym_BSLASHm] = ACTIONS(23),
    [anon_sym_BSLASHpo] = ACTIONS(23),
    [anon_sym_BSLASHpr] = ACTIONS(23),
    [anon_sym_BSLASHcls] = ACTIONS(23),
    [anon_sym_BSLASHpmo] = ACTIONS(23),
    [anon_sym_BSLASHpm] = ACTIONS(23),
    [anon_sym_BSLASHpmc] = ACTIONS(23),
    [anon_sym_BSLASHpmr] = ACTIONS(23),
    [anon_sym_BSLASHpi] = ACTIONS(23),
    [anon_sym_BSLASHmi] = ACTIONS(23),
    [anon_sym_BSLASHnb] = ACTIONS(23),
    [anon_sym_BSLASHpc] = ACTIONS(23),
    [anon_sym_BSLASHph] = ACTIONS(23),
    [anon_sym_BSLASHb] = ACTIONS(23),
    [anon_sym_BSLASHq] = ACTIONS(23),
    [anon_sym_BSLASHqr] = ACTIONS(23),
    [anon_sym_BSLASHqc] = ACTIONS(23),
    [anon_sym_BSLASHqa] = ACTIONS(23),
    [anon_sym_BSLASHqm] = ACTIONS(23),
    [anon_sym_BSLASHqd] = ACTIONS(23),
    [anon_sym_BSLASHlh] = ACTIONS(23),
    [anon_sym_BSLASHlf] = ACTIONS(23),
    [anon_sym_BSLASHli] = ACTIONS(23),
    [anon_sym_BSLASHlim] = ACTIONS(23),
    [anon_sym_BSLASHliv] = ACTIONS(23),
    [anon_sym_BSLASHlik] = ACTIONS(23),
    [anon_sym_BSLASHlitl] = ACTIONS(23),
    [anon_sym_BSLASHtr] = ACTIONS(23),
    [anon_sym_BSLASHf] = ACTIONS(23),
    [anon_sym_BSLASHf_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfe] = ACTIONS(23),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(23),
    [anon_sym_BSLASHef] = ACTIONS(23),
    [anon_sym_BSLASHef_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfr] = ACTIONS(23),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfq] = ACTIONS(23),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfqa] = ACTIONS(23),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfk] = ACTIONS(23),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfl] = ACTIONS(23),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfw] = ACTIONS(23),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfp] = ACTIONS(23),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(23),
    [anon_sym_BSLASHft] = ACTIONS(23),
    [anon_sym_BSLASHft_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfdc] = ACTIONS(23),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfv] = ACTIONS(23),
    [anon_sym_BSLASHfm] = ACTIONS(23),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(23),
    [anon_sym_BSLASHxt] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(23),
    [anon_sym_BSLASHrq] = ACTIONS(23),
    [anon_sym_BSLASHadd] = ACTIONS(23),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(23),
    [anon_sym_BSLASHbk] = ACTIONS(23),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(23),
    [anon_sym_BSLASHdc] = ACTIONS(23),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(23),
    [anon_sym_BSLASHk] = ACTIONS(23),
    [anon_sym_BSLASHnd] = ACTIONS(23),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(23),
    [anon_sym_BSLASHord] = ACTIONS(23),
    [anon_sym_BSLASHord_STAR] = ACTIONS(23),
    [anon_sym_BSLASHpn] = ACTIONS(23),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(23),
    [anon_sym_BSLASHpng] = ACTIONS(23),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddpn] = ACTIONS(23),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(23),
    [anon_sym_BSLASHqt] = ACTIONS(23),
    [anon_sym_BSLASHsig] = ACTIONS(23),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsls] = ACTIONS(23),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(23),
    [anon_sym_BSLASHtl] = ACTIONS(23),
    [anon_sym_BSLASHwj] = ACTIONS(23),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(23),
    [anon_sym_BSLASHem] = ACTIONS(23),
    [anon_sym_BSLASHem_STAR] = ACTIONS(23),
    [anon_sym_BSLASHbd] = ACTIONS(23),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(23),
    [anon_sym_BSLASHit] = ACTIONS(23),
    [anon_sym_BSLASHit_STAR] = ACTIONS(23),
    [anon_sym_BSLASHbdit] = ACTIONS(23),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(23),
    [anon_sym_BSLASHno] = ACTIONS(23),
    [anon_sym_BSLASHno_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsc] = ACTIONS(23),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsup] = ACTIONS(23),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(23),
    [anon_sym_BSLASHndx] = ACTIONS(23),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(23),
    [anon_sym_BSLASHpro] = ACTIONS(23),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(23),
    [anon_sym_BSLASHrb] = ACTIONS(23),
    [anon_sym_BSLASHw] = ACTIONS(23),
    [anon_sym_BSLASHw_STAR] = ACTIONS(23),
    [anon_sym_BSLASHwg] = ACTIONS(23),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(23),
    [anon_sym_BSLASHwh] = ACTIONS(23),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(23),
    [anon_sym_BSLASHwa] = ACTIONS(23),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(23),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfig] = ACTIONS(23),
    [anon_sym_BSLASHjmp] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(23),
    [anon_sym_BSLASHpb] = ACTIONS(23),
    [anon_sym_BSLASH] = ACTIONS(23),
    [sym_milestoneStartTag] = ACTIONS(23),
    [sym_milestoneEndTag] = ACTIONS(23),
    [sym_zSpaceTag] = ACTIONS(23),
    [anon_sym_BSLASHesbe] = ACTIONS(23),
    [anon_sym_BSLASHcat] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(23),
  },
  [7] = {
    [aux_sym_text_token1] = ACTIONS(25),
    [anon_sym_BSLASHref] = ACTIONS(27),
    [anon_sym_BSLASHsts] = ACTIONS(27),
    [anon_sym_BSLASHrem] = ACTIONS(27),
    [anon_sym_BSLASHrestore] = ACTIONS(27),
    [anon_sym_BSLASHlit] = ACTIONS(27),
    [anon_sym_BSLASHiqt] = ACTIONS(27),
    [anon_sym_BSLASHip] = ACTIONS(27),
    [anon_sym_BSLASHv] = ACTIONS(27),
    [anon_sym_BSLASHva] = ACTIONS(27),
    [anon_sym_BSLASHvp] = ACTIONS(27),
    [anon_sym_BSLASHmte] = ACTIONS(27),
    [anon_sym_BSLASHms] = ACTIONS(27),
    [anon_sym_BSLASHmr] = ACTIONS(27),
    [anon_sym_BSLASHs] = ACTIONS(27),
    [anon_sym_BSLASHsr] = ACTIONS(27),
    [anon_sym_BSLASHr] = ACTIONS(27),
    [anon_sym_BSLASHsp] = ACTIONS(27),
    [anon_sym_BSLASHd] = ACTIONS(27),
    [anon_sym_BSLASHsd] = ACTIONS(27),
    [anon_sym_BSLASHp] = ACTIONS(27),
    [anon_sym_BSLASHm] = ACTIONS(27),
    [anon_sym_BSLASHpo] = ACTIONS(27),
    [anon_sym_BSLASHpr] = ACTIONS(27),
    [anon_sym_BSLASHcls] = ACTIONS(27),
    [anon_sym_BSLASHpmo] = ACTIONS(27),
    [anon_sym_BSLASHpm] = ACTIONS(27),
    [anon_sym_BSLASHpmc] = ACTIONS(27),
    [anon_sym_BSLASHpmr] = ACTIONS(27),
    [anon_sym_BSLASHpi] = ACTIONS(27),
    [anon_sym_BSLASHmi] = ACTIONS(27),
    [anon_sym_BSLASHnb] = ACTIONS(27),
    [anon_sym_BSLASHpc] = ACTIONS(27),
    [anon_sym_BSLASHph] = ACTIONS(27),
    [anon_sym_BSLASHb] = ACTIONS(27),
    [anon_sym_BSLASHq] = ACTIONS(27),
    [anon_sym_BSLASHqr] = ACTIONS(27),
    [anon_sym_BSLASHqc] = ACTIONS(27),
    [anon_sym_BSLASHqa] = ACTIONS(27),
    [anon_sym_BSLASHqm] = ACTIONS(27),
    [anon_sym_BSLASHqd] = ACTIONS(27),
    [anon_sym_BSLASHlh] = ACTIONS(27),
    [anon_sym_BSLASHlf] = ACTIONS(27),
    [anon_sym_BSLASHli] = ACTIONS(27),
    [anon_sym_BSLASHlim] = ACTIONS(27),
    [anon_sym_BSLASHliv] = ACTIONS(27),
    [anon_sym_BSLASHlik] = ACTIONS(27),
    [anon_sym_BSLASHlitl] = ACTIONS(27),
    [anon_sym_BSLASHtr] = ACTIONS(27),
    [anon_sym_BSLASHf] = ACTIONS(27),
    [anon_sym_BSLASHf_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfe] = ACTIONS(27),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(27),
    [anon_sym_BSLASHef] = ACTIONS(27),
    [anon_sym_BSLASHef_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfr] = ACTIONS(27),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfq] = ACTIONS(27),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfqa] = ACTIONS(27),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfk] = ACTIONS(27),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfl] = ACTIONS(27),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfw] = ACTIONS(27),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfp] = ACTIONS(27),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(27),
    [anon_sym_BSLASHft] = ACTIONS(27),
    [anon_sym_BSLASHft_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfdc] = ACTIONS(27),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfv] = ACTIONS(27),
    [anon_sym_BSLASHfm] = ACTIONS(27),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(27),
    [anon_sym_BSLASHx] = ACTIONS(27),
    [anon_sym_BSLASHxt] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(27),
    [anon_sym_BSLASHrq] = ACTIONS(27),
    [anon_sym_BSLASHadd] = ACTIONS(27),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(27),
    [anon_sym_BSLASHbk] = ACTIONS(27),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(27),
    [anon_sym_BSLASHdc] = ACTIONS(27),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(27),
    [anon_sym_BSLASHk] = ACTIONS(27),
    [anon_sym_BSLASHnd] = ACTIONS(27),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(27),
    [anon_sym_BSLASHord] = ACTIONS(27),
    [anon_sym_BSLASHord_STAR] = ACTIONS(27),
    [anon_sym_BSLASHpn] = ACTIONS(27),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(27),
    [anon_sym_BSLASHpng] = ACTIONS(27),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(27),
    [anon_sym_BSLASHaddpn] = ACTIONS(27),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(27),
    [anon_sym_BSLASHqt] = ACTIONS(27),
    [anon_sym_BSLASHsig] = ACTIONS(27),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsls] = ACTIONS(27),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(27),
    [anon_sym_BSLASHtl] = ACTIONS(27),
    [anon_sym_BSLASHwj] = ACTIONS(27),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(27),
    [anon_sym_BSLASHem] = ACTIONS(27),
    [anon_sym_BSLASHem_STAR] = ACTIONS(27),
    [anon_sym_BSLASHbd] = ACTIONS(27),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(27),
    [anon_sym_BSLASHit] = ACTIONS(27),
    [anon_sym_BSLASHit_STAR] = ACTIONS(27),
    [anon_sym_BSLASHbdit] = ACTIONS(27),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(27),
    [anon_sym_BSLASHno] = ACTIONS(27),
    [anon_sym_BSLASHno_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsc] = ACTIONS(27),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsup] = ACTIONS(27),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(27),
    [anon_sym_BSLASHndx] = ACTIONS(27),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(27),
    [anon_sym_BSLASHpro] = ACTIONS(27),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(27),
    [anon_sym_BSLASHrb] = ACTIONS(27),
    [anon_sym_BSLASHw] = ACTIONS(27),
    [anon_sym_BSLASHw_STAR] = ACTIONS(27),
    [anon_sym_BSLASHwg] = ACTIONS(27),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(27),
    [anon_sym_BSLASHwh] = ACTIONS(27),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(27),
    [anon_sym_BSLASHwa] = ACTIONS(27),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(27),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfig] = ACTIONS(27),
    [anon_sym_BSLASHjmp] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(27),
    [anon_sym_BSLASHpb] = ACTIONS(27),
    [anon_sym_BSLASH] = ACTIONS(27),
    [sym_milestoneStartTag] = ACTIONS(27),
    [sym_milestoneEndTag] = ACTIONS(27),
    [sym_zSpaceTag] = ACTIONS(27),
    [anon_sym_BSLASHesbe] = ACTIONS(27),
    [anon_sym_BSLASHcat] = ACTIONS(27),
    [anon_sym_PIPE] = ACTIONS(27),
  },
  [8] = {
    [aux_sym_text_token1] = ACTIONS(29),
    [anon_sym_BSLASHref] = ACTIONS(31),
    [anon_sym_BSLASHf] = ACTIONS(31),
    [anon_sym_BSLASHf_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfe] = ACTIONS(31),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(31),
    [anon_sym_BSLASHef] = ACTIONS(31),
    [anon_sym_BSLASHef_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfr] = ACTIONS(31),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfq] = ACTIONS(31),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfqa] = ACTIONS(31),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfk] = ACTIONS(31),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfl] = ACTIONS(31),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfw] = ACTIONS(31),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfp] = ACTIONS(31),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(31),
    [anon_sym_BSLASHft] = ACTIONS(31),
    [anon_sym_BSLASHft_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfdc] = ACTIONS(31),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfv] = ACTIONS(31),
    [anon_sym_BSLASHfm] = ACTIONS(31),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(31),
    [anon_sym_BSLASHx] = ACTIONS(31),
    [anon_sym_BSLASHx_STAR] = ACTIONS(31),
    [anon_sym_BSLASHxo] = ACTIONS(31),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(31),
    [anon_sym_BSLASHxk] = ACTIONS(31),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(31),
    [anon_sym_BSLASHxq] = ACTIONS(31),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(31),
    [anon_sym_BSLASHxt] = ACTIONS(31),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(31),
    [anon_sym_BSLASHxta] = ACTIONS(31),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(31),
    [anon_sym_BSLASHxop] = ACTIONS(31),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(31),
    [anon_sym_BSLASHxot] = ACTIONS(31),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(31),
    [anon_sym_BSLASHxnt] = ACTIONS(31),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(31),
    [anon_sym_BSLASHxdc] = ACTIONS(31),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(31),
    [anon_sym_BSLASHrq] = ACTIONS(31),
    [anon_sym_BSLASHadd] = ACTIONS(31),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(31),
    [anon_sym_BSLASHbk] = ACTIONS(31),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(31),
    [anon_sym_BSLASHdc] = ACTIONS(31),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(31),
    [anon_sym_BSLASHk] = ACTIONS(31),
    [anon_sym_BSLASHnd] = ACTIONS(31),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(31),
    [anon_sym_BSLASHord] = ACTIONS(31),
    [anon_sym_BSLASHord_STAR] = ACTIONS(31),
    [anon_sym_BSLASHpn] = ACTIONS(31),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(31),
    [anon_sym_BSLASHpng] = ACTIONS(31),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(31),
    [anon_sym_BSLASHaddpn] = ACTIONS(31),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(31),
    [anon_sym_BSLASHqt] = ACTIONS(31),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(31),
    [anon_sym_BSLASHsig] = ACTIONS(31),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(31),
    [anon_sym_BSLASHsls] = ACTIONS(31),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(31),
    [anon_sym_BSLASHtl] = ACTIONS(31),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(31),
    [anon_sym_BSLASHwj] = ACTIONS(31),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(31),
    [anon_sym_BSLASHem] = ACTIONS(31),
    [anon_sym_BSLASHem_STAR] = ACTIONS(31),
    [anon_sym_BSLASHbd] = ACTIONS(31),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(31),
    [anon_sym_BSLASHit] = ACTIONS(31),
    [anon_sym_BSLASHit_STAR] = ACTIONS(31),
    [anon_sym_BSLASHbdit] = ACTIONS(31),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(31),
    [anon_sym_BSLASHno] = ACTIONS(31),
    [anon_sym_BSLASHno_STAR] = ACTIONS(31),
    [anon_sym_BSLASHsc] = ACTIONS(31),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(31),
    [anon_sym_BSLASHsup] = ACTIONS(31),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(31),
    [anon_sym_BSLASHndx] = ACTIONS(31),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(31),
    [anon_sym_BSLASHpro] = ACTIONS(31),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(31),
    [anon_sym_BSLASHrb] = ACTIONS(31),
    [anon_sym_BSLASHw] = ACTIONS(31),
    [anon_sym_BSLASHw_STAR] = ACTIONS(31),
    [anon_sym_BSLASHwg] = ACTIONS(31),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(31),
    [anon_sym_BSLASHwh] = ACTIONS(31),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(31),
    [anon_sym_BSLASHwa] = ACTIONS(31),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(31),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfig] = ACTIONS(31),
    [anon_sym_BSLASHjmp] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(31),
    [anon_sym_BSLASHcat] = ACTIONS(31),
    [anon_sym_PIPE] = ACTIONS(31),
  },
  [9] = {
    [aux_sym_text_token1] = ACTIONS(33),
    [anon_sym_BSLASHref] = ACTIONS(35),
    [anon_sym_BSLASHf] = ACTIONS(35),
    [anon_sym_BSLASHf_STAR] = ACTIONS(35),
    [anon_sym_BSLASHfe] = ACTIONS(35),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(35),
    [anon_sym_BSLASHef] = ACTIONS(35),
    [anon_sym_BSLASHef_STAR] = ACTIONS(35),
    [anon_sym_BSLASHfr] = ACTIONS(35),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(35),
    [anon_sym_BSLASHfq] = ACTIONS(35),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(35),
    [anon_sym_BSLASHfqa] = ACTIONS(35),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(35),
    [anon_sym_BSLASHfk] = ACTIONS(35),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(35),
    [anon_sym_BSLASHfl] = ACTIONS(35),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(35),
    [anon_sym_BSLASHfw] = ACTIONS(35),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(35),
    [anon_sym_BSLASHfp] = ACTIONS(35),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(35),
    [anon_sym_BSLASHft] = ACTIONS(35),
    [anon_sym_BSLASHft_STAR] = ACTIONS(35),
    [anon_sym_BSLASHfdc] = ACTIONS(35),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(35),
    [anon_sym_BSLASHfv] = ACTIONS(35),
    [anon_sym_BSLASHfm] = ACTIONS(35),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(35),
    [anon_sym_BSLASHx] = ACTIONS(35),
    [anon_sym_BSLASHx_STAR] = ACTIONS(35),
    [anon_sym_BSLASHxo] = ACTIONS(35),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(35),
    [anon_sym_BSLASHxk] = ACTIONS(35),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(35),
    [anon_sym_BSLASHxq] = ACTIONS(35),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(35),
    [anon_sym_BSLASHxt] = ACTIONS(35),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(35),
    [anon_sym_BSLASHxta] = ACTIONS(35),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(35),
    [anon_sym_BSLASHxop] = ACTIONS(35),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(35),
    [anon_sym_BSLASHxot] = ACTIONS(35),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(35),
    [anon_sym_BSLASHxnt] = ACTIONS(35),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(35),
    [anon_sym_BSLASHxdc] = ACTIONS(35),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(35),
    [anon_sym_BSLASHrq] = ACTIONS(35),
    [anon_sym_BSLASHadd] = ACTIONS(35),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(35),
    [anon_sym_BSLASHbk] = ACTIONS(35),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(35),
    [anon_sym_BSLASHdc] = ACTIONS(35),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(35),
    [anon_sym_BSLASHk] = ACTIONS(35),
    [anon_sym_BSLASHnd] = ACTIONS(35),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(35),
    [anon_sym_BSLASHord] = ACTIONS(35),
    [anon_sym_BSLASHord_STAR] = ACTIONS(35),
    [anon_sym_BSLASHpn] = ACTIONS(35),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(35),
    [anon_sym_BSLASHpng] = ACTIONS(35),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(35),
    [anon_sym_BSLASHaddpn] = ACTIONS(35),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(35),
    [anon_sym_BSLASHqt] = ACTIONS(35),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsig] = ACTIONS(35),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsls] = ACTIONS(35),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(35),
    [anon_sym_BSLASHtl] = ACTIONS(35),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(35),
    [anon_sym_BSLASHwj] = ACTIONS(35),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(35),
    [anon_sym_BSLASHem] = ACTIONS(35),
    [anon_sym_BSLASHem_STAR] = ACTIONS(35),
    [anon_sym_BSLASHbd] = ACTIONS(35),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(35),
    [anon_sym_BSLASHit] = ACTIONS(35),
    [anon_sym_BSLASHit_STAR] = ACTIONS(35),
    [anon_sym_BSLASHbdit] = ACTIONS(35),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(35),
    [anon_sym_BSLASHno] = ACTIONS(35),
    [anon_sym_BSLASHno_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsc] = ACTIONS(35),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsup] = ACTIONS(35),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(35),
    [anon_sym_BSLASHndx] = ACTIONS(35),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(35),
    [anon_sym_BSLASHpro] = ACTIONS(35),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(35),
    [anon_sym_BSLASHrb] = ACTIONS(35),
    [anon_sym_BSLASHw] = ACTIONS(35),
    [anon_sym_BSLASHw_STAR] = ACTIONS(35),
    [anon_sym_BSLASHwg] = ACTIONS(35),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(35),
    [anon_sym_BSLASHwh] = ACTIONS(35),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(35),
    [anon_sym_BSLASHwa] = ACTIONS(35),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(35),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(35),
    [anon_sym_BSLASHfig] = ACTIONS(35),
    [anon_sym_BSLASHjmp] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(35),
    [anon_sym_BSLASHcat] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
  },
  [10] = {
    [aux_sym_text_token1] = ACTIONS(37),
    [anon_sym_BSLASHref] = ACTIONS(39),
    [anon_sym_BSLASHf] = ACTIONS(39),
    [anon_sym_BSLASHf_STAR] = ACTIONS(39),
    [anon_sym_BSLASHfe] = ACTIONS(39),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(39),
    [anon_sym_BSLASHef] = ACTIONS(39),
    [anon_sym_BSLASHef_STAR] = ACTIONS(39),
    [anon_sym_BSLASHfr] = ACTIONS(39),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(39),
    [anon_sym_BSLASHfq] = ACTIONS(39),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(39),
    [anon_sym_BSLASHfqa] = ACTIONS(39),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(39),
    [anon_sym_BSLASHfk] = ACTIONS(39),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(39),
    [anon_sym_BSLASHfl] = ACTIONS(39),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(39),
    [anon_sym_BSLASHfw] = ACTIONS(39),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(39),
    [anon_sym_BSLASHfp] = ACTIONS(39),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(39),
    [anon_sym_BSLASHft] = ACTIONS(39),
    [anon_sym_BSLASHft_STAR] = ACTIONS(39),
    [anon_sym_BSLASHfdc] = ACTIONS(39),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(39),
    [anon_sym_BSLASHfv] = ACTIONS(39),
    [anon_sym_BSLASHfm] = ACTIONS(39),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(39),
    [anon_sym_BSLASHx] = ACTIONS(39),
    [anon_sym_BSLASHx_STAR] = ACTIONS(39),
    [anon_sym_BSLASHxo] = ACTIONS(39),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(39),
    [anon_sym_BSLASHxk] = ACTIONS(39),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(39),
    [anon_sym_BSLASHxq] = ACTIONS(39),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(39),
    [anon_sym_BSLASHxt] = ACTIONS(39),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(39),
    [anon_sym_BSLASHxta] = ACTIONS(39),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(39),
    [anon_sym_BSLASHxop] = ACTIONS(39),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(39),
    [anon_sym_BSLASHxot] = ACTIONS(39),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(39),
    [anon_sym_BSLASHxnt] = ACTIONS(39),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(39),
    [anon_sym_BSLASHxdc] = ACTIONS(39),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(39),
    [anon_sym_BSLASHrq] = ACTIONS(39),
    [anon_sym_BSLASHadd] = ACTIONS(39),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(39),
    [anon_sym_BSLASHbk] = ACTIONS(39),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(39),
    [anon_sym_BSLASHdc] = ACTIONS(39),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(39),
    [anon_sym_BSLASHk] = ACTIONS(39),
    [anon_sym_BSLASHnd] = ACTIONS(39),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(39),
    [anon_sym_BSLASHord] = ACTIONS(39),
    [anon_sym_BSLASHord_STAR] = ACTIONS(39),
    [anon_sym_BSLASHpn] = ACTIONS(39),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(39),
    [anon_sym_BSLASHpng] = ACTIONS(39),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(39),
    [anon_sym_BSLASHaddpn] = ACTIONS(39),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(39),
    [anon_sym_BSLASHqt] = ACTIONS(39),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(39),
    [anon_sym_BSLASHsig] = ACTIONS(39),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(39),
    [anon_sym_BSLASHsls] = ACTIONS(39),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(39),
    [anon_sym_BSLASHtl] = ACTIONS(39),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(39),
    [anon_sym_BSLASHwj] = ACTIONS(39),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(39),
    [anon_sym_BSLASHem] = ACTIONS(39),
    [anon_sym_BSLASHem_STAR] = ACTIONS(39),
    [anon_sym_BSLASHbd] = ACTIONS(39),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(39),
    [anon_sym_BSLASHit] = ACTIONS(39),
    [anon_sym_BSLASHit_STAR] = ACTIONS(39),
    [anon_sym_BSLASHbdit] = ACTIONS(39),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(39),
    [anon_sym_BSLASHno] = ACTIONS(39),
    [anon_sym_BSLASHno_STAR] = ACTIONS(39),
    [anon_sym_BSLASHsc] = ACTIONS(39),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(39),
    [anon_sym_BSLASHsup] = ACTIONS(39),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(39),
    [anon_sym_BSLASHndx] = ACTIONS(39),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(39),
    [anon_sym_BSLASHpro] = ACTIONS(39),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(39),
    [anon_sym_BSLASHrb] = ACTIONS(39),
    [anon_sym_BSLASHw] = ACTIONS(39),
    [anon_sym_BSLASHw_STAR] = ACTIONS(39),
    [anon_sym_BSLASHwg] = ACTIONS(39),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(39),
    [anon_sym_BSLASHwh] = ACTIONS(39),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(39),
    [anon_sym_BSLASHwa] = ACTIONS(39),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(39),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(39),
    [anon_sym_BSLASHfig] = ACTIONS(39),
    [anon_sym_BSLASHjmp] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(39),
    [anon_sym_BSLASHcat] = ACTIONS(39),
    [anon_sym_PIPE] = ACTIONS(39),
  },
  [11] = {
    [aux_sym_text_token1] = ACTIONS(41),
    [anon_sym_BSLASHref] = ACTIONS(43),
    [anon_sym_BSLASHf] = ACTIONS(43),
    [anon_sym_BSLASHf_STAR] = ACTIONS(43),
    [anon_sym_BSLASHfe] = ACTIONS(43),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(43),
    [anon_sym_BSLASHef] = ACTIONS(43),
    [anon_sym_BSLASHef_STAR] = ACTIONS(43),
    [anon_sym_BSLASHfr] = ACTIONS(43),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(43),
    [anon_sym_BSLASHfq] = ACTIONS(43),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(43),
    [anon_sym_BSLASHfqa] = ACTIONS(43),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(43),
    [anon_sym_BSLASHfk] = ACTIONS(43),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(43),
    [anon_sym_BSLASHfl] = ACTIONS(43),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(43),
    [anon_sym_BSLASHfw] = ACTIONS(43),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(43),
    [anon_sym_BSLASHfp] = ACTIONS(43),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(43),
    [anon_sym_BSLASHft] = ACTIONS(43),
    [anon_sym_BSLASHft_STAR] = ACTIONS(43),
    [anon_sym_BSLASHfdc] = ACTIONS(43),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(43),
    [anon_sym_BSLASHfv] = ACTIONS(43),
    [anon_sym_BSLASHfm] = ACTIONS(43),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(43),
    [anon_sym_BSLASHx] = ACTIONS(43),
    [anon_sym_BSLASHx_STAR] = ACTIONS(43),
    [anon_sym_BSLASHxo] = ACTIONS(43),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(43),
    [anon_sym_BSLASHxk] = ACTIONS(43),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(43),
    [anon_sym_BSLASHxq] = ACTIONS(43),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(43),
    [anon_sym_BSLASHxt] = ACTIONS(43),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(43),
    [anon_sym_BSLASHxta] = ACTIONS(43),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(43),
    [anon_sym_BSLASHxop] = ACTIONS(43),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(43),
    [anon_sym_BSLASHxot] = ACTIONS(43),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(43),
    [anon_sym_BSLASHxnt] = ACTIONS(43),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(43),
    [anon_sym_BSLASHxdc] = ACTIONS(43),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(43),
    [anon_sym_BSLASHrq] = ACTIONS(43),
    [anon_sym_BSLASHadd] = ACTIONS(43),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(43),
    [anon_sym_BSLASHbk] = ACTIONS(43),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(43),
    [anon_sym_BSLASHdc] = ACTIONS(43),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(43),
    [anon_sym_BSLASHk] = ACTIONS(43),
    [anon_sym_BSLASHnd] = ACTIONS(43),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(43),
    [anon_sym_BSLASHord] = ACTIONS(43),
    [anon_sym_BSLASHord_STAR] = ACTIONS(43),
    [anon_sym_BSLASHpn] = ACTIONS(43),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(43),
    [anon_sym_BSLASHpng] = ACTIONS(43),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(43),
    [anon_sym_BSLASHaddpn] = ACTIONS(43),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(43),
    [anon_sym_BSLASHqt] = ACTIONS(43),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(43),
    [anon_sym_BSLASHsig] = ACTIONS(43),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(43),
    [anon_sym_BSLASHsls] = ACTIONS(43),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(43),
    [anon_sym_BSLASHtl] = ACTIONS(43),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(43),
    [anon_sym_BSLASHwj] = ACTIONS(43),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(43),
    [anon_sym_BSLASHem] = ACTIONS(43),
    [anon_sym_BSLASHem_STAR] = ACTIONS(43),
    [anon_sym_BSLASHbd] = ACTIONS(43),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(43),
    [anon_sym_BSLASHit] = ACTIONS(43),
    [anon_sym_BSLASHit_STAR] = ACTIONS(43),
    [anon_sym_BSLASHbdit] = ACTIONS(43),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(43),
    [anon_sym_BSLASHno] = ACTIONS(43),
    [anon_sym_BSLASHno_STAR] = ACTIONS(43),
    [anon_sym_BSLASHsc] = ACTIONS(43),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(43),
    [anon_sym_BSLASHsup] = ACTIONS(43),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(43),
    [anon_sym_BSLASHndx] = ACTIONS(43),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(43),
    [anon_sym_BSLASHpro] = ACTIONS(43),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(43),
    [anon_sym_BSLASHrb] = ACTIONS(43),
    [anon_sym_BSLASHw] = ACTIONS(43),
    [anon_sym_BSLASHw_STAR] = ACTIONS(43),
    [anon_sym_BSLASHwg] = ACTIONS(43),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(43),
    [anon_sym_BSLASHwh] = ACTIONS(43),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(43),
    [anon_sym_BSLASHwa] = ACTIONS(43),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(43),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(43),
    [anon_sym_BSLASHfig] = ACTIONS(43),
    [anon_sym_BSLASHjmp] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(43),
    [anon_sym_BSLASHcat] = ACTIONS(43),
    [anon_sym_PIPE] = ACTIONS(43),
  },
  [12] = {
    [aux_sym_text_token1] = ACTIONS(45),
    [anon_sym_BSLASHref] = ACTIONS(47),
    [anon_sym_BSLASHf] = ACTIONS(47),
    [anon_sym_BSLASHf_STAR] = ACTIONS(47),
    [anon_sym_BSLASHfe] = ACTIONS(47),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(47),
    [anon_sym_BSLASHef] = ACTIONS(47),
    [anon_sym_BSLASHef_STAR] = ACTIONS(47),
    [anon_sym_BSLASHfr] = ACTIONS(47),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(47),
    [anon_sym_BSLASHfq] = ACTIONS(47),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(47),
    [anon_sym_BSLASHfqa] = ACTIONS(47),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(47),
    [anon_sym_BSLASHfk] = ACTIONS(47),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(47),
    [anon_sym_BSLASHfl] = ACTIONS(47),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(47),
    [anon_sym_BSLASHfw] = ACTIONS(47),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(47),
    [anon_sym_BSLASHfp] = ACTIONS(47),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(47),
    [anon_sym_BSLASHft] = ACTIONS(47),
    [anon_sym_BSLASHft_STAR] = ACTIONS(47),
    [anon_sym_BSLASHfdc] = ACTIONS(47),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(47),
    [anon_sym_BSLASHfv] = ACTIONS(47),
    [anon_sym_BSLASHfm] = ACTIONS(47),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(47),
    [anon_sym_BSLASHx] = ACTIONS(47),
    [anon_sym_BSLASHx_STAR] = ACTIONS(47),
    [anon_sym_BSLASHxo] = ACTIONS(47),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(47),
    [anon_sym_BSLASHxk] = ACTIONS(47),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(47),
    [anon_sym_BSLASHxq] = ACTIONS(47),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(47),
    [anon_sym_BSLASHxt] = ACTIONS(47),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(47),
    [anon_sym_BSLASHxta] = ACTIONS(47),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(47),
    [anon_sym_BSLASHxop] = ACTIONS(47),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(47),
    [anon_sym_BSLASHxot] = ACTIONS(47),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(47),
    [anon_sym_BSLASHxnt] = ACTIONS(47),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(47),
    [anon_sym_BSLASHxdc] = ACTIONS(47),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(47),
    [anon_sym_BSLASHrq] = ACTIONS(47),
    [anon_sym_BSLASHadd] = ACTIONS(47),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(47),
    [anon_sym_BSLASHbk] = ACTIONS(47),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(47),
    [anon_sym_BSLASHdc] = ACTIONS(47),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(47),
    [anon_sym_BSLASHk] = ACTIONS(47),
    [anon_sym_BSLASHnd] = ACTIONS(47),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(47),
    [anon_sym_BSLASHord] = ACTIONS(47),
    [anon_sym_BSLASHord_STAR] = ACTIONS(47),
    [anon_sym_BSLASHpn] = ACTIONS(47),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(47),
    [anon_sym_BSLASHpng] = ACTIONS(47),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(47),
    [anon_sym_BSLASHaddpn] = ACTIONS(47),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(47),
    [anon_sym_BSLASHqt] = ACTIONS(47),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(47),
    [anon_sym_BSLASHsig] = ACTIONS(47),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(47),
    [anon_sym_BSLASHsls] = ACTIONS(47),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(47),
    [anon_sym_BSLASHtl] = ACTIONS(47),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(47),
    [anon_sym_BSLASHwj] = ACTIONS(47),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(47),
    [anon_sym_BSLASHem] = ACTIONS(47),
    [anon_sym_BSLASHem_STAR] = ACTIONS(47),
    [anon_sym_BSLASHbd] = ACTIONS(47),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(47),
    [anon_sym_BSLASHit] = ACTIONS(47),
    [anon_sym_BSLASHit_STAR] = ACTIONS(47),
    [anon_sym_BSLASHbdit] = ACTIONS(47),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(47),
    [anon_sym_BSLASHno] = ACTIONS(47),
    [anon_sym_BSLASHno_STAR] = ACTIONS(47),
    [anon_sym_BSLASHsc] = ACTIONS(47),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(47),
    [anon_sym_BSLASHsup] = ACTIONS(47),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(47),
    [anon_sym_BSLASHndx] = ACTIONS(47),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(47),
    [anon_sym_BSLASHpro] = ACTIONS(47),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(47),
    [anon_sym_BSLASHrb] = ACTIONS(47),
    [anon_sym_BSLASHw] = ACTIONS(47),
    [anon_sym_BSLASHw_STAR] = ACTIONS(47),
    [anon_sym_BSLASHwg] = ACTIONS(47),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(47),
    [anon_sym_BSLASHwh] = ACTIONS(47),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(47),
    [anon_sym_BSLASHwa] = ACTIONS(47),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(47),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(47),
    [anon_sym_BSLASHfig] = ACTIONS(47),
    [anon_sym_BSLASHjmp] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(47),
    [anon_sym_BSLASHcat] = ACTIONS(47),
    [anon_sym_PIPE] = ACTIONS(47),
  },
  [13] = {
    [aux_sym_text_token1] = ACTIONS(49),
    [anon_sym_BSLASHref] = ACTIONS(51),
    [anon_sym_BSLASHf] = ACTIONS(51),
    [anon_sym_BSLASHf_STAR] = ACTIONS(51),
    [anon_sym_BSLASHfe] = ACTIONS(51),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(51),
    [anon_sym_BSLASHef] = ACTIONS(51),
    [anon_sym_BSLASHef_STAR] = ACTIONS(51),
    [anon_sym_BSLASHfr] = ACTIONS(51),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(51),
    [anon_sym_BSLASHfq] = ACTIONS(51),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(51),
    [anon_sym_BSLASHfqa] = ACTIONS(51),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(51),
    [anon_sym_BSLASHfk] = ACTIONS(51),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(51),
    [anon_sym_BSLASHfl] = ACTIONS(51),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(51),
    [anon_sym_BSLASHfw] = ACTIONS(51),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(51),
    [anon_sym_BSLASHfp] = ACTIONS(51),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(51),
    [anon_sym_BSLASHft] = ACTIONS(51),
    [anon_sym_BSLASHft_STAR] = ACTIONS(51),
    [anon_sym_BSLASHfdc] = ACTIONS(51),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(51),
    [anon_sym_BSLASHfv] = ACTIONS(51),
    [anon_sym_BSLASHfm] = ACTIONS(51),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(51),
    [anon_sym_BSLASHx] = ACTIONS(51),
    [anon_sym_BSLASHx_STAR] = ACTIONS(51),
    [anon_sym_BSLASHxo] = ACTIONS(51),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(51),
    [anon_sym_BSLASHxk] = ACTIONS(51),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(51),
    [anon_sym_BSLASHxq] = ACTIONS(51),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(51),
    [anon_sym_BSLASHxt] = ACTIONS(51),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(51),
    [anon_sym_BSLASHxta] = ACTIONS(51),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(51),
    [anon_sym_BSLASHxop] = ACTIONS(51),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(51),
    [anon_sym_BSLASHxot] = ACTIONS(51),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(51),
    [anon_sym_BSLASHxnt] = ACTIONS(51),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(51),
    [anon_sym_BSLASHxdc] = ACTIONS(51),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(51),
    [anon_sym_BSLASHrq] = ACTIONS(51),
    [anon_sym_BSLASHadd] = ACTIONS(51),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(51),
    [anon_sym_BSLASHbk] = ACTIONS(51),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(51),
    [anon_sym_BSLASHdc] = ACTIONS(51),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(51),
    [anon_sym_BSLASHk] = ACTIONS(51),
    [anon_sym_BSLASHnd] = ACTIONS(51),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(51),
    [anon_sym_BSLASHord] = ACTIONS(51),
    [anon_sym_BSLASHord_STAR] = ACTIONS(51),
    [anon_sym_BSLASHpn] = ACTIONS(51),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(51),
    [anon_sym_BSLASHpng] = ACTIONS(51),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(51),
    [anon_sym_BSLASHaddpn] = ACTIONS(51),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(51),
    [anon_sym_BSLASHqt] = ACTIONS(51),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(51),
    [anon_sym_BSLASHsig] = ACTIONS(51),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(51),
    [anon_sym_BSLASHsls] = ACTIONS(51),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(51),
    [anon_sym_BSLASHtl] = ACTIONS(51),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(51),
    [anon_sym_BSLASHwj] = ACTIONS(51),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(51),
    [anon_sym_BSLASHem] = ACTIONS(51),
    [anon_sym_BSLASHem_STAR] = ACTIONS(51),
    [anon_sym_BSLASHbd] = ACTIONS(51),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(51),
    [anon_sym_BSLASHit] = ACTIONS(51),
    [anon_sym_BSLASHit_STAR] = ACTIONS(51),
    [anon_sym_BSLASHbdit] = ACTIONS(51),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(51),
    [anon_sym_BSLASHno] = ACTIONS(51),
    [anon_sym_BSLASHno_STAR] = ACTIONS(51),
    [anon_sym_BSLASHsc] = ACTIONS(51),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(51),
    [anon_sym_BSLASHsup] = ACTIONS(51),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(51),
    [anon_sym_BSLASHndx] = ACTIONS(51),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(51),
    [anon_sym_BSLASHpro] = ACTIONS(51),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(51),
    [anon_sym_BSLASHrb] = ACTIONS(51),
    [anon_sym_BSLASHw] = ACTIONS(51),
    [anon_sym_BSLASHw_STAR] = ACTIONS(51),
    [anon_sym_BSLASHwg] = ACTIONS(51),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(51),
    [anon_sym_BSLASHwh] = ACTIONS(51),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(51),
    [anon_sym_BSLASHwa] = ACTIONS(51),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(51),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(51),
    [anon_sym_BSLASHfig] = ACTIONS(51),
    [anon_sym_BSLASHjmp] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(51),
    [anon_sym_BSLASHcat] = ACTIONS(51),
    [anon_sym_PIPE] = ACTIONS(51),
  },
  [14] = {
    [aux_sym_text_token1] = ACTIONS(53),
    [anon_sym_BSLASHref] = ACTIONS(55),
    [anon_sym_BSLASHf] = ACTIONS(55),
    [anon_sym_BSLASHf_STAR] = ACTIONS(55),
    [anon_sym_BSLASHfe] = ACTIONS(55),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(55),
    [anon_sym_BSLASHef] = ACTIONS(55),
    [anon_sym_BSLASHef_STAR] = ACTIONS(55),
    [anon_sym_BSLASHfr] = ACTIONS(55),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(55),
    [anon_sym_BSLASHfq] = ACTIONS(55),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(55),
    [anon_sym_BSLASHfqa] = ACTIONS(55),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(55),
    [anon_sym_BSLASHfk] = ACTIONS(55),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(55),
    [anon_sym_BSLASHfl] = ACTIONS(55),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(55),
    [anon_sym_BSLASHfw] = ACTIONS(55),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(55),
    [anon_sym_BSLASHfp] = ACTIONS(55),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(55),
    [anon_sym_BSLASHft] = ACTIONS(55),
    [anon_sym_BSLASHft_STAR] = ACTIONS(55),
    [anon_sym_BSLASHfdc] = ACTIONS(55),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(55),
    [anon_sym_BSLASHfv] = ACTIONS(55),
    [anon_sym_BSLASHfm] = ACTIONS(55),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(55),
    [anon_sym_BSLASHx] = ACTIONS(55),
    [anon_sym_BSLASHx_STAR] = ACTIONS(55),
    [anon_sym_BSLASHxo] = ACTIONS(55),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(55),
    [anon_sym_BSLASHxk] = ACTIONS(55),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(55),
    [anon_sym_BSLASHxq] = ACTIONS(55),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(55),
    [anon_sym_BSLASHxt] = ACTIONS(55),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(55),
    [anon_sym_BSLASHxta] = ACTIONS(55),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(55),
    [anon_sym_BSLASHxop] = ACTIONS(55),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(55),
    [anon_sym_BSLASHxot] = ACTIONS(55),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(55),
    [anon_sym_BSLASHxnt] = ACTIONS(55),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(55),
    [anon_sym_BSLASHxdc] = ACTIONS(55),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(55),
    [anon_sym_BSLASHrq] = ACTIONS(55),
    [anon_sym_BSLASHadd] = ACTIONS(55),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(55),
    [anon_sym_BSLASHbk] = ACTIONS(55),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(55),
    [anon_sym_BSLASHdc] = ACTIONS(55),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(55),
    [anon_sym_BSLASHk] = ACTIONS(55),
    [anon_sym_BSLASHnd] = ACTIONS(55),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(55),
    [anon_sym_BSLASHord] = ACTIONS(55),
    [anon_sym_BSLASHord_STAR] = ACTIONS(55),
    [anon_sym_BSLASHpn] = ACTIONS(55),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(55),
    [anon_sym_BSLASHpng] = ACTIONS(55),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(55),
    [anon_sym_BSLASHaddpn] = ACTIONS(55),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(55),
    [anon_sym_BSLASHqt] = ACTIONS(55),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(55),
    [anon_sym_BSLASHsig] = ACTIONS(55),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(55),
    [anon_sym_BSLASHsls] = ACTIONS(55),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(55),
    [anon_sym_BSLASHtl] = ACTIONS(55),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(55),
    [anon_sym_BSLASHwj] = ACTIONS(55),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(55),
    [anon_sym_BSLASHem] = ACTIONS(55),
    [anon_sym_BSLASHem_STAR] = ACTIONS(55),
    [anon_sym_BSLASHbd] = ACTIONS(55),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(55),
    [anon_sym_BSLASHit] = ACTIONS(55),
    [anon_sym_BSLASHit_STAR] = ACTIONS(55),
    [anon_sym_BSLASHbdit] = ACTIONS(55),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(55),
    [anon_sym_BSLASHno] = ACTIONS(55),
    [anon_sym_BSLASHno_STAR] = ACTIONS(55),
    [anon_sym_BSLASHsc] = ACTIONS(55),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(55),
    [anon_sym_BSLASHsup] = ACTIONS(55),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(55),
    [anon_sym_BSLASHndx] = ACTIONS(55),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(55),
    [anon_sym_BSLASHpro] = ACTIONS(55),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(55),
    [anon_sym_BSLASHrb] = ACTIONS(55),
    [anon_sym_BSLASHw] = ACTIONS(55),
    [anon_sym_BSLASHw_STAR] = ACTIONS(55),
    [anon_sym_BSLASHwg] = ACTIONS(55),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(55),
    [anon_sym_BSLASHwh] = ACTIONS(55),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(55),
    [anon_sym_BSLASHwa] = ACTIONS(55),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(55),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(55),
    [anon_sym_BSLASHfig] = ACTIONS(55),
    [anon_sym_BSLASHjmp] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(55),
    [anon_sym_BSLASHcat] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(55),
  },
  [15] = {
    [aux_sym_text_token1] = ACTIONS(57),
    [anon_sym_BSLASHref] = ACTIONS(59),
    [anon_sym_BSLASHf] = ACTIONS(59),
    [anon_sym_BSLASHf_STAR] = ACTIONS(59),
    [anon_sym_BSLASHfe] = ACTIONS(59),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(59),
    [anon_sym_BSLASHef] = ACTIONS(59),
    [anon_sym_BSLASHef_STAR] = ACTIONS(59),
    [anon_sym_BSLASHfr] = ACTIONS(59),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(59),
    [anon_sym_BSLASHfq] = ACTIONS(59),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(59),
    [anon_sym_BSLASHfqa] = ACTIONS(59),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(59),
    [anon_sym_BSLASHfk] = ACTIONS(59),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(59),
    [anon_sym_BSLASHfl] = ACTIONS(59),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(59),
    [anon_sym_BSLASHfw] = ACTIONS(59),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(59),
    [anon_sym_BSLASHfp] = ACTIONS(59),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(59),
    [anon_sym_BSLASHft] = ACTIONS(59),
    [anon_sym_BSLASHft_STAR] = ACTIONS(59),
    [anon_sym_BSLASHfdc] = ACTIONS(59),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(59),
    [anon_sym_BSLASHfv] = ACTIONS(59),
    [anon_sym_BSLASHfm] = ACTIONS(59),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(59),
    [anon_sym_BSLASHx] = ACTIONS(59),
    [anon_sym_BSLASHx_STAR] = ACTIONS(59),
    [anon_sym_BSLASHxo] = ACTIONS(59),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(59),
    [anon_sym_BSLASHxk] = ACTIONS(59),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(59),
    [anon_sym_BSLASHxq] = ACTIONS(59),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(59),
    [anon_sym_BSLASHxt] = ACTIONS(59),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(59),
    [anon_sym_BSLASHxta] = ACTIONS(59),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(59),
    [anon_sym_BSLASHxop] = ACTIONS(59),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(59),
    [anon_sym_BSLASHxot] = ACTIONS(59),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(59),
    [anon_sym_BSLASHxnt] = ACTIONS(59),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(59),
    [anon_sym_BSLASHxdc] = ACTIONS(59),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(59),
    [anon_sym_BSLASHrq] = ACTIONS(59),
    [anon_sym_BSLASHadd] = ACTIONS(59),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(59),
    [anon_sym_BSLASHbk] = ACTIONS(59),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(59),
    [anon_sym_BSLASHdc] = ACTIONS(59),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(59),
    [anon_sym_BSLASHk] = ACTIONS(59),
    [anon_sym_BSLASHnd] = ACTIONS(59),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(59),
    [anon_sym_BSLASHord] = ACTIONS(59),
    [anon_sym_BSLASHord_STAR] = ACTIONS(59),
    [anon_sym_BSLASHpn] = ACTIONS(59),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(59),
    [anon_sym_BSLASHpng] = ACTIONS(59),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(59),
    [anon_sym_BSLASHaddpn] = ACTIONS(59),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(59),
    [anon_sym_BSLASHqt] = ACTIONS(59),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(59),
    [anon_sym_BSLASHsig] = ACTIONS(59),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(59),
    [anon_sym_BSLASHsls] = ACTIONS(59),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(59),
    [anon_sym_BSLASHtl] = ACTIONS(59),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(59),
    [anon_sym_BSLASHwj] = ACTIONS(59),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(59),
    [anon_sym_BSLASHem] = ACTIONS(59),
    [anon_sym_BSLASHem_STAR] = ACTIONS(59),
    [anon_sym_BSLASHbd] = ACTIONS(59),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(59),
    [anon_sym_BSLASHit] = ACTIONS(59),
    [anon_sym_BSLASHit_STAR] = ACTIONS(59),
    [anon_sym_BSLASHbdit] = ACTIONS(59),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(59),
    [anon_sym_BSLASHno] = ACTIONS(59),
    [anon_sym_BSLASHno_STAR] = ACTIONS(59),
    [anon_sym_BSLASHsc] = ACTIONS(59),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(59),
    [anon_sym_BSLASHsup] = ACTIONS(59),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(59),
    [anon_sym_BSLASHndx] = ACTIONS(59),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(59),
    [anon_sym_BSLASHpro] = ACTIONS(59),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(59),
    [anon_sym_BSLASHrb] = ACTIONS(59),
    [anon_sym_BSLASHw] = ACTIONS(59),
    [anon_sym_BSLASHw_STAR] = ACTIONS(59),
    [anon_sym_BSLASHwg] = ACTIONS(59),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(59),
    [anon_sym_BSLASHwh] = ACTIONS(59),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(59),
    [anon_sym_BSLASHwa] = ACTIONS(59),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(59),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(59),
    [anon_sym_BSLASHfig] = ACTIONS(59),
    [anon_sym_BSLASHjmp] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(59),
    [anon_sym_BSLASHcat] = ACTIONS(59),
    [anon_sym_PIPE] = ACTIONS(59),
  },
  [16] = {
    [aux_sym_text_token1] = ACTIONS(61),
    [anon_sym_BSLASHref] = ACTIONS(63),
    [anon_sym_BSLASHf] = ACTIONS(63),
    [anon_sym_BSLASHf_STAR] = ACTIONS(63),
    [anon_sym_BSLASHfe] = ACTIONS(63),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(63),
    [anon_sym_BSLASHef] = ACTIONS(63),
    [anon_sym_BSLASHef_STAR] = ACTIONS(63),
    [anon_sym_BSLASHfr] = ACTIONS(63),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(63),
    [anon_sym_BSLASHfq] = ACTIONS(63),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(63),
    [anon_sym_BSLASHfqa] = ACTIONS(63),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(63),
    [anon_sym_BSLASHfk] = ACTIONS(63),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(63),
    [anon_sym_BSLASHfl] = ACTIONS(63),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(63),
    [anon_sym_BSLASHfw] = ACTIONS(63),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(63),
    [anon_sym_BSLASHfp] = ACTIONS(63),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(63),
    [anon_sym_BSLASHft] = ACTIONS(63),
    [anon_sym_BSLASHft_STAR] = ACTIONS(63),
    [anon_sym_BSLASHfdc] = ACTIONS(63),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(63),
    [anon_sym_BSLASHfv] = ACTIONS(63),
    [anon_sym_BSLASHfm] = ACTIONS(63),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(63),
    [anon_sym_BSLASHx] = ACTIONS(63),
    [anon_sym_BSLASHx_STAR] = ACTIONS(63),
    [anon_sym_BSLASHxo] = ACTIONS(63),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(63),
    [anon_sym_BSLASHxk] = ACTIONS(63),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(63),
    [anon_sym_BSLASHxq] = ACTIONS(63),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(63),
    [anon_sym_BSLASHxt] = ACTIONS(63),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(63),
    [anon_sym_BSLASHxta] = ACTIONS(63),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(63),
    [anon_sym_BSLASHxop] = ACTIONS(63),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(63),
    [anon_sym_BSLASHxot] = ACTIONS(63),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(63),
    [anon_sym_BSLASHxnt] = ACTIONS(63),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(63),
    [anon_sym_BSLASHxdc] = ACTIONS(63),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(63),
    [anon_sym_BSLASHrq] = ACTIONS(63),
    [anon_sym_BSLASHadd] = ACTIONS(63),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(63),
    [anon_sym_BSLASHbk] = ACTIONS(63),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(63),
    [anon_sym_BSLASHdc] = ACTIONS(63),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(63),
    [anon_sym_BSLASHk] = ACTIONS(63),
    [anon_sym_BSLASHnd] = ACTIONS(63),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(63),
    [anon_sym_BSLASHord] = ACTIONS(63),
    [anon_sym_BSLASHord_STAR] = ACTIONS(63),
    [anon_sym_BSLASHpn] = ACTIONS(63),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(63),
    [anon_sym_BSLASHpng] = ACTIONS(63),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(63),
    [anon_sym_BSLASHaddpn] = ACTIONS(63),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(63),
    [anon_sym_BSLASHqt] = ACTIONS(63),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(63),
    [anon_sym_BSLASHsig] = ACTIONS(63),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(63),
    [anon_sym_BSLASHsls] = ACTIONS(63),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(63),
    [anon_sym_BSLASHtl] = ACTIONS(63),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(63),
    [anon_sym_BSLASHwj] = ACTIONS(63),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(63),
    [anon_sym_BSLASHem] = ACTIONS(63),
    [anon_sym_BSLASHem_STAR] = ACTIONS(63),
    [anon_sym_BSLASHbd] = ACTIONS(63),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(63),
    [anon_sym_BSLASHit] = ACTIONS(63),
    [anon_sym_BSLASHit_STAR] = ACTIONS(63),
    [anon_sym_BSLASHbdit] = ACTIONS(63),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(63),
    [anon_sym_BSLASHno] = ACTIONS(63),
    [anon_sym_BSLASHno_STAR] = ACTIONS(63),
    [anon_sym_BSLASHsc] = ACTIONS(63),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(63),
    [anon_sym_BSLASHsup] = ACTIONS(63),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(63),
    [anon_sym_BSLASHndx] = ACTIONS(63),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(63),
    [anon_sym_BSLASHpro] = ACTIONS(63),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(63),
    [anon_sym_BSLASHrb] = ACTIONS(63),
    [anon_sym_BSLASHw] = ACTIONS(63),
    [anon_sym_BSLASHw_STAR] = ACTIONS(63),
    [anon_sym_BSLASHwg] = ACTIONS(63),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(63),
    [anon_sym_BSLASHwh] = ACTIONS(63),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(63),
    [anon_sym_BSLASHwa] = ACTIONS(63),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(63),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(63),
    [anon_sym_BSLASHfig] = ACTIONS(63),
    [anon_sym_BSLASHjmp] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(63),
    [anon_sym_BSLASHcat] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(63),
  },
  [17] = {
    [aux_sym_text_token1] = ACTIONS(65),
    [anon_sym_BSLASHref] = ACTIONS(67),
    [anon_sym_BSLASHf] = ACTIONS(67),
    [anon_sym_BSLASHf_STAR] = ACTIONS(67),
    [anon_sym_BSLASHfe] = ACTIONS(67),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(67),
    [anon_sym_BSLASHef] = ACTIONS(67),
    [anon_sym_BSLASHef_STAR] = ACTIONS(67),
    [anon_sym_BSLASHfr] = ACTIONS(67),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(67),
    [anon_sym_BSLASHfq] = ACTIONS(67),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(67),
    [anon_sym_BSLASHfqa] = ACTIONS(67),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(67),
    [anon_sym_BSLASHfk] = ACTIONS(67),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(67),
    [anon_sym_BSLASHfl] = ACTIONS(67),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(67),
    [anon_sym_BSLASHfw] = ACTIONS(67),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(67),
    [anon_sym_BSLASHfp] = ACTIONS(67),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(67),
    [anon_sym_BSLASHft] = ACTIONS(67),
    [anon_sym_BSLASHft_STAR] = ACTIONS(67),
    [anon_sym_BSLASHfdc] = ACTIONS(67),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(67),
    [anon_sym_BSLASHfv] = ACTIONS(67),
    [anon_sym_BSLASHfm] = ACTIONS(67),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(67),
    [anon_sym_BSLASHx] = ACTIONS(67),
    [anon_sym_BSLASHx_STAR] = ACTIONS(67),
    [anon_sym_BSLASHxo] = ACTIONS(67),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(67),
    [anon_sym_BSLASHxk] = ACTIONS(67),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(67),
    [anon_sym_BSLASHxq] = ACTIONS(67),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(67),
    [anon_sym_BSLASHxt] = ACTIONS(67),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(67),
    [anon_sym_BSLASHxta] = ACTIONS(67),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(67),
    [anon_sym_BSLASHxop] = ACTIONS(67),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(67),
    [anon_sym_BSLASHxot] = ACTIONS(67),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(67),
    [anon_sym_BSLASHxnt] = ACTIONS(67),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(67),
    [anon_sym_BSLASHxdc] = ACTIONS(67),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(67),
    [anon_sym_BSLASHrq] = ACTIONS(67),
    [anon_sym_BSLASHadd] = ACTIONS(67),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(67),
    [anon_sym_BSLASHbk] = ACTIONS(67),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(67),
    [anon_sym_BSLASHdc] = ACTIONS(67),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(67),
    [anon_sym_BSLASHk] = ACTIONS(67),
    [anon_sym_BSLASHnd] = ACTIONS(67),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(67),
    [anon_sym_BSLASHord] = ACTIONS(67),
    [anon_sym_BSLASHord_STAR] = ACTIONS(67),
    [anon_sym_BSLASHpn] = ACTIONS(67),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(67),
    [anon_sym_BSLASHpng] = ACTIONS(67),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(67),
    [anon_sym_BSLASHaddpn] = ACTIONS(67),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(67),
    [anon_sym_BSLASHqt] = ACTIONS(67),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(67),
    [anon_sym_BSLASHsig] = ACTIONS(67),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(67),
    [anon_sym_BSLASHsls] = ACTIONS(67),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(67),
    [anon_sym_BSLASHtl] = ACTIONS(67),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(67),
    [anon_sym_BSLASHwj] = ACTIONS(67),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(67),
    [anon_sym_BSLASHem] = ACTIONS(67),
    [anon_sym_BSLASHem_STAR] = ACTIONS(67),
    [anon_sym_BSLASHbd] = ACTIONS(67),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(67),
    [anon_sym_BSLASHit] = ACTIONS(67),
    [anon_sym_BSLASHit_STAR] = ACTIONS(67),
    [anon_sym_BSLASHbdit] = ACTIONS(67),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(67),
    [anon_sym_BSLASHno] = ACTIONS(67),
    [anon_sym_BSLASHno_STAR] = ACTIONS(67),
    [anon_sym_BSLASHsc] = ACTIONS(67),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(67),
    [anon_sym_BSLASHsup] = ACTIONS(67),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(67),
    [anon_sym_BSLASHndx] = ACTIONS(67),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(67),
    [anon_sym_BSLASHpro] = ACTIONS(67),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(67),
    [anon_sym_BSLASHrb] = ACTIONS(67),
    [anon_sym_BSLASHw] = ACTIONS(67),
    [anon_sym_BSLASHw_STAR] = ACTIONS(67),
    [anon_sym_BSLASHwg] = ACTIONS(67),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(67),
    [anon_sym_BSLASHwh] = ACTIONS(67),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(67),
    [anon_sym_BSLASHwa] = ACTIONS(67),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(67),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(67),
    [anon_sym_BSLASHfig] = ACTIONS(67),
    [anon_sym_BSLASHjmp] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(67),
    [anon_sym_BSLASHcat] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(67),
  },
  [18] = {
    [aux_sym_text_token1] = ACTIONS(69),
    [anon_sym_BSLASHref] = ACTIONS(71),
    [anon_sym_BSLASHf] = ACTIONS(71),
    [anon_sym_BSLASHf_STAR] = ACTIONS(71),
    [anon_sym_BSLASHfe] = ACTIONS(71),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(71),
    [anon_sym_BSLASHef] = ACTIONS(71),
    [anon_sym_BSLASHef_STAR] = ACTIONS(71),
    [anon_sym_BSLASHfr] = ACTIONS(71),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(71),
    [anon_sym_BSLASHfq] = ACTIONS(71),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(71),
    [anon_sym_BSLASHfqa] = ACTIONS(71),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(71),
    [anon_sym_BSLASHfk] = ACTIONS(71),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(71),
    [anon_sym_BSLASHfl] = ACTIONS(71),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(71),
    [anon_sym_BSLASHfw] = ACTIONS(71),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(71),
    [anon_sym_BSLASHfp] = ACTIONS(71),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(71),
    [anon_sym_BSLASHft] = ACTIONS(71),
    [anon_sym_BSLASHft_STAR] = ACTIONS(71),
    [anon_sym_BSLASHfdc] = ACTIONS(71),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(71),
    [anon_sym_BSLASHfv] = ACTIONS(71),
    [anon_sym_BSLASHfm] = ACTIONS(71),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(71),
    [anon_sym_BSLASHx] = ACTIONS(71),
    [anon_sym_BSLASHx_STAR] = ACTIONS(71),
    [anon_sym_BSLASHxo] = ACTIONS(71),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(71),
    [anon_sym_BSLASHxk] = ACTIONS(71),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(71),
    [anon_sym_BSLASHxq] = ACTIONS(71),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(71),
    [anon_sym_BSLASHxt] = ACTIONS(71),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(71),
    [anon_sym_BSLASHxta] = ACTIONS(71),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(71),
    [anon_sym_BSLASHxop] = ACTIONS(71),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(71),
    [anon_sym_BSLASHxot] = ACTIONS(71),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(71),
    [anon_sym_BSLASHxnt] = ACTIONS(71),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(71),
    [anon_sym_BSLASHxdc] = ACTIONS(71),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(71),
    [anon_sym_BSLASHrq] = ACTIONS(71),
    [anon_sym_BSLASHadd] = ACTIONS(71),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(71),
    [anon_sym_BSLASHbk] = ACTIONS(71),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(71),
    [anon_sym_BSLASHdc] = ACTIONS(71),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(71),
    [anon_sym_BSLASHk] = ACTIONS(71),
    [anon_sym_BSLASHnd] = ACTIONS(71),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(71),
    [anon_sym_BSLASHord] = ACTIONS(71),
    [anon_sym_BSLASHord_STAR] = ACTIONS(71),
    [anon_sym_BSLASHpn] = ACTIONS(71),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(71),
    [anon_sym_BSLASHpng] = ACTIONS(71),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(71),
    [anon_sym_BSLASHaddpn] = ACTIONS(71),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(71),
    [anon_sym_BSLASHqt] = ACTIONS(71),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(71),
    [anon_sym_BSLASHsig] = ACTIONS(71),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(71),
    [anon_sym_BSLASHsls] = ACTIONS(71),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(71),
    [anon_sym_BSLASHtl] = ACTIONS(71),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(71),
    [anon_sym_BSLASHwj] = ACTIONS(71),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(71),
    [anon_sym_BSLASHem] = ACTIONS(71),
    [anon_sym_BSLASHem_STAR] = ACTIONS(71),
    [anon_sym_BSLASHbd] = ACTIONS(71),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(71),
    [anon_sym_BSLASHit] = ACTIONS(71),
    [anon_sym_BSLASHit_STAR] = ACTIONS(71),
    [anon_sym_BSLASHbdit] = ACTIONS(71),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(71),
    [anon_sym_BSLASHno] = ACTIONS(71),
    [anon_sym_BSLASHno_STAR] = ACTIONS(71),
    [anon_sym_BSLASHsc] = ACTIONS(71),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(71),
    [anon_sym_BSLASHsup] = ACTIONS(71),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(71),
    [anon_sym_BSLASHndx] = ACTIONS(71),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(71),
    [anon_sym_BSLASHpro] = ACTIONS(71),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(71),
    [anon_sym_BSLASHrb] = ACTIONS(71),
    [anon_sym_BSLASHw] = ACTIONS(71),
    [anon_sym_BSLASHw_STAR] = ACTIONS(71),
    [anon_sym_BSLASHwg] = ACTIONS(71),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(71),
    [anon_sym_BSLASHwh] = ACTIONS(71),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(71),
    [anon_sym_BSLASHwa] = ACTIONS(71),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(71),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(71),
    [anon_sym_BSLASHfig] = ACTIONS(71),
    [anon_sym_BSLASHjmp] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(71),
    [anon_sym_BSLASHcat] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
  },
  [19] = {
    [aux_sym_text_token1] = ACTIONS(73),
    [anon_sym_BSLASHref] = ACTIONS(75),
    [anon_sym_BSLASHf] = ACTIONS(75),
    [anon_sym_BSLASHf_STAR] = ACTIONS(75),
    [anon_sym_BSLASHfe] = ACTIONS(75),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(75),
    [anon_sym_BSLASHef] = ACTIONS(75),
    [anon_sym_BSLASHef_STAR] = ACTIONS(75),
    [anon_sym_BSLASHfr] = ACTIONS(75),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(75),
    [anon_sym_BSLASHfq] = ACTIONS(75),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(75),
    [anon_sym_BSLASHfqa] = ACTIONS(75),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(75),
    [anon_sym_BSLASHfk] = ACTIONS(75),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(75),
    [anon_sym_BSLASHfl] = ACTIONS(75),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(75),
    [anon_sym_BSLASHfw] = ACTIONS(75),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(75),
    [anon_sym_BSLASHfp] = ACTIONS(75),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(75),
    [anon_sym_BSLASHft] = ACTIONS(75),
    [anon_sym_BSLASHft_STAR] = ACTIONS(75),
    [anon_sym_BSLASHfdc] = ACTIONS(75),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(75),
    [anon_sym_BSLASHfv] = ACTIONS(75),
    [anon_sym_BSLASHfm] = ACTIONS(75),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(75),
    [anon_sym_BSLASHx] = ACTIONS(75),
    [anon_sym_BSLASHx_STAR] = ACTIONS(75),
    [anon_sym_BSLASHxo] = ACTIONS(75),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(75),
    [anon_sym_BSLASHxk] = ACTIONS(75),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(75),
    [anon_sym_BSLASHxq] = ACTIONS(75),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(75),
    [anon_sym_BSLASHxt] = ACTIONS(75),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(75),
    [anon_sym_BSLASHxta] = ACTIONS(75),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(75),
    [anon_sym_BSLASHxop] = ACTIONS(75),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(75),
    [anon_sym_BSLASHxot] = ACTIONS(75),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(75),
    [anon_sym_BSLASHxnt] = ACTIONS(75),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(75),
    [anon_sym_BSLASHxdc] = ACTIONS(75),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(75),
    [anon_sym_BSLASHrq] = ACTIONS(75),
    [anon_sym_BSLASHadd] = ACTIONS(75),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(75),
    [anon_sym_BSLASHbk] = ACTIONS(75),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(75),
    [anon_sym_BSLASHdc] = ACTIONS(75),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(75),
    [anon_sym_BSLASHk] = ACTIONS(75),
    [anon_sym_BSLASHnd] = ACTIONS(75),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(75),
    [anon_sym_BSLASHord] = ACTIONS(75),
    [anon_sym_BSLASHord_STAR] = ACTIONS(75),
    [anon_sym_BSLASHpn] = ACTIONS(75),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(75),
    [anon_sym_BSLASHpng] = ACTIONS(75),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(75),
    [anon_sym_BSLASHaddpn] = ACTIONS(75),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(75),
    [anon_sym_BSLASHqt] = ACTIONS(75),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(75),
    [anon_sym_BSLASHsig] = ACTIONS(75),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(75),
    [anon_sym_BSLASHsls] = ACTIONS(75),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(75),
    [anon_sym_BSLASHtl] = ACTIONS(75),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(75),
    [anon_sym_BSLASHwj] = ACTIONS(75),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(75),
    [anon_sym_BSLASHem] = ACTIONS(75),
    [anon_sym_BSLASHem_STAR] = ACTIONS(75),
    [anon_sym_BSLASHbd] = ACTIONS(75),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(75),
    [anon_sym_BSLASHit] = ACTIONS(75),
    [anon_sym_BSLASHit_STAR] = ACTIONS(75),
    [anon_sym_BSLASHbdit] = ACTIONS(75),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(75),
    [anon_sym_BSLASHno] = ACTIONS(75),
    [anon_sym_BSLASHno_STAR] = ACTIONS(75),
    [anon_sym_BSLASHsc] = ACTIONS(75),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(75),
    [anon_sym_BSLASHsup] = ACTIONS(75),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(75),
    [anon_sym_BSLASHndx] = ACTIONS(75),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(75),
    [anon_sym_BSLASHpro] = ACTIONS(75),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(75),
    [anon_sym_BSLASHrb] = ACTIONS(75),
    [anon_sym_BSLASHw] = ACTIONS(75),
    [anon_sym_BSLASHw_STAR] = ACTIONS(75),
    [anon_sym_BSLASHwg] = ACTIONS(75),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(75),
    [anon_sym_BSLASHwh] = ACTIONS(75),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(75),
    [anon_sym_BSLASHwa] = ACTIONS(75),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(75),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(75),
    [anon_sym_BSLASHfig] = ACTIONS(75),
    [anon_sym_BSLASHjmp] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(75),
    [anon_sym_BSLASHcat] = ACTIONS(75),
    [anon_sym_PIPE] = ACTIONS(75),
  },
  [20] = {
    [aux_sym_text_token1] = ACTIONS(77),
    [anon_sym_BSLASHref] = ACTIONS(79),
    [anon_sym_BSLASHf] = ACTIONS(79),
    [anon_sym_BSLASHf_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfe] = ACTIONS(79),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(79),
    [anon_sym_BSLASHef] = ACTIONS(79),
    [anon_sym_BSLASHef_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfr] = ACTIONS(79),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfq] = ACTIONS(79),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfqa] = ACTIONS(79),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfk] = ACTIONS(79),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfl] = ACTIONS(79),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfw] = ACTIONS(79),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfp] = ACTIONS(79),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(79),
    [anon_sym_BSLASHft] = ACTIONS(79),
    [anon_sym_BSLASHft_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfdc] = ACTIONS(79),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfv] = ACTIONS(79),
    [anon_sym_BSLASHfm] = ACTIONS(79),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(79),
    [anon_sym_BSLASHx] = ACTIONS(79),
    [anon_sym_BSLASHx_STAR] = ACTIONS(79),
    [anon_sym_BSLASHxo] = ACTIONS(79),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(79),
    [anon_sym_BSLASHxk] = ACTIONS(79),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(79),
    [anon_sym_BSLASHxq] = ACTIONS(79),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(79),
    [anon_sym_BSLASHxt] = ACTIONS(79),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(79),
    [anon_sym_BSLASHxta] = ACTIONS(79),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(79),
    [anon_sym_BSLASHxop] = ACTIONS(79),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(79),
    [anon_sym_BSLASHxot] = ACTIONS(79),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(79),
    [anon_sym_BSLASHxnt] = ACTIONS(79),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(79),
    [anon_sym_BSLASHxdc] = ACTIONS(79),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(79),
    [anon_sym_BSLASHrq] = ACTIONS(79),
    [anon_sym_BSLASHadd] = ACTIONS(79),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(79),
    [anon_sym_BSLASHbk] = ACTIONS(79),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(79),
    [anon_sym_BSLASHdc] = ACTIONS(79),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(79),
    [anon_sym_BSLASHk] = ACTIONS(79),
    [anon_sym_BSLASHnd] = ACTIONS(79),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(79),
    [anon_sym_BSLASHord] = ACTIONS(79),
    [anon_sym_BSLASHord_STAR] = ACTIONS(79),
    [anon_sym_BSLASHpn] = ACTIONS(79),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(79),
    [anon_sym_BSLASHpng] = ACTIONS(79),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(79),
    [anon_sym_BSLASHaddpn] = ACTIONS(79),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(79),
    [anon_sym_BSLASHqt] = ACTIONS(79),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(79),
    [anon_sym_BSLASHsig] = ACTIONS(79),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(79),
    [anon_sym_BSLASHsls] = ACTIONS(79),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(79),
    [anon_sym_BSLASHtl] = ACTIONS(79),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(79),
    [anon_sym_BSLASHwj] = ACTIONS(79),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(79),
    [anon_sym_BSLASHem] = ACTIONS(79),
    [anon_sym_BSLASHem_STAR] = ACTIONS(79),
    [anon_sym_BSLASHbd] = ACTIONS(79),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(79),
    [anon_sym_BSLASHit] = ACTIONS(79),
    [anon_sym_BSLASHit_STAR] = ACTIONS(79),
    [anon_sym_BSLASHbdit] = ACTIONS(79),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(79),
    [anon_sym_BSLASHno] = ACTIONS(79),
    [anon_sym_BSLASHno_STAR] = ACTIONS(79),
    [anon_sym_BSLASHsc] = ACTIONS(79),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(79),
    [anon_sym_BSLASHsup] = ACTIONS(79),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(79),
    [anon_sym_BSLASHndx] = ACTIONS(79),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(79),
    [anon_sym_BSLASHpro] = ACTIONS(79),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(79),
    [anon_sym_BSLASHrb] = ACTIONS(79),
    [anon_sym_BSLASHw] = ACTIONS(79),
    [anon_sym_BSLASHw_STAR] = ACTIONS(79),
    [anon_sym_BSLASHwg] = ACTIONS(79),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(79),
    [anon_sym_BSLASHwh] = ACTIONS(79),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(79),
    [anon_sym_BSLASHwa] = ACTIONS(79),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(79),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfig] = ACTIONS(79),
    [anon_sym_BSLASHjmp] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(79),
    [anon_sym_BSLASHcat] = ACTIONS(79),
    [anon_sym_PIPE] = ACTIONS(79),
  },
  [21] = {
    [aux_sym_text_token1] = ACTIONS(81),
    [anon_sym_BSLASHref] = ACTIONS(83),
    [anon_sym_BSLASHf] = ACTIONS(83),
    [anon_sym_BSLASHf_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfe] = ACTIONS(83),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(83),
    [anon_sym_BSLASHef] = ACTIONS(83),
    [anon_sym_BSLASHef_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfr] = ACTIONS(83),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfq] = ACTIONS(83),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfqa] = ACTIONS(83),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfk] = ACTIONS(83),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfl] = ACTIONS(83),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfw] = ACTIONS(83),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfp] = ACTIONS(83),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(83),
    [anon_sym_BSLASHft] = ACTIONS(83),
    [anon_sym_BSLASHft_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfdc] = ACTIONS(83),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfv] = ACTIONS(83),
    [anon_sym_BSLASHfm] = ACTIONS(83),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(83),
    [anon_sym_BSLASHx] = ACTIONS(83),
    [anon_sym_BSLASHx_STAR] = ACTIONS(83),
    [anon_sym_BSLASHxo] = ACTIONS(83),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(83),
    [anon_sym_BSLASHxk] = ACTIONS(83),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(83),
    [anon_sym_BSLASHxq] = ACTIONS(83),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(83),
    [anon_sym_BSLASHxt] = ACTIONS(83),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(83),
    [anon_sym_BSLASHxta] = ACTIONS(83),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(83),
    [anon_sym_BSLASHxop] = ACTIONS(83),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(83),
    [anon_sym_BSLASHxot] = ACTIONS(83),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(83),
    [anon_sym_BSLASHxnt] = ACTIONS(83),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(83),
    [anon_sym_BSLASHxdc] = ACTIONS(83),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(83),
    [anon_sym_BSLASHrq] = ACTIONS(83),
    [anon_sym_BSLASHadd] = ACTIONS(83),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(83),
    [anon_sym_BSLASHbk] = ACTIONS(83),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(83),
    [anon_sym_BSLASHdc] = ACTIONS(83),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(83),
    [anon_sym_BSLASHk] = ACTIONS(83),
    [anon_sym_BSLASHnd] = ACTIONS(83),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(83),
    [anon_sym_BSLASHord] = ACTIONS(83),
    [anon_sym_BSLASHord_STAR] = ACTIONS(83),
    [anon_sym_BSLASHpn] = ACTIONS(83),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(83),
    [anon_sym_BSLASHpng] = ACTIONS(83),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(83),
    [anon_sym_BSLASHaddpn] = ACTIONS(83),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(83),
    [anon_sym_BSLASHqt] = ACTIONS(83),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(83),
    [anon_sym_BSLASHsig] = ACTIONS(83),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(83),
    [anon_sym_BSLASHsls] = ACTIONS(83),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(83),
    [anon_sym_BSLASHtl] = ACTIONS(83),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(83),
    [anon_sym_BSLASHwj] = ACTIONS(83),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(83),
    [anon_sym_BSLASHem] = ACTIONS(83),
    [anon_sym_BSLASHem_STAR] = ACTIONS(83),
    [anon_sym_BSLASHbd] = ACTIONS(83),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(83),
    [anon_sym_BSLASHit] = ACTIONS(83),
    [anon_sym_BSLASHit_STAR] = ACTIONS(83),
    [anon_sym_BSLASHbdit] = ACTIONS(83),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(83),
    [anon_sym_BSLASHno] = ACTIONS(83),
    [anon_sym_BSLASHno_STAR] = ACTIONS(83),
    [anon_sym_BSLASHsc] = ACTIONS(83),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(83),
    [anon_sym_BSLASHsup] = ACTIONS(83),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(83),
    [anon_sym_BSLASHndx] = ACTIONS(83),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(83),
    [anon_sym_BSLASHpro] = ACTIONS(83),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(83),
    [anon_sym_BSLASHrb] = ACTIONS(83),
    [anon_sym_BSLASHw] = ACTIONS(83),
    [anon_sym_BSLASHw_STAR] = ACTIONS(83),
    [anon_sym_BSLASHwg] = ACTIONS(83),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(83),
    [anon_sym_BSLASHwh] = ACTIONS(83),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(83),
    [anon_sym_BSLASHwa] = ACTIONS(83),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(83),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfig] = ACTIONS(83),
    [anon_sym_BSLASHjmp] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(83),
    [anon_sym_BSLASHcat] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(83),
  },
  [22] = {
    [aux_sym_text_token1] = ACTIONS(85),
    [anon_sym_BSLASHref] = ACTIONS(87),
    [anon_sym_BSLASHf] = ACTIONS(87),
    [anon_sym_BSLASHf_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfe] = ACTIONS(87),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(87),
    [anon_sym_BSLASHef] = ACTIONS(87),
    [anon_sym_BSLASHef_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfr] = ACTIONS(87),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfq] = ACTIONS(87),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfqa] = ACTIONS(87),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfk] = ACTIONS(87),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfl] = ACTIONS(87),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfw] = ACTIONS(87),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfp] = ACTIONS(87),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(87),
    [anon_sym_BSLASHft] = ACTIONS(87),
    [anon_sym_BSLASHft_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfdc] = ACTIONS(87),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfv] = ACTIONS(87),
    [anon_sym_BSLASHfm] = ACTIONS(87),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(87),
    [anon_sym_BSLASHx] = ACTIONS(87),
    [anon_sym_BSLASHx_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxo] = ACTIONS(87),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxk] = ACTIONS(87),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxq] = ACTIONS(87),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxt] = ACTIONS(87),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxta] = ACTIONS(87),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxop] = ACTIONS(87),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxot] = ACTIONS(87),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxnt] = ACTIONS(87),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxdc] = ACTIONS(87),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(87),
    [anon_sym_BSLASHrq] = ACTIONS(87),
    [anon_sym_BSLASHadd] = ACTIONS(87),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(87),
    [anon_sym_BSLASHbk] = ACTIONS(87),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(87),
    [anon_sym_BSLASHdc] = ACTIONS(87),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(87),
    [anon_sym_BSLASHk] = ACTIONS(87),
    [anon_sym_BSLASHnd] = ACTIONS(87),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(87),
    [anon_sym_BSLASHord] = ACTIONS(87),
    [anon_sym_BSLASHord_STAR] = ACTIONS(87),
    [anon_sym_BSLASHpn] = ACTIONS(87),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(87),
    [anon_sym_BSLASHpng] = ACTIONS(87),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(87),
    [anon_sym_BSLASHaddpn] = ACTIONS(87),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(87),
    [anon_sym_BSLASHqt] = ACTIONS(87),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(87),
    [anon_sym_BSLASHsig] = ACTIONS(87),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(87),
    [anon_sym_BSLASHsls] = ACTIONS(87),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(87),
    [anon_sym_BSLASHtl] = ACTIONS(87),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(87),
    [anon_sym_BSLASHwj] = ACTIONS(87),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(87),
    [anon_sym_BSLASHem] = ACTIONS(87),
    [anon_sym_BSLASHem_STAR] = ACTIONS(87),
    [anon_sym_BSLASHbd] = ACTIONS(87),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(87),
    [anon_sym_BSLASHit] = ACTIONS(87),
    [anon_sym_BSLASHit_STAR] = ACTIONS(87),
    [anon_sym_BSLASHbdit] = ACTIONS(87),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(87),
    [anon_sym_BSLASHno] = ACTIONS(87),
    [anon_sym_BSLASHno_STAR] = ACTIONS(87),
    [anon_sym_BSLASHsc] = ACTIONS(87),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(87),
    [anon_sym_BSLASHsup] = ACTIONS(87),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(87),
    [anon_sym_BSLASHndx] = ACTIONS(87),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(87),
    [anon_sym_BSLASHpro] = ACTIONS(87),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(87),
    [anon_sym_BSLASHrb] = ACTIONS(87),
    [anon_sym_BSLASHw] = ACTIONS(87),
    [anon_sym_BSLASHw_STAR] = ACTIONS(87),
    [anon_sym_BSLASHwg] = ACTIONS(87),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(87),
    [anon_sym_BSLASHwh] = ACTIONS(87),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(87),
    [anon_sym_BSLASHwa] = ACTIONS(87),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(87),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfig] = ACTIONS(87),
    [anon_sym_BSLASHjmp] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(87),
    [anon_sym_BSLASHcat] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(87),
  },
  [23] = {
    [aux_sym_text_token1] = ACTIONS(89),
    [anon_sym_BSLASHref] = ACTIONS(91),
    [anon_sym_BSLASHf] = ACTIONS(91),
    [anon_sym_BSLASHf_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfe] = ACTIONS(91),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(91),
    [anon_sym_BSLASHef] = ACTIONS(91),
    [anon_sym_BSLASHef_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfr] = ACTIONS(91),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfq] = ACTIONS(91),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfqa] = ACTIONS(91),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfk] = ACTIONS(91),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfl] = ACTIONS(91),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfw] = ACTIONS(91),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfp] = ACTIONS(91),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(91),
    [anon_sym_BSLASHft] = ACTIONS(91),
    [anon_sym_BSLASHft_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfdc] = ACTIONS(91),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfv] = ACTIONS(91),
    [anon_sym_BSLASHfm] = ACTIONS(91),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(91),
    [anon_sym_BSLASHx] = ACTIONS(91),
    [anon_sym_BSLASHx_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxo] = ACTIONS(91),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxk] = ACTIONS(91),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxq] = ACTIONS(91),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxt] = ACTIONS(91),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxta] = ACTIONS(91),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxop] = ACTIONS(91),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxot] = ACTIONS(91),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxnt] = ACTIONS(91),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxdc] = ACTIONS(91),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(91),
    [anon_sym_BSLASHrq] = ACTIONS(91),
    [anon_sym_BSLASHadd] = ACTIONS(91),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(91),
    [anon_sym_BSLASHbk] = ACTIONS(91),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(91),
    [anon_sym_BSLASHdc] = ACTIONS(91),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(91),
    [anon_sym_BSLASHk] = ACTIONS(91),
    [anon_sym_BSLASHnd] = ACTIONS(91),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(91),
    [anon_sym_BSLASHord] = ACTIONS(91),
    [anon_sym_BSLASHord_STAR] = ACTIONS(91),
    [anon_sym_BSLASHpn] = ACTIONS(91),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(91),
    [anon_sym_BSLASHpng] = ACTIONS(91),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(91),
    [anon_sym_BSLASHaddpn] = ACTIONS(91),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(91),
    [anon_sym_BSLASHqt] = ACTIONS(91),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(91),
    [anon_sym_BSLASHsig] = ACTIONS(91),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(91),
    [anon_sym_BSLASHsls] = ACTIONS(91),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(91),
    [anon_sym_BSLASHtl] = ACTIONS(91),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(91),
    [anon_sym_BSLASHwj] = ACTIONS(91),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(91),
    [anon_sym_BSLASHem] = ACTIONS(91),
    [anon_sym_BSLASHem_STAR] = ACTIONS(91),
    [anon_sym_BSLASHbd] = ACTIONS(91),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(91),
    [anon_sym_BSLASHit] = ACTIONS(91),
    [anon_sym_BSLASHit_STAR] = ACTIONS(91),
    [anon_sym_BSLASHbdit] = ACTIONS(91),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(91),
    [anon_sym_BSLASHno] = ACTIONS(91),
    [anon_sym_BSLASHno_STAR] = ACTIONS(91),
    [anon_sym_BSLASHsc] = ACTIONS(91),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(91),
    [anon_sym_BSLASHsup] = ACTIONS(91),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(91),
    [anon_sym_BSLASHndx] = ACTIONS(91),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(91),
    [anon_sym_BSLASHpro] = ACTIONS(91),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(91),
    [anon_sym_BSLASHrb] = ACTIONS(91),
    [anon_sym_BSLASHw] = ACTIONS(91),
    [anon_sym_BSLASHw_STAR] = ACTIONS(91),
    [anon_sym_BSLASHwg] = ACTIONS(91),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(91),
    [anon_sym_BSLASHwh] = ACTIONS(91),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(91),
    [anon_sym_BSLASHwa] = ACTIONS(91),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(91),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfig] = ACTIONS(91),
    [anon_sym_BSLASHjmp] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(91),
    [anon_sym_BSLASHcat] = ACTIONS(91),
    [anon_sym_PIPE] = ACTIONS(91),
  },
  [24] = {
    [aux_sym_text_token1] = ACTIONS(93),
    [anon_sym_BSLASHref] = ACTIONS(95),
    [anon_sym_BSLASHf] = ACTIONS(95),
    [anon_sym_BSLASHf_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfe] = ACTIONS(95),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(95),
    [anon_sym_BSLASHef] = ACTIONS(95),
    [anon_sym_BSLASHef_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfr] = ACTIONS(95),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfq] = ACTIONS(95),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfqa] = ACTIONS(95),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfk] = ACTIONS(95),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfl] = ACTIONS(95),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfw] = ACTIONS(95),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfp] = ACTIONS(95),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(95),
    [anon_sym_BSLASHft] = ACTIONS(95),
    [anon_sym_BSLASHft_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfdc] = ACTIONS(95),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfv] = ACTIONS(95),
    [anon_sym_BSLASHfm] = ACTIONS(95),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(95),
    [anon_sym_BSLASHx] = ACTIONS(95),
    [anon_sym_BSLASHx_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxo] = ACTIONS(95),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxk] = ACTIONS(95),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxq] = ACTIONS(95),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxt] = ACTIONS(95),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxta] = ACTIONS(95),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxop] = ACTIONS(95),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxot] = ACTIONS(95),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxnt] = ACTIONS(95),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxdc] = ACTIONS(95),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(95),
    [anon_sym_BSLASHrq] = ACTIONS(95),
    [anon_sym_BSLASHadd] = ACTIONS(95),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(95),
    [anon_sym_BSLASHbk] = ACTIONS(95),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(95),
    [anon_sym_BSLASHdc] = ACTIONS(95),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(95),
    [anon_sym_BSLASHk] = ACTIONS(95),
    [anon_sym_BSLASHnd] = ACTIONS(95),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(95),
    [anon_sym_BSLASHord] = ACTIONS(95),
    [anon_sym_BSLASHord_STAR] = ACTIONS(95),
    [anon_sym_BSLASHpn] = ACTIONS(95),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(95),
    [anon_sym_BSLASHpng] = ACTIONS(95),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(95),
    [anon_sym_BSLASHaddpn] = ACTIONS(95),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(95),
    [anon_sym_BSLASHqt] = ACTIONS(95),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(95),
    [anon_sym_BSLASHsig] = ACTIONS(95),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(95),
    [anon_sym_BSLASHsls] = ACTIONS(95),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(95),
    [anon_sym_BSLASHtl] = ACTIONS(95),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(95),
    [anon_sym_BSLASHwj] = ACTIONS(95),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(95),
    [anon_sym_BSLASHem] = ACTIONS(95),
    [anon_sym_BSLASHem_STAR] = ACTIONS(95),
    [anon_sym_BSLASHbd] = ACTIONS(95),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(95),
    [anon_sym_BSLASHit] = ACTIONS(95),
    [anon_sym_BSLASHit_STAR] = ACTIONS(95),
    [anon_sym_BSLASHbdit] = ACTIONS(95),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(95),
    [anon_sym_BSLASHno] = ACTIONS(95),
    [anon_sym_BSLASHno_STAR] = ACTIONS(95),
    [anon_sym_BSLASHsc] = ACTIONS(95),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(95),
    [anon_sym_BSLASHsup] = ACTIONS(95),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(95),
    [anon_sym_BSLASHndx] = ACTIONS(95),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(95),
    [anon_sym_BSLASHpro] = ACTIONS(95),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(95),
    [anon_sym_BSLASHrb] = ACTIONS(95),
    [anon_sym_BSLASHw] = ACTIONS(95),
    [anon_sym_BSLASHw_STAR] = ACTIONS(95),
    [anon_sym_BSLASHwg] = ACTIONS(95),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(95),
    [anon_sym_BSLASHwh] = ACTIONS(95),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(95),
    [anon_sym_BSLASHwa] = ACTIONS(95),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(95),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfig] = ACTIONS(95),
    [anon_sym_BSLASHjmp] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(95),
    [anon_sym_BSLASHcat] = ACTIONS(95),
    [anon_sym_PIPE] = ACTIONS(95),
  },
  [25] = {
    [aux_sym_text_token1] = ACTIONS(97),
    [anon_sym_BSLASHref] = ACTIONS(99),
    [anon_sym_BSLASHf] = ACTIONS(99),
    [anon_sym_BSLASHf_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfe] = ACTIONS(99),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(99),
    [anon_sym_BSLASHef] = ACTIONS(99),
    [anon_sym_BSLASHef_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfr] = ACTIONS(99),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfq] = ACTIONS(99),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfqa] = ACTIONS(99),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfk] = ACTIONS(99),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfl] = ACTIONS(99),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfw] = ACTIONS(99),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfp] = ACTIONS(99),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(99),
    [anon_sym_BSLASHft] = ACTIONS(99),
    [anon_sym_BSLASHft_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfdc] = ACTIONS(99),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfv] = ACTIONS(99),
    [anon_sym_BSLASHfm] = ACTIONS(99),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(99),
    [anon_sym_BSLASHx] = ACTIONS(99),
    [anon_sym_BSLASHx_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxo] = ACTIONS(99),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxk] = ACTIONS(99),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxq] = ACTIONS(99),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxt] = ACTIONS(99),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxta] = ACTIONS(99),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxop] = ACTIONS(99),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxot] = ACTIONS(99),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxnt] = ACTIONS(99),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxdc] = ACTIONS(99),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(99),
    [anon_sym_BSLASHrq] = ACTIONS(99),
    [anon_sym_BSLASHadd] = ACTIONS(99),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(99),
    [anon_sym_BSLASHbk] = ACTIONS(99),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(99),
    [anon_sym_BSLASHdc] = ACTIONS(99),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(99),
    [anon_sym_BSLASHk] = ACTIONS(99),
    [anon_sym_BSLASHnd] = ACTIONS(99),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(99),
    [anon_sym_BSLASHord] = ACTIONS(99),
    [anon_sym_BSLASHord_STAR] = ACTIONS(99),
    [anon_sym_BSLASHpn] = ACTIONS(99),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(99),
    [anon_sym_BSLASHpng] = ACTIONS(99),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(99),
    [anon_sym_BSLASHaddpn] = ACTIONS(99),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(99),
    [anon_sym_BSLASHqt] = ACTIONS(99),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(99),
    [anon_sym_BSLASHsig] = ACTIONS(99),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(99),
    [anon_sym_BSLASHsls] = ACTIONS(99),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(99),
    [anon_sym_BSLASHtl] = ACTIONS(99),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(99),
    [anon_sym_BSLASHwj] = ACTIONS(99),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(99),
    [anon_sym_BSLASHem] = ACTIONS(99),
    [anon_sym_BSLASHem_STAR] = ACTIONS(99),
    [anon_sym_BSLASHbd] = ACTIONS(99),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(99),
    [anon_sym_BSLASHit] = ACTIONS(99),
    [anon_sym_BSLASHit_STAR] = ACTIONS(99),
    [anon_sym_BSLASHbdit] = ACTIONS(99),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(99),
    [anon_sym_BSLASHno] = ACTIONS(99),
    [anon_sym_BSLASHno_STAR] = ACTIONS(99),
    [anon_sym_BSLASHsc] = ACTIONS(99),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(99),
    [anon_sym_BSLASHsup] = ACTIONS(99),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(99),
    [anon_sym_BSLASHndx] = ACTIONS(99),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(99),
    [anon_sym_BSLASHpro] = ACTIONS(99),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(99),
    [anon_sym_BSLASHrb] = ACTIONS(99),
    [anon_sym_BSLASHw] = ACTIONS(99),
    [anon_sym_BSLASHw_STAR] = ACTIONS(99),
    [anon_sym_BSLASHwg] = ACTIONS(99),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(99),
    [anon_sym_BSLASHwh] = ACTIONS(99),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(99),
    [anon_sym_BSLASHwa] = ACTIONS(99),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(99),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfig] = ACTIONS(99),
    [anon_sym_BSLASHjmp] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(99),
    [anon_sym_BSLASHcat] = ACTIONS(99),
    [anon_sym_PIPE] = ACTIONS(99),
  },
  [26] = {
    [aux_sym_text_token1] = ACTIONS(101),
    [anon_sym_BSLASHref] = ACTIONS(103),
    [anon_sym_BSLASHf] = ACTIONS(103),
    [anon_sym_BSLASHf_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfe] = ACTIONS(103),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(103),
    [anon_sym_BSLASHef] = ACTIONS(103),
    [anon_sym_BSLASHef_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfr] = ACTIONS(103),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfq] = ACTIONS(103),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfqa] = ACTIONS(103),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfk] = ACTIONS(103),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfl] = ACTIONS(103),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfw] = ACTIONS(103),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfp] = ACTIONS(103),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(103),
    [anon_sym_BSLASHft] = ACTIONS(103),
    [anon_sym_BSLASHft_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfdc] = ACTIONS(103),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfv] = ACTIONS(103),
    [anon_sym_BSLASHfm] = ACTIONS(103),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(103),
    [anon_sym_BSLASHx] = ACTIONS(103),
    [anon_sym_BSLASHx_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxo] = ACTIONS(103),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxk] = ACTIONS(103),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxq] = ACTIONS(103),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxt] = ACTIONS(103),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxta] = ACTIONS(103),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxop] = ACTIONS(103),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxot] = ACTIONS(103),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxnt] = ACTIONS(103),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxdc] = ACTIONS(103),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(103),
    [anon_sym_BSLASHrq] = ACTIONS(103),
    [anon_sym_BSLASHadd] = ACTIONS(103),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(103),
    [anon_sym_BSLASHbk] = ACTIONS(103),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(103),
    [anon_sym_BSLASHdc] = ACTIONS(103),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(103),
    [anon_sym_BSLASHk] = ACTIONS(103),
    [anon_sym_BSLASHnd] = ACTIONS(103),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(103),
    [anon_sym_BSLASHord] = ACTIONS(103),
    [anon_sym_BSLASHord_STAR] = ACTIONS(103),
    [anon_sym_BSLASHpn] = ACTIONS(103),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(103),
    [anon_sym_BSLASHpng] = ACTIONS(103),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(103),
    [anon_sym_BSLASHaddpn] = ACTIONS(103),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(103),
    [anon_sym_BSLASHqt] = ACTIONS(103),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(103),
    [anon_sym_BSLASHsig] = ACTIONS(103),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(103),
    [anon_sym_BSLASHsls] = ACTIONS(103),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(103),
    [anon_sym_BSLASHtl] = ACTIONS(103),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(103),
    [anon_sym_BSLASHwj] = ACTIONS(103),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(103),
    [anon_sym_BSLASHem] = ACTIONS(103),
    [anon_sym_BSLASHem_STAR] = ACTIONS(103),
    [anon_sym_BSLASHbd] = ACTIONS(103),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(103),
    [anon_sym_BSLASHit] = ACTIONS(103),
    [anon_sym_BSLASHit_STAR] = ACTIONS(103),
    [anon_sym_BSLASHbdit] = ACTIONS(103),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(103),
    [anon_sym_BSLASHno] = ACTIONS(103),
    [anon_sym_BSLASHno_STAR] = ACTIONS(103),
    [anon_sym_BSLASHsc] = ACTIONS(103),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(103),
    [anon_sym_BSLASHsup] = ACTIONS(103),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(103),
    [anon_sym_BSLASHndx] = ACTIONS(103),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(103),
    [anon_sym_BSLASHpro] = ACTIONS(103),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(103),
    [anon_sym_BSLASHrb] = ACTIONS(103),
    [anon_sym_BSLASHw] = ACTIONS(103),
    [anon_sym_BSLASHw_STAR] = ACTIONS(103),
    [anon_sym_BSLASHwg] = ACTIONS(103),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(103),
    [anon_sym_BSLASHwh] = ACTIONS(103),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(103),
    [anon_sym_BSLASHwa] = ACTIONS(103),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(103),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfig] = ACTIONS(103),
    [anon_sym_BSLASHjmp] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(103),
    [anon_sym_BSLASHcat] = ACTIONS(103),
    [anon_sym_PIPE] = ACTIONS(103),
  },
  [27] = {
    [aux_sym_text_token1] = ACTIONS(105),
    [anon_sym_BSLASHref] = ACTIONS(107),
    [anon_sym_BSLASHf] = ACTIONS(107),
    [anon_sym_BSLASHf_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfe] = ACTIONS(107),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(107),
    [anon_sym_BSLASHef] = ACTIONS(107),
    [anon_sym_BSLASHef_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfr] = ACTIONS(107),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfq] = ACTIONS(107),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfqa] = ACTIONS(107),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfk] = ACTIONS(107),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfl] = ACTIONS(107),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfw] = ACTIONS(107),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfp] = ACTIONS(107),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(107),
    [anon_sym_BSLASHft] = ACTIONS(107),
    [anon_sym_BSLASHft_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfdc] = ACTIONS(107),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfv] = ACTIONS(107),
    [anon_sym_BSLASHfm] = ACTIONS(107),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(107),
    [anon_sym_BSLASHx] = ACTIONS(107),
    [anon_sym_BSLASHx_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxo] = ACTIONS(107),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxk] = ACTIONS(107),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxq] = ACTIONS(107),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxt] = ACTIONS(107),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxta] = ACTIONS(107),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxop] = ACTIONS(107),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxot] = ACTIONS(107),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxnt] = ACTIONS(107),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxdc] = ACTIONS(107),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(107),
    [anon_sym_BSLASHrq] = ACTIONS(107),
    [anon_sym_BSLASHadd] = ACTIONS(107),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(107),
    [anon_sym_BSLASHbk] = ACTIONS(107),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(107),
    [anon_sym_BSLASHdc] = ACTIONS(107),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(107),
    [anon_sym_BSLASHk] = ACTIONS(107),
    [anon_sym_BSLASHnd] = ACTIONS(107),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(107),
    [anon_sym_BSLASHord] = ACTIONS(107),
    [anon_sym_BSLASHord_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpn] = ACTIONS(107),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpng] = ACTIONS(107),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(107),
    [anon_sym_BSLASHaddpn] = ACTIONS(107),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(107),
    [anon_sym_BSLASHqt] = ACTIONS(107),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(107),
    [anon_sym_BSLASHsig] = ACTIONS(107),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(107),
    [anon_sym_BSLASHsls] = ACTIONS(107),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(107),
    [anon_sym_BSLASHtl] = ACTIONS(107),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(107),
    [anon_sym_BSLASHwj] = ACTIONS(107),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(107),
    [anon_sym_BSLASHem] = ACTIONS(107),
    [anon_sym_BSLASHem_STAR] = ACTIONS(107),
    [anon_sym_BSLASHbd] = ACTIONS(107),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(107),
    [anon_sym_BSLASHit] = ACTIONS(107),
    [anon_sym_BSLASHit_STAR] = ACTIONS(107),
    [anon_sym_BSLASHbdit] = ACTIONS(107),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(107),
    [anon_sym_BSLASHno] = ACTIONS(107),
    [anon_sym_BSLASHno_STAR] = ACTIONS(107),
    [anon_sym_BSLASHsc] = ACTIONS(107),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(107),
    [anon_sym_BSLASHsup] = ACTIONS(107),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(107),
    [anon_sym_BSLASHndx] = ACTIONS(107),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpro] = ACTIONS(107),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(107),
    [anon_sym_BSLASHrb] = ACTIONS(107),
    [anon_sym_BSLASHw] = ACTIONS(107),
    [anon_sym_BSLASHw_STAR] = ACTIONS(107),
    [anon_sym_BSLASHwg] = ACTIONS(107),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(107),
    [anon_sym_BSLASHwh] = ACTIONS(107),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(107),
    [anon_sym_BSLASHwa] = ACTIONS(107),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(107),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfig] = ACTIONS(107),
    [anon_sym_BSLASHjmp] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(107),
    [anon_sym_BSLASHcat] = ACTIONS(107),
    [anon_sym_PIPE] = ACTIONS(107),
  },
  [28] = {
    [aux_sym_text_token1] = ACTIONS(109),
    [anon_sym_BSLASHref] = ACTIONS(111),
    [anon_sym_BSLASHf] = ACTIONS(111),
    [anon_sym_BSLASHf_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfe] = ACTIONS(111),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(111),
    [anon_sym_BSLASHef] = ACTIONS(111),
    [anon_sym_BSLASHef_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfr] = ACTIONS(111),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfq] = ACTIONS(111),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfqa] = ACTIONS(111),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfk] = ACTIONS(111),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfl] = ACTIONS(111),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfw] = ACTIONS(111),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfp] = ACTIONS(111),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(111),
    [anon_sym_BSLASHft] = ACTIONS(111),
    [anon_sym_BSLASHft_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfdc] = ACTIONS(111),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfv] = ACTIONS(111),
    [anon_sym_BSLASHfm] = ACTIONS(111),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(111),
    [anon_sym_BSLASHx] = ACTIONS(111),
    [anon_sym_BSLASHx_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxo] = ACTIONS(111),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxk] = ACTIONS(111),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxq] = ACTIONS(111),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxt] = ACTIONS(111),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxta] = ACTIONS(111),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxop] = ACTIONS(111),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxot] = ACTIONS(111),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxnt] = ACTIONS(111),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxdc] = ACTIONS(111),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(111),
    [anon_sym_BSLASHrq] = ACTIONS(111),
    [anon_sym_BSLASHadd] = ACTIONS(111),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(111),
    [anon_sym_BSLASHbk] = ACTIONS(111),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(111),
    [anon_sym_BSLASHdc] = ACTIONS(111),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(111),
    [anon_sym_BSLASHk] = ACTIONS(111),
    [anon_sym_BSLASHnd] = ACTIONS(111),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(111),
    [anon_sym_BSLASHord] = ACTIONS(111),
    [anon_sym_BSLASHord_STAR] = ACTIONS(111),
    [anon_sym_BSLASHpn] = ACTIONS(111),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(111),
    [anon_sym_BSLASHpng] = ACTIONS(111),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(111),
    [anon_sym_BSLASHaddpn] = ACTIONS(111),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(111),
    [anon_sym_BSLASHqt] = ACTIONS(111),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(111),
    [anon_sym_BSLASHsig] = ACTIONS(111),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(111),
    [anon_sym_BSLASHsls] = ACTIONS(111),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(111),
    [anon_sym_BSLASHtl] = ACTIONS(111),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(111),
    [anon_sym_BSLASHwj] = ACTIONS(111),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(111),
    [anon_sym_BSLASHem] = ACTIONS(111),
    [anon_sym_BSLASHem_STAR] = ACTIONS(111),
    [anon_sym_BSLASHbd] = ACTIONS(111),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(111),
    [anon_sym_BSLASHit] = ACTIONS(111),
    [anon_sym_BSLASHit_STAR] = ACTIONS(111),
    [anon_sym_BSLASHbdit] = ACTIONS(111),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(111),
    [anon_sym_BSLASHno] = ACTIONS(111),
    [anon_sym_BSLASHno_STAR] = ACTIONS(111),
    [anon_sym_BSLASHsc] = ACTIONS(111),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(111),
    [anon_sym_BSLASHsup] = ACTIONS(111),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(111),
    [anon_sym_BSLASHndx] = ACTIONS(111),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(111),
    [anon_sym_BSLASHpro] = ACTIONS(111),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(111),
    [anon_sym_BSLASHrb] = ACTIONS(111),
    [anon_sym_BSLASHw] = ACTIONS(111),
    [anon_sym_BSLASHw_STAR] = ACTIONS(111),
    [anon_sym_BSLASHwg] = ACTIONS(111),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(111),
    [anon_sym_BSLASHwh] = ACTIONS(111),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(111),
    [anon_sym_BSLASHwa] = ACTIONS(111),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(111),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfig] = ACTIONS(111),
    [anon_sym_BSLASHjmp] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(111),
    [anon_sym_BSLASHcat] = ACTIONS(111),
    [anon_sym_PIPE] = ACTIONS(111),
  },
  [29] = {
    [aux_sym_text_token1] = ACTIONS(113),
    [anon_sym_BSLASHref] = ACTIONS(115),
    [anon_sym_BSLASHf] = ACTIONS(115),
    [anon_sym_BSLASHf_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfe] = ACTIONS(115),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(115),
    [anon_sym_BSLASHef] = ACTIONS(115),
    [anon_sym_BSLASHef_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfr] = ACTIONS(115),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfq] = ACTIONS(115),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfqa] = ACTIONS(115),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfk] = ACTIONS(115),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfl] = ACTIONS(115),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfw] = ACTIONS(115),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfp] = ACTIONS(115),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(115),
    [anon_sym_BSLASHft] = ACTIONS(115),
    [anon_sym_BSLASHft_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfdc] = ACTIONS(115),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfv] = ACTIONS(115),
    [anon_sym_BSLASHfm] = ACTIONS(115),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(115),
    [anon_sym_BSLASHx] = ACTIONS(115),
    [anon_sym_BSLASHx_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxo] = ACTIONS(115),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxk] = ACTIONS(115),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxq] = ACTIONS(115),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxt] = ACTIONS(115),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxta] = ACTIONS(115),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxop] = ACTIONS(115),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxot] = ACTIONS(115),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxnt] = ACTIONS(115),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxdc] = ACTIONS(115),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(115),
    [anon_sym_BSLASHrq] = ACTIONS(115),
    [anon_sym_BSLASHadd] = ACTIONS(115),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(115),
    [anon_sym_BSLASHbk] = ACTIONS(115),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(115),
    [anon_sym_BSLASHdc] = ACTIONS(115),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(115),
    [anon_sym_BSLASHk] = ACTIONS(115),
    [anon_sym_BSLASHnd] = ACTIONS(115),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(115),
    [anon_sym_BSLASHord] = ACTIONS(115),
    [anon_sym_BSLASHord_STAR] = ACTIONS(115),
    [anon_sym_BSLASHpn] = ACTIONS(115),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(115),
    [anon_sym_BSLASHpng] = ACTIONS(115),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(115),
    [anon_sym_BSLASHaddpn] = ACTIONS(115),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(115),
    [anon_sym_BSLASHqt] = ACTIONS(115),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(115),
    [anon_sym_BSLASHsig] = ACTIONS(115),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(115),
    [anon_sym_BSLASHsls] = ACTIONS(115),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(115),
    [anon_sym_BSLASHtl] = ACTIONS(115),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(115),
    [anon_sym_BSLASHwj] = ACTIONS(115),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(115),
    [anon_sym_BSLASHem] = ACTIONS(115),
    [anon_sym_BSLASHem_STAR] = ACTIONS(115),
    [anon_sym_BSLASHbd] = ACTIONS(115),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(115),
    [anon_sym_BSLASHit] = ACTIONS(115),
    [anon_sym_BSLASHit_STAR] = ACTIONS(115),
    [anon_sym_BSLASHbdit] = ACTIONS(115),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(115),
    [anon_sym_BSLASHno] = ACTIONS(115),
    [anon_sym_BSLASHno_STAR] = ACTIONS(115),
    [anon_sym_BSLASHsc] = ACTIONS(115),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(115),
    [anon_sym_BSLASHsup] = ACTIONS(115),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(115),
    [anon_sym_BSLASHndx] = ACTIONS(115),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(115),
    [anon_sym_BSLASHpro] = ACTIONS(115),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(115),
    [anon_sym_BSLASHrb] = ACTIONS(115),
    [anon_sym_BSLASHw] = ACTIONS(115),
    [anon_sym_BSLASHw_STAR] = ACTIONS(115),
    [anon_sym_BSLASHwg] = ACTIONS(115),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(115),
    [anon_sym_BSLASHwh] = ACTIONS(115),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(115),
    [anon_sym_BSLASHwa] = ACTIONS(115),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(115),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfig] = ACTIONS(115),
    [anon_sym_BSLASHjmp] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(115),
    [anon_sym_BSLASHcat] = ACTIONS(115),
    [anon_sym_PIPE] = ACTIONS(115),
  },
  [30] = {
    [aux_sym_text_token1] = ACTIONS(117),
    [anon_sym_BSLASHref] = ACTIONS(119),
    [anon_sym_BSLASHf] = ACTIONS(119),
    [anon_sym_BSLASHf_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfe] = ACTIONS(119),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(119),
    [anon_sym_BSLASHef] = ACTIONS(119),
    [anon_sym_BSLASHef_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfr] = ACTIONS(119),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfq] = ACTIONS(119),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfqa] = ACTIONS(119),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfk] = ACTIONS(119),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfl] = ACTIONS(119),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfw] = ACTIONS(119),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfp] = ACTIONS(119),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(119),
    [anon_sym_BSLASHft] = ACTIONS(119),
    [anon_sym_BSLASHft_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfdc] = ACTIONS(119),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfv] = ACTIONS(119),
    [anon_sym_BSLASHfm] = ACTIONS(119),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(119),
    [anon_sym_BSLASHx] = ACTIONS(119),
    [anon_sym_BSLASHx_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxo] = ACTIONS(119),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxk] = ACTIONS(119),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxq] = ACTIONS(119),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxt] = ACTIONS(119),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxta] = ACTIONS(119),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxop] = ACTIONS(119),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxot] = ACTIONS(119),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxnt] = ACTIONS(119),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxdc] = ACTIONS(119),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(119),
    [anon_sym_BSLASHrq] = ACTIONS(119),
    [anon_sym_BSLASHadd] = ACTIONS(119),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(119),
    [anon_sym_BSLASHbk] = ACTIONS(119),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(119),
    [anon_sym_BSLASHdc] = ACTIONS(119),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(119),
    [anon_sym_BSLASHk] = ACTIONS(119),
    [anon_sym_BSLASHnd] = ACTIONS(119),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(119),
    [anon_sym_BSLASHord] = ACTIONS(119),
    [anon_sym_BSLASHord_STAR] = ACTIONS(119),
    [anon_sym_BSLASHpn] = ACTIONS(119),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(119),
    [anon_sym_BSLASHpng] = ACTIONS(119),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(119),
    [anon_sym_BSLASHaddpn] = ACTIONS(119),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(119),
    [anon_sym_BSLASHqt] = ACTIONS(119),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(119),
    [anon_sym_BSLASHsig] = ACTIONS(119),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(119),
    [anon_sym_BSLASHsls] = ACTIONS(119),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(119),
    [anon_sym_BSLASHtl] = ACTIONS(119),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(119),
    [anon_sym_BSLASHwj] = ACTIONS(119),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(119),
    [anon_sym_BSLASHem] = ACTIONS(119),
    [anon_sym_BSLASHem_STAR] = ACTIONS(119),
    [anon_sym_BSLASHbd] = ACTIONS(119),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(119),
    [anon_sym_BSLASHit] = ACTIONS(119),
    [anon_sym_BSLASHit_STAR] = ACTIONS(119),
    [anon_sym_BSLASHbdit] = ACTIONS(119),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(119),
    [anon_sym_BSLASHno] = ACTIONS(119),
    [anon_sym_BSLASHno_STAR] = ACTIONS(119),
    [anon_sym_BSLASHsc] = ACTIONS(119),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(119),
    [anon_sym_BSLASHsup] = ACTIONS(119),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(119),
    [anon_sym_BSLASHndx] = ACTIONS(119),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(119),
    [anon_sym_BSLASHpro] = ACTIONS(119),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(119),
    [anon_sym_BSLASHrb] = ACTIONS(119),
    [anon_sym_BSLASHw] = ACTIONS(119),
    [anon_sym_BSLASHw_STAR] = ACTIONS(119),
    [anon_sym_BSLASHwg] = ACTIONS(119),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(119),
    [anon_sym_BSLASHwh] = ACTIONS(119),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(119),
    [anon_sym_BSLASHwa] = ACTIONS(119),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(119),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfig] = ACTIONS(119),
    [anon_sym_BSLASHjmp] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(119),
    [anon_sym_BSLASHcat] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(119),
  },
  [31] = {
    [aux_sym_text_token1] = ACTIONS(121),
    [anon_sym_BSLASHref] = ACTIONS(123),
    [anon_sym_BSLASHf] = ACTIONS(123),
    [anon_sym_BSLASHf_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfe] = ACTIONS(123),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(123),
    [anon_sym_BSLASHef] = ACTIONS(123),
    [anon_sym_BSLASHef_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfr] = ACTIONS(123),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfq] = ACTIONS(123),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfqa] = ACTIONS(123),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfk] = ACTIONS(123),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfl] = ACTIONS(123),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfw] = ACTIONS(123),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfp] = ACTIONS(123),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(123),
    [anon_sym_BSLASHft] = ACTIONS(123),
    [anon_sym_BSLASHft_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfdc] = ACTIONS(123),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfv] = ACTIONS(123),
    [anon_sym_BSLASHfm] = ACTIONS(123),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(123),
    [anon_sym_BSLASHx] = ACTIONS(123),
    [anon_sym_BSLASHx_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxo] = ACTIONS(123),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxk] = ACTIONS(123),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxq] = ACTIONS(123),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxt] = ACTIONS(123),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxta] = ACTIONS(123),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxop] = ACTIONS(123),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxot] = ACTIONS(123),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxnt] = ACTIONS(123),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxdc] = ACTIONS(123),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(123),
    [anon_sym_BSLASHrq] = ACTIONS(123),
    [anon_sym_BSLASHadd] = ACTIONS(123),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(123),
    [anon_sym_BSLASHbk] = ACTIONS(123),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(123),
    [anon_sym_BSLASHdc] = ACTIONS(123),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(123),
    [anon_sym_BSLASHk] = ACTIONS(123),
    [anon_sym_BSLASHnd] = ACTIONS(123),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(123),
    [anon_sym_BSLASHord] = ACTIONS(123),
    [anon_sym_BSLASHord_STAR] = ACTIONS(123),
    [anon_sym_BSLASHpn] = ACTIONS(123),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(123),
    [anon_sym_BSLASHpng] = ACTIONS(123),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(123),
    [anon_sym_BSLASHaddpn] = ACTIONS(123),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(123),
    [anon_sym_BSLASHqt] = ACTIONS(123),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(123),
    [anon_sym_BSLASHsig] = ACTIONS(123),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(123),
    [anon_sym_BSLASHsls] = ACTIONS(123),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(123),
    [anon_sym_BSLASHtl] = ACTIONS(123),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(123),
    [anon_sym_BSLASHwj] = ACTIONS(123),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(123),
    [anon_sym_BSLASHem] = ACTIONS(123),
    [anon_sym_BSLASHem_STAR] = ACTIONS(123),
    [anon_sym_BSLASHbd] = ACTIONS(123),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(123),
    [anon_sym_BSLASHit] = ACTIONS(123),
    [anon_sym_BSLASHit_STAR] = ACTIONS(123),
    [anon_sym_BSLASHbdit] = ACTIONS(123),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(123),
    [anon_sym_BSLASHno] = ACTIONS(123),
    [anon_sym_BSLASHno_STAR] = ACTIONS(123),
    [anon_sym_BSLASHsc] = ACTIONS(123),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(123),
    [anon_sym_BSLASHsup] = ACTIONS(123),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(123),
    [anon_sym_BSLASHndx] = ACTIONS(123),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(123),
    [anon_sym_BSLASHpro] = ACTIONS(123),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(123),
    [anon_sym_BSLASHrb] = ACTIONS(123),
    [anon_sym_BSLASHw] = ACTIONS(123),
    [anon_sym_BSLASHw_STAR] = ACTIONS(123),
    [anon_sym_BSLASHwg] = ACTIONS(123),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(123),
    [anon_sym_BSLASHwh] = ACTIONS(123),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(123),
    [anon_sym_BSLASHwa] = ACTIONS(123),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(123),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfig] = ACTIONS(123),
    [anon_sym_BSLASHjmp] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(123),
    [anon_sym_BSLASHcat] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(123),
  },
  [32] = {
    [aux_sym_text_token1] = ACTIONS(125),
    [anon_sym_BSLASHref] = ACTIONS(127),
    [anon_sym_BSLASHf] = ACTIONS(127),
    [anon_sym_BSLASHf_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfe] = ACTIONS(127),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(127),
    [anon_sym_BSLASHef] = ACTIONS(127),
    [anon_sym_BSLASHef_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfr] = ACTIONS(127),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfq] = ACTIONS(127),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfqa] = ACTIONS(127),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfk] = ACTIONS(127),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfl] = ACTIONS(127),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfw] = ACTIONS(127),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfp] = ACTIONS(127),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(127),
    [anon_sym_BSLASHft] = ACTIONS(127),
    [anon_sym_BSLASHft_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfdc] = ACTIONS(127),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfv] = ACTIONS(127),
    [anon_sym_BSLASHfm] = ACTIONS(127),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(127),
    [anon_sym_BSLASHx] = ACTIONS(127),
    [anon_sym_BSLASHx_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxo] = ACTIONS(127),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxk] = ACTIONS(127),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxq] = ACTIONS(127),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxt] = ACTIONS(127),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxta] = ACTIONS(127),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxop] = ACTIONS(127),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxot] = ACTIONS(127),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxnt] = ACTIONS(127),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxdc] = ACTIONS(127),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(127),
    [anon_sym_BSLASHrq] = ACTIONS(127),
    [anon_sym_BSLASHadd] = ACTIONS(127),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(127),
    [anon_sym_BSLASHbk] = ACTIONS(127),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(127),
    [anon_sym_BSLASHdc] = ACTIONS(127),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(127),
    [anon_sym_BSLASHk] = ACTIONS(127),
    [anon_sym_BSLASHnd] = ACTIONS(127),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(127),
    [anon_sym_BSLASHord] = ACTIONS(127),
    [anon_sym_BSLASHord_STAR] = ACTIONS(127),
    [anon_sym_BSLASHpn] = ACTIONS(127),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(127),
    [anon_sym_BSLASHpng] = ACTIONS(127),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(127),
    [anon_sym_BSLASHaddpn] = ACTIONS(127),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(127),
    [anon_sym_BSLASHqt] = ACTIONS(127),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(127),
    [anon_sym_BSLASHsig] = ACTIONS(127),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(127),
    [anon_sym_BSLASHsls] = ACTIONS(127),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(127),
    [anon_sym_BSLASHtl] = ACTIONS(127),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(127),
    [anon_sym_BSLASHwj] = ACTIONS(127),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(127),
    [anon_sym_BSLASHem] = ACTIONS(127),
    [anon_sym_BSLASHem_STAR] = ACTIONS(127),
    [anon_sym_BSLASHbd] = ACTIONS(127),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(127),
    [anon_sym_BSLASHit] = ACTIONS(127),
    [anon_sym_BSLASHit_STAR] = ACTIONS(127),
    [anon_sym_BSLASHbdit] = ACTIONS(127),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(127),
    [anon_sym_BSLASHno] = ACTIONS(127),
    [anon_sym_BSLASHno_STAR] = ACTIONS(127),
    [anon_sym_BSLASHsc] = ACTIONS(127),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(127),
    [anon_sym_BSLASHsup] = ACTIONS(127),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(127),
    [anon_sym_BSLASHndx] = ACTIONS(127),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(127),
    [anon_sym_BSLASHpro] = ACTIONS(127),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(127),
    [anon_sym_BSLASHrb] = ACTIONS(127),
    [anon_sym_BSLASHw] = ACTIONS(127),
    [anon_sym_BSLASHw_STAR] = ACTIONS(127),
    [anon_sym_BSLASHwg] = ACTIONS(127),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(127),
    [anon_sym_BSLASHwh] = ACTIONS(127),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(127),
    [anon_sym_BSLASHwa] = ACTIONS(127),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(127),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfig] = ACTIONS(127),
    [anon_sym_BSLASHjmp] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(127),
    [anon_sym_BSLASHcat] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(127),
  },
  [33] = {
    [aux_sym_text_token1] = ACTIONS(129),
    [anon_sym_BSLASHref] = ACTIONS(131),
    [anon_sym_BSLASHf] = ACTIONS(131),
    [anon_sym_BSLASHf_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfe] = ACTIONS(131),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(131),
    [anon_sym_BSLASHef] = ACTIONS(131),
    [anon_sym_BSLASHef_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfr] = ACTIONS(131),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfq] = ACTIONS(131),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfqa] = ACTIONS(131),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfk] = ACTIONS(131),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfl] = ACTIONS(131),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfw] = ACTIONS(131),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfp] = ACTIONS(131),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(131),
    [anon_sym_BSLASHft] = ACTIONS(131),
    [anon_sym_BSLASHft_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfdc] = ACTIONS(131),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfv] = ACTIONS(131),
    [anon_sym_BSLASHfm] = ACTIONS(131),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(131),
    [anon_sym_BSLASHx] = ACTIONS(131),
    [anon_sym_BSLASHx_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxo] = ACTIONS(131),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxk] = ACTIONS(131),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxq] = ACTIONS(131),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxt] = ACTIONS(131),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxta] = ACTIONS(131),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxop] = ACTIONS(131),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxot] = ACTIONS(131),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxnt] = ACTIONS(131),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxdc] = ACTIONS(131),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(131),
    [anon_sym_BSLASHrq] = ACTIONS(131),
    [anon_sym_BSLASHadd] = ACTIONS(131),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(131),
    [anon_sym_BSLASHbk] = ACTIONS(131),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(131),
    [anon_sym_BSLASHdc] = ACTIONS(131),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(131),
    [anon_sym_BSLASHk] = ACTIONS(131),
    [anon_sym_BSLASHnd] = ACTIONS(131),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(131),
    [anon_sym_BSLASHord] = ACTIONS(131),
    [anon_sym_BSLASHord_STAR] = ACTIONS(131),
    [anon_sym_BSLASHpn] = ACTIONS(131),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(131),
    [anon_sym_BSLASHpng] = ACTIONS(131),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(131),
    [anon_sym_BSLASHaddpn] = ACTIONS(131),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(131),
    [anon_sym_BSLASHqt] = ACTIONS(131),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(131),
    [anon_sym_BSLASHsig] = ACTIONS(131),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(131),
    [anon_sym_BSLASHsls] = ACTIONS(131),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(131),
    [anon_sym_BSLASHtl] = ACTIONS(131),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(131),
    [anon_sym_BSLASHwj] = ACTIONS(131),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(131),
    [anon_sym_BSLASHem] = ACTIONS(131),
    [anon_sym_BSLASHem_STAR] = ACTIONS(131),
    [anon_sym_BSLASHbd] = ACTIONS(131),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(131),
    [anon_sym_BSLASHit] = ACTIONS(131),
    [anon_sym_BSLASHit_STAR] = ACTIONS(131),
    [anon_sym_BSLASHbdit] = ACTIONS(131),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(131),
    [anon_sym_BSLASHno] = ACTIONS(131),
    [anon_sym_BSLASHno_STAR] = ACTIONS(131),
    [anon_sym_BSLASHsc] = ACTIONS(131),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(131),
    [anon_sym_BSLASHsup] = ACTIONS(131),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(131),
    [anon_sym_BSLASHndx] = ACTIONS(131),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(131),
    [anon_sym_BSLASHpro] = ACTIONS(131),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(131),
    [anon_sym_BSLASHrb] = ACTIONS(131),
    [anon_sym_BSLASHw] = ACTIONS(131),
    [anon_sym_BSLASHw_STAR] = ACTIONS(131),
    [anon_sym_BSLASHwg] = ACTIONS(131),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(131),
    [anon_sym_BSLASHwh] = ACTIONS(131),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(131),
    [anon_sym_BSLASHwa] = ACTIONS(131),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(131),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfig] = ACTIONS(131),
    [anon_sym_BSLASHjmp] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(131),
    [anon_sym_BSLASHcat] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
  },
  [34] = {
    [aux_sym_text_token1] = ACTIONS(133),
    [anon_sym_BSLASHref] = ACTIONS(135),
    [anon_sym_BSLASHf] = ACTIONS(135),
    [anon_sym_BSLASHf_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfe] = ACTIONS(135),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(135),
    [anon_sym_BSLASHef] = ACTIONS(135),
    [anon_sym_BSLASHef_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfr] = ACTIONS(135),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfq] = ACTIONS(135),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfqa] = ACTIONS(135),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfk] = ACTIONS(135),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfl] = ACTIONS(135),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfw] = ACTIONS(135),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfp] = ACTIONS(135),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(135),
    [anon_sym_BSLASHft] = ACTIONS(135),
    [anon_sym_BSLASHft_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfdc] = ACTIONS(135),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfv] = ACTIONS(135),
    [anon_sym_BSLASHfm] = ACTIONS(135),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(135),
    [anon_sym_BSLASHx] = ACTIONS(135),
    [anon_sym_BSLASHx_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxo] = ACTIONS(135),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxk] = ACTIONS(135),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxq] = ACTIONS(135),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxt] = ACTIONS(135),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxta] = ACTIONS(135),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxop] = ACTIONS(135),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxot] = ACTIONS(135),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxnt] = ACTIONS(135),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxdc] = ACTIONS(135),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(135),
    [anon_sym_BSLASHrq] = ACTIONS(135),
    [anon_sym_BSLASHadd] = ACTIONS(135),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(135),
    [anon_sym_BSLASHbk] = ACTIONS(135),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(135),
    [anon_sym_BSLASHdc] = ACTIONS(135),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(135),
    [anon_sym_BSLASHk] = ACTIONS(135),
    [anon_sym_BSLASHnd] = ACTIONS(135),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(135),
    [anon_sym_BSLASHord] = ACTIONS(135),
    [anon_sym_BSLASHord_STAR] = ACTIONS(135),
    [anon_sym_BSLASHpn] = ACTIONS(135),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(135),
    [anon_sym_BSLASHpng] = ACTIONS(135),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(135),
    [anon_sym_BSLASHaddpn] = ACTIONS(135),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(135),
    [anon_sym_BSLASHqt] = ACTIONS(135),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(135),
    [anon_sym_BSLASHsig] = ACTIONS(135),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(135),
    [anon_sym_BSLASHsls] = ACTIONS(135),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(135),
    [anon_sym_BSLASHtl] = ACTIONS(135),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(135),
    [anon_sym_BSLASHwj] = ACTIONS(135),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(135),
    [anon_sym_BSLASHem] = ACTIONS(135),
    [anon_sym_BSLASHem_STAR] = ACTIONS(135),
    [anon_sym_BSLASHbd] = ACTIONS(135),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(135),
    [anon_sym_BSLASHit] = ACTIONS(135),
    [anon_sym_BSLASHit_STAR] = ACTIONS(135),
    [anon_sym_BSLASHbdit] = ACTIONS(135),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(135),
    [anon_sym_BSLASHno] = ACTIONS(135),
    [anon_sym_BSLASHno_STAR] = ACTIONS(135),
    [anon_sym_BSLASHsc] = ACTIONS(135),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(135),
    [anon_sym_BSLASHsup] = ACTIONS(135),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(135),
    [anon_sym_BSLASHndx] = ACTIONS(135),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(135),
    [anon_sym_BSLASHpro] = ACTIONS(135),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(135),
    [anon_sym_BSLASHrb] = ACTIONS(135),
    [anon_sym_BSLASHw] = ACTIONS(135),
    [anon_sym_BSLASHw_STAR] = ACTIONS(135),
    [anon_sym_BSLASHwg] = ACTIONS(135),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(135),
    [anon_sym_BSLASHwh] = ACTIONS(135),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(135),
    [anon_sym_BSLASHwa] = ACTIONS(135),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(135),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfig] = ACTIONS(135),
    [anon_sym_BSLASHjmp] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(135),
    [anon_sym_BSLASHcat] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(135),
  },
  [35] = {
    [aux_sym_text_token1] = ACTIONS(137),
    [anon_sym_BSLASHref] = ACTIONS(139),
    [anon_sym_BSLASHf] = ACTIONS(139),
    [anon_sym_BSLASHf_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfe] = ACTIONS(139),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(139),
    [anon_sym_BSLASHef] = ACTIONS(139),
    [anon_sym_BSLASHef_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfr] = ACTIONS(139),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfq] = ACTIONS(139),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfqa] = ACTIONS(139),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfk] = ACTIONS(139),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfl] = ACTIONS(139),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfw] = ACTIONS(139),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfp] = ACTIONS(139),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(139),
    [anon_sym_BSLASHft] = ACTIONS(139),
    [anon_sym_BSLASHft_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfdc] = ACTIONS(139),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfv] = ACTIONS(139),
    [anon_sym_BSLASHfm] = ACTIONS(139),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(139),
    [anon_sym_BSLASHx] = ACTIONS(139),
    [anon_sym_BSLASHx_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxo] = ACTIONS(139),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxk] = ACTIONS(139),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxq] = ACTIONS(139),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxt] = ACTIONS(139),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxta] = ACTIONS(139),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxop] = ACTIONS(139),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxot] = ACTIONS(139),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxnt] = ACTIONS(139),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxdc] = ACTIONS(139),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(139),
    [anon_sym_BSLASHrq] = ACTIONS(139),
    [anon_sym_BSLASHadd] = ACTIONS(139),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(139),
    [anon_sym_BSLASHbk] = ACTIONS(139),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(139),
    [anon_sym_BSLASHdc] = ACTIONS(139),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(139),
    [anon_sym_BSLASHk] = ACTIONS(139),
    [anon_sym_BSLASHnd] = ACTIONS(139),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(139),
    [anon_sym_BSLASHord] = ACTIONS(139),
    [anon_sym_BSLASHord_STAR] = ACTIONS(139),
    [anon_sym_BSLASHpn] = ACTIONS(139),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(139),
    [anon_sym_BSLASHpng] = ACTIONS(139),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(139),
    [anon_sym_BSLASHaddpn] = ACTIONS(139),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(139),
    [anon_sym_BSLASHqt] = ACTIONS(139),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(139),
    [anon_sym_BSLASHsig] = ACTIONS(139),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(139),
    [anon_sym_BSLASHsls] = ACTIONS(139),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(139),
    [anon_sym_BSLASHtl] = ACTIONS(139),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(139),
    [anon_sym_BSLASHwj] = ACTIONS(139),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(139),
    [anon_sym_BSLASHem] = ACTIONS(139),
    [anon_sym_BSLASHem_STAR] = ACTIONS(139),
    [anon_sym_BSLASHbd] = ACTIONS(139),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(139),
    [anon_sym_BSLASHit] = ACTIONS(139),
    [anon_sym_BSLASHit_STAR] = ACTIONS(139),
    [anon_sym_BSLASHbdit] = ACTIONS(139),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(139),
    [anon_sym_BSLASHno] = ACTIONS(139),
    [anon_sym_BSLASHno_STAR] = ACTIONS(139),
    [anon_sym_BSLASHsc] = ACTIONS(139),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(139),
    [anon_sym_BSLASHsup] = ACTIONS(139),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(139),
    [anon_sym_BSLASHndx] = ACTIONS(139),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(139),
    [anon_sym_BSLASHpro] = ACTIONS(139),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(139),
    [anon_sym_BSLASHrb] = ACTIONS(139),
    [anon_sym_BSLASHw] = ACTIONS(139),
    [anon_sym_BSLASHw_STAR] = ACTIONS(139),
    [anon_sym_BSLASHwg] = ACTIONS(139),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(139),
    [anon_sym_BSLASHwh] = ACTIONS(139),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(139),
    [anon_sym_BSLASHwa] = ACTIONS(139),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(139),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfig] = ACTIONS(139),
    [anon_sym_BSLASHjmp] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(139),
    [anon_sym_BSLASHcat] = ACTIONS(139),
    [anon_sym_PIPE] = ACTIONS(139),
  },
  [36] = {
    [aux_sym_text_token1] = ACTIONS(141),
    [anon_sym_BSLASHref] = ACTIONS(143),
    [anon_sym_BSLASHf] = ACTIONS(143),
    [anon_sym_BSLASHf_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfe] = ACTIONS(143),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(143),
    [anon_sym_BSLASHef] = ACTIONS(143),
    [anon_sym_BSLASHef_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfr] = ACTIONS(143),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfq] = ACTIONS(143),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfqa] = ACTIONS(143),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfk] = ACTIONS(143),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfl] = ACTIONS(143),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfw] = ACTIONS(143),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfp] = ACTIONS(143),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(143),
    [anon_sym_BSLASHft] = ACTIONS(143),
    [anon_sym_BSLASHft_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfdc] = ACTIONS(143),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfv] = ACTIONS(143),
    [anon_sym_BSLASHfm] = ACTIONS(143),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(143),
    [anon_sym_BSLASHx] = ACTIONS(143),
    [anon_sym_BSLASHx_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxo] = ACTIONS(143),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxk] = ACTIONS(143),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxq] = ACTIONS(143),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxt] = ACTIONS(143),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxta] = ACTIONS(143),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxop] = ACTIONS(143),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxot] = ACTIONS(143),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxnt] = ACTIONS(143),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxdc] = ACTIONS(143),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(143),
    [anon_sym_BSLASHrq] = ACTIONS(143),
    [anon_sym_BSLASHadd] = ACTIONS(143),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(143),
    [anon_sym_BSLASHbk] = ACTIONS(143),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(143),
    [anon_sym_BSLASHdc] = ACTIONS(143),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(143),
    [anon_sym_BSLASHk] = ACTIONS(143),
    [anon_sym_BSLASHnd] = ACTIONS(143),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(143),
    [anon_sym_BSLASHord] = ACTIONS(143),
    [anon_sym_BSLASHord_STAR] = ACTIONS(143),
    [anon_sym_BSLASHpn] = ACTIONS(143),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(143),
    [anon_sym_BSLASHpng] = ACTIONS(143),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(143),
    [anon_sym_BSLASHaddpn] = ACTIONS(143),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(143),
    [anon_sym_BSLASHqt] = ACTIONS(143),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(143),
    [anon_sym_BSLASHsig] = ACTIONS(143),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(143),
    [anon_sym_BSLASHsls] = ACTIONS(143),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(143),
    [anon_sym_BSLASHtl] = ACTIONS(143),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(143),
    [anon_sym_BSLASHwj] = ACTIONS(143),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(143),
    [anon_sym_BSLASHem] = ACTIONS(143),
    [anon_sym_BSLASHem_STAR] = ACTIONS(143),
    [anon_sym_BSLASHbd] = ACTIONS(143),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(143),
    [anon_sym_BSLASHit] = ACTIONS(143),
    [anon_sym_BSLASHit_STAR] = ACTIONS(143),
    [anon_sym_BSLASHbdit] = ACTIONS(143),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(143),
    [anon_sym_BSLASHno] = ACTIONS(143),
    [anon_sym_BSLASHno_STAR] = ACTIONS(143),
    [anon_sym_BSLASHsc] = ACTIONS(143),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(143),
    [anon_sym_BSLASHsup] = ACTIONS(143),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(143),
    [anon_sym_BSLASHndx] = ACTIONS(143),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(143),
    [anon_sym_BSLASHpro] = ACTIONS(143),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(143),
    [anon_sym_BSLASHrb] = ACTIONS(143),
    [anon_sym_BSLASHw] = ACTIONS(143),
    [anon_sym_BSLASHw_STAR] = ACTIONS(143),
    [anon_sym_BSLASHwg] = ACTIONS(143),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(143),
    [anon_sym_BSLASHwh] = ACTIONS(143),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(143),
    [anon_sym_BSLASHwa] = ACTIONS(143),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(143),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfig] = ACTIONS(143),
    [anon_sym_BSLASHjmp] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(143),
    [anon_sym_BSLASHcat] = ACTIONS(143),
    [anon_sym_PIPE] = ACTIONS(143),
  },
  [37] = {
    [aux_sym_text_token1] = ACTIONS(145),
    [anon_sym_BSLASHref] = ACTIONS(147),
    [anon_sym_BSLASHf] = ACTIONS(147),
    [anon_sym_BSLASHf_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfe] = ACTIONS(147),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(147),
    [anon_sym_BSLASHef] = ACTIONS(147),
    [anon_sym_BSLASHef_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfr] = ACTIONS(147),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfq] = ACTIONS(147),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfqa] = ACTIONS(147),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfk] = ACTIONS(147),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfl] = ACTIONS(147),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfw] = ACTIONS(147),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfp] = ACTIONS(147),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(147),
    [anon_sym_BSLASHft] = ACTIONS(147),
    [anon_sym_BSLASHft_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfdc] = ACTIONS(147),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfv] = ACTIONS(147),
    [anon_sym_BSLASHfm] = ACTIONS(147),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(147),
    [anon_sym_BSLASHx] = ACTIONS(147),
    [anon_sym_BSLASHx_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxo] = ACTIONS(147),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxk] = ACTIONS(147),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxq] = ACTIONS(147),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxt] = ACTIONS(147),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxta] = ACTIONS(147),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxop] = ACTIONS(147),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxot] = ACTIONS(147),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxnt] = ACTIONS(147),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxdc] = ACTIONS(147),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(147),
    [anon_sym_BSLASHrq] = ACTIONS(147),
    [anon_sym_BSLASHadd] = ACTIONS(147),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(147),
    [anon_sym_BSLASHbk] = ACTIONS(147),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(147),
    [anon_sym_BSLASHdc] = ACTIONS(147),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(147),
    [anon_sym_BSLASHk] = ACTIONS(147),
    [anon_sym_BSLASHnd] = ACTIONS(147),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(147),
    [anon_sym_BSLASHord] = ACTIONS(147),
    [anon_sym_BSLASHord_STAR] = ACTIONS(147),
    [anon_sym_BSLASHpn] = ACTIONS(147),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(147),
    [anon_sym_BSLASHpng] = ACTIONS(147),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(147),
    [anon_sym_BSLASHaddpn] = ACTIONS(147),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(147),
    [anon_sym_BSLASHqt] = ACTIONS(147),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(147),
    [anon_sym_BSLASHsig] = ACTIONS(147),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(147),
    [anon_sym_BSLASHsls] = ACTIONS(147),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(147),
    [anon_sym_BSLASHtl] = ACTIONS(147),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(147),
    [anon_sym_BSLASHwj] = ACTIONS(147),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(147),
    [anon_sym_BSLASHem] = ACTIONS(147),
    [anon_sym_BSLASHem_STAR] = ACTIONS(147),
    [anon_sym_BSLASHbd] = ACTIONS(147),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(147),
    [anon_sym_BSLASHit] = ACTIONS(147),
    [anon_sym_BSLASHit_STAR] = ACTIONS(147),
    [anon_sym_BSLASHbdit] = ACTIONS(147),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(147),
    [anon_sym_BSLASHno] = ACTIONS(147),
    [anon_sym_BSLASHno_STAR] = ACTIONS(147),
    [anon_sym_BSLASHsc] = ACTIONS(147),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(147),
    [anon_sym_BSLASHsup] = ACTIONS(147),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(147),
    [anon_sym_BSLASHndx] = ACTIONS(147),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(147),
    [anon_sym_BSLASHpro] = ACTIONS(147),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(147),
    [anon_sym_BSLASHrb] = ACTIONS(147),
    [anon_sym_BSLASHw] = ACTIONS(147),
    [anon_sym_BSLASHw_STAR] = ACTIONS(147),
    [anon_sym_BSLASHwg] = ACTIONS(147),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(147),
    [anon_sym_BSLASHwh] = ACTIONS(147),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(147),
    [anon_sym_BSLASHwa] = ACTIONS(147),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(147),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfig] = ACTIONS(147),
    [anon_sym_BSLASHjmp] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(147),
    [anon_sym_BSLASHcat] = ACTIONS(147),
    [anon_sym_PIPE] = ACTIONS(147),
  },
  [38] = {
    [aux_sym_text_token1] = ACTIONS(149),
    [anon_sym_BSLASHref] = ACTIONS(151),
    [anon_sym_BSLASHf] = ACTIONS(151),
    [anon_sym_BSLASHf_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfe] = ACTIONS(151),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(151),
    [anon_sym_BSLASHef] = ACTIONS(151),
    [anon_sym_BSLASHef_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfr] = ACTIONS(151),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfq] = ACTIONS(151),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfqa] = ACTIONS(151),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfk] = ACTIONS(151),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfl] = ACTIONS(151),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfw] = ACTIONS(151),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfp] = ACTIONS(151),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(151),
    [anon_sym_BSLASHft] = ACTIONS(151),
    [anon_sym_BSLASHft_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfdc] = ACTIONS(151),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfv] = ACTIONS(151),
    [anon_sym_BSLASHfm] = ACTIONS(151),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(151),
    [anon_sym_BSLASHx] = ACTIONS(151),
    [anon_sym_BSLASHx_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxo] = ACTIONS(151),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxk] = ACTIONS(151),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxq] = ACTIONS(151),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxt] = ACTIONS(151),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxta] = ACTIONS(151),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxop] = ACTIONS(151),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxot] = ACTIONS(151),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxnt] = ACTIONS(151),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxdc] = ACTIONS(151),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(151),
    [anon_sym_BSLASHrq] = ACTIONS(151),
    [anon_sym_BSLASHadd] = ACTIONS(151),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(151),
    [anon_sym_BSLASHbk] = ACTIONS(151),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(151),
    [anon_sym_BSLASHdc] = ACTIONS(151),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(151),
    [anon_sym_BSLASHk] = ACTIONS(151),
    [anon_sym_BSLASHnd] = ACTIONS(151),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(151),
    [anon_sym_BSLASHord] = ACTIONS(151),
    [anon_sym_BSLASHord_STAR] = ACTIONS(151),
    [anon_sym_BSLASHpn] = ACTIONS(151),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(151),
    [anon_sym_BSLASHpng] = ACTIONS(151),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(151),
    [anon_sym_BSLASHaddpn] = ACTIONS(151),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(151),
    [anon_sym_BSLASHqt] = ACTIONS(151),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(151),
    [anon_sym_BSLASHsig] = ACTIONS(151),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(151),
    [anon_sym_BSLASHsls] = ACTIONS(151),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(151),
    [anon_sym_BSLASHtl] = ACTIONS(151),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(151),
    [anon_sym_BSLASHwj] = ACTIONS(151),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(151),
    [anon_sym_BSLASHem] = ACTIONS(151),
    [anon_sym_BSLASHem_STAR] = ACTIONS(151),
    [anon_sym_BSLASHbd] = ACTIONS(151),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(151),
    [anon_sym_BSLASHit] = ACTIONS(151),
    [anon_sym_BSLASHit_STAR] = ACTIONS(151),
    [anon_sym_BSLASHbdit] = ACTIONS(151),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(151),
    [anon_sym_BSLASHno] = ACTIONS(151),
    [anon_sym_BSLASHno_STAR] = ACTIONS(151),
    [anon_sym_BSLASHsc] = ACTIONS(151),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(151),
    [anon_sym_BSLASHsup] = ACTIONS(151),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(151),
    [anon_sym_BSLASHndx] = ACTIONS(151),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(151),
    [anon_sym_BSLASHpro] = ACTIONS(151),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(151),
    [anon_sym_BSLASHrb] = ACTIONS(151),
    [anon_sym_BSLASHw] = ACTIONS(151),
    [anon_sym_BSLASHw_STAR] = ACTIONS(151),
    [anon_sym_BSLASHwg] = ACTIONS(151),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(151),
    [anon_sym_BSLASHwh] = ACTIONS(151),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(151),
    [anon_sym_BSLASHwa] = ACTIONS(151),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(151),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfig] = ACTIONS(151),
    [anon_sym_BSLASHjmp] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(151),
    [anon_sym_BSLASHcat] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(151),
  },
  [39] = {
    [aux_sym_text_token1] = ACTIONS(153),
    [anon_sym_BSLASHref] = ACTIONS(155),
    [anon_sym_BSLASHf] = ACTIONS(155),
    [anon_sym_BSLASHf_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfe] = ACTIONS(155),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(155),
    [anon_sym_BSLASHef] = ACTIONS(155),
    [anon_sym_BSLASHef_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfr] = ACTIONS(155),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfq] = ACTIONS(155),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfqa] = ACTIONS(155),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfk] = ACTIONS(155),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfl] = ACTIONS(155),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfw] = ACTIONS(155),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfp] = ACTIONS(155),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(155),
    [anon_sym_BSLASHft] = ACTIONS(155),
    [anon_sym_BSLASHft_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfdc] = ACTIONS(155),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfv] = ACTIONS(155),
    [anon_sym_BSLASHfm] = ACTIONS(155),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(155),
    [anon_sym_BSLASHx] = ACTIONS(155),
    [anon_sym_BSLASHx_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxo] = ACTIONS(155),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxk] = ACTIONS(155),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxq] = ACTIONS(155),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxt] = ACTIONS(155),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxta] = ACTIONS(155),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxop] = ACTIONS(155),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxot] = ACTIONS(155),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxnt] = ACTIONS(155),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxdc] = ACTIONS(155),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(155),
    [anon_sym_BSLASHrq] = ACTIONS(155),
    [anon_sym_BSLASHadd] = ACTIONS(155),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(155),
    [anon_sym_BSLASHbk] = ACTIONS(155),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(155),
    [anon_sym_BSLASHdc] = ACTIONS(155),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(155),
    [anon_sym_BSLASHk] = ACTIONS(155),
    [anon_sym_BSLASHnd] = ACTIONS(155),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(155),
    [anon_sym_BSLASHord] = ACTIONS(155),
    [anon_sym_BSLASHord_STAR] = ACTIONS(155),
    [anon_sym_BSLASHpn] = ACTIONS(155),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(155),
    [anon_sym_BSLASHpng] = ACTIONS(155),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(155),
    [anon_sym_BSLASHaddpn] = ACTIONS(155),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(155),
    [anon_sym_BSLASHqt] = ACTIONS(155),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(155),
    [anon_sym_BSLASHsig] = ACTIONS(155),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(155),
    [anon_sym_BSLASHsls] = ACTIONS(155),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(155),
    [anon_sym_BSLASHtl] = ACTIONS(155),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(155),
    [anon_sym_BSLASHwj] = ACTIONS(155),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(155),
    [anon_sym_BSLASHem] = ACTIONS(155),
    [anon_sym_BSLASHem_STAR] = ACTIONS(155),
    [anon_sym_BSLASHbd] = ACTIONS(155),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(155),
    [anon_sym_BSLASHit] = ACTIONS(155),
    [anon_sym_BSLASHit_STAR] = ACTIONS(155),
    [anon_sym_BSLASHbdit] = ACTIONS(155),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(155),
    [anon_sym_BSLASHno] = ACTIONS(155),
    [anon_sym_BSLASHno_STAR] = ACTIONS(155),
    [anon_sym_BSLASHsc] = ACTIONS(155),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(155),
    [anon_sym_BSLASHsup] = ACTIONS(155),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(155),
    [anon_sym_BSLASHndx] = ACTIONS(155),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(155),
    [anon_sym_BSLASHpro] = ACTIONS(155),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(155),
    [anon_sym_BSLASHrb] = ACTIONS(155),
    [anon_sym_BSLASHw] = ACTIONS(155),
    [anon_sym_BSLASHw_STAR] = ACTIONS(155),
    [anon_sym_BSLASHwg] = ACTIONS(155),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(155),
    [anon_sym_BSLASHwh] = ACTIONS(155),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(155),
    [anon_sym_BSLASHwa] = ACTIONS(155),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(155),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfig] = ACTIONS(155),
    [anon_sym_BSLASHjmp] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(155),
    [anon_sym_BSLASHcat] = ACTIONS(155),
    [anon_sym_PIPE] = ACTIONS(155),
  },
  [40] = {
    [aux_sym_text_token1] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(159),
    [anon_sym_BSLASHf] = ACTIONS(159),
    [anon_sym_BSLASHf_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfe] = ACTIONS(159),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(159),
    [anon_sym_BSLASHef] = ACTIONS(159),
    [anon_sym_BSLASHef_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfr] = ACTIONS(159),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfq] = ACTIONS(159),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfqa] = ACTIONS(159),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfk] = ACTIONS(159),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfl] = ACTIONS(159),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfw] = ACTIONS(159),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfp] = ACTIONS(159),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(159),
    [anon_sym_BSLASHft] = ACTIONS(159),
    [anon_sym_BSLASHft_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfdc] = ACTIONS(159),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfv] = ACTIONS(159),
    [anon_sym_BSLASHfm] = ACTIONS(159),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(159),
    [anon_sym_BSLASHx] = ACTIONS(159),
    [anon_sym_BSLASHx_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxo] = ACTIONS(159),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxk] = ACTIONS(159),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxq] = ACTIONS(159),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxt] = ACTIONS(159),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxta] = ACTIONS(159),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxop] = ACTIONS(159),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxot] = ACTIONS(159),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxnt] = ACTIONS(159),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxdc] = ACTIONS(159),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrq] = ACTIONS(159),
    [anon_sym_BSLASHadd] = ACTIONS(159),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(159),
    [anon_sym_BSLASHbk] = ACTIONS(159),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdc] = ACTIONS(159),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(159),
    [anon_sym_BSLASHk] = ACTIONS(159),
    [anon_sym_BSLASHnd] = ACTIONS(159),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(159),
    [anon_sym_BSLASHord] = ACTIONS(159),
    [anon_sym_BSLASHord_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpn] = ACTIONS(159),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpng] = ACTIONS(159),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddpn] = ACTIONS(159),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(159),
    [anon_sym_BSLASHqt] = ACTIONS(159),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsig] = ACTIONS(159),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsls] = ACTIONS(159),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(159),
    [anon_sym_BSLASHtl] = ACTIONS(159),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(159),
    [anon_sym_BSLASHwj] = ACTIONS(159),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(159),
    [anon_sym_BSLASHem] = ACTIONS(159),
    [anon_sym_BSLASHem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHbd] = ACTIONS(159),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(159),
    [anon_sym_BSLASHit] = ACTIONS(159),
    [anon_sym_BSLASHit_STAR] = ACTIONS(159),
    [anon_sym_BSLASHbdit] = ACTIONS(159),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(159),
    [anon_sym_BSLASHno] = ACTIONS(159),
    [anon_sym_BSLASHno_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsc] = ACTIONS(159),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsup] = ACTIONS(159),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(159),
    [anon_sym_BSLASHndx] = ACTIONS(159),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpro] = ACTIONS(159),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrb] = ACTIONS(159),
    [anon_sym_BSLASHw] = ACTIONS(159),
    [anon_sym_BSLASHw_STAR] = ACTIONS(159),
    [anon_sym_BSLASHwg] = ACTIONS(159),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(159),
    [anon_sym_BSLASHwh] = ACTIONS(159),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(159),
    [anon_sym_BSLASHwa] = ACTIONS(159),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(159),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfig] = ACTIONS(159),
    [anon_sym_BSLASHjmp] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(159),
    [anon_sym_BSLASHcat] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(159),
  },
  [41] = {
    [aux_sym_text_token1] = ACTIONS(161),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHf] = ACTIONS(163),
    [anon_sym_BSLASHf_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfe] = ACTIONS(163),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(163),
    [anon_sym_BSLASHef] = ACTIONS(163),
    [anon_sym_BSLASHef_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfr] = ACTIONS(163),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfq] = ACTIONS(163),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfqa] = ACTIONS(163),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfk] = ACTIONS(163),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfl] = ACTIONS(163),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfw] = ACTIONS(163),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfp] = ACTIONS(163),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(163),
    [anon_sym_BSLASHft] = ACTIONS(163),
    [anon_sym_BSLASHft_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfdc] = ACTIONS(163),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfv] = ACTIONS(163),
    [anon_sym_BSLASHfm] = ACTIONS(163),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(163),
    [anon_sym_BSLASHx] = ACTIONS(163),
    [anon_sym_BSLASHx_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxo] = ACTIONS(163),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxk] = ACTIONS(163),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxq] = ACTIONS(163),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxt] = ACTIONS(163),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxta] = ACTIONS(163),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxop] = ACTIONS(163),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxot] = ACTIONS(163),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxnt] = ACTIONS(163),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxdc] = ACTIONS(163),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(163),
    [anon_sym_BSLASHrq] = ACTIONS(163),
    [anon_sym_BSLASHadd] = ACTIONS(163),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(163),
    [anon_sym_BSLASHbk] = ACTIONS(163),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(163),
    [anon_sym_BSLASHdc] = ACTIONS(163),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(163),
    [anon_sym_BSLASHk] = ACTIONS(163),
    [anon_sym_BSLASHnd] = ACTIONS(163),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(163),
    [anon_sym_BSLASHord] = ACTIONS(163),
    [anon_sym_BSLASHord_STAR] = ACTIONS(163),
    [anon_sym_BSLASHpn] = ACTIONS(163),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(163),
    [anon_sym_BSLASHpng] = ACTIONS(163),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(163),
    [anon_sym_BSLASHaddpn] = ACTIONS(163),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(163),
    [anon_sym_BSLASHqt] = ACTIONS(163),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(163),
    [anon_sym_BSLASHsig] = ACTIONS(163),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(163),
    [anon_sym_BSLASHsls] = ACTIONS(163),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(163),
    [anon_sym_BSLASHtl] = ACTIONS(163),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(163),
    [anon_sym_BSLASHwj] = ACTIONS(163),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(163),
    [anon_sym_BSLASHem] = ACTIONS(163),
    [anon_sym_BSLASHem_STAR] = ACTIONS(163),
    [anon_sym_BSLASHbd] = ACTIONS(163),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(163),
    [anon_sym_BSLASHit] = ACTIONS(163),
    [anon_sym_BSLASHit_STAR] = ACTIONS(163),
    [anon_sym_BSLASHbdit] = ACTIONS(163),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(163),
    [anon_sym_BSLASHno] = ACTIONS(163),
    [anon_sym_BSLASHno_STAR] = ACTIONS(163),
    [anon_sym_BSLASHsc] = ACTIONS(163),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(163),
    [anon_sym_BSLASHsup] = ACTIONS(163),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(163),
    [anon_sym_BSLASHndx] = ACTIONS(163),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(163),
    [anon_sym_BSLASHpro] = ACTIONS(163),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(163),
    [anon_sym_BSLASHrb] = ACTIONS(163),
    [anon_sym_BSLASHw] = ACTIONS(163),
    [anon_sym_BSLASHw_STAR] = ACTIONS(163),
    [anon_sym_BSLASHwg] = ACTIONS(163),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(163),
    [anon_sym_BSLASHwh] = ACTIONS(163),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(163),
    [anon_sym_BSLASHwa] = ACTIONS(163),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(163),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfig] = ACTIONS(163),
    [anon_sym_BSLASHjmp] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(163),
    [anon_sym_BSLASHcat] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
  },
  [42] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(46),
    [sym__comments] = STATE(46),
    [sym_sts] = STATE(46),
    [sym_rem] = STATE(46),
    [sym_restore] = STATE(46),
    [sym_lit] = STATE(46),
    [sym_verseText] = STATE(46),
    [sym_v] = STATE(46),
    [sym__verseMeta] = STATE(46),
    [sym_va] = STATE(46),
    [sym_vp] = STATE(46),
    [sym__paragraphContent] = STATE(46),
    [sym_liv] = STATE(46),
    [sym_livTag] = STATE(2906),
    [sym_lik] = STATE(46),
    [sym_litl] = STATE(46),
    [sym__listTextContent] = STATE(46),
    [sym_footnote] = STATE(46),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(46),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(46),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(46),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_li_repeat1] = STATE(46),
    [ts_builtin_sym_end] = ACTIONS(165),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(179),
    [anon_sym_BSLASHiex] = ACTIONS(179),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(179),
    [anon_sym_BSLASHcl] = ACTIONS(179),
    [anon_sym_BSLASHca] = ACTIONS(179),
    [anon_sym_BSLASHcp] = ACTIONS(179),
    [anon_sym_BSLASHcd] = ACTIONS(179),
    [anon_sym_BSLASHmte] = ACTIONS(179),
    [anon_sym_BSLASHms] = ACTIONS(179),
    [anon_sym_BSLASHs] = ACTIONS(179),
    [anon_sym_BSLASHr] = ACTIONS(179),
    [anon_sym_BSLASHsp] = ACTIONS(179),
    [anon_sym_BSLASHd] = ACTIONS(179),
    [anon_sym_BSLASHsd] = ACTIONS(179),
    [anon_sym_BSLASHp] = ACTIONS(179),
    [anon_sym_BSLASHm] = ACTIONS(179),
    [anon_sym_BSLASHpo] = ACTIONS(179),
    [anon_sym_BSLASHpr] = ACTIONS(179),
    [anon_sym_BSLASHcls] = ACTIONS(179),
    [anon_sym_BSLASHpmo] = ACTIONS(179),
    [anon_sym_BSLASHpm] = ACTIONS(179),
    [anon_sym_BSLASHpmc] = ACTIONS(179),
    [anon_sym_BSLASHpmr] = ACTIONS(179),
    [anon_sym_BSLASHpi] = ACTIONS(179),
    [anon_sym_BSLASHmi] = ACTIONS(179),
    [anon_sym_BSLASHnb] = ACTIONS(179),
    [anon_sym_BSLASHpc] = ACTIONS(179),
    [anon_sym_BSLASHph] = ACTIONS(179),
    [anon_sym_BSLASHb] = ACTIONS(179),
    [anon_sym_BSLASHq] = ACTIONS(179),
    [anon_sym_BSLASHqr] = ACTIONS(179),
    [anon_sym_BSLASHqc] = ACTIONS(179),
    [anon_sym_BSLASHqa] = ACTIONS(179),
    [anon_sym_BSLASHqm] = ACTIONS(179),
    [anon_sym_BSLASHqd] = ACTIONS(179),
    [anon_sym_BSLASHlh] = ACTIONS(179),
    [anon_sym_BSLASHlf] = ACTIONS(179),
    [anon_sym_BSLASHli] = ACTIONS(179),
    [anon_sym_BSLASHlim] = ACTIONS(179),
    [anon_sym_BSLASHliv] = ACTIONS(187),
    [anon_sym_BSLASHlik] = ACTIONS(189),
    [anon_sym_BSLASHlitl] = ACTIONS(191),
    [anon_sym_BSLASHtr] = ACTIONS(179),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(179),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(179),
  },
  [43] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(45),
    [sym__comments] = STATE(45),
    [sym_sts] = STATE(45),
    [sym_rem] = STATE(45),
    [sym_restore] = STATE(45),
    [sym_lit] = STATE(45),
    [sym_verseText] = STATE(45),
    [sym_v] = STATE(45),
    [sym__verseMeta] = STATE(45),
    [sym_va] = STATE(45),
    [sym_vp] = STATE(45),
    [sym__paragraphContent] = STATE(45),
    [sym_liv] = STATE(45),
    [sym_livTag] = STATE(2906),
    [sym_lik] = STATE(45),
    [sym_litl] = STATE(45),
    [sym__listTextContent] = STATE(45),
    [sym_footnote] = STATE(45),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(45),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(45),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(45),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_li_repeat1] = STATE(45),
    [ts_builtin_sym_end] = ACTIONS(275),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(277),
    [anon_sym_BSLASHiex] = ACTIONS(277),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(277),
    [anon_sym_BSLASHcl] = ACTIONS(277),
    [anon_sym_BSLASHca] = ACTIONS(277),
    [anon_sym_BSLASHcp] = ACTIONS(277),
    [anon_sym_BSLASHcd] = ACTIONS(277),
    [anon_sym_BSLASHmte] = ACTIONS(277),
    [anon_sym_BSLASHms] = ACTIONS(277),
    [anon_sym_BSLASHs] = ACTIONS(277),
    [anon_sym_BSLASHr] = ACTIONS(277),
    [anon_sym_BSLASHsp] = ACTIONS(277),
    [anon_sym_BSLASHd] = ACTIONS(277),
    [anon_sym_BSLASHsd] = ACTIONS(277),
    [anon_sym_BSLASHp] = ACTIONS(277),
    [anon_sym_BSLASHm] = ACTIONS(277),
    [anon_sym_BSLASHpo] = ACTIONS(277),
    [anon_sym_BSLASHpr] = ACTIONS(277),
    [anon_sym_BSLASHcls] = ACTIONS(277),
    [anon_sym_BSLASHpmo] = ACTIONS(277),
    [anon_sym_BSLASHpm] = ACTIONS(277),
    [anon_sym_BSLASHpmc] = ACTIONS(277),
    [anon_sym_BSLASHpmr] = ACTIONS(277),
    [anon_sym_BSLASHpi] = ACTIONS(277),
    [anon_sym_BSLASHmi] = ACTIONS(277),
    [anon_sym_BSLASHnb] = ACTIONS(277),
    [anon_sym_BSLASHpc] = ACTIONS(277),
    [anon_sym_BSLASHph] = ACTIONS(277),
    [anon_sym_BSLASHb] = ACTIONS(277),
    [anon_sym_BSLASHq] = ACTIONS(277),
    [anon_sym_BSLASHqr] = ACTIONS(277),
    [anon_sym_BSLASHqc] = ACTIONS(277),
    [anon_sym_BSLASHqa] = ACTIONS(277),
    [anon_sym_BSLASHqm] = ACTIONS(277),
    [anon_sym_BSLASHqd] = ACTIONS(277),
    [anon_sym_BSLASHlh] = ACTIONS(277),
    [anon_sym_BSLASHlf] = ACTIONS(277),
    [anon_sym_BSLASHli] = ACTIONS(277),
    [anon_sym_BSLASHlim] = ACTIONS(277),
    [anon_sym_BSLASHliv] = ACTIONS(187),
    [anon_sym_BSLASHlik] = ACTIONS(189),
    [anon_sym_BSLASHlitl] = ACTIONS(191),
    [anon_sym_BSLASHtr] = ACTIONS(277),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(277),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(277),
  },
  [44] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(44),
    [sym__comments] = STATE(44),
    [sym_sts] = STATE(44),
    [sym_rem] = STATE(44),
    [sym_restore] = STATE(44),
    [sym_lit] = STATE(44),
    [sym_verseText] = STATE(44),
    [sym_v] = STATE(44),
    [sym__verseMeta] = STATE(44),
    [sym_va] = STATE(44),
    [sym_vp] = STATE(44),
    [sym__paragraphContent] = STATE(44),
    [sym_liv] = STATE(44),
    [sym_livTag] = STATE(2906),
    [sym_lik] = STATE(44),
    [sym_litl] = STATE(44),
    [sym__listTextContent] = STATE(44),
    [sym_footnote] = STATE(44),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(44),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(44),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(44),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_li_repeat1] = STATE(44),
    [ts_builtin_sym_end] = ACTIONS(279),
    [aux_sym_text_token1] = ACTIONS(281),
    [anon_sym_BSLASHref] = ACTIONS(284),
    [anon_sym_BSLASHsts] = ACTIONS(287),
    [anon_sym_BSLASHrem] = ACTIONS(290),
    [anon_sym_BSLASHrestore] = ACTIONS(293),
    [anon_sym_BSLASHlit] = ACTIONS(296),
    [anon_sym_BSLASHip] = ACTIONS(299),
    [anon_sym_BSLASHiex] = ACTIONS(299),
    [anon_sym_BSLASHv] = ACTIONS(301),
    [anon_sym_BSLASHva] = ACTIONS(304),
    [anon_sym_BSLASHvp] = ACTIONS(307),
    [anon_sym_BSLASHc] = ACTIONS(299),
    [anon_sym_BSLASHcl] = ACTIONS(299),
    [anon_sym_BSLASHca] = ACTIONS(299),
    [anon_sym_BSLASHcp] = ACTIONS(299),
    [anon_sym_BSLASHcd] = ACTIONS(299),
    [anon_sym_BSLASHmte] = ACTIONS(299),
    [anon_sym_BSLASHms] = ACTIONS(299),
    [anon_sym_BSLASHs] = ACTIONS(299),
    [anon_sym_BSLASHr] = ACTIONS(299),
    [anon_sym_BSLASHsp] = ACTIONS(299),
    [anon_sym_BSLASHd] = ACTIONS(299),
    [anon_sym_BSLASHsd] = ACTIONS(299),
    [anon_sym_BSLASHp] = ACTIONS(299),
    [anon_sym_BSLASHm] = ACTIONS(299),
    [anon_sym_BSLASHpo] = ACTIONS(299),
    [anon_sym_BSLASHpr] = ACTIONS(299),
    [anon_sym_BSLASHcls] = ACTIONS(299),
    [anon_sym_BSLASHpmo] = ACTIONS(299),
    [anon_sym_BSLASHpm] = ACTIONS(299),
    [anon_sym_BSLASHpmc] = ACTIONS(299),
    [anon_sym_BSLASHpmr] = ACTIONS(299),
    [anon_sym_BSLASHpi] = ACTIONS(299),
    [anon_sym_BSLASHmi] = ACTIONS(299),
    [anon_sym_BSLASHnb] = ACTIONS(299),
    [anon_sym_BSLASHpc] = ACTIONS(299),
    [anon_sym_BSLASHph] = ACTIONS(299),
    [anon_sym_BSLASHb] = ACTIONS(299),
    [anon_sym_BSLASHq] = ACTIONS(299),
    [anon_sym_BSLASHqr] = ACTIONS(299),
    [anon_sym_BSLASHqc] = ACTIONS(299),
    [anon_sym_BSLASHqa] = ACTIONS(299),
    [anon_sym_BSLASHqm] = ACTIONS(299),
    [anon_sym_BSLASHqd] = ACTIONS(299),
    [anon_sym_BSLASHlh] = ACTIONS(299),
    [anon_sym_BSLASHlf] = ACTIONS(299),
    [anon_sym_BSLASHli] = ACTIONS(299),
    [anon_sym_BSLASHlim] = ACTIONS(299),
    [anon_sym_BSLASHliv] = ACTIONS(310),
    [anon_sym_BSLASHlik] = ACTIONS(313),
    [anon_sym_BSLASHlitl] = ACTIONS(316),
    [anon_sym_BSLASHtr] = ACTIONS(299),
    [anon_sym_BSLASHf] = ACTIONS(319),
    [anon_sym_BSLASHfe] = ACTIONS(322),
    [anon_sym_BSLASHef] = ACTIONS(325),
    [anon_sym_BSLASHfm] = ACTIONS(328),
    [anon_sym_BSLASHx] = ACTIONS(331),
    [anon_sym_BSLASHxt] = ACTIONS(334),
    [anon_sym_BSLASHrq] = ACTIONS(337),
    [anon_sym_BSLASHadd] = ACTIONS(340),
    [anon_sym_BSLASHbk] = ACTIONS(343),
    [anon_sym_BSLASHdc] = ACTIONS(346),
    [anon_sym_BSLASHk] = ACTIONS(349),
    [anon_sym_BSLASHnd] = ACTIONS(352),
    [anon_sym_BSLASHord] = ACTIONS(355),
    [anon_sym_BSLASHpn] = ACTIONS(358),
    [anon_sym_BSLASHpng] = ACTIONS(361),
    [anon_sym_BSLASHaddpn] = ACTIONS(364),
    [anon_sym_BSLASHqt] = ACTIONS(367),
    [anon_sym_BSLASHsig] = ACTIONS(370),
    [anon_sym_BSLASHsls] = ACTIONS(373),
    [anon_sym_BSLASHtl] = ACTIONS(376),
    [anon_sym_BSLASHwj] = ACTIONS(379),
    [anon_sym_BSLASHem] = ACTIONS(382),
    [anon_sym_BSLASHbd] = ACTIONS(385),
    [anon_sym_BSLASHit] = ACTIONS(388),
    [anon_sym_BSLASHbdit] = ACTIONS(391),
    [anon_sym_BSLASHno] = ACTIONS(394),
    [anon_sym_BSLASHsc] = ACTIONS(397),
    [anon_sym_BSLASHsup] = ACTIONS(400),
    [anon_sym_BSLASHndx] = ACTIONS(403),
    [anon_sym_BSLASHpro] = ACTIONS(406),
    [anon_sym_BSLASHrb] = ACTIONS(409),
    [anon_sym_BSLASHw] = ACTIONS(412),
    [anon_sym_BSLASHwg] = ACTIONS(415),
    [anon_sym_BSLASHwh] = ACTIONS(418),
    [anon_sym_BSLASHwa] = ACTIONS(421),
    [anon_sym_BSLASHfig] = ACTIONS(424),
    [anon_sym_BSLASHjmp] = ACTIONS(427),
    [anon_sym_BSLASHpb] = ACTIONS(299),
    [anon_sym_BSLASH] = ACTIONS(430),
    [sym_milestoneStartTag] = ACTIONS(433),
    [sym_milestoneEndTag] = ACTIONS(436),
    [sym_zSpaceTag] = ACTIONS(439),
    [anon_sym_BSLASHesb] = ACTIONS(299),
  },
  [45] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(44),
    [sym__comments] = STATE(44),
    [sym_sts] = STATE(44),
    [sym_rem] = STATE(44),
    [sym_restore] = STATE(44),
    [sym_lit] = STATE(44),
    [sym_verseText] = STATE(44),
    [sym_v] = STATE(44),
    [sym__verseMeta] = STATE(44),
    [sym_va] = STATE(44),
    [sym_vp] = STATE(44),
    [sym__paragraphContent] = STATE(44),
    [sym_liv] = STATE(44),
    [sym_livTag] = STATE(2906),
    [sym_lik] = STATE(44),
    [sym_litl] = STATE(44),
    [sym__listTextContent] = STATE(44),
    [sym_footnote] = STATE(44),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(44),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(44),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(44),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_li_repeat1] = STATE(44),
    [ts_builtin_sym_end] = ACTIONS(442),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(444),
    [anon_sym_BSLASHiex] = ACTIONS(444),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(444),
    [anon_sym_BSLASHcl] = ACTIONS(444),
    [anon_sym_BSLASHca] = ACTIONS(444),
    [anon_sym_BSLASHcp] = ACTIONS(444),
    [anon_sym_BSLASHcd] = ACTIONS(444),
    [anon_sym_BSLASHmte] = ACTIONS(444),
    [anon_sym_BSLASHms] = ACTIONS(444),
    [anon_sym_BSLASHs] = ACTIONS(444),
    [anon_sym_BSLASHr] = ACTIONS(444),
    [anon_sym_BSLASHsp] = ACTIONS(444),
    [anon_sym_BSLASHd] = ACTIONS(444),
    [anon_sym_BSLASHsd] = ACTIONS(444),
    [anon_sym_BSLASHp] = ACTIONS(444),
    [anon_sym_BSLASHm] = ACTIONS(444),
    [anon_sym_BSLASHpo] = ACTIONS(444),
    [anon_sym_BSLASHpr] = ACTIONS(444),
    [anon_sym_BSLASHcls] = ACTIONS(444),
    [anon_sym_BSLASHpmo] = ACTIONS(444),
    [anon_sym_BSLASHpm] = ACTIONS(444),
    [anon_sym_BSLASHpmc] = ACTIONS(444),
    [anon_sym_BSLASHpmr] = ACTIONS(444),
    [anon_sym_BSLASHpi] = ACTIONS(444),
    [anon_sym_BSLASHmi] = ACTIONS(444),
    [anon_sym_BSLASHnb] = ACTIONS(444),
    [anon_sym_BSLASHpc] = ACTIONS(444),
    [anon_sym_BSLASHph] = ACTIONS(444),
    [anon_sym_BSLASHb] = ACTIONS(444),
    [anon_sym_BSLASHq] = ACTIONS(444),
    [anon_sym_BSLASHqr] = ACTIONS(444),
    [anon_sym_BSLASHqc] = ACTIONS(444),
    [anon_sym_BSLASHqa] = ACTIONS(444),
    [anon_sym_BSLASHqm] = ACTIONS(444),
    [anon_sym_BSLASHqd] = ACTIONS(444),
    [anon_sym_BSLASHlh] = ACTIONS(444),
    [anon_sym_BSLASHlf] = ACTIONS(444),
    [anon_sym_BSLASHli] = ACTIONS(444),
    [anon_sym_BSLASHlim] = ACTIONS(444),
    [anon_sym_BSLASHliv] = ACTIONS(187),
    [anon_sym_BSLASHlik] = ACTIONS(189),
    [anon_sym_BSLASHlitl] = ACTIONS(191),
    [anon_sym_BSLASHtr] = ACTIONS(444),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(444),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(444),
  },
  [46] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(44),
    [sym__comments] = STATE(44),
    [sym_sts] = STATE(44),
    [sym_rem] = STATE(44),
    [sym_restore] = STATE(44),
    [sym_lit] = STATE(44),
    [sym_verseText] = STATE(44),
    [sym_v] = STATE(44),
    [sym__verseMeta] = STATE(44),
    [sym_va] = STATE(44),
    [sym_vp] = STATE(44),
    [sym__paragraphContent] = STATE(44),
    [sym_liv] = STATE(44),
    [sym_livTag] = STATE(2906),
    [sym_lik] = STATE(44),
    [sym_litl] = STATE(44),
    [sym__listTextContent] = STATE(44),
    [sym_footnote] = STATE(44),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(44),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(44),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(44),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_li_repeat1] = STATE(44),
    [ts_builtin_sym_end] = ACTIONS(446),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(448),
    [anon_sym_BSLASHiex] = ACTIONS(448),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(448),
    [anon_sym_BSLASHcl] = ACTIONS(448),
    [anon_sym_BSLASHca] = ACTIONS(448),
    [anon_sym_BSLASHcp] = ACTIONS(448),
    [anon_sym_BSLASHcd] = ACTIONS(448),
    [anon_sym_BSLASHmte] = ACTIONS(448),
    [anon_sym_BSLASHms] = ACTIONS(448),
    [anon_sym_BSLASHs] = ACTIONS(448),
    [anon_sym_BSLASHr] = ACTIONS(448),
    [anon_sym_BSLASHsp] = ACTIONS(448),
    [anon_sym_BSLASHd] = ACTIONS(448),
    [anon_sym_BSLASHsd] = ACTIONS(448),
    [anon_sym_BSLASHp] = ACTIONS(448),
    [anon_sym_BSLASHm] = ACTIONS(448),
    [anon_sym_BSLASHpo] = ACTIONS(448),
    [anon_sym_BSLASHpr] = ACTIONS(448),
    [anon_sym_BSLASHcls] = ACTIONS(448),
    [anon_sym_BSLASHpmo] = ACTIONS(448),
    [anon_sym_BSLASHpm] = ACTIONS(448),
    [anon_sym_BSLASHpmc] = ACTIONS(448),
    [anon_sym_BSLASHpmr] = ACTIONS(448),
    [anon_sym_BSLASHpi] = ACTIONS(448),
    [anon_sym_BSLASHmi] = ACTIONS(448),
    [anon_sym_BSLASHnb] = ACTIONS(448),
    [anon_sym_BSLASHpc] = ACTIONS(448),
    [anon_sym_BSLASHph] = ACTIONS(448),
    [anon_sym_BSLASHb] = ACTIONS(448),
    [anon_sym_BSLASHq] = ACTIONS(448),
    [anon_sym_BSLASHqr] = ACTIONS(448),
    [anon_sym_BSLASHqc] = ACTIONS(448),
    [anon_sym_BSLASHqa] = ACTIONS(448),
    [anon_sym_BSLASHqm] = ACTIONS(448),
    [anon_sym_BSLASHqd] = ACTIONS(448),
    [anon_sym_BSLASHlh] = ACTIONS(448),
    [anon_sym_BSLASHlf] = ACTIONS(448),
    [anon_sym_BSLASHli] = ACTIONS(448),
    [anon_sym_BSLASHlim] = ACTIONS(448),
    [anon_sym_BSLASHliv] = ACTIONS(187),
    [anon_sym_BSLASHlik] = ACTIONS(189),
    [anon_sym_BSLASHlitl] = ACTIONS(191),
    [anon_sym_BSLASHtr] = ACTIONS(448),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(448),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(448),
  },
  [47] = {
    [aux_sym_text_token1] = ACTIONS(450),
    [anon_sym_BSLASHref] = ACTIONS(452),
    [anon_sym_BSLASHsts] = ACTIONS(452),
    [anon_sym_BSLASHrem] = ACTIONS(452),
    [anon_sym_BSLASHrestore] = ACTIONS(452),
    [anon_sym_BSLASHlit] = ACTIONS(452),
    [anon_sym_BSLASHiqt] = ACTIONS(452),
    [anon_sym_BSLASHip] = ACTIONS(452),
    [anon_sym_BSLASHv] = ACTIONS(452),
    [anon_sym_BSLASHva] = ACTIONS(452),
    [anon_sym_BSLASHvp] = ACTIONS(452),
    [anon_sym_BSLASHmte] = ACTIONS(452),
    [anon_sym_BSLASHms] = ACTIONS(452),
    [anon_sym_BSLASHs] = ACTIONS(452),
    [anon_sym_BSLASHr] = ACTIONS(452),
    [anon_sym_BSLASHsp] = ACTIONS(452),
    [anon_sym_BSLASHd] = ACTIONS(452),
    [anon_sym_BSLASHsd] = ACTIONS(452),
    [anon_sym_BSLASHp] = ACTIONS(452),
    [anon_sym_BSLASHm] = ACTIONS(452),
    [anon_sym_BSLASHpo] = ACTIONS(452),
    [anon_sym_BSLASHpr] = ACTIONS(452),
    [anon_sym_BSLASHcls] = ACTIONS(452),
    [anon_sym_BSLASHpmo] = ACTIONS(452),
    [anon_sym_BSLASHpm] = ACTIONS(452),
    [anon_sym_BSLASHpmc] = ACTIONS(452),
    [anon_sym_BSLASHpmr] = ACTIONS(452),
    [anon_sym_BSLASHpi] = ACTIONS(452),
    [anon_sym_BSLASHmi] = ACTIONS(452),
    [anon_sym_BSLASHnb] = ACTIONS(452),
    [anon_sym_BSLASHpc] = ACTIONS(452),
    [anon_sym_BSLASHph] = ACTIONS(452),
    [anon_sym_BSLASHb] = ACTIONS(452),
    [anon_sym_BSLASHq] = ACTIONS(452),
    [anon_sym_BSLASHqr] = ACTIONS(452),
    [anon_sym_BSLASHqc] = ACTIONS(452),
    [anon_sym_BSLASHqa] = ACTIONS(452),
    [anon_sym_BSLASHqm] = ACTIONS(452),
    [anon_sym_BSLASHqd] = ACTIONS(452),
    [anon_sym_BSLASHlh] = ACTIONS(452),
    [anon_sym_BSLASHlf] = ACTIONS(452),
    [anon_sym_BSLASHli] = ACTIONS(452),
    [anon_sym_BSLASHlim] = ACTIONS(452),
    [anon_sym_BSLASHliv] = ACTIONS(452),
    [anon_sym_BSLASHlik] = ACTIONS(452),
    [anon_sym_BSLASHlitl] = ACTIONS(452),
    [anon_sym_BSLASHtr] = ACTIONS(452),
    [anon_sym_BSLASHf] = ACTIONS(452),
    [anon_sym_BSLASHf_STAR] = ACTIONS(452),
    [anon_sym_BSLASHfe] = ACTIONS(452),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(452),
    [anon_sym_BSLASHef] = ACTIONS(452),
    [anon_sym_BSLASHef_STAR] = ACTIONS(452),
    [anon_sym_BSLASHfr] = ACTIONS(452),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(452),
    [anon_sym_BSLASHfq] = ACTIONS(452),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(452),
    [anon_sym_BSLASHfqa] = ACTIONS(452),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(452),
    [anon_sym_BSLASHfk] = ACTIONS(452),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(452),
    [anon_sym_BSLASHfl] = ACTIONS(452),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(452),
    [anon_sym_BSLASHfw] = ACTIONS(452),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(452),
    [anon_sym_BSLASHfp] = ACTIONS(452),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(452),
    [anon_sym_BSLASHft] = ACTIONS(452),
    [anon_sym_BSLASHft_STAR] = ACTIONS(452),
    [anon_sym_BSLASHfdc] = ACTIONS(452),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(452),
    [anon_sym_BSLASHfv] = ACTIONS(452),
    [anon_sym_BSLASHfm] = ACTIONS(452),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(452),
    [anon_sym_BSLASHx] = ACTIONS(452),
    [anon_sym_BSLASHx_STAR] = ACTIONS(452),
    [anon_sym_BSLASHxo] = ACTIONS(452),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(452),
    [anon_sym_BSLASHxk] = ACTIONS(452),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(452),
    [anon_sym_BSLASHxq] = ACTIONS(452),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(452),
    [anon_sym_BSLASHxt] = ACTIONS(452),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(452),
    [anon_sym_BSLASHxta] = ACTIONS(452),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(452),
    [anon_sym_BSLASHxop] = ACTIONS(452),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(452),
    [anon_sym_BSLASHxot] = ACTIONS(452),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(452),
    [anon_sym_BSLASHxnt] = ACTIONS(452),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(452),
    [anon_sym_BSLASHxdc] = ACTIONS(452),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(452),
    [anon_sym_BSLASHrq] = ACTIONS(452),
    [anon_sym_BSLASHadd] = ACTIONS(452),
    [anon_sym_BSLASHbk] = ACTIONS(452),
    [anon_sym_BSLASHdc] = ACTIONS(452),
    [anon_sym_BSLASHk] = ACTIONS(452),
    [anon_sym_BSLASHnd] = ACTIONS(452),
    [anon_sym_BSLASHord] = ACTIONS(452),
    [anon_sym_BSLASHpn] = ACTIONS(452),
    [anon_sym_BSLASHpng] = ACTIONS(452),
    [anon_sym_BSLASHaddpn] = ACTIONS(452),
    [anon_sym_BSLASHqt] = ACTIONS(452),
    [anon_sym_BSLASHsig] = ACTIONS(452),
    [anon_sym_BSLASHsls] = ACTIONS(452),
    [anon_sym_BSLASHtl] = ACTIONS(452),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(452),
    [anon_sym_BSLASHbd] = ACTIONS(452),
    [anon_sym_BSLASHit] = ACTIONS(452),
    [anon_sym_BSLASHbdit] = ACTIONS(452),
    [anon_sym_BSLASHno] = ACTIONS(452),
    [anon_sym_BSLASHsc] = ACTIONS(452),
    [anon_sym_BSLASHsup] = ACTIONS(452),
    [anon_sym_BSLASHndx] = ACTIONS(452),
    [anon_sym_BSLASHpro] = ACTIONS(452),
    [anon_sym_BSLASHrb] = ACTIONS(452),
    [anon_sym_BSLASHw] = ACTIONS(452),
    [anon_sym_BSLASHwg] = ACTIONS(452),
    [anon_sym_BSLASHwh] = ACTIONS(452),
    [anon_sym_BSLASHwa] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(452),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(452),
    [anon_sym_BSLASHfig] = ACTIONS(452),
    [anon_sym_BSLASHjmp] = ACTIONS(452),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(452),
    [anon_sym_BSLASHpb] = ACTIONS(452),
    [anon_sym_BSLASH] = ACTIONS(452),
    [sym_milestoneStartTag] = ACTIONS(452),
    [sym_milestoneEndTag] = ACTIONS(452),
    [sym_zSpaceTag] = ACTIONS(452),
    [anon_sym_BSLASHesbe] = ACTIONS(452),
    [anon_sym_BSLASHcat] = ACTIONS(452),
    [anon_sym_PIPE] = ACTIONS(452),
  },
  [48] = {
    [aux_sym_text_token1] = ACTIONS(454),
    [anon_sym_BSLASHref] = ACTIONS(456),
    [anon_sym_BSLASHsts] = ACTIONS(456),
    [anon_sym_BSLASHrem] = ACTIONS(456),
    [anon_sym_BSLASHrestore] = ACTIONS(456),
    [anon_sym_BSLASHlit] = ACTIONS(456),
    [anon_sym_BSLASHiqt] = ACTIONS(456),
    [anon_sym_BSLASHip] = ACTIONS(456),
    [anon_sym_BSLASHv] = ACTIONS(456),
    [anon_sym_BSLASHva] = ACTIONS(456),
    [anon_sym_BSLASHvp] = ACTIONS(456),
    [anon_sym_BSLASHmte] = ACTIONS(456),
    [anon_sym_BSLASHms] = ACTIONS(456),
    [anon_sym_BSLASHs] = ACTIONS(456),
    [anon_sym_BSLASHr] = ACTIONS(456),
    [anon_sym_BSLASHsp] = ACTIONS(456),
    [anon_sym_BSLASHd] = ACTIONS(456),
    [anon_sym_BSLASHsd] = ACTIONS(456),
    [anon_sym_BSLASHp] = ACTIONS(456),
    [anon_sym_BSLASHm] = ACTIONS(456),
    [anon_sym_BSLASHpo] = ACTIONS(456),
    [anon_sym_BSLASHpr] = ACTIONS(456),
    [anon_sym_BSLASHcls] = ACTIONS(456),
    [anon_sym_BSLASHpmo] = ACTIONS(456),
    [anon_sym_BSLASHpm] = ACTIONS(456),
    [anon_sym_BSLASHpmc] = ACTIONS(456),
    [anon_sym_BSLASHpmr] = ACTIONS(456),
    [anon_sym_BSLASHpi] = ACTIONS(456),
    [anon_sym_BSLASHmi] = ACTIONS(456),
    [anon_sym_BSLASHnb] = ACTIONS(456),
    [anon_sym_BSLASHpc] = ACTIONS(456),
    [anon_sym_BSLASHph] = ACTIONS(456),
    [anon_sym_BSLASHb] = ACTIONS(456),
    [anon_sym_BSLASHq] = ACTIONS(456),
    [anon_sym_BSLASHqr] = ACTIONS(456),
    [anon_sym_BSLASHqc] = ACTIONS(456),
    [anon_sym_BSLASHqa] = ACTIONS(456),
    [anon_sym_BSLASHqm] = ACTIONS(456),
    [anon_sym_BSLASHqd] = ACTIONS(456),
    [anon_sym_BSLASHlh] = ACTIONS(456),
    [anon_sym_BSLASHlf] = ACTIONS(456),
    [anon_sym_BSLASHli] = ACTIONS(456),
    [anon_sym_BSLASHlim] = ACTIONS(456),
    [anon_sym_BSLASHliv] = ACTIONS(456),
    [anon_sym_BSLASHlik] = ACTIONS(456),
    [anon_sym_BSLASHlitl] = ACTIONS(456),
    [anon_sym_BSLASHtr] = ACTIONS(456),
    [anon_sym_BSLASHf] = ACTIONS(456),
    [anon_sym_BSLASHf_STAR] = ACTIONS(456),
    [anon_sym_BSLASHfe] = ACTIONS(456),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(456),
    [anon_sym_BSLASHef] = ACTIONS(456),
    [anon_sym_BSLASHef_STAR] = ACTIONS(456),
    [anon_sym_BSLASHfr] = ACTIONS(456),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(456),
    [anon_sym_BSLASHfq] = ACTIONS(456),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(456),
    [anon_sym_BSLASHfqa] = ACTIONS(456),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(456),
    [anon_sym_BSLASHfk] = ACTIONS(456),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(456),
    [anon_sym_BSLASHfl] = ACTIONS(456),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(456),
    [anon_sym_BSLASHfw] = ACTIONS(456),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(456),
    [anon_sym_BSLASHfp] = ACTIONS(456),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(456),
    [anon_sym_BSLASHft] = ACTIONS(456),
    [anon_sym_BSLASHft_STAR] = ACTIONS(456),
    [anon_sym_BSLASHfdc] = ACTIONS(456),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(456),
    [anon_sym_BSLASHfv] = ACTIONS(456),
    [anon_sym_BSLASHfm] = ACTIONS(456),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(456),
    [anon_sym_BSLASHx] = ACTIONS(456),
    [anon_sym_BSLASHx_STAR] = ACTIONS(456),
    [anon_sym_BSLASHxo] = ACTIONS(456),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(456),
    [anon_sym_BSLASHxk] = ACTIONS(456),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(456),
    [anon_sym_BSLASHxq] = ACTIONS(456),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(456),
    [anon_sym_BSLASHxt] = ACTIONS(456),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(456),
    [anon_sym_BSLASHxta] = ACTIONS(456),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(456),
    [anon_sym_BSLASHxop] = ACTIONS(456),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(456),
    [anon_sym_BSLASHxot] = ACTIONS(456),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(456),
    [anon_sym_BSLASHxnt] = ACTIONS(456),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(456),
    [anon_sym_BSLASHxdc] = ACTIONS(456),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(456),
    [anon_sym_BSLASHrq] = ACTIONS(456),
    [anon_sym_BSLASHadd] = ACTIONS(456),
    [anon_sym_BSLASHbk] = ACTIONS(456),
    [anon_sym_BSLASHdc] = ACTIONS(456),
    [anon_sym_BSLASHk] = ACTIONS(456),
    [anon_sym_BSLASHnd] = ACTIONS(456),
    [anon_sym_BSLASHord] = ACTIONS(456),
    [anon_sym_BSLASHpn] = ACTIONS(456),
    [anon_sym_BSLASHpng] = ACTIONS(456),
    [anon_sym_BSLASHaddpn] = ACTIONS(456),
    [anon_sym_BSLASHqt] = ACTIONS(456),
    [anon_sym_BSLASHsig] = ACTIONS(456),
    [anon_sym_BSLASHsls] = ACTIONS(456),
    [anon_sym_BSLASHtl] = ACTIONS(456),
    [anon_sym_BSLASHwj] = ACTIONS(456),
    [anon_sym_BSLASHem] = ACTIONS(456),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(456),
    [anon_sym_BSLASHbdit] = ACTIONS(456),
    [anon_sym_BSLASHno] = ACTIONS(456),
    [anon_sym_BSLASHsc] = ACTIONS(456),
    [anon_sym_BSLASHsup] = ACTIONS(456),
    [anon_sym_BSLASHndx] = ACTIONS(456),
    [anon_sym_BSLASHpro] = ACTIONS(456),
    [anon_sym_BSLASHrb] = ACTIONS(456),
    [anon_sym_BSLASHw] = ACTIONS(456),
    [anon_sym_BSLASHwg] = ACTIONS(456),
    [anon_sym_BSLASHwh] = ACTIONS(456),
    [anon_sym_BSLASHwa] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(456),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(456),
    [anon_sym_BSLASHfig] = ACTIONS(456),
    [anon_sym_BSLASHjmp] = ACTIONS(456),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(456),
    [anon_sym_BSLASHpb] = ACTIONS(456),
    [anon_sym_BSLASH] = ACTIONS(456),
    [sym_milestoneStartTag] = ACTIONS(456),
    [sym_milestoneEndTag] = ACTIONS(456),
    [sym_zSpaceTag] = ACTIONS(456),
    [anon_sym_BSLASHesbe] = ACTIONS(456),
    [anon_sym_BSLASHcat] = ACTIONS(456),
    [anon_sym_PIPE] = ACTIONS(456),
  },
  [49] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(57),
    [sym__comments] = STATE(57),
    [sym_sts] = STATE(57),
    [sym_rem] = STATE(57),
    [sym_restore] = STATE(57),
    [sym_lit] = STATE(57),
    [sym_verseText] = STATE(57),
    [sym_v] = STATE(57),
    [sym__verseMeta] = STATE(57),
    [sym_va] = STATE(57),
    [sym_vp] = STATE(57),
    [sym__paragraphContent] = STATE(57),
    [sym__poetryContent] = STATE(57),
    [sym_qs] = STATE(57),
    [sym_qac] = STATE(57),
    [sym_footnote] = STATE(57),
    [sym_f] = STATE(483),
    [sym_fe] = STATE(483),
    [sym_ef] = STATE(483),
    [sym_fm] = STATE(483),
    [sym_crossref] = STATE(57),
    [sym_x] = STATE(496),
    [sym_xt_standalone] = STATE(496),
    [sym_rq] = STATE(496),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1956),
    [sym__milestoneStandaloneMarker] = STATE(464),
    [sym__milestoneStart] = STATE(464),
    [sym__milestoneEnd] = STATE(464),
    [sym_milestone] = STATE(57),
    [sym__zNameSpaceRegular] = STATE(465),
    [sym__zNameSpaceClosed] = STATE(465),
    [sym__zNameSpaceStandaloneMarker] = STATE(465),
    [sym_zNameSpace] = STATE(57),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(57),
    [ts_builtin_sym_end] = ACTIONS(458),
    [aux_sym_text_token1] = ACTIONS(460),
    [anon_sym_BSLASHref] = ACTIONS(462),
    [anon_sym_BSLASHsts] = ACTIONS(464),
    [anon_sym_BSLASHrem] = ACTIONS(466),
    [anon_sym_BSLASHrestore] = ACTIONS(468),
    [anon_sym_BSLASHlit] = ACTIONS(470),
    [anon_sym_BSLASHip] = ACTIONS(472),
    [anon_sym_BSLASHiex] = ACTIONS(472),
    [anon_sym_BSLASHv] = ACTIONS(474),
    [anon_sym_BSLASHva] = ACTIONS(476),
    [anon_sym_BSLASHvp] = ACTIONS(478),
    [anon_sym_BSLASHc] = ACTIONS(472),
    [anon_sym_BSLASHcl] = ACTIONS(472),
    [anon_sym_BSLASHca] = ACTIONS(472),
    [anon_sym_BSLASHcp] = ACTIONS(472),
    [anon_sym_BSLASHcd] = ACTIONS(472),
    [anon_sym_BSLASHmte] = ACTIONS(472),
    [anon_sym_BSLASHms] = ACTIONS(472),
    [anon_sym_BSLASHs] = ACTIONS(472),
    [anon_sym_BSLASHr] = ACTIONS(472),
    [anon_sym_BSLASHsp] = ACTIONS(472),
    [anon_sym_BSLASHd] = ACTIONS(472),
    [anon_sym_BSLASHsd] = ACTIONS(472),
    [anon_sym_BSLASHp] = ACTIONS(472),
    [anon_sym_BSLASHm] = ACTIONS(472),
    [anon_sym_BSLASHpo] = ACTIONS(472),
    [anon_sym_BSLASHpr] = ACTIONS(472),
    [anon_sym_BSLASHcls] = ACTIONS(472),
    [anon_sym_BSLASHpmo] = ACTIONS(472),
    [anon_sym_BSLASHpm] = ACTIONS(472),
    [anon_sym_BSLASHpmc] = ACTIONS(472),
    [anon_sym_BSLASHpmr] = ACTIONS(472),
    [anon_sym_BSLASHpi] = ACTIONS(472),
    [anon_sym_BSLASHmi] = ACTIONS(472),
    [anon_sym_BSLASHnb] = ACTIONS(472),
    [anon_sym_BSLASHpc] = ACTIONS(472),
    [anon_sym_BSLASHph] = ACTIONS(472),
    [anon_sym_BSLASHb] = ACTIONS(472),
    [anon_sym_BSLASHq] = ACTIONS(472),
    [anon_sym_BSLASHqr] = ACTIONS(472),
    [anon_sym_BSLASHqc] = ACTIONS(472),
    [anon_sym_BSLASHqs] = ACTIONS(480),
    [anon_sym_BSLASHqa] = ACTIONS(472),
    [anon_sym_BSLASHqac] = ACTIONS(482),
    [anon_sym_BSLASHqm] = ACTIONS(472),
    [anon_sym_BSLASHqd] = ACTIONS(472),
    [anon_sym_BSLASHlh] = ACTIONS(472),
    [anon_sym_BSLASHli] = ACTIONS(472),
    [anon_sym_BSLASHlim] = ACTIONS(472),
    [anon_sym_BSLASHtr] = ACTIONS(472),
    [anon_sym_BSLASHf] = ACTIONS(484),
    [anon_sym_BSLASHfe] = ACTIONS(486),
    [anon_sym_BSLASHef] = ACTIONS(488),
    [anon_sym_BSLASHfm] = ACTIONS(490),
    [anon_sym_BSLASHx] = ACTIONS(492),
    [anon_sym_BSLASHxt] = ACTIONS(494),
    [anon_sym_BSLASHrq] = ACTIONS(496),
    [anon_sym_BSLASHadd] = ACTIONS(498),
    [anon_sym_BSLASHbk] = ACTIONS(500),
    [anon_sym_BSLASHdc] = ACTIONS(502),
    [anon_sym_BSLASHk] = ACTIONS(504),
    [anon_sym_BSLASHnd] = ACTIONS(506),
    [anon_sym_BSLASHord] = ACTIONS(508),
    [anon_sym_BSLASHpn] = ACTIONS(510),
    [anon_sym_BSLASHpng] = ACTIONS(512),
    [anon_sym_BSLASHaddpn] = ACTIONS(514),
    [anon_sym_BSLASHqt] = ACTIONS(516),
    [anon_sym_BSLASHsig] = ACTIONS(518),
    [anon_sym_BSLASHsls] = ACTIONS(520),
    [anon_sym_BSLASHtl] = ACTIONS(522),
    [anon_sym_BSLASHwj] = ACTIONS(524),
    [anon_sym_BSLASHem] = ACTIONS(526),
    [anon_sym_BSLASHbd] = ACTIONS(528),
    [anon_sym_BSLASHit] = ACTIONS(530),
    [anon_sym_BSLASHbdit] = ACTIONS(532),
    [anon_sym_BSLASHno] = ACTIONS(534),
    [anon_sym_BSLASHsc] = ACTIONS(536),
    [anon_sym_BSLASHsup] = ACTIONS(538),
    [anon_sym_BSLASHndx] = ACTIONS(540),
    [anon_sym_BSLASHpro] = ACTIONS(542),
    [anon_sym_BSLASHrb] = ACTIONS(544),
    [anon_sym_BSLASHw] = ACTIONS(546),
    [anon_sym_BSLASHwg] = ACTIONS(548),
    [anon_sym_BSLASHwh] = ACTIONS(550),
    [anon_sym_BSLASHwa] = ACTIONS(552),
    [anon_sym_BSLASHfig] = ACTIONS(554),
    [anon_sym_BSLASHjmp] = ACTIONS(556),
    [anon_sym_BSLASHpb] = ACTIONS(472),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(558),
    [sym_milestoneEndTag] = ACTIONS(560),
    [sym_zSpaceTag] = ACTIONS(562),
    [anon_sym_BSLASHesb] = ACTIONS(472),
  },
  [50] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(49),
    [sym__comments] = STATE(49),
    [sym_sts] = STATE(49),
    [sym_rem] = STATE(49),
    [sym_restore] = STATE(49),
    [sym_lit] = STATE(49),
    [sym_verseText] = STATE(49),
    [sym_v] = STATE(49),
    [sym__verseMeta] = STATE(49),
    [sym_va] = STATE(49),
    [sym_vp] = STATE(49),
    [sym__paragraphContent] = STATE(49),
    [sym__poetryContent] = STATE(49),
    [sym_qs] = STATE(49),
    [sym_qac] = STATE(49),
    [sym_footnote] = STATE(49),
    [sym_f] = STATE(483),
    [sym_fe] = STATE(483),
    [sym_ef] = STATE(483),
    [sym_fm] = STATE(483),
    [sym_crossref] = STATE(49),
    [sym_x] = STATE(496),
    [sym_xt_standalone] = STATE(496),
    [sym_rq] = STATE(496),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1956),
    [sym__milestoneStandaloneMarker] = STATE(464),
    [sym__milestoneStart] = STATE(464),
    [sym__milestoneEnd] = STATE(464),
    [sym_milestone] = STATE(49),
    [sym__zNameSpaceRegular] = STATE(465),
    [sym__zNameSpaceClosed] = STATE(465),
    [sym__zNameSpaceStandaloneMarker] = STATE(465),
    [sym_zNameSpace] = STATE(49),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(49),
    [ts_builtin_sym_end] = ACTIONS(564),
    [aux_sym_text_token1] = ACTIONS(460),
    [anon_sym_BSLASHref] = ACTIONS(462),
    [anon_sym_BSLASHsts] = ACTIONS(464),
    [anon_sym_BSLASHrem] = ACTIONS(466),
    [anon_sym_BSLASHrestore] = ACTIONS(468),
    [anon_sym_BSLASHlit] = ACTIONS(470),
    [anon_sym_BSLASHip] = ACTIONS(566),
    [anon_sym_BSLASHiex] = ACTIONS(566),
    [anon_sym_BSLASHv] = ACTIONS(474),
    [anon_sym_BSLASHva] = ACTIONS(476),
    [anon_sym_BSLASHvp] = ACTIONS(478),
    [anon_sym_BSLASHc] = ACTIONS(566),
    [anon_sym_BSLASHcl] = ACTIONS(566),
    [anon_sym_BSLASHca] = ACTIONS(566),
    [anon_sym_BSLASHcp] = ACTIONS(566),
    [anon_sym_BSLASHcd] = ACTIONS(566),
    [anon_sym_BSLASHmte] = ACTIONS(566),
    [anon_sym_BSLASHms] = ACTIONS(566),
    [anon_sym_BSLASHs] = ACTIONS(566),
    [anon_sym_BSLASHr] = ACTIONS(566),
    [anon_sym_BSLASHsp] = ACTIONS(566),
    [anon_sym_BSLASHd] = ACTIONS(566),
    [anon_sym_BSLASHsd] = ACTIONS(566),
    [anon_sym_BSLASHp] = ACTIONS(566),
    [anon_sym_BSLASHm] = ACTIONS(566),
    [anon_sym_BSLASHpo] = ACTIONS(566),
    [anon_sym_BSLASHpr] = ACTIONS(566),
    [anon_sym_BSLASHcls] = ACTIONS(566),
    [anon_sym_BSLASHpmo] = ACTIONS(566),
    [anon_sym_BSLASHpm] = ACTIONS(566),
    [anon_sym_BSLASHpmc] = ACTIONS(566),
    [anon_sym_BSLASHpmr] = ACTIONS(566),
    [anon_sym_BSLASHpi] = ACTIONS(566),
    [anon_sym_BSLASHmi] = ACTIONS(566),
    [anon_sym_BSLASHnb] = ACTIONS(566),
    [anon_sym_BSLASHpc] = ACTIONS(566),
    [anon_sym_BSLASHph] = ACTIONS(566),
    [anon_sym_BSLASHb] = ACTIONS(566),
    [anon_sym_BSLASHq] = ACTIONS(566),
    [anon_sym_BSLASHqr] = ACTIONS(566),
    [anon_sym_BSLASHqc] = ACTIONS(566),
    [anon_sym_BSLASHqs] = ACTIONS(480),
    [anon_sym_BSLASHqa] = ACTIONS(566),
    [anon_sym_BSLASHqac] = ACTIONS(482),
    [anon_sym_BSLASHqm] = ACTIONS(566),
    [anon_sym_BSLASHqd] = ACTIONS(566),
    [anon_sym_BSLASHlh] = ACTIONS(566),
    [anon_sym_BSLASHli] = ACTIONS(566),
    [anon_sym_BSLASHlim] = ACTIONS(566),
    [anon_sym_BSLASHtr] = ACTIONS(566),
    [anon_sym_BSLASHf] = ACTIONS(484),
    [anon_sym_BSLASHfe] = ACTIONS(486),
    [anon_sym_BSLASHef] = ACTIONS(488),
    [anon_sym_BSLASHfm] = ACTIONS(490),
    [anon_sym_BSLASHx] = ACTIONS(492),
    [anon_sym_BSLASHxt] = ACTIONS(494),
    [anon_sym_BSLASHrq] = ACTIONS(496),
    [anon_sym_BSLASHadd] = ACTIONS(498),
    [anon_sym_BSLASHbk] = ACTIONS(500),
    [anon_sym_BSLASHdc] = ACTIONS(502),
    [anon_sym_BSLASHk] = ACTIONS(504),
    [anon_sym_BSLASHnd] = ACTIONS(506),
    [anon_sym_BSLASHord] = ACTIONS(508),
    [anon_sym_BSLASHpn] = ACTIONS(510),
    [anon_sym_BSLASHpng] = ACTIONS(512),
    [anon_sym_BSLASHaddpn] = ACTIONS(514),
    [anon_sym_BSLASHqt] = ACTIONS(516),
    [anon_sym_BSLASHsig] = ACTIONS(518),
    [anon_sym_BSLASHsls] = ACTIONS(520),
    [anon_sym_BSLASHtl] = ACTIONS(522),
    [anon_sym_BSLASHwj] = ACTIONS(524),
    [anon_sym_BSLASHem] = ACTIONS(526),
    [anon_sym_BSLASHbd] = ACTIONS(528),
    [anon_sym_BSLASHit] = ACTIONS(530),
    [anon_sym_BSLASHbdit] = ACTIONS(532),
    [anon_sym_BSLASHno] = ACTIONS(534),
    [anon_sym_BSLASHsc] = ACTIONS(536),
    [anon_sym_BSLASHsup] = ACTIONS(538),
    [anon_sym_BSLASHndx] = ACTIONS(540),
    [anon_sym_BSLASHpro] = ACTIONS(542),
    [anon_sym_BSLASHrb] = ACTIONS(544),
    [anon_sym_BSLASHw] = ACTIONS(546),
    [anon_sym_BSLASHwg] = ACTIONS(548),
    [anon_sym_BSLASHwh] = ACTIONS(550),
    [anon_sym_BSLASHwa] = ACTIONS(552),
    [anon_sym_BSLASHfig] = ACTIONS(554),
    [anon_sym_BSLASHjmp] = ACTIONS(556),
    [anon_sym_BSLASHpb] = ACTIONS(566),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(558),
    [sym_milestoneEndTag] = ACTIONS(560),
    [sym_zSpaceTag] = ACTIONS(562),
    [anon_sym_BSLASHesb] = ACTIONS(566),
  },
  [51] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(55),
    [sym__comments] = STATE(55),
    [sym_sts] = STATE(55),
    [sym_rem] = STATE(55),
    [sym_restore] = STATE(55),
    [sym_lit] = STATE(55),
    [sym_verseText] = STATE(55),
    [sym_v] = STATE(55),
    [sym__verseMeta] = STATE(55),
    [sym_va] = STATE(55),
    [sym_vp] = STATE(55),
    [sym__paragraphContent] = STATE(55),
    [sym__poetryContent] = STATE(55),
    [sym_qs] = STATE(55),
    [sym_qac] = STATE(55),
    [sym_footnote] = STATE(55),
    [sym_f] = STATE(483),
    [sym_fe] = STATE(483),
    [sym_ef] = STATE(483),
    [sym_fm] = STATE(483),
    [sym_crossref] = STATE(55),
    [sym_x] = STATE(496),
    [sym_xt_standalone] = STATE(496),
    [sym_rq] = STATE(496),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1956),
    [sym__milestoneStandaloneMarker] = STATE(464),
    [sym__milestoneStart] = STATE(464),
    [sym__milestoneEnd] = STATE(464),
    [sym_milestone] = STATE(55),
    [sym__zNameSpaceRegular] = STATE(465),
    [sym__zNameSpaceClosed] = STATE(465),
    [sym__zNameSpaceStandaloneMarker] = STATE(465),
    [sym_zNameSpace] = STATE(55),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(55),
    [ts_builtin_sym_end] = ACTIONS(568),
    [aux_sym_text_token1] = ACTIONS(460),
    [anon_sym_BSLASHref] = ACTIONS(462),
    [anon_sym_BSLASHsts] = ACTIONS(464),
    [anon_sym_BSLASHrem] = ACTIONS(466),
    [anon_sym_BSLASHrestore] = ACTIONS(468),
    [anon_sym_BSLASHlit] = ACTIONS(470),
    [anon_sym_BSLASHip] = ACTIONS(570),
    [anon_sym_BSLASHiex] = ACTIONS(570),
    [anon_sym_BSLASHv] = ACTIONS(474),
    [anon_sym_BSLASHva] = ACTIONS(476),
    [anon_sym_BSLASHvp] = ACTIONS(478),
    [anon_sym_BSLASHc] = ACTIONS(570),
    [anon_sym_BSLASHcl] = ACTIONS(570),
    [anon_sym_BSLASHca] = ACTIONS(570),
    [anon_sym_BSLASHcp] = ACTIONS(570),
    [anon_sym_BSLASHcd] = ACTIONS(570),
    [anon_sym_BSLASHmte] = ACTIONS(570),
    [anon_sym_BSLASHms] = ACTIONS(570),
    [anon_sym_BSLASHs] = ACTIONS(570),
    [anon_sym_BSLASHr] = ACTIONS(570),
    [anon_sym_BSLASHsp] = ACTIONS(570),
    [anon_sym_BSLASHd] = ACTIONS(570),
    [anon_sym_BSLASHsd] = ACTIONS(570),
    [anon_sym_BSLASHp] = ACTIONS(570),
    [anon_sym_BSLASHm] = ACTIONS(570),
    [anon_sym_BSLASHpo] = ACTIONS(570),
    [anon_sym_BSLASHpr] = ACTIONS(570),
    [anon_sym_BSLASHcls] = ACTIONS(570),
    [anon_sym_BSLASHpmo] = ACTIONS(570),
    [anon_sym_BSLASHpm] = ACTIONS(570),
    [anon_sym_BSLASHpmc] = ACTIONS(570),
    [anon_sym_BSLASHpmr] = ACTIONS(570),
    [anon_sym_BSLASHpi] = ACTIONS(570),
    [anon_sym_BSLASHmi] = ACTIONS(570),
    [anon_sym_BSLASHnb] = ACTIONS(570),
    [anon_sym_BSLASHpc] = ACTIONS(570),
    [anon_sym_BSLASHph] = ACTIONS(570),
    [anon_sym_BSLASHb] = ACTIONS(570),
    [anon_sym_BSLASHq] = ACTIONS(570),
    [anon_sym_BSLASHqr] = ACTIONS(570),
    [anon_sym_BSLASHqc] = ACTIONS(570),
    [anon_sym_BSLASHqs] = ACTIONS(480),
    [anon_sym_BSLASHqa] = ACTIONS(570),
    [anon_sym_BSLASHqac] = ACTIONS(482),
    [anon_sym_BSLASHqm] = ACTIONS(570),
    [anon_sym_BSLASHqd] = ACTIONS(570),
    [anon_sym_BSLASHlh] = ACTIONS(570),
    [anon_sym_BSLASHli] = ACTIONS(570),
    [anon_sym_BSLASHlim] = ACTIONS(570),
    [anon_sym_BSLASHtr] = ACTIONS(570),
    [anon_sym_BSLASHf] = ACTIONS(484),
    [anon_sym_BSLASHfe] = ACTIONS(486),
    [anon_sym_BSLASHef] = ACTIONS(488),
    [anon_sym_BSLASHfm] = ACTIONS(490),
    [anon_sym_BSLASHx] = ACTIONS(492),
    [anon_sym_BSLASHxt] = ACTIONS(494),
    [anon_sym_BSLASHrq] = ACTIONS(496),
    [anon_sym_BSLASHadd] = ACTIONS(498),
    [anon_sym_BSLASHbk] = ACTIONS(500),
    [anon_sym_BSLASHdc] = ACTIONS(502),
    [anon_sym_BSLASHk] = ACTIONS(504),
    [anon_sym_BSLASHnd] = ACTIONS(506),
    [anon_sym_BSLASHord] = ACTIONS(508),
    [anon_sym_BSLASHpn] = ACTIONS(510),
    [anon_sym_BSLASHpng] = ACTIONS(512),
    [anon_sym_BSLASHaddpn] = ACTIONS(514),
    [anon_sym_BSLASHqt] = ACTIONS(516),
    [anon_sym_BSLASHsig] = ACTIONS(518),
    [anon_sym_BSLASHsls] = ACTIONS(520),
    [anon_sym_BSLASHtl] = ACTIONS(522),
    [anon_sym_BSLASHwj] = ACTIONS(524),
    [anon_sym_BSLASHem] = ACTIONS(526),
    [anon_sym_BSLASHbd] = ACTIONS(528),
    [anon_sym_BSLASHit] = ACTIONS(530),
    [anon_sym_BSLASHbdit] = ACTIONS(532),
    [anon_sym_BSLASHno] = ACTIONS(534),
    [anon_sym_BSLASHsc] = ACTIONS(536),
    [anon_sym_BSLASHsup] = ACTIONS(538),
    [anon_sym_BSLASHndx] = ACTIONS(540),
    [anon_sym_BSLASHpro] = ACTIONS(542),
    [anon_sym_BSLASHrb] = ACTIONS(544),
    [anon_sym_BSLASHw] = ACTIONS(546),
    [anon_sym_BSLASHwg] = ACTIONS(548),
    [anon_sym_BSLASHwh] = ACTIONS(550),
    [anon_sym_BSLASHwa] = ACTIONS(552),
    [anon_sym_BSLASHfig] = ACTIONS(554),
    [anon_sym_BSLASHjmp] = ACTIONS(556),
    [anon_sym_BSLASHpb] = ACTIONS(570),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(558),
    [sym_milestoneEndTag] = ACTIONS(560),
    [sym_zSpaceTag] = ACTIONS(562),
    [anon_sym_BSLASHesb] = ACTIONS(570),
  },
  [52] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(56),
    [sym__comments] = STATE(56),
    [sym_sts] = STATE(56),
    [sym_rem] = STATE(56),
    [sym_restore] = STATE(56),
    [sym_lit] = STATE(56),
    [sym_verseText] = STATE(56),
    [sym_v] = STATE(56),
    [sym__verseMeta] = STATE(56),
    [sym_va] = STATE(56),
    [sym_vp] = STATE(56),
    [sym__paragraphContent] = STATE(56),
    [sym__poetryContent] = STATE(56),
    [sym_qs] = STATE(56),
    [sym_qac] = STATE(56),
    [sym_footnote] = STATE(56),
    [sym_f] = STATE(483),
    [sym_fe] = STATE(483),
    [sym_ef] = STATE(483),
    [sym_fm] = STATE(483),
    [sym_crossref] = STATE(56),
    [sym_x] = STATE(496),
    [sym_xt_standalone] = STATE(496),
    [sym_rq] = STATE(496),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1956),
    [sym__milestoneStandaloneMarker] = STATE(464),
    [sym__milestoneStart] = STATE(464),
    [sym__milestoneEnd] = STATE(464),
    [sym_milestone] = STATE(56),
    [sym__zNameSpaceRegular] = STATE(465),
    [sym__zNameSpaceClosed] = STATE(465),
    [sym__zNameSpaceStandaloneMarker] = STATE(465),
    [sym_zNameSpace] = STATE(56),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(56),
    [ts_builtin_sym_end] = ACTIONS(572),
    [aux_sym_text_token1] = ACTIONS(460),
    [anon_sym_BSLASHref] = ACTIONS(462),
    [anon_sym_BSLASHsts] = ACTIONS(464),
    [anon_sym_BSLASHrem] = ACTIONS(466),
    [anon_sym_BSLASHrestore] = ACTIONS(468),
    [anon_sym_BSLASHlit] = ACTIONS(470),
    [anon_sym_BSLASHip] = ACTIONS(574),
    [anon_sym_BSLASHiex] = ACTIONS(574),
    [anon_sym_BSLASHv] = ACTIONS(474),
    [anon_sym_BSLASHva] = ACTIONS(476),
    [anon_sym_BSLASHvp] = ACTIONS(478),
    [anon_sym_BSLASHc] = ACTIONS(574),
    [anon_sym_BSLASHcl] = ACTIONS(574),
    [anon_sym_BSLASHca] = ACTIONS(574),
    [anon_sym_BSLASHcp] = ACTIONS(574),
    [anon_sym_BSLASHcd] = ACTIONS(574),
    [anon_sym_BSLASHmte] = ACTIONS(574),
    [anon_sym_BSLASHms] = ACTIONS(574),
    [anon_sym_BSLASHs] = ACTIONS(574),
    [anon_sym_BSLASHr] = ACTIONS(574),
    [anon_sym_BSLASHsp] = ACTIONS(574),
    [anon_sym_BSLASHd] = ACTIONS(574),
    [anon_sym_BSLASHsd] = ACTIONS(574),
    [anon_sym_BSLASHp] = ACTIONS(574),
    [anon_sym_BSLASHm] = ACTIONS(574),
    [anon_sym_BSLASHpo] = ACTIONS(574),
    [anon_sym_BSLASHpr] = ACTIONS(574),
    [anon_sym_BSLASHcls] = ACTIONS(574),
    [anon_sym_BSLASHpmo] = ACTIONS(574),
    [anon_sym_BSLASHpm] = ACTIONS(574),
    [anon_sym_BSLASHpmc] = ACTIONS(574),
    [anon_sym_BSLASHpmr] = ACTIONS(574),
    [anon_sym_BSLASHpi] = ACTIONS(574),
    [anon_sym_BSLASHmi] = ACTIONS(574),
    [anon_sym_BSLASHnb] = ACTIONS(574),
    [anon_sym_BSLASHpc] = ACTIONS(574),
    [anon_sym_BSLASHph] = ACTIONS(574),
    [anon_sym_BSLASHb] = ACTIONS(574),
    [anon_sym_BSLASHq] = ACTIONS(574),
    [anon_sym_BSLASHqr] = ACTIONS(574),
    [anon_sym_BSLASHqc] = ACTIONS(574),
    [anon_sym_BSLASHqs] = ACTIONS(480),
    [anon_sym_BSLASHqa] = ACTIONS(574),
    [anon_sym_BSLASHqac] = ACTIONS(482),
    [anon_sym_BSLASHqm] = ACTIONS(574),
    [anon_sym_BSLASHqd] = ACTIONS(574),
    [anon_sym_BSLASHlh] = ACTIONS(574),
    [anon_sym_BSLASHli] = ACTIONS(574),
    [anon_sym_BSLASHlim] = ACTIONS(574),
    [anon_sym_BSLASHtr] = ACTIONS(574),
    [anon_sym_BSLASHf] = ACTIONS(484),
    [anon_sym_BSLASHfe] = ACTIONS(486),
    [anon_sym_BSLASHef] = ACTIONS(488),
    [anon_sym_BSLASHfm] = ACTIONS(490),
    [anon_sym_BSLASHx] = ACTIONS(492),
    [anon_sym_BSLASHxt] = ACTIONS(494),
    [anon_sym_BSLASHrq] = ACTIONS(496),
    [anon_sym_BSLASHadd] = ACTIONS(498),
    [anon_sym_BSLASHbk] = ACTIONS(500),
    [anon_sym_BSLASHdc] = ACTIONS(502),
    [anon_sym_BSLASHk] = ACTIONS(504),
    [anon_sym_BSLASHnd] = ACTIONS(506),
    [anon_sym_BSLASHord] = ACTIONS(508),
    [anon_sym_BSLASHpn] = ACTIONS(510),
    [anon_sym_BSLASHpng] = ACTIONS(512),
    [anon_sym_BSLASHaddpn] = ACTIONS(514),
    [anon_sym_BSLASHqt] = ACTIONS(516),
    [anon_sym_BSLASHsig] = ACTIONS(518),
    [anon_sym_BSLASHsls] = ACTIONS(520),
    [anon_sym_BSLASHtl] = ACTIONS(522),
    [anon_sym_BSLASHwj] = ACTIONS(524),
    [anon_sym_BSLASHem] = ACTIONS(526),
    [anon_sym_BSLASHbd] = ACTIONS(528),
    [anon_sym_BSLASHit] = ACTIONS(530),
    [anon_sym_BSLASHbdit] = ACTIONS(532),
    [anon_sym_BSLASHno] = ACTIONS(534),
    [anon_sym_BSLASHsc] = ACTIONS(536),
    [anon_sym_BSLASHsup] = ACTIONS(538),
    [anon_sym_BSLASHndx] = ACTIONS(540),
    [anon_sym_BSLASHpro] = ACTIONS(542),
    [anon_sym_BSLASHrb] = ACTIONS(544),
    [anon_sym_BSLASHw] = ACTIONS(546),
    [anon_sym_BSLASHwg] = ACTIONS(548),
    [anon_sym_BSLASHwh] = ACTIONS(550),
    [anon_sym_BSLASHwa] = ACTIONS(552),
    [anon_sym_BSLASHfig] = ACTIONS(554),
    [anon_sym_BSLASHjmp] = ACTIONS(556),
    [anon_sym_BSLASHpb] = ACTIONS(574),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(558),
    [sym_milestoneEndTag] = ACTIONS(560),
    [sym_zSpaceTag] = ACTIONS(562),
    [anon_sym_BSLASHesb] = ACTIONS(574),
  },
  [53] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(59),
    [sym__comments] = STATE(59),
    [sym_sts] = STATE(59),
    [sym_rem] = STATE(59),
    [sym_restore] = STATE(59),
    [sym_lit] = STATE(59),
    [sym_verseText] = STATE(59),
    [sym_v] = STATE(59),
    [sym__verseMeta] = STATE(59),
    [sym_va] = STATE(59),
    [sym_vp] = STATE(59),
    [sym__paragraphContent] = STATE(59),
    [sym__poetryContent] = STATE(59),
    [sym_qs] = STATE(59),
    [sym_qac] = STATE(59),
    [sym_footnote] = STATE(59),
    [sym_f] = STATE(483),
    [sym_fe] = STATE(483),
    [sym_ef] = STATE(483),
    [sym_fm] = STATE(483),
    [sym_crossref] = STATE(59),
    [sym_x] = STATE(496),
    [sym_xt_standalone] = STATE(496),
    [sym_rq] = STATE(496),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1956),
    [sym__milestoneStandaloneMarker] = STATE(464),
    [sym__milestoneStart] = STATE(464),
    [sym__milestoneEnd] = STATE(464),
    [sym_milestone] = STATE(59),
    [sym__zNameSpaceRegular] = STATE(465),
    [sym__zNameSpaceClosed] = STATE(465),
    [sym__zNameSpaceStandaloneMarker] = STATE(465),
    [sym_zNameSpace] = STATE(59),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(59),
    [ts_builtin_sym_end] = ACTIONS(576),
    [aux_sym_text_token1] = ACTIONS(460),
    [anon_sym_BSLASHref] = ACTIONS(462),
    [anon_sym_BSLASHsts] = ACTIONS(464),
    [anon_sym_BSLASHrem] = ACTIONS(466),
    [anon_sym_BSLASHrestore] = ACTIONS(468),
    [anon_sym_BSLASHlit] = ACTIONS(470),
    [anon_sym_BSLASHip] = ACTIONS(578),
    [anon_sym_BSLASHiex] = ACTIONS(578),
    [anon_sym_BSLASHv] = ACTIONS(474),
    [anon_sym_BSLASHva] = ACTIONS(476),
    [anon_sym_BSLASHvp] = ACTIONS(478),
    [anon_sym_BSLASHc] = ACTIONS(578),
    [anon_sym_BSLASHcl] = ACTIONS(578),
    [anon_sym_BSLASHca] = ACTIONS(578),
    [anon_sym_BSLASHcp] = ACTIONS(578),
    [anon_sym_BSLASHcd] = ACTIONS(578),
    [anon_sym_BSLASHmte] = ACTIONS(578),
    [anon_sym_BSLASHms] = ACTIONS(578),
    [anon_sym_BSLASHs] = ACTIONS(578),
    [anon_sym_BSLASHr] = ACTIONS(578),
    [anon_sym_BSLASHsp] = ACTIONS(578),
    [anon_sym_BSLASHd] = ACTIONS(578),
    [anon_sym_BSLASHsd] = ACTIONS(578),
    [anon_sym_BSLASHp] = ACTIONS(578),
    [anon_sym_BSLASHm] = ACTIONS(578),
    [anon_sym_BSLASHpo] = ACTIONS(578),
    [anon_sym_BSLASHpr] = ACTIONS(578),
    [anon_sym_BSLASHcls] = ACTIONS(578),
    [anon_sym_BSLASHpmo] = ACTIONS(578),
    [anon_sym_BSLASHpm] = ACTIONS(578),
    [anon_sym_BSLASHpmc] = ACTIONS(578),
    [anon_sym_BSLASHpmr] = ACTIONS(578),
    [anon_sym_BSLASHpi] = ACTIONS(578),
    [anon_sym_BSLASHmi] = ACTIONS(578),
    [anon_sym_BSLASHnb] = ACTIONS(578),
    [anon_sym_BSLASHpc] = ACTIONS(578),
    [anon_sym_BSLASHph] = ACTIONS(578),
    [anon_sym_BSLASHb] = ACTIONS(578),
    [anon_sym_BSLASHq] = ACTIONS(578),
    [anon_sym_BSLASHqr] = ACTIONS(578),
    [anon_sym_BSLASHqc] = ACTIONS(578),
    [anon_sym_BSLASHqs] = ACTIONS(480),
    [anon_sym_BSLASHqa] = ACTIONS(578),
    [anon_sym_BSLASHqac] = ACTIONS(482),
    [anon_sym_BSLASHqm] = ACTIONS(578),
    [anon_sym_BSLASHqd] = ACTIONS(578),
    [anon_sym_BSLASHlh] = ACTIONS(578),
    [anon_sym_BSLASHli] = ACTIONS(578),
    [anon_sym_BSLASHlim] = ACTIONS(578),
    [anon_sym_BSLASHtr] = ACTIONS(578),
    [anon_sym_BSLASHf] = ACTIONS(484),
    [anon_sym_BSLASHfe] = ACTIONS(486),
    [anon_sym_BSLASHef] = ACTIONS(488),
    [anon_sym_BSLASHfm] = ACTIONS(490),
    [anon_sym_BSLASHx] = ACTIONS(492),
    [anon_sym_BSLASHxt] = ACTIONS(494),
    [anon_sym_BSLASHrq] = ACTIONS(496),
    [anon_sym_BSLASHadd] = ACTIONS(498),
    [anon_sym_BSLASHbk] = ACTIONS(500),
    [anon_sym_BSLASHdc] = ACTIONS(502),
    [anon_sym_BSLASHk] = ACTIONS(504),
    [anon_sym_BSLASHnd] = ACTIONS(506),
    [anon_sym_BSLASHord] = ACTIONS(508),
    [anon_sym_BSLASHpn] = ACTIONS(510),
    [anon_sym_BSLASHpng] = ACTIONS(512),
    [anon_sym_BSLASHaddpn] = ACTIONS(514),
    [anon_sym_BSLASHqt] = ACTIONS(516),
    [anon_sym_BSLASHsig] = ACTIONS(518),
    [anon_sym_BSLASHsls] = ACTIONS(520),
    [anon_sym_BSLASHtl] = ACTIONS(522),
    [anon_sym_BSLASHwj] = ACTIONS(524),
    [anon_sym_BSLASHem] = ACTIONS(526),
    [anon_sym_BSLASHbd] = ACTIONS(528),
    [anon_sym_BSLASHit] = ACTIONS(530),
    [anon_sym_BSLASHbdit] = ACTIONS(532),
    [anon_sym_BSLASHno] = ACTIONS(534),
    [anon_sym_BSLASHsc] = ACTIONS(536),
    [anon_sym_BSLASHsup] = ACTIONS(538),
    [anon_sym_BSLASHndx] = ACTIONS(540),
    [anon_sym_BSLASHpro] = ACTIONS(542),
    [anon_sym_BSLASHrb] = ACTIONS(544),
    [anon_sym_BSLASHw] = ACTIONS(546),
    [anon_sym_BSLASHwg] = ACTIONS(548),
    [anon_sym_BSLASHwh] = ACTIONS(550),
    [anon_sym_BSLASHwa] = ACTIONS(552),
    [anon_sym_BSLASHfig] = ACTIONS(554),
    [anon_sym_BSLASHjmp] = ACTIONS(556),
    [anon_sym_BSLASHpb] = ACTIONS(578),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(558),
    [sym_milestoneEndTag] = ACTIONS(560),
    [sym_zSpaceTag] = ACTIONS(562),
    [anon_sym_BSLASHesb] = ACTIONS(578),
  },
  [54] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(58),
    [sym__comments] = STATE(58),
    [sym_sts] = STATE(58),
    [sym_rem] = STATE(58),
    [sym_restore] = STATE(58),
    [sym_lit] = STATE(58),
    [sym_verseText] = STATE(58),
    [sym_v] = STATE(58),
    [sym__verseMeta] = STATE(58),
    [sym_va] = STATE(58),
    [sym_vp] = STATE(58),
    [sym__paragraphContent] = STATE(58),
    [sym__poetryContent] = STATE(58),
    [sym_qs] = STATE(58),
    [sym_qac] = STATE(58),
    [sym_footnote] = STATE(58),
    [sym_f] = STATE(483),
    [sym_fe] = STATE(483),
    [sym_ef] = STATE(483),
    [sym_fm] = STATE(483),
    [sym_crossref] = STATE(58),
    [sym_x] = STATE(496),
    [sym_xt_standalone] = STATE(496),
    [sym_rq] = STATE(496),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1956),
    [sym__milestoneStandaloneMarker] = STATE(464),
    [sym__milestoneStart] = STATE(464),
    [sym__milestoneEnd] = STATE(464),
    [sym_milestone] = STATE(58),
    [sym__zNameSpaceRegular] = STATE(465),
    [sym__zNameSpaceClosed] = STATE(465),
    [sym__zNameSpaceStandaloneMarker] = STATE(465),
    [sym_zNameSpace] = STATE(58),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(58),
    [ts_builtin_sym_end] = ACTIONS(580),
    [aux_sym_text_token1] = ACTIONS(460),
    [anon_sym_BSLASHref] = ACTIONS(462),
    [anon_sym_BSLASHsts] = ACTIONS(464),
    [anon_sym_BSLASHrem] = ACTIONS(466),
    [anon_sym_BSLASHrestore] = ACTIONS(468),
    [anon_sym_BSLASHlit] = ACTIONS(470),
    [anon_sym_BSLASHip] = ACTIONS(582),
    [anon_sym_BSLASHiex] = ACTIONS(582),
    [anon_sym_BSLASHv] = ACTIONS(474),
    [anon_sym_BSLASHva] = ACTIONS(476),
    [anon_sym_BSLASHvp] = ACTIONS(478),
    [anon_sym_BSLASHc] = ACTIONS(582),
    [anon_sym_BSLASHcl] = ACTIONS(582),
    [anon_sym_BSLASHca] = ACTIONS(582),
    [anon_sym_BSLASHcp] = ACTIONS(582),
    [anon_sym_BSLASHcd] = ACTIONS(582),
    [anon_sym_BSLASHmte] = ACTIONS(582),
    [anon_sym_BSLASHms] = ACTIONS(582),
    [anon_sym_BSLASHs] = ACTIONS(582),
    [anon_sym_BSLASHr] = ACTIONS(582),
    [anon_sym_BSLASHsp] = ACTIONS(582),
    [anon_sym_BSLASHd] = ACTIONS(582),
    [anon_sym_BSLASHsd] = ACTIONS(582),
    [anon_sym_BSLASHp] = ACTIONS(582),
    [anon_sym_BSLASHm] = ACTIONS(582),
    [anon_sym_BSLASHpo] = ACTIONS(582),
    [anon_sym_BSLASHpr] = ACTIONS(582),
    [anon_sym_BSLASHcls] = ACTIONS(582),
    [anon_sym_BSLASHpmo] = ACTIONS(582),
    [anon_sym_BSLASHpm] = ACTIONS(582),
    [anon_sym_BSLASHpmc] = ACTIONS(582),
    [anon_sym_BSLASHpmr] = ACTIONS(582),
    [anon_sym_BSLASHpi] = ACTIONS(582),
    [anon_sym_BSLASHmi] = ACTIONS(582),
    [anon_sym_BSLASHnb] = ACTIONS(582),
    [anon_sym_BSLASHpc] = ACTIONS(582),
    [anon_sym_BSLASHph] = ACTIONS(582),
    [anon_sym_BSLASHb] = ACTIONS(582),
    [anon_sym_BSLASHq] = ACTIONS(582),
    [anon_sym_BSLASHqr] = ACTIONS(582),
    [anon_sym_BSLASHqc] = ACTIONS(582),
    [anon_sym_BSLASHqs] = ACTIONS(480),
    [anon_sym_BSLASHqa] = ACTIONS(582),
    [anon_sym_BSLASHqac] = ACTIONS(482),
    [anon_sym_BSLASHqm] = ACTIONS(582),
    [anon_sym_BSLASHqd] = ACTIONS(582),
    [anon_sym_BSLASHlh] = ACTIONS(582),
    [anon_sym_BSLASHli] = ACTIONS(582),
    [anon_sym_BSLASHlim] = ACTIONS(582),
    [anon_sym_BSLASHtr] = ACTIONS(582),
    [anon_sym_BSLASHf] = ACTIONS(484),
    [anon_sym_BSLASHfe] = ACTIONS(486),
    [anon_sym_BSLASHef] = ACTIONS(488),
    [anon_sym_BSLASHfm] = ACTIONS(490),
    [anon_sym_BSLASHx] = ACTIONS(492),
    [anon_sym_BSLASHxt] = ACTIONS(494),
    [anon_sym_BSLASHrq] = ACTIONS(496),
    [anon_sym_BSLASHadd] = ACTIONS(498),
    [anon_sym_BSLASHbk] = ACTIONS(500),
    [anon_sym_BSLASHdc] = ACTIONS(502),
    [anon_sym_BSLASHk] = ACTIONS(504),
    [anon_sym_BSLASHnd] = ACTIONS(506),
    [anon_sym_BSLASHord] = ACTIONS(508),
    [anon_sym_BSLASHpn] = ACTIONS(510),
    [anon_sym_BSLASHpng] = ACTIONS(512),
    [anon_sym_BSLASHaddpn] = ACTIONS(514),
    [anon_sym_BSLASHqt] = ACTIONS(516),
    [anon_sym_BSLASHsig] = ACTIONS(518),
    [anon_sym_BSLASHsls] = ACTIONS(520),
    [anon_sym_BSLASHtl] = ACTIONS(522),
    [anon_sym_BSLASHwj] = ACTIONS(524),
    [anon_sym_BSLASHem] = ACTIONS(526),
    [anon_sym_BSLASHbd] = ACTIONS(528),
    [anon_sym_BSLASHit] = ACTIONS(530),
    [anon_sym_BSLASHbdit] = ACTIONS(532),
    [anon_sym_BSLASHno] = ACTIONS(534),
    [anon_sym_BSLASHsc] = ACTIONS(536),
    [anon_sym_BSLASHsup] = ACTIONS(538),
    [anon_sym_BSLASHndx] = ACTIONS(540),
    [anon_sym_BSLASHpro] = ACTIONS(542),
    [anon_sym_BSLASHrb] = ACTIONS(544),
    [anon_sym_BSLASHw] = ACTIONS(546),
    [anon_sym_BSLASHwg] = ACTIONS(548),
    [anon_sym_BSLASHwh] = ACTIONS(550),
    [anon_sym_BSLASHwa] = ACTIONS(552),
    [anon_sym_BSLASHfig] = ACTIONS(554),
    [anon_sym_BSLASHjmp] = ACTIONS(556),
    [anon_sym_BSLASHpb] = ACTIONS(582),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(558),
    [sym_milestoneEndTag] = ACTIONS(560),
    [sym_zSpaceTag] = ACTIONS(562),
    [anon_sym_BSLASHesb] = ACTIONS(582),
  },
  [55] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(57),
    [sym__comments] = STATE(57),
    [sym_sts] = STATE(57),
    [sym_rem] = STATE(57),
    [sym_restore] = STATE(57),
    [sym_lit] = STATE(57),
    [sym_verseText] = STATE(57),
    [sym_v] = STATE(57),
    [sym__verseMeta] = STATE(57),
    [sym_va] = STATE(57),
    [sym_vp] = STATE(57),
    [sym__paragraphContent] = STATE(57),
    [sym__poetryContent] = STATE(57),
    [sym_qs] = STATE(57),
    [sym_qac] = STATE(57),
    [sym_footnote] = STATE(57),
    [sym_f] = STATE(483),
    [sym_fe] = STATE(483),
    [sym_ef] = STATE(483),
    [sym_fm] = STATE(483),
    [sym_crossref] = STATE(57),
    [sym_x] = STATE(496),
    [sym_xt_standalone] = STATE(496),
    [sym_rq] = STATE(496),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1956),
    [sym__milestoneStandaloneMarker] = STATE(464),
    [sym__milestoneStart] = STATE(464),
    [sym__milestoneEnd] = STATE(464),
    [sym_milestone] = STATE(57),
    [sym__zNameSpaceRegular] = STATE(465),
    [sym__zNameSpaceClosed] = STATE(465),
    [sym__zNameSpaceStandaloneMarker] = STATE(465),
    [sym_zNameSpace] = STATE(57),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(57),
    [ts_builtin_sym_end] = ACTIONS(584),
    [aux_sym_text_token1] = ACTIONS(460),
    [anon_sym_BSLASHref] = ACTIONS(462),
    [anon_sym_BSLASHsts] = ACTIONS(464),
    [anon_sym_BSLASHrem] = ACTIONS(466),
    [anon_sym_BSLASHrestore] = ACTIONS(468),
    [anon_sym_BSLASHlit] = ACTIONS(470),
    [anon_sym_BSLASHip] = ACTIONS(586),
    [anon_sym_BSLASHiex] = ACTIONS(586),
    [anon_sym_BSLASHv] = ACTIONS(474),
    [anon_sym_BSLASHva] = ACTIONS(476),
    [anon_sym_BSLASHvp] = ACTIONS(478),
    [anon_sym_BSLASHc] = ACTIONS(586),
    [anon_sym_BSLASHcl] = ACTIONS(586),
    [anon_sym_BSLASHca] = ACTIONS(586),
    [anon_sym_BSLASHcp] = ACTIONS(586),
    [anon_sym_BSLASHcd] = ACTIONS(586),
    [anon_sym_BSLASHmte] = ACTIONS(586),
    [anon_sym_BSLASHms] = ACTIONS(586),
    [anon_sym_BSLASHs] = ACTIONS(586),
    [anon_sym_BSLASHr] = ACTIONS(586),
    [anon_sym_BSLASHsp] = ACTIONS(586),
    [anon_sym_BSLASHd] = ACTIONS(586),
    [anon_sym_BSLASHsd] = ACTIONS(586),
    [anon_sym_BSLASHp] = ACTIONS(586),
    [anon_sym_BSLASHm] = ACTIONS(586),
    [anon_sym_BSLASHpo] = ACTIONS(586),
    [anon_sym_BSLASHpr] = ACTIONS(586),
    [anon_sym_BSLASHcls] = ACTIONS(586),
    [anon_sym_BSLASHpmo] = ACTIONS(586),
    [anon_sym_BSLASHpm] = ACTIONS(586),
    [anon_sym_BSLASHpmc] = ACTIONS(586),
    [anon_sym_BSLASHpmr] = ACTIONS(586),
    [anon_sym_BSLASHpi] = ACTIONS(586),
    [anon_sym_BSLASHmi] = ACTIONS(586),
    [anon_sym_BSLASHnb] = ACTIONS(586),
    [anon_sym_BSLASHpc] = ACTIONS(586),
    [anon_sym_BSLASHph] = ACTIONS(586),
    [anon_sym_BSLASHb] = ACTIONS(586),
    [anon_sym_BSLASHq] = ACTIONS(586),
    [anon_sym_BSLASHqr] = ACTIONS(586),
    [anon_sym_BSLASHqc] = ACTIONS(586),
    [anon_sym_BSLASHqs] = ACTIONS(480),
    [anon_sym_BSLASHqa] = ACTIONS(586),
    [anon_sym_BSLASHqac] = ACTIONS(482),
    [anon_sym_BSLASHqm] = ACTIONS(586),
    [anon_sym_BSLASHqd] = ACTIONS(586),
    [anon_sym_BSLASHlh] = ACTIONS(586),
    [anon_sym_BSLASHli] = ACTIONS(586),
    [anon_sym_BSLASHlim] = ACTIONS(586),
    [anon_sym_BSLASHtr] = ACTIONS(586),
    [anon_sym_BSLASHf] = ACTIONS(484),
    [anon_sym_BSLASHfe] = ACTIONS(486),
    [anon_sym_BSLASHef] = ACTIONS(488),
    [anon_sym_BSLASHfm] = ACTIONS(490),
    [anon_sym_BSLASHx] = ACTIONS(492),
    [anon_sym_BSLASHxt] = ACTIONS(494),
    [anon_sym_BSLASHrq] = ACTIONS(496),
    [anon_sym_BSLASHadd] = ACTIONS(498),
    [anon_sym_BSLASHbk] = ACTIONS(500),
    [anon_sym_BSLASHdc] = ACTIONS(502),
    [anon_sym_BSLASHk] = ACTIONS(504),
    [anon_sym_BSLASHnd] = ACTIONS(506),
    [anon_sym_BSLASHord] = ACTIONS(508),
    [anon_sym_BSLASHpn] = ACTIONS(510),
    [anon_sym_BSLASHpng] = ACTIONS(512),
    [anon_sym_BSLASHaddpn] = ACTIONS(514),
    [anon_sym_BSLASHqt] = ACTIONS(516),
    [anon_sym_BSLASHsig] = ACTIONS(518),
    [anon_sym_BSLASHsls] = ACTIONS(520),
    [anon_sym_BSLASHtl] = ACTIONS(522),
    [anon_sym_BSLASHwj] = ACTIONS(524),
    [anon_sym_BSLASHem] = ACTIONS(526),
    [anon_sym_BSLASHbd] = ACTIONS(528),
    [anon_sym_BSLASHit] = ACTIONS(530),
    [anon_sym_BSLASHbdit] = ACTIONS(532),
    [anon_sym_BSLASHno] = ACTIONS(534),
    [anon_sym_BSLASHsc] = ACTIONS(536),
    [anon_sym_BSLASHsup] = ACTIONS(538),
    [anon_sym_BSLASHndx] = ACTIONS(540),
    [anon_sym_BSLASHpro] = ACTIONS(542),
    [anon_sym_BSLASHrb] = ACTIONS(544),
    [anon_sym_BSLASHw] = ACTIONS(546),
    [anon_sym_BSLASHwg] = ACTIONS(548),
    [anon_sym_BSLASHwh] = ACTIONS(550),
    [anon_sym_BSLASHwa] = ACTIONS(552),
    [anon_sym_BSLASHfig] = ACTIONS(554),
    [anon_sym_BSLASHjmp] = ACTIONS(556),
    [anon_sym_BSLASHpb] = ACTIONS(586),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(558),
    [sym_milestoneEndTag] = ACTIONS(560),
    [sym_zSpaceTag] = ACTIONS(562),
    [anon_sym_BSLASHesb] = ACTIONS(586),
  },
  [56] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(57),
    [sym__comments] = STATE(57),
    [sym_sts] = STATE(57),
    [sym_rem] = STATE(57),
    [sym_restore] = STATE(57),
    [sym_lit] = STATE(57),
    [sym_verseText] = STATE(57),
    [sym_v] = STATE(57),
    [sym__verseMeta] = STATE(57),
    [sym_va] = STATE(57),
    [sym_vp] = STATE(57),
    [sym__paragraphContent] = STATE(57),
    [sym__poetryContent] = STATE(57),
    [sym_qs] = STATE(57),
    [sym_qac] = STATE(57),
    [sym_footnote] = STATE(57),
    [sym_f] = STATE(483),
    [sym_fe] = STATE(483),
    [sym_ef] = STATE(483),
    [sym_fm] = STATE(483),
    [sym_crossref] = STATE(57),
    [sym_x] = STATE(496),
    [sym_xt_standalone] = STATE(496),
    [sym_rq] = STATE(496),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1956),
    [sym__milestoneStandaloneMarker] = STATE(464),
    [sym__milestoneStart] = STATE(464),
    [sym__milestoneEnd] = STATE(464),
    [sym_milestone] = STATE(57),
    [sym__zNameSpaceRegular] = STATE(465),
    [sym__zNameSpaceClosed] = STATE(465),
    [sym__zNameSpaceStandaloneMarker] = STATE(465),
    [sym_zNameSpace] = STATE(57),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(57),
    [ts_builtin_sym_end] = ACTIONS(588),
    [aux_sym_text_token1] = ACTIONS(460),
    [anon_sym_BSLASHref] = ACTIONS(462),
    [anon_sym_BSLASHsts] = ACTIONS(464),
    [anon_sym_BSLASHrem] = ACTIONS(466),
    [anon_sym_BSLASHrestore] = ACTIONS(468),
    [anon_sym_BSLASHlit] = ACTIONS(470),
    [anon_sym_BSLASHip] = ACTIONS(590),
    [anon_sym_BSLASHiex] = ACTIONS(590),
    [anon_sym_BSLASHv] = ACTIONS(474),
    [anon_sym_BSLASHva] = ACTIONS(476),
    [anon_sym_BSLASHvp] = ACTIONS(478),
    [anon_sym_BSLASHc] = ACTIONS(590),
    [anon_sym_BSLASHcl] = ACTIONS(590),
    [anon_sym_BSLASHca] = ACTIONS(590),
    [anon_sym_BSLASHcp] = ACTIONS(590),
    [anon_sym_BSLASHcd] = ACTIONS(590),
    [anon_sym_BSLASHmte] = ACTIONS(590),
    [anon_sym_BSLASHms] = ACTIONS(590),
    [anon_sym_BSLASHs] = ACTIONS(590),
    [anon_sym_BSLASHr] = ACTIONS(590),
    [anon_sym_BSLASHsp] = ACTIONS(590),
    [anon_sym_BSLASHd] = ACTIONS(590),
    [anon_sym_BSLASHsd] = ACTIONS(590),
    [anon_sym_BSLASHp] = ACTIONS(590),
    [anon_sym_BSLASHm] = ACTIONS(590),
    [anon_sym_BSLASHpo] = ACTIONS(590),
    [anon_sym_BSLASHpr] = ACTIONS(590),
    [anon_sym_BSLASHcls] = ACTIONS(590),
    [anon_sym_BSLASHpmo] = ACTIONS(590),
    [anon_sym_BSLASHpm] = ACTIONS(590),
    [anon_sym_BSLASHpmc] = ACTIONS(590),
    [anon_sym_BSLASHpmr] = ACTIONS(590),
    [anon_sym_BSLASHpi] = ACTIONS(590),
    [anon_sym_BSLASHmi] = ACTIONS(590),
    [anon_sym_BSLASHnb] = ACTIONS(590),
    [anon_sym_BSLASHpc] = ACTIONS(590),
    [anon_sym_BSLASHph] = ACTIONS(590),
    [anon_sym_BSLASHb] = ACTIONS(590),
    [anon_sym_BSLASHq] = ACTIONS(590),
    [anon_sym_BSLASHqr] = ACTIONS(590),
    [anon_sym_BSLASHqc] = ACTIONS(590),
    [anon_sym_BSLASHqs] = ACTIONS(480),
    [anon_sym_BSLASHqa] = ACTIONS(590),
    [anon_sym_BSLASHqac] = ACTIONS(482),
    [anon_sym_BSLASHqm] = ACTIONS(590),
    [anon_sym_BSLASHqd] = ACTIONS(590),
    [anon_sym_BSLASHlh] = ACTIONS(590),
    [anon_sym_BSLASHli] = ACTIONS(590),
    [anon_sym_BSLASHlim] = ACTIONS(590),
    [anon_sym_BSLASHtr] = ACTIONS(590),
    [anon_sym_BSLASHf] = ACTIONS(484),
    [anon_sym_BSLASHfe] = ACTIONS(486),
    [anon_sym_BSLASHef] = ACTIONS(488),
    [anon_sym_BSLASHfm] = ACTIONS(490),
    [anon_sym_BSLASHx] = ACTIONS(492),
    [anon_sym_BSLASHxt] = ACTIONS(494),
    [anon_sym_BSLASHrq] = ACTIONS(496),
    [anon_sym_BSLASHadd] = ACTIONS(498),
    [anon_sym_BSLASHbk] = ACTIONS(500),
    [anon_sym_BSLASHdc] = ACTIONS(502),
    [anon_sym_BSLASHk] = ACTIONS(504),
    [anon_sym_BSLASHnd] = ACTIONS(506),
    [anon_sym_BSLASHord] = ACTIONS(508),
    [anon_sym_BSLASHpn] = ACTIONS(510),
    [anon_sym_BSLASHpng] = ACTIONS(512),
    [anon_sym_BSLASHaddpn] = ACTIONS(514),
    [anon_sym_BSLASHqt] = ACTIONS(516),
    [anon_sym_BSLASHsig] = ACTIONS(518),
    [anon_sym_BSLASHsls] = ACTIONS(520),
    [anon_sym_BSLASHtl] = ACTIONS(522),
    [anon_sym_BSLASHwj] = ACTIONS(524),
    [anon_sym_BSLASHem] = ACTIONS(526),
    [anon_sym_BSLASHbd] = ACTIONS(528),
    [anon_sym_BSLASHit] = ACTIONS(530),
    [anon_sym_BSLASHbdit] = ACTIONS(532),
    [anon_sym_BSLASHno] = ACTIONS(534),
    [anon_sym_BSLASHsc] = ACTIONS(536),
    [anon_sym_BSLASHsup] = ACTIONS(538),
    [anon_sym_BSLASHndx] = ACTIONS(540),
    [anon_sym_BSLASHpro] = ACTIONS(542),
    [anon_sym_BSLASHrb] = ACTIONS(544),
    [anon_sym_BSLASHw] = ACTIONS(546),
    [anon_sym_BSLASHwg] = ACTIONS(548),
    [anon_sym_BSLASHwh] = ACTIONS(550),
    [anon_sym_BSLASHwa] = ACTIONS(552),
    [anon_sym_BSLASHfig] = ACTIONS(554),
    [anon_sym_BSLASHjmp] = ACTIONS(556),
    [anon_sym_BSLASHpb] = ACTIONS(590),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(558),
    [sym_milestoneEndTag] = ACTIONS(560),
    [sym_zSpaceTag] = ACTIONS(562),
    [anon_sym_BSLASHesb] = ACTIONS(590),
  },
  [57] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(57),
    [sym__comments] = STATE(57),
    [sym_sts] = STATE(57),
    [sym_rem] = STATE(57),
    [sym_restore] = STATE(57),
    [sym_lit] = STATE(57),
    [sym_verseText] = STATE(57),
    [sym_v] = STATE(57),
    [sym__verseMeta] = STATE(57),
    [sym_va] = STATE(57),
    [sym_vp] = STATE(57),
    [sym__paragraphContent] = STATE(57),
    [sym__poetryContent] = STATE(57),
    [sym_qs] = STATE(57),
    [sym_qac] = STATE(57),
    [sym_footnote] = STATE(57),
    [sym_f] = STATE(483),
    [sym_fe] = STATE(483),
    [sym_ef] = STATE(483),
    [sym_fm] = STATE(483),
    [sym_crossref] = STATE(57),
    [sym_x] = STATE(496),
    [sym_xt_standalone] = STATE(496),
    [sym_rq] = STATE(496),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1956),
    [sym__milestoneStandaloneMarker] = STATE(464),
    [sym__milestoneStart] = STATE(464),
    [sym__milestoneEnd] = STATE(464),
    [sym_milestone] = STATE(57),
    [sym__zNameSpaceRegular] = STATE(465),
    [sym__zNameSpaceClosed] = STATE(465),
    [sym__zNameSpaceStandaloneMarker] = STATE(465),
    [sym_zNameSpace] = STATE(57),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(57),
    [ts_builtin_sym_end] = ACTIONS(592),
    [aux_sym_text_token1] = ACTIONS(594),
    [anon_sym_BSLASHref] = ACTIONS(597),
    [anon_sym_BSLASHsts] = ACTIONS(600),
    [anon_sym_BSLASHrem] = ACTIONS(603),
    [anon_sym_BSLASHrestore] = ACTIONS(606),
    [anon_sym_BSLASHlit] = ACTIONS(609),
    [anon_sym_BSLASHip] = ACTIONS(612),
    [anon_sym_BSLASHiex] = ACTIONS(612),
    [anon_sym_BSLASHv] = ACTIONS(614),
    [anon_sym_BSLASHva] = ACTIONS(617),
    [anon_sym_BSLASHvp] = ACTIONS(620),
    [anon_sym_BSLASHc] = ACTIONS(612),
    [anon_sym_BSLASHcl] = ACTIONS(612),
    [anon_sym_BSLASHca] = ACTIONS(612),
    [anon_sym_BSLASHcp] = ACTIONS(612),
    [anon_sym_BSLASHcd] = ACTIONS(612),
    [anon_sym_BSLASHmte] = ACTIONS(612),
    [anon_sym_BSLASHms] = ACTIONS(612),
    [anon_sym_BSLASHs] = ACTIONS(612),
    [anon_sym_BSLASHr] = ACTIONS(612),
    [anon_sym_BSLASHsp] = ACTIONS(612),
    [anon_sym_BSLASHd] = ACTIONS(612),
    [anon_sym_BSLASHsd] = ACTIONS(612),
    [anon_sym_BSLASHp] = ACTIONS(612),
    [anon_sym_BSLASHm] = ACTIONS(612),
    [anon_sym_BSLASHpo] = ACTIONS(612),
    [anon_sym_BSLASHpr] = ACTIONS(612),
    [anon_sym_BSLASHcls] = ACTIONS(612),
    [anon_sym_BSLASHpmo] = ACTIONS(612),
    [anon_sym_BSLASHpm] = ACTIONS(612),
    [anon_sym_BSLASHpmc] = ACTIONS(612),
    [anon_sym_BSLASHpmr] = ACTIONS(612),
    [anon_sym_BSLASHpi] = ACTIONS(612),
    [anon_sym_BSLASHmi] = ACTIONS(612),
    [anon_sym_BSLASHnb] = ACTIONS(612),
    [anon_sym_BSLASHpc] = ACTIONS(612),
    [anon_sym_BSLASHph] = ACTIONS(612),
    [anon_sym_BSLASHb] = ACTIONS(612),
    [anon_sym_BSLASHq] = ACTIONS(612),
    [anon_sym_BSLASHqr] = ACTIONS(612),
    [anon_sym_BSLASHqc] = ACTIONS(612),
    [anon_sym_BSLASHqs] = ACTIONS(623),
    [anon_sym_BSLASHqa] = ACTIONS(612),
    [anon_sym_BSLASHqac] = ACTIONS(626),
    [anon_sym_BSLASHqm] = ACTIONS(612),
    [anon_sym_BSLASHqd] = ACTIONS(612),
    [anon_sym_BSLASHlh] = ACTIONS(612),
    [anon_sym_BSLASHli] = ACTIONS(612),
    [anon_sym_BSLASHlim] = ACTIONS(612),
    [anon_sym_BSLASHtr] = ACTIONS(612),
    [anon_sym_BSLASHf] = ACTIONS(629),
    [anon_sym_BSLASHfe] = ACTIONS(632),
    [anon_sym_BSLASHef] = ACTIONS(635),
    [anon_sym_BSLASHfm] = ACTIONS(638),
    [anon_sym_BSLASHx] = ACTIONS(641),
    [anon_sym_BSLASHxt] = ACTIONS(644),
    [anon_sym_BSLASHrq] = ACTIONS(647),
    [anon_sym_BSLASHadd] = ACTIONS(650),
    [anon_sym_BSLASHbk] = ACTIONS(653),
    [anon_sym_BSLASHdc] = ACTIONS(656),
    [anon_sym_BSLASHk] = ACTIONS(659),
    [anon_sym_BSLASHnd] = ACTIONS(662),
    [anon_sym_BSLASHord] = ACTIONS(665),
    [anon_sym_BSLASHpn] = ACTIONS(668),
    [anon_sym_BSLASHpng] = ACTIONS(671),
    [anon_sym_BSLASHaddpn] = ACTIONS(674),
    [anon_sym_BSLASHqt] = ACTIONS(677),
    [anon_sym_BSLASHsig] = ACTIONS(680),
    [anon_sym_BSLASHsls] = ACTIONS(683),
    [anon_sym_BSLASHtl] = ACTIONS(686),
    [anon_sym_BSLASHwj] = ACTIONS(689),
    [anon_sym_BSLASHem] = ACTIONS(692),
    [anon_sym_BSLASHbd] = ACTIONS(695),
    [anon_sym_BSLASHit] = ACTIONS(698),
    [anon_sym_BSLASHbdit] = ACTIONS(701),
    [anon_sym_BSLASHno] = ACTIONS(704),
    [anon_sym_BSLASHsc] = ACTIONS(707),
    [anon_sym_BSLASHsup] = ACTIONS(710),
    [anon_sym_BSLASHndx] = ACTIONS(713),
    [anon_sym_BSLASHpro] = ACTIONS(716),
    [anon_sym_BSLASHrb] = ACTIONS(719),
    [anon_sym_BSLASHw] = ACTIONS(722),
    [anon_sym_BSLASHwg] = ACTIONS(725),
    [anon_sym_BSLASHwh] = ACTIONS(728),
    [anon_sym_BSLASHwa] = ACTIONS(731),
    [anon_sym_BSLASHfig] = ACTIONS(734),
    [anon_sym_BSLASHjmp] = ACTIONS(737),
    [anon_sym_BSLASHpb] = ACTIONS(612),
    [anon_sym_BSLASH] = ACTIONS(740),
    [sym_milestoneStartTag] = ACTIONS(743),
    [sym_milestoneEndTag] = ACTIONS(746),
    [sym_zSpaceTag] = ACTIONS(749),
    [anon_sym_BSLASHesb] = ACTIONS(612),
  },
  [58] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(57),
    [sym__comments] = STATE(57),
    [sym_sts] = STATE(57),
    [sym_rem] = STATE(57),
    [sym_restore] = STATE(57),
    [sym_lit] = STATE(57),
    [sym_verseText] = STATE(57),
    [sym_v] = STATE(57),
    [sym__verseMeta] = STATE(57),
    [sym_va] = STATE(57),
    [sym_vp] = STATE(57),
    [sym__paragraphContent] = STATE(57),
    [sym__poetryContent] = STATE(57),
    [sym_qs] = STATE(57),
    [sym_qac] = STATE(57),
    [sym_footnote] = STATE(57),
    [sym_f] = STATE(483),
    [sym_fe] = STATE(483),
    [sym_ef] = STATE(483),
    [sym_fm] = STATE(483),
    [sym_crossref] = STATE(57),
    [sym_x] = STATE(496),
    [sym_xt_standalone] = STATE(496),
    [sym_rq] = STATE(496),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1956),
    [sym__milestoneStandaloneMarker] = STATE(464),
    [sym__milestoneStart] = STATE(464),
    [sym__milestoneEnd] = STATE(464),
    [sym_milestone] = STATE(57),
    [sym__zNameSpaceRegular] = STATE(465),
    [sym__zNameSpaceClosed] = STATE(465),
    [sym__zNameSpaceStandaloneMarker] = STATE(465),
    [sym_zNameSpace] = STATE(57),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(57),
    [ts_builtin_sym_end] = ACTIONS(752),
    [aux_sym_text_token1] = ACTIONS(460),
    [anon_sym_BSLASHref] = ACTIONS(462),
    [anon_sym_BSLASHsts] = ACTIONS(464),
    [anon_sym_BSLASHrem] = ACTIONS(466),
    [anon_sym_BSLASHrestore] = ACTIONS(468),
    [anon_sym_BSLASHlit] = ACTIONS(470),
    [anon_sym_BSLASHip] = ACTIONS(754),
    [anon_sym_BSLASHiex] = ACTIONS(754),
    [anon_sym_BSLASHv] = ACTIONS(474),
    [anon_sym_BSLASHva] = ACTIONS(476),
    [anon_sym_BSLASHvp] = ACTIONS(478),
    [anon_sym_BSLASHc] = ACTIONS(754),
    [anon_sym_BSLASHcl] = ACTIONS(754),
    [anon_sym_BSLASHca] = ACTIONS(754),
    [anon_sym_BSLASHcp] = ACTIONS(754),
    [anon_sym_BSLASHcd] = ACTIONS(754),
    [anon_sym_BSLASHmte] = ACTIONS(754),
    [anon_sym_BSLASHms] = ACTIONS(754),
    [anon_sym_BSLASHs] = ACTIONS(754),
    [anon_sym_BSLASHr] = ACTIONS(754),
    [anon_sym_BSLASHsp] = ACTIONS(754),
    [anon_sym_BSLASHd] = ACTIONS(754),
    [anon_sym_BSLASHsd] = ACTIONS(754),
    [anon_sym_BSLASHp] = ACTIONS(754),
    [anon_sym_BSLASHm] = ACTIONS(754),
    [anon_sym_BSLASHpo] = ACTIONS(754),
    [anon_sym_BSLASHpr] = ACTIONS(754),
    [anon_sym_BSLASHcls] = ACTIONS(754),
    [anon_sym_BSLASHpmo] = ACTIONS(754),
    [anon_sym_BSLASHpm] = ACTIONS(754),
    [anon_sym_BSLASHpmc] = ACTIONS(754),
    [anon_sym_BSLASHpmr] = ACTIONS(754),
    [anon_sym_BSLASHpi] = ACTIONS(754),
    [anon_sym_BSLASHmi] = ACTIONS(754),
    [anon_sym_BSLASHnb] = ACTIONS(754),
    [anon_sym_BSLASHpc] = ACTIONS(754),
    [anon_sym_BSLASHph] = ACTIONS(754),
    [anon_sym_BSLASHb] = ACTIONS(754),
    [anon_sym_BSLASHq] = ACTIONS(754),
    [anon_sym_BSLASHqr] = ACTIONS(754),
    [anon_sym_BSLASHqc] = ACTIONS(754),
    [anon_sym_BSLASHqs] = ACTIONS(480),
    [anon_sym_BSLASHqa] = ACTIONS(754),
    [anon_sym_BSLASHqac] = ACTIONS(482),
    [anon_sym_BSLASHqm] = ACTIONS(754),
    [anon_sym_BSLASHqd] = ACTIONS(754),
    [anon_sym_BSLASHlh] = ACTIONS(754),
    [anon_sym_BSLASHli] = ACTIONS(754),
    [anon_sym_BSLASHlim] = ACTIONS(754),
    [anon_sym_BSLASHtr] = ACTIONS(754),
    [anon_sym_BSLASHf] = ACTIONS(484),
    [anon_sym_BSLASHfe] = ACTIONS(486),
    [anon_sym_BSLASHef] = ACTIONS(488),
    [anon_sym_BSLASHfm] = ACTIONS(490),
    [anon_sym_BSLASHx] = ACTIONS(492),
    [anon_sym_BSLASHxt] = ACTIONS(494),
    [anon_sym_BSLASHrq] = ACTIONS(496),
    [anon_sym_BSLASHadd] = ACTIONS(498),
    [anon_sym_BSLASHbk] = ACTIONS(500),
    [anon_sym_BSLASHdc] = ACTIONS(502),
    [anon_sym_BSLASHk] = ACTIONS(504),
    [anon_sym_BSLASHnd] = ACTIONS(506),
    [anon_sym_BSLASHord] = ACTIONS(508),
    [anon_sym_BSLASHpn] = ACTIONS(510),
    [anon_sym_BSLASHpng] = ACTIONS(512),
    [anon_sym_BSLASHaddpn] = ACTIONS(514),
    [anon_sym_BSLASHqt] = ACTIONS(516),
    [anon_sym_BSLASHsig] = ACTIONS(518),
    [anon_sym_BSLASHsls] = ACTIONS(520),
    [anon_sym_BSLASHtl] = ACTIONS(522),
    [anon_sym_BSLASHwj] = ACTIONS(524),
    [anon_sym_BSLASHem] = ACTIONS(526),
    [anon_sym_BSLASHbd] = ACTIONS(528),
    [anon_sym_BSLASHit] = ACTIONS(530),
    [anon_sym_BSLASHbdit] = ACTIONS(532),
    [anon_sym_BSLASHno] = ACTIONS(534),
    [anon_sym_BSLASHsc] = ACTIONS(536),
    [anon_sym_BSLASHsup] = ACTIONS(538),
    [anon_sym_BSLASHndx] = ACTIONS(540),
    [anon_sym_BSLASHpro] = ACTIONS(542),
    [anon_sym_BSLASHrb] = ACTIONS(544),
    [anon_sym_BSLASHw] = ACTIONS(546),
    [anon_sym_BSLASHwg] = ACTIONS(548),
    [anon_sym_BSLASHwh] = ACTIONS(550),
    [anon_sym_BSLASHwa] = ACTIONS(552),
    [anon_sym_BSLASHfig] = ACTIONS(554),
    [anon_sym_BSLASHjmp] = ACTIONS(556),
    [anon_sym_BSLASHpb] = ACTIONS(754),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(558),
    [sym_milestoneEndTag] = ACTIONS(560),
    [sym_zSpaceTag] = ACTIONS(562),
    [anon_sym_BSLASHesb] = ACTIONS(754),
  },
  [59] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(57),
    [sym__comments] = STATE(57),
    [sym_sts] = STATE(57),
    [sym_rem] = STATE(57),
    [sym_restore] = STATE(57),
    [sym_lit] = STATE(57),
    [sym_verseText] = STATE(57),
    [sym_v] = STATE(57),
    [sym__verseMeta] = STATE(57),
    [sym_va] = STATE(57),
    [sym_vp] = STATE(57),
    [sym__paragraphContent] = STATE(57),
    [sym__poetryContent] = STATE(57),
    [sym_qs] = STATE(57),
    [sym_qac] = STATE(57),
    [sym_footnote] = STATE(57),
    [sym_f] = STATE(483),
    [sym_fe] = STATE(483),
    [sym_ef] = STATE(483),
    [sym_fm] = STATE(483),
    [sym_crossref] = STATE(57),
    [sym_x] = STATE(496),
    [sym_xt_standalone] = STATE(496),
    [sym_rq] = STATE(496),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1956),
    [sym__milestoneStandaloneMarker] = STATE(464),
    [sym__milestoneStart] = STATE(464),
    [sym__milestoneEnd] = STATE(464),
    [sym_milestone] = STATE(57),
    [sym__zNameSpaceRegular] = STATE(465),
    [sym__zNameSpaceClosed] = STATE(465),
    [sym__zNameSpaceStandaloneMarker] = STATE(465),
    [sym_zNameSpace] = STATE(57),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(57),
    [ts_builtin_sym_end] = ACTIONS(756),
    [aux_sym_text_token1] = ACTIONS(460),
    [anon_sym_BSLASHref] = ACTIONS(462),
    [anon_sym_BSLASHsts] = ACTIONS(464),
    [anon_sym_BSLASHrem] = ACTIONS(466),
    [anon_sym_BSLASHrestore] = ACTIONS(468),
    [anon_sym_BSLASHlit] = ACTIONS(470),
    [anon_sym_BSLASHip] = ACTIONS(758),
    [anon_sym_BSLASHiex] = ACTIONS(758),
    [anon_sym_BSLASHv] = ACTIONS(474),
    [anon_sym_BSLASHva] = ACTIONS(476),
    [anon_sym_BSLASHvp] = ACTIONS(478),
    [anon_sym_BSLASHc] = ACTIONS(758),
    [anon_sym_BSLASHcl] = ACTIONS(758),
    [anon_sym_BSLASHca] = ACTIONS(758),
    [anon_sym_BSLASHcp] = ACTIONS(758),
    [anon_sym_BSLASHcd] = ACTIONS(758),
    [anon_sym_BSLASHmte] = ACTIONS(758),
    [anon_sym_BSLASHms] = ACTIONS(758),
    [anon_sym_BSLASHs] = ACTIONS(758),
    [anon_sym_BSLASHr] = ACTIONS(758),
    [anon_sym_BSLASHsp] = ACTIONS(758),
    [anon_sym_BSLASHd] = ACTIONS(758),
    [anon_sym_BSLASHsd] = ACTIONS(758),
    [anon_sym_BSLASHp] = ACTIONS(758),
    [anon_sym_BSLASHm] = ACTIONS(758),
    [anon_sym_BSLASHpo] = ACTIONS(758),
    [anon_sym_BSLASHpr] = ACTIONS(758),
    [anon_sym_BSLASHcls] = ACTIONS(758),
    [anon_sym_BSLASHpmo] = ACTIONS(758),
    [anon_sym_BSLASHpm] = ACTIONS(758),
    [anon_sym_BSLASHpmc] = ACTIONS(758),
    [anon_sym_BSLASHpmr] = ACTIONS(758),
    [anon_sym_BSLASHpi] = ACTIONS(758),
    [anon_sym_BSLASHmi] = ACTIONS(758),
    [anon_sym_BSLASHnb] = ACTIONS(758),
    [anon_sym_BSLASHpc] = ACTIONS(758),
    [anon_sym_BSLASHph] = ACTIONS(758),
    [anon_sym_BSLASHb] = ACTIONS(758),
    [anon_sym_BSLASHq] = ACTIONS(758),
    [anon_sym_BSLASHqr] = ACTIONS(758),
    [anon_sym_BSLASHqc] = ACTIONS(758),
    [anon_sym_BSLASHqs] = ACTIONS(480),
    [anon_sym_BSLASHqa] = ACTIONS(758),
    [anon_sym_BSLASHqac] = ACTIONS(482),
    [anon_sym_BSLASHqm] = ACTIONS(758),
    [anon_sym_BSLASHqd] = ACTIONS(758),
    [anon_sym_BSLASHlh] = ACTIONS(758),
    [anon_sym_BSLASHli] = ACTIONS(758),
    [anon_sym_BSLASHlim] = ACTIONS(758),
    [anon_sym_BSLASHtr] = ACTIONS(758),
    [anon_sym_BSLASHf] = ACTIONS(484),
    [anon_sym_BSLASHfe] = ACTIONS(486),
    [anon_sym_BSLASHef] = ACTIONS(488),
    [anon_sym_BSLASHfm] = ACTIONS(490),
    [anon_sym_BSLASHx] = ACTIONS(492),
    [anon_sym_BSLASHxt] = ACTIONS(494),
    [anon_sym_BSLASHrq] = ACTIONS(496),
    [anon_sym_BSLASHadd] = ACTIONS(498),
    [anon_sym_BSLASHbk] = ACTIONS(500),
    [anon_sym_BSLASHdc] = ACTIONS(502),
    [anon_sym_BSLASHk] = ACTIONS(504),
    [anon_sym_BSLASHnd] = ACTIONS(506),
    [anon_sym_BSLASHord] = ACTIONS(508),
    [anon_sym_BSLASHpn] = ACTIONS(510),
    [anon_sym_BSLASHpng] = ACTIONS(512),
    [anon_sym_BSLASHaddpn] = ACTIONS(514),
    [anon_sym_BSLASHqt] = ACTIONS(516),
    [anon_sym_BSLASHsig] = ACTIONS(518),
    [anon_sym_BSLASHsls] = ACTIONS(520),
    [anon_sym_BSLASHtl] = ACTIONS(522),
    [anon_sym_BSLASHwj] = ACTIONS(524),
    [anon_sym_BSLASHem] = ACTIONS(526),
    [anon_sym_BSLASHbd] = ACTIONS(528),
    [anon_sym_BSLASHit] = ACTIONS(530),
    [anon_sym_BSLASHbdit] = ACTIONS(532),
    [anon_sym_BSLASHno] = ACTIONS(534),
    [anon_sym_BSLASHsc] = ACTIONS(536),
    [anon_sym_BSLASHsup] = ACTIONS(538),
    [anon_sym_BSLASHndx] = ACTIONS(540),
    [anon_sym_BSLASHpro] = ACTIONS(542),
    [anon_sym_BSLASHrb] = ACTIONS(544),
    [anon_sym_BSLASHw] = ACTIONS(546),
    [anon_sym_BSLASHwg] = ACTIONS(548),
    [anon_sym_BSLASHwh] = ACTIONS(550),
    [anon_sym_BSLASHwa] = ACTIONS(552),
    [anon_sym_BSLASHfig] = ACTIONS(554),
    [anon_sym_BSLASHjmp] = ACTIONS(556),
    [anon_sym_BSLASHpb] = ACTIONS(758),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(558),
    [sym_milestoneEndTag] = ACTIONS(560),
    [sym_zSpaceTag] = ACTIONS(562),
    [anon_sym_BSLASHesb] = ACTIONS(758),
  },
  [60] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(62),
    [sym__comments] = STATE(62),
    [sym_sts] = STATE(62),
    [sym_rem] = STATE(62),
    [sym_restore] = STATE(62),
    [sym_lit] = STATE(62),
    [sym_verseText] = STATE(62),
    [sym_v] = STATE(62),
    [sym__verseMeta] = STATE(62),
    [sym_va] = STATE(62),
    [sym_vp] = STATE(62),
    [sym__paragraphContent] = STATE(62),
    [sym_liv] = STATE(62),
    [sym_livTag] = STATE(2489),
    [sym_lik] = STATE(62),
    [sym_litl] = STATE(62),
    [sym__listTextContent] = STATE(62),
    [sym_footnote] = STATE(62),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(62),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(62),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(62),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_li_repeat1] = STATE(62),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(448),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(448),
    [anon_sym_BSLASHms] = ACTIONS(448),
    [anon_sym_BSLASHs] = ACTIONS(448),
    [anon_sym_BSLASHr] = ACTIONS(448),
    [anon_sym_BSLASHsp] = ACTIONS(448),
    [anon_sym_BSLASHd] = ACTIONS(448),
    [anon_sym_BSLASHsd] = ACTIONS(448),
    [anon_sym_BSLASHp] = ACTIONS(448),
    [anon_sym_BSLASHm] = ACTIONS(448),
    [anon_sym_BSLASHpo] = ACTIONS(448),
    [anon_sym_BSLASHpr] = ACTIONS(448),
    [anon_sym_BSLASHcls] = ACTIONS(448),
    [anon_sym_BSLASHpmo] = ACTIONS(448),
    [anon_sym_BSLASHpm] = ACTIONS(448),
    [anon_sym_BSLASHpmc] = ACTIONS(448),
    [anon_sym_BSLASHpmr] = ACTIONS(448),
    [anon_sym_BSLASHpi] = ACTIONS(448),
    [anon_sym_BSLASHmi] = ACTIONS(448),
    [anon_sym_BSLASHnb] = ACTIONS(448),
    [anon_sym_BSLASHpc] = ACTIONS(448),
    [anon_sym_BSLASHph] = ACTIONS(448),
    [anon_sym_BSLASHb] = ACTIONS(448),
    [anon_sym_BSLASHq] = ACTIONS(448),
    [anon_sym_BSLASHqr] = ACTIONS(448),
    [anon_sym_BSLASHqc] = ACTIONS(448),
    [anon_sym_BSLASHqa] = ACTIONS(448),
    [anon_sym_BSLASHqm] = ACTIONS(448),
    [anon_sym_BSLASHqd] = ACTIONS(448),
    [anon_sym_BSLASHlh] = ACTIONS(448),
    [anon_sym_BSLASHlf] = ACTIONS(448),
    [anon_sym_BSLASHli] = ACTIONS(448),
    [anon_sym_BSLASHlim] = ACTIONS(448),
    [anon_sym_BSLASHliv] = ACTIONS(187),
    [anon_sym_BSLASHlik] = ACTIONS(778),
    [anon_sym_BSLASHlitl] = ACTIONS(780),
    [anon_sym_BSLASHtr] = ACTIONS(448),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(448),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(448),
    [anon_sym_BSLASHcat] = ACTIONS(448),
  },
  [61] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(62),
    [sym__comments] = STATE(62),
    [sym_sts] = STATE(62),
    [sym_rem] = STATE(62),
    [sym_restore] = STATE(62),
    [sym_lit] = STATE(62),
    [sym_verseText] = STATE(62),
    [sym_v] = STATE(62),
    [sym__verseMeta] = STATE(62),
    [sym_va] = STATE(62),
    [sym_vp] = STATE(62),
    [sym__paragraphContent] = STATE(62),
    [sym_liv] = STATE(62),
    [sym_livTag] = STATE(2489),
    [sym_lik] = STATE(62),
    [sym_litl] = STATE(62),
    [sym__listTextContent] = STATE(62),
    [sym_footnote] = STATE(62),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(62),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(62),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(62),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_li_repeat1] = STATE(62),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(444),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(444),
    [anon_sym_BSLASHms] = ACTIONS(444),
    [anon_sym_BSLASHs] = ACTIONS(444),
    [anon_sym_BSLASHr] = ACTIONS(444),
    [anon_sym_BSLASHsp] = ACTIONS(444),
    [anon_sym_BSLASHd] = ACTIONS(444),
    [anon_sym_BSLASHsd] = ACTIONS(444),
    [anon_sym_BSLASHp] = ACTIONS(444),
    [anon_sym_BSLASHm] = ACTIONS(444),
    [anon_sym_BSLASHpo] = ACTIONS(444),
    [anon_sym_BSLASHpr] = ACTIONS(444),
    [anon_sym_BSLASHcls] = ACTIONS(444),
    [anon_sym_BSLASHpmo] = ACTIONS(444),
    [anon_sym_BSLASHpm] = ACTIONS(444),
    [anon_sym_BSLASHpmc] = ACTIONS(444),
    [anon_sym_BSLASHpmr] = ACTIONS(444),
    [anon_sym_BSLASHpi] = ACTIONS(444),
    [anon_sym_BSLASHmi] = ACTIONS(444),
    [anon_sym_BSLASHnb] = ACTIONS(444),
    [anon_sym_BSLASHpc] = ACTIONS(444),
    [anon_sym_BSLASHph] = ACTIONS(444),
    [anon_sym_BSLASHb] = ACTIONS(444),
    [anon_sym_BSLASHq] = ACTIONS(444),
    [anon_sym_BSLASHqr] = ACTIONS(444),
    [anon_sym_BSLASHqc] = ACTIONS(444),
    [anon_sym_BSLASHqa] = ACTIONS(444),
    [anon_sym_BSLASHqm] = ACTIONS(444),
    [anon_sym_BSLASHqd] = ACTIONS(444),
    [anon_sym_BSLASHlh] = ACTIONS(444),
    [anon_sym_BSLASHlf] = ACTIONS(444),
    [anon_sym_BSLASHli] = ACTIONS(444),
    [anon_sym_BSLASHlim] = ACTIONS(444),
    [anon_sym_BSLASHliv] = ACTIONS(187),
    [anon_sym_BSLASHlik] = ACTIONS(778),
    [anon_sym_BSLASHlitl] = ACTIONS(780),
    [anon_sym_BSLASHtr] = ACTIONS(444),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(444),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(444),
    [anon_sym_BSLASHcat] = ACTIONS(444),
  },
  [62] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(62),
    [sym__comments] = STATE(62),
    [sym_sts] = STATE(62),
    [sym_rem] = STATE(62),
    [sym_restore] = STATE(62),
    [sym_lit] = STATE(62),
    [sym_verseText] = STATE(62),
    [sym_v] = STATE(62),
    [sym__verseMeta] = STATE(62),
    [sym_va] = STATE(62),
    [sym_vp] = STATE(62),
    [sym__paragraphContent] = STATE(62),
    [sym_liv] = STATE(62),
    [sym_livTag] = STATE(2489),
    [sym_lik] = STATE(62),
    [sym_litl] = STATE(62),
    [sym__listTextContent] = STATE(62),
    [sym_footnote] = STATE(62),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(62),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(62),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(62),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_li_repeat1] = STATE(62),
    [aux_sym_text_token1] = ACTIONS(862),
    [anon_sym_BSLASHref] = ACTIONS(865),
    [anon_sym_BSLASHsts] = ACTIONS(868),
    [anon_sym_BSLASHrem] = ACTIONS(871),
    [anon_sym_BSLASHrestore] = ACTIONS(874),
    [anon_sym_BSLASHlit] = ACTIONS(877),
    [anon_sym_BSLASHip] = ACTIONS(299),
    [anon_sym_BSLASHv] = ACTIONS(880),
    [anon_sym_BSLASHva] = ACTIONS(883),
    [anon_sym_BSLASHvp] = ACTIONS(886),
    [anon_sym_BSLASHmte] = ACTIONS(299),
    [anon_sym_BSLASHms] = ACTIONS(299),
    [anon_sym_BSLASHs] = ACTIONS(299),
    [anon_sym_BSLASHr] = ACTIONS(299),
    [anon_sym_BSLASHsp] = ACTIONS(299),
    [anon_sym_BSLASHd] = ACTIONS(299),
    [anon_sym_BSLASHsd] = ACTIONS(299),
    [anon_sym_BSLASHp] = ACTIONS(299),
    [anon_sym_BSLASHm] = ACTIONS(299),
    [anon_sym_BSLASHpo] = ACTIONS(299),
    [anon_sym_BSLASHpr] = ACTIONS(299),
    [anon_sym_BSLASHcls] = ACTIONS(299),
    [anon_sym_BSLASHpmo] = ACTIONS(299),
    [anon_sym_BSLASHpm] = ACTIONS(299),
    [anon_sym_BSLASHpmc] = ACTIONS(299),
    [anon_sym_BSLASHpmr] = ACTIONS(299),
    [anon_sym_BSLASHpi] = ACTIONS(299),
    [anon_sym_BSLASHmi] = ACTIONS(299),
    [anon_sym_BSLASHnb] = ACTIONS(299),
    [anon_sym_BSLASHpc] = ACTIONS(299),
    [anon_sym_BSLASHph] = ACTIONS(299),
    [anon_sym_BSLASHb] = ACTIONS(299),
    [anon_sym_BSLASHq] = ACTIONS(299),
    [anon_sym_BSLASHqr] = ACTIONS(299),
    [anon_sym_BSLASHqc] = ACTIONS(299),
    [anon_sym_BSLASHqa] = ACTIONS(299),
    [anon_sym_BSLASHqm] = ACTIONS(299),
    [anon_sym_BSLASHqd] = ACTIONS(299),
    [anon_sym_BSLASHlh] = ACTIONS(299),
    [anon_sym_BSLASHlf] = ACTIONS(299),
    [anon_sym_BSLASHli] = ACTIONS(299),
    [anon_sym_BSLASHlim] = ACTIONS(299),
    [anon_sym_BSLASHliv] = ACTIONS(310),
    [anon_sym_BSLASHlik] = ACTIONS(889),
    [anon_sym_BSLASHlitl] = ACTIONS(892),
    [anon_sym_BSLASHtr] = ACTIONS(299),
    [anon_sym_BSLASHf] = ACTIONS(895),
    [anon_sym_BSLASHfe] = ACTIONS(898),
    [anon_sym_BSLASHef] = ACTIONS(901),
    [anon_sym_BSLASHfm] = ACTIONS(904),
    [anon_sym_BSLASHx] = ACTIONS(907),
    [anon_sym_BSLASHxt] = ACTIONS(910),
    [anon_sym_BSLASHrq] = ACTIONS(913),
    [anon_sym_BSLASHadd] = ACTIONS(916),
    [anon_sym_BSLASHbk] = ACTIONS(919),
    [anon_sym_BSLASHdc] = ACTIONS(922),
    [anon_sym_BSLASHk] = ACTIONS(925),
    [anon_sym_BSLASHnd] = ACTIONS(928),
    [anon_sym_BSLASHord] = ACTIONS(931),
    [anon_sym_BSLASHpn] = ACTIONS(934),
    [anon_sym_BSLASHpng] = ACTIONS(937),
    [anon_sym_BSLASHaddpn] = ACTIONS(940),
    [anon_sym_BSLASHqt] = ACTIONS(943),
    [anon_sym_BSLASHsig] = ACTIONS(946),
    [anon_sym_BSLASHsls] = ACTIONS(949),
    [anon_sym_BSLASHtl] = ACTIONS(952),
    [anon_sym_BSLASHwj] = ACTIONS(955),
    [anon_sym_BSLASHem] = ACTIONS(958),
    [anon_sym_BSLASHbd] = ACTIONS(961),
    [anon_sym_BSLASHit] = ACTIONS(964),
    [anon_sym_BSLASHbdit] = ACTIONS(967),
    [anon_sym_BSLASHno] = ACTIONS(970),
    [anon_sym_BSLASHsc] = ACTIONS(973),
    [anon_sym_BSLASHsup] = ACTIONS(976),
    [anon_sym_BSLASHndx] = ACTIONS(979),
    [anon_sym_BSLASHpro] = ACTIONS(982),
    [anon_sym_BSLASHrb] = ACTIONS(985),
    [anon_sym_BSLASHw] = ACTIONS(988),
    [anon_sym_BSLASHwg] = ACTIONS(991),
    [anon_sym_BSLASHwh] = ACTIONS(994),
    [anon_sym_BSLASHwa] = ACTIONS(997),
    [anon_sym_BSLASHfig] = ACTIONS(1000),
    [anon_sym_BSLASHjmp] = ACTIONS(1003),
    [anon_sym_BSLASHpb] = ACTIONS(299),
    [anon_sym_BSLASH] = ACTIONS(430),
    [sym_milestoneStartTag] = ACTIONS(1006),
    [sym_milestoneEndTag] = ACTIONS(1009),
    [sym_zSpaceTag] = ACTIONS(1012),
    [anon_sym_BSLASHesbe] = ACTIONS(299),
    [anon_sym_BSLASHcat] = ACTIONS(299),
  },
  [63] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(60),
    [sym__comments] = STATE(60),
    [sym_sts] = STATE(60),
    [sym_rem] = STATE(60),
    [sym_restore] = STATE(60),
    [sym_lit] = STATE(60),
    [sym_verseText] = STATE(60),
    [sym_v] = STATE(60),
    [sym__verseMeta] = STATE(60),
    [sym_va] = STATE(60),
    [sym_vp] = STATE(60),
    [sym__paragraphContent] = STATE(60),
    [sym_liv] = STATE(60),
    [sym_livTag] = STATE(2489),
    [sym_lik] = STATE(60),
    [sym_litl] = STATE(60),
    [sym__listTextContent] = STATE(60),
    [sym_footnote] = STATE(60),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(60),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(60),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(60),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_li_repeat1] = STATE(60),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(179),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(179),
    [anon_sym_BSLASHms] = ACTIONS(179),
    [anon_sym_BSLASHs] = ACTIONS(179),
    [anon_sym_BSLASHr] = ACTIONS(179),
    [anon_sym_BSLASHsp] = ACTIONS(179),
    [anon_sym_BSLASHd] = ACTIONS(179),
    [anon_sym_BSLASHsd] = ACTIONS(179),
    [anon_sym_BSLASHp] = ACTIONS(179),
    [anon_sym_BSLASHm] = ACTIONS(179),
    [anon_sym_BSLASHpo] = ACTIONS(179),
    [anon_sym_BSLASHpr] = ACTIONS(179),
    [anon_sym_BSLASHcls] = ACTIONS(179),
    [anon_sym_BSLASHpmo] = ACTIONS(179),
    [anon_sym_BSLASHpm] = ACTIONS(179),
    [anon_sym_BSLASHpmc] = ACTIONS(179),
    [anon_sym_BSLASHpmr] = ACTIONS(179),
    [anon_sym_BSLASHpi] = ACTIONS(179),
    [anon_sym_BSLASHmi] = ACTIONS(179),
    [anon_sym_BSLASHnb] = ACTIONS(179),
    [anon_sym_BSLASHpc] = ACTIONS(179),
    [anon_sym_BSLASHph] = ACTIONS(179),
    [anon_sym_BSLASHb] = ACTIONS(179),
    [anon_sym_BSLASHq] = ACTIONS(179),
    [anon_sym_BSLASHqr] = ACTIONS(179),
    [anon_sym_BSLASHqc] = ACTIONS(179),
    [anon_sym_BSLASHqa] = ACTIONS(179),
    [anon_sym_BSLASHqm] = ACTIONS(179),
    [anon_sym_BSLASHqd] = ACTIONS(179),
    [anon_sym_BSLASHlh] = ACTIONS(179),
    [anon_sym_BSLASHlf] = ACTIONS(179),
    [anon_sym_BSLASHli] = ACTIONS(179),
    [anon_sym_BSLASHlim] = ACTIONS(179),
    [anon_sym_BSLASHliv] = ACTIONS(187),
    [anon_sym_BSLASHlik] = ACTIONS(778),
    [anon_sym_BSLASHlitl] = ACTIONS(780),
    [anon_sym_BSLASHtr] = ACTIONS(179),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(179),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(179),
    [anon_sym_BSLASHcat] = ACTIONS(179),
  },
  [64] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(61),
    [sym__comments] = STATE(61),
    [sym_sts] = STATE(61),
    [sym_rem] = STATE(61),
    [sym_restore] = STATE(61),
    [sym_lit] = STATE(61),
    [sym_verseText] = STATE(61),
    [sym_v] = STATE(61),
    [sym__verseMeta] = STATE(61),
    [sym_va] = STATE(61),
    [sym_vp] = STATE(61),
    [sym__paragraphContent] = STATE(61),
    [sym_liv] = STATE(61),
    [sym_livTag] = STATE(2489),
    [sym_lik] = STATE(61),
    [sym_litl] = STATE(61),
    [sym__listTextContent] = STATE(61),
    [sym_footnote] = STATE(61),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(61),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(61),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(61),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_li_repeat1] = STATE(61),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(277),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(277),
    [anon_sym_BSLASHms] = ACTIONS(277),
    [anon_sym_BSLASHs] = ACTIONS(277),
    [anon_sym_BSLASHr] = ACTIONS(277),
    [anon_sym_BSLASHsp] = ACTIONS(277),
    [anon_sym_BSLASHd] = ACTIONS(277),
    [anon_sym_BSLASHsd] = ACTIONS(277),
    [anon_sym_BSLASHp] = ACTIONS(277),
    [anon_sym_BSLASHm] = ACTIONS(277),
    [anon_sym_BSLASHpo] = ACTIONS(277),
    [anon_sym_BSLASHpr] = ACTIONS(277),
    [anon_sym_BSLASHcls] = ACTIONS(277),
    [anon_sym_BSLASHpmo] = ACTIONS(277),
    [anon_sym_BSLASHpm] = ACTIONS(277),
    [anon_sym_BSLASHpmc] = ACTIONS(277),
    [anon_sym_BSLASHpmr] = ACTIONS(277),
    [anon_sym_BSLASHpi] = ACTIONS(277),
    [anon_sym_BSLASHmi] = ACTIONS(277),
    [anon_sym_BSLASHnb] = ACTIONS(277),
    [anon_sym_BSLASHpc] = ACTIONS(277),
    [anon_sym_BSLASHph] = ACTIONS(277),
    [anon_sym_BSLASHb] = ACTIONS(277),
    [anon_sym_BSLASHq] = ACTIONS(277),
    [anon_sym_BSLASHqr] = ACTIONS(277),
    [anon_sym_BSLASHqc] = ACTIONS(277),
    [anon_sym_BSLASHqa] = ACTIONS(277),
    [anon_sym_BSLASHqm] = ACTIONS(277),
    [anon_sym_BSLASHqd] = ACTIONS(277),
    [anon_sym_BSLASHlh] = ACTIONS(277),
    [anon_sym_BSLASHlf] = ACTIONS(277),
    [anon_sym_BSLASHli] = ACTIONS(277),
    [anon_sym_BSLASHlim] = ACTIONS(277),
    [anon_sym_BSLASHliv] = ACTIONS(187),
    [anon_sym_BSLASHlik] = ACTIONS(778),
    [anon_sym_BSLASHlitl] = ACTIONS(780),
    [anon_sym_BSLASHtr] = ACTIONS(277),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(277),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(277),
    [anon_sym_BSLASHcat] = ACTIONS(277),
  },
  [65] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(1015),
    [anon_sym_BSLASHref] = ACTIONS(1018),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1021),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1021),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1021),
    [anon_sym_BSLASHfr] = ACTIONS(1023),
    [anon_sym_BSLASHfq] = ACTIONS(1026),
    [anon_sym_BSLASHfqa] = ACTIONS(1029),
    [anon_sym_BSLASHfk] = ACTIONS(1032),
    [anon_sym_BSLASHfl] = ACTIONS(1035),
    [anon_sym_BSLASHfw] = ACTIONS(1038),
    [anon_sym_BSLASHfp] = ACTIONS(1041),
    [anon_sym_BSLASHft] = ACTIONS(1044),
    [anon_sym_BSLASHfdc] = ACTIONS(1047),
    [anon_sym_BSLASHfv] = ACTIONS(1050),
    [anon_sym_BSLASHxt] = ACTIONS(1053),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1056),
    [anon_sym_BSLASHadd] = ACTIONS(1059),
    [anon_sym_BSLASHbk] = ACTIONS(1062),
    [anon_sym_BSLASHdc] = ACTIONS(1065),
    [anon_sym_BSLASHk] = ACTIONS(1068),
    [anon_sym_BSLASHnd] = ACTIONS(1071),
    [anon_sym_BSLASHord] = ACTIONS(1074),
    [anon_sym_BSLASHpn] = ACTIONS(1077),
    [anon_sym_BSLASHpng] = ACTIONS(1080),
    [anon_sym_BSLASHaddpn] = ACTIONS(1083),
    [anon_sym_BSLASHqt] = ACTIONS(1086),
    [anon_sym_BSLASHsig] = ACTIONS(1089),
    [anon_sym_BSLASHsls] = ACTIONS(1092),
    [anon_sym_BSLASHtl] = ACTIONS(1095),
    [anon_sym_BSLASHwj] = ACTIONS(1098),
    [anon_sym_BSLASHem] = ACTIONS(1101),
    [anon_sym_BSLASHbd] = ACTIONS(1104),
    [anon_sym_BSLASHit] = ACTIONS(1107),
    [anon_sym_BSLASHbdit] = ACTIONS(1110),
    [anon_sym_BSLASHno] = ACTIONS(1113),
    [anon_sym_BSLASHsc] = ACTIONS(1116),
    [anon_sym_BSLASHsup] = ACTIONS(1119),
    [anon_sym_BSLASHndx] = ACTIONS(1122),
    [anon_sym_BSLASHpro] = ACTIONS(1125),
    [anon_sym_BSLASHrb] = ACTIONS(1128),
    [anon_sym_BSLASHw] = ACTIONS(1131),
    [anon_sym_BSLASHwg] = ACTIONS(1134),
    [anon_sym_BSLASHwh] = ACTIONS(1137),
    [anon_sym_BSLASHwa] = ACTIONS(1140),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1143),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1146),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1149),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1152),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1155),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1158),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1161),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1164),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1167),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1170),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1173),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1176),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1179),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1182),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1185),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1188),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1191),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1194),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1197),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1200),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1203),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1206),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1209),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1212),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1215),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1218),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1221),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1224),
    [anon_sym_BSLASHfig] = ACTIONS(1227),
    [anon_sym_BSLASHjmp] = ACTIONS(1230),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1233),
    [anon_sym_BSLASHcat] = ACTIONS(1236),
  },
  [66] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(87),
    [sym__comments] = STATE(87),
    [sym_sts] = STATE(87),
    [sym_rem] = STATE(87),
    [sym_restore] = STATE(87),
    [sym_lit] = STATE(87),
    [sym_verseText] = STATE(87),
    [sym_v] = STATE(87),
    [sym__verseMeta] = STATE(87),
    [sym_va] = STATE(87),
    [sym_vp] = STATE(87),
    [sym__paragraphContent] = STATE(87),
    [sym_footnote] = STATE(87),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(87),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(87),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(87),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1239),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1241),
    [anon_sym_BSLASHiex] = ACTIONS(1241),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1241),
    [anon_sym_BSLASHcl] = ACTIONS(1241),
    [anon_sym_BSLASHca] = ACTIONS(1241),
    [anon_sym_BSLASHcp] = ACTIONS(1241),
    [anon_sym_BSLASHcd] = ACTIONS(1241),
    [anon_sym_BSLASHmte] = ACTIONS(1241),
    [anon_sym_BSLASHms] = ACTIONS(1241),
    [anon_sym_BSLASHs] = ACTIONS(1241),
    [anon_sym_BSLASHr] = ACTIONS(1241),
    [anon_sym_BSLASHsp] = ACTIONS(1241),
    [anon_sym_BSLASHd] = ACTIONS(1241),
    [anon_sym_BSLASHsd] = ACTIONS(1241),
    [anon_sym_BSLASHp] = ACTIONS(1241),
    [anon_sym_BSLASHm] = ACTIONS(1241),
    [anon_sym_BSLASHpo] = ACTIONS(1241),
    [anon_sym_BSLASHpr] = ACTIONS(1241),
    [anon_sym_BSLASHcls] = ACTIONS(1241),
    [anon_sym_BSLASHpmo] = ACTIONS(1241),
    [anon_sym_BSLASHpm] = ACTIONS(1241),
    [anon_sym_BSLASHpmc] = ACTIONS(1241),
    [anon_sym_BSLASHpmr] = ACTIONS(1241),
    [anon_sym_BSLASHpi] = ACTIONS(1241),
    [anon_sym_BSLASHmi] = ACTIONS(1241),
    [anon_sym_BSLASHnb] = ACTIONS(1241),
    [anon_sym_BSLASHpc] = ACTIONS(1241),
    [anon_sym_BSLASHph] = ACTIONS(1241),
    [anon_sym_BSLASHb] = ACTIONS(1241),
    [anon_sym_BSLASHq] = ACTIONS(1241),
    [anon_sym_BSLASHqr] = ACTIONS(1241),
    [anon_sym_BSLASHqc] = ACTIONS(1241),
    [anon_sym_BSLASHqa] = ACTIONS(1241),
    [anon_sym_BSLASHqm] = ACTIONS(1241),
    [anon_sym_BSLASHqd] = ACTIONS(1241),
    [anon_sym_BSLASHlh] = ACTIONS(1241),
    [anon_sym_BSLASHli] = ACTIONS(1241),
    [anon_sym_BSLASHlim] = ACTIONS(1241),
    [anon_sym_BSLASHtr] = ACTIONS(1241),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1241),
  },
  [67] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(87),
    [sym__comments] = STATE(87),
    [sym_sts] = STATE(87),
    [sym_rem] = STATE(87),
    [sym_restore] = STATE(87),
    [sym_lit] = STATE(87),
    [sym_verseText] = STATE(87),
    [sym_v] = STATE(87),
    [sym__verseMeta] = STATE(87),
    [sym_va] = STATE(87),
    [sym_vp] = STATE(87),
    [sym__paragraphContent] = STATE(87),
    [sym_footnote] = STATE(87),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(87),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(87),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(87),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1243),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1245),
    [anon_sym_BSLASHiex] = ACTIONS(1245),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1245),
    [anon_sym_BSLASHcl] = ACTIONS(1245),
    [anon_sym_BSLASHca] = ACTIONS(1245),
    [anon_sym_BSLASHcp] = ACTIONS(1245),
    [anon_sym_BSLASHcd] = ACTIONS(1245),
    [anon_sym_BSLASHmte] = ACTIONS(1245),
    [anon_sym_BSLASHms] = ACTIONS(1245),
    [anon_sym_BSLASHs] = ACTIONS(1245),
    [anon_sym_BSLASHr] = ACTIONS(1245),
    [anon_sym_BSLASHsp] = ACTIONS(1245),
    [anon_sym_BSLASHd] = ACTIONS(1245),
    [anon_sym_BSLASHsd] = ACTIONS(1245),
    [anon_sym_BSLASHp] = ACTIONS(1245),
    [anon_sym_BSLASHm] = ACTIONS(1245),
    [anon_sym_BSLASHpo] = ACTIONS(1245),
    [anon_sym_BSLASHpr] = ACTIONS(1245),
    [anon_sym_BSLASHcls] = ACTIONS(1245),
    [anon_sym_BSLASHpmo] = ACTIONS(1245),
    [anon_sym_BSLASHpm] = ACTIONS(1245),
    [anon_sym_BSLASHpmc] = ACTIONS(1245),
    [anon_sym_BSLASHpmr] = ACTIONS(1245),
    [anon_sym_BSLASHpi] = ACTIONS(1245),
    [anon_sym_BSLASHmi] = ACTIONS(1245),
    [anon_sym_BSLASHnb] = ACTIONS(1245),
    [anon_sym_BSLASHpc] = ACTIONS(1245),
    [anon_sym_BSLASHph] = ACTIONS(1245),
    [anon_sym_BSLASHb] = ACTIONS(1245),
    [anon_sym_BSLASHq] = ACTIONS(1245),
    [anon_sym_BSLASHqr] = ACTIONS(1245),
    [anon_sym_BSLASHqc] = ACTIONS(1245),
    [anon_sym_BSLASHqa] = ACTIONS(1245),
    [anon_sym_BSLASHqm] = ACTIONS(1245),
    [anon_sym_BSLASHqd] = ACTIONS(1245),
    [anon_sym_BSLASHlh] = ACTIONS(1245),
    [anon_sym_BSLASHli] = ACTIONS(1245),
    [anon_sym_BSLASHlim] = ACTIONS(1245),
    [anon_sym_BSLASHtr] = ACTIONS(1245),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1245),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1245),
  },
  [68] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(87),
    [sym__comments] = STATE(87),
    [sym_sts] = STATE(87),
    [sym_rem] = STATE(87),
    [sym_restore] = STATE(87),
    [sym_lit] = STATE(87),
    [sym_verseText] = STATE(87),
    [sym_v] = STATE(87),
    [sym__verseMeta] = STATE(87),
    [sym_va] = STATE(87),
    [sym_vp] = STATE(87),
    [sym__paragraphContent] = STATE(87),
    [sym_footnote] = STATE(87),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(87),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(87),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(87),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1247),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1249),
    [anon_sym_BSLASHiex] = ACTIONS(1249),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1249),
    [anon_sym_BSLASHcl] = ACTIONS(1249),
    [anon_sym_BSLASHca] = ACTIONS(1249),
    [anon_sym_BSLASHcp] = ACTIONS(1249),
    [anon_sym_BSLASHcd] = ACTIONS(1249),
    [anon_sym_BSLASHmte] = ACTIONS(1249),
    [anon_sym_BSLASHms] = ACTIONS(1249),
    [anon_sym_BSLASHs] = ACTIONS(1249),
    [anon_sym_BSLASHr] = ACTIONS(1249),
    [anon_sym_BSLASHsp] = ACTIONS(1249),
    [anon_sym_BSLASHd] = ACTIONS(1249),
    [anon_sym_BSLASHsd] = ACTIONS(1249),
    [anon_sym_BSLASHp] = ACTIONS(1249),
    [anon_sym_BSLASHm] = ACTIONS(1249),
    [anon_sym_BSLASHpo] = ACTIONS(1249),
    [anon_sym_BSLASHpr] = ACTIONS(1249),
    [anon_sym_BSLASHcls] = ACTIONS(1249),
    [anon_sym_BSLASHpmo] = ACTIONS(1249),
    [anon_sym_BSLASHpm] = ACTIONS(1249),
    [anon_sym_BSLASHpmc] = ACTIONS(1249),
    [anon_sym_BSLASHpmr] = ACTIONS(1249),
    [anon_sym_BSLASHpi] = ACTIONS(1249),
    [anon_sym_BSLASHmi] = ACTIONS(1249),
    [anon_sym_BSLASHnb] = ACTIONS(1249),
    [anon_sym_BSLASHpc] = ACTIONS(1249),
    [anon_sym_BSLASHph] = ACTIONS(1249),
    [anon_sym_BSLASHb] = ACTIONS(1249),
    [anon_sym_BSLASHq] = ACTIONS(1249),
    [anon_sym_BSLASHqr] = ACTIONS(1249),
    [anon_sym_BSLASHqc] = ACTIONS(1249),
    [anon_sym_BSLASHqa] = ACTIONS(1249),
    [anon_sym_BSLASHqm] = ACTIONS(1249),
    [anon_sym_BSLASHqd] = ACTIONS(1249),
    [anon_sym_BSLASHlh] = ACTIONS(1249),
    [anon_sym_BSLASHli] = ACTIONS(1249),
    [anon_sym_BSLASHlim] = ACTIONS(1249),
    [anon_sym_BSLASHtr] = ACTIONS(1249),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1249),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1249),
  },
  [69] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(73),
    [sym__comments] = STATE(73),
    [sym_sts] = STATE(73),
    [sym_rem] = STATE(73),
    [sym_restore] = STATE(73),
    [sym_lit] = STATE(73),
    [sym_verseText] = STATE(73),
    [sym_v] = STATE(73),
    [sym__verseMeta] = STATE(73),
    [sym_va] = STATE(73),
    [sym_vp] = STATE(73),
    [sym__paragraphContent] = STATE(73),
    [sym_footnote] = STATE(73),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(73),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(73),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(73),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(73),
    [ts_builtin_sym_end] = ACTIONS(1251),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1253),
    [anon_sym_BSLASHiex] = ACTIONS(1253),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1253),
    [anon_sym_BSLASHcl] = ACTIONS(1253),
    [anon_sym_BSLASHca] = ACTIONS(1253),
    [anon_sym_BSLASHcp] = ACTIONS(1253),
    [anon_sym_BSLASHcd] = ACTIONS(1253),
    [anon_sym_BSLASHmte] = ACTIONS(1253),
    [anon_sym_BSLASHms] = ACTIONS(1253),
    [anon_sym_BSLASHs] = ACTIONS(1253),
    [anon_sym_BSLASHr] = ACTIONS(1253),
    [anon_sym_BSLASHsp] = ACTIONS(1253),
    [anon_sym_BSLASHd] = ACTIONS(1253),
    [anon_sym_BSLASHsd] = ACTIONS(1253),
    [anon_sym_BSLASHp] = ACTIONS(1253),
    [anon_sym_BSLASHm] = ACTIONS(1253),
    [anon_sym_BSLASHpo] = ACTIONS(1253),
    [anon_sym_BSLASHpr] = ACTIONS(1253),
    [anon_sym_BSLASHcls] = ACTIONS(1253),
    [anon_sym_BSLASHpmo] = ACTIONS(1253),
    [anon_sym_BSLASHpm] = ACTIONS(1253),
    [anon_sym_BSLASHpmc] = ACTIONS(1253),
    [anon_sym_BSLASHpmr] = ACTIONS(1253),
    [anon_sym_BSLASHpi] = ACTIONS(1253),
    [anon_sym_BSLASHmi] = ACTIONS(1253),
    [anon_sym_BSLASHnb] = ACTIONS(1253),
    [anon_sym_BSLASHpc] = ACTIONS(1253),
    [anon_sym_BSLASHph] = ACTIONS(1253),
    [anon_sym_BSLASHb] = ACTIONS(1253),
    [anon_sym_BSLASHq] = ACTIONS(1253),
    [anon_sym_BSLASHqr] = ACTIONS(1253),
    [anon_sym_BSLASHqc] = ACTIONS(1253),
    [anon_sym_BSLASHqa] = ACTIONS(1253),
    [anon_sym_BSLASHqm] = ACTIONS(1253),
    [anon_sym_BSLASHqd] = ACTIONS(1253),
    [anon_sym_BSLASHlh] = ACTIONS(1253),
    [anon_sym_BSLASHli] = ACTIONS(1253),
    [anon_sym_BSLASHlim] = ACTIONS(1253),
    [anon_sym_BSLASHtr] = ACTIONS(1253),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1253),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1253),
  },
  [70] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(80),
    [sym__comments] = STATE(80),
    [sym_sts] = STATE(80),
    [sym_rem] = STATE(80),
    [sym_restore] = STATE(80),
    [sym_lit] = STATE(80),
    [sym_verseText] = STATE(80),
    [sym_v] = STATE(80),
    [sym__verseMeta] = STATE(80),
    [sym_va] = STATE(80),
    [sym_vp] = STATE(80),
    [sym__paragraphContent] = STATE(80),
    [sym_footnote] = STATE(80),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(80),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(80),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(80),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(80),
    [ts_builtin_sym_end] = ACTIONS(1255),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1257),
    [anon_sym_BSLASHiex] = ACTIONS(1257),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1257),
    [anon_sym_BSLASHcl] = ACTIONS(1257),
    [anon_sym_BSLASHca] = ACTIONS(1257),
    [anon_sym_BSLASHcp] = ACTIONS(1257),
    [anon_sym_BSLASHcd] = ACTIONS(1257),
    [anon_sym_BSLASHmte] = ACTIONS(1257),
    [anon_sym_BSLASHms] = ACTIONS(1257),
    [anon_sym_BSLASHs] = ACTIONS(1257),
    [anon_sym_BSLASHr] = ACTIONS(1257),
    [anon_sym_BSLASHsp] = ACTIONS(1257),
    [anon_sym_BSLASHd] = ACTIONS(1257),
    [anon_sym_BSLASHsd] = ACTIONS(1257),
    [anon_sym_BSLASHp] = ACTIONS(1257),
    [anon_sym_BSLASHm] = ACTIONS(1257),
    [anon_sym_BSLASHpo] = ACTIONS(1257),
    [anon_sym_BSLASHpr] = ACTIONS(1257),
    [anon_sym_BSLASHcls] = ACTIONS(1257),
    [anon_sym_BSLASHpmo] = ACTIONS(1257),
    [anon_sym_BSLASHpm] = ACTIONS(1257),
    [anon_sym_BSLASHpmc] = ACTIONS(1257),
    [anon_sym_BSLASHpmr] = ACTIONS(1257),
    [anon_sym_BSLASHpi] = ACTIONS(1257),
    [anon_sym_BSLASHmi] = ACTIONS(1257),
    [anon_sym_BSLASHnb] = ACTIONS(1257),
    [anon_sym_BSLASHpc] = ACTIONS(1257),
    [anon_sym_BSLASHph] = ACTIONS(1257),
    [anon_sym_BSLASHb] = ACTIONS(1257),
    [anon_sym_BSLASHq] = ACTIONS(1257),
    [anon_sym_BSLASHqr] = ACTIONS(1257),
    [anon_sym_BSLASHqc] = ACTIONS(1257),
    [anon_sym_BSLASHqa] = ACTIONS(1257),
    [anon_sym_BSLASHqm] = ACTIONS(1257),
    [anon_sym_BSLASHqd] = ACTIONS(1257),
    [anon_sym_BSLASHlh] = ACTIONS(1257),
    [anon_sym_BSLASHli] = ACTIONS(1257),
    [anon_sym_BSLASHlim] = ACTIONS(1257),
    [anon_sym_BSLASHtr] = ACTIONS(1257),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1257),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1257),
  },
  [71] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(87),
    [sym__comments] = STATE(87),
    [sym_sts] = STATE(87),
    [sym_rem] = STATE(87),
    [sym_restore] = STATE(87),
    [sym_lit] = STATE(87),
    [sym_verseText] = STATE(87),
    [sym_v] = STATE(87),
    [sym__verseMeta] = STATE(87),
    [sym_va] = STATE(87),
    [sym_vp] = STATE(87),
    [sym__paragraphContent] = STATE(87),
    [sym_footnote] = STATE(87),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(87),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(87),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(87),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1259),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1261),
    [anon_sym_BSLASHiex] = ACTIONS(1261),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1261),
    [anon_sym_BSLASHcl] = ACTIONS(1261),
    [anon_sym_BSLASHca] = ACTIONS(1261),
    [anon_sym_BSLASHcp] = ACTIONS(1261),
    [anon_sym_BSLASHcd] = ACTIONS(1261),
    [anon_sym_BSLASHmte] = ACTIONS(1261),
    [anon_sym_BSLASHms] = ACTIONS(1261),
    [anon_sym_BSLASHs] = ACTIONS(1261),
    [anon_sym_BSLASHr] = ACTIONS(1261),
    [anon_sym_BSLASHsp] = ACTIONS(1261),
    [anon_sym_BSLASHd] = ACTIONS(1261),
    [anon_sym_BSLASHsd] = ACTIONS(1261),
    [anon_sym_BSLASHp] = ACTIONS(1261),
    [anon_sym_BSLASHm] = ACTIONS(1261),
    [anon_sym_BSLASHpo] = ACTIONS(1261),
    [anon_sym_BSLASHpr] = ACTIONS(1261),
    [anon_sym_BSLASHcls] = ACTIONS(1261),
    [anon_sym_BSLASHpmo] = ACTIONS(1261),
    [anon_sym_BSLASHpm] = ACTIONS(1261),
    [anon_sym_BSLASHpmc] = ACTIONS(1261),
    [anon_sym_BSLASHpmr] = ACTIONS(1261),
    [anon_sym_BSLASHpi] = ACTIONS(1261),
    [anon_sym_BSLASHmi] = ACTIONS(1261),
    [anon_sym_BSLASHnb] = ACTIONS(1261),
    [anon_sym_BSLASHpc] = ACTIONS(1261),
    [anon_sym_BSLASHph] = ACTIONS(1261),
    [anon_sym_BSLASHb] = ACTIONS(1261),
    [anon_sym_BSLASHq] = ACTIONS(1261),
    [anon_sym_BSLASHqr] = ACTIONS(1261),
    [anon_sym_BSLASHqc] = ACTIONS(1261),
    [anon_sym_BSLASHqa] = ACTIONS(1261),
    [anon_sym_BSLASHqm] = ACTIONS(1261),
    [anon_sym_BSLASHqd] = ACTIONS(1261),
    [anon_sym_BSLASHlh] = ACTIONS(1261),
    [anon_sym_BSLASHli] = ACTIONS(1261),
    [anon_sym_BSLASHlim] = ACTIONS(1261),
    [anon_sym_BSLASHtr] = ACTIONS(1261),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1261),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1261),
  },
  [72] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(87),
    [sym__comments] = STATE(87),
    [sym_sts] = STATE(87),
    [sym_rem] = STATE(87),
    [sym_restore] = STATE(87),
    [sym_lit] = STATE(87),
    [sym_verseText] = STATE(87),
    [sym_v] = STATE(87),
    [sym__verseMeta] = STATE(87),
    [sym_va] = STATE(87),
    [sym_vp] = STATE(87),
    [sym__paragraphContent] = STATE(87),
    [sym_footnote] = STATE(87),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(87),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(87),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(87),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1263),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1265),
    [anon_sym_BSLASHiex] = ACTIONS(1265),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1265),
    [anon_sym_BSLASHcl] = ACTIONS(1265),
    [anon_sym_BSLASHca] = ACTIONS(1265),
    [anon_sym_BSLASHcp] = ACTIONS(1265),
    [anon_sym_BSLASHcd] = ACTIONS(1265),
    [anon_sym_BSLASHmte] = ACTIONS(1265),
    [anon_sym_BSLASHms] = ACTIONS(1265),
    [anon_sym_BSLASHs] = ACTIONS(1265),
    [anon_sym_BSLASHr] = ACTIONS(1265),
    [anon_sym_BSLASHsp] = ACTIONS(1265),
    [anon_sym_BSLASHd] = ACTIONS(1265),
    [anon_sym_BSLASHsd] = ACTIONS(1265),
    [anon_sym_BSLASHp] = ACTIONS(1265),
    [anon_sym_BSLASHm] = ACTIONS(1265),
    [anon_sym_BSLASHpo] = ACTIONS(1265),
    [anon_sym_BSLASHpr] = ACTIONS(1265),
    [anon_sym_BSLASHcls] = ACTIONS(1265),
    [anon_sym_BSLASHpmo] = ACTIONS(1265),
    [anon_sym_BSLASHpm] = ACTIONS(1265),
    [anon_sym_BSLASHpmc] = ACTIONS(1265),
    [anon_sym_BSLASHpmr] = ACTIONS(1265),
    [anon_sym_BSLASHpi] = ACTIONS(1265),
    [anon_sym_BSLASHmi] = ACTIONS(1265),
    [anon_sym_BSLASHnb] = ACTIONS(1265),
    [anon_sym_BSLASHpc] = ACTIONS(1265),
    [anon_sym_BSLASHph] = ACTIONS(1265),
    [anon_sym_BSLASHb] = ACTIONS(1265),
    [anon_sym_BSLASHq] = ACTIONS(1265),
    [anon_sym_BSLASHqr] = ACTIONS(1265),
    [anon_sym_BSLASHqc] = ACTIONS(1265),
    [anon_sym_BSLASHqa] = ACTIONS(1265),
    [anon_sym_BSLASHqm] = ACTIONS(1265),
    [anon_sym_BSLASHqd] = ACTIONS(1265),
    [anon_sym_BSLASHlh] = ACTIONS(1265),
    [anon_sym_BSLASHli] = ACTIONS(1265),
    [anon_sym_BSLASHlim] = ACTIONS(1265),
    [anon_sym_BSLASHtr] = ACTIONS(1265),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1265),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1265),
  },
  [73] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(87),
    [sym__comments] = STATE(87),
    [sym_sts] = STATE(87),
    [sym_rem] = STATE(87),
    [sym_restore] = STATE(87),
    [sym_lit] = STATE(87),
    [sym_verseText] = STATE(87),
    [sym_v] = STATE(87),
    [sym__verseMeta] = STATE(87),
    [sym_va] = STATE(87),
    [sym_vp] = STATE(87),
    [sym__paragraphContent] = STATE(87),
    [sym_footnote] = STATE(87),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(87),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(87),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(87),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1267),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1269),
    [anon_sym_BSLASHiex] = ACTIONS(1269),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1269),
    [anon_sym_BSLASHcl] = ACTIONS(1269),
    [anon_sym_BSLASHca] = ACTIONS(1269),
    [anon_sym_BSLASHcp] = ACTIONS(1269),
    [anon_sym_BSLASHcd] = ACTIONS(1269),
    [anon_sym_BSLASHmte] = ACTIONS(1269),
    [anon_sym_BSLASHms] = ACTIONS(1269),
    [anon_sym_BSLASHs] = ACTIONS(1269),
    [anon_sym_BSLASHr] = ACTIONS(1269),
    [anon_sym_BSLASHsp] = ACTIONS(1269),
    [anon_sym_BSLASHd] = ACTIONS(1269),
    [anon_sym_BSLASHsd] = ACTIONS(1269),
    [anon_sym_BSLASHp] = ACTIONS(1269),
    [anon_sym_BSLASHm] = ACTIONS(1269),
    [anon_sym_BSLASHpo] = ACTIONS(1269),
    [anon_sym_BSLASHpr] = ACTIONS(1269),
    [anon_sym_BSLASHcls] = ACTIONS(1269),
    [anon_sym_BSLASHpmo] = ACTIONS(1269),
    [anon_sym_BSLASHpm] = ACTIONS(1269),
    [anon_sym_BSLASHpmc] = ACTIONS(1269),
    [anon_sym_BSLASHpmr] = ACTIONS(1269),
    [anon_sym_BSLASHpi] = ACTIONS(1269),
    [anon_sym_BSLASHmi] = ACTIONS(1269),
    [anon_sym_BSLASHnb] = ACTIONS(1269),
    [anon_sym_BSLASHpc] = ACTIONS(1269),
    [anon_sym_BSLASHph] = ACTIONS(1269),
    [anon_sym_BSLASHb] = ACTIONS(1269),
    [anon_sym_BSLASHq] = ACTIONS(1269),
    [anon_sym_BSLASHqr] = ACTIONS(1269),
    [anon_sym_BSLASHqc] = ACTIONS(1269),
    [anon_sym_BSLASHqa] = ACTIONS(1269),
    [anon_sym_BSLASHqm] = ACTIONS(1269),
    [anon_sym_BSLASHqd] = ACTIONS(1269),
    [anon_sym_BSLASHlh] = ACTIONS(1269),
    [anon_sym_BSLASHli] = ACTIONS(1269),
    [anon_sym_BSLASHlim] = ACTIONS(1269),
    [anon_sym_BSLASHtr] = ACTIONS(1269),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1269),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1269),
  },
  [74] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(87),
    [sym__comments] = STATE(87),
    [sym_sts] = STATE(87),
    [sym_rem] = STATE(87),
    [sym_restore] = STATE(87),
    [sym_lit] = STATE(87),
    [sym_verseText] = STATE(87),
    [sym_v] = STATE(87),
    [sym__verseMeta] = STATE(87),
    [sym_va] = STATE(87),
    [sym_vp] = STATE(87),
    [sym__paragraphContent] = STATE(87),
    [sym_footnote] = STATE(87),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(87),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(87),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(87),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1271),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1273),
    [anon_sym_BSLASHiex] = ACTIONS(1273),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1273),
    [anon_sym_BSLASHcl] = ACTIONS(1273),
    [anon_sym_BSLASHca] = ACTIONS(1273),
    [anon_sym_BSLASHcp] = ACTIONS(1273),
    [anon_sym_BSLASHcd] = ACTIONS(1273),
    [anon_sym_BSLASHmte] = ACTIONS(1273),
    [anon_sym_BSLASHms] = ACTIONS(1273),
    [anon_sym_BSLASHs] = ACTIONS(1273),
    [anon_sym_BSLASHr] = ACTIONS(1273),
    [anon_sym_BSLASHsp] = ACTIONS(1273),
    [anon_sym_BSLASHd] = ACTIONS(1273),
    [anon_sym_BSLASHsd] = ACTIONS(1273),
    [anon_sym_BSLASHp] = ACTIONS(1273),
    [anon_sym_BSLASHm] = ACTIONS(1273),
    [anon_sym_BSLASHpo] = ACTIONS(1273),
    [anon_sym_BSLASHpr] = ACTIONS(1273),
    [anon_sym_BSLASHcls] = ACTIONS(1273),
    [anon_sym_BSLASHpmo] = ACTIONS(1273),
    [anon_sym_BSLASHpm] = ACTIONS(1273),
    [anon_sym_BSLASHpmc] = ACTIONS(1273),
    [anon_sym_BSLASHpmr] = ACTIONS(1273),
    [anon_sym_BSLASHpi] = ACTIONS(1273),
    [anon_sym_BSLASHmi] = ACTIONS(1273),
    [anon_sym_BSLASHnb] = ACTIONS(1273),
    [anon_sym_BSLASHpc] = ACTIONS(1273),
    [anon_sym_BSLASHph] = ACTIONS(1273),
    [anon_sym_BSLASHb] = ACTIONS(1273),
    [anon_sym_BSLASHq] = ACTIONS(1273),
    [anon_sym_BSLASHqr] = ACTIONS(1273),
    [anon_sym_BSLASHqc] = ACTIONS(1273),
    [anon_sym_BSLASHqa] = ACTIONS(1273),
    [anon_sym_BSLASHqm] = ACTIONS(1273),
    [anon_sym_BSLASHqd] = ACTIONS(1273),
    [anon_sym_BSLASHlh] = ACTIONS(1273),
    [anon_sym_BSLASHli] = ACTIONS(1273),
    [anon_sym_BSLASHlim] = ACTIONS(1273),
    [anon_sym_BSLASHtr] = ACTIONS(1273),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1273),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1273),
  },
  [75] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(87),
    [sym__comments] = STATE(87),
    [sym_sts] = STATE(87),
    [sym_rem] = STATE(87),
    [sym_restore] = STATE(87),
    [sym_lit] = STATE(87),
    [sym_verseText] = STATE(87),
    [sym_v] = STATE(87),
    [sym__verseMeta] = STATE(87),
    [sym_va] = STATE(87),
    [sym_vp] = STATE(87),
    [sym__paragraphContent] = STATE(87),
    [sym_footnote] = STATE(87),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(87),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(87),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(87),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1275),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1277),
    [anon_sym_BSLASHiex] = ACTIONS(1277),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1277),
    [anon_sym_BSLASHcl] = ACTIONS(1277),
    [anon_sym_BSLASHca] = ACTIONS(1277),
    [anon_sym_BSLASHcp] = ACTIONS(1277),
    [anon_sym_BSLASHcd] = ACTIONS(1277),
    [anon_sym_BSLASHmte] = ACTIONS(1277),
    [anon_sym_BSLASHms] = ACTIONS(1277),
    [anon_sym_BSLASHs] = ACTIONS(1277),
    [anon_sym_BSLASHr] = ACTIONS(1277),
    [anon_sym_BSLASHsp] = ACTIONS(1277),
    [anon_sym_BSLASHd] = ACTIONS(1277),
    [anon_sym_BSLASHsd] = ACTIONS(1277),
    [anon_sym_BSLASHp] = ACTIONS(1277),
    [anon_sym_BSLASHm] = ACTIONS(1277),
    [anon_sym_BSLASHpo] = ACTIONS(1277),
    [anon_sym_BSLASHpr] = ACTIONS(1277),
    [anon_sym_BSLASHcls] = ACTIONS(1277),
    [anon_sym_BSLASHpmo] = ACTIONS(1277),
    [anon_sym_BSLASHpm] = ACTIONS(1277),
    [anon_sym_BSLASHpmc] = ACTIONS(1277),
    [anon_sym_BSLASHpmr] = ACTIONS(1277),
    [anon_sym_BSLASHpi] = ACTIONS(1277),
    [anon_sym_BSLASHmi] = ACTIONS(1277),
    [anon_sym_BSLASHnb] = ACTIONS(1277),
    [anon_sym_BSLASHpc] = ACTIONS(1277),
    [anon_sym_BSLASHph] = ACTIONS(1277),
    [anon_sym_BSLASHb] = ACTIONS(1277),
    [anon_sym_BSLASHq] = ACTIONS(1277),
    [anon_sym_BSLASHqr] = ACTIONS(1277),
    [anon_sym_BSLASHqc] = ACTIONS(1277),
    [anon_sym_BSLASHqa] = ACTIONS(1277),
    [anon_sym_BSLASHqm] = ACTIONS(1277),
    [anon_sym_BSLASHqd] = ACTIONS(1277),
    [anon_sym_BSLASHlh] = ACTIONS(1277),
    [anon_sym_BSLASHli] = ACTIONS(1277),
    [anon_sym_BSLASHlim] = ACTIONS(1277),
    [anon_sym_BSLASHtr] = ACTIONS(1277),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1277),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1277),
  },
  [76] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(87),
    [sym__comments] = STATE(87),
    [sym_sts] = STATE(87),
    [sym_rem] = STATE(87),
    [sym_restore] = STATE(87),
    [sym_lit] = STATE(87),
    [sym_verseText] = STATE(87),
    [sym_v] = STATE(87),
    [sym__verseMeta] = STATE(87),
    [sym_va] = STATE(87),
    [sym_vp] = STATE(87),
    [sym__paragraphContent] = STATE(87),
    [sym_footnote] = STATE(87),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(87),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(87),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(87),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1279),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1281),
    [anon_sym_BSLASHiex] = ACTIONS(1281),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1281),
    [anon_sym_BSLASHcl] = ACTIONS(1281),
    [anon_sym_BSLASHca] = ACTIONS(1281),
    [anon_sym_BSLASHcp] = ACTIONS(1281),
    [anon_sym_BSLASHcd] = ACTIONS(1281),
    [anon_sym_BSLASHmte] = ACTIONS(1281),
    [anon_sym_BSLASHms] = ACTIONS(1281),
    [anon_sym_BSLASHs] = ACTIONS(1281),
    [anon_sym_BSLASHr] = ACTIONS(1281),
    [anon_sym_BSLASHsp] = ACTIONS(1281),
    [anon_sym_BSLASHd] = ACTIONS(1281),
    [anon_sym_BSLASHsd] = ACTIONS(1281),
    [anon_sym_BSLASHp] = ACTIONS(1281),
    [anon_sym_BSLASHm] = ACTIONS(1281),
    [anon_sym_BSLASHpo] = ACTIONS(1281),
    [anon_sym_BSLASHpr] = ACTIONS(1281),
    [anon_sym_BSLASHcls] = ACTIONS(1281),
    [anon_sym_BSLASHpmo] = ACTIONS(1281),
    [anon_sym_BSLASHpm] = ACTIONS(1281),
    [anon_sym_BSLASHpmc] = ACTIONS(1281),
    [anon_sym_BSLASHpmr] = ACTIONS(1281),
    [anon_sym_BSLASHpi] = ACTIONS(1281),
    [anon_sym_BSLASHmi] = ACTIONS(1281),
    [anon_sym_BSLASHnb] = ACTIONS(1281),
    [anon_sym_BSLASHpc] = ACTIONS(1281),
    [anon_sym_BSLASHph] = ACTIONS(1281),
    [anon_sym_BSLASHb] = ACTIONS(1281),
    [anon_sym_BSLASHq] = ACTIONS(1281),
    [anon_sym_BSLASHqr] = ACTIONS(1281),
    [anon_sym_BSLASHqc] = ACTIONS(1281),
    [anon_sym_BSLASHqa] = ACTIONS(1281),
    [anon_sym_BSLASHqm] = ACTIONS(1281),
    [anon_sym_BSLASHqd] = ACTIONS(1281),
    [anon_sym_BSLASHlh] = ACTIONS(1281),
    [anon_sym_BSLASHli] = ACTIONS(1281),
    [anon_sym_BSLASHlim] = ACTIONS(1281),
    [anon_sym_BSLASHtr] = ACTIONS(1281),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1281),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1281),
  },
  [77] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(87),
    [sym__comments] = STATE(87),
    [sym_sts] = STATE(87),
    [sym_rem] = STATE(87),
    [sym_restore] = STATE(87),
    [sym_lit] = STATE(87),
    [sym_verseText] = STATE(87),
    [sym_v] = STATE(87),
    [sym__verseMeta] = STATE(87),
    [sym_va] = STATE(87),
    [sym_vp] = STATE(87),
    [sym__paragraphContent] = STATE(87),
    [sym_footnote] = STATE(87),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(87),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(87),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(87),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1283),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1285),
    [anon_sym_BSLASHiex] = ACTIONS(1285),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1285),
    [anon_sym_BSLASHcl] = ACTIONS(1285),
    [anon_sym_BSLASHca] = ACTIONS(1285),
    [anon_sym_BSLASHcp] = ACTIONS(1285),
    [anon_sym_BSLASHcd] = ACTIONS(1285),
    [anon_sym_BSLASHmte] = ACTIONS(1285),
    [anon_sym_BSLASHms] = ACTIONS(1285),
    [anon_sym_BSLASHs] = ACTIONS(1285),
    [anon_sym_BSLASHr] = ACTIONS(1285),
    [anon_sym_BSLASHsp] = ACTIONS(1285),
    [anon_sym_BSLASHd] = ACTIONS(1285),
    [anon_sym_BSLASHsd] = ACTIONS(1285),
    [anon_sym_BSLASHp] = ACTIONS(1285),
    [anon_sym_BSLASHm] = ACTIONS(1285),
    [anon_sym_BSLASHpo] = ACTIONS(1285),
    [anon_sym_BSLASHpr] = ACTIONS(1285),
    [anon_sym_BSLASHcls] = ACTIONS(1285),
    [anon_sym_BSLASHpmo] = ACTIONS(1285),
    [anon_sym_BSLASHpm] = ACTIONS(1285),
    [anon_sym_BSLASHpmc] = ACTIONS(1285),
    [anon_sym_BSLASHpmr] = ACTIONS(1285),
    [anon_sym_BSLASHpi] = ACTIONS(1285),
    [anon_sym_BSLASHmi] = ACTIONS(1285),
    [anon_sym_BSLASHnb] = ACTIONS(1285),
    [anon_sym_BSLASHpc] = ACTIONS(1285),
    [anon_sym_BSLASHph] = ACTIONS(1285),
    [anon_sym_BSLASHb] = ACTIONS(1285),
    [anon_sym_BSLASHq] = ACTIONS(1285),
    [anon_sym_BSLASHqr] = ACTIONS(1285),
    [anon_sym_BSLASHqc] = ACTIONS(1285),
    [anon_sym_BSLASHqa] = ACTIONS(1285),
    [anon_sym_BSLASHqm] = ACTIONS(1285),
    [anon_sym_BSLASHqd] = ACTIONS(1285),
    [anon_sym_BSLASHlh] = ACTIONS(1285),
    [anon_sym_BSLASHli] = ACTIONS(1285),
    [anon_sym_BSLASHlim] = ACTIONS(1285),
    [anon_sym_BSLASHtr] = ACTIONS(1285),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1285),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1285),
  },
  [78] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(87),
    [sym__comments] = STATE(87),
    [sym_sts] = STATE(87),
    [sym_rem] = STATE(87),
    [sym_restore] = STATE(87),
    [sym_lit] = STATE(87),
    [sym_verseText] = STATE(87),
    [sym_v] = STATE(87),
    [sym__verseMeta] = STATE(87),
    [sym_va] = STATE(87),
    [sym_vp] = STATE(87),
    [sym__paragraphContent] = STATE(87),
    [sym_footnote] = STATE(87),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(87),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(87),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(87),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1287),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1289),
    [anon_sym_BSLASHiex] = ACTIONS(1289),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1289),
    [anon_sym_BSLASHcl] = ACTIONS(1289),
    [anon_sym_BSLASHca] = ACTIONS(1289),
    [anon_sym_BSLASHcp] = ACTIONS(1289),
    [anon_sym_BSLASHcd] = ACTIONS(1289),
    [anon_sym_BSLASHmte] = ACTIONS(1289),
    [anon_sym_BSLASHms] = ACTIONS(1289),
    [anon_sym_BSLASHs] = ACTIONS(1289),
    [anon_sym_BSLASHr] = ACTIONS(1289),
    [anon_sym_BSLASHsp] = ACTIONS(1289),
    [anon_sym_BSLASHd] = ACTIONS(1289),
    [anon_sym_BSLASHsd] = ACTIONS(1289),
    [anon_sym_BSLASHp] = ACTIONS(1289),
    [anon_sym_BSLASHm] = ACTIONS(1289),
    [anon_sym_BSLASHpo] = ACTIONS(1289),
    [anon_sym_BSLASHpr] = ACTIONS(1289),
    [anon_sym_BSLASHcls] = ACTIONS(1289),
    [anon_sym_BSLASHpmo] = ACTIONS(1289),
    [anon_sym_BSLASHpm] = ACTIONS(1289),
    [anon_sym_BSLASHpmc] = ACTIONS(1289),
    [anon_sym_BSLASHpmr] = ACTIONS(1289),
    [anon_sym_BSLASHpi] = ACTIONS(1289),
    [anon_sym_BSLASHmi] = ACTIONS(1289),
    [anon_sym_BSLASHnb] = ACTIONS(1289),
    [anon_sym_BSLASHpc] = ACTIONS(1289),
    [anon_sym_BSLASHph] = ACTIONS(1289),
    [anon_sym_BSLASHb] = ACTIONS(1289),
    [anon_sym_BSLASHq] = ACTIONS(1289),
    [anon_sym_BSLASHqr] = ACTIONS(1289),
    [anon_sym_BSLASHqc] = ACTIONS(1289),
    [anon_sym_BSLASHqa] = ACTIONS(1289),
    [anon_sym_BSLASHqm] = ACTIONS(1289),
    [anon_sym_BSLASHqd] = ACTIONS(1289),
    [anon_sym_BSLASHlh] = ACTIONS(1289),
    [anon_sym_BSLASHli] = ACTIONS(1289),
    [anon_sym_BSLASHlim] = ACTIONS(1289),
    [anon_sym_BSLASHtr] = ACTIONS(1289),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1289),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1289),
  },
  [79] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(87),
    [sym__comments] = STATE(87),
    [sym_sts] = STATE(87),
    [sym_rem] = STATE(87),
    [sym_restore] = STATE(87),
    [sym_lit] = STATE(87),
    [sym_verseText] = STATE(87),
    [sym_v] = STATE(87),
    [sym__verseMeta] = STATE(87),
    [sym_va] = STATE(87),
    [sym_vp] = STATE(87),
    [sym__paragraphContent] = STATE(87),
    [sym_footnote] = STATE(87),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(87),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(87),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(87),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1291),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1293),
    [anon_sym_BSLASHiex] = ACTIONS(1293),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1293),
    [anon_sym_BSLASHcl] = ACTIONS(1293),
    [anon_sym_BSLASHca] = ACTIONS(1293),
    [anon_sym_BSLASHcp] = ACTIONS(1293),
    [anon_sym_BSLASHcd] = ACTIONS(1293),
    [anon_sym_BSLASHmte] = ACTIONS(1293),
    [anon_sym_BSLASHms] = ACTIONS(1293),
    [anon_sym_BSLASHs] = ACTIONS(1293),
    [anon_sym_BSLASHr] = ACTIONS(1293),
    [anon_sym_BSLASHsp] = ACTIONS(1293),
    [anon_sym_BSLASHd] = ACTIONS(1293),
    [anon_sym_BSLASHsd] = ACTIONS(1293),
    [anon_sym_BSLASHp] = ACTIONS(1293),
    [anon_sym_BSLASHm] = ACTIONS(1293),
    [anon_sym_BSLASHpo] = ACTIONS(1293),
    [anon_sym_BSLASHpr] = ACTIONS(1293),
    [anon_sym_BSLASHcls] = ACTIONS(1293),
    [anon_sym_BSLASHpmo] = ACTIONS(1293),
    [anon_sym_BSLASHpm] = ACTIONS(1293),
    [anon_sym_BSLASHpmc] = ACTIONS(1293),
    [anon_sym_BSLASHpmr] = ACTIONS(1293),
    [anon_sym_BSLASHpi] = ACTIONS(1293),
    [anon_sym_BSLASHmi] = ACTIONS(1293),
    [anon_sym_BSLASHnb] = ACTIONS(1293),
    [anon_sym_BSLASHpc] = ACTIONS(1293),
    [anon_sym_BSLASHph] = ACTIONS(1293),
    [anon_sym_BSLASHb] = ACTIONS(1293),
    [anon_sym_BSLASHq] = ACTIONS(1293),
    [anon_sym_BSLASHqr] = ACTIONS(1293),
    [anon_sym_BSLASHqc] = ACTIONS(1293),
    [anon_sym_BSLASHqa] = ACTIONS(1293),
    [anon_sym_BSLASHqm] = ACTIONS(1293),
    [anon_sym_BSLASHqd] = ACTIONS(1293),
    [anon_sym_BSLASHlh] = ACTIONS(1293),
    [anon_sym_BSLASHli] = ACTIONS(1293),
    [anon_sym_BSLASHlim] = ACTIONS(1293),
    [anon_sym_BSLASHtr] = ACTIONS(1293),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1293),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1293),
  },
  [80] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(87),
    [sym__comments] = STATE(87),
    [sym_sts] = STATE(87),
    [sym_rem] = STATE(87),
    [sym_restore] = STATE(87),
    [sym_lit] = STATE(87),
    [sym_verseText] = STATE(87),
    [sym_v] = STATE(87),
    [sym__verseMeta] = STATE(87),
    [sym_va] = STATE(87),
    [sym_vp] = STATE(87),
    [sym__paragraphContent] = STATE(87),
    [sym_footnote] = STATE(87),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(87),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(87),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(87),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1295),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1297),
    [anon_sym_BSLASHiex] = ACTIONS(1297),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1297),
    [anon_sym_BSLASHcl] = ACTIONS(1297),
    [anon_sym_BSLASHca] = ACTIONS(1297),
    [anon_sym_BSLASHcp] = ACTIONS(1297),
    [anon_sym_BSLASHcd] = ACTIONS(1297),
    [anon_sym_BSLASHmte] = ACTIONS(1297),
    [anon_sym_BSLASHms] = ACTIONS(1297),
    [anon_sym_BSLASHs] = ACTIONS(1297),
    [anon_sym_BSLASHr] = ACTIONS(1297),
    [anon_sym_BSLASHsp] = ACTIONS(1297),
    [anon_sym_BSLASHd] = ACTIONS(1297),
    [anon_sym_BSLASHsd] = ACTIONS(1297),
    [anon_sym_BSLASHp] = ACTIONS(1297),
    [anon_sym_BSLASHm] = ACTIONS(1297),
    [anon_sym_BSLASHpo] = ACTIONS(1297),
    [anon_sym_BSLASHpr] = ACTIONS(1297),
    [anon_sym_BSLASHcls] = ACTIONS(1297),
    [anon_sym_BSLASHpmo] = ACTIONS(1297),
    [anon_sym_BSLASHpm] = ACTIONS(1297),
    [anon_sym_BSLASHpmc] = ACTIONS(1297),
    [anon_sym_BSLASHpmr] = ACTIONS(1297),
    [anon_sym_BSLASHpi] = ACTIONS(1297),
    [anon_sym_BSLASHmi] = ACTIONS(1297),
    [anon_sym_BSLASHnb] = ACTIONS(1297),
    [anon_sym_BSLASHpc] = ACTIONS(1297),
    [anon_sym_BSLASHph] = ACTIONS(1297),
    [anon_sym_BSLASHb] = ACTIONS(1297),
    [anon_sym_BSLASHq] = ACTIONS(1297),
    [anon_sym_BSLASHqr] = ACTIONS(1297),
    [anon_sym_BSLASHqc] = ACTIONS(1297),
    [anon_sym_BSLASHqa] = ACTIONS(1297),
    [anon_sym_BSLASHqm] = ACTIONS(1297),
    [anon_sym_BSLASHqd] = ACTIONS(1297),
    [anon_sym_BSLASHlh] = ACTIONS(1297),
    [anon_sym_BSLASHli] = ACTIONS(1297),
    [anon_sym_BSLASHlim] = ACTIONS(1297),
    [anon_sym_BSLASHtr] = ACTIONS(1297),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1297),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1297),
  },
  [81] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(74),
    [sym__comments] = STATE(74),
    [sym_sts] = STATE(74),
    [sym_rem] = STATE(74),
    [sym_restore] = STATE(74),
    [sym_lit] = STATE(74),
    [sym_verseText] = STATE(74),
    [sym_v] = STATE(74),
    [sym__verseMeta] = STATE(74),
    [sym_va] = STATE(74),
    [sym_vp] = STATE(74),
    [sym__paragraphContent] = STATE(74),
    [sym_footnote] = STATE(74),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(74),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(74),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(74),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(74),
    [ts_builtin_sym_end] = ACTIONS(1299),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1301),
    [anon_sym_BSLASHiex] = ACTIONS(1301),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1301),
    [anon_sym_BSLASHcl] = ACTIONS(1301),
    [anon_sym_BSLASHca] = ACTIONS(1301),
    [anon_sym_BSLASHcp] = ACTIONS(1301),
    [anon_sym_BSLASHcd] = ACTIONS(1301),
    [anon_sym_BSLASHmte] = ACTIONS(1301),
    [anon_sym_BSLASHms] = ACTIONS(1301),
    [anon_sym_BSLASHs] = ACTIONS(1301),
    [anon_sym_BSLASHr] = ACTIONS(1301),
    [anon_sym_BSLASHsp] = ACTIONS(1301),
    [anon_sym_BSLASHd] = ACTIONS(1301),
    [anon_sym_BSLASHsd] = ACTIONS(1301),
    [anon_sym_BSLASHp] = ACTIONS(1301),
    [anon_sym_BSLASHm] = ACTIONS(1301),
    [anon_sym_BSLASHpo] = ACTIONS(1301),
    [anon_sym_BSLASHpr] = ACTIONS(1301),
    [anon_sym_BSLASHcls] = ACTIONS(1301),
    [anon_sym_BSLASHpmo] = ACTIONS(1301),
    [anon_sym_BSLASHpm] = ACTIONS(1301),
    [anon_sym_BSLASHpmc] = ACTIONS(1301),
    [anon_sym_BSLASHpmr] = ACTIONS(1301),
    [anon_sym_BSLASHpi] = ACTIONS(1301),
    [anon_sym_BSLASHmi] = ACTIONS(1301),
    [anon_sym_BSLASHnb] = ACTIONS(1301),
    [anon_sym_BSLASHpc] = ACTIONS(1301),
    [anon_sym_BSLASHph] = ACTIONS(1301),
    [anon_sym_BSLASHb] = ACTIONS(1301),
    [anon_sym_BSLASHq] = ACTIONS(1301),
    [anon_sym_BSLASHqr] = ACTIONS(1301),
    [anon_sym_BSLASHqc] = ACTIONS(1301),
    [anon_sym_BSLASHqa] = ACTIONS(1301),
    [anon_sym_BSLASHqm] = ACTIONS(1301),
    [anon_sym_BSLASHqd] = ACTIONS(1301),
    [anon_sym_BSLASHlh] = ACTIONS(1301),
    [anon_sym_BSLASHli] = ACTIONS(1301),
    [anon_sym_BSLASHlim] = ACTIONS(1301),
    [anon_sym_BSLASHtr] = ACTIONS(1301),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1301),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1301),
  },
  [82] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(89),
    [sym__comments] = STATE(89),
    [sym_sts] = STATE(89),
    [sym_rem] = STATE(89),
    [sym_restore] = STATE(89),
    [sym_lit] = STATE(89),
    [sym_verseText] = STATE(89),
    [sym_v] = STATE(89),
    [sym__verseMeta] = STATE(89),
    [sym_va] = STATE(89),
    [sym_vp] = STATE(89),
    [sym__paragraphContent] = STATE(89),
    [sym_footnote] = STATE(89),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(89),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(89),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(89),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(89),
    [ts_builtin_sym_end] = ACTIONS(1303),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1305),
    [anon_sym_BSLASHiex] = ACTIONS(1305),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1305),
    [anon_sym_BSLASHcl] = ACTIONS(1305),
    [anon_sym_BSLASHca] = ACTIONS(1305),
    [anon_sym_BSLASHcp] = ACTIONS(1305),
    [anon_sym_BSLASHcd] = ACTIONS(1305),
    [anon_sym_BSLASHmte] = ACTIONS(1305),
    [anon_sym_BSLASHms] = ACTIONS(1305),
    [anon_sym_BSLASHs] = ACTIONS(1305),
    [anon_sym_BSLASHr] = ACTIONS(1305),
    [anon_sym_BSLASHsp] = ACTIONS(1305),
    [anon_sym_BSLASHd] = ACTIONS(1305),
    [anon_sym_BSLASHsd] = ACTIONS(1305),
    [anon_sym_BSLASHp] = ACTIONS(1305),
    [anon_sym_BSLASHm] = ACTIONS(1305),
    [anon_sym_BSLASHpo] = ACTIONS(1305),
    [anon_sym_BSLASHpr] = ACTIONS(1305),
    [anon_sym_BSLASHcls] = ACTIONS(1305),
    [anon_sym_BSLASHpmo] = ACTIONS(1305),
    [anon_sym_BSLASHpm] = ACTIONS(1305),
    [anon_sym_BSLASHpmc] = ACTIONS(1305),
    [anon_sym_BSLASHpmr] = ACTIONS(1305),
    [anon_sym_BSLASHpi] = ACTIONS(1305),
    [anon_sym_BSLASHmi] = ACTIONS(1305),
    [anon_sym_BSLASHnb] = ACTIONS(1305),
    [anon_sym_BSLASHpc] = ACTIONS(1305),
    [anon_sym_BSLASHph] = ACTIONS(1305),
    [anon_sym_BSLASHb] = ACTIONS(1305),
    [anon_sym_BSLASHq] = ACTIONS(1305),
    [anon_sym_BSLASHqr] = ACTIONS(1305),
    [anon_sym_BSLASHqc] = ACTIONS(1305),
    [anon_sym_BSLASHqa] = ACTIONS(1305),
    [anon_sym_BSLASHqm] = ACTIONS(1305),
    [anon_sym_BSLASHqd] = ACTIONS(1305),
    [anon_sym_BSLASHlh] = ACTIONS(1305),
    [anon_sym_BSLASHli] = ACTIONS(1305),
    [anon_sym_BSLASHlim] = ACTIONS(1305),
    [anon_sym_BSLASHtr] = ACTIONS(1305),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1305),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1305),
  },
  [83] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(90),
    [sym__comments] = STATE(90),
    [sym_sts] = STATE(90),
    [sym_rem] = STATE(90),
    [sym_restore] = STATE(90),
    [sym_lit] = STATE(90),
    [sym_verseText] = STATE(90),
    [sym_v] = STATE(90),
    [sym__verseMeta] = STATE(90),
    [sym_va] = STATE(90),
    [sym_vp] = STATE(90),
    [sym__paragraphContent] = STATE(90),
    [sym_footnote] = STATE(90),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(90),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(90),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(90),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(90),
    [ts_builtin_sym_end] = ACTIONS(1307),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1309),
    [anon_sym_BSLASHiex] = ACTIONS(1309),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1309),
    [anon_sym_BSLASHcl] = ACTIONS(1309),
    [anon_sym_BSLASHca] = ACTIONS(1309),
    [anon_sym_BSLASHcp] = ACTIONS(1309),
    [anon_sym_BSLASHcd] = ACTIONS(1309),
    [anon_sym_BSLASHmte] = ACTIONS(1309),
    [anon_sym_BSLASHms] = ACTIONS(1309),
    [anon_sym_BSLASHs] = ACTIONS(1309),
    [anon_sym_BSLASHr] = ACTIONS(1309),
    [anon_sym_BSLASHsp] = ACTIONS(1309),
    [anon_sym_BSLASHd] = ACTIONS(1309),
    [anon_sym_BSLASHsd] = ACTIONS(1309),
    [anon_sym_BSLASHp] = ACTIONS(1309),
    [anon_sym_BSLASHm] = ACTIONS(1309),
    [anon_sym_BSLASHpo] = ACTIONS(1309),
    [anon_sym_BSLASHpr] = ACTIONS(1309),
    [anon_sym_BSLASHcls] = ACTIONS(1309),
    [anon_sym_BSLASHpmo] = ACTIONS(1309),
    [anon_sym_BSLASHpm] = ACTIONS(1309),
    [anon_sym_BSLASHpmc] = ACTIONS(1309),
    [anon_sym_BSLASHpmr] = ACTIONS(1309),
    [anon_sym_BSLASHpi] = ACTIONS(1309),
    [anon_sym_BSLASHmi] = ACTIONS(1309),
    [anon_sym_BSLASHnb] = ACTIONS(1309),
    [anon_sym_BSLASHpc] = ACTIONS(1309),
    [anon_sym_BSLASHph] = ACTIONS(1309),
    [anon_sym_BSLASHb] = ACTIONS(1309),
    [anon_sym_BSLASHq] = ACTIONS(1309),
    [anon_sym_BSLASHqr] = ACTIONS(1309),
    [anon_sym_BSLASHqc] = ACTIONS(1309),
    [anon_sym_BSLASHqa] = ACTIONS(1309),
    [anon_sym_BSLASHqm] = ACTIONS(1309),
    [anon_sym_BSLASHqd] = ACTIONS(1309),
    [anon_sym_BSLASHlh] = ACTIONS(1309),
    [anon_sym_BSLASHli] = ACTIONS(1309),
    [anon_sym_BSLASHlim] = ACTIONS(1309),
    [anon_sym_BSLASHtr] = ACTIONS(1309),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1309),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1309),
  },
  [84] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(72),
    [sym__comments] = STATE(72),
    [sym_sts] = STATE(72),
    [sym_rem] = STATE(72),
    [sym_restore] = STATE(72),
    [sym_lit] = STATE(72),
    [sym_verseText] = STATE(72),
    [sym_v] = STATE(72),
    [sym__verseMeta] = STATE(72),
    [sym_va] = STATE(72),
    [sym_vp] = STATE(72),
    [sym__paragraphContent] = STATE(72),
    [sym_footnote] = STATE(72),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(72),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(72),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(72),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(72),
    [ts_builtin_sym_end] = ACTIONS(1311),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1313),
    [anon_sym_BSLASHiex] = ACTIONS(1313),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1313),
    [anon_sym_BSLASHcl] = ACTIONS(1313),
    [anon_sym_BSLASHca] = ACTIONS(1313),
    [anon_sym_BSLASHcp] = ACTIONS(1313),
    [anon_sym_BSLASHcd] = ACTIONS(1313),
    [anon_sym_BSLASHmte] = ACTIONS(1313),
    [anon_sym_BSLASHms] = ACTIONS(1313),
    [anon_sym_BSLASHs] = ACTIONS(1313),
    [anon_sym_BSLASHr] = ACTIONS(1313),
    [anon_sym_BSLASHsp] = ACTIONS(1313),
    [anon_sym_BSLASHd] = ACTIONS(1313),
    [anon_sym_BSLASHsd] = ACTIONS(1313),
    [anon_sym_BSLASHp] = ACTIONS(1313),
    [anon_sym_BSLASHm] = ACTIONS(1313),
    [anon_sym_BSLASHpo] = ACTIONS(1313),
    [anon_sym_BSLASHpr] = ACTIONS(1313),
    [anon_sym_BSLASHcls] = ACTIONS(1313),
    [anon_sym_BSLASHpmo] = ACTIONS(1313),
    [anon_sym_BSLASHpm] = ACTIONS(1313),
    [anon_sym_BSLASHpmc] = ACTIONS(1313),
    [anon_sym_BSLASHpmr] = ACTIONS(1313),
    [anon_sym_BSLASHpi] = ACTIONS(1313),
    [anon_sym_BSLASHmi] = ACTIONS(1313),
    [anon_sym_BSLASHnb] = ACTIONS(1313),
    [anon_sym_BSLASHpc] = ACTIONS(1313),
    [anon_sym_BSLASHph] = ACTIONS(1313),
    [anon_sym_BSLASHb] = ACTIONS(1313),
    [anon_sym_BSLASHq] = ACTIONS(1313),
    [anon_sym_BSLASHqr] = ACTIONS(1313),
    [anon_sym_BSLASHqc] = ACTIONS(1313),
    [anon_sym_BSLASHqa] = ACTIONS(1313),
    [anon_sym_BSLASHqm] = ACTIONS(1313),
    [anon_sym_BSLASHqd] = ACTIONS(1313),
    [anon_sym_BSLASHlh] = ACTIONS(1313),
    [anon_sym_BSLASHli] = ACTIONS(1313),
    [anon_sym_BSLASHlim] = ACTIONS(1313),
    [anon_sym_BSLASHtr] = ACTIONS(1313),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1313),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1313),
  },
  [85] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(71),
    [sym__comments] = STATE(71),
    [sym_sts] = STATE(71),
    [sym_rem] = STATE(71),
    [sym_restore] = STATE(71),
    [sym_lit] = STATE(71),
    [sym_verseText] = STATE(71),
    [sym_v] = STATE(71),
    [sym__verseMeta] = STATE(71),
    [sym_va] = STATE(71),
    [sym_vp] = STATE(71),
    [sym__paragraphContent] = STATE(71),
    [sym_footnote] = STATE(71),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(71),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(71),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(71),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(71),
    [ts_builtin_sym_end] = ACTIONS(1315),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1317),
    [anon_sym_BSLASHiex] = ACTIONS(1317),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1317),
    [anon_sym_BSLASHcl] = ACTIONS(1317),
    [anon_sym_BSLASHca] = ACTIONS(1317),
    [anon_sym_BSLASHcp] = ACTIONS(1317),
    [anon_sym_BSLASHcd] = ACTIONS(1317),
    [anon_sym_BSLASHmte] = ACTIONS(1317),
    [anon_sym_BSLASHms] = ACTIONS(1317),
    [anon_sym_BSLASHs] = ACTIONS(1317),
    [anon_sym_BSLASHr] = ACTIONS(1317),
    [anon_sym_BSLASHsp] = ACTIONS(1317),
    [anon_sym_BSLASHd] = ACTIONS(1317),
    [anon_sym_BSLASHsd] = ACTIONS(1317),
    [anon_sym_BSLASHp] = ACTIONS(1317),
    [anon_sym_BSLASHm] = ACTIONS(1317),
    [anon_sym_BSLASHpo] = ACTIONS(1317),
    [anon_sym_BSLASHpr] = ACTIONS(1317),
    [anon_sym_BSLASHcls] = ACTIONS(1317),
    [anon_sym_BSLASHpmo] = ACTIONS(1317),
    [anon_sym_BSLASHpm] = ACTIONS(1317),
    [anon_sym_BSLASHpmc] = ACTIONS(1317),
    [anon_sym_BSLASHpmr] = ACTIONS(1317),
    [anon_sym_BSLASHpi] = ACTIONS(1317),
    [anon_sym_BSLASHmi] = ACTIONS(1317),
    [anon_sym_BSLASHnb] = ACTIONS(1317),
    [anon_sym_BSLASHpc] = ACTIONS(1317),
    [anon_sym_BSLASHph] = ACTIONS(1317),
    [anon_sym_BSLASHb] = ACTIONS(1317),
    [anon_sym_BSLASHq] = ACTIONS(1317),
    [anon_sym_BSLASHqr] = ACTIONS(1317),
    [anon_sym_BSLASHqc] = ACTIONS(1317),
    [anon_sym_BSLASHqa] = ACTIONS(1317),
    [anon_sym_BSLASHqm] = ACTIONS(1317),
    [anon_sym_BSLASHqd] = ACTIONS(1317),
    [anon_sym_BSLASHlh] = ACTIONS(1317),
    [anon_sym_BSLASHli] = ACTIONS(1317),
    [anon_sym_BSLASHlim] = ACTIONS(1317),
    [anon_sym_BSLASHtr] = ACTIONS(1317),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1317),
  },
  [86] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(79),
    [sym__comments] = STATE(79),
    [sym_sts] = STATE(79),
    [sym_rem] = STATE(79),
    [sym_restore] = STATE(79),
    [sym_lit] = STATE(79),
    [sym_verseText] = STATE(79),
    [sym_v] = STATE(79),
    [sym__verseMeta] = STATE(79),
    [sym_va] = STATE(79),
    [sym_vp] = STATE(79),
    [sym__paragraphContent] = STATE(79),
    [sym_footnote] = STATE(79),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(79),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(79),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(79),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(79),
    [ts_builtin_sym_end] = ACTIONS(1319),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1321),
    [anon_sym_BSLASHiex] = ACTIONS(1321),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1321),
    [anon_sym_BSLASHcl] = ACTIONS(1321),
    [anon_sym_BSLASHca] = ACTIONS(1321),
    [anon_sym_BSLASHcp] = ACTIONS(1321),
    [anon_sym_BSLASHcd] = ACTIONS(1321),
    [anon_sym_BSLASHmte] = ACTIONS(1321),
    [anon_sym_BSLASHms] = ACTIONS(1321),
    [anon_sym_BSLASHs] = ACTIONS(1321),
    [anon_sym_BSLASHr] = ACTIONS(1321),
    [anon_sym_BSLASHsp] = ACTIONS(1321),
    [anon_sym_BSLASHd] = ACTIONS(1321),
    [anon_sym_BSLASHsd] = ACTIONS(1321),
    [anon_sym_BSLASHp] = ACTIONS(1321),
    [anon_sym_BSLASHm] = ACTIONS(1321),
    [anon_sym_BSLASHpo] = ACTIONS(1321),
    [anon_sym_BSLASHpr] = ACTIONS(1321),
    [anon_sym_BSLASHcls] = ACTIONS(1321),
    [anon_sym_BSLASHpmo] = ACTIONS(1321),
    [anon_sym_BSLASHpm] = ACTIONS(1321),
    [anon_sym_BSLASHpmc] = ACTIONS(1321),
    [anon_sym_BSLASHpmr] = ACTIONS(1321),
    [anon_sym_BSLASHpi] = ACTIONS(1321),
    [anon_sym_BSLASHmi] = ACTIONS(1321),
    [anon_sym_BSLASHnb] = ACTIONS(1321),
    [anon_sym_BSLASHpc] = ACTIONS(1321),
    [anon_sym_BSLASHph] = ACTIONS(1321),
    [anon_sym_BSLASHb] = ACTIONS(1321),
    [anon_sym_BSLASHq] = ACTIONS(1321),
    [anon_sym_BSLASHqr] = ACTIONS(1321),
    [anon_sym_BSLASHqc] = ACTIONS(1321),
    [anon_sym_BSLASHqa] = ACTIONS(1321),
    [anon_sym_BSLASHqm] = ACTIONS(1321),
    [anon_sym_BSLASHqd] = ACTIONS(1321),
    [anon_sym_BSLASHlh] = ACTIONS(1321),
    [anon_sym_BSLASHli] = ACTIONS(1321),
    [anon_sym_BSLASHlim] = ACTIONS(1321),
    [anon_sym_BSLASHtr] = ACTIONS(1321),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1321),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1321),
  },
  [87] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(87),
    [sym__comments] = STATE(87),
    [sym_sts] = STATE(87),
    [sym_rem] = STATE(87),
    [sym_restore] = STATE(87),
    [sym_lit] = STATE(87),
    [sym_verseText] = STATE(87),
    [sym_v] = STATE(87),
    [sym__verseMeta] = STATE(87),
    [sym_va] = STATE(87),
    [sym_vp] = STATE(87),
    [sym__paragraphContent] = STATE(87),
    [sym_footnote] = STATE(87),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(87),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(87),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(87),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1323),
    [aux_sym_text_token1] = ACTIONS(1325),
    [anon_sym_BSLASHref] = ACTIONS(1328),
    [anon_sym_BSLASHsts] = ACTIONS(1331),
    [anon_sym_BSLASHrem] = ACTIONS(1334),
    [anon_sym_BSLASHrestore] = ACTIONS(1337),
    [anon_sym_BSLASHlit] = ACTIONS(1340),
    [anon_sym_BSLASHip] = ACTIONS(1343),
    [anon_sym_BSLASHiex] = ACTIONS(1343),
    [anon_sym_BSLASHv] = ACTIONS(1345),
    [anon_sym_BSLASHva] = ACTIONS(1348),
    [anon_sym_BSLASHvp] = ACTIONS(1351),
    [anon_sym_BSLASHc] = ACTIONS(1343),
    [anon_sym_BSLASHcl] = ACTIONS(1343),
    [anon_sym_BSLASHca] = ACTIONS(1343),
    [anon_sym_BSLASHcp] = ACTIONS(1343),
    [anon_sym_BSLASHcd] = ACTIONS(1343),
    [anon_sym_BSLASHmte] = ACTIONS(1343),
    [anon_sym_BSLASHms] = ACTIONS(1343),
    [anon_sym_BSLASHs] = ACTIONS(1343),
    [anon_sym_BSLASHr] = ACTIONS(1343),
    [anon_sym_BSLASHsp] = ACTIONS(1343),
    [anon_sym_BSLASHd] = ACTIONS(1343),
    [anon_sym_BSLASHsd] = ACTIONS(1343),
    [anon_sym_BSLASHp] = ACTIONS(1343),
    [anon_sym_BSLASHm] = ACTIONS(1343),
    [anon_sym_BSLASHpo] = ACTIONS(1343),
    [anon_sym_BSLASHpr] = ACTIONS(1343),
    [anon_sym_BSLASHcls] = ACTIONS(1343),
    [anon_sym_BSLASHpmo] = ACTIONS(1343),
    [anon_sym_BSLASHpm] = ACTIONS(1343),
    [anon_sym_BSLASHpmc] = ACTIONS(1343),
    [anon_sym_BSLASHpmr] = ACTIONS(1343),
    [anon_sym_BSLASHpi] = ACTIONS(1343),
    [anon_sym_BSLASHmi] = ACTIONS(1343),
    [anon_sym_BSLASHnb] = ACTIONS(1343),
    [anon_sym_BSLASHpc] = ACTIONS(1343),
    [anon_sym_BSLASHph] = ACTIONS(1343),
    [anon_sym_BSLASHb] = ACTIONS(1343),
    [anon_sym_BSLASHq] = ACTIONS(1343),
    [anon_sym_BSLASHqr] = ACTIONS(1343),
    [anon_sym_BSLASHqc] = ACTIONS(1343),
    [anon_sym_BSLASHqa] = ACTIONS(1343),
    [anon_sym_BSLASHqm] = ACTIONS(1343),
    [anon_sym_BSLASHqd] = ACTIONS(1343),
    [anon_sym_BSLASHlh] = ACTIONS(1343),
    [anon_sym_BSLASHli] = ACTIONS(1343),
    [anon_sym_BSLASHlim] = ACTIONS(1343),
    [anon_sym_BSLASHtr] = ACTIONS(1343),
    [anon_sym_BSLASHf] = ACTIONS(1354),
    [anon_sym_BSLASHfe] = ACTIONS(1357),
    [anon_sym_BSLASHef] = ACTIONS(1360),
    [anon_sym_BSLASHfm] = ACTIONS(1363),
    [anon_sym_BSLASHx] = ACTIONS(1366),
    [anon_sym_BSLASHxt] = ACTIONS(1369),
    [anon_sym_BSLASHrq] = ACTIONS(1372),
    [anon_sym_BSLASHadd] = ACTIONS(1375),
    [anon_sym_BSLASHbk] = ACTIONS(1378),
    [anon_sym_BSLASHdc] = ACTIONS(1381),
    [anon_sym_BSLASHk] = ACTIONS(1384),
    [anon_sym_BSLASHnd] = ACTIONS(1387),
    [anon_sym_BSLASHord] = ACTIONS(1390),
    [anon_sym_BSLASHpn] = ACTIONS(1393),
    [anon_sym_BSLASHpng] = ACTIONS(1396),
    [anon_sym_BSLASHaddpn] = ACTIONS(1399),
    [anon_sym_BSLASHqt] = ACTIONS(1402),
    [anon_sym_BSLASHsig] = ACTIONS(1405),
    [anon_sym_BSLASHsls] = ACTIONS(1408),
    [anon_sym_BSLASHtl] = ACTIONS(1411),
    [anon_sym_BSLASHwj] = ACTIONS(1414),
    [anon_sym_BSLASHem] = ACTIONS(1417),
    [anon_sym_BSLASHbd] = ACTIONS(1420),
    [anon_sym_BSLASHit] = ACTIONS(1423),
    [anon_sym_BSLASHbdit] = ACTIONS(1426),
    [anon_sym_BSLASHno] = ACTIONS(1429),
    [anon_sym_BSLASHsc] = ACTIONS(1432),
    [anon_sym_BSLASHsup] = ACTIONS(1435),
    [anon_sym_BSLASHndx] = ACTIONS(1438),
    [anon_sym_BSLASHpro] = ACTIONS(1441),
    [anon_sym_BSLASHrb] = ACTIONS(1444),
    [anon_sym_BSLASHw] = ACTIONS(1447),
    [anon_sym_BSLASHwg] = ACTIONS(1450),
    [anon_sym_BSLASHwh] = ACTIONS(1453),
    [anon_sym_BSLASHwa] = ACTIONS(1456),
    [anon_sym_BSLASHfig] = ACTIONS(1459),
    [anon_sym_BSLASHjmp] = ACTIONS(1462),
    [anon_sym_BSLASHpb] = ACTIONS(1343),
    [anon_sym_BSLASH] = ACTIONS(1465),
    [sym_milestoneStartTag] = ACTIONS(1468),
    [sym_milestoneEndTag] = ACTIONS(1471),
    [sym_zSpaceTag] = ACTIONS(1474),
    [anon_sym_BSLASHesb] = ACTIONS(1343),
  },
  [88] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(75),
    [sym__comments] = STATE(75),
    [sym_sts] = STATE(75),
    [sym_rem] = STATE(75),
    [sym_restore] = STATE(75),
    [sym_lit] = STATE(75),
    [sym_verseText] = STATE(75),
    [sym_v] = STATE(75),
    [sym__verseMeta] = STATE(75),
    [sym_va] = STATE(75),
    [sym_vp] = STATE(75),
    [sym__paragraphContent] = STATE(75),
    [sym_footnote] = STATE(75),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(75),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(75),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(75),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(75),
    [ts_builtin_sym_end] = ACTIONS(1477),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1479),
    [anon_sym_BSLASHiex] = ACTIONS(1479),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1479),
    [anon_sym_BSLASHcl] = ACTIONS(1479),
    [anon_sym_BSLASHca] = ACTIONS(1479),
    [anon_sym_BSLASHcp] = ACTIONS(1479),
    [anon_sym_BSLASHcd] = ACTIONS(1479),
    [anon_sym_BSLASHmte] = ACTIONS(1479),
    [anon_sym_BSLASHms] = ACTIONS(1479),
    [anon_sym_BSLASHs] = ACTIONS(1479),
    [anon_sym_BSLASHr] = ACTIONS(1479),
    [anon_sym_BSLASHsp] = ACTIONS(1479),
    [anon_sym_BSLASHd] = ACTIONS(1479),
    [anon_sym_BSLASHsd] = ACTIONS(1479),
    [anon_sym_BSLASHp] = ACTIONS(1479),
    [anon_sym_BSLASHm] = ACTIONS(1479),
    [anon_sym_BSLASHpo] = ACTIONS(1479),
    [anon_sym_BSLASHpr] = ACTIONS(1479),
    [anon_sym_BSLASHcls] = ACTIONS(1479),
    [anon_sym_BSLASHpmo] = ACTIONS(1479),
    [anon_sym_BSLASHpm] = ACTIONS(1479),
    [anon_sym_BSLASHpmc] = ACTIONS(1479),
    [anon_sym_BSLASHpmr] = ACTIONS(1479),
    [anon_sym_BSLASHpi] = ACTIONS(1479),
    [anon_sym_BSLASHmi] = ACTIONS(1479),
    [anon_sym_BSLASHnb] = ACTIONS(1479),
    [anon_sym_BSLASHpc] = ACTIONS(1479),
    [anon_sym_BSLASHph] = ACTIONS(1479),
    [anon_sym_BSLASHb] = ACTIONS(1479),
    [anon_sym_BSLASHq] = ACTIONS(1479),
    [anon_sym_BSLASHqr] = ACTIONS(1479),
    [anon_sym_BSLASHqc] = ACTIONS(1479),
    [anon_sym_BSLASHqa] = ACTIONS(1479),
    [anon_sym_BSLASHqm] = ACTIONS(1479),
    [anon_sym_BSLASHqd] = ACTIONS(1479),
    [anon_sym_BSLASHlh] = ACTIONS(1479),
    [anon_sym_BSLASHli] = ACTIONS(1479),
    [anon_sym_BSLASHlim] = ACTIONS(1479),
    [anon_sym_BSLASHtr] = ACTIONS(1479),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1479),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1479),
  },
  [89] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(87),
    [sym__comments] = STATE(87),
    [sym_sts] = STATE(87),
    [sym_rem] = STATE(87),
    [sym_restore] = STATE(87),
    [sym_lit] = STATE(87),
    [sym_verseText] = STATE(87),
    [sym_v] = STATE(87),
    [sym__verseMeta] = STATE(87),
    [sym_va] = STATE(87),
    [sym_vp] = STATE(87),
    [sym__paragraphContent] = STATE(87),
    [sym_footnote] = STATE(87),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(87),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(87),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(87),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1483),
    [anon_sym_BSLASHiex] = ACTIONS(1483),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1483),
    [anon_sym_BSLASHcl] = ACTIONS(1483),
    [anon_sym_BSLASHca] = ACTIONS(1483),
    [anon_sym_BSLASHcp] = ACTIONS(1483),
    [anon_sym_BSLASHcd] = ACTIONS(1483),
    [anon_sym_BSLASHmte] = ACTIONS(1483),
    [anon_sym_BSLASHms] = ACTIONS(1483),
    [anon_sym_BSLASHs] = ACTIONS(1483),
    [anon_sym_BSLASHr] = ACTIONS(1483),
    [anon_sym_BSLASHsp] = ACTIONS(1483),
    [anon_sym_BSLASHd] = ACTIONS(1483),
    [anon_sym_BSLASHsd] = ACTIONS(1483),
    [anon_sym_BSLASHp] = ACTIONS(1483),
    [anon_sym_BSLASHm] = ACTIONS(1483),
    [anon_sym_BSLASHpo] = ACTIONS(1483),
    [anon_sym_BSLASHpr] = ACTIONS(1483),
    [anon_sym_BSLASHcls] = ACTIONS(1483),
    [anon_sym_BSLASHpmo] = ACTIONS(1483),
    [anon_sym_BSLASHpm] = ACTIONS(1483),
    [anon_sym_BSLASHpmc] = ACTIONS(1483),
    [anon_sym_BSLASHpmr] = ACTIONS(1483),
    [anon_sym_BSLASHpi] = ACTIONS(1483),
    [anon_sym_BSLASHmi] = ACTIONS(1483),
    [anon_sym_BSLASHnb] = ACTIONS(1483),
    [anon_sym_BSLASHpc] = ACTIONS(1483),
    [anon_sym_BSLASHph] = ACTIONS(1483),
    [anon_sym_BSLASHb] = ACTIONS(1483),
    [anon_sym_BSLASHq] = ACTIONS(1483),
    [anon_sym_BSLASHqr] = ACTIONS(1483),
    [anon_sym_BSLASHqc] = ACTIONS(1483),
    [anon_sym_BSLASHqa] = ACTIONS(1483),
    [anon_sym_BSLASHqm] = ACTIONS(1483),
    [anon_sym_BSLASHqd] = ACTIONS(1483),
    [anon_sym_BSLASHlh] = ACTIONS(1483),
    [anon_sym_BSLASHli] = ACTIONS(1483),
    [anon_sym_BSLASHlim] = ACTIONS(1483),
    [anon_sym_BSLASHtr] = ACTIONS(1483),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1483),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1483),
  },
  [90] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(87),
    [sym__comments] = STATE(87),
    [sym_sts] = STATE(87),
    [sym_rem] = STATE(87),
    [sym_restore] = STATE(87),
    [sym_lit] = STATE(87),
    [sym_verseText] = STATE(87),
    [sym_v] = STATE(87),
    [sym__verseMeta] = STATE(87),
    [sym_va] = STATE(87),
    [sym_vp] = STATE(87),
    [sym__paragraphContent] = STATE(87),
    [sym_footnote] = STATE(87),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(87),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(87),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(87),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1485),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1487),
    [anon_sym_BSLASHiex] = ACTIONS(1487),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1487),
    [anon_sym_BSLASHcl] = ACTIONS(1487),
    [anon_sym_BSLASHca] = ACTIONS(1487),
    [anon_sym_BSLASHcp] = ACTIONS(1487),
    [anon_sym_BSLASHcd] = ACTIONS(1487),
    [anon_sym_BSLASHmte] = ACTIONS(1487),
    [anon_sym_BSLASHms] = ACTIONS(1487),
    [anon_sym_BSLASHs] = ACTIONS(1487),
    [anon_sym_BSLASHr] = ACTIONS(1487),
    [anon_sym_BSLASHsp] = ACTIONS(1487),
    [anon_sym_BSLASHd] = ACTIONS(1487),
    [anon_sym_BSLASHsd] = ACTIONS(1487),
    [anon_sym_BSLASHp] = ACTIONS(1487),
    [anon_sym_BSLASHm] = ACTIONS(1487),
    [anon_sym_BSLASHpo] = ACTIONS(1487),
    [anon_sym_BSLASHpr] = ACTIONS(1487),
    [anon_sym_BSLASHcls] = ACTIONS(1487),
    [anon_sym_BSLASHpmo] = ACTIONS(1487),
    [anon_sym_BSLASHpm] = ACTIONS(1487),
    [anon_sym_BSLASHpmc] = ACTIONS(1487),
    [anon_sym_BSLASHpmr] = ACTIONS(1487),
    [anon_sym_BSLASHpi] = ACTIONS(1487),
    [anon_sym_BSLASHmi] = ACTIONS(1487),
    [anon_sym_BSLASHnb] = ACTIONS(1487),
    [anon_sym_BSLASHpc] = ACTIONS(1487),
    [anon_sym_BSLASHph] = ACTIONS(1487),
    [anon_sym_BSLASHb] = ACTIONS(1487),
    [anon_sym_BSLASHq] = ACTIONS(1487),
    [anon_sym_BSLASHqr] = ACTIONS(1487),
    [anon_sym_BSLASHqc] = ACTIONS(1487),
    [anon_sym_BSLASHqa] = ACTIONS(1487),
    [anon_sym_BSLASHqm] = ACTIONS(1487),
    [anon_sym_BSLASHqd] = ACTIONS(1487),
    [anon_sym_BSLASHlh] = ACTIONS(1487),
    [anon_sym_BSLASHli] = ACTIONS(1487),
    [anon_sym_BSLASHlim] = ACTIONS(1487),
    [anon_sym_BSLASHtr] = ACTIONS(1487),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1487),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1487),
  },
  [91] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(76),
    [sym__comments] = STATE(76),
    [sym_sts] = STATE(76),
    [sym_rem] = STATE(76),
    [sym_restore] = STATE(76),
    [sym_lit] = STATE(76),
    [sym_verseText] = STATE(76),
    [sym_v] = STATE(76),
    [sym__verseMeta] = STATE(76),
    [sym_va] = STATE(76),
    [sym_vp] = STATE(76),
    [sym__paragraphContent] = STATE(76),
    [sym_footnote] = STATE(76),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(76),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(76),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(76),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(1489),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1491),
    [anon_sym_BSLASHiex] = ACTIONS(1491),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1491),
    [anon_sym_BSLASHcl] = ACTIONS(1491),
    [anon_sym_BSLASHca] = ACTIONS(1491),
    [anon_sym_BSLASHcp] = ACTIONS(1491),
    [anon_sym_BSLASHcd] = ACTIONS(1491),
    [anon_sym_BSLASHmte] = ACTIONS(1491),
    [anon_sym_BSLASHms] = ACTIONS(1491),
    [anon_sym_BSLASHs] = ACTIONS(1491),
    [anon_sym_BSLASHr] = ACTIONS(1491),
    [anon_sym_BSLASHsp] = ACTIONS(1491),
    [anon_sym_BSLASHd] = ACTIONS(1491),
    [anon_sym_BSLASHsd] = ACTIONS(1491),
    [anon_sym_BSLASHp] = ACTIONS(1491),
    [anon_sym_BSLASHm] = ACTIONS(1491),
    [anon_sym_BSLASHpo] = ACTIONS(1491),
    [anon_sym_BSLASHpr] = ACTIONS(1491),
    [anon_sym_BSLASHcls] = ACTIONS(1491),
    [anon_sym_BSLASHpmo] = ACTIONS(1491),
    [anon_sym_BSLASHpm] = ACTIONS(1491),
    [anon_sym_BSLASHpmc] = ACTIONS(1491),
    [anon_sym_BSLASHpmr] = ACTIONS(1491),
    [anon_sym_BSLASHpi] = ACTIONS(1491),
    [anon_sym_BSLASHmi] = ACTIONS(1491),
    [anon_sym_BSLASHnb] = ACTIONS(1491),
    [anon_sym_BSLASHpc] = ACTIONS(1491),
    [anon_sym_BSLASHph] = ACTIONS(1491),
    [anon_sym_BSLASHb] = ACTIONS(1491),
    [anon_sym_BSLASHq] = ACTIONS(1491),
    [anon_sym_BSLASHqr] = ACTIONS(1491),
    [anon_sym_BSLASHqc] = ACTIONS(1491),
    [anon_sym_BSLASHqa] = ACTIONS(1491),
    [anon_sym_BSLASHqm] = ACTIONS(1491),
    [anon_sym_BSLASHqd] = ACTIONS(1491),
    [anon_sym_BSLASHlh] = ACTIONS(1491),
    [anon_sym_BSLASHli] = ACTIONS(1491),
    [anon_sym_BSLASHlim] = ACTIONS(1491),
    [anon_sym_BSLASHtr] = ACTIONS(1491),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1491),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1491),
  },
  [92] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(66),
    [sym__comments] = STATE(66),
    [sym_sts] = STATE(66),
    [sym_rem] = STATE(66),
    [sym_restore] = STATE(66),
    [sym_lit] = STATE(66),
    [sym_verseText] = STATE(66),
    [sym_v] = STATE(66),
    [sym__verseMeta] = STATE(66),
    [sym_va] = STATE(66),
    [sym_vp] = STATE(66),
    [sym__paragraphContent] = STATE(66),
    [sym_footnote] = STATE(66),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(66),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(66),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(66),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(66),
    [ts_builtin_sym_end] = ACTIONS(1493),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1495),
    [anon_sym_BSLASHiex] = ACTIONS(1495),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1495),
    [anon_sym_BSLASHcl] = ACTIONS(1495),
    [anon_sym_BSLASHca] = ACTIONS(1495),
    [anon_sym_BSLASHcp] = ACTIONS(1495),
    [anon_sym_BSLASHcd] = ACTIONS(1495),
    [anon_sym_BSLASHmte] = ACTIONS(1495),
    [anon_sym_BSLASHms] = ACTIONS(1495),
    [anon_sym_BSLASHs] = ACTIONS(1495),
    [anon_sym_BSLASHr] = ACTIONS(1495),
    [anon_sym_BSLASHsp] = ACTIONS(1495),
    [anon_sym_BSLASHd] = ACTIONS(1495),
    [anon_sym_BSLASHsd] = ACTIONS(1495),
    [anon_sym_BSLASHp] = ACTIONS(1495),
    [anon_sym_BSLASHm] = ACTIONS(1495),
    [anon_sym_BSLASHpo] = ACTIONS(1495),
    [anon_sym_BSLASHpr] = ACTIONS(1495),
    [anon_sym_BSLASHcls] = ACTIONS(1495),
    [anon_sym_BSLASHpmo] = ACTIONS(1495),
    [anon_sym_BSLASHpm] = ACTIONS(1495),
    [anon_sym_BSLASHpmc] = ACTIONS(1495),
    [anon_sym_BSLASHpmr] = ACTIONS(1495),
    [anon_sym_BSLASHpi] = ACTIONS(1495),
    [anon_sym_BSLASHmi] = ACTIONS(1495),
    [anon_sym_BSLASHnb] = ACTIONS(1495),
    [anon_sym_BSLASHpc] = ACTIONS(1495),
    [anon_sym_BSLASHph] = ACTIONS(1495),
    [anon_sym_BSLASHb] = ACTIONS(1495),
    [anon_sym_BSLASHq] = ACTIONS(1495),
    [anon_sym_BSLASHqr] = ACTIONS(1495),
    [anon_sym_BSLASHqc] = ACTIONS(1495),
    [anon_sym_BSLASHqa] = ACTIONS(1495),
    [anon_sym_BSLASHqm] = ACTIONS(1495),
    [anon_sym_BSLASHqd] = ACTIONS(1495),
    [anon_sym_BSLASHlh] = ACTIONS(1495),
    [anon_sym_BSLASHli] = ACTIONS(1495),
    [anon_sym_BSLASHlim] = ACTIONS(1495),
    [anon_sym_BSLASHtr] = ACTIONS(1495),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1495),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1495),
  },
  [93] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(68),
    [sym__comments] = STATE(68),
    [sym_sts] = STATE(68),
    [sym_rem] = STATE(68),
    [sym_restore] = STATE(68),
    [sym_lit] = STATE(68),
    [sym_verseText] = STATE(68),
    [sym_v] = STATE(68),
    [sym__verseMeta] = STATE(68),
    [sym_va] = STATE(68),
    [sym_vp] = STATE(68),
    [sym__paragraphContent] = STATE(68),
    [sym_footnote] = STATE(68),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(68),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(68),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(68),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(68),
    [ts_builtin_sym_end] = ACTIONS(1497),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1499),
    [anon_sym_BSLASHiex] = ACTIONS(1499),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1499),
    [anon_sym_BSLASHcl] = ACTIONS(1499),
    [anon_sym_BSLASHca] = ACTIONS(1499),
    [anon_sym_BSLASHcp] = ACTIONS(1499),
    [anon_sym_BSLASHcd] = ACTIONS(1499),
    [anon_sym_BSLASHmte] = ACTIONS(1499),
    [anon_sym_BSLASHms] = ACTIONS(1499),
    [anon_sym_BSLASHs] = ACTIONS(1499),
    [anon_sym_BSLASHr] = ACTIONS(1499),
    [anon_sym_BSLASHsp] = ACTIONS(1499),
    [anon_sym_BSLASHd] = ACTIONS(1499),
    [anon_sym_BSLASHsd] = ACTIONS(1499),
    [anon_sym_BSLASHp] = ACTIONS(1499),
    [anon_sym_BSLASHm] = ACTIONS(1499),
    [anon_sym_BSLASHpo] = ACTIONS(1499),
    [anon_sym_BSLASHpr] = ACTIONS(1499),
    [anon_sym_BSLASHcls] = ACTIONS(1499),
    [anon_sym_BSLASHpmo] = ACTIONS(1499),
    [anon_sym_BSLASHpm] = ACTIONS(1499),
    [anon_sym_BSLASHpmc] = ACTIONS(1499),
    [anon_sym_BSLASHpmr] = ACTIONS(1499),
    [anon_sym_BSLASHpi] = ACTIONS(1499),
    [anon_sym_BSLASHmi] = ACTIONS(1499),
    [anon_sym_BSLASHnb] = ACTIONS(1499),
    [anon_sym_BSLASHpc] = ACTIONS(1499),
    [anon_sym_BSLASHph] = ACTIONS(1499),
    [anon_sym_BSLASHb] = ACTIONS(1499),
    [anon_sym_BSLASHq] = ACTIONS(1499),
    [anon_sym_BSLASHqr] = ACTIONS(1499),
    [anon_sym_BSLASHqc] = ACTIONS(1499),
    [anon_sym_BSLASHqa] = ACTIONS(1499),
    [anon_sym_BSLASHqm] = ACTIONS(1499),
    [anon_sym_BSLASHqd] = ACTIONS(1499),
    [anon_sym_BSLASHlh] = ACTIONS(1499),
    [anon_sym_BSLASHli] = ACTIONS(1499),
    [anon_sym_BSLASHlim] = ACTIONS(1499),
    [anon_sym_BSLASHtr] = ACTIONS(1499),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1499),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1499),
  },
  [94] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(77),
    [sym__comments] = STATE(77),
    [sym_sts] = STATE(77),
    [sym_rem] = STATE(77),
    [sym_restore] = STATE(77),
    [sym_lit] = STATE(77),
    [sym_verseText] = STATE(77),
    [sym_v] = STATE(77),
    [sym__verseMeta] = STATE(77),
    [sym_va] = STATE(77),
    [sym_vp] = STATE(77),
    [sym__paragraphContent] = STATE(77),
    [sym_footnote] = STATE(77),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(77),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(77),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(77),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(77),
    [ts_builtin_sym_end] = ACTIONS(1501),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1503),
    [anon_sym_BSLASHiex] = ACTIONS(1503),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1503),
    [anon_sym_BSLASHcl] = ACTIONS(1503),
    [anon_sym_BSLASHca] = ACTIONS(1503),
    [anon_sym_BSLASHcp] = ACTIONS(1503),
    [anon_sym_BSLASHcd] = ACTIONS(1503),
    [anon_sym_BSLASHmte] = ACTIONS(1503),
    [anon_sym_BSLASHms] = ACTIONS(1503),
    [anon_sym_BSLASHs] = ACTIONS(1503),
    [anon_sym_BSLASHr] = ACTIONS(1503),
    [anon_sym_BSLASHsp] = ACTIONS(1503),
    [anon_sym_BSLASHd] = ACTIONS(1503),
    [anon_sym_BSLASHsd] = ACTIONS(1503),
    [anon_sym_BSLASHp] = ACTIONS(1503),
    [anon_sym_BSLASHm] = ACTIONS(1503),
    [anon_sym_BSLASHpo] = ACTIONS(1503),
    [anon_sym_BSLASHpr] = ACTIONS(1503),
    [anon_sym_BSLASHcls] = ACTIONS(1503),
    [anon_sym_BSLASHpmo] = ACTIONS(1503),
    [anon_sym_BSLASHpm] = ACTIONS(1503),
    [anon_sym_BSLASHpmc] = ACTIONS(1503),
    [anon_sym_BSLASHpmr] = ACTIONS(1503),
    [anon_sym_BSLASHpi] = ACTIONS(1503),
    [anon_sym_BSLASHmi] = ACTIONS(1503),
    [anon_sym_BSLASHnb] = ACTIONS(1503),
    [anon_sym_BSLASHpc] = ACTIONS(1503),
    [anon_sym_BSLASHph] = ACTIONS(1503),
    [anon_sym_BSLASHb] = ACTIONS(1503),
    [anon_sym_BSLASHq] = ACTIONS(1503),
    [anon_sym_BSLASHqr] = ACTIONS(1503),
    [anon_sym_BSLASHqc] = ACTIONS(1503),
    [anon_sym_BSLASHqa] = ACTIONS(1503),
    [anon_sym_BSLASHqm] = ACTIONS(1503),
    [anon_sym_BSLASHqd] = ACTIONS(1503),
    [anon_sym_BSLASHlh] = ACTIONS(1503),
    [anon_sym_BSLASHli] = ACTIONS(1503),
    [anon_sym_BSLASHlim] = ACTIONS(1503),
    [anon_sym_BSLASHtr] = ACTIONS(1503),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1503),
  },
  [95] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(78),
    [sym__comments] = STATE(78),
    [sym_sts] = STATE(78),
    [sym_rem] = STATE(78),
    [sym_restore] = STATE(78),
    [sym_lit] = STATE(78),
    [sym_verseText] = STATE(78),
    [sym_v] = STATE(78),
    [sym__verseMeta] = STATE(78),
    [sym_va] = STATE(78),
    [sym_vp] = STATE(78),
    [sym__paragraphContent] = STATE(78),
    [sym_footnote] = STATE(78),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(78),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(78),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(78),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(78),
    [ts_builtin_sym_end] = ACTIONS(1505),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1507),
    [anon_sym_BSLASHiex] = ACTIONS(1507),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1507),
    [anon_sym_BSLASHcl] = ACTIONS(1507),
    [anon_sym_BSLASHca] = ACTIONS(1507),
    [anon_sym_BSLASHcp] = ACTIONS(1507),
    [anon_sym_BSLASHcd] = ACTIONS(1507),
    [anon_sym_BSLASHmte] = ACTIONS(1507),
    [anon_sym_BSLASHms] = ACTIONS(1507),
    [anon_sym_BSLASHs] = ACTIONS(1507),
    [anon_sym_BSLASHr] = ACTIONS(1507),
    [anon_sym_BSLASHsp] = ACTIONS(1507),
    [anon_sym_BSLASHd] = ACTIONS(1507),
    [anon_sym_BSLASHsd] = ACTIONS(1507),
    [anon_sym_BSLASHp] = ACTIONS(1507),
    [anon_sym_BSLASHm] = ACTIONS(1507),
    [anon_sym_BSLASHpo] = ACTIONS(1507),
    [anon_sym_BSLASHpr] = ACTIONS(1507),
    [anon_sym_BSLASHcls] = ACTIONS(1507),
    [anon_sym_BSLASHpmo] = ACTIONS(1507),
    [anon_sym_BSLASHpm] = ACTIONS(1507),
    [anon_sym_BSLASHpmc] = ACTIONS(1507),
    [anon_sym_BSLASHpmr] = ACTIONS(1507),
    [anon_sym_BSLASHpi] = ACTIONS(1507),
    [anon_sym_BSLASHmi] = ACTIONS(1507),
    [anon_sym_BSLASHnb] = ACTIONS(1507),
    [anon_sym_BSLASHpc] = ACTIONS(1507),
    [anon_sym_BSLASHph] = ACTIONS(1507),
    [anon_sym_BSLASHb] = ACTIONS(1507),
    [anon_sym_BSLASHq] = ACTIONS(1507),
    [anon_sym_BSLASHqr] = ACTIONS(1507),
    [anon_sym_BSLASHqc] = ACTIONS(1507),
    [anon_sym_BSLASHqa] = ACTIONS(1507),
    [anon_sym_BSLASHqm] = ACTIONS(1507),
    [anon_sym_BSLASHqd] = ACTIONS(1507),
    [anon_sym_BSLASHlh] = ACTIONS(1507),
    [anon_sym_BSLASHli] = ACTIONS(1507),
    [anon_sym_BSLASHlim] = ACTIONS(1507),
    [anon_sym_BSLASHtr] = ACTIONS(1507),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1507),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1507),
  },
  [96] = {
    [sym_text] = STATE(307),
    [sym_ref] = STATE(67),
    [sym__comments] = STATE(67),
    [sym_sts] = STATE(67),
    [sym_rem] = STATE(67),
    [sym_restore] = STATE(67),
    [sym_lit] = STATE(67),
    [sym_verseText] = STATE(67),
    [sym_v] = STATE(67),
    [sym__verseMeta] = STATE(67),
    [sym_va] = STATE(67),
    [sym_vp] = STATE(67),
    [sym__paragraphContent] = STATE(67),
    [sym_footnote] = STATE(67),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(67),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [sym_milestoneTag] = STATE(1942),
    [sym__milestoneStandaloneMarker] = STATE(430),
    [sym__milestoneStart] = STATE(430),
    [sym__milestoneEnd] = STATE(430),
    [sym_milestone] = STATE(67),
    [sym__zNameSpaceRegular] = STATE(452),
    [sym__zNameSpaceClosed] = STATE(452),
    [sym__zNameSpaceStandaloneMarker] = STATE(452),
    [sym_zNameSpace] = STATE(67),
    [aux_sym_verseText_repeat1] = STATE(307),
    [aux_sym_p_repeat1] = STATE(67),
    [ts_builtin_sym_end] = ACTIONS(1509),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(171),
    [anon_sym_BSLASHrem] = ACTIONS(173),
    [anon_sym_BSLASHrestore] = ACTIONS(175),
    [anon_sym_BSLASHlit] = ACTIONS(177),
    [anon_sym_BSLASHip] = ACTIONS(1511),
    [anon_sym_BSLASHiex] = ACTIONS(1511),
    [anon_sym_BSLASHv] = ACTIONS(181),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(1511),
    [anon_sym_BSLASHcl] = ACTIONS(1511),
    [anon_sym_BSLASHca] = ACTIONS(1511),
    [anon_sym_BSLASHcp] = ACTIONS(1511),
    [anon_sym_BSLASHcd] = ACTIONS(1511),
    [anon_sym_BSLASHmte] = ACTIONS(1511),
    [anon_sym_BSLASHms] = ACTIONS(1511),
    [anon_sym_BSLASHs] = ACTIONS(1511),
    [anon_sym_BSLASHr] = ACTIONS(1511),
    [anon_sym_BSLASHsp] = ACTIONS(1511),
    [anon_sym_BSLASHd] = ACTIONS(1511),
    [anon_sym_BSLASHsd] = ACTIONS(1511),
    [anon_sym_BSLASHp] = ACTIONS(1511),
    [anon_sym_BSLASHm] = ACTIONS(1511),
    [anon_sym_BSLASHpo] = ACTIONS(1511),
    [anon_sym_BSLASHpr] = ACTIONS(1511),
    [anon_sym_BSLASHcls] = ACTIONS(1511),
    [anon_sym_BSLASHpmo] = ACTIONS(1511),
    [anon_sym_BSLASHpm] = ACTIONS(1511),
    [anon_sym_BSLASHpmc] = ACTIONS(1511),
    [anon_sym_BSLASHpmr] = ACTIONS(1511),
    [anon_sym_BSLASHpi] = ACTIONS(1511),
    [anon_sym_BSLASHmi] = ACTIONS(1511),
    [anon_sym_BSLASHnb] = ACTIONS(1511),
    [anon_sym_BSLASHpc] = ACTIONS(1511),
    [anon_sym_BSLASHph] = ACTIONS(1511),
    [anon_sym_BSLASHb] = ACTIONS(1511),
    [anon_sym_BSLASHq] = ACTIONS(1511),
    [anon_sym_BSLASHqr] = ACTIONS(1511),
    [anon_sym_BSLASHqc] = ACTIONS(1511),
    [anon_sym_BSLASHqa] = ACTIONS(1511),
    [anon_sym_BSLASHqm] = ACTIONS(1511),
    [anon_sym_BSLASHqd] = ACTIONS(1511),
    [anon_sym_BSLASHlh] = ACTIONS(1511),
    [anon_sym_BSLASHli] = ACTIONS(1511),
    [anon_sym_BSLASHlim] = ACTIONS(1511),
    [anon_sym_BSLASHtr] = ACTIONS(1511),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(269),
    [sym_milestoneEndTag] = ACTIONS(271),
    [sym_zSpaceTag] = ACTIONS(273),
    [anon_sym_BSLASHesb] = ACTIONS(1511),
  },
  [97] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1513),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [98] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(141),
    [sym_fr] = STATE(141),
    [sym_fq] = STATE(141),
    [sym_fqa] = STATE(141),
    [sym_fk] = STATE(141),
    [sym_fl] = STATE(141),
    [sym_fw] = STATE(141),
    [sym_fp] = STATE(141),
    [sym_ft] = STATE(141),
    [sym_fdc] = STATE(141),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(141),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(141),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(141),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1597),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [99] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1599),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [100] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1601),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [101] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(104),
    [sym_fr] = STATE(104),
    [sym_fq] = STATE(104),
    [sym_fqa] = STATE(104),
    [sym_fk] = STATE(104),
    [sym_fl] = STATE(104),
    [sym_fw] = STATE(104),
    [sym_fp] = STATE(104),
    [sym_ft] = STATE(104),
    [sym_fdc] = STATE(104),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(104),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(104),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(104),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1603),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [102] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(105),
    [sym_fr] = STATE(105),
    [sym_fq] = STATE(105),
    [sym_fqa] = STATE(105),
    [sym_fk] = STATE(105),
    [sym_fl] = STATE(105),
    [sym_fw] = STATE(105),
    [sym_fp] = STATE(105),
    [sym_ft] = STATE(105),
    [sym_fdc] = STATE(105),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(105),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(105),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(105),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1605),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [103] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(106),
    [sym_fr] = STATE(106),
    [sym_fq] = STATE(106),
    [sym_fqa] = STATE(106),
    [sym_fk] = STATE(106),
    [sym_fl] = STATE(106),
    [sym_fw] = STATE(106),
    [sym_fp] = STATE(106),
    [sym_ft] = STATE(106),
    [sym_fdc] = STATE(106),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(106),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(106),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(106),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1607),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [104] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1609),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [105] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1611),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [106] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1613),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [107] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(110),
    [sym_fr] = STATE(110),
    [sym_fq] = STATE(110),
    [sym_fqa] = STATE(110),
    [sym_fk] = STATE(110),
    [sym_fl] = STATE(110),
    [sym_fw] = STATE(110),
    [sym_fp] = STATE(110),
    [sym_ft] = STATE(110),
    [sym_fdc] = STATE(110),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(110),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(110),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(110),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1615),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [108] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(111),
    [sym_fr] = STATE(111),
    [sym_fq] = STATE(111),
    [sym_fqa] = STATE(111),
    [sym_fk] = STATE(111),
    [sym_fl] = STATE(111),
    [sym_fw] = STATE(111),
    [sym_fp] = STATE(111),
    [sym_ft] = STATE(111),
    [sym_fdc] = STATE(111),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(111),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(111),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(111),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1617),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [109] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(112),
    [sym_fr] = STATE(112),
    [sym_fq] = STATE(112),
    [sym_fqa] = STATE(112),
    [sym_fk] = STATE(112),
    [sym_fl] = STATE(112),
    [sym_fw] = STATE(112),
    [sym_fp] = STATE(112),
    [sym_ft] = STATE(112),
    [sym_fdc] = STATE(112),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(112),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(112),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(112),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1619),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [110] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1621),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [111] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1623),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [112] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1625),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [113] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(116),
    [sym_fr] = STATE(116),
    [sym_fq] = STATE(116),
    [sym_fqa] = STATE(116),
    [sym_fk] = STATE(116),
    [sym_fl] = STATE(116),
    [sym_fw] = STATE(116),
    [sym_fp] = STATE(116),
    [sym_ft] = STATE(116),
    [sym_fdc] = STATE(116),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(116),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(116),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(116),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1627),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [114] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(117),
    [sym_fr] = STATE(117),
    [sym_fq] = STATE(117),
    [sym_fqa] = STATE(117),
    [sym_fk] = STATE(117),
    [sym_fl] = STATE(117),
    [sym_fw] = STATE(117),
    [sym_fp] = STATE(117),
    [sym_ft] = STATE(117),
    [sym_fdc] = STATE(117),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(117),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(117),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(117),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1629),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [115] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(118),
    [sym_fr] = STATE(118),
    [sym_fq] = STATE(118),
    [sym_fqa] = STATE(118),
    [sym_fk] = STATE(118),
    [sym_fl] = STATE(118),
    [sym_fw] = STATE(118),
    [sym_fp] = STATE(118),
    [sym_ft] = STATE(118),
    [sym_fdc] = STATE(118),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(118),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(118),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(118),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1631),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [116] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1633),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [117] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1635),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [118] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1637),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [119] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(122),
    [sym_fr] = STATE(122),
    [sym_fq] = STATE(122),
    [sym_fqa] = STATE(122),
    [sym_fk] = STATE(122),
    [sym_fl] = STATE(122),
    [sym_fw] = STATE(122),
    [sym_fp] = STATE(122),
    [sym_ft] = STATE(122),
    [sym_fdc] = STATE(122),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(122),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(122),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(122),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1639),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [120] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(123),
    [sym_fr] = STATE(123),
    [sym_fq] = STATE(123),
    [sym_fqa] = STATE(123),
    [sym_fk] = STATE(123),
    [sym_fl] = STATE(123),
    [sym_fw] = STATE(123),
    [sym_fp] = STATE(123),
    [sym_ft] = STATE(123),
    [sym_fdc] = STATE(123),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(123),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(123),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(123),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1641),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [121] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(124),
    [sym_fr] = STATE(124),
    [sym_fq] = STATE(124),
    [sym_fqa] = STATE(124),
    [sym_fk] = STATE(124),
    [sym_fl] = STATE(124),
    [sym_fw] = STATE(124),
    [sym_fp] = STATE(124),
    [sym_ft] = STATE(124),
    [sym_fdc] = STATE(124),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(124),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(124),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(124),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1643),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [122] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1645),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [123] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1647),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [124] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1649),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [125] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(128),
    [sym_fr] = STATE(128),
    [sym_fq] = STATE(128),
    [sym_fqa] = STATE(128),
    [sym_fk] = STATE(128),
    [sym_fl] = STATE(128),
    [sym_fw] = STATE(128),
    [sym_fp] = STATE(128),
    [sym_ft] = STATE(128),
    [sym_fdc] = STATE(128),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(128),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(128),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(128),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1651),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [126] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(97),
    [sym_fr] = STATE(97),
    [sym_fq] = STATE(97),
    [sym_fqa] = STATE(97),
    [sym_fk] = STATE(97),
    [sym_fl] = STATE(97),
    [sym_fw] = STATE(97),
    [sym_fp] = STATE(97),
    [sym_ft] = STATE(97),
    [sym_fdc] = STATE(97),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(97),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(97),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(97),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1653),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [127] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(129),
    [sym_fr] = STATE(129),
    [sym_fq] = STATE(129),
    [sym_fqa] = STATE(129),
    [sym_fk] = STATE(129),
    [sym_fl] = STATE(129),
    [sym_fw] = STATE(129),
    [sym_fp] = STATE(129),
    [sym_ft] = STATE(129),
    [sym_fdc] = STATE(129),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(129),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(129),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(129),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1655),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [128] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1657),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [129] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1659),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [130] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(134),
    [sym_fr] = STATE(134),
    [sym_fq] = STATE(134),
    [sym_fqa] = STATE(134),
    [sym_fk] = STATE(134),
    [sym_fl] = STATE(134),
    [sym_fw] = STATE(134),
    [sym_fp] = STATE(134),
    [sym_ft] = STATE(134),
    [sym_fdc] = STATE(134),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(134),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(134),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(134),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1661),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [131] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(135),
    [sym_fr] = STATE(135),
    [sym_fq] = STATE(135),
    [sym_fqa] = STATE(135),
    [sym_fk] = STATE(135),
    [sym_fl] = STATE(135),
    [sym_fw] = STATE(135),
    [sym_fp] = STATE(135),
    [sym_ft] = STATE(135),
    [sym_fdc] = STATE(135),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(135),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(135),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(135),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1663),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [132] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(156),
    [sym_fr] = STATE(156),
    [sym_fq] = STATE(156),
    [sym_fqa] = STATE(156),
    [sym_fk] = STATE(156),
    [sym_fl] = STATE(156),
    [sym_fw] = STATE(156),
    [sym_fp] = STATE(156),
    [sym_ft] = STATE(156),
    [sym_fdc] = STATE(156),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(156),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(156),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(156),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1665),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [133] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(190),
    [sym_fr] = STATE(190),
    [sym_fq] = STATE(190),
    [sym_fqa] = STATE(190),
    [sym_fk] = STATE(190),
    [sym_fl] = STATE(190),
    [sym_fw] = STATE(190),
    [sym_fp] = STATE(190),
    [sym_ft] = STATE(190),
    [sym_fdc] = STATE(190),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(190),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(190),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(190),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1667),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [134] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1669),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [135] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1671),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [136] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(100),
    [sym_fr] = STATE(100),
    [sym_fq] = STATE(100),
    [sym_fqa] = STATE(100),
    [sym_fk] = STATE(100),
    [sym_fl] = STATE(100),
    [sym_fw] = STATE(100),
    [sym_fp] = STATE(100),
    [sym_ft] = STATE(100),
    [sym_fdc] = STATE(100),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(100),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(100),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(100),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1673),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [137] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(99),
    [sym_fr] = STATE(99),
    [sym_fq] = STATE(99),
    [sym_fqa] = STATE(99),
    [sym_fk] = STATE(99),
    [sym_fl] = STATE(99),
    [sym_fw] = STATE(99),
    [sym_fp] = STATE(99),
    [sym_ft] = STATE(99),
    [sym_fdc] = STATE(99),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(99),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(99),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(99),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1675),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [138] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(178),
    [sym_fr] = STATE(178),
    [sym_fq] = STATE(178),
    [sym_fqa] = STATE(178),
    [sym_fk] = STATE(178),
    [sym_fl] = STATE(178),
    [sym_fw] = STATE(178),
    [sym_fp] = STATE(178),
    [sym_ft] = STATE(178),
    [sym_fdc] = STATE(178),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(178),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(178),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(178),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1677),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [139] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1679),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [140] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1681),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [141] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1683),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [142] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(139),
    [sym_fr] = STATE(139),
    [sym_fq] = STATE(139),
    [sym_fqa] = STATE(139),
    [sym_fk] = STATE(139),
    [sym_fl] = STATE(139),
    [sym_fw] = STATE(139),
    [sym_fp] = STATE(139),
    [sym_ft] = STATE(139),
    [sym_fdc] = STATE(139),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(139),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(139),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(139),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1685),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [143] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(140),
    [sym_fr] = STATE(140),
    [sym_fq] = STATE(140),
    [sym_fqa] = STATE(140),
    [sym_fk] = STATE(140),
    [sym_fl] = STATE(140),
    [sym_fw] = STATE(140),
    [sym_fp] = STATE(140),
    [sym_ft] = STATE(140),
    [sym_fdc] = STATE(140),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(140),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(140),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(140),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1687),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [144] = {
    [sym_text] = STATE(322),
    [sym_ref] = STATE(188),
    [sym__comments] = STATE(188),
    [sym_sts] = STATE(188),
    [sym_rem] = STATE(188),
    [sym_restore] = STATE(188),
    [sym_lit] = STATE(188),
    [sym_verseText] = STATE(188),
    [sym_v] = STATE(188),
    [sym__verseMeta] = STATE(188),
    [sym_va] = STATE(188),
    [sym_vp] = STATE(188),
    [sym__paragraphContent] = STATE(188),
    [sym__poetryContent] = STATE(188),
    [sym_qs] = STATE(188),
    [sym_qac] = STATE(188),
    [sym_footnote] = STATE(188),
    [sym_f] = STATE(697),
    [sym_fe] = STATE(697),
    [sym_ef] = STATE(697),
    [sym_fm] = STATE(697),
    [sym_crossref] = STATE(188),
    [sym_x] = STATE(692),
    [sym_xt_standalone] = STATE(692),
    [sym_rq] = STATE(692),
    [sym_add] = STATE(322),
    [sym_bk] = STATE(322),
    [sym_dc] = STATE(322),
    [sym_k] = STATE(322),
    [sym_nd] = STATE(322),
    [sym_ord] = STATE(322),
    [sym_pn] = STATE(322),
    [sym_png] = STATE(322),
    [sym_addpn] = STATE(322),
    [sym_qt] = STATE(322),
    [sym_sig] = STATE(322),
    [sym_sls] = STATE(322),
    [sym_tl] = STATE(322),
    [sym_wj] = STATE(322),
    [sym_em] = STATE(322),
    [sym_bd] = STATE(322),
    [sym_it] = STATE(322),
    [sym_bdit] = STATE(322),
    [sym_no] = STATE(322),
    [sym_sc] = STATE(322),
    [sym_sup] = STATE(322),
    [sym_ndx] = STATE(322),
    [sym_pro] = STATE(322),
    [sym_rb] = STATE(322),
    [sym_w] = STATE(322),
    [sym_wg] = STATE(322),
    [sym_wh] = STATE(322),
    [sym_wa] = STATE(322),
    [sym__characterMarker] = STATE(322),
    [sym_fig] = STATE(322),
    [sym_jmp] = STATE(322),
    [sym_milestoneTag] = STATE(1949),
    [sym__milestoneStandaloneMarker] = STATE(716),
    [sym__milestoneStart] = STATE(716),
    [sym__milestoneEnd] = STATE(716),
    [sym_milestone] = STATE(188),
    [sym__zNameSpaceRegular] = STATE(715),
    [sym__zNameSpaceClosed] = STATE(715),
    [sym__zNameSpaceStandaloneMarker] = STATE(715),
    [sym_zNameSpace] = STATE(188),
    [aux_sym_verseText_repeat1] = STATE(322),
    [aux_sym_q_repeat1] = STATE(188),
    [aux_sym_text_token1] = ACTIONS(1689),
    [anon_sym_BSLASHref] = ACTIONS(1691),
    [anon_sym_BSLASHsts] = ACTIONS(1693),
    [anon_sym_BSLASHrem] = ACTIONS(1695),
    [anon_sym_BSLASHrestore] = ACTIONS(1697),
    [anon_sym_BSLASHlit] = ACTIONS(1699),
    [anon_sym_BSLASHip] = ACTIONS(570),
    [anon_sym_BSLASHv] = ACTIONS(1701),
    [anon_sym_BSLASHva] = ACTIONS(1703),
    [anon_sym_BSLASHvp] = ACTIONS(1705),
    [anon_sym_BSLASHmte] = ACTIONS(570),
    [anon_sym_BSLASHms] = ACTIONS(570),
    [anon_sym_BSLASHs] = ACTIONS(570),
    [anon_sym_BSLASHr] = ACTIONS(570),
    [anon_sym_BSLASHsp] = ACTIONS(570),
    [anon_sym_BSLASHd] = ACTIONS(570),
    [anon_sym_BSLASHsd] = ACTIONS(570),
    [anon_sym_BSLASHp] = ACTIONS(570),
    [anon_sym_BSLASHm] = ACTIONS(570),
    [anon_sym_BSLASHpo] = ACTIONS(570),
    [anon_sym_BSLASHpr] = ACTIONS(570),
    [anon_sym_BSLASHcls] = ACTIONS(570),
    [anon_sym_BSLASHpmo] = ACTIONS(570),
    [anon_sym_BSLASHpm] = ACTIONS(570),
    [anon_sym_BSLASHpmc] = ACTIONS(570),
    [anon_sym_BSLASHpmr] = ACTIONS(570),
    [anon_sym_BSLASHpi] = ACTIONS(570),
    [anon_sym_BSLASHmi] = ACTIONS(570),
    [anon_sym_BSLASHnb] = ACTIONS(570),
    [anon_sym_BSLASHpc] = ACTIONS(570),
    [anon_sym_BSLASHph] = ACTIONS(570),
    [anon_sym_BSLASHb] = ACTIONS(570),
    [anon_sym_BSLASHq] = ACTIONS(570),
    [anon_sym_BSLASHqr] = ACTIONS(570),
    [anon_sym_BSLASHqc] = ACTIONS(570),
    [anon_sym_BSLASHqs] = ACTIONS(1707),
    [anon_sym_BSLASHqa] = ACTIONS(570),
    [anon_sym_BSLASHqac] = ACTIONS(1709),
    [anon_sym_BSLASHqm] = ACTIONS(570),
    [anon_sym_BSLASHqd] = ACTIONS(570),
    [anon_sym_BSLASHlh] = ACTIONS(570),
    [anon_sym_BSLASHli] = ACTIONS(570),
    [anon_sym_BSLASHlim] = ACTIONS(570),
    [anon_sym_BSLASHtr] = ACTIONS(570),
    [anon_sym_BSLASHf] = ACTIONS(1711),
    [anon_sym_BSLASHfe] = ACTIONS(1713),
    [anon_sym_BSLASHef] = ACTIONS(1715),
    [anon_sym_BSLASHfm] = ACTIONS(1717),
    [anon_sym_BSLASHx] = ACTIONS(1719),
    [anon_sym_BSLASHxt] = ACTIONS(1721),
    [anon_sym_BSLASHrq] = ACTIONS(1723),
    [anon_sym_BSLASHadd] = ACTIONS(1725),
    [anon_sym_BSLASHbk] = ACTIONS(1727),
    [anon_sym_BSLASHdc] = ACTIONS(1729),
    [anon_sym_BSLASHk] = ACTIONS(1731),
    [anon_sym_BSLASHnd] = ACTIONS(1733),
    [anon_sym_BSLASHord] = ACTIONS(1735),
    [anon_sym_BSLASHpn] = ACTIONS(1737),
    [anon_sym_BSLASHpng] = ACTIONS(1739),
    [anon_sym_BSLASHaddpn] = ACTIONS(1741),
    [anon_sym_BSLASHqt] = ACTIONS(1743),
    [anon_sym_BSLASHsig] = ACTIONS(1745),
    [anon_sym_BSLASHsls] = ACTIONS(1747),
    [anon_sym_BSLASHtl] = ACTIONS(1749),
    [anon_sym_BSLASHwj] = ACTIONS(1751),
    [anon_sym_BSLASHem] = ACTIONS(1753),
    [anon_sym_BSLASHbd] = ACTIONS(1755),
    [anon_sym_BSLASHit] = ACTIONS(1757),
    [anon_sym_BSLASHbdit] = ACTIONS(1759),
    [anon_sym_BSLASHno] = ACTIONS(1761),
    [anon_sym_BSLASHsc] = ACTIONS(1763),
    [anon_sym_BSLASHsup] = ACTIONS(1765),
    [anon_sym_BSLASHndx] = ACTIONS(1767),
    [anon_sym_BSLASHpro] = ACTIONS(1769),
    [anon_sym_BSLASHrb] = ACTIONS(1771),
    [anon_sym_BSLASHw] = ACTIONS(1773),
    [anon_sym_BSLASHwg] = ACTIONS(1775),
    [anon_sym_BSLASHwh] = ACTIONS(1777),
    [anon_sym_BSLASHwa] = ACTIONS(1779),
    [anon_sym_BSLASHfig] = ACTIONS(1781),
    [anon_sym_BSLASHjmp] = ACTIONS(1783),
    [anon_sym_BSLASHpb] = ACTIONS(570),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1785),
    [sym_milestoneEndTag] = ACTIONS(1787),
    [sym_zSpaceTag] = ACTIONS(1789),
    [anon_sym_BSLASHesbe] = ACTIONS(570),
    [anon_sym_BSLASHcat] = ACTIONS(570),
  },
  [145] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(186),
    [sym_fr] = STATE(186),
    [sym_fq] = STATE(186),
    [sym_fqa] = STATE(186),
    [sym_fk] = STATE(186),
    [sym_fl] = STATE(186),
    [sym_fw] = STATE(186),
    [sym_fp] = STATE(186),
    [sym_ft] = STATE(186),
    [sym_fdc] = STATE(186),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(186),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(186),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(186),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1791),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [146] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(189),
    [sym_fr] = STATE(189),
    [sym_fq] = STATE(189),
    [sym_fqa] = STATE(189),
    [sym_fk] = STATE(189),
    [sym_fl] = STATE(189),
    [sym_fw] = STATE(189),
    [sym_fp] = STATE(189),
    [sym_ft] = STATE(189),
    [sym_fdc] = STATE(189),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(189),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(189),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(189),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1793),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [147] = {
    [sym__comments] = STATE(149),
    [sym_sts] = STATE(149),
    [sym_rem] = STATE(149),
    [sym_restore] = STATE(149),
    [sym_lit] = STATE(149),
    [sym_ip] = STATE(149),
    [sym_iex] = STATE(149),
    [sym__chapterContent] = STATE(149),
    [sym__chapterMeta] = STATE(149),
    [sym_cl] = STATE(149),
    [sym_ca] = STATE(149),
    [sym_cp] = STATE(149),
    [sym_cd] = STATE(149),
    [sym_title] = STATE(149),
    [sym_mteBlock] = STATE(1337),
    [sym_mte] = STATE(1297),
    [sym_mteTag] = STATE(1770),
    [sym_msBlock] = STATE(1337),
    [sym_ms] = STATE(1296),
    [sym_msTag] = STATE(1098),
    [sym_sBlock] = STATE(1337),
    [sym_s] = STATE(1295),
    [sym_sTag] = STATE(281),
    [sym_r] = STATE(1337),
    [sym_sp] = STATE(1337),
    [sym_d] = STATE(1337),
    [sym_sdBlock] = STATE(1337),
    [sym_sd] = STATE(1259),
    [sym_sdTag] = STATE(1343),
    [sym_paragraph] = STATE(149),
    [sym_p] = STATE(1344),
    [sym_m] = STATE(1344),
    [sym_po] = STATE(1344),
    [sym_pr] = STATE(1344),
    [sym_cls] = STATE(1344),
    [sym_pmo] = STATE(1344),
    [sym_pm] = STATE(1344),
    [sym_pmc] = STATE(1344),
    [sym_pmr] = STATE(1344),
    [sym_piBlock] = STATE(1344),
    [sym_pi] = STATE(1294),
    [sym_piTag] = STATE(83),
    [sym_mi] = STATE(1344),
    [sym_nb] = STATE(1344),
    [sym_pc] = STATE(1344),
    [sym_phBlock] = STATE(1344),
    [sym_ph] = STATE(1292),
    [sym_phTag] = STATE(82),
    [sym_b] = STATE(1344),
    [sym_poetry] = STATE(149),
    [sym_qBlock] = STATE(1172),
    [sym_q] = STATE(1290),
    [sym_qTag] = STATE(51),
    [sym_qr] = STATE(1172),
    [sym_qc] = STATE(1172),
    [sym_qa] = STATE(1337),
    [sym_qmBlock] = STATE(1172),
    [sym_qm] = STATE(1289),
    [sym_qmTag] = STATE(52),
    [sym_qd] = STATE(1172),
    [sym_list] = STATE(149),
    [sym_lh] = STATE(1803),
    [sym__listMarker] = STATE(1176),
    [sym_liBlock] = STATE(1176),
    [sym_li] = STATE(1263),
    [sym_liTag] = STATE(43),
    [sym_limBlock] = STATE(1176),
    [sym_lim] = STATE(1270),
    [sym_limTag] = STATE(42),
    [sym_table] = STATE(149),
    [sym_tr] = STATE(1320),
    [sym_footnote] = STATE(149),
    [sym_f] = STATE(1346),
    [sym_fe] = STATE(1346),
    [sym_ef] = STATE(1346),
    [sym_fm] = STATE(1346),
    [sym_pb] = STATE(149),
    [sym_milestoneTag] = STATE(1955),
    [sym__milestoneStandaloneMarker] = STATE(1350),
    [sym__milestoneStart] = STATE(1350),
    [sym__milestoneEnd] = STATE(1350),
    [sym_milestone] = STATE(149),
    [sym__zNameSpaceRegular] = STATE(1349),
    [sym__zNameSpaceClosed] = STATE(1349),
    [sym__zNameSpaceStandaloneMarker] = STATE(1349),
    [sym_zNameSpace] = STATE(149),
    [sym_esb] = STATE(149),
    [aux_sym_chapter_repeat1] = STATE(149),
    [aux_sym_mteBlock_repeat1] = STATE(1297),
    [aux_sym_msBlock_repeat1] = STATE(1296),
    [aux_sym_sBlock_repeat1] = STATE(1295),
    [aux_sym_sdBlock_repeat1] = STATE(1259),
    [aux_sym_piBlock_repeat1] = STATE(1294),
    [aux_sym_phBlock_repeat1] = STATE(1292),
    [aux_sym_poetry_repeat1] = STATE(1172),
    [aux_sym_qBlock_repeat1] = STATE(1290),
    [aux_sym_qmBlock_repeat1] = STATE(1289),
    [aux_sym_list_repeat1] = STATE(1176),
    [aux_sym_liBlock_repeat1] = STATE(1263),
    [aux_sym_limBlock_repeat1] = STATE(1270),
    [aux_sym_table_repeat1] = STATE(1320),
    [ts_builtin_sym_end] = ACTIONS(1795),
    [anon_sym_BSLASHsts] = ACTIONS(1797),
    [anon_sym_BSLASHrem] = ACTIONS(1799),
    [anon_sym_BSLASHrestore] = ACTIONS(1801),
    [anon_sym_BSLASHlit] = ACTIONS(1803),
    [anon_sym_BSLASHip] = ACTIONS(1805),
    [anon_sym_BSLASHiex] = ACTIONS(1807),
    [anon_sym_BSLASHc] = ACTIONS(1795),
    [anon_sym_BSLASHcl] = ACTIONS(1809),
    [anon_sym_BSLASHca] = ACTIONS(1811),
    [anon_sym_BSLASHcp] = ACTIONS(1813),
    [anon_sym_BSLASHcd] = ACTIONS(1815),
    [anon_sym_BSLASHmte] = ACTIONS(1817),
    [anon_sym_BSLASHms] = ACTIONS(1819),
    [anon_sym_BSLASHs] = ACTIONS(1821),
    [anon_sym_BSLASHr] = ACTIONS(1823),
    [anon_sym_BSLASHsp] = ACTIONS(1825),
    [anon_sym_BSLASHd] = ACTIONS(1827),
    [anon_sym_BSLASHsd] = ACTIONS(1829),
    [anon_sym_BSLASHp] = ACTIONS(1831),
    [anon_sym_BSLASHm] = ACTIONS(1833),
    [anon_sym_BSLASHpo] = ACTIONS(1835),
    [anon_sym_BSLASHpr] = ACTIONS(1837),
    [anon_sym_BSLASHcls] = ACTIONS(1839),
    [anon_sym_BSLASHpmo] = ACTIONS(1841),
    [anon_sym_BSLASHpm] = ACTIONS(1843),
    [anon_sym_BSLASHpmc] = ACTIONS(1845),
    [anon_sym_BSLASHpmr] = ACTIONS(1847),
    [anon_sym_BSLASHpi] = ACTIONS(1849),
    [anon_sym_BSLASHmi] = ACTIONS(1851),
    [anon_sym_BSLASHnb] = ACTIONS(1853),
    [anon_sym_BSLASHpc] = ACTIONS(1855),
    [anon_sym_BSLASHph] = ACTIONS(1857),
    [anon_sym_BSLASHb] = ACTIONS(1859),
    [anon_sym_BSLASHq] = ACTIONS(1861),
    [anon_sym_BSLASHqr] = ACTIONS(1863),
    [anon_sym_BSLASHqc] = ACTIONS(1865),
    [anon_sym_BSLASHqa] = ACTIONS(1867),
    [anon_sym_BSLASHqm] = ACTIONS(1869),
    [anon_sym_BSLASHqd] = ACTIONS(1871),
    [anon_sym_BSLASHlh] = ACTIONS(1873),
    [anon_sym_BSLASHli] = ACTIONS(1875),
    [anon_sym_BSLASHlim] = ACTIONS(1877),
    [anon_sym_BSLASHtr] = ACTIONS(1879),
    [anon_sym_BSLASHf] = ACTIONS(1881),
    [anon_sym_BSLASHfe] = ACTIONS(1883),
    [anon_sym_BSLASHef] = ACTIONS(1885),
    [anon_sym_BSLASHfm] = ACTIONS(1887),
    [anon_sym_BSLASHpb] = ACTIONS(1889),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1891),
    [sym_milestoneEndTag] = ACTIONS(1893),
    [sym_zSpaceTag] = ACTIONS(1895),
    [anon_sym_BSLASHesb] = ACTIONS(1897),
  },
  [148] = {
    [sym__comments] = STATE(168),
    [sym_sts] = STATE(168),
    [sym_rem] = STATE(168),
    [sym_restore] = STATE(168),
    [sym_lit] = STATE(168),
    [sym_ip] = STATE(168),
    [sym_iex] = STATE(168),
    [sym__chapterContent] = STATE(168),
    [sym__chapterMeta] = STATE(168),
    [sym_cl] = STATE(168),
    [sym_ca] = STATE(168),
    [sym_cp] = STATE(168),
    [sym_cd] = STATE(168),
    [sym_title] = STATE(168),
    [sym_mteBlock] = STATE(1337),
    [sym_mte] = STATE(1297),
    [sym_mteTag] = STATE(1770),
    [sym_msBlock] = STATE(1337),
    [sym_ms] = STATE(1296),
    [sym_msTag] = STATE(1098),
    [sym_sBlock] = STATE(1337),
    [sym_s] = STATE(1295),
    [sym_sTag] = STATE(281),
    [sym_r] = STATE(1337),
    [sym_sp] = STATE(1337),
    [sym_d] = STATE(1337),
    [sym_sdBlock] = STATE(1337),
    [sym_sd] = STATE(1259),
    [sym_sdTag] = STATE(1343),
    [sym_paragraph] = STATE(168),
    [sym_p] = STATE(1344),
    [sym_m] = STATE(1344),
    [sym_po] = STATE(1344),
    [sym_pr] = STATE(1344),
    [sym_cls] = STATE(1344),
    [sym_pmo] = STATE(1344),
    [sym_pm] = STATE(1344),
    [sym_pmc] = STATE(1344),
    [sym_pmr] = STATE(1344),
    [sym_piBlock] = STATE(1344),
    [sym_pi] = STATE(1294),
    [sym_piTag] = STATE(83),
    [sym_mi] = STATE(1344),
    [sym_nb] = STATE(1344),
    [sym_pc] = STATE(1344),
    [sym_phBlock] = STATE(1344),
    [sym_ph] = STATE(1292),
    [sym_phTag] = STATE(82),
    [sym_b] = STATE(1344),
    [sym_poetry] = STATE(168),
    [sym_qBlock] = STATE(1172),
    [sym_q] = STATE(1290),
    [sym_qTag] = STATE(51),
    [sym_qr] = STATE(1172),
    [sym_qc] = STATE(1172),
    [sym_qa] = STATE(1337),
    [sym_qmBlock] = STATE(1172),
    [sym_qm] = STATE(1289),
    [sym_qmTag] = STATE(52),
    [sym_qd] = STATE(1172),
    [sym_list] = STATE(168),
    [sym_lh] = STATE(1803),
    [sym__listMarker] = STATE(1176),
    [sym_liBlock] = STATE(1176),
    [sym_li] = STATE(1263),
    [sym_liTag] = STATE(43),
    [sym_limBlock] = STATE(1176),
    [sym_lim] = STATE(1270),
    [sym_limTag] = STATE(42),
    [sym_table] = STATE(168),
    [sym_tr] = STATE(1320),
    [sym_footnote] = STATE(168),
    [sym_f] = STATE(1346),
    [sym_fe] = STATE(1346),
    [sym_ef] = STATE(1346),
    [sym_fm] = STATE(1346),
    [sym_pb] = STATE(168),
    [sym_milestoneTag] = STATE(1955),
    [sym__milestoneStandaloneMarker] = STATE(1350),
    [sym__milestoneStart] = STATE(1350),
    [sym__milestoneEnd] = STATE(1350),
    [sym_milestone] = STATE(168),
    [sym__zNameSpaceRegular] = STATE(1349),
    [sym__zNameSpaceClosed] = STATE(1349),
    [sym__zNameSpaceStandaloneMarker] = STATE(1349),
    [sym_zNameSpace] = STATE(168),
    [sym_esb] = STATE(168),
    [aux_sym_chapter_repeat1] = STATE(168),
    [aux_sym_mteBlock_repeat1] = STATE(1297),
    [aux_sym_msBlock_repeat1] = STATE(1296),
    [aux_sym_sBlock_repeat1] = STATE(1295),
    [aux_sym_sdBlock_repeat1] = STATE(1259),
    [aux_sym_piBlock_repeat1] = STATE(1294),
    [aux_sym_phBlock_repeat1] = STATE(1292),
    [aux_sym_poetry_repeat1] = STATE(1172),
    [aux_sym_qBlock_repeat1] = STATE(1290),
    [aux_sym_qmBlock_repeat1] = STATE(1289),
    [aux_sym_list_repeat1] = STATE(1176),
    [aux_sym_liBlock_repeat1] = STATE(1263),
    [aux_sym_limBlock_repeat1] = STATE(1270),
    [aux_sym_table_repeat1] = STATE(1320),
    [ts_builtin_sym_end] = ACTIONS(1899),
    [anon_sym_BSLASHsts] = ACTIONS(1797),
    [anon_sym_BSLASHrem] = ACTIONS(1799),
    [anon_sym_BSLASHrestore] = ACTIONS(1801),
    [anon_sym_BSLASHlit] = ACTIONS(1803),
    [anon_sym_BSLASHip] = ACTIONS(1805),
    [anon_sym_BSLASHiex] = ACTIONS(1807),
    [anon_sym_BSLASHc] = ACTIONS(1899),
    [anon_sym_BSLASHcl] = ACTIONS(1809),
    [anon_sym_BSLASHca] = ACTIONS(1811),
    [anon_sym_BSLASHcp] = ACTIONS(1813),
    [anon_sym_BSLASHcd] = ACTIONS(1815),
    [anon_sym_BSLASHmte] = ACTIONS(1817),
    [anon_sym_BSLASHms] = ACTIONS(1819),
    [anon_sym_BSLASHs] = ACTIONS(1821),
    [anon_sym_BSLASHr] = ACTIONS(1823),
    [anon_sym_BSLASHsp] = ACTIONS(1825),
    [anon_sym_BSLASHd] = ACTIONS(1827),
    [anon_sym_BSLASHsd] = ACTIONS(1829),
    [anon_sym_BSLASHp] = ACTIONS(1831),
    [anon_sym_BSLASHm] = ACTIONS(1833),
    [anon_sym_BSLASHpo] = ACTIONS(1835),
    [anon_sym_BSLASHpr] = ACTIONS(1837),
    [anon_sym_BSLASHcls] = ACTIONS(1839),
    [anon_sym_BSLASHpmo] = ACTIONS(1841),
    [anon_sym_BSLASHpm] = ACTIONS(1843),
    [anon_sym_BSLASHpmc] = ACTIONS(1845),
    [anon_sym_BSLASHpmr] = ACTIONS(1847),
    [anon_sym_BSLASHpi] = ACTIONS(1849),
    [anon_sym_BSLASHmi] = ACTIONS(1851),
    [anon_sym_BSLASHnb] = ACTIONS(1853),
    [anon_sym_BSLASHpc] = ACTIONS(1855),
    [anon_sym_BSLASHph] = ACTIONS(1857),
    [anon_sym_BSLASHb] = ACTIONS(1859),
    [anon_sym_BSLASHq] = ACTIONS(1861),
    [anon_sym_BSLASHqr] = ACTIONS(1863),
    [anon_sym_BSLASHqc] = ACTIONS(1865),
    [anon_sym_BSLASHqa] = ACTIONS(1867),
    [anon_sym_BSLASHqm] = ACTIONS(1869),
    [anon_sym_BSLASHqd] = ACTIONS(1871),
    [anon_sym_BSLASHlh] = ACTIONS(1873),
    [anon_sym_BSLASHli] = ACTIONS(1875),
    [anon_sym_BSLASHlim] = ACTIONS(1877),
    [anon_sym_BSLASHtr] = ACTIONS(1879),
    [anon_sym_BSLASHf] = ACTIONS(1881),
    [anon_sym_BSLASHfe] = ACTIONS(1883),
    [anon_sym_BSLASHef] = ACTIONS(1885),
    [anon_sym_BSLASHfm] = ACTIONS(1887),
    [anon_sym_BSLASHpb] = ACTIONS(1889),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1891),
    [sym_milestoneEndTag] = ACTIONS(1893),
    [sym_zSpaceTag] = ACTIONS(1895),
    [anon_sym_BSLASHesb] = ACTIONS(1897),
  },
  [149] = {
    [sym__comments] = STATE(169),
    [sym_sts] = STATE(169),
    [sym_rem] = STATE(169),
    [sym_restore] = STATE(169),
    [sym_lit] = STATE(169),
    [sym_ip] = STATE(169),
    [sym_iex] = STATE(169),
    [sym__chapterContent] = STATE(169),
    [sym__chapterMeta] = STATE(169),
    [sym_cl] = STATE(169),
    [sym_ca] = STATE(169),
    [sym_cp] = STATE(169),
    [sym_cd] = STATE(169),
    [sym_title] = STATE(169),
    [sym_mteBlock] = STATE(1337),
    [sym_mte] = STATE(1297),
    [sym_mteTag] = STATE(1770),
    [sym_msBlock] = STATE(1337),
    [sym_ms] = STATE(1296),
    [sym_msTag] = STATE(1098),
    [sym_sBlock] = STATE(1337),
    [sym_s] = STATE(1295),
    [sym_sTag] = STATE(281),
    [sym_r] = STATE(1337),
    [sym_sp] = STATE(1337),
    [sym_d] = STATE(1337),
    [sym_sdBlock] = STATE(1337),
    [sym_sd] = STATE(1259),
    [sym_sdTag] = STATE(1343),
    [sym_paragraph] = STATE(169),
    [sym_p] = STATE(1344),
    [sym_m] = STATE(1344),
    [sym_po] = STATE(1344),
    [sym_pr] = STATE(1344),
    [sym_cls] = STATE(1344),
    [sym_pmo] = STATE(1344),
    [sym_pm] = STATE(1344),
    [sym_pmc] = STATE(1344),
    [sym_pmr] = STATE(1344),
    [sym_piBlock] = STATE(1344),
    [sym_pi] = STATE(1294),
    [sym_piTag] = STATE(83),
    [sym_mi] = STATE(1344),
    [sym_nb] = STATE(1344),
    [sym_pc] = STATE(1344),
    [sym_phBlock] = STATE(1344),
    [sym_ph] = STATE(1292),
    [sym_phTag] = STATE(82),
    [sym_b] = STATE(1344),
    [sym_poetry] = STATE(169),
    [sym_qBlock] = STATE(1172),
    [sym_q] = STATE(1290),
    [sym_qTag] = STATE(51),
    [sym_qr] = STATE(1172),
    [sym_qc] = STATE(1172),
    [sym_qa] = STATE(1337),
    [sym_qmBlock] = STATE(1172),
    [sym_qm] = STATE(1289),
    [sym_qmTag] = STATE(52),
    [sym_qd] = STATE(1172),
    [sym_list] = STATE(169),
    [sym_lh] = STATE(1803),
    [sym__listMarker] = STATE(1176),
    [sym_liBlock] = STATE(1176),
    [sym_li] = STATE(1263),
    [sym_liTag] = STATE(43),
    [sym_limBlock] = STATE(1176),
    [sym_lim] = STATE(1270),
    [sym_limTag] = STATE(42),
    [sym_table] = STATE(169),
    [sym_tr] = STATE(1320),
    [sym_footnote] = STATE(169),
    [sym_f] = STATE(1346),
    [sym_fe] = STATE(1346),
    [sym_ef] = STATE(1346),
    [sym_fm] = STATE(1346),
    [sym_pb] = STATE(169),
    [sym_milestoneTag] = STATE(1955),
    [sym__milestoneStandaloneMarker] = STATE(1350),
    [sym__milestoneStart] = STATE(1350),
    [sym__milestoneEnd] = STATE(1350),
    [sym_milestone] = STATE(169),
    [sym__zNameSpaceRegular] = STATE(1349),
    [sym__zNameSpaceClosed] = STATE(1349),
    [sym__zNameSpaceStandaloneMarker] = STATE(1349),
    [sym_zNameSpace] = STATE(169),
    [sym_esb] = STATE(169),
    [aux_sym_chapter_repeat1] = STATE(169),
    [aux_sym_mteBlock_repeat1] = STATE(1297),
    [aux_sym_msBlock_repeat1] = STATE(1296),
    [aux_sym_sBlock_repeat1] = STATE(1295),
    [aux_sym_sdBlock_repeat1] = STATE(1259),
    [aux_sym_piBlock_repeat1] = STATE(1294),
    [aux_sym_phBlock_repeat1] = STATE(1292),
    [aux_sym_poetry_repeat1] = STATE(1172),
    [aux_sym_qBlock_repeat1] = STATE(1290),
    [aux_sym_qmBlock_repeat1] = STATE(1289),
    [aux_sym_list_repeat1] = STATE(1176),
    [aux_sym_liBlock_repeat1] = STATE(1263),
    [aux_sym_limBlock_repeat1] = STATE(1270),
    [aux_sym_table_repeat1] = STATE(1320),
    [ts_builtin_sym_end] = ACTIONS(1899),
    [anon_sym_BSLASHsts] = ACTIONS(1797),
    [anon_sym_BSLASHrem] = ACTIONS(1799),
    [anon_sym_BSLASHrestore] = ACTIONS(1801),
    [anon_sym_BSLASHlit] = ACTIONS(1803),
    [anon_sym_BSLASHip] = ACTIONS(1805),
    [anon_sym_BSLASHiex] = ACTIONS(1807),
    [anon_sym_BSLASHc] = ACTIONS(1899),
    [anon_sym_BSLASHcl] = ACTIONS(1809),
    [anon_sym_BSLASHca] = ACTIONS(1811),
    [anon_sym_BSLASHcp] = ACTIONS(1813),
    [anon_sym_BSLASHcd] = ACTIONS(1815),
    [anon_sym_BSLASHmte] = ACTIONS(1817),
    [anon_sym_BSLASHms] = ACTIONS(1819),
    [anon_sym_BSLASHs] = ACTIONS(1821),
    [anon_sym_BSLASHr] = ACTIONS(1823),
    [anon_sym_BSLASHsp] = ACTIONS(1825),
    [anon_sym_BSLASHd] = ACTIONS(1827),
    [anon_sym_BSLASHsd] = ACTIONS(1829),
    [anon_sym_BSLASHp] = ACTIONS(1831),
    [anon_sym_BSLASHm] = ACTIONS(1833),
    [anon_sym_BSLASHpo] = ACTIONS(1835),
    [anon_sym_BSLASHpr] = ACTIONS(1837),
    [anon_sym_BSLASHcls] = ACTIONS(1839),
    [anon_sym_BSLASHpmo] = ACTIONS(1841),
    [anon_sym_BSLASHpm] = ACTIONS(1843),
    [anon_sym_BSLASHpmc] = ACTIONS(1845),
    [anon_sym_BSLASHpmr] = ACTIONS(1847),
    [anon_sym_BSLASHpi] = ACTIONS(1849),
    [anon_sym_BSLASHmi] = ACTIONS(1851),
    [anon_sym_BSLASHnb] = ACTIONS(1853),
    [anon_sym_BSLASHpc] = ACTIONS(1855),
    [anon_sym_BSLASHph] = ACTIONS(1857),
    [anon_sym_BSLASHb] = ACTIONS(1859),
    [anon_sym_BSLASHq] = ACTIONS(1861),
    [anon_sym_BSLASHqr] = ACTIONS(1863),
    [anon_sym_BSLASHqc] = ACTIONS(1865),
    [anon_sym_BSLASHqa] = ACTIONS(1867),
    [anon_sym_BSLASHqm] = ACTIONS(1869),
    [anon_sym_BSLASHqd] = ACTIONS(1871),
    [anon_sym_BSLASHlh] = ACTIONS(1873),
    [anon_sym_BSLASHli] = ACTIONS(1875),
    [anon_sym_BSLASHlim] = ACTIONS(1877),
    [anon_sym_BSLASHtr] = ACTIONS(1879),
    [anon_sym_BSLASHf] = ACTIONS(1881),
    [anon_sym_BSLASHfe] = ACTIONS(1883),
    [anon_sym_BSLASHef] = ACTIONS(1885),
    [anon_sym_BSLASHfm] = ACTIONS(1887),
    [anon_sym_BSLASHpb] = ACTIONS(1889),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1891),
    [sym_milestoneEndTag] = ACTIONS(1893),
    [sym_zSpaceTag] = ACTIONS(1895),
    [anon_sym_BSLASHesb] = ACTIONS(1897),
  },
  [150] = {
    [sym_text] = STATE(322),
    [sym_ref] = STATE(180),
    [sym__comments] = STATE(180),
    [sym_sts] = STATE(180),
    [sym_rem] = STATE(180),
    [sym_restore] = STATE(180),
    [sym_lit] = STATE(180),
    [sym_verseText] = STATE(180),
    [sym_v] = STATE(180),
    [sym__verseMeta] = STATE(180),
    [sym_va] = STATE(180),
    [sym_vp] = STATE(180),
    [sym__paragraphContent] = STATE(180),
    [sym__poetryContent] = STATE(180),
    [sym_qs] = STATE(180),
    [sym_qac] = STATE(180),
    [sym_footnote] = STATE(180),
    [sym_f] = STATE(697),
    [sym_fe] = STATE(697),
    [sym_ef] = STATE(697),
    [sym_fm] = STATE(697),
    [sym_crossref] = STATE(180),
    [sym_x] = STATE(692),
    [sym_xt_standalone] = STATE(692),
    [sym_rq] = STATE(692),
    [sym_add] = STATE(322),
    [sym_bk] = STATE(322),
    [sym_dc] = STATE(322),
    [sym_k] = STATE(322),
    [sym_nd] = STATE(322),
    [sym_ord] = STATE(322),
    [sym_pn] = STATE(322),
    [sym_png] = STATE(322),
    [sym_addpn] = STATE(322),
    [sym_qt] = STATE(322),
    [sym_sig] = STATE(322),
    [sym_sls] = STATE(322),
    [sym_tl] = STATE(322),
    [sym_wj] = STATE(322),
    [sym_em] = STATE(322),
    [sym_bd] = STATE(322),
    [sym_it] = STATE(322),
    [sym_bdit] = STATE(322),
    [sym_no] = STATE(322),
    [sym_sc] = STATE(322),
    [sym_sup] = STATE(322),
    [sym_ndx] = STATE(322),
    [sym_pro] = STATE(322),
    [sym_rb] = STATE(322),
    [sym_w] = STATE(322),
    [sym_wg] = STATE(322),
    [sym_wh] = STATE(322),
    [sym_wa] = STATE(322),
    [sym__characterMarker] = STATE(322),
    [sym_fig] = STATE(322),
    [sym_jmp] = STATE(322),
    [sym_milestoneTag] = STATE(1949),
    [sym__milestoneStandaloneMarker] = STATE(716),
    [sym__milestoneStart] = STATE(716),
    [sym__milestoneEnd] = STATE(716),
    [sym_milestone] = STATE(180),
    [sym__zNameSpaceRegular] = STATE(715),
    [sym__zNameSpaceClosed] = STATE(715),
    [sym__zNameSpaceStandaloneMarker] = STATE(715),
    [sym_zNameSpace] = STATE(180),
    [aux_sym_verseText_repeat1] = STATE(322),
    [aux_sym_q_repeat1] = STATE(180),
    [aux_sym_text_token1] = ACTIONS(1689),
    [anon_sym_BSLASHref] = ACTIONS(1691),
    [anon_sym_BSLASHsts] = ACTIONS(1693),
    [anon_sym_BSLASHrem] = ACTIONS(1695),
    [anon_sym_BSLASHrestore] = ACTIONS(1697),
    [anon_sym_BSLASHlit] = ACTIONS(1699),
    [anon_sym_BSLASHip] = ACTIONS(566),
    [anon_sym_BSLASHv] = ACTIONS(1701),
    [anon_sym_BSLASHva] = ACTIONS(1703),
    [anon_sym_BSLASHvp] = ACTIONS(1705),
    [anon_sym_BSLASHmte] = ACTIONS(566),
    [anon_sym_BSLASHms] = ACTIONS(566),
    [anon_sym_BSLASHs] = ACTIONS(566),
    [anon_sym_BSLASHr] = ACTIONS(566),
    [anon_sym_BSLASHsp] = ACTIONS(566),
    [anon_sym_BSLASHd] = ACTIONS(566),
    [anon_sym_BSLASHsd] = ACTIONS(566),
    [anon_sym_BSLASHp] = ACTIONS(566),
    [anon_sym_BSLASHm] = ACTIONS(566),
    [anon_sym_BSLASHpo] = ACTIONS(566),
    [anon_sym_BSLASHpr] = ACTIONS(566),
    [anon_sym_BSLASHcls] = ACTIONS(566),
    [anon_sym_BSLASHpmo] = ACTIONS(566),
    [anon_sym_BSLASHpm] = ACTIONS(566),
    [anon_sym_BSLASHpmc] = ACTIONS(566),
    [anon_sym_BSLASHpmr] = ACTIONS(566),
    [anon_sym_BSLASHpi] = ACTIONS(566),
    [anon_sym_BSLASHmi] = ACTIONS(566),
    [anon_sym_BSLASHnb] = ACTIONS(566),
    [anon_sym_BSLASHpc] = ACTIONS(566),
    [anon_sym_BSLASHph] = ACTIONS(566),
    [anon_sym_BSLASHb] = ACTIONS(566),
    [anon_sym_BSLASHq] = ACTIONS(566),
    [anon_sym_BSLASHqr] = ACTIONS(566),
    [anon_sym_BSLASHqc] = ACTIONS(566),
    [anon_sym_BSLASHqs] = ACTIONS(1707),
    [anon_sym_BSLASHqa] = ACTIONS(566),
    [anon_sym_BSLASHqac] = ACTIONS(1709),
    [anon_sym_BSLASHqm] = ACTIONS(566),
    [anon_sym_BSLASHqd] = ACTIONS(566),
    [anon_sym_BSLASHlh] = ACTIONS(566),
    [anon_sym_BSLASHli] = ACTIONS(566),
    [anon_sym_BSLASHlim] = ACTIONS(566),
    [anon_sym_BSLASHtr] = ACTIONS(566),
    [anon_sym_BSLASHf] = ACTIONS(1711),
    [anon_sym_BSLASHfe] = ACTIONS(1713),
    [anon_sym_BSLASHef] = ACTIONS(1715),
    [anon_sym_BSLASHfm] = ACTIONS(1717),
    [anon_sym_BSLASHx] = ACTIONS(1719),
    [anon_sym_BSLASHxt] = ACTIONS(1721),
    [anon_sym_BSLASHrq] = ACTIONS(1723),
    [anon_sym_BSLASHadd] = ACTIONS(1725),
    [anon_sym_BSLASHbk] = ACTIONS(1727),
    [anon_sym_BSLASHdc] = ACTIONS(1729),
    [anon_sym_BSLASHk] = ACTIONS(1731),
    [anon_sym_BSLASHnd] = ACTIONS(1733),
    [anon_sym_BSLASHord] = ACTIONS(1735),
    [anon_sym_BSLASHpn] = ACTIONS(1737),
    [anon_sym_BSLASHpng] = ACTIONS(1739),
    [anon_sym_BSLASHaddpn] = ACTIONS(1741),
    [anon_sym_BSLASHqt] = ACTIONS(1743),
    [anon_sym_BSLASHsig] = ACTIONS(1745),
    [anon_sym_BSLASHsls] = ACTIONS(1747),
    [anon_sym_BSLASHtl] = ACTIONS(1749),
    [anon_sym_BSLASHwj] = ACTIONS(1751),
    [anon_sym_BSLASHem] = ACTIONS(1753),
    [anon_sym_BSLASHbd] = ACTIONS(1755),
    [anon_sym_BSLASHit] = ACTIONS(1757),
    [anon_sym_BSLASHbdit] = ACTIONS(1759),
    [anon_sym_BSLASHno] = ACTIONS(1761),
    [anon_sym_BSLASHsc] = ACTIONS(1763),
    [anon_sym_BSLASHsup] = ACTIONS(1765),
    [anon_sym_BSLASHndx] = ACTIONS(1767),
    [anon_sym_BSLASHpro] = ACTIONS(1769),
    [anon_sym_BSLASHrb] = ACTIONS(1771),
    [anon_sym_BSLASHw] = ACTIONS(1773),
    [anon_sym_BSLASHwg] = ACTIONS(1775),
    [anon_sym_BSLASHwh] = ACTIONS(1777),
    [anon_sym_BSLASHwa] = ACTIONS(1779),
    [anon_sym_BSLASHfig] = ACTIONS(1781),
    [anon_sym_BSLASHjmp] = ACTIONS(1783),
    [anon_sym_BSLASHpb] = ACTIONS(566),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1785),
    [sym_milestoneEndTag] = ACTIONS(1787),
    [sym_zSpaceTag] = ACTIONS(1789),
    [anon_sym_BSLASHesbe] = ACTIONS(566),
    [anon_sym_BSLASHcat] = ACTIONS(566),
  },
  [151] = {
    [sym_text] = STATE(322),
    [sym_ref] = STATE(181),
    [sym__comments] = STATE(181),
    [sym_sts] = STATE(181),
    [sym_rem] = STATE(181),
    [sym_restore] = STATE(181),
    [sym_lit] = STATE(181),
    [sym_verseText] = STATE(181),
    [sym_v] = STATE(181),
    [sym__verseMeta] = STATE(181),
    [sym_va] = STATE(181),
    [sym_vp] = STATE(181),
    [sym__paragraphContent] = STATE(181),
    [sym__poetryContent] = STATE(181),
    [sym_qs] = STATE(181),
    [sym_qac] = STATE(181),
    [sym_footnote] = STATE(181),
    [sym_f] = STATE(697),
    [sym_fe] = STATE(697),
    [sym_ef] = STATE(697),
    [sym_fm] = STATE(697),
    [sym_crossref] = STATE(181),
    [sym_x] = STATE(692),
    [sym_xt_standalone] = STATE(692),
    [sym_rq] = STATE(692),
    [sym_add] = STATE(322),
    [sym_bk] = STATE(322),
    [sym_dc] = STATE(322),
    [sym_k] = STATE(322),
    [sym_nd] = STATE(322),
    [sym_ord] = STATE(322),
    [sym_pn] = STATE(322),
    [sym_png] = STATE(322),
    [sym_addpn] = STATE(322),
    [sym_qt] = STATE(322),
    [sym_sig] = STATE(322),
    [sym_sls] = STATE(322),
    [sym_tl] = STATE(322),
    [sym_wj] = STATE(322),
    [sym_em] = STATE(322),
    [sym_bd] = STATE(322),
    [sym_it] = STATE(322),
    [sym_bdit] = STATE(322),
    [sym_no] = STATE(322),
    [sym_sc] = STATE(322),
    [sym_sup] = STATE(322),
    [sym_ndx] = STATE(322),
    [sym_pro] = STATE(322),
    [sym_rb] = STATE(322),
    [sym_w] = STATE(322),
    [sym_wg] = STATE(322),
    [sym_wh] = STATE(322),
    [sym_wa] = STATE(322),
    [sym__characterMarker] = STATE(322),
    [sym_fig] = STATE(322),
    [sym_jmp] = STATE(322),
    [sym_milestoneTag] = STATE(1949),
    [sym__milestoneStandaloneMarker] = STATE(716),
    [sym__milestoneStart] = STATE(716),
    [sym__milestoneEnd] = STATE(716),
    [sym_milestone] = STATE(181),
    [sym__zNameSpaceRegular] = STATE(715),
    [sym__zNameSpaceClosed] = STATE(715),
    [sym__zNameSpaceStandaloneMarker] = STATE(715),
    [sym_zNameSpace] = STATE(181),
    [aux_sym_verseText_repeat1] = STATE(322),
    [aux_sym_q_repeat1] = STATE(181),
    [aux_sym_text_token1] = ACTIONS(1689),
    [anon_sym_BSLASHref] = ACTIONS(1691),
    [anon_sym_BSLASHsts] = ACTIONS(1693),
    [anon_sym_BSLASHrem] = ACTIONS(1695),
    [anon_sym_BSLASHrestore] = ACTIONS(1697),
    [anon_sym_BSLASHlit] = ACTIONS(1699),
    [anon_sym_BSLASHip] = ACTIONS(578),
    [anon_sym_BSLASHv] = ACTIONS(1701),
    [anon_sym_BSLASHva] = ACTIONS(1703),
    [anon_sym_BSLASHvp] = ACTIONS(1705),
    [anon_sym_BSLASHmte] = ACTIONS(578),
    [anon_sym_BSLASHms] = ACTIONS(578),
    [anon_sym_BSLASHs] = ACTIONS(578),
    [anon_sym_BSLASHr] = ACTIONS(578),
    [anon_sym_BSLASHsp] = ACTIONS(578),
    [anon_sym_BSLASHd] = ACTIONS(578),
    [anon_sym_BSLASHsd] = ACTIONS(578),
    [anon_sym_BSLASHp] = ACTIONS(578),
    [anon_sym_BSLASHm] = ACTIONS(578),
    [anon_sym_BSLASHpo] = ACTIONS(578),
    [anon_sym_BSLASHpr] = ACTIONS(578),
    [anon_sym_BSLASHcls] = ACTIONS(578),
    [anon_sym_BSLASHpmo] = ACTIONS(578),
    [anon_sym_BSLASHpm] = ACTIONS(578),
    [anon_sym_BSLASHpmc] = ACTIONS(578),
    [anon_sym_BSLASHpmr] = ACTIONS(578),
    [anon_sym_BSLASHpi] = ACTIONS(578),
    [anon_sym_BSLASHmi] = ACTIONS(578),
    [anon_sym_BSLASHnb] = ACTIONS(578),
    [anon_sym_BSLASHpc] = ACTIONS(578),
    [anon_sym_BSLASHph] = ACTIONS(578),
    [anon_sym_BSLASHb] = ACTIONS(578),
    [anon_sym_BSLASHq] = ACTIONS(578),
    [anon_sym_BSLASHqr] = ACTIONS(578),
    [anon_sym_BSLASHqc] = ACTIONS(578),
    [anon_sym_BSLASHqs] = ACTIONS(1707),
    [anon_sym_BSLASHqa] = ACTIONS(578),
    [anon_sym_BSLASHqac] = ACTIONS(1709),
    [anon_sym_BSLASHqm] = ACTIONS(578),
    [anon_sym_BSLASHqd] = ACTIONS(578),
    [anon_sym_BSLASHlh] = ACTIONS(578),
    [anon_sym_BSLASHli] = ACTIONS(578),
    [anon_sym_BSLASHlim] = ACTIONS(578),
    [anon_sym_BSLASHtr] = ACTIONS(578),
    [anon_sym_BSLASHf] = ACTIONS(1711),
    [anon_sym_BSLASHfe] = ACTIONS(1713),
    [anon_sym_BSLASHef] = ACTIONS(1715),
    [anon_sym_BSLASHfm] = ACTIONS(1717),
    [anon_sym_BSLASHx] = ACTIONS(1719),
    [anon_sym_BSLASHxt] = ACTIONS(1721),
    [anon_sym_BSLASHrq] = ACTIONS(1723),
    [anon_sym_BSLASHadd] = ACTIONS(1725),
    [anon_sym_BSLASHbk] = ACTIONS(1727),
    [anon_sym_BSLASHdc] = ACTIONS(1729),
    [anon_sym_BSLASHk] = ACTIONS(1731),
    [anon_sym_BSLASHnd] = ACTIONS(1733),
    [anon_sym_BSLASHord] = ACTIONS(1735),
    [anon_sym_BSLASHpn] = ACTIONS(1737),
    [anon_sym_BSLASHpng] = ACTIONS(1739),
    [anon_sym_BSLASHaddpn] = ACTIONS(1741),
    [anon_sym_BSLASHqt] = ACTIONS(1743),
    [anon_sym_BSLASHsig] = ACTIONS(1745),
    [anon_sym_BSLASHsls] = ACTIONS(1747),
    [anon_sym_BSLASHtl] = ACTIONS(1749),
    [anon_sym_BSLASHwj] = ACTIONS(1751),
    [anon_sym_BSLASHem] = ACTIONS(1753),
    [anon_sym_BSLASHbd] = ACTIONS(1755),
    [anon_sym_BSLASHit] = ACTIONS(1757),
    [anon_sym_BSLASHbdit] = ACTIONS(1759),
    [anon_sym_BSLASHno] = ACTIONS(1761),
    [anon_sym_BSLASHsc] = ACTIONS(1763),
    [anon_sym_BSLASHsup] = ACTIONS(1765),
    [anon_sym_BSLASHndx] = ACTIONS(1767),
    [anon_sym_BSLASHpro] = ACTIONS(1769),
    [anon_sym_BSLASHrb] = ACTIONS(1771),
    [anon_sym_BSLASHw] = ACTIONS(1773),
    [anon_sym_BSLASHwg] = ACTIONS(1775),
    [anon_sym_BSLASHwh] = ACTIONS(1777),
    [anon_sym_BSLASHwa] = ACTIONS(1779),
    [anon_sym_BSLASHfig] = ACTIONS(1781),
    [anon_sym_BSLASHjmp] = ACTIONS(1783),
    [anon_sym_BSLASHpb] = ACTIONS(578),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1785),
    [sym_milestoneEndTag] = ACTIONS(1787),
    [sym_zSpaceTag] = ACTIONS(1789),
    [anon_sym_BSLASHesbe] = ACTIONS(578),
    [anon_sym_BSLASHcat] = ACTIONS(578),
  },
  [152] = {
    [sym_text] = STATE(322),
    [sym_ref] = STATE(182),
    [sym__comments] = STATE(182),
    [sym_sts] = STATE(182),
    [sym_rem] = STATE(182),
    [sym_restore] = STATE(182),
    [sym_lit] = STATE(182),
    [sym_verseText] = STATE(182),
    [sym_v] = STATE(182),
    [sym__verseMeta] = STATE(182),
    [sym_va] = STATE(182),
    [sym_vp] = STATE(182),
    [sym__paragraphContent] = STATE(182),
    [sym__poetryContent] = STATE(182),
    [sym_qs] = STATE(182),
    [sym_qac] = STATE(182),
    [sym_footnote] = STATE(182),
    [sym_f] = STATE(697),
    [sym_fe] = STATE(697),
    [sym_ef] = STATE(697),
    [sym_fm] = STATE(697),
    [sym_crossref] = STATE(182),
    [sym_x] = STATE(692),
    [sym_xt_standalone] = STATE(692),
    [sym_rq] = STATE(692),
    [sym_add] = STATE(322),
    [sym_bk] = STATE(322),
    [sym_dc] = STATE(322),
    [sym_k] = STATE(322),
    [sym_nd] = STATE(322),
    [sym_ord] = STATE(322),
    [sym_pn] = STATE(322),
    [sym_png] = STATE(322),
    [sym_addpn] = STATE(322),
    [sym_qt] = STATE(322),
    [sym_sig] = STATE(322),
    [sym_sls] = STATE(322),
    [sym_tl] = STATE(322),
    [sym_wj] = STATE(322),
    [sym_em] = STATE(322),
    [sym_bd] = STATE(322),
    [sym_it] = STATE(322),
    [sym_bdit] = STATE(322),
    [sym_no] = STATE(322),
    [sym_sc] = STATE(322),
    [sym_sup] = STATE(322),
    [sym_ndx] = STATE(322),
    [sym_pro] = STATE(322),
    [sym_rb] = STATE(322),
    [sym_w] = STATE(322),
    [sym_wg] = STATE(322),
    [sym_wh] = STATE(322),
    [sym_wa] = STATE(322),
    [sym__characterMarker] = STATE(322),
    [sym_fig] = STATE(322),
    [sym_jmp] = STATE(322),
    [sym_milestoneTag] = STATE(1949),
    [sym__milestoneStandaloneMarker] = STATE(716),
    [sym__milestoneStart] = STATE(716),
    [sym__milestoneEnd] = STATE(716),
    [sym_milestone] = STATE(182),
    [sym__zNameSpaceRegular] = STATE(715),
    [sym__zNameSpaceClosed] = STATE(715),
    [sym__zNameSpaceStandaloneMarker] = STATE(715),
    [sym_zNameSpace] = STATE(182),
    [aux_sym_verseText_repeat1] = STATE(322),
    [aux_sym_q_repeat1] = STATE(182),
    [aux_sym_text_token1] = ACTIONS(1689),
    [anon_sym_BSLASHref] = ACTIONS(1691),
    [anon_sym_BSLASHsts] = ACTIONS(1693),
    [anon_sym_BSLASHrem] = ACTIONS(1695),
    [anon_sym_BSLASHrestore] = ACTIONS(1697),
    [anon_sym_BSLASHlit] = ACTIONS(1699),
    [anon_sym_BSLASHip] = ACTIONS(582),
    [anon_sym_BSLASHv] = ACTIONS(1701),
    [anon_sym_BSLASHva] = ACTIONS(1703),
    [anon_sym_BSLASHvp] = ACTIONS(1705),
    [anon_sym_BSLASHmte] = ACTIONS(582),
    [anon_sym_BSLASHms] = ACTIONS(582),
    [anon_sym_BSLASHs] = ACTIONS(582),
    [anon_sym_BSLASHr] = ACTIONS(582),
    [anon_sym_BSLASHsp] = ACTIONS(582),
    [anon_sym_BSLASHd] = ACTIONS(582),
    [anon_sym_BSLASHsd] = ACTIONS(582),
    [anon_sym_BSLASHp] = ACTIONS(582),
    [anon_sym_BSLASHm] = ACTIONS(582),
    [anon_sym_BSLASHpo] = ACTIONS(582),
    [anon_sym_BSLASHpr] = ACTIONS(582),
    [anon_sym_BSLASHcls] = ACTIONS(582),
    [anon_sym_BSLASHpmo] = ACTIONS(582),
    [anon_sym_BSLASHpm] = ACTIONS(582),
    [anon_sym_BSLASHpmc] = ACTIONS(582),
    [anon_sym_BSLASHpmr] = ACTIONS(582),
    [anon_sym_BSLASHpi] = ACTIONS(582),
    [anon_sym_BSLASHmi] = ACTIONS(582),
    [anon_sym_BSLASHnb] = ACTIONS(582),
    [anon_sym_BSLASHpc] = ACTIONS(582),
    [anon_sym_BSLASHph] = ACTIONS(582),
    [anon_sym_BSLASHb] = ACTIONS(582),
    [anon_sym_BSLASHq] = ACTIONS(582),
    [anon_sym_BSLASHqr] = ACTIONS(582),
    [anon_sym_BSLASHqc] = ACTIONS(582),
    [anon_sym_BSLASHqs] = ACTIONS(1707),
    [anon_sym_BSLASHqa] = ACTIONS(582),
    [anon_sym_BSLASHqac] = ACTIONS(1709),
    [anon_sym_BSLASHqm] = ACTIONS(582),
    [anon_sym_BSLASHqd] = ACTIONS(582),
    [anon_sym_BSLASHlh] = ACTIONS(582),
    [anon_sym_BSLASHli] = ACTIONS(582),
    [anon_sym_BSLASHlim] = ACTIONS(582),
    [anon_sym_BSLASHtr] = ACTIONS(582),
    [anon_sym_BSLASHf] = ACTIONS(1711),
    [anon_sym_BSLASHfe] = ACTIONS(1713),
    [anon_sym_BSLASHef] = ACTIONS(1715),
    [anon_sym_BSLASHfm] = ACTIONS(1717),
    [anon_sym_BSLASHx] = ACTIONS(1719),
    [anon_sym_BSLASHxt] = ACTIONS(1721),
    [anon_sym_BSLASHrq] = ACTIONS(1723),
    [anon_sym_BSLASHadd] = ACTIONS(1725),
    [anon_sym_BSLASHbk] = ACTIONS(1727),
    [anon_sym_BSLASHdc] = ACTIONS(1729),
    [anon_sym_BSLASHk] = ACTIONS(1731),
    [anon_sym_BSLASHnd] = ACTIONS(1733),
    [anon_sym_BSLASHord] = ACTIONS(1735),
    [anon_sym_BSLASHpn] = ACTIONS(1737),
    [anon_sym_BSLASHpng] = ACTIONS(1739),
    [anon_sym_BSLASHaddpn] = ACTIONS(1741),
    [anon_sym_BSLASHqt] = ACTIONS(1743),
    [anon_sym_BSLASHsig] = ACTIONS(1745),
    [anon_sym_BSLASHsls] = ACTIONS(1747),
    [anon_sym_BSLASHtl] = ACTIONS(1749),
    [anon_sym_BSLASHwj] = ACTIONS(1751),
    [anon_sym_BSLASHem] = ACTIONS(1753),
    [anon_sym_BSLASHbd] = ACTIONS(1755),
    [anon_sym_BSLASHit] = ACTIONS(1757),
    [anon_sym_BSLASHbdit] = ACTIONS(1759),
    [anon_sym_BSLASHno] = ACTIONS(1761),
    [anon_sym_BSLASHsc] = ACTIONS(1763),
    [anon_sym_BSLASHsup] = ACTIONS(1765),
    [anon_sym_BSLASHndx] = ACTIONS(1767),
    [anon_sym_BSLASHpro] = ACTIONS(1769),
    [anon_sym_BSLASHrb] = ACTIONS(1771),
    [anon_sym_BSLASHw] = ACTIONS(1773),
    [anon_sym_BSLASHwg] = ACTIONS(1775),
    [anon_sym_BSLASHwh] = ACTIONS(1777),
    [anon_sym_BSLASHwa] = ACTIONS(1779),
    [anon_sym_BSLASHfig] = ACTIONS(1781),
    [anon_sym_BSLASHjmp] = ACTIONS(1783),
    [anon_sym_BSLASHpb] = ACTIONS(582),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1785),
    [sym_milestoneEndTag] = ACTIONS(1787),
    [sym_zSpaceTag] = ACTIONS(1789),
    [anon_sym_BSLASHesbe] = ACTIONS(582),
    [anon_sym_BSLASHcat] = ACTIONS(582),
  },
  [153] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(183),
    [sym_fr] = STATE(183),
    [sym_fq] = STATE(183),
    [sym_fqa] = STATE(183),
    [sym_fk] = STATE(183),
    [sym_fl] = STATE(183),
    [sym_fw] = STATE(183),
    [sym_fp] = STATE(183),
    [sym_ft] = STATE(183),
    [sym_fdc] = STATE(183),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(183),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(183),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(183),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1901),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [154] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(184),
    [sym_fr] = STATE(184),
    [sym_fq] = STATE(184),
    [sym_fqa] = STATE(184),
    [sym_fk] = STATE(184),
    [sym_fl] = STATE(184),
    [sym_fw] = STATE(184),
    [sym_fp] = STATE(184),
    [sym_ft] = STATE(184),
    [sym_fdc] = STATE(184),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(184),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(184),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(184),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1903),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [155] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(185),
    [sym_fr] = STATE(185),
    [sym_fq] = STATE(185),
    [sym_fqa] = STATE(185),
    [sym_fk] = STATE(185),
    [sym_fl] = STATE(185),
    [sym_fw] = STATE(185),
    [sym_fp] = STATE(185),
    [sym_ft] = STATE(185),
    [sym_fdc] = STATE(185),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(185),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(185),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(185),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1905),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [156] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1907),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [157] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(160),
    [sym_fr] = STATE(160),
    [sym_fq] = STATE(160),
    [sym_fqa] = STATE(160),
    [sym_fk] = STATE(160),
    [sym_fl] = STATE(160),
    [sym_fw] = STATE(160),
    [sym_fp] = STATE(160),
    [sym_ft] = STATE(160),
    [sym_fdc] = STATE(160),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(160),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(160),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(160),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1909),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [158] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(161),
    [sym_fr] = STATE(161),
    [sym_fq] = STATE(161),
    [sym_fqa] = STATE(161),
    [sym_fk] = STATE(161),
    [sym_fl] = STATE(161),
    [sym_fw] = STATE(161),
    [sym_fp] = STATE(161),
    [sym_ft] = STATE(161),
    [sym_fdc] = STATE(161),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(161),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(161),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(161),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1911),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [159] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(162),
    [sym_fr] = STATE(162),
    [sym_fq] = STATE(162),
    [sym_fqa] = STATE(162),
    [sym_fk] = STATE(162),
    [sym_fl] = STATE(162),
    [sym_fw] = STATE(162),
    [sym_fp] = STATE(162),
    [sym_ft] = STATE(162),
    [sym_fdc] = STATE(162),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(162),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(162),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(162),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1913),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [160] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1915),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [161] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1917),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [162] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1919),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [163] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(166),
    [sym_fr] = STATE(166),
    [sym_fq] = STATE(166),
    [sym_fqa] = STATE(166),
    [sym_fk] = STATE(166),
    [sym_fl] = STATE(166),
    [sym_fw] = STATE(166),
    [sym_fp] = STATE(166),
    [sym_ft] = STATE(166),
    [sym_fdc] = STATE(166),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(166),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(166),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(166),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1921),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [164] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(167),
    [sym_fr] = STATE(167),
    [sym_fq] = STATE(167),
    [sym_fqa] = STATE(167),
    [sym_fk] = STATE(167),
    [sym_fl] = STATE(167),
    [sym_fw] = STATE(167),
    [sym_fp] = STATE(167),
    [sym_ft] = STATE(167),
    [sym_fdc] = STATE(167),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(167),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(167),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(167),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1923),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [165] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(171),
    [sym_fr] = STATE(171),
    [sym_fq] = STATE(171),
    [sym_fqa] = STATE(171),
    [sym_fk] = STATE(171),
    [sym_fl] = STATE(171),
    [sym_fw] = STATE(171),
    [sym_fp] = STATE(171),
    [sym_ft] = STATE(171),
    [sym_fdc] = STATE(171),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(171),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(171),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(171),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1925),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [166] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1927),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [167] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1929),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [168] = {
    [sym__comments] = STATE(169),
    [sym_sts] = STATE(169),
    [sym_rem] = STATE(169),
    [sym_restore] = STATE(169),
    [sym_lit] = STATE(169),
    [sym_ip] = STATE(169),
    [sym_iex] = STATE(169),
    [sym__chapterContent] = STATE(169),
    [sym__chapterMeta] = STATE(169),
    [sym_cl] = STATE(169),
    [sym_ca] = STATE(169),
    [sym_cp] = STATE(169),
    [sym_cd] = STATE(169),
    [sym_title] = STATE(169),
    [sym_mteBlock] = STATE(1337),
    [sym_mte] = STATE(1297),
    [sym_mteTag] = STATE(1770),
    [sym_msBlock] = STATE(1337),
    [sym_ms] = STATE(1296),
    [sym_msTag] = STATE(1098),
    [sym_sBlock] = STATE(1337),
    [sym_s] = STATE(1295),
    [sym_sTag] = STATE(281),
    [sym_r] = STATE(1337),
    [sym_sp] = STATE(1337),
    [sym_d] = STATE(1337),
    [sym_sdBlock] = STATE(1337),
    [sym_sd] = STATE(1259),
    [sym_sdTag] = STATE(1343),
    [sym_paragraph] = STATE(169),
    [sym_p] = STATE(1344),
    [sym_m] = STATE(1344),
    [sym_po] = STATE(1344),
    [sym_pr] = STATE(1344),
    [sym_cls] = STATE(1344),
    [sym_pmo] = STATE(1344),
    [sym_pm] = STATE(1344),
    [sym_pmc] = STATE(1344),
    [sym_pmr] = STATE(1344),
    [sym_piBlock] = STATE(1344),
    [sym_pi] = STATE(1294),
    [sym_piTag] = STATE(83),
    [sym_mi] = STATE(1344),
    [sym_nb] = STATE(1344),
    [sym_pc] = STATE(1344),
    [sym_phBlock] = STATE(1344),
    [sym_ph] = STATE(1292),
    [sym_phTag] = STATE(82),
    [sym_b] = STATE(1344),
    [sym_poetry] = STATE(169),
    [sym_qBlock] = STATE(1172),
    [sym_q] = STATE(1290),
    [sym_qTag] = STATE(51),
    [sym_qr] = STATE(1172),
    [sym_qc] = STATE(1172),
    [sym_qa] = STATE(1337),
    [sym_qmBlock] = STATE(1172),
    [sym_qm] = STATE(1289),
    [sym_qmTag] = STATE(52),
    [sym_qd] = STATE(1172),
    [sym_list] = STATE(169),
    [sym_lh] = STATE(1803),
    [sym__listMarker] = STATE(1176),
    [sym_liBlock] = STATE(1176),
    [sym_li] = STATE(1263),
    [sym_liTag] = STATE(43),
    [sym_limBlock] = STATE(1176),
    [sym_lim] = STATE(1270),
    [sym_limTag] = STATE(42),
    [sym_table] = STATE(169),
    [sym_tr] = STATE(1320),
    [sym_footnote] = STATE(169),
    [sym_f] = STATE(1346),
    [sym_fe] = STATE(1346),
    [sym_ef] = STATE(1346),
    [sym_fm] = STATE(1346),
    [sym_pb] = STATE(169),
    [sym_milestoneTag] = STATE(1955),
    [sym__milestoneStandaloneMarker] = STATE(1350),
    [sym__milestoneStart] = STATE(1350),
    [sym__milestoneEnd] = STATE(1350),
    [sym_milestone] = STATE(169),
    [sym__zNameSpaceRegular] = STATE(1349),
    [sym__zNameSpaceClosed] = STATE(1349),
    [sym__zNameSpaceStandaloneMarker] = STATE(1349),
    [sym_zNameSpace] = STATE(169),
    [sym_esb] = STATE(169),
    [aux_sym_chapter_repeat1] = STATE(169),
    [aux_sym_mteBlock_repeat1] = STATE(1297),
    [aux_sym_msBlock_repeat1] = STATE(1296),
    [aux_sym_sBlock_repeat1] = STATE(1295),
    [aux_sym_sdBlock_repeat1] = STATE(1259),
    [aux_sym_piBlock_repeat1] = STATE(1294),
    [aux_sym_phBlock_repeat1] = STATE(1292),
    [aux_sym_poetry_repeat1] = STATE(1172),
    [aux_sym_qBlock_repeat1] = STATE(1290),
    [aux_sym_qmBlock_repeat1] = STATE(1289),
    [aux_sym_list_repeat1] = STATE(1176),
    [aux_sym_liBlock_repeat1] = STATE(1263),
    [aux_sym_limBlock_repeat1] = STATE(1270),
    [aux_sym_table_repeat1] = STATE(1320),
    [ts_builtin_sym_end] = ACTIONS(1931),
    [anon_sym_BSLASHsts] = ACTIONS(1797),
    [anon_sym_BSLASHrem] = ACTIONS(1799),
    [anon_sym_BSLASHrestore] = ACTIONS(1801),
    [anon_sym_BSLASHlit] = ACTIONS(1803),
    [anon_sym_BSLASHip] = ACTIONS(1805),
    [anon_sym_BSLASHiex] = ACTIONS(1807),
    [anon_sym_BSLASHc] = ACTIONS(1931),
    [anon_sym_BSLASHcl] = ACTIONS(1809),
    [anon_sym_BSLASHca] = ACTIONS(1811),
    [anon_sym_BSLASHcp] = ACTIONS(1813),
    [anon_sym_BSLASHcd] = ACTIONS(1815),
    [anon_sym_BSLASHmte] = ACTIONS(1817),
    [anon_sym_BSLASHms] = ACTIONS(1819),
    [anon_sym_BSLASHs] = ACTIONS(1821),
    [anon_sym_BSLASHr] = ACTIONS(1823),
    [anon_sym_BSLASHsp] = ACTIONS(1825),
    [anon_sym_BSLASHd] = ACTIONS(1827),
    [anon_sym_BSLASHsd] = ACTIONS(1829),
    [anon_sym_BSLASHp] = ACTIONS(1831),
    [anon_sym_BSLASHm] = ACTIONS(1833),
    [anon_sym_BSLASHpo] = ACTIONS(1835),
    [anon_sym_BSLASHpr] = ACTIONS(1837),
    [anon_sym_BSLASHcls] = ACTIONS(1839),
    [anon_sym_BSLASHpmo] = ACTIONS(1841),
    [anon_sym_BSLASHpm] = ACTIONS(1843),
    [anon_sym_BSLASHpmc] = ACTIONS(1845),
    [anon_sym_BSLASHpmr] = ACTIONS(1847),
    [anon_sym_BSLASHpi] = ACTIONS(1849),
    [anon_sym_BSLASHmi] = ACTIONS(1851),
    [anon_sym_BSLASHnb] = ACTIONS(1853),
    [anon_sym_BSLASHpc] = ACTIONS(1855),
    [anon_sym_BSLASHph] = ACTIONS(1857),
    [anon_sym_BSLASHb] = ACTIONS(1859),
    [anon_sym_BSLASHq] = ACTIONS(1861),
    [anon_sym_BSLASHqr] = ACTIONS(1863),
    [anon_sym_BSLASHqc] = ACTIONS(1865),
    [anon_sym_BSLASHqa] = ACTIONS(1867),
    [anon_sym_BSLASHqm] = ACTIONS(1869),
    [anon_sym_BSLASHqd] = ACTIONS(1871),
    [anon_sym_BSLASHlh] = ACTIONS(1873),
    [anon_sym_BSLASHli] = ACTIONS(1875),
    [anon_sym_BSLASHlim] = ACTIONS(1877),
    [anon_sym_BSLASHtr] = ACTIONS(1879),
    [anon_sym_BSLASHf] = ACTIONS(1881),
    [anon_sym_BSLASHfe] = ACTIONS(1883),
    [anon_sym_BSLASHef] = ACTIONS(1885),
    [anon_sym_BSLASHfm] = ACTIONS(1887),
    [anon_sym_BSLASHpb] = ACTIONS(1889),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1891),
    [sym_milestoneEndTag] = ACTIONS(1893),
    [sym_zSpaceTag] = ACTIONS(1895),
    [anon_sym_BSLASHesb] = ACTIONS(1897),
  },
  [169] = {
    [sym__comments] = STATE(169),
    [sym_sts] = STATE(169),
    [sym_rem] = STATE(169),
    [sym_restore] = STATE(169),
    [sym_lit] = STATE(169),
    [sym_ip] = STATE(169),
    [sym_iex] = STATE(169),
    [sym__chapterContent] = STATE(169),
    [sym__chapterMeta] = STATE(169),
    [sym_cl] = STATE(169),
    [sym_ca] = STATE(169),
    [sym_cp] = STATE(169),
    [sym_cd] = STATE(169),
    [sym_title] = STATE(169),
    [sym_mteBlock] = STATE(1337),
    [sym_mte] = STATE(1297),
    [sym_mteTag] = STATE(1770),
    [sym_msBlock] = STATE(1337),
    [sym_ms] = STATE(1296),
    [sym_msTag] = STATE(1098),
    [sym_sBlock] = STATE(1337),
    [sym_s] = STATE(1295),
    [sym_sTag] = STATE(281),
    [sym_r] = STATE(1337),
    [sym_sp] = STATE(1337),
    [sym_d] = STATE(1337),
    [sym_sdBlock] = STATE(1337),
    [sym_sd] = STATE(1259),
    [sym_sdTag] = STATE(1343),
    [sym_paragraph] = STATE(169),
    [sym_p] = STATE(1344),
    [sym_m] = STATE(1344),
    [sym_po] = STATE(1344),
    [sym_pr] = STATE(1344),
    [sym_cls] = STATE(1344),
    [sym_pmo] = STATE(1344),
    [sym_pm] = STATE(1344),
    [sym_pmc] = STATE(1344),
    [sym_pmr] = STATE(1344),
    [sym_piBlock] = STATE(1344),
    [sym_pi] = STATE(1294),
    [sym_piTag] = STATE(83),
    [sym_mi] = STATE(1344),
    [sym_nb] = STATE(1344),
    [sym_pc] = STATE(1344),
    [sym_phBlock] = STATE(1344),
    [sym_ph] = STATE(1292),
    [sym_phTag] = STATE(82),
    [sym_b] = STATE(1344),
    [sym_poetry] = STATE(169),
    [sym_qBlock] = STATE(1172),
    [sym_q] = STATE(1290),
    [sym_qTag] = STATE(51),
    [sym_qr] = STATE(1172),
    [sym_qc] = STATE(1172),
    [sym_qa] = STATE(1337),
    [sym_qmBlock] = STATE(1172),
    [sym_qm] = STATE(1289),
    [sym_qmTag] = STATE(52),
    [sym_qd] = STATE(1172),
    [sym_list] = STATE(169),
    [sym_lh] = STATE(1803),
    [sym__listMarker] = STATE(1176),
    [sym_liBlock] = STATE(1176),
    [sym_li] = STATE(1263),
    [sym_liTag] = STATE(43),
    [sym_limBlock] = STATE(1176),
    [sym_lim] = STATE(1270),
    [sym_limTag] = STATE(42),
    [sym_table] = STATE(169),
    [sym_tr] = STATE(1320),
    [sym_footnote] = STATE(169),
    [sym_f] = STATE(1346),
    [sym_fe] = STATE(1346),
    [sym_ef] = STATE(1346),
    [sym_fm] = STATE(1346),
    [sym_pb] = STATE(169),
    [sym_milestoneTag] = STATE(1955),
    [sym__milestoneStandaloneMarker] = STATE(1350),
    [sym__milestoneStart] = STATE(1350),
    [sym__milestoneEnd] = STATE(1350),
    [sym_milestone] = STATE(169),
    [sym__zNameSpaceRegular] = STATE(1349),
    [sym__zNameSpaceClosed] = STATE(1349),
    [sym__zNameSpaceStandaloneMarker] = STATE(1349),
    [sym_zNameSpace] = STATE(169),
    [sym_esb] = STATE(169),
    [aux_sym_chapter_repeat1] = STATE(169),
    [aux_sym_mteBlock_repeat1] = STATE(1297),
    [aux_sym_msBlock_repeat1] = STATE(1296),
    [aux_sym_sBlock_repeat1] = STATE(1295),
    [aux_sym_sdBlock_repeat1] = STATE(1259),
    [aux_sym_piBlock_repeat1] = STATE(1294),
    [aux_sym_phBlock_repeat1] = STATE(1292),
    [aux_sym_poetry_repeat1] = STATE(1172),
    [aux_sym_qBlock_repeat1] = STATE(1290),
    [aux_sym_qmBlock_repeat1] = STATE(1289),
    [aux_sym_list_repeat1] = STATE(1176),
    [aux_sym_liBlock_repeat1] = STATE(1263),
    [aux_sym_limBlock_repeat1] = STATE(1270),
    [aux_sym_table_repeat1] = STATE(1320),
    [ts_builtin_sym_end] = ACTIONS(1933),
    [anon_sym_BSLASHsts] = ACTIONS(1935),
    [anon_sym_BSLASHrem] = ACTIONS(1938),
    [anon_sym_BSLASHrestore] = ACTIONS(1941),
    [anon_sym_BSLASHlit] = ACTIONS(1944),
    [anon_sym_BSLASHip] = ACTIONS(1947),
    [anon_sym_BSLASHiex] = ACTIONS(1950),
    [anon_sym_BSLASHc] = ACTIONS(1933),
    [anon_sym_BSLASHcl] = ACTIONS(1953),
    [anon_sym_BSLASHca] = ACTIONS(1956),
    [anon_sym_BSLASHcp] = ACTIONS(1959),
    [anon_sym_BSLASHcd] = ACTIONS(1962),
    [anon_sym_BSLASHmte] = ACTIONS(1965),
    [anon_sym_BSLASHms] = ACTIONS(1968),
    [anon_sym_BSLASHs] = ACTIONS(1971),
    [anon_sym_BSLASHr] = ACTIONS(1974),
    [anon_sym_BSLASHsp] = ACTIONS(1977),
    [anon_sym_BSLASHd] = ACTIONS(1980),
    [anon_sym_BSLASHsd] = ACTIONS(1983),
    [anon_sym_BSLASHp] = ACTIONS(1986),
    [anon_sym_BSLASHm] = ACTIONS(1989),
    [anon_sym_BSLASHpo] = ACTIONS(1992),
    [anon_sym_BSLASHpr] = ACTIONS(1995),
    [anon_sym_BSLASHcls] = ACTIONS(1998),
    [anon_sym_BSLASHpmo] = ACTIONS(2001),
    [anon_sym_BSLASHpm] = ACTIONS(2004),
    [anon_sym_BSLASHpmc] = ACTIONS(2007),
    [anon_sym_BSLASHpmr] = ACTIONS(2010),
    [anon_sym_BSLASHpi] = ACTIONS(2013),
    [anon_sym_BSLASHmi] = ACTIONS(2016),
    [anon_sym_BSLASHnb] = ACTIONS(2019),
    [anon_sym_BSLASHpc] = ACTIONS(2022),
    [anon_sym_BSLASHph] = ACTIONS(2025),
    [anon_sym_BSLASHb] = ACTIONS(2028),
    [anon_sym_BSLASHq] = ACTIONS(2031),
    [anon_sym_BSLASHqr] = ACTIONS(2034),
    [anon_sym_BSLASHqc] = ACTIONS(2037),
    [anon_sym_BSLASHqa] = ACTIONS(2040),
    [anon_sym_BSLASHqm] = ACTIONS(2043),
    [anon_sym_BSLASHqd] = ACTIONS(2046),
    [anon_sym_BSLASHlh] = ACTIONS(2049),
    [anon_sym_BSLASHli] = ACTIONS(2052),
    [anon_sym_BSLASHlim] = ACTIONS(2055),
    [anon_sym_BSLASHtr] = ACTIONS(2058),
    [anon_sym_BSLASHf] = ACTIONS(2061),
    [anon_sym_BSLASHfe] = ACTIONS(2064),
    [anon_sym_BSLASHef] = ACTIONS(2067),
    [anon_sym_BSLASHfm] = ACTIONS(2070),
    [anon_sym_BSLASHpb] = ACTIONS(2073),
    [anon_sym_BSLASH] = ACTIONS(2076),
    [sym_milestoneStartTag] = ACTIONS(2079),
    [sym_milestoneEndTag] = ACTIONS(2082),
    [sym_zSpaceTag] = ACTIONS(2085),
    [anon_sym_BSLASHesb] = ACTIONS(2088),
  },
  [170] = {
    [sym_text] = STATE(322),
    [sym_ref] = STATE(187),
    [sym__comments] = STATE(187),
    [sym_sts] = STATE(187),
    [sym_rem] = STATE(187),
    [sym_restore] = STATE(187),
    [sym_lit] = STATE(187),
    [sym_verseText] = STATE(187),
    [sym_v] = STATE(187),
    [sym__verseMeta] = STATE(187),
    [sym_va] = STATE(187),
    [sym_vp] = STATE(187),
    [sym__paragraphContent] = STATE(187),
    [sym__poetryContent] = STATE(187),
    [sym_qs] = STATE(187),
    [sym_qac] = STATE(187),
    [sym_footnote] = STATE(187),
    [sym_f] = STATE(697),
    [sym_fe] = STATE(697),
    [sym_ef] = STATE(697),
    [sym_fm] = STATE(697),
    [sym_crossref] = STATE(187),
    [sym_x] = STATE(692),
    [sym_xt_standalone] = STATE(692),
    [sym_rq] = STATE(692),
    [sym_add] = STATE(322),
    [sym_bk] = STATE(322),
    [sym_dc] = STATE(322),
    [sym_k] = STATE(322),
    [sym_nd] = STATE(322),
    [sym_ord] = STATE(322),
    [sym_pn] = STATE(322),
    [sym_png] = STATE(322),
    [sym_addpn] = STATE(322),
    [sym_qt] = STATE(322),
    [sym_sig] = STATE(322),
    [sym_sls] = STATE(322),
    [sym_tl] = STATE(322),
    [sym_wj] = STATE(322),
    [sym_em] = STATE(322),
    [sym_bd] = STATE(322),
    [sym_it] = STATE(322),
    [sym_bdit] = STATE(322),
    [sym_no] = STATE(322),
    [sym_sc] = STATE(322),
    [sym_sup] = STATE(322),
    [sym_ndx] = STATE(322),
    [sym_pro] = STATE(322),
    [sym_rb] = STATE(322),
    [sym_w] = STATE(322),
    [sym_wg] = STATE(322),
    [sym_wh] = STATE(322),
    [sym_wa] = STATE(322),
    [sym__characterMarker] = STATE(322),
    [sym_fig] = STATE(322),
    [sym_jmp] = STATE(322),
    [sym_milestoneTag] = STATE(1949),
    [sym__milestoneStandaloneMarker] = STATE(716),
    [sym__milestoneStart] = STATE(716),
    [sym__milestoneEnd] = STATE(716),
    [sym_milestone] = STATE(187),
    [sym__zNameSpaceRegular] = STATE(715),
    [sym__zNameSpaceClosed] = STATE(715),
    [sym__zNameSpaceStandaloneMarker] = STATE(715),
    [sym_zNameSpace] = STATE(187),
    [aux_sym_verseText_repeat1] = STATE(322),
    [aux_sym_q_repeat1] = STATE(187),
    [aux_sym_text_token1] = ACTIONS(1689),
    [anon_sym_BSLASHref] = ACTIONS(1691),
    [anon_sym_BSLASHsts] = ACTIONS(1693),
    [anon_sym_BSLASHrem] = ACTIONS(1695),
    [anon_sym_BSLASHrestore] = ACTIONS(1697),
    [anon_sym_BSLASHlit] = ACTIONS(1699),
    [anon_sym_BSLASHip] = ACTIONS(574),
    [anon_sym_BSLASHv] = ACTIONS(1701),
    [anon_sym_BSLASHva] = ACTIONS(1703),
    [anon_sym_BSLASHvp] = ACTIONS(1705),
    [anon_sym_BSLASHmte] = ACTIONS(574),
    [anon_sym_BSLASHms] = ACTIONS(574),
    [anon_sym_BSLASHs] = ACTIONS(574),
    [anon_sym_BSLASHr] = ACTIONS(574),
    [anon_sym_BSLASHsp] = ACTIONS(574),
    [anon_sym_BSLASHd] = ACTIONS(574),
    [anon_sym_BSLASHsd] = ACTIONS(574),
    [anon_sym_BSLASHp] = ACTIONS(574),
    [anon_sym_BSLASHm] = ACTIONS(574),
    [anon_sym_BSLASHpo] = ACTIONS(574),
    [anon_sym_BSLASHpr] = ACTIONS(574),
    [anon_sym_BSLASHcls] = ACTIONS(574),
    [anon_sym_BSLASHpmo] = ACTIONS(574),
    [anon_sym_BSLASHpm] = ACTIONS(574),
    [anon_sym_BSLASHpmc] = ACTIONS(574),
    [anon_sym_BSLASHpmr] = ACTIONS(574),
    [anon_sym_BSLASHpi] = ACTIONS(574),
    [anon_sym_BSLASHmi] = ACTIONS(574),
    [anon_sym_BSLASHnb] = ACTIONS(574),
    [anon_sym_BSLASHpc] = ACTIONS(574),
    [anon_sym_BSLASHph] = ACTIONS(574),
    [anon_sym_BSLASHb] = ACTIONS(574),
    [anon_sym_BSLASHq] = ACTIONS(574),
    [anon_sym_BSLASHqr] = ACTIONS(574),
    [anon_sym_BSLASHqc] = ACTIONS(574),
    [anon_sym_BSLASHqs] = ACTIONS(1707),
    [anon_sym_BSLASHqa] = ACTIONS(574),
    [anon_sym_BSLASHqac] = ACTIONS(1709),
    [anon_sym_BSLASHqm] = ACTIONS(574),
    [anon_sym_BSLASHqd] = ACTIONS(574),
    [anon_sym_BSLASHlh] = ACTIONS(574),
    [anon_sym_BSLASHli] = ACTIONS(574),
    [anon_sym_BSLASHlim] = ACTIONS(574),
    [anon_sym_BSLASHtr] = ACTIONS(574),
    [anon_sym_BSLASHf] = ACTIONS(1711),
    [anon_sym_BSLASHfe] = ACTIONS(1713),
    [anon_sym_BSLASHef] = ACTIONS(1715),
    [anon_sym_BSLASHfm] = ACTIONS(1717),
    [anon_sym_BSLASHx] = ACTIONS(1719),
    [anon_sym_BSLASHxt] = ACTIONS(1721),
    [anon_sym_BSLASHrq] = ACTIONS(1723),
    [anon_sym_BSLASHadd] = ACTIONS(1725),
    [anon_sym_BSLASHbk] = ACTIONS(1727),
    [anon_sym_BSLASHdc] = ACTIONS(1729),
    [anon_sym_BSLASHk] = ACTIONS(1731),
    [anon_sym_BSLASHnd] = ACTIONS(1733),
    [anon_sym_BSLASHord] = ACTIONS(1735),
    [anon_sym_BSLASHpn] = ACTIONS(1737),
    [anon_sym_BSLASHpng] = ACTIONS(1739),
    [anon_sym_BSLASHaddpn] = ACTIONS(1741),
    [anon_sym_BSLASHqt] = ACTIONS(1743),
    [anon_sym_BSLASHsig] = ACTIONS(1745),
    [anon_sym_BSLASHsls] = ACTIONS(1747),
    [anon_sym_BSLASHtl] = ACTIONS(1749),
    [anon_sym_BSLASHwj] = ACTIONS(1751),
    [anon_sym_BSLASHem] = ACTIONS(1753),
    [anon_sym_BSLASHbd] = ACTIONS(1755),
    [anon_sym_BSLASHit] = ACTIONS(1757),
    [anon_sym_BSLASHbdit] = ACTIONS(1759),
    [anon_sym_BSLASHno] = ACTIONS(1761),
    [anon_sym_BSLASHsc] = ACTIONS(1763),
    [anon_sym_BSLASHsup] = ACTIONS(1765),
    [anon_sym_BSLASHndx] = ACTIONS(1767),
    [anon_sym_BSLASHpro] = ACTIONS(1769),
    [anon_sym_BSLASHrb] = ACTIONS(1771),
    [anon_sym_BSLASHw] = ACTIONS(1773),
    [anon_sym_BSLASHwg] = ACTIONS(1775),
    [anon_sym_BSLASHwh] = ACTIONS(1777),
    [anon_sym_BSLASHwa] = ACTIONS(1779),
    [anon_sym_BSLASHfig] = ACTIONS(1781),
    [anon_sym_BSLASHjmp] = ACTIONS(1783),
    [anon_sym_BSLASHpb] = ACTIONS(574),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1785),
    [sym_milestoneEndTag] = ACTIONS(1787),
    [sym_zSpaceTag] = ACTIONS(1789),
    [anon_sym_BSLASHesbe] = ACTIONS(574),
    [anon_sym_BSLASHcat] = ACTIONS(574),
  },
  [171] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2091),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [172] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(175),
    [sym_fr] = STATE(175),
    [sym_fq] = STATE(175),
    [sym_fqa] = STATE(175),
    [sym_fk] = STATE(175),
    [sym_fl] = STATE(175),
    [sym_fw] = STATE(175),
    [sym_fp] = STATE(175),
    [sym_ft] = STATE(175),
    [sym_fdc] = STATE(175),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(175),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(175),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(175),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2093),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [173] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(176),
    [sym_fr] = STATE(176),
    [sym_fq] = STATE(176),
    [sym_fqa] = STATE(176),
    [sym_fk] = STATE(176),
    [sym_fl] = STATE(176),
    [sym_fw] = STATE(176),
    [sym_fp] = STATE(176),
    [sym_ft] = STATE(176),
    [sym_fdc] = STATE(176),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(176),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(176),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(176),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2095),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [174] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(177),
    [sym_fr] = STATE(177),
    [sym_fq] = STATE(177),
    [sym_fqa] = STATE(177),
    [sym_fk] = STATE(177),
    [sym_fl] = STATE(177),
    [sym_fw] = STATE(177),
    [sym_fp] = STATE(177),
    [sym_ft] = STATE(177),
    [sym_fdc] = STATE(177),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(177),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(177),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(177),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2097),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [175] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2099),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [176] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2101),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [177] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2103),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [178] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2105),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [179] = {
    [sym_text] = STATE(322),
    [sym_ref] = STATE(179),
    [sym__comments] = STATE(179),
    [sym_sts] = STATE(179),
    [sym_rem] = STATE(179),
    [sym_restore] = STATE(179),
    [sym_lit] = STATE(179),
    [sym_verseText] = STATE(179),
    [sym_v] = STATE(179),
    [sym__verseMeta] = STATE(179),
    [sym_va] = STATE(179),
    [sym_vp] = STATE(179),
    [sym__paragraphContent] = STATE(179),
    [sym__poetryContent] = STATE(179),
    [sym_qs] = STATE(179),
    [sym_qac] = STATE(179),
    [sym_footnote] = STATE(179),
    [sym_f] = STATE(697),
    [sym_fe] = STATE(697),
    [sym_ef] = STATE(697),
    [sym_fm] = STATE(697),
    [sym_crossref] = STATE(179),
    [sym_x] = STATE(692),
    [sym_xt_standalone] = STATE(692),
    [sym_rq] = STATE(692),
    [sym_add] = STATE(322),
    [sym_bk] = STATE(322),
    [sym_dc] = STATE(322),
    [sym_k] = STATE(322),
    [sym_nd] = STATE(322),
    [sym_ord] = STATE(322),
    [sym_pn] = STATE(322),
    [sym_png] = STATE(322),
    [sym_addpn] = STATE(322),
    [sym_qt] = STATE(322),
    [sym_sig] = STATE(322),
    [sym_sls] = STATE(322),
    [sym_tl] = STATE(322),
    [sym_wj] = STATE(322),
    [sym_em] = STATE(322),
    [sym_bd] = STATE(322),
    [sym_it] = STATE(322),
    [sym_bdit] = STATE(322),
    [sym_no] = STATE(322),
    [sym_sc] = STATE(322),
    [sym_sup] = STATE(322),
    [sym_ndx] = STATE(322),
    [sym_pro] = STATE(322),
    [sym_rb] = STATE(322),
    [sym_w] = STATE(322),
    [sym_wg] = STATE(322),
    [sym_wh] = STATE(322),
    [sym_wa] = STATE(322),
    [sym__characterMarker] = STATE(322),
    [sym_fig] = STATE(322),
    [sym_jmp] = STATE(322),
    [sym_milestoneTag] = STATE(1949),
    [sym__milestoneStandaloneMarker] = STATE(716),
    [sym__milestoneStart] = STATE(716),
    [sym__milestoneEnd] = STATE(716),
    [sym_milestone] = STATE(179),
    [sym__zNameSpaceRegular] = STATE(715),
    [sym__zNameSpaceClosed] = STATE(715),
    [sym__zNameSpaceStandaloneMarker] = STATE(715),
    [sym_zNameSpace] = STATE(179),
    [aux_sym_verseText_repeat1] = STATE(322),
    [aux_sym_q_repeat1] = STATE(179),
    [aux_sym_text_token1] = ACTIONS(2107),
    [anon_sym_BSLASHref] = ACTIONS(2110),
    [anon_sym_BSLASHsts] = ACTIONS(2113),
    [anon_sym_BSLASHrem] = ACTIONS(2116),
    [anon_sym_BSLASHrestore] = ACTIONS(2119),
    [anon_sym_BSLASHlit] = ACTIONS(2122),
    [anon_sym_BSLASHip] = ACTIONS(612),
    [anon_sym_BSLASHv] = ACTIONS(2125),
    [anon_sym_BSLASHva] = ACTIONS(2128),
    [anon_sym_BSLASHvp] = ACTIONS(2131),
    [anon_sym_BSLASHmte] = ACTIONS(612),
    [anon_sym_BSLASHms] = ACTIONS(612),
    [anon_sym_BSLASHs] = ACTIONS(612),
    [anon_sym_BSLASHr] = ACTIONS(612),
    [anon_sym_BSLASHsp] = ACTIONS(612),
    [anon_sym_BSLASHd] = ACTIONS(612),
    [anon_sym_BSLASHsd] = ACTIONS(612),
    [anon_sym_BSLASHp] = ACTIONS(612),
    [anon_sym_BSLASHm] = ACTIONS(612),
    [anon_sym_BSLASHpo] = ACTIONS(612),
    [anon_sym_BSLASHpr] = ACTIONS(612),
    [anon_sym_BSLASHcls] = ACTIONS(612),
    [anon_sym_BSLASHpmo] = ACTIONS(612),
    [anon_sym_BSLASHpm] = ACTIONS(612),
    [anon_sym_BSLASHpmc] = ACTIONS(612),
    [anon_sym_BSLASHpmr] = ACTIONS(612),
    [anon_sym_BSLASHpi] = ACTIONS(612),
    [anon_sym_BSLASHmi] = ACTIONS(612),
    [anon_sym_BSLASHnb] = ACTIONS(612),
    [anon_sym_BSLASHpc] = ACTIONS(612),
    [anon_sym_BSLASHph] = ACTIONS(612),
    [anon_sym_BSLASHb] = ACTIONS(612),
    [anon_sym_BSLASHq] = ACTIONS(612),
    [anon_sym_BSLASHqr] = ACTIONS(612),
    [anon_sym_BSLASHqc] = ACTIONS(612),
    [anon_sym_BSLASHqs] = ACTIONS(2134),
    [anon_sym_BSLASHqa] = ACTIONS(612),
    [anon_sym_BSLASHqac] = ACTIONS(2137),
    [anon_sym_BSLASHqm] = ACTIONS(612),
    [anon_sym_BSLASHqd] = ACTIONS(612),
    [anon_sym_BSLASHlh] = ACTIONS(612),
    [anon_sym_BSLASHli] = ACTIONS(612),
    [anon_sym_BSLASHlim] = ACTIONS(612),
    [anon_sym_BSLASHtr] = ACTIONS(612),
    [anon_sym_BSLASHf] = ACTIONS(2140),
    [anon_sym_BSLASHfe] = ACTIONS(2143),
    [anon_sym_BSLASHef] = ACTIONS(2146),
    [anon_sym_BSLASHfm] = ACTIONS(2149),
    [anon_sym_BSLASHx] = ACTIONS(2152),
    [anon_sym_BSLASHxt] = ACTIONS(2155),
    [anon_sym_BSLASHrq] = ACTIONS(2158),
    [anon_sym_BSLASHadd] = ACTIONS(2161),
    [anon_sym_BSLASHbk] = ACTIONS(2164),
    [anon_sym_BSLASHdc] = ACTIONS(2167),
    [anon_sym_BSLASHk] = ACTIONS(2170),
    [anon_sym_BSLASHnd] = ACTIONS(2173),
    [anon_sym_BSLASHord] = ACTIONS(2176),
    [anon_sym_BSLASHpn] = ACTIONS(2179),
    [anon_sym_BSLASHpng] = ACTIONS(2182),
    [anon_sym_BSLASHaddpn] = ACTIONS(2185),
    [anon_sym_BSLASHqt] = ACTIONS(2188),
    [anon_sym_BSLASHsig] = ACTIONS(2191),
    [anon_sym_BSLASHsls] = ACTIONS(2194),
    [anon_sym_BSLASHtl] = ACTIONS(2197),
    [anon_sym_BSLASHwj] = ACTIONS(2200),
    [anon_sym_BSLASHem] = ACTIONS(2203),
    [anon_sym_BSLASHbd] = ACTIONS(2206),
    [anon_sym_BSLASHit] = ACTIONS(2209),
    [anon_sym_BSLASHbdit] = ACTIONS(2212),
    [anon_sym_BSLASHno] = ACTIONS(2215),
    [anon_sym_BSLASHsc] = ACTIONS(2218),
    [anon_sym_BSLASHsup] = ACTIONS(2221),
    [anon_sym_BSLASHndx] = ACTIONS(2224),
    [anon_sym_BSLASHpro] = ACTIONS(2227),
    [anon_sym_BSLASHrb] = ACTIONS(2230),
    [anon_sym_BSLASHw] = ACTIONS(2233),
    [anon_sym_BSLASHwg] = ACTIONS(2236),
    [anon_sym_BSLASHwh] = ACTIONS(2239),
    [anon_sym_BSLASHwa] = ACTIONS(2242),
    [anon_sym_BSLASHfig] = ACTIONS(2245),
    [anon_sym_BSLASHjmp] = ACTIONS(2248),
    [anon_sym_BSLASHpb] = ACTIONS(612),
    [anon_sym_BSLASH] = ACTIONS(740),
    [sym_milestoneStartTag] = ACTIONS(2251),
    [sym_milestoneEndTag] = ACTIONS(2254),
    [sym_zSpaceTag] = ACTIONS(2257),
    [anon_sym_BSLASHesbe] = ACTIONS(612),
    [anon_sym_BSLASHcat] = ACTIONS(612),
  },
  [180] = {
    [sym_text] = STATE(322),
    [sym_ref] = STATE(179),
    [sym__comments] = STATE(179),
    [sym_sts] = STATE(179),
    [sym_rem] = STATE(179),
    [sym_restore] = STATE(179),
    [sym_lit] = STATE(179),
    [sym_verseText] = STATE(179),
    [sym_v] = STATE(179),
    [sym__verseMeta] = STATE(179),
    [sym_va] = STATE(179),
    [sym_vp] = STATE(179),
    [sym__paragraphContent] = STATE(179),
    [sym__poetryContent] = STATE(179),
    [sym_qs] = STATE(179),
    [sym_qac] = STATE(179),
    [sym_footnote] = STATE(179),
    [sym_f] = STATE(697),
    [sym_fe] = STATE(697),
    [sym_ef] = STATE(697),
    [sym_fm] = STATE(697),
    [sym_crossref] = STATE(179),
    [sym_x] = STATE(692),
    [sym_xt_standalone] = STATE(692),
    [sym_rq] = STATE(692),
    [sym_add] = STATE(322),
    [sym_bk] = STATE(322),
    [sym_dc] = STATE(322),
    [sym_k] = STATE(322),
    [sym_nd] = STATE(322),
    [sym_ord] = STATE(322),
    [sym_pn] = STATE(322),
    [sym_png] = STATE(322),
    [sym_addpn] = STATE(322),
    [sym_qt] = STATE(322),
    [sym_sig] = STATE(322),
    [sym_sls] = STATE(322),
    [sym_tl] = STATE(322),
    [sym_wj] = STATE(322),
    [sym_em] = STATE(322),
    [sym_bd] = STATE(322),
    [sym_it] = STATE(322),
    [sym_bdit] = STATE(322),
    [sym_no] = STATE(322),
    [sym_sc] = STATE(322),
    [sym_sup] = STATE(322),
    [sym_ndx] = STATE(322),
    [sym_pro] = STATE(322),
    [sym_rb] = STATE(322),
    [sym_w] = STATE(322),
    [sym_wg] = STATE(322),
    [sym_wh] = STATE(322),
    [sym_wa] = STATE(322),
    [sym__characterMarker] = STATE(322),
    [sym_fig] = STATE(322),
    [sym_jmp] = STATE(322),
    [sym_milestoneTag] = STATE(1949),
    [sym__milestoneStandaloneMarker] = STATE(716),
    [sym__milestoneStart] = STATE(716),
    [sym__milestoneEnd] = STATE(716),
    [sym_milestone] = STATE(179),
    [sym__zNameSpaceRegular] = STATE(715),
    [sym__zNameSpaceClosed] = STATE(715),
    [sym__zNameSpaceStandaloneMarker] = STATE(715),
    [sym_zNameSpace] = STATE(179),
    [aux_sym_verseText_repeat1] = STATE(322),
    [aux_sym_q_repeat1] = STATE(179),
    [aux_sym_text_token1] = ACTIONS(1689),
    [anon_sym_BSLASHref] = ACTIONS(1691),
    [anon_sym_BSLASHsts] = ACTIONS(1693),
    [anon_sym_BSLASHrem] = ACTIONS(1695),
    [anon_sym_BSLASHrestore] = ACTIONS(1697),
    [anon_sym_BSLASHlit] = ACTIONS(1699),
    [anon_sym_BSLASHip] = ACTIONS(472),
    [anon_sym_BSLASHv] = ACTIONS(1701),
    [anon_sym_BSLASHva] = ACTIONS(1703),
    [anon_sym_BSLASHvp] = ACTIONS(1705),
    [anon_sym_BSLASHmte] = ACTIONS(472),
    [anon_sym_BSLASHms] = ACTIONS(472),
    [anon_sym_BSLASHs] = ACTIONS(472),
    [anon_sym_BSLASHr] = ACTIONS(472),
    [anon_sym_BSLASHsp] = ACTIONS(472),
    [anon_sym_BSLASHd] = ACTIONS(472),
    [anon_sym_BSLASHsd] = ACTIONS(472),
    [anon_sym_BSLASHp] = ACTIONS(472),
    [anon_sym_BSLASHm] = ACTIONS(472),
    [anon_sym_BSLASHpo] = ACTIONS(472),
    [anon_sym_BSLASHpr] = ACTIONS(472),
    [anon_sym_BSLASHcls] = ACTIONS(472),
    [anon_sym_BSLASHpmo] = ACTIONS(472),
    [anon_sym_BSLASHpm] = ACTIONS(472),
    [anon_sym_BSLASHpmc] = ACTIONS(472),
    [anon_sym_BSLASHpmr] = ACTIONS(472),
    [anon_sym_BSLASHpi] = ACTIONS(472),
    [anon_sym_BSLASHmi] = ACTIONS(472),
    [anon_sym_BSLASHnb] = ACTIONS(472),
    [anon_sym_BSLASHpc] = ACTIONS(472),
    [anon_sym_BSLASHph] = ACTIONS(472),
    [anon_sym_BSLASHb] = ACTIONS(472),
    [anon_sym_BSLASHq] = ACTIONS(472),
    [anon_sym_BSLASHqr] = ACTIONS(472),
    [anon_sym_BSLASHqc] = ACTIONS(472),
    [anon_sym_BSLASHqs] = ACTIONS(1707),
    [anon_sym_BSLASHqa] = ACTIONS(472),
    [anon_sym_BSLASHqac] = ACTIONS(1709),
    [anon_sym_BSLASHqm] = ACTIONS(472),
    [anon_sym_BSLASHqd] = ACTIONS(472),
    [anon_sym_BSLASHlh] = ACTIONS(472),
    [anon_sym_BSLASHli] = ACTIONS(472),
    [anon_sym_BSLASHlim] = ACTIONS(472),
    [anon_sym_BSLASHtr] = ACTIONS(472),
    [anon_sym_BSLASHf] = ACTIONS(1711),
    [anon_sym_BSLASHfe] = ACTIONS(1713),
    [anon_sym_BSLASHef] = ACTIONS(1715),
    [anon_sym_BSLASHfm] = ACTIONS(1717),
    [anon_sym_BSLASHx] = ACTIONS(1719),
    [anon_sym_BSLASHxt] = ACTIONS(1721),
    [anon_sym_BSLASHrq] = ACTIONS(1723),
    [anon_sym_BSLASHadd] = ACTIONS(1725),
    [anon_sym_BSLASHbk] = ACTIONS(1727),
    [anon_sym_BSLASHdc] = ACTIONS(1729),
    [anon_sym_BSLASHk] = ACTIONS(1731),
    [anon_sym_BSLASHnd] = ACTIONS(1733),
    [anon_sym_BSLASHord] = ACTIONS(1735),
    [anon_sym_BSLASHpn] = ACTIONS(1737),
    [anon_sym_BSLASHpng] = ACTIONS(1739),
    [anon_sym_BSLASHaddpn] = ACTIONS(1741),
    [anon_sym_BSLASHqt] = ACTIONS(1743),
    [anon_sym_BSLASHsig] = ACTIONS(1745),
    [anon_sym_BSLASHsls] = ACTIONS(1747),
    [anon_sym_BSLASHtl] = ACTIONS(1749),
    [anon_sym_BSLASHwj] = ACTIONS(1751),
    [anon_sym_BSLASHem] = ACTIONS(1753),
    [anon_sym_BSLASHbd] = ACTIONS(1755),
    [anon_sym_BSLASHit] = ACTIONS(1757),
    [anon_sym_BSLASHbdit] = ACTIONS(1759),
    [anon_sym_BSLASHno] = ACTIONS(1761),
    [anon_sym_BSLASHsc] = ACTIONS(1763),
    [anon_sym_BSLASHsup] = ACTIONS(1765),
    [anon_sym_BSLASHndx] = ACTIONS(1767),
    [anon_sym_BSLASHpro] = ACTIONS(1769),
    [anon_sym_BSLASHrb] = ACTIONS(1771),
    [anon_sym_BSLASHw] = ACTIONS(1773),
    [anon_sym_BSLASHwg] = ACTIONS(1775),
    [anon_sym_BSLASHwh] = ACTIONS(1777),
    [anon_sym_BSLASHwa] = ACTIONS(1779),
    [anon_sym_BSLASHfig] = ACTIONS(1781),
    [anon_sym_BSLASHjmp] = ACTIONS(1783),
    [anon_sym_BSLASHpb] = ACTIONS(472),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1785),
    [sym_milestoneEndTag] = ACTIONS(1787),
    [sym_zSpaceTag] = ACTIONS(1789),
    [anon_sym_BSLASHesbe] = ACTIONS(472),
    [anon_sym_BSLASHcat] = ACTIONS(472),
  },
  [181] = {
    [sym_text] = STATE(322),
    [sym_ref] = STATE(179),
    [sym__comments] = STATE(179),
    [sym_sts] = STATE(179),
    [sym_rem] = STATE(179),
    [sym_restore] = STATE(179),
    [sym_lit] = STATE(179),
    [sym_verseText] = STATE(179),
    [sym_v] = STATE(179),
    [sym__verseMeta] = STATE(179),
    [sym_va] = STATE(179),
    [sym_vp] = STATE(179),
    [sym__paragraphContent] = STATE(179),
    [sym__poetryContent] = STATE(179),
    [sym_qs] = STATE(179),
    [sym_qac] = STATE(179),
    [sym_footnote] = STATE(179),
    [sym_f] = STATE(697),
    [sym_fe] = STATE(697),
    [sym_ef] = STATE(697),
    [sym_fm] = STATE(697),
    [sym_crossref] = STATE(179),
    [sym_x] = STATE(692),
    [sym_xt_standalone] = STATE(692),
    [sym_rq] = STATE(692),
    [sym_add] = STATE(322),
    [sym_bk] = STATE(322),
    [sym_dc] = STATE(322),
    [sym_k] = STATE(322),
    [sym_nd] = STATE(322),
    [sym_ord] = STATE(322),
    [sym_pn] = STATE(322),
    [sym_png] = STATE(322),
    [sym_addpn] = STATE(322),
    [sym_qt] = STATE(322),
    [sym_sig] = STATE(322),
    [sym_sls] = STATE(322),
    [sym_tl] = STATE(322),
    [sym_wj] = STATE(322),
    [sym_em] = STATE(322),
    [sym_bd] = STATE(322),
    [sym_it] = STATE(322),
    [sym_bdit] = STATE(322),
    [sym_no] = STATE(322),
    [sym_sc] = STATE(322),
    [sym_sup] = STATE(322),
    [sym_ndx] = STATE(322),
    [sym_pro] = STATE(322),
    [sym_rb] = STATE(322),
    [sym_w] = STATE(322),
    [sym_wg] = STATE(322),
    [sym_wh] = STATE(322),
    [sym_wa] = STATE(322),
    [sym__characterMarker] = STATE(322),
    [sym_fig] = STATE(322),
    [sym_jmp] = STATE(322),
    [sym_milestoneTag] = STATE(1949),
    [sym__milestoneStandaloneMarker] = STATE(716),
    [sym__milestoneStart] = STATE(716),
    [sym__milestoneEnd] = STATE(716),
    [sym_milestone] = STATE(179),
    [sym__zNameSpaceRegular] = STATE(715),
    [sym__zNameSpaceClosed] = STATE(715),
    [sym__zNameSpaceStandaloneMarker] = STATE(715),
    [sym_zNameSpace] = STATE(179),
    [aux_sym_verseText_repeat1] = STATE(322),
    [aux_sym_q_repeat1] = STATE(179),
    [aux_sym_text_token1] = ACTIONS(1689),
    [anon_sym_BSLASHref] = ACTIONS(1691),
    [anon_sym_BSLASHsts] = ACTIONS(1693),
    [anon_sym_BSLASHrem] = ACTIONS(1695),
    [anon_sym_BSLASHrestore] = ACTIONS(1697),
    [anon_sym_BSLASHlit] = ACTIONS(1699),
    [anon_sym_BSLASHip] = ACTIONS(758),
    [anon_sym_BSLASHv] = ACTIONS(1701),
    [anon_sym_BSLASHva] = ACTIONS(1703),
    [anon_sym_BSLASHvp] = ACTIONS(1705),
    [anon_sym_BSLASHmte] = ACTIONS(758),
    [anon_sym_BSLASHms] = ACTIONS(758),
    [anon_sym_BSLASHs] = ACTIONS(758),
    [anon_sym_BSLASHr] = ACTIONS(758),
    [anon_sym_BSLASHsp] = ACTIONS(758),
    [anon_sym_BSLASHd] = ACTIONS(758),
    [anon_sym_BSLASHsd] = ACTIONS(758),
    [anon_sym_BSLASHp] = ACTIONS(758),
    [anon_sym_BSLASHm] = ACTIONS(758),
    [anon_sym_BSLASHpo] = ACTIONS(758),
    [anon_sym_BSLASHpr] = ACTIONS(758),
    [anon_sym_BSLASHcls] = ACTIONS(758),
    [anon_sym_BSLASHpmo] = ACTIONS(758),
    [anon_sym_BSLASHpm] = ACTIONS(758),
    [anon_sym_BSLASHpmc] = ACTIONS(758),
    [anon_sym_BSLASHpmr] = ACTIONS(758),
    [anon_sym_BSLASHpi] = ACTIONS(758),
    [anon_sym_BSLASHmi] = ACTIONS(758),
    [anon_sym_BSLASHnb] = ACTIONS(758),
    [anon_sym_BSLASHpc] = ACTIONS(758),
    [anon_sym_BSLASHph] = ACTIONS(758),
    [anon_sym_BSLASHb] = ACTIONS(758),
    [anon_sym_BSLASHq] = ACTIONS(758),
    [anon_sym_BSLASHqr] = ACTIONS(758),
    [anon_sym_BSLASHqc] = ACTIONS(758),
    [anon_sym_BSLASHqs] = ACTIONS(1707),
    [anon_sym_BSLASHqa] = ACTIONS(758),
    [anon_sym_BSLASHqac] = ACTIONS(1709),
    [anon_sym_BSLASHqm] = ACTIONS(758),
    [anon_sym_BSLASHqd] = ACTIONS(758),
    [anon_sym_BSLASHlh] = ACTIONS(758),
    [anon_sym_BSLASHli] = ACTIONS(758),
    [anon_sym_BSLASHlim] = ACTIONS(758),
    [anon_sym_BSLASHtr] = ACTIONS(758),
    [anon_sym_BSLASHf] = ACTIONS(1711),
    [anon_sym_BSLASHfe] = ACTIONS(1713),
    [anon_sym_BSLASHef] = ACTIONS(1715),
    [anon_sym_BSLASHfm] = ACTIONS(1717),
    [anon_sym_BSLASHx] = ACTIONS(1719),
    [anon_sym_BSLASHxt] = ACTIONS(1721),
    [anon_sym_BSLASHrq] = ACTIONS(1723),
    [anon_sym_BSLASHadd] = ACTIONS(1725),
    [anon_sym_BSLASHbk] = ACTIONS(1727),
    [anon_sym_BSLASHdc] = ACTIONS(1729),
    [anon_sym_BSLASHk] = ACTIONS(1731),
    [anon_sym_BSLASHnd] = ACTIONS(1733),
    [anon_sym_BSLASHord] = ACTIONS(1735),
    [anon_sym_BSLASHpn] = ACTIONS(1737),
    [anon_sym_BSLASHpng] = ACTIONS(1739),
    [anon_sym_BSLASHaddpn] = ACTIONS(1741),
    [anon_sym_BSLASHqt] = ACTIONS(1743),
    [anon_sym_BSLASHsig] = ACTIONS(1745),
    [anon_sym_BSLASHsls] = ACTIONS(1747),
    [anon_sym_BSLASHtl] = ACTIONS(1749),
    [anon_sym_BSLASHwj] = ACTIONS(1751),
    [anon_sym_BSLASHem] = ACTIONS(1753),
    [anon_sym_BSLASHbd] = ACTIONS(1755),
    [anon_sym_BSLASHit] = ACTIONS(1757),
    [anon_sym_BSLASHbdit] = ACTIONS(1759),
    [anon_sym_BSLASHno] = ACTIONS(1761),
    [anon_sym_BSLASHsc] = ACTIONS(1763),
    [anon_sym_BSLASHsup] = ACTIONS(1765),
    [anon_sym_BSLASHndx] = ACTIONS(1767),
    [anon_sym_BSLASHpro] = ACTIONS(1769),
    [anon_sym_BSLASHrb] = ACTIONS(1771),
    [anon_sym_BSLASHw] = ACTIONS(1773),
    [anon_sym_BSLASHwg] = ACTIONS(1775),
    [anon_sym_BSLASHwh] = ACTIONS(1777),
    [anon_sym_BSLASHwa] = ACTIONS(1779),
    [anon_sym_BSLASHfig] = ACTIONS(1781),
    [anon_sym_BSLASHjmp] = ACTIONS(1783),
    [anon_sym_BSLASHpb] = ACTIONS(758),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1785),
    [sym_milestoneEndTag] = ACTIONS(1787),
    [sym_zSpaceTag] = ACTIONS(1789),
    [anon_sym_BSLASHesbe] = ACTIONS(758),
    [anon_sym_BSLASHcat] = ACTIONS(758),
  },
  [182] = {
    [sym_text] = STATE(322),
    [sym_ref] = STATE(179),
    [sym__comments] = STATE(179),
    [sym_sts] = STATE(179),
    [sym_rem] = STATE(179),
    [sym_restore] = STATE(179),
    [sym_lit] = STATE(179),
    [sym_verseText] = STATE(179),
    [sym_v] = STATE(179),
    [sym__verseMeta] = STATE(179),
    [sym_va] = STATE(179),
    [sym_vp] = STATE(179),
    [sym__paragraphContent] = STATE(179),
    [sym__poetryContent] = STATE(179),
    [sym_qs] = STATE(179),
    [sym_qac] = STATE(179),
    [sym_footnote] = STATE(179),
    [sym_f] = STATE(697),
    [sym_fe] = STATE(697),
    [sym_ef] = STATE(697),
    [sym_fm] = STATE(697),
    [sym_crossref] = STATE(179),
    [sym_x] = STATE(692),
    [sym_xt_standalone] = STATE(692),
    [sym_rq] = STATE(692),
    [sym_add] = STATE(322),
    [sym_bk] = STATE(322),
    [sym_dc] = STATE(322),
    [sym_k] = STATE(322),
    [sym_nd] = STATE(322),
    [sym_ord] = STATE(322),
    [sym_pn] = STATE(322),
    [sym_png] = STATE(322),
    [sym_addpn] = STATE(322),
    [sym_qt] = STATE(322),
    [sym_sig] = STATE(322),
    [sym_sls] = STATE(322),
    [sym_tl] = STATE(322),
    [sym_wj] = STATE(322),
    [sym_em] = STATE(322),
    [sym_bd] = STATE(322),
    [sym_it] = STATE(322),
    [sym_bdit] = STATE(322),
    [sym_no] = STATE(322),
    [sym_sc] = STATE(322),
    [sym_sup] = STATE(322),
    [sym_ndx] = STATE(322),
    [sym_pro] = STATE(322),
    [sym_rb] = STATE(322),
    [sym_w] = STATE(322),
    [sym_wg] = STATE(322),
    [sym_wh] = STATE(322),
    [sym_wa] = STATE(322),
    [sym__characterMarker] = STATE(322),
    [sym_fig] = STATE(322),
    [sym_jmp] = STATE(322),
    [sym_milestoneTag] = STATE(1949),
    [sym__milestoneStandaloneMarker] = STATE(716),
    [sym__milestoneStart] = STATE(716),
    [sym__milestoneEnd] = STATE(716),
    [sym_milestone] = STATE(179),
    [sym__zNameSpaceRegular] = STATE(715),
    [sym__zNameSpaceClosed] = STATE(715),
    [sym__zNameSpaceStandaloneMarker] = STATE(715),
    [sym_zNameSpace] = STATE(179),
    [aux_sym_verseText_repeat1] = STATE(322),
    [aux_sym_q_repeat1] = STATE(179),
    [aux_sym_text_token1] = ACTIONS(1689),
    [anon_sym_BSLASHref] = ACTIONS(1691),
    [anon_sym_BSLASHsts] = ACTIONS(1693),
    [anon_sym_BSLASHrem] = ACTIONS(1695),
    [anon_sym_BSLASHrestore] = ACTIONS(1697),
    [anon_sym_BSLASHlit] = ACTIONS(1699),
    [anon_sym_BSLASHip] = ACTIONS(754),
    [anon_sym_BSLASHv] = ACTIONS(1701),
    [anon_sym_BSLASHva] = ACTIONS(1703),
    [anon_sym_BSLASHvp] = ACTIONS(1705),
    [anon_sym_BSLASHmte] = ACTIONS(754),
    [anon_sym_BSLASHms] = ACTIONS(754),
    [anon_sym_BSLASHs] = ACTIONS(754),
    [anon_sym_BSLASHr] = ACTIONS(754),
    [anon_sym_BSLASHsp] = ACTIONS(754),
    [anon_sym_BSLASHd] = ACTIONS(754),
    [anon_sym_BSLASHsd] = ACTIONS(754),
    [anon_sym_BSLASHp] = ACTIONS(754),
    [anon_sym_BSLASHm] = ACTIONS(754),
    [anon_sym_BSLASHpo] = ACTIONS(754),
    [anon_sym_BSLASHpr] = ACTIONS(754),
    [anon_sym_BSLASHcls] = ACTIONS(754),
    [anon_sym_BSLASHpmo] = ACTIONS(754),
    [anon_sym_BSLASHpm] = ACTIONS(754),
    [anon_sym_BSLASHpmc] = ACTIONS(754),
    [anon_sym_BSLASHpmr] = ACTIONS(754),
    [anon_sym_BSLASHpi] = ACTIONS(754),
    [anon_sym_BSLASHmi] = ACTIONS(754),
    [anon_sym_BSLASHnb] = ACTIONS(754),
    [anon_sym_BSLASHpc] = ACTIONS(754),
    [anon_sym_BSLASHph] = ACTIONS(754),
    [anon_sym_BSLASHb] = ACTIONS(754),
    [anon_sym_BSLASHq] = ACTIONS(754),
    [anon_sym_BSLASHqr] = ACTIONS(754),
    [anon_sym_BSLASHqc] = ACTIONS(754),
    [anon_sym_BSLASHqs] = ACTIONS(1707),
    [anon_sym_BSLASHqa] = ACTIONS(754),
    [anon_sym_BSLASHqac] = ACTIONS(1709),
    [anon_sym_BSLASHqm] = ACTIONS(754),
    [anon_sym_BSLASHqd] = ACTIONS(754),
    [anon_sym_BSLASHlh] = ACTIONS(754),
    [anon_sym_BSLASHli] = ACTIONS(754),
    [anon_sym_BSLASHlim] = ACTIONS(754),
    [anon_sym_BSLASHtr] = ACTIONS(754),
    [anon_sym_BSLASHf] = ACTIONS(1711),
    [anon_sym_BSLASHfe] = ACTIONS(1713),
    [anon_sym_BSLASHef] = ACTIONS(1715),
    [anon_sym_BSLASHfm] = ACTIONS(1717),
    [anon_sym_BSLASHx] = ACTIONS(1719),
    [anon_sym_BSLASHxt] = ACTIONS(1721),
    [anon_sym_BSLASHrq] = ACTIONS(1723),
    [anon_sym_BSLASHadd] = ACTIONS(1725),
    [anon_sym_BSLASHbk] = ACTIONS(1727),
    [anon_sym_BSLASHdc] = ACTIONS(1729),
    [anon_sym_BSLASHk] = ACTIONS(1731),
    [anon_sym_BSLASHnd] = ACTIONS(1733),
    [anon_sym_BSLASHord] = ACTIONS(1735),
    [anon_sym_BSLASHpn] = ACTIONS(1737),
    [anon_sym_BSLASHpng] = ACTIONS(1739),
    [anon_sym_BSLASHaddpn] = ACTIONS(1741),
    [anon_sym_BSLASHqt] = ACTIONS(1743),
    [anon_sym_BSLASHsig] = ACTIONS(1745),
    [anon_sym_BSLASHsls] = ACTIONS(1747),
    [anon_sym_BSLASHtl] = ACTIONS(1749),
    [anon_sym_BSLASHwj] = ACTIONS(1751),
    [anon_sym_BSLASHem] = ACTIONS(1753),
    [anon_sym_BSLASHbd] = ACTIONS(1755),
    [anon_sym_BSLASHit] = ACTIONS(1757),
    [anon_sym_BSLASHbdit] = ACTIONS(1759),
    [anon_sym_BSLASHno] = ACTIONS(1761),
    [anon_sym_BSLASHsc] = ACTIONS(1763),
    [anon_sym_BSLASHsup] = ACTIONS(1765),
    [anon_sym_BSLASHndx] = ACTIONS(1767),
    [anon_sym_BSLASHpro] = ACTIONS(1769),
    [anon_sym_BSLASHrb] = ACTIONS(1771),
    [anon_sym_BSLASHw] = ACTIONS(1773),
    [anon_sym_BSLASHwg] = ACTIONS(1775),
    [anon_sym_BSLASHwh] = ACTIONS(1777),
    [anon_sym_BSLASHwa] = ACTIONS(1779),
    [anon_sym_BSLASHfig] = ACTIONS(1781),
    [anon_sym_BSLASHjmp] = ACTIONS(1783),
    [anon_sym_BSLASHpb] = ACTIONS(754),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1785),
    [sym_milestoneEndTag] = ACTIONS(1787),
    [sym_zSpaceTag] = ACTIONS(1789),
    [anon_sym_BSLASHesbe] = ACTIONS(754),
    [anon_sym_BSLASHcat] = ACTIONS(754),
  },
  [183] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2260),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [184] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [185] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2264),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [186] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2266),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [187] = {
    [sym_text] = STATE(322),
    [sym_ref] = STATE(179),
    [sym__comments] = STATE(179),
    [sym_sts] = STATE(179),
    [sym_rem] = STATE(179),
    [sym_restore] = STATE(179),
    [sym_lit] = STATE(179),
    [sym_verseText] = STATE(179),
    [sym_v] = STATE(179),
    [sym__verseMeta] = STATE(179),
    [sym_va] = STATE(179),
    [sym_vp] = STATE(179),
    [sym__paragraphContent] = STATE(179),
    [sym__poetryContent] = STATE(179),
    [sym_qs] = STATE(179),
    [sym_qac] = STATE(179),
    [sym_footnote] = STATE(179),
    [sym_f] = STATE(697),
    [sym_fe] = STATE(697),
    [sym_ef] = STATE(697),
    [sym_fm] = STATE(697),
    [sym_crossref] = STATE(179),
    [sym_x] = STATE(692),
    [sym_xt_standalone] = STATE(692),
    [sym_rq] = STATE(692),
    [sym_add] = STATE(322),
    [sym_bk] = STATE(322),
    [sym_dc] = STATE(322),
    [sym_k] = STATE(322),
    [sym_nd] = STATE(322),
    [sym_ord] = STATE(322),
    [sym_pn] = STATE(322),
    [sym_png] = STATE(322),
    [sym_addpn] = STATE(322),
    [sym_qt] = STATE(322),
    [sym_sig] = STATE(322),
    [sym_sls] = STATE(322),
    [sym_tl] = STATE(322),
    [sym_wj] = STATE(322),
    [sym_em] = STATE(322),
    [sym_bd] = STATE(322),
    [sym_it] = STATE(322),
    [sym_bdit] = STATE(322),
    [sym_no] = STATE(322),
    [sym_sc] = STATE(322),
    [sym_sup] = STATE(322),
    [sym_ndx] = STATE(322),
    [sym_pro] = STATE(322),
    [sym_rb] = STATE(322),
    [sym_w] = STATE(322),
    [sym_wg] = STATE(322),
    [sym_wh] = STATE(322),
    [sym_wa] = STATE(322),
    [sym__characterMarker] = STATE(322),
    [sym_fig] = STATE(322),
    [sym_jmp] = STATE(322),
    [sym_milestoneTag] = STATE(1949),
    [sym__milestoneStandaloneMarker] = STATE(716),
    [sym__milestoneStart] = STATE(716),
    [sym__milestoneEnd] = STATE(716),
    [sym_milestone] = STATE(179),
    [sym__zNameSpaceRegular] = STATE(715),
    [sym__zNameSpaceClosed] = STATE(715),
    [sym__zNameSpaceStandaloneMarker] = STATE(715),
    [sym_zNameSpace] = STATE(179),
    [aux_sym_verseText_repeat1] = STATE(322),
    [aux_sym_q_repeat1] = STATE(179),
    [aux_sym_text_token1] = ACTIONS(1689),
    [anon_sym_BSLASHref] = ACTIONS(1691),
    [anon_sym_BSLASHsts] = ACTIONS(1693),
    [anon_sym_BSLASHrem] = ACTIONS(1695),
    [anon_sym_BSLASHrestore] = ACTIONS(1697),
    [anon_sym_BSLASHlit] = ACTIONS(1699),
    [anon_sym_BSLASHip] = ACTIONS(590),
    [anon_sym_BSLASHv] = ACTIONS(1701),
    [anon_sym_BSLASHva] = ACTIONS(1703),
    [anon_sym_BSLASHvp] = ACTIONS(1705),
    [anon_sym_BSLASHmte] = ACTIONS(590),
    [anon_sym_BSLASHms] = ACTIONS(590),
    [anon_sym_BSLASHs] = ACTIONS(590),
    [anon_sym_BSLASHr] = ACTIONS(590),
    [anon_sym_BSLASHsp] = ACTIONS(590),
    [anon_sym_BSLASHd] = ACTIONS(590),
    [anon_sym_BSLASHsd] = ACTIONS(590),
    [anon_sym_BSLASHp] = ACTIONS(590),
    [anon_sym_BSLASHm] = ACTIONS(590),
    [anon_sym_BSLASHpo] = ACTIONS(590),
    [anon_sym_BSLASHpr] = ACTIONS(590),
    [anon_sym_BSLASHcls] = ACTIONS(590),
    [anon_sym_BSLASHpmo] = ACTIONS(590),
    [anon_sym_BSLASHpm] = ACTIONS(590),
    [anon_sym_BSLASHpmc] = ACTIONS(590),
    [anon_sym_BSLASHpmr] = ACTIONS(590),
    [anon_sym_BSLASHpi] = ACTIONS(590),
    [anon_sym_BSLASHmi] = ACTIONS(590),
    [anon_sym_BSLASHnb] = ACTIONS(590),
    [anon_sym_BSLASHpc] = ACTIONS(590),
    [anon_sym_BSLASHph] = ACTIONS(590),
    [anon_sym_BSLASHb] = ACTIONS(590),
    [anon_sym_BSLASHq] = ACTIONS(590),
    [anon_sym_BSLASHqr] = ACTIONS(590),
    [anon_sym_BSLASHqc] = ACTIONS(590),
    [anon_sym_BSLASHqs] = ACTIONS(1707),
    [anon_sym_BSLASHqa] = ACTIONS(590),
    [anon_sym_BSLASHqac] = ACTIONS(1709),
    [anon_sym_BSLASHqm] = ACTIONS(590),
    [anon_sym_BSLASHqd] = ACTIONS(590),
    [anon_sym_BSLASHlh] = ACTIONS(590),
    [anon_sym_BSLASHli] = ACTIONS(590),
    [anon_sym_BSLASHlim] = ACTIONS(590),
    [anon_sym_BSLASHtr] = ACTIONS(590),
    [anon_sym_BSLASHf] = ACTIONS(1711),
    [anon_sym_BSLASHfe] = ACTIONS(1713),
    [anon_sym_BSLASHef] = ACTIONS(1715),
    [anon_sym_BSLASHfm] = ACTIONS(1717),
    [anon_sym_BSLASHx] = ACTIONS(1719),
    [anon_sym_BSLASHxt] = ACTIONS(1721),
    [anon_sym_BSLASHrq] = ACTIONS(1723),
    [anon_sym_BSLASHadd] = ACTIONS(1725),
    [anon_sym_BSLASHbk] = ACTIONS(1727),
    [anon_sym_BSLASHdc] = ACTIONS(1729),
    [anon_sym_BSLASHk] = ACTIONS(1731),
    [anon_sym_BSLASHnd] = ACTIONS(1733),
    [anon_sym_BSLASHord] = ACTIONS(1735),
    [anon_sym_BSLASHpn] = ACTIONS(1737),
    [anon_sym_BSLASHpng] = ACTIONS(1739),
    [anon_sym_BSLASHaddpn] = ACTIONS(1741),
    [anon_sym_BSLASHqt] = ACTIONS(1743),
    [anon_sym_BSLASHsig] = ACTIONS(1745),
    [anon_sym_BSLASHsls] = ACTIONS(1747),
    [anon_sym_BSLASHtl] = ACTIONS(1749),
    [anon_sym_BSLASHwj] = ACTIONS(1751),
    [anon_sym_BSLASHem] = ACTIONS(1753),
    [anon_sym_BSLASHbd] = ACTIONS(1755),
    [anon_sym_BSLASHit] = ACTIONS(1757),
    [anon_sym_BSLASHbdit] = ACTIONS(1759),
    [anon_sym_BSLASHno] = ACTIONS(1761),
    [anon_sym_BSLASHsc] = ACTIONS(1763),
    [anon_sym_BSLASHsup] = ACTIONS(1765),
    [anon_sym_BSLASHndx] = ACTIONS(1767),
    [anon_sym_BSLASHpro] = ACTIONS(1769),
    [anon_sym_BSLASHrb] = ACTIONS(1771),
    [anon_sym_BSLASHw] = ACTIONS(1773),
    [anon_sym_BSLASHwg] = ACTIONS(1775),
    [anon_sym_BSLASHwh] = ACTIONS(1777),
    [anon_sym_BSLASHwa] = ACTIONS(1779),
    [anon_sym_BSLASHfig] = ACTIONS(1781),
    [anon_sym_BSLASHjmp] = ACTIONS(1783),
    [anon_sym_BSLASHpb] = ACTIONS(590),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1785),
    [sym_milestoneEndTag] = ACTIONS(1787),
    [sym_zSpaceTag] = ACTIONS(1789),
    [anon_sym_BSLASHesbe] = ACTIONS(590),
    [anon_sym_BSLASHcat] = ACTIONS(590),
  },
  [188] = {
    [sym_text] = STATE(322),
    [sym_ref] = STATE(179),
    [sym__comments] = STATE(179),
    [sym_sts] = STATE(179),
    [sym_rem] = STATE(179),
    [sym_restore] = STATE(179),
    [sym_lit] = STATE(179),
    [sym_verseText] = STATE(179),
    [sym_v] = STATE(179),
    [sym__verseMeta] = STATE(179),
    [sym_va] = STATE(179),
    [sym_vp] = STATE(179),
    [sym__paragraphContent] = STATE(179),
    [sym__poetryContent] = STATE(179),
    [sym_qs] = STATE(179),
    [sym_qac] = STATE(179),
    [sym_footnote] = STATE(179),
    [sym_f] = STATE(697),
    [sym_fe] = STATE(697),
    [sym_ef] = STATE(697),
    [sym_fm] = STATE(697),
    [sym_crossref] = STATE(179),
    [sym_x] = STATE(692),
    [sym_xt_standalone] = STATE(692),
    [sym_rq] = STATE(692),
    [sym_add] = STATE(322),
    [sym_bk] = STATE(322),
    [sym_dc] = STATE(322),
    [sym_k] = STATE(322),
    [sym_nd] = STATE(322),
    [sym_ord] = STATE(322),
    [sym_pn] = STATE(322),
    [sym_png] = STATE(322),
    [sym_addpn] = STATE(322),
    [sym_qt] = STATE(322),
    [sym_sig] = STATE(322),
    [sym_sls] = STATE(322),
    [sym_tl] = STATE(322),
    [sym_wj] = STATE(322),
    [sym_em] = STATE(322),
    [sym_bd] = STATE(322),
    [sym_it] = STATE(322),
    [sym_bdit] = STATE(322),
    [sym_no] = STATE(322),
    [sym_sc] = STATE(322),
    [sym_sup] = STATE(322),
    [sym_ndx] = STATE(322),
    [sym_pro] = STATE(322),
    [sym_rb] = STATE(322),
    [sym_w] = STATE(322),
    [sym_wg] = STATE(322),
    [sym_wh] = STATE(322),
    [sym_wa] = STATE(322),
    [sym__characterMarker] = STATE(322),
    [sym_fig] = STATE(322),
    [sym_jmp] = STATE(322),
    [sym_milestoneTag] = STATE(1949),
    [sym__milestoneStandaloneMarker] = STATE(716),
    [sym__milestoneStart] = STATE(716),
    [sym__milestoneEnd] = STATE(716),
    [sym_milestone] = STATE(179),
    [sym__zNameSpaceRegular] = STATE(715),
    [sym__zNameSpaceClosed] = STATE(715),
    [sym__zNameSpaceStandaloneMarker] = STATE(715),
    [sym_zNameSpace] = STATE(179),
    [aux_sym_verseText_repeat1] = STATE(322),
    [aux_sym_q_repeat1] = STATE(179),
    [aux_sym_text_token1] = ACTIONS(1689),
    [anon_sym_BSLASHref] = ACTIONS(1691),
    [anon_sym_BSLASHsts] = ACTIONS(1693),
    [anon_sym_BSLASHrem] = ACTIONS(1695),
    [anon_sym_BSLASHrestore] = ACTIONS(1697),
    [anon_sym_BSLASHlit] = ACTIONS(1699),
    [anon_sym_BSLASHip] = ACTIONS(586),
    [anon_sym_BSLASHv] = ACTIONS(1701),
    [anon_sym_BSLASHva] = ACTIONS(1703),
    [anon_sym_BSLASHvp] = ACTIONS(1705),
    [anon_sym_BSLASHmte] = ACTIONS(586),
    [anon_sym_BSLASHms] = ACTIONS(586),
    [anon_sym_BSLASHs] = ACTIONS(586),
    [anon_sym_BSLASHr] = ACTIONS(586),
    [anon_sym_BSLASHsp] = ACTIONS(586),
    [anon_sym_BSLASHd] = ACTIONS(586),
    [anon_sym_BSLASHsd] = ACTIONS(586),
    [anon_sym_BSLASHp] = ACTIONS(586),
    [anon_sym_BSLASHm] = ACTIONS(586),
    [anon_sym_BSLASHpo] = ACTIONS(586),
    [anon_sym_BSLASHpr] = ACTIONS(586),
    [anon_sym_BSLASHcls] = ACTIONS(586),
    [anon_sym_BSLASHpmo] = ACTIONS(586),
    [anon_sym_BSLASHpm] = ACTIONS(586),
    [anon_sym_BSLASHpmc] = ACTIONS(586),
    [anon_sym_BSLASHpmr] = ACTIONS(586),
    [anon_sym_BSLASHpi] = ACTIONS(586),
    [anon_sym_BSLASHmi] = ACTIONS(586),
    [anon_sym_BSLASHnb] = ACTIONS(586),
    [anon_sym_BSLASHpc] = ACTIONS(586),
    [anon_sym_BSLASHph] = ACTIONS(586),
    [anon_sym_BSLASHb] = ACTIONS(586),
    [anon_sym_BSLASHq] = ACTIONS(586),
    [anon_sym_BSLASHqr] = ACTIONS(586),
    [anon_sym_BSLASHqc] = ACTIONS(586),
    [anon_sym_BSLASHqs] = ACTIONS(1707),
    [anon_sym_BSLASHqa] = ACTIONS(586),
    [anon_sym_BSLASHqac] = ACTIONS(1709),
    [anon_sym_BSLASHqm] = ACTIONS(586),
    [anon_sym_BSLASHqd] = ACTIONS(586),
    [anon_sym_BSLASHlh] = ACTIONS(586),
    [anon_sym_BSLASHli] = ACTIONS(586),
    [anon_sym_BSLASHlim] = ACTIONS(586),
    [anon_sym_BSLASHtr] = ACTIONS(586),
    [anon_sym_BSLASHf] = ACTIONS(1711),
    [anon_sym_BSLASHfe] = ACTIONS(1713),
    [anon_sym_BSLASHef] = ACTIONS(1715),
    [anon_sym_BSLASHfm] = ACTIONS(1717),
    [anon_sym_BSLASHx] = ACTIONS(1719),
    [anon_sym_BSLASHxt] = ACTIONS(1721),
    [anon_sym_BSLASHrq] = ACTIONS(1723),
    [anon_sym_BSLASHadd] = ACTIONS(1725),
    [anon_sym_BSLASHbk] = ACTIONS(1727),
    [anon_sym_BSLASHdc] = ACTIONS(1729),
    [anon_sym_BSLASHk] = ACTIONS(1731),
    [anon_sym_BSLASHnd] = ACTIONS(1733),
    [anon_sym_BSLASHord] = ACTIONS(1735),
    [anon_sym_BSLASHpn] = ACTIONS(1737),
    [anon_sym_BSLASHpng] = ACTIONS(1739),
    [anon_sym_BSLASHaddpn] = ACTIONS(1741),
    [anon_sym_BSLASHqt] = ACTIONS(1743),
    [anon_sym_BSLASHsig] = ACTIONS(1745),
    [anon_sym_BSLASHsls] = ACTIONS(1747),
    [anon_sym_BSLASHtl] = ACTIONS(1749),
    [anon_sym_BSLASHwj] = ACTIONS(1751),
    [anon_sym_BSLASHem] = ACTIONS(1753),
    [anon_sym_BSLASHbd] = ACTIONS(1755),
    [anon_sym_BSLASHit] = ACTIONS(1757),
    [anon_sym_BSLASHbdit] = ACTIONS(1759),
    [anon_sym_BSLASHno] = ACTIONS(1761),
    [anon_sym_BSLASHsc] = ACTIONS(1763),
    [anon_sym_BSLASHsup] = ACTIONS(1765),
    [anon_sym_BSLASHndx] = ACTIONS(1767),
    [anon_sym_BSLASHpro] = ACTIONS(1769),
    [anon_sym_BSLASHrb] = ACTIONS(1771),
    [anon_sym_BSLASHw] = ACTIONS(1773),
    [anon_sym_BSLASHwg] = ACTIONS(1775),
    [anon_sym_BSLASHwh] = ACTIONS(1777),
    [anon_sym_BSLASHwa] = ACTIONS(1779),
    [anon_sym_BSLASHfig] = ACTIONS(1781),
    [anon_sym_BSLASHjmp] = ACTIONS(1783),
    [anon_sym_BSLASHpb] = ACTIONS(586),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1785),
    [sym_milestoneEndTag] = ACTIONS(1787),
    [sym_zSpaceTag] = ACTIONS(1789),
    [anon_sym_BSLASHesbe] = ACTIONS(586),
    [anon_sym_BSLASHcat] = ACTIONS(586),
  },
  [189] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2268),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [190] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(65),
    [sym_fr] = STATE(65),
    [sym_fq] = STATE(65),
    [sym_fqa] = STATE(65),
    [sym_fk] = STATE(65),
    [sym_fl] = STATE(65),
    [sym_fw] = STATE(65),
    [sym_fp] = STATE(65),
    [sym_ft] = STATE(65),
    [sym_fdc] = STATE(65),
    [sym_fv] = STATE(192),
    [sym__footnoteContents] = STATE(65),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [sym_cat] = STATE(65),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_f_repeat1] = STATE(65),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2270),
    [anon_sym_BSLASHfr] = ACTIONS(1515),
    [anon_sym_BSLASHfq] = ACTIONS(1517),
    [anon_sym_BSLASHfqa] = ACTIONS(1519),
    [anon_sym_BSLASHfk] = ACTIONS(1521),
    [anon_sym_BSLASHfl] = ACTIONS(1523),
    [anon_sym_BSLASHfw] = ACTIONS(1525),
    [anon_sym_BSLASHfp] = ACTIONS(1527),
    [anon_sym_BSLASHft] = ACTIONS(1529),
    [anon_sym_BSLASHfdc] = ACTIONS(1531),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(1595),
  },
  [191] = {
    [sym_text] = STATE(191),
    [sym_ref] = STATE(191),
    [sym_fv] = STATE(191),
    [sym_xtNested] = STATE(191),
    [sym_xt_standalone] = STATE(191),
    [sym_add] = STATE(191),
    [sym_bk] = STATE(191),
    [sym_dc] = STATE(191),
    [sym_k] = STATE(191),
    [sym_nd] = STATE(191),
    [sym_ord] = STATE(191),
    [sym_pn] = STATE(191),
    [sym_png] = STATE(191),
    [sym_addpn] = STATE(191),
    [sym_qt] = STATE(191),
    [sym_sig] = STATE(191),
    [sym_sls] = STATE(191),
    [sym_tl] = STATE(191),
    [sym_wj] = STATE(191),
    [sym_em] = STATE(191),
    [sym_bd] = STATE(191),
    [sym_it] = STATE(191),
    [sym_bdit] = STATE(191),
    [sym_no] = STATE(191),
    [sym_sc] = STATE(191),
    [sym_sup] = STATE(191),
    [sym_ndx] = STATE(191),
    [sym_pro] = STATE(191),
    [sym_rb] = STATE(191),
    [sym_w] = STATE(191),
    [sym_wg] = STATE(191),
    [sym_wh] = STATE(191),
    [sym_wa] = STATE(191),
    [sym__characterMarker] = STATE(191),
    [sym_addNested] = STATE(191),
    [sym_bkNested] = STATE(191),
    [sym_dcNested] = STATE(191),
    [sym_kNested] = STATE(191),
    [sym_ndNested] = STATE(191),
    [sym_ordNested] = STATE(191),
    [sym_pnNested] = STATE(191),
    [sym_pngNested] = STATE(191),
    [sym_addpnNested] = STATE(191),
    [sym_qtNested] = STATE(191),
    [sym_sigNested] = STATE(191),
    [sym_slsNested] = STATE(191),
    [sym_tlNested] = STATE(191),
    [sym_wjNested] = STATE(191),
    [sym_emNested] = STATE(191),
    [sym_bdNested] = STATE(191),
    [sym_itNested] = STATE(191),
    [sym_bditNested] = STATE(191),
    [sym_noNested] = STATE(191),
    [sym_scNested] = STATE(191),
    [sym_supNested] = STATE(191),
    [sym_ndxNested] = STATE(191),
    [sym_proNested] = STATE(191),
    [sym_rbNested] = STATE(191),
    [sym_wNested] = STATE(191),
    [sym_wgNested] = STATE(191),
    [sym_whNested] = STATE(191),
    [sym_waNested] = STATE(191),
    [sym__nestedCharacterMarker] = STATE(191),
    [sym_fig] = STATE(191),
    [sym_jmp] = STATE(191),
    [sym_jmpNested] = STATE(191),
    [aux_sym_footnoteText_repeat1] = STATE(191),
    [aux_sym_text_token1] = ACTIONS(2272),
    [anon_sym_BSLASHref] = ACTIONS(2275),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2278),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2278),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2278),
    [anon_sym_BSLASHfr] = ACTIONS(2278),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2278),
    [anon_sym_BSLASHfq] = ACTIONS(2278),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2278),
    [anon_sym_BSLASHfqa] = ACTIONS(2278),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2278),
    [anon_sym_BSLASHfk] = ACTIONS(2278),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2278),
    [anon_sym_BSLASHfl] = ACTIONS(2278),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2278),
    [anon_sym_BSLASHfw] = ACTIONS(2278),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2278),
    [anon_sym_BSLASHfp] = ACTIONS(2278),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2278),
    [anon_sym_BSLASHft] = ACTIONS(2278),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2278),
    [anon_sym_BSLASHfdc] = ACTIONS(2278),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2278),
    [anon_sym_BSLASHfv] = ACTIONS(2280),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2278),
    [anon_sym_BSLASHxt] = ACTIONS(2283),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2286),
    [anon_sym_BSLASHadd] = ACTIONS(2289),
    [anon_sym_BSLASHbk] = ACTIONS(2292),
    [anon_sym_BSLASHdc] = ACTIONS(2295),
    [anon_sym_BSLASHk] = ACTIONS(2298),
    [anon_sym_BSLASHnd] = ACTIONS(2301),
    [anon_sym_BSLASHord] = ACTIONS(2304),
    [anon_sym_BSLASHpn] = ACTIONS(2307),
    [anon_sym_BSLASHpng] = ACTIONS(2310),
    [anon_sym_BSLASHaddpn] = ACTIONS(2313),
    [anon_sym_BSLASHqt] = ACTIONS(2316),
    [anon_sym_BSLASHsig] = ACTIONS(2319),
    [anon_sym_BSLASHsls] = ACTIONS(2322),
    [anon_sym_BSLASHtl] = ACTIONS(2325),
    [anon_sym_BSLASHwj] = ACTIONS(2328),
    [anon_sym_BSLASHem] = ACTIONS(2331),
    [anon_sym_BSLASHbd] = ACTIONS(2334),
    [anon_sym_BSLASHit] = ACTIONS(2337),
    [anon_sym_BSLASHbdit] = ACTIONS(2340),
    [anon_sym_BSLASHno] = ACTIONS(2343),
    [anon_sym_BSLASHsc] = ACTIONS(2346),
    [anon_sym_BSLASHsup] = ACTIONS(2349),
    [anon_sym_BSLASHndx] = ACTIONS(2352),
    [anon_sym_BSLASHpro] = ACTIONS(2355),
    [anon_sym_BSLASHrb] = ACTIONS(2358),
    [anon_sym_BSLASHw] = ACTIONS(2361),
    [anon_sym_BSLASHwg] = ACTIONS(2364),
    [anon_sym_BSLASHwh] = ACTIONS(2367),
    [anon_sym_BSLASHwa] = ACTIONS(2370),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2373),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2376),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2379),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2382),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2385),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2388),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2391),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2394),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2397),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2400),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2403),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2406),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2409),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2412),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2415),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2418),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2421),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2424),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2427),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2430),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2433),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2436),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2439),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2442),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2445),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2448),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2451),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2454),
    [anon_sym_BSLASHfig] = ACTIONS(2457),
    [anon_sym_BSLASHjmp] = ACTIONS(2460),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2463),
    [anon_sym_BSLASHcat] = ACTIONS(2278),
  },
  [192] = {
    [sym_text] = STATE(191),
    [sym_ref] = STATE(191),
    [sym_fv] = STATE(191),
    [sym_xtNested] = STATE(191),
    [sym_xt_standalone] = STATE(191),
    [sym_add] = STATE(191),
    [sym_bk] = STATE(191),
    [sym_dc] = STATE(191),
    [sym_k] = STATE(191),
    [sym_nd] = STATE(191),
    [sym_ord] = STATE(191),
    [sym_pn] = STATE(191),
    [sym_png] = STATE(191),
    [sym_addpn] = STATE(191),
    [sym_qt] = STATE(191),
    [sym_sig] = STATE(191),
    [sym_sls] = STATE(191),
    [sym_tl] = STATE(191),
    [sym_wj] = STATE(191),
    [sym_em] = STATE(191),
    [sym_bd] = STATE(191),
    [sym_it] = STATE(191),
    [sym_bdit] = STATE(191),
    [sym_no] = STATE(191),
    [sym_sc] = STATE(191),
    [sym_sup] = STATE(191),
    [sym_ndx] = STATE(191),
    [sym_pro] = STATE(191),
    [sym_rb] = STATE(191),
    [sym_w] = STATE(191),
    [sym_wg] = STATE(191),
    [sym_wh] = STATE(191),
    [sym_wa] = STATE(191),
    [sym__characterMarker] = STATE(191),
    [sym_addNested] = STATE(191),
    [sym_bkNested] = STATE(191),
    [sym_dcNested] = STATE(191),
    [sym_kNested] = STATE(191),
    [sym_ndNested] = STATE(191),
    [sym_ordNested] = STATE(191),
    [sym_pnNested] = STATE(191),
    [sym_pngNested] = STATE(191),
    [sym_addpnNested] = STATE(191),
    [sym_qtNested] = STATE(191),
    [sym_sigNested] = STATE(191),
    [sym_slsNested] = STATE(191),
    [sym_tlNested] = STATE(191),
    [sym_wjNested] = STATE(191),
    [sym_emNested] = STATE(191),
    [sym_bdNested] = STATE(191),
    [sym_itNested] = STATE(191),
    [sym_bditNested] = STATE(191),
    [sym_noNested] = STATE(191),
    [sym_scNested] = STATE(191),
    [sym_supNested] = STATE(191),
    [sym_ndxNested] = STATE(191),
    [sym_proNested] = STATE(191),
    [sym_rbNested] = STATE(191),
    [sym_wNested] = STATE(191),
    [sym_wgNested] = STATE(191),
    [sym_whNested] = STATE(191),
    [sym_waNested] = STATE(191),
    [sym__nestedCharacterMarker] = STATE(191),
    [sym_fig] = STATE(191),
    [sym_jmp] = STATE(191),
    [sym_jmpNested] = STATE(191),
    [aux_sym_footnoteText_repeat1] = STATE(191),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2466),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2466),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2466),
    [anon_sym_BSLASHfr] = ACTIONS(2466),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2466),
    [anon_sym_BSLASHfq] = ACTIONS(2466),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2466),
    [anon_sym_BSLASHfqa] = ACTIONS(2466),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2466),
    [anon_sym_BSLASHfk] = ACTIONS(2466),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2466),
    [anon_sym_BSLASHfl] = ACTIONS(2466),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2466),
    [anon_sym_BSLASHfw] = ACTIONS(2466),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2466),
    [anon_sym_BSLASHfp] = ACTIONS(2466),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2466),
    [anon_sym_BSLASHft] = ACTIONS(2466),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2466),
    [anon_sym_BSLASHfdc] = ACTIONS(2466),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2466),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2466),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(2466),
  },
  [193] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(199),
    [sym__comments] = STATE(199),
    [sym_sts] = STATE(199),
    [sym_rem] = STATE(199),
    [sym_restore] = STATE(199),
    [sym_lit] = STATE(199),
    [sym_verseText] = STATE(199),
    [sym_v] = STATE(199),
    [sym__verseMeta] = STATE(199),
    [sym_va] = STATE(199),
    [sym_vp] = STATE(199),
    [sym__paragraphContent] = STATE(199),
    [sym_footnote] = STATE(199),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(199),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(199),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(199),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(199),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1241),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1241),
    [anon_sym_BSLASHms] = ACTIONS(1241),
    [anon_sym_BSLASHs] = ACTIONS(1241),
    [anon_sym_BSLASHr] = ACTIONS(1241),
    [anon_sym_BSLASHsp] = ACTIONS(1241),
    [anon_sym_BSLASHd] = ACTIONS(1241),
    [anon_sym_BSLASHsd] = ACTIONS(1241),
    [anon_sym_BSLASHp] = ACTIONS(1241),
    [anon_sym_BSLASHm] = ACTIONS(1241),
    [anon_sym_BSLASHpo] = ACTIONS(1241),
    [anon_sym_BSLASHpr] = ACTIONS(1241),
    [anon_sym_BSLASHcls] = ACTIONS(1241),
    [anon_sym_BSLASHpmo] = ACTIONS(1241),
    [anon_sym_BSLASHpm] = ACTIONS(1241),
    [anon_sym_BSLASHpmc] = ACTIONS(1241),
    [anon_sym_BSLASHpmr] = ACTIONS(1241),
    [anon_sym_BSLASHpi] = ACTIONS(1241),
    [anon_sym_BSLASHmi] = ACTIONS(1241),
    [anon_sym_BSLASHnb] = ACTIONS(1241),
    [anon_sym_BSLASHpc] = ACTIONS(1241),
    [anon_sym_BSLASHph] = ACTIONS(1241),
    [anon_sym_BSLASHb] = ACTIONS(1241),
    [anon_sym_BSLASHq] = ACTIONS(1241),
    [anon_sym_BSLASHqr] = ACTIONS(1241),
    [anon_sym_BSLASHqc] = ACTIONS(1241),
    [anon_sym_BSLASHqa] = ACTIONS(1241),
    [anon_sym_BSLASHqm] = ACTIONS(1241),
    [anon_sym_BSLASHqd] = ACTIONS(1241),
    [anon_sym_BSLASHlh] = ACTIONS(1241),
    [anon_sym_BSLASHli] = ACTIONS(1241),
    [anon_sym_BSLASHlim] = ACTIONS(1241),
    [anon_sym_BSLASHtr] = ACTIONS(1241),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1241),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1241),
    [anon_sym_BSLASHcat] = ACTIONS(1241),
  },
  [194] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(207),
    [sym__comments] = STATE(207),
    [sym_sts] = STATE(207),
    [sym_rem] = STATE(207),
    [sym_restore] = STATE(207),
    [sym_lit] = STATE(207),
    [sym_verseText] = STATE(207),
    [sym_v] = STATE(207),
    [sym__verseMeta] = STATE(207),
    [sym_va] = STATE(207),
    [sym_vp] = STATE(207),
    [sym__paragraphContent] = STATE(207),
    [sym_footnote] = STATE(207),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(207),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(207),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(207),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(207),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1313),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1313),
    [anon_sym_BSLASHms] = ACTIONS(1313),
    [anon_sym_BSLASHs] = ACTIONS(1313),
    [anon_sym_BSLASHr] = ACTIONS(1313),
    [anon_sym_BSLASHsp] = ACTIONS(1313),
    [anon_sym_BSLASHd] = ACTIONS(1313),
    [anon_sym_BSLASHsd] = ACTIONS(1313),
    [anon_sym_BSLASHp] = ACTIONS(1313),
    [anon_sym_BSLASHm] = ACTIONS(1313),
    [anon_sym_BSLASHpo] = ACTIONS(1313),
    [anon_sym_BSLASHpr] = ACTIONS(1313),
    [anon_sym_BSLASHcls] = ACTIONS(1313),
    [anon_sym_BSLASHpmo] = ACTIONS(1313),
    [anon_sym_BSLASHpm] = ACTIONS(1313),
    [anon_sym_BSLASHpmc] = ACTIONS(1313),
    [anon_sym_BSLASHpmr] = ACTIONS(1313),
    [anon_sym_BSLASHpi] = ACTIONS(1313),
    [anon_sym_BSLASHmi] = ACTIONS(1313),
    [anon_sym_BSLASHnb] = ACTIONS(1313),
    [anon_sym_BSLASHpc] = ACTIONS(1313),
    [anon_sym_BSLASHph] = ACTIONS(1313),
    [anon_sym_BSLASHb] = ACTIONS(1313),
    [anon_sym_BSLASHq] = ACTIONS(1313),
    [anon_sym_BSLASHqr] = ACTIONS(1313),
    [anon_sym_BSLASHqc] = ACTIONS(1313),
    [anon_sym_BSLASHqa] = ACTIONS(1313),
    [anon_sym_BSLASHqm] = ACTIONS(1313),
    [anon_sym_BSLASHqd] = ACTIONS(1313),
    [anon_sym_BSLASHlh] = ACTIONS(1313),
    [anon_sym_BSLASHli] = ACTIONS(1313),
    [anon_sym_BSLASHlim] = ACTIONS(1313),
    [anon_sym_BSLASHtr] = ACTIONS(1313),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1313),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1313),
    [anon_sym_BSLASHcat] = ACTIONS(1313),
  },
  [195] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(199),
    [sym__comments] = STATE(199),
    [sym_sts] = STATE(199),
    [sym_rem] = STATE(199),
    [sym_restore] = STATE(199),
    [sym_lit] = STATE(199),
    [sym_verseText] = STATE(199),
    [sym_v] = STATE(199),
    [sym__verseMeta] = STATE(199),
    [sym_va] = STATE(199),
    [sym_vp] = STATE(199),
    [sym__paragraphContent] = STATE(199),
    [sym_footnote] = STATE(199),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(199),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(199),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(199),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(199),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1245),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1245),
    [anon_sym_BSLASHms] = ACTIONS(1245),
    [anon_sym_BSLASHs] = ACTIONS(1245),
    [anon_sym_BSLASHr] = ACTIONS(1245),
    [anon_sym_BSLASHsp] = ACTIONS(1245),
    [anon_sym_BSLASHd] = ACTIONS(1245),
    [anon_sym_BSLASHsd] = ACTIONS(1245),
    [anon_sym_BSLASHp] = ACTIONS(1245),
    [anon_sym_BSLASHm] = ACTIONS(1245),
    [anon_sym_BSLASHpo] = ACTIONS(1245),
    [anon_sym_BSLASHpr] = ACTIONS(1245),
    [anon_sym_BSLASHcls] = ACTIONS(1245),
    [anon_sym_BSLASHpmo] = ACTIONS(1245),
    [anon_sym_BSLASHpm] = ACTIONS(1245),
    [anon_sym_BSLASHpmc] = ACTIONS(1245),
    [anon_sym_BSLASHpmr] = ACTIONS(1245),
    [anon_sym_BSLASHpi] = ACTIONS(1245),
    [anon_sym_BSLASHmi] = ACTIONS(1245),
    [anon_sym_BSLASHnb] = ACTIONS(1245),
    [anon_sym_BSLASHpc] = ACTIONS(1245),
    [anon_sym_BSLASHph] = ACTIONS(1245),
    [anon_sym_BSLASHb] = ACTIONS(1245),
    [anon_sym_BSLASHq] = ACTIONS(1245),
    [anon_sym_BSLASHqr] = ACTIONS(1245),
    [anon_sym_BSLASHqc] = ACTIONS(1245),
    [anon_sym_BSLASHqa] = ACTIONS(1245),
    [anon_sym_BSLASHqm] = ACTIONS(1245),
    [anon_sym_BSLASHqd] = ACTIONS(1245),
    [anon_sym_BSLASHlh] = ACTIONS(1245),
    [anon_sym_BSLASHli] = ACTIONS(1245),
    [anon_sym_BSLASHlim] = ACTIONS(1245),
    [anon_sym_BSLASHtr] = ACTIONS(1245),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1245),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1245),
    [anon_sym_BSLASHcat] = ACTIONS(1245),
  },
  [196] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(197),
    [sym__comments] = STATE(197),
    [sym_sts] = STATE(197),
    [sym_rem] = STATE(197),
    [sym_restore] = STATE(197),
    [sym_lit] = STATE(197),
    [sym_verseText] = STATE(197),
    [sym_v] = STATE(197),
    [sym__verseMeta] = STATE(197),
    [sym_va] = STATE(197),
    [sym_vp] = STATE(197),
    [sym__paragraphContent] = STATE(197),
    [sym_footnote] = STATE(197),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(197),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(197),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(197),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(197),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1309),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1309),
    [anon_sym_BSLASHms] = ACTIONS(1309),
    [anon_sym_BSLASHs] = ACTIONS(1309),
    [anon_sym_BSLASHr] = ACTIONS(1309),
    [anon_sym_BSLASHsp] = ACTIONS(1309),
    [anon_sym_BSLASHd] = ACTIONS(1309),
    [anon_sym_BSLASHsd] = ACTIONS(1309),
    [anon_sym_BSLASHp] = ACTIONS(1309),
    [anon_sym_BSLASHm] = ACTIONS(1309),
    [anon_sym_BSLASHpo] = ACTIONS(1309),
    [anon_sym_BSLASHpr] = ACTIONS(1309),
    [anon_sym_BSLASHcls] = ACTIONS(1309),
    [anon_sym_BSLASHpmo] = ACTIONS(1309),
    [anon_sym_BSLASHpm] = ACTIONS(1309),
    [anon_sym_BSLASHpmc] = ACTIONS(1309),
    [anon_sym_BSLASHpmr] = ACTIONS(1309),
    [anon_sym_BSLASHpi] = ACTIONS(1309),
    [anon_sym_BSLASHmi] = ACTIONS(1309),
    [anon_sym_BSLASHnb] = ACTIONS(1309),
    [anon_sym_BSLASHpc] = ACTIONS(1309),
    [anon_sym_BSLASHph] = ACTIONS(1309),
    [anon_sym_BSLASHb] = ACTIONS(1309),
    [anon_sym_BSLASHq] = ACTIONS(1309),
    [anon_sym_BSLASHqr] = ACTIONS(1309),
    [anon_sym_BSLASHqc] = ACTIONS(1309),
    [anon_sym_BSLASHqa] = ACTIONS(1309),
    [anon_sym_BSLASHqm] = ACTIONS(1309),
    [anon_sym_BSLASHqd] = ACTIONS(1309),
    [anon_sym_BSLASHlh] = ACTIONS(1309),
    [anon_sym_BSLASHli] = ACTIONS(1309),
    [anon_sym_BSLASHlim] = ACTIONS(1309),
    [anon_sym_BSLASHtr] = ACTIONS(1309),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1309),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1309),
    [anon_sym_BSLASHcat] = ACTIONS(1309),
  },
  [197] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(199),
    [sym__comments] = STATE(199),
    [sym_sts] = STATE(199),
    [sym_rem] = STATE(199),
    [sym_restore] = STATE(199),
    [sym_lit] = STATE(199),
    [sym_verseText] = STATE(199),
    [sym_v] = STATE(199),
    [sym__verseMeta] = STATE(199),
    [sym_va] = STATE(199),
    [sym_vp] = STATE(199),
    [sym__paragraphContent] = STATE(199),
    [sym_footnote] = STATE(199),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(199),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(199),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(199),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(199),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1487),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1487),
    [anon_sym_BSLASHms] = ACTIONS(1487),
    [anon_sym_BSLASHs] = ACTIONS(1487),
    [anon_sym_BSLASHr] = ACTIONS(1487),
    [anon_sym_BSLASHsp] = ACTIONS(1487),
    [anon_sym_BSLASHd] = ACTIONS(1487),
    [anon_sym_BSLASHsd] = ACTIONS(1487),
    [anon_sym_BSLASHp] = ACTIONS(1487),
    [anon_sym_BSLASHm] = ACTIONS(1487),
    [anon_sym_BSLASHpo] = ACTIONS(1487),
    [anon_sym_BSLASHpr] = ACTIONS(1487),
    [anon_sym_BSLASHcls] = ACTIONS(1487),
    [anon_sym_BSLASHpmo] = ACTIONS(1487),
    [anon_sym_BSLASHpm] = ACTIONS(1487),
    [anon_sym_BSLASHpmc] = ACTIONS(1487),
    [anon_sym_BSLASHpmr] = ACTIONS(1487),
    [anon_sym_BSLASHpi] = ACTIONS(1487),
    [anon_sym_BSLASHmi] = ACTIONS(1487),
    [anon_sym_BSLASHnb] = ACTIONS(1487),
    [anon_sym_BSLASHpc] = ACTIONS(1487),
    [anon_sym_BSLASHph] = ACTIONS(1487),
    [anon_sym_BSLASHb] = ACTIONS(1487),
    [anon_sym_BSLASHq] = ACTIONS(1487),
    [anon_sym_BSLASHqr] = ACTIONS(1487),
    [anon_sym_BSLASHqc] = ACTIONS(1487),
    [anon_sym_BSLASHqa] = ACTIONS(1487),
    [anon_sym_BSLASHqm] = ACTIONS(1487),
    [anon_sym_BSLASHqd] = ACTIONS(1487),
    [anon_sym_BSLASHlh] = ACTIONS(1487),
    [anon_sym_BSLASHli] = ACTIONS(1487),
    [anon_sym_BSLASHlim] = ACTIONS(1487),
    [anon_sym_BSLASHtr] = ACTIONS(1487),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1487),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1487),
    [anon_sym_BSLASHcat] = ACTIONS(1487),
  },
  [198] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(199),
    [sym__comments] = STATE(199),
    [sym_sts] = STATE(199),
    [sym_rem] = STATE(199),
    [sym_restore] = STATE(199),
    [sym_lit] = STATE(199),
    [sym_verseText] = STATE(199),
    [sym_v] = STATE(199),
    [sym__verseMeta] = STATE(199),
    [sym_va] = STATE(199),
    [sym_vp] = STATE(199),
    [sym__paragraphContent] = STATE(199),
    [sym_footnote] = STATE(199),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(199),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(199),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(199),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(199),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1483),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1483),
    [anon_sym_BSLASHms] = ACTIONS(1483),
    [anon_sym_BSLASHs] = ACTIONS(1483),
    [anon_sym_BSLASHr] = ACTIONS(1483),
    [anon_sym_BSLASHsp] = ACTIONS(1483),
    [anon_sym_BSLASHd] = ACTIONS(1483),
    [anon_sym_BSLASHsd] = ACTIONS(1483),
    [anon_sym_BSLASHp] = ACTIONS(1483),
    [anon_sym_BSLASHm] = ACTIONS(1483),
    [anon_sym_BSLASHpo] = ACTIONS(1483),
    [anon_sym_BSLASHpr] = ACTIONS(1483),
    [anon_sym_BSLASHcls] = ACTIONS(1483),
    [anon_sym_BSLASHpmo] = ACTIONS(1483),
    [anon_sym_BSLASHpm] = ACTIONS(1483),
    [anon_sym_BSLASHpmc] = ACTIONS(1483),
    [anon_sym_BSLASHpmr] = ACTIONS(1483),
    [anon_sym_BSLASHpi] = ACTIONS(1483),
    [anon_sym_BSLASHmi] = ACTIONS(1483),
    [anon_sym_BSLASHnb] = ACTIONS(1483),
    [anon_sym_BSLASHpc] = ACTIONS(1483),
    [anon_sym_BSLASHph] = ACTIONS(1483),
    [anon_sym_BSLASHb] = ACTIONS(1483),
    [anon_sym_BSLASHq] = ACTIONS(1483),
    [anon_sym_BSLASHqr] = ACTIONS(1483),
    [anon_sym_BSLASHqc] = ACTIONS(1483),
    [anon_sym_BSLASHqa] = ACTIONS(1483),
    [anon_sym_BSLASHqm] = ACTIONS(1483),
    [anon_sym_BSLASHqd] = ACTIONS(1483),
    [anon_sym_BSLASHlh] = ACTIONS(1483),
    [anon_sym_BSLASHli] = ACTIONS(1483),
    [anon_sym_BSLASHlim] = ACTIONS(1483),
    [anon_sym_BSLASHtr] = ACTIONS(1483),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1483),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1483),
    [anon_sym_BSLASHcat] = ACTIONS(1483),
  },
  [199] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(199),
    [sym__comments] = STATE(199),
    [sym_sts] = STATE(199),
    [sym_rem] = STATE(199),
    [sym_restore] = STATE(199),
    [sym_lit] = STATE(199),
    [sym_verseText] = STATE(199),
    [sym_v] = STATE(199),
    [sym__verseMeta] = STATE(199),
    [sym_va] = STATE(199),
    [sym_vp] = STATE(199),
    [sym__paragraphContent] = STATE(199),
    [sym_footnote] = STATE(199),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(199),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(199),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(199),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(199),
    [aux_sym_text_token1] = ACTIONS(2468),
    [anon_sym_BSLASHref] = ACTIONS(2471),
    [anon_sym_BSLASHsts] = ACTIONS(2474),
    [anon_sym_BSLASHrem] = ACTIONS(2477),
    [anon_sym_BSLASHrestore] = ACTIONS(2480),
    [anon_sym_BSLASHlit] = ACTIONS(2483),
    [anon_sym_BSLASHip] = ACTIONS(1343),
    [anon_sym_BSLASHv] = ACTIONS(2486),
    [anon_sym_BSLASHva] = ACTIONS(2489),
    [anon_sym_BSLASHvp] = ACTIONS(2492),
    [anon_sym_BSLASHmte] = ACTIONS(1343),
    [anon_sym_BSLASHms] = ACTIONS(1343),
    [anon_sym_BSLASHs] = ACTIONS(1343),
    [anon_sym_BSLASHr] = ACTIONS(1343),
    [anon_sym_BSLASHsp] = ACTIONS(1343),
    [anon_sym_BSLASHd] = ACTIONS(1343),
    [anon_sym_BSLASHsd] = ACTIONS(1343),
    [anon_sym_BSLASHp] = ACTIONS(1343),
    [anon_sym_BSLASHm] = ACTIONS(1343),
    [anon_sym_BSLASHpo] = ACTIONS(1343),
    [anon_sym_BSLASHpr] = ACTIONS(1343),
    [anon_sym_BSLASHcls] = ACTIONS(1343),
    [anon_sym_BSLASHpmo] = ACTIONS(1343),
    [anon_sym_BSLASHpm] = ACTIONS(1343),
    [anon_sym_BSLASHpmc] = ACTIONS(1343),
    [anon_sym_BSLASHpmr] = ACTIONS(1343),
    [anon_sym_BSLASHpi] = ACTIONS(1343),
    [anon_sym_BSLASHmi] = ACTIONS(1343),
    [anon_sym_BSLASHnb] = ACTIONS(1343),
    [anon_sym_BSLASHpc] = ACTIONS(1343),
    [anon_sym_BSLASHph] = ACTIONS(1343),
    [anon_sym_BSLASHb] = ACTIONS(1343),
    [anon_sym_BSLASHq] = ACTIONS(1343),
    [anon_sym_BSLASHqr] = ACTIONS(1343),
    [anon_sym_BSLASHqc] = ACTIONS(1343),
    [anon_sym_BSLASHqa] = ACTIONS(1343),
    [anon_sym_BSLASHqm] = ACTIONS(1343),
    [anon_sym_BSLASHqd] = ACTIONS(1343),
    [anon_sym_BSLASHlh] = ACTIONS(1343),
    [anon_sym_BSLASHli] = ACTIONS(1343),
    [anon_sym_BSLASHlim] = ACTIONS(1343),
    [anon_sym_BSLASHtr] = ACTIONS(1343),
    [anon_sym_BSLASHf] = ACTIONS(2495),
    [anon_sym_BSLASHfe] = ACTIONS(2498),
    [anon_sym_BSLASHef] = ACTIONS(2501),
    [anon_sym_BSLASHfm] = ACTIONS(2504),
    [anon_sym_BSLASHx] = ACTIONS(2507),
    [anon_sym_BSLASHxt] = ACTIONS(2510),
    [anon_sym_BSLASHrq] = ACTIONS(2513),
    [anon_sym_BSLASHadd] = ACTIONS(2516),
    [anon_sym_BSLASHbk] = ACTIONS(2519),
    [anon_sym_BSLASHdc] = ACTIONS(2522),
    [anon_sym_BSLASHk] = ACTIONS(2525),
    [anon_sym_BSLASHnd] = ACTIONS(2528),
    [anon_sym_BSLASHord] = ACTIONS(2531),
    [anon_sym_BSLASHpn] = ACTIONS(2534),
    [anon_sym_BSLASHpng] = ACTIONS(2537),
    [anon_sym_BSLASHaddpn] = ACTIONS(2540),
    [anon_sym_BSLASHqt] = ACTIONS(2543),
    [anon_sym_BSLASHsig] = ACTIONS(2546),
    [anon_sym_BSLASHsls] = ACTIONS(2549),
    [anon_sym_BSLASHtl] = ACTIONS(2552),
    [anon_sym_BSLASHwj] = ACTIONS(2555),
    [anon_sym_BSLASHem] = ACTIONS(2558),
    [anon_sym_BSLASHbd] = ACTIONS(2561),
    [anon_sym_BSLASHit] = ACTIONS(2564),
    [anon_sym_BSLASHbdit] = ACTIONS(2567),
    [anon_sym_BSLASHno] = ACTIONS(2570),
    [anon_sym_BSLASHsc] = ACTIONS(2573),
    [anon_sym_BSLASHsup] = ACTIONS(2576),
    [anon_sym_BSLASHndx] = ACTIONS(2579),
    [anon_sym_BSLASHpro] = ACTIONS(2582),
    [anon_sym_BSLASHrb] = ACTIONS(2585),
    [anon_sym_BSLASHw] = ACTIONS(2588),
    [anon_sym_BSLASHwg] = ACTIONS(2591),
    [anon_sym_BSLASHwh] = ACTIONS(2594),
    [anon_sym_BSLASHwa] = ACTIONS(2597),
    [anon_sym_BSLASHfig] = ACTIONS(2600),
    [anon_sym_BSLASHjmp] = ACTIONS(2603),
    [anon_sym_BSLASHpb] = ACTIONS(1343),
    [anon_sym_BSLASH] = ACTIONS(1465),
    [sym_milestoneStartTag] = ACTIONS(2606),
    [sym_milestoneEndTag] = ACTIONS(2609),
    [sym_zSpaceTag] = ACTIONS(2612),
    [anon_sym_BSLASHesbe] = ACTIONS(1343),
    [anon_sym_BSLASHcat] = ACTIONS(1343),
  },
  [200] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(199),
    [sym__comments] = STATE(199),
    [sym_sts] = STATE(199),
    [sym_rem] = STATE(199),
    [sym_restore] = STATE(199),
    [sym_lit] = STATE(199),
    [sym_verseText] = STATE(199),
    [sym_v] = STATE(199),
    [sym__verseMeta] = STATE(199),
    [sym_va] = STATE(199),
    [sym_vp] = STATE(199),
    [sym__paragraphContent] = STATE(199),
    [sym_footnote] = STATE(199),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(199),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(199),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(199),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(199),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1297),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1297),
    [anon_sym_BSLASHms] = ACTIONS(1297),
    [anon_sym_BSLASHs] = ACTIONS(1297),
    [anon_sym_BSLASHr] = ACTIONS(1297),
    [anon_sym_BSLASHsp] = ACTIONS(1297),
    [anon_sym_BSLASHd] = ACTIONS(1297),
    [anon_sym_BSLASHsd] = ACTIONS(1297),
    [anon_sym_BSLASHp] = ACTIONS(1297),
    [anon_sym_BSLASHm] = ACTIONS(1297),
    [anon_sym_BSLASHpo] = ACTIONS(1297),
    [anon_sym_BSLASHpr] = ACTIONS(1297),
    [anon_sym_BSLASHcls] = ACTIONS(1297),
    [anon_sym_BSLASHpmo] = ACTIONS(1297),
    [anon_sym_BSLASHpm] = ACTIONS(1297),
    [anon_sym_BSLASHpmc] = ACTIONS(1297),
    [anon_sym_BSLASHpmr] = ACTIONS(1297),
    [anon_sym_BSLASHpi] = ACTIONS(1297),
    [anon_sym_BSLASHmi] = ACTIONS(1297),
    [anon_sym_BSLASHnb] = ACTIONS(1297),
    [anon_sym_BSLASHpc] = ACTIONS(1297),
    [anon_sym_BSLASHph] = ACTIONS(1297),
    [anon_sym_BSLASHb] = ACTIONS(1297),
    [anon_sym_BSLASHq] = ACTIONS(1297),
    [anon_sym_BSLASHqr] = ACTIONS(1297),
    [anon_sym_BSLASHqc] = ACTIONS(1297),
    [anon_sym_BSLASHqa] = ACTIONS(1297),
    [anon_sym_BSLASHqm] = ACTIONS(1297),
    [anon_sym_BSLASHqd] = ACTIONS(1297),
    [anon_sym_BSLASHlh] = ACTIONS(1297),
    [anon_sym_BSLASHli] = ACTIONS(1297),
    [anon_sym_BSLASHlim] = ACTIONS(1297),
    [anon_sym_BSLASHtr] = ACTIONS(1297),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1297),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1297),
    [anon_sym_BSLASHcat] = ACTIONS(1297),
  },
  [201] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(199),
    [sym__comments] = STATE(199),
    [sym_sts] = STATE(199),
    [sym_rem] = STATE(199),
    [sym_restore] = STATE(199),
    [sym_lit] = STATE(199),
    [sym_verseText] = STATE(199),
    [sym_v] = STATE(199),
    [sym__verseMeta] = STATE(199),
    [sym_va] = STATE(199),
    [sym_vp] = STATE(199),
    [sym__paragraphContent] = STATE(199),
    [sym_footnote] = STATE(199),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(199),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(199),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(199),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(199),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1293),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1293),
    [anon_sym_BSLASHms] = ACTIONS(1293),
    [anon_sym_BSLASHs] = ACTIONS(1293),
    [anon_sym_BSLASHr] = ACTIONS(1293),
    [anon_sym_BSLASHsp] = ACTIONS(1293),
    [anon_sym_BSLASHd] = ACTIONS(1293),
    [anon_sym_BSLASHsd] = ACTIONS(1293),
    [anon_sym_BSLASHp] = ACTIONS(1293),
    [anon_sym_BSLASHm] = ACTIONS(1293),
    [anon_sym_BSLASHpo] = ACTIONS(1293),
    [anon_sym_BSLASHpr] = ACTIONS(1293),
    [anon_sym_BSLASHcls] = ACTIONS(1293),
    [anon_sym_BSLASHpmo] = ACTIONS(1293),
    [anon_sym_BSLASHpm] = ACTIONS(1293),
    [anon_sym_BSLASHpmc] = ACTIONS(1293),
    [anon_sym_BSLASHpmr] = ACTIONS(1293),
    [anon_sym_BSLASHpi] = ACTIONS(1293),
    [anon_sym_BSLASHmi] = ACTIONS(1293),
    [anon_sym_BSLASHnb] = ACTIONS(1293),
    [anon_sym_BSLASHpc] = ACTIONS(1293),
    [anon_sym_BSLASHph] = ACTIONS(1293),
    [anon_sym_BSLASHb] = ACTIONS(1293),
    [anon_sym_BSLASHq] = ACTIONS(1293),
    [anon_sym_BSLASHqr] = ACTIONS(1293),
    [anon_sym_BSLASHqc] = ACTIONS(1293),
    [anon_sym_BSLASHqa] = ACTIONS(1293),
    [anon_sym_BSLASHqm] = ACTIONS(1293),
    [anon_sym_BSLASHqd] = ACTIONS(1293),
    [anon_sym_BSLASHlh] = ACTIONS(1293),
    [anon_sym_BSLASHli] = ACTIONS(1293),
    [anon_sym_BSLASHlim] = ACTIONS(1293),
    [anon_sym_BSLASHtr] = ACTIONS(1293),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1293),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1293),
    [anon_sym_BSLASHcat] = ACTIONS(1293),
  },
  [202] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(199),
    [sym__comments] = STATE(199),
    [sym_sts] = STATE(199),
    [sym_rem] = STATE(199),
    [sym_restore] = STATE(199),
    [sym_lit] = STATE(199),
    [sym_verseText] = STATE(199),
    [sym_v] = STATE(199),
    [sym__verseMeta] = STATE(199),
    [sym_va] = STATE(199),
    [sym_vp] = STATE(199),
    [sym__paragraphContent] = STATE(199),
    [sym_footnote] = STATE(199),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(199),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(199),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(199),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(199),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1249),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1249),
    [anon_sym_BSLASHms] = ACTIONS(1249),
    [anon_sym_BSLASHs] = ACTIONS(1249),
    [anon_sym_BSLASHr] = ACTIONS(1249),
    [anon_sym_BSLASHsp] = ACTIONS(1249),
    [anon_sym_BSLASHd] = ACTIONS(1249),
    [anon_sym_BSLASHsd] = ACTIONS(1249),
    [anon_sym_BSLASHp] = ACTIONS(1249),
    [anon_sym_BSLASHm] = ACTIONS(1249),
    [anon_sym_BSLASHpo] = ACTIONS(1249),
    [anon_sym_BSLASHpr] = ACTIONS(1249),
    [anon_sym_BSLASHcls] = ACTIONS(1249),
    [anon_sym_BSLASHpmo] = ACTIONS(1249),
    [anon_sym_BSLASHpm] = ACTIONS(1249),
    [anon_sym_BSLASHpmc] = ACTIONS(1249),
    [anon_sym_BSLASHpmr] = ACTIONS(1249),
    [anon_sym_BSLASHpi] = ACTIONS(1249),
    [anon_sym_BSLASHmi] = ACTIONS(1249),
    [anon_sym_BSLASHnb] = ACTIONS(1249),
    [anon_sym_BSLASHpc] = ACTIONS(1249),
    [anon_sym_BSLASHph] = ACTIONS(1249),
    [anon_sym_BSLASHb] = ACTIONS(1249),
    [anon_sym_BSLASHq] = ACTIONS(1249),
    [anon_sym_BSLASHqr] = ACTIONS(1249),
    [anon_sym_BSLASHqc] = ACTIONS(1249),
    [anon_sym_BSLASHqa] = ACTIONS(1249),
    [anon_sym_BSLASHqm] = ACTIONS(1249),
    [anon_sym_BSLASHqd] = ACTIONS(1249),
    [anon_sym_BSLASHlh] = ACTIONS(1249),
    [anon_sym_BSLASHli] = ACTIONS(1249),
    [anon_sym_BSLASHlim] = ACTIONS(1249),
    [anon_sym_BSLASHtr] = ACTIONS(1249),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1249),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1249),
    [anon_sym_BSLASHcat] = ACTIONS(1249),
  },
  [203] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(195),
    [sym__comments] = STATE(195),
    [sym_sts] = STATE(195),
    [sym_rem] = STATE(195),
    [sym_restore] = STATE(195),
    [sym_lit] = STATE(195),
    [sym_verseText] = STATE(195),
    [sym_v] = STATE(195),
    [sym__verseMeta] = STATE(195),
    [sym_va] = STATE(195),
    [sym_vp] = STATE(195),
    [sym__paragraphContent] = STATE(195),
    [sym_footnote] = STATE(195),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(195),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(195),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(195),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(195),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1511),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1511),
    [anon_sym_BSLASHms] = ACTIONS(1511),
    [anon_sym_BSLASHs] = ACTIONS(1511),
    [anon_sym_BSLASHr] = ACTIONS(1511),
    [anon_sym_BSLASHsp] = ACTIONS(1511),
    [anon_sym_BSLASHd] = ACTIONS(1511),
    [anon_sym_BSLASHsd] = ACTIONS(1511),
    [anon_sym_BSLASHp] = ACTIONS(1511),
    [anon_sym_BSLASHm] = ACTIONS(1511),
    [anon_sym_BSLASHpo] = ACTIONS(1511),
    [anon_sym_BSLASHpr] = ACTIONS(1511),
    [anon_sym_BSLASHcls] = ACTIONS(1511),
    [anon_sym_BSLASHpmo] = ACTIONS(1511),
    [anon_sym_BSLASHpm] = ACTIONS(1511),
    [anon_sym_BSLASHpmc] = ACTIONS(1511),
    [anon_sym_BSLASHpmr] = ACTIONS(1511),
    [anon_sym_BSLASHpi] = ACTIONS(1511),
    [anon_sym_BSLASHmi] = ACTIONS(1511),
    [anon_sym_BSLASHnb] = ACTIONS(1511),
    [anon_sym_BSLASHpc] = ACTIONS(1511),
    [anon_sym_BSLASHph] = ACTIONS(1511),
    [anon_sym_BSLASHb] = ACTIONS(1511),
    [anon_sym_BSLASHq] = ACTIONS(1511),
    [anon_sym_BSLASHqr] = ACTIONS(1511),
    [anon_sym_BSLASHqc] = ACTIONS(1511),
    [anon_sym_BSLASHqa] = ACTIONS(1511),
    [anon_sym_BSLASHqm] = ACTIONS(1511),
    [anon_sym_BSLASHqd] = ACTIONS(1511),
    [anon_sym_BSLASHlh] = ACTIONS(1511),
    [anon_sym_BSLASHli] = ACTIONS(1511),
    [anon_sym_BSLASHlim] = ACTIONS(1511),
    [anon_sym_BSLASHtr] = ACTIONS(1511),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1511),
    [anon_sym_BSLASHcat] = ACTIONS(1511),
  },
  [204] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(200),
    [sym__comments] = STATE(200),
    [sym_sts] = STATE(200),
    [sym_rem] = STATE(200),
    [sym_restore] = STATE(200),
    [sym_lit] = STATE(200),
    [sym_verseText] = STATE(200),
    [sym_v] = STATE(200),
    [sym__verseMeta] = STATE(200),
    [sym_va] = STATE(200),
    [sym_vp] = STATE(200),
    [sym__paragraphContent] = STATE(200),
    [sym_footnote] = STATE(200),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(200),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(200),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(200),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(200),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1257),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1257),
    [anon_sym_BSLASHms] = ACTIONS(1257),
    [anon_sym_BSLASHs] = ACTIONS(1257),
    [anon_sym_BSLASHr] = ACTIONS(1257),
    [anon_sym_BSLASHsp] = ACTIONS(1257),
    [anon_sym_BSLASHd] = ACTIONS(1257),
    [anon_sym_BSLASHsd] = ACTIONS(1257),
    [anon_sym_BSLASHp] = ACTIONS(1257),
    [anon_sym_BSLASHm] = ACTIONS(1257),
    [anon_sym_BSLASHpo] = ACTIONS(1257),
    [anon_sym_BSLASHpr] = ACTIONS(1257),
    [anon_sym_BSLASHcls] = ACTIONS(1257),
    [anon_sym_BSLASHpmo] = ACTIONS(1257),
    [anon_sym_BSLASHpm] = ACTIONS(1257),
    [anon_sym_BSLASHpmc] = ACTIONS(1257),
    [anon_sym_BSLASHpmr] = ACTIONS(1257),
    [anon_sym_BSLASHpi] = ACTIONS(1257),
    [anon_sym_BSLASHmi] = ACTIONS(1257),
    [anon_sym_BSLASHnb] = ACTIONS(1257),
    [anon_sym_BSLASHpc] = ACTIONS(1257),
    [anon_sym_BSLASHph] = ACTIONS(1257),
    [anon_sym_BSLASHb] = ACTIONS(1257),
    [anon_sym_BSLASHq] = ACTIONS(1257),
    [anon_sym_BSLASHqr] = ACTIONS(1257),
    [anon_sym_BSLASHqc] = ACTIONS(1257),
    [anon_sym_BSLASHqa] = ACTIONS(1257),
    [anon_sym_BSLASHqm] = ACTIONS(1257),
    [anon_sym_BSLASHqd] = ACTIONS(1257),
    [anon_sym_BSLASHlh] = ACTIONS(1257),
    [anon_sym_BSLASHli] = ACTIONS(1257),
    [anon_sym_BSLASHlim] = ACTIONS(1257),
    [anon_sym_BSLASHtr] = ACTIONS(1257),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1257),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1257),
    [anon_sym_BSLASHcat] = ACTIONS(1257),
  },
  [205] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(201),
    [sym__comments] = STATE(201),
    [sym_sts] = STATE(201),
    [sym_rem] = STATE(201),
    [sym_restore] = STATE(201),
    [sym_lit] = STATE(201),
    [sym_verseText] = STATE(201),
    [sym_v] = STATE(201),
    [sym__verseMeta] = STATE(201),
    [sym_va] = STATE(201),
    [sym_vp] = STATE(201),
    [sym__paragraphContent] = STATE(201),
    [sym_footnote] = STATE(201),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(201),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(201),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(201),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(201),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1321),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1321),
    [anon_sym_BSLASHms] = ACTIONS(1321),
    [anon_sym_BSLASHs] = ACTIONS(1321),
    [anon_sym_BSLASHr] = ACTIONS(1321),
    [anon_sym_BSLASHsp] = ACTIONS(1321),
    [anon_sym_BSLASHd] = ACTIONS(1321),
    [anon_sym_BSLASHsd] = ACTIONS(1321),
    [anon_sym_BSLASHp] = ACTIONS(1321),
    [anon_sym_BSLASHm] = ACTIONS(1321),
    [anon_sym_BSLASHpo] = ACTIONS(1321),
    [anon_sym_BSLASHpr] = ACTIONS(1321),
    [anon_sym_BSLASHcls] = ACTIONS(1321),
    [anon_sym_BSLASHpmo] = ACTIONS(1321),
    [anon_sym_BSLASHpm] = ACTIONS(1321),
    [anon_sym_BSLASHpmc] = ACTIONS(1321),
    [anon_sym_BSLASHpmr] = ACTIONS(1321),
    [anon_sym_BSLASHpi] = ACTIONS(1321),
    [anon_sym_BSLASHmi] = ACTIONS(1321),
    [anon_sym_BSLASHnb] = ACTIONS(1321),
    [anon_sym_BSLASHpc] = ACTIONS(1321),
    [anon_sym_BSLASHph] = ACTIONS(1321),
    [anon_sym_BSLASHb] = ACTIONS(1321),
    [anon_sym_BSLASHq] = ACTIONS(1321),
    [anon_sym_BSLASHqr] = ACTIONS(1321),
    [anon_sym_BSLASHqc] = ACTIONS(1321),
    [anon_sym_BSLASHqa] = ACTIONS(1321),
    [anon_sym_BSLASHqm] = ACTIONS(1321),
    [anon_sym_BSLASHqd] = ACTIONS(1321),
    [anon_sym_BSLASHlh] = ACTIONS(1321),
    [anon_sym_BSLASHli] = ACTIONS(1321),
    [anon_sym_BSLASHlim] = ACTIONS(1321),
    [anon_sym_BSLASHtr] = ACTIONS(1321),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1321),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1321),
    [anon_sym_BSLASHcat] = ACTIONS(1321),
  },
  [206] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(199),
    [sym__comments] = STATE(199),
    [sym_sts] = STATE(199),
    [sym_rem] = STATE(199),
    [sym_restore] = STATE(199),
    [sym_lit] = STATE(199),
    [sym_verseText] = STATE(199),
    [sym_v] = STATE(199),
    [sym__verseMeta] = STATE(199),
    [sym_va] = STATE(199),
    [sym_vp] = STATE(199),
    [sym__paragraphContent] = STATE(199),
    [sym_footnote] = STATE(199),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(199),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(199),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(199),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(199),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1261),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1261),
    [anon_sym_BSLASHms] = ACTIONS(1261),
    [anon_sym_BSLASHs] = ACTIONS(1261),
    [anon_sym_BSLASHr] = ACTIONS(1261),
    [anon_sym_BSLASHsp] = ACTIONS(1261),
    [anon_sym_BSLASHd] = ACTIONS(1261),
    [anon_sym_BSLASHsd] = ACTIONS(1261),
    [anon_sym_BSLASHp] = ACTIONS(1261),
    [anon_sym_BSLASHm] = ACTIONS(1261),
    [anon_sym_BSLASHpo] = ACTIONS(1261),
    [anon_sym_BSLASHpr] = ACTIONS(1261),
    [anon_sym_BSLASHcls] = ACTIONS(1261),
    [anon_sym_BSLASHpmo] = ACTIONS(1261),
    [anon_sym_BSLASHpm] = ACTIONS(1261),
    [anon_sym_BSLASHpmc] = ACTIONS(1261),
    [anon_sym_BSLASHpmr] = ACTIONS(1261),
    [anon_sym_BSLASHpi] = ACTIONS(1261),
    [anon_sym_BSLASHmi] = ACTIONS(1261),
    [anon_sym_BSLASHnb] = ACTIONS(1261),
    [anon_sym_BSLASHpc] = ACTIONS(1261),
    [anon_sym_BSLASHph] = ACTIONS(1261),
    [anon_sym_BSLASHb] = ACTIONS(1261),
    [anon_sym_BSLASHq] = ACTIONS(1261),
    [anon_sym_BSLASHqr] = ACTIONS(1261),
    [anon_sym_BSLASHqc] = ACTIONS(1261),
    [anon_sym_BSLASHqa] = ACTIONS(1261),
    [anon_sym_BSLASHqm] = ACTIONS(1261),
    [anon_sym_BSLASHqd] = ACTIONS(1261),
    [anon_sym_BSLASHlh] = ACTIONS(1261),
    [anon_sym_BSLASHli] = ACTIONS(1261),
    [anon_sym_BSLASHlim] = ACTIONS(1261),
    [anon_sym_BSLASHtr] = ACTIONS(1261),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1261),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1261),
    [anon_sym_BSLASHcat] = ACTIONS(1261),
  },
  [207] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(199),
    [sym__comments] = STATE(199),
    [sym_sts] = STATE(199),
    [sym_rem] = STATE(199),
    [sym_restore] = STATE(199),
    [sym_lit] = STATE(199),
    [sym_verseText] = STATE(199),
    [sym_v] = STATE(199),
    [sym__verseMeta] = STATE(199),
    [sym_va] = STATE(199),
    [sym_vp] = STATE(199),
    [sym__paragraphContent] = STATE(199),
    [sym_footnote] = STATE(199),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(199),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(199),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(199),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(199),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1265),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1265),
    [anon_sym_BSLASHms] = ACTIONS(1265),
    [anon_sym_BSLASHs] = ACTIONS(1265),
    [anon_sym_BSLASHr] = ACTIONS(1265),
    [anon_sym_BSLASHsp] = ACTIONS(1265),
    [anon_sym_BSLASHd] = ACTIONS(1265),
    [anon_sym_BSLASHsd] = ACTIONS(1265),
    [anon_sym_BSLASHp] = ACTIONS(1265),
    [anon_sym_BSLASHm] = ACTIONS(1265),
    [anon_sym_BSLASHpo] = ACTIONS(1265),
    [anon_sym_BSLASHpr] = ACTIONS(1265),
    [anon_sym_BSLASHcls] = ACTIONS(1265),
    [anon_sym_BSLASHpmo] = ACTIONS(1265),
    [anon_sym_BSLASHpm] = ACTIONS(1265),
    [anon_sym_BSLASHpmc] = ACTIONS(1265),
    [anon_sym_BSLASHpmr] = ACTIONS(1265),
    [anon_sym_BSLASHpi] = ACTIONS(1265),
    [anon_sym_BSLASHmi] = ACTIONS(1265),
    [anon_sym_BSLASHnb] = ACTIONS(1265),
    [anon_sym_BSLASHpc] = ACTIONS(1265),
    [anon_sym_BSLASHph] = ACTIONS(1265),
    [anon_sym_BSLASHb] = ACTIONS(1265),
    [anon_sym_BSLASHq] = ACTIONS(1265),
    [anon_sym_BSLASHqr] = ACTIONS(1265),
    [anon_sym_BSLASHqc] = ACTIONS(1265),
    [anon_sym_BSLASHqa] = ACTIONS(1265),
    [anon_sym_BSLASHqm] = ACTIONS(1265),
    [anon_sym_BSLASHqd] = ACTIONS(1265),
    [anon_sym_BSLASHlh] = ACTIONS(1265),
    [anon_sym_BSLASHli] = ACTIONS(1265),
    [anon_sym_BSLASHlim] = ACTIONS(1265),
    [anon_sym_BSLASHtr] = ACTIONS(1265),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1265),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1265),
    [anon_sym_BSLASHcat] = ACTIONS(1265),
  },
  [208] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(199),
    [sym__comments] = STATE(199),
    [sym_sts] = STATE(199),
    [sym_rem] = STATE(199),
    [sym_restore] = STATE(199),
    [sym_lit] = STATE(199),
    [sym_verseText] = STATE(199),
    [sym_v] = STATE(199),
    [sym__verseMeta] = STATE(199),
    [sym_va] = STATE(199),
    [sym_vp] = STATE(199),
    [sym__paragraphContent] = STATE(199),
    [sym_footnote] = STATE(199),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(199),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(199),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(199),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(199),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1269),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1269),
    [anon_sym_BSLASHms] = ACTIONS(1269),
    [anon_sym_BSLASHs] = ACTIONS(1269),
    [anon_sym_BSLASHr] = ACTIONS(1269),
    [anon_sym_BSLASHsp] = ACTIONS(1269),
    [anon_sym_BSLASHd] = ACTIONS(1269),
    [anon_sym_BSLASHsd] = ACTIONS(1269),
    [anon_sym_BSLASHp] = ACTIONS(1269),
    [anon_sym_BSLASHm] = ACTIONS(1269),
    [anon_sym_BSLASHpo] = ACTIONS(1269),
    [anon_sym_BSLASHpr] = ACTIONS(1269),
    [anon_sym_BSLASHcls] = ACTIONS(1269),
    [anon_sym_BSLASHpmo] = ACTIONS(1269),
    [anon_sym_BSLASHpm] = ACTIONS(1269),
    [anon_sym_BSLASHpmc] = ACTIONS(1269),
    [anon_sym_BSLASHpmr] = ACTIONS(1269),
    [anon_sym_BSLASHpi] = ACTIONS(1269),
    [anon_sym_BSLASHmi] = ACTIONS(1269),
    [anon_sym_BSLASHnb] = ACTIONS(1269),
    [anon_sym_BSLASHpc] = ACTIONS(1269),
    [anon_sym_BSLASHph] = ACTIONS(1269),
    [anon_sym_BSLASHb] = ACTIONS(1269),
    [anon_sym_BSLASHq] = ACTIONS(1269),
    [anon_sym_BSLASHqr] = ACTIONS(1269),
    [anon_sym_BSLASHqc] = ACTIONS(1269),
    [anon_sym_BSLASHqa] = ACTIONS(1269),
    [anon_sym_BSLASHqm] = ACTIONS(1269),
    [anon_sym_BSLASHqd] = ACTIONS(1269),
    [anon_sym_BSLASHlh] = ACTIONS(1269),
    [anon_sym_BSLASHli] = ACTIONS(1269),
    [anon_sym_BSLASHlim] = ACTIONS(1269),
    [anon_sym_BSLASHtr] = ACTIONS(1269),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1269),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1269),
    [anon_sym_BSLASHcat] = ACTIONS(1269),
  },
  [209] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(219),
    [sym__comments] = STATE(219),
    [sym_sts] = STATE(219),
    [sym_rem] = STATE(219),
    [sym_restore] = STATE(219),
    [sym_lit] = STATE(219),
    [sym_verseText] = STATE(219),
    [sym_v] = STATE(219),
    [sym__verseMeta] = STATE(219),
    [sym_va] = STATE(219),
    [sym_vp] = STATE(219),
    [sym__paragraphContent] = STATE(219),
    [sym_footnote] = STATE(219),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(219),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(219),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(219),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(219),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1507),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1507),
    [anon_sym_BSLASHms] = ACTIONS(1507),
    [anon_sym_BSLASHs] = ACTIONS(1507),
    [anon_sym_BSLASHr] = ACTIONS(1507),
    [anon_sym_BSLASHsp] = ACTIONS(1507),
    [anon_sym_BSLASHd] = ACTIONS(1507),
    [anon_sym_BSLASHsd] = ACTIONS(1507),
    [anon_sym_BSLASHp] = ACTIONS(1507),
    [anon_sym_BSLASHm] = ACTIONS(1507),
    [anon_sym_BSLASHpo] = ACTIONS(1507),
    [anon_sym_BSLASHpr] = ACTIONS(1507),
    [anon_sym_BSLASHcls] = ACTIONS(1507),
    [anon_sym_BSLASHpmo] = ACTIONS(1507),
    [anon_sym_BSLASHpm] = ACTIONS(1507),
    [anon_sym_BSLASHpmc] = ACTIONS(1507),
    [anon_sym_BSLASHpmr] = ACTIONS(1507),
    [anon_sym_BSLASHpi] = ACTIONS(1507),
    [anon_sym_BSLASHmi] = ACTIONS(1507),
    [anon_sym_BSLASHnb] = ACTIONS(1507),
    [anon_sym_BSLASHpc] = ACTIONS(1507),
    [anon_sym_BSLASHph] = ACTIONS(1507),
    [anon_sym_BSLASHb] = ACTIONS(1507),
    [anon_sym_BSLASHq] = ACTIONS(1507),
    [anon_sym_BSLASHqr] = ACTIONS(1507),
    [anon_sym_BSLASHqc] = ACTIONS(1507),
    [anon_sym_BSLASHqa] = ACTIONS(1507),
    [anon_sym_BSLASHqm] = ACTIONS(1507),
    [anon_sym_BSLASHqd] = ACTIONS(1507),
    [anon_sym_BSLASHlh] = ACTIONS(1507),
    [anon_sym_BSLASHli] = ACTIONS(1507),
    [anon_sym_BSLASHlim] = ACTIONS(1507),
    [anon_sym_BSLASHtr] = ACTIONS(1507),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1507),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1507),
    [anon_sym_BSLASHcat] = ACTIONS(1507),
  },
  [210] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(198),
    [sym__comments] = STATE(198),
    [sym_sts] = STATE(198),
    [sym_rem] = STATE(198),
    [sym_restore] = STATE(198),
    [sym_lit] = STATE(198),
    [sym_verseText] = STATE(198),
    [sym_v] = STATE(198),
    [sym__verseMeta] = STATE(198),
    [sym_va] = STATE(198),
    [sym_vp] = STATE(198),
    [sym__paragraphContent] = STATE(198),
    [sym_footnote] = STATE(198),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(198),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(198),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(198),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(198),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1305),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1305),
    [anon_sym_BSLASHms] = ACTIONS(1305),
    [anon_sym_BSLASHs] = ACTIONS(1305),
    [anon_sym_BSLASHr] = ACTIONS(1305),
    [anon_sym_BSLASHsp] = ACTIONS(1305),
    [anon_sym_BSLASHd] = ACTIONS(1305),
    [anon_sym_BSLASHsd] = ACTIONS(1305),
    [anon_sym_BSLASHp] = ACTIONS(1305),
    [anon_sym_BSLASHm] = ACTIONS(1305),
    [anon_sym_BSLASHpo] = ACTIONS(1305),
    [anon_sym_BSLASHpr] = ACTIONS(1305),
    [anon_sym_BSLASHcls] = ACTIONS(1305),
    [anon_sym_BSLASHpmo] = ACTIONS(1305),
    [anon_sym_BSLASHpm] = ACTIONS(1305),
    [anon_sym_BSLASHpmc] = ACTIONS(1305),
    [anon_sym_BSLASHpmr] = ACTIONS(1305),
    [anon_sym_BSLASHpi] = ACTIONS(1305),
    [anon_sym_BSLASHmi] = ACTIONS(1305),
    [anon_sym_BSLASHnb] = ACTIONS(1305),
    [anon_sym_BSLASHpc] = ACTIONS(1305),
    [anon_sym_BSLASHph] = ACTIONS(1305),
    [anon_sym_BSLASHb] = ACTIONS(1305),
    [anon_sym_BSLASHq] = ACTIONS(1305),
    [anon_sym_BSLASHqr] = ACTIONS(1305),
    [anon_sym_BSLASHqc] = ACTIONS(1305),
    [anon_sym_BSLASHqa] = ACTIONS(1305),
    [anon_sym_BSLASHqm] = ACTIONS(1305),
    [anon_sym_BSLASHqd] = ACTIONS(1305),
    [anon_sym_BSLASHlh] = ACTIONS(1305),
    [anon_sym_BSLASHli] = ACTIONS(1305),
    [anon_sym_BSLASHlim] = ACTIONS(1305),
    [anon_sym_BSLASHtr] = ACTIONS(1305),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1305),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1305),
    [anon_sym_BSLASHcat] = ACTIONS(1305),
  },
  [211] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(218),
    [sym__comments] = STATE(218),
    [sym_sts] = STATE(218),
    [sym_rem] = STATE(218),
    [sym_restore] = STATE(218),
    [sym_lit] = STATE(218),
    [sym_verseText] = STATE(218),
    [sym_v] = STATE(218),
    [sym__verseMeta] = STATE(218),
    [sym_va] = STATE(218),
    [sym_vp] = STATE(218),
    [sym__paragraphContent] = STATE(218),
    [sym_footnote] = STATE(218),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(218),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(218),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(218),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(218),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1503),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1503),
    [anon_sym_BSLASHms] = ACTIONS(1503),
    [anon_sym_BSLASHs] = ACTIONS(1503),
    [anon_sym_BSLASHr] = ACTIONS(1503),
    [anon_sym_BSLASHsp] = ACTIONS(1503),
    [anon_sym_BSLASHd] = ACTIONS(1503),
    [anon_sym_BSLASHsd] = ACTIONS(1503),
    [anon_sym_BSLASHp] = ACTIONS(1503),
    [anon_sym_BSLASHm] = ACTIONS(1503),
    [anon_sym_BSLASHpo] = ACTIONS(1503),
    [anon_sym_BSLASHpr] = ACTIONS(1503),
    [anon_sym_BSLASHcls] = ACTIONS(1503),
    [anon_sym_BSLASHpmo] = ACTIONS(1503),
    [anon_sym_BSLASHpm] = ACTIONS(1503),
    [anon_sym_BSLASHpmc] = ACTIONS(1503),
    [anon_sym_BSLASHpmr] = ACTIONS(1503),
    [anon_sym_BSLASHpi] = ACTIONS(1503),
    [anon_sym_BSLASHmi] = ACTIONS(1503),
    [anon_sym_BSLASHnb] = ACTIONS(1503),
    [anon_sym_BSLASHpc] = ACTIONS(1503),
    [anon_sym_BSLASHph] = ACTIONS(1503),
    [anon_sym_BSLASHb] = ACTIONS(1503),
    [anon_sym_BSLASHq] = ACTIONS(1503),
    [anon_sym_BSLASHqr] = ACTIONS(1503),
    [anon_sym_BSLASHqc] = ACTIONS(1503),
    [anon_sym_BSLASHqa] = ACTIONS(1503),
    [anon_sym_BSLASHqm] = ACTIONS(1503),
    [anon_sym_BSLASHqd] = ACTIONS(1503),
    [anon_sym_BSLASHlh] = ACTIONS(1503),
    [anon_sym_BSLASHli] = ACTIONS(1503),
    [anon_sym_BSLASHlim] = ACTIONS(1503),
    [anon_sym_BSLASHtr] = ACTIONS(1503),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1503),
    [anon_sym_BSLASHcat] = ACTIONS(1503),
  },
  [212] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(199),
    [sym__comments] = STATE(199),
    [sym_sts] = STATE(199),
    [sym_rem] = STATE(199),
    [sym_restore] = STATE(199),
    [sym_lit] = STATE(199),
    [sym_verseText] = STATE(199),
    [sym_v] = STATE(199),
    [sym__verseMeta] = STATE(199),
    [sym_va] = STATE(199),
    [sym_vp] = STATE(199),
    [sym__paragraphContent] = STATE(199),
    [sym_footnote] = STATE(199),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(199),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(199),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(199),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(199),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1273),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1273),
    [anon_sym_BSLASHms] = ACTIONS(1273),
    [anon_sym_BSLASHs] = ACTIONS(1273),
    [anon_sym_BSLASHr] = ACTIONS(1273),
    [anon_sym_BSLASHsp] = ACTIONS(1273),
    [anon_sym_BSLASHd] = ACTIONS(1273),
    [anon_sym_BSLASHsd] = ACTIONS(1273),
    [anon_sym_BSLASHp] = ACTIONS(1273),
    [anon_sym_BSLASHm] = ACTIONS(1273),
    [anon_sym_BSLASHpo] = ACTIONS(1273),
    [anon_sym_BSLASHpr] = ACTIONS(1273),
    [anon_sym_BSLASHcls] = ACTIONS(1273),
    [anon_sym_BSLASHpmo] = ACTIONS(1273),
    [anon_sym_BSLASHpm] = ACTIONS(1273),
    [anon_sym_BSLASHpmc] = ACTIONS(1273),
    [anon_sym_BSLASHpmr] = ACTIONS(1273),
    [anon_sym_BSLASHpi] = ACTIONS(1273),
    [anon_sym_BSLASHmi] = ACTIONS(1273),
    [anon_sym_BSLASHnb] = ACTIONS(1273),
    [anon_sym_BSLASHpc] = ACTIONS(1273),
    [anon_sym_BSLASHph] = ACTIONS(1273),
    [anon_sym_BSLASHb] = ACTIONS(1273),
    [anon_sym_BSLASHq] = ACTIONS(1273),
    [anon_sym_BSLASHqr] = ACTIONS(1273),
    [anon_sym_BSLASHqc] = ACTIONS(1273),
    [anon_sym_BSLASHqa] = ACTIONS(1273),
    [anon_sym_BSLASHqm] = ACTIONS(1273),
    [anon_sym_BSLASHqd] = ACTIONS(1273),
    [anon_sym_BSLASHlh] = ACTIONS(1273),
    [anon_sym_BSLASHli] = ACTIONS(1273),
    [anon_sym_BSLASHlim] = ACTIONS(1273),
    [anon_sym_BSLASHtr] = ACTIONS(1273),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1273),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1273),
    [anon_sym_BSLASHcat] = ACTIONS(1273),
  },
  [213] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(216),
    [sym__comments] = STATE(216),
    [sym_sts] = STATE(216),
    [sym_rem] = STATE(216),
    [sym_restore] = STATE(216),
    [sym_lit] = STATE(216),
    [sym_verseText] = STATE(216),
    [sym_v] = STATE(216),
    [sym__verseMeta] = STATE(216),
    [sym_va] = STATE(216),
    [sym_vp] = STATE(216),
    [sym__paragraphContent] = STATE(216),
    [sym_footnote] = STATE(216),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(216),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(216),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(216),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(216),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1491),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1491),
    [anon_sym_BSLASHms] = ACTIONS(1491),
    [anon_sym_BSLASHs] = ACTIONS(1491),
    [anon_sym_BSLASHr] = ACTIONS(1491),
    [anon_sym_BSLASHsp] = ACTIONS(1491),
    [anon_sym_BSLASHd] = ACTIONS(1491),
    [anon_sym_BSLASHsd] = ACTIONS(1491),
    [anon_sym_BSLASHp] = ACTIONS(1491),
    [anon_sym_BSLASHm] = ACTIONS(1491),
    [anon_sym_BSLASHpo] = ACTIONS(1491),
    [anon_sym_BSLASHpr] = ACTIONS(1491),
    [anon_sym_BSLASHcls] = ACTIONS(1491),
    [anon_sym_BSLASHpmo] = ACTIONS(1491),
    [anon_sym_BSLASHpm] = ACTIONS(1491),
    [anon_sym_BSLASHpmc] = ACTIONS(1491),
    [anon_sym_BSLASHpmr] = ACTIONS(1491),
    [anon_sym_BSLASHpi] = ACTIONS(1491),
    [anon_sym_BSLASHmi] = ACTIONS(1491),
    [anon_sym_BSLASHnb] = ACTIONS(1491),
    [anon_sym_BSLASHpc] = ACTIONS(1491),
    [anon_sym_BSLASHph] = ACTIONS(1491),
    [anon_sym_BSLASHb] = ACTIONS(1491),
    [anon_sym_BSLASHq] = ACTIONS(1491),
    [anon_sym_BSLASHqr] = ACTIONS(1491),
    [anon_sym_BSLASHqc] = ACTIONS(1491),
    [anon_sym_BSLASHqa] = ACTIONS(1491),
    [anon_sym_BSLASHqm] = ACTIONS(1491),
    [anon_sym_BSLASHqd] = ACTIONS(1491),
    [anon_sym_BSLASHlh] = ACTIONS(1491),
    [anon_sym_BSLASHli] = ACTIONS(1491),
    [anon_sym_BSLASHlim] = ACTIONS(1491),
    [anon_sym_BSLASHtr] = ACTIONS(1491),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1491),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1491),
    [anon_sym_BSLASHcat] = ACTIONS(1491),
  },
  [214] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(215),
    [sym__comments] = STATE(215),
    [sym_sts] = STATE(215),
    [sym_rem] = STATE(215),
    [sym_restore] = STATE(215),
    [sym_lit] = STATE(215),
    [sym_verseText] = STATE(215),
    [sym_v] = STATE(215),
    [sym__verseMeta] = STATE(215),
    [sym_va] = STATE(215),
    [sym_vp] = STATE(215),
    [sym__paragraphContent] = STATE(215),
    [sym_footnote] = STATE(215),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(215),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(215),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(215),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(215),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1479),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1479),
    [anon_sym_BSLASHms] = ACTIONS(1479),
    [anon_sym_BSLASHs] = ACTIONS(1479),
    [anon_sym_BSLASHr] = ACTIONS(1479),
    [anon_sym_BSLASHsp] = ACTIONS(1479),
    [anon_sym_BSLASHd] = ACTIONS(1479),
    [anon_sym_BSLASHsd] = ACTIONS(1479),
    [anon_sym_BSLASHp] = ACTIONS(1479),
    [anon_sym_BSLASHm] = ACTIONS(1479),
    [anon_sym_BSLASHpo] = ACTIONS(1479),
    [anon_sym_BSLASHpr] = ACTIONS(1479),
    [anon_sym_BSLASHcls] = ACTIONS(1479),
    [anon_sym_BSLASHpmo] = ACTIONS(1479),
    [anon_sym_BSLASHpm] = ACTIONS(1479),
    [anon_sym_BSLASHpmc] = ACTIONS(1479),
    [anon_sym_BSLASHpmr] = ACTIONS(1479),
    [anon_sym_BSLASHpi] = ACTIONS(1479),
    [anon_sym_BSLASHmi] = ACTIONS(1479),
    [anon_sym_BSLASHnb] = ACTIONS(1479),
    [anon_sym_BSLASHpc] = ACTIONS(1479),
    [anon_sym_BSLASHph] = ACTIONS(1479),
    [anon_sym_BSLASHb] = ACTIONS(1479),
    [anon_sym_BSLASHq] = ACTIONS(1479),
    [anon_sym_BSLASHqr] = ACTIONS(1479),
    [anon_sym_BSLASHqc] = ACTIONS(1479),
    [anon_sym_BSLASHqa] = ACTIONS(1479),
    [anon_sym_BSLASHqm] = ACTIONS(1479),
    [anon_sym_BSLASHqd] = ACTIONS(1479),
    [anon_sym_BSLASHlh] = ACTIONS(1479),
    [anon_sym_BSLASHli] = ACTIONS(1479),
    [anon_sym_BSLASHlim] = ACTIONS(1479),
    [anon_sym_BSLASHtr] = ACTIONS(1479),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1479),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1479),
    [anon_sym_BSLASHcat] = ACTIONS(1479),
  },
  [215] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(199),
    [sym__comments] = STATE(199),
    [sym_sts] = STATE(199),
    [sym_rem] = STATE(199),
    [sym_restore] = STATE(199),
    [sym_lit] = STATE(199),
    [sym_verseText] = STATE(199),
    [sym_v] = STATE(199),
    [sym__verseMeta] = STATE(199),
    [sym_va] = STATE(199),
    [sym_vp] = STATE(199),
    [sym__paragraphContent] = STATE(199),
    [sym_footnote] = STATE(199),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(199),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(199),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(199),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(199),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1277),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1277),
    [anon_sym_BSLASHms] = ACTIONS(1277),
    [anon_sym_BSLASHs] = ACTIONS(1277),
    [anon_sym_BSLASHr] = ACTIONS(1277),
    [anon_sym_BSLASHsp] = ACTIONS(1277),
    [anon_sym_BSLASHd] = ACTIONS(1277),
    [anon_sym_BSLASHsd] = ACTIONS(1277),
    [anon_sym_BSLASHp] = ACTIONS(1277),
    [anon_sym_BSLASHm] = ACTIONS(1277),
    [anon_sym_BSLASHpo] = ACTIONS(1277),
    [anon_sym_BSLASHpr] = ACTIONS(1277),
    [anon_sym_BSLASHcls] = ACTIONS(1277),
    [anon_sym_BSLASHpmo] = ACTIONS(1277),
    [anon_sym_BSLASHpm] = ACTIONS(1277),
    [anon_sym_BSLASHpmc] = ACTIONS(1277),
    [anon_sym_BSLASHpmr] = ACTIONS(1277),
    [anon_sym_BSLASHpi] = ACTIONS(1277),
    [anon_sym_BSLASHmi] = ACTIONS(1277),
    [anon_sym_BSLASHnb] = ACTIONS(1277),
    [anon_sym_BSLASHpc] = ACTIONS(1277),
    [anon_sym_BSLASHph] = ACTIONS(1277),
    [anon_sym_BSLASHb] = ACTIONS(1277),
    [anon_sym_BSLASHq] = ACTIONS(1277),
    [anon_sym_BSLASHqr] = ACTIONS(1277),
    [anon_sym_BSLASHqc] = ACTIONS(1277),
    [anon_sym_BSLASHqa] = ACTIONS(1277),
    [anon_sym_BSLASHqm] = ACTIONS(1277),
    [anon_sym_BSLASHqd] = ACTIONS(1277),
    [anon_sym_BSLASHlh] = ACTIONS(1277),
    [anon_sym_BSLASHli] = ACTIONS(1277),
    [anon_sym_BSLASHlim] = ACTIONS(1277),
    [anon_sym_BSLASHtr] = ACTIONS(1277),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1277),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1277),
    [anon_sym_BSLASHcat] = ACTIONS(1277),
  },
  [216] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(199),
    [sym__comments] = STATE(199),
    [sym_sts] = STATE(199),
    [sym_rem] = STATE(199),
    [sym_restore] = STATE(199),
    [sym_lit] = STATE(199),
    [sym_verseText] = STATE(199),
    [sym_v] = STATE(199),
    [sym__verseMeta] = STATE(199),
    [sym_va] = STATE(199),
    [sym_vp] = STATE(199),
    [sym__paragraphContent] = STATE(199),
    [sym_footnote] = STATE(199),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(199),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(199),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(199),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(199),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1281),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1281),
    [anon_sym_BSLASHms] = ACTIONS(1281),
    [anon_sym_BSLASHs] = ACTIONS(1281),
    [anon_sym_BSLASHr] = ACTIONS(1281),
    [anon_sym_BSLASHsp] = ACTIONS(1281),
    [anon_sym_BSLASHd] = ACTIONS(1281),
    [anon_sym_BSLASHsd] = ACTIONS(1281),
    [anon_sym_BSLASHp] = ACTIONS(1281),
    [anon_sym_BSLASHm] = ACTIONS(1281),
    [anon_sym_BSLASHpo] = ACTIONS(1281),
    [anon_sym_BSLASHpr] = ACTIONS(1281),
    [anon_sym_BSLASHcls] = ACTIONS(1281),
    [anon_sym_BSLASHpmo] = ACTIONS(1281),
    [anon_sym_BSLASHpm] = ACTIONS(1281),
    [anon_sym_BSLASHpmc] = ACTIONS(1281),
    [anon_sym_BSLASHpmr] = ACTIONS(1281),
    [anon_sym_BSLASHpi] = ACTIONS(1281),
    [anon_sym_BSLASHmi] = ACTIONS(1281),
    [anon_sym_BSLASHnb] = ACTIONS(1281),
    [anon_sym_BSLASHpc] = ACTIONS(1281),
    [anon_sym_BSLASHph] = ACTIONS(1281),
    [anon_sym_BSLASHb] = ACTIONS(1281),
    [anon_sym_BSLASHq] = ACTIONS(1281),
    [anon_sym_BSLASHqr] = ACTIONS(1281),
    [anon_sym_BSLASHqc] = ACTIONS(1281),
    [anon_sym_BSLASHqa] = ACTIONS(1281),
    [anon_sym_BSLASHqm] = ACTIONS(1281),
    [anon_sym_BSLASHqd] = ACTIONS(1281),
    [anon_sym_BSLASHlh] = ACTIONS(1281),
    [anon_sym_BSLASHli] = ACTIONS(1281),
    [anon_sym_BSLASHlim] = ACTIONS(1281),
    [anon_sym_BSLASHtr] = ACTIONS(1281),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1281),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1281),
    [anon_sym_BSLASHcat] = ACTIONS(1281),
  },
  [217] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(208),
    [sym__comments] = STATE(208),
    [sym_sts] = STATE(208),
    [sym_rem] = STATE(208),
    [sym_restore] = STATE(208),
    [sym_lit] = STATE(208),
    [sym_verseText] = STATE(208),
    [sym_v] = STATE(208),
    [sym__verseMeta] = STATE(208),
    [sym_va] = STATE(208),
    [sym_vp] = STATE(208),
    [sym__paragraphContent] = STATE(208),
    [sym_footnote] = STATE(208),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(208),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(208),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(208),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(208),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1253),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1253),
    [anon_sym_BSLASHms] = ACTIONS(1253),
    [anon_sym_BSLASHs] = ACTIONS(1253),
    [anon_sym_BSLASHr] = ACTIONS(1253),
    [anon_sym_BSLASHsp] = ACTIONS(1253),
    [anon_sym_BSLASHd] = ACTIONS(1253),
    [anon_sym_BSLASHsd] = ACTIONS(1253),
    [anon_sym_BSLASHp] = ACTIONS(1253),
    [anon_sym_BSLASHm] = ACTIONS(1253),
    [anon_sym_BSLASHpo] = ACTIONS(1253),
    [anon_sym_BSLASHpr] = ACTIONS(1253),
    [anon_sym_BSLASHcls] = ACTIONS(1253),
    [anon_sym_BSLASHpmo] = ACTIONS(1253),
    [anon_sym_BSLASHpm] = ACTIONS(1253),
    [anon_sym_BSLASHpmc] = ACTIONS(1253),
    [anon_sym_BSLASHpmr] = ACTIONS(1253),
    [anon_sym_BSLASHpi] = ACTIONS(1253),
    [anon_sym_BSLASHmi] = ACTIONS(1253),
    [anon_sym_BSLASHnb] = ACTIONS(1253),
    [anon_sym_BSLASHpc] = ACTIONS(1253),
    [anon_sym_BSLASHph] = ACTIONS(1253),
    [anon_sym_BSLASHb] = ACTIONS(1253),
    [anon_sym_BSLASHq] = ACTIONS(1253),
    [anon_sym_BSLASHqr] = ACTIONS(1253),
    [anon_sym_BSLASHqc] = ACTIONS(1253),
    [anon_sym_BSLASHqa] = ACTIONS(1253),
    [anon_sym_BSLASHqm] = ACTIONS(1253),
    [anon_sym_BSLASHqd] = ACTIONS(1253),
    [anon_sym_BSLASHlh] = ACTIONS(1253),
    [anon_sym_BSLASHli] = ACTIONS(1253),
    [anon_sym_BSLASHlim] = ACTIONS(1253),
    [anon_sym_BSLASHtr] = ACTIONS(1253),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1253),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1253),
    [anon_sym_BSLASHcat] = ACTIONS(1253),
  },
  [218] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(199),
    [sym__comments] = STATE(199),
    [sym_sts] = STATE(199),
    [sym_rem] = STATE(199),
    [sym_restore] = STATE(199),
    [sym_lit] = STATE(199),
    [sym_verseText] = STATE(199),
    [sym_v] = STATE(199),
    [sym__verseMeta] = STATE(199),
    [sym_va] = STATE(199),
    [sym_vp] = STATE(199),
    [sym__paragraphContent] = STATE(199),
    [sym_footnote] = STATE(199),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(199),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(199),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(199),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(199),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1285),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1285),
    [anon_sym_BSLASHms] = ACTIONS(1285),
    [anon_sym_BSLASHs] = ACTIONS(1285),
    [anon_sym_BSLASHr] = ACTIONS(1285),
    [anon_sym_BSLASHsp] = ACTIONS(1285),
    [anon_sym_BSLASHd] = ACTIONS(1285),
    [anon_sym_BSLASHsd] = ACTIONS(1285),
    [anon_sym_BSLASHp] = ACTIONS(1285),
    [anon_sym_BSLASHm] = ACTIONS(1285),
    [anon_sym_BSLASHpo] = ACTIONS(1285),
    [anon_sym_BSLASHpr] = ACTIONS(1285),
    [anon_sym_BSLASHcls] = ACTIONS(1285),
    [anon_sym_BSLASHpmo] = ACTIONS(1285),
    [anon_sym_BSLASHpm] = ACTIONS(1285),
    [anon_sym_BSLASHpmc] = ACTIONS(1285),
    [anon_sym_BSLASHpmr] = ACTIONS(1285),
    [anon_sym_BSLASHpi] = ACTIONS(1285),
    [anon_sym_BSLASHmi] = ACTIONS(1285),
    [anon_sym_BSLASHnb] = ACTIONS(1285),
    [anon_sym_BSLASHpc] = ACTIONS(1285),
    [anon_sym_BSLASHph] = ACTIONS(1285),
    [anon_sym_BSLASHb] = ACTIONS(1285),
    [anon_sym_BSLASHq] = ACTIONS(1285),
    [anon_sym_BSLASHqr] = ACTIONS(1285),
    [anon_sym_BSLASHqc] = ACTIONS(1285),
    [anon_sym_BSLASHqa] = ACTIONS(1285),
    [anon_sym_BSLASHqm] = ACTIONS(1285),
    [anon_sym_BSLASHqd] = ACTIONS(1285),
    [anon_sym_BSLASHlh] = ACTIONS(1285),
    [anon_sym_BSLASHli] = ACTIONS(1285),
    [anon_sym_BSLASHlim] = ACTIONS(1285),
    [anon_sym_BSLASHtr] = ACTIONS(1285),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1285),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1285),
    [anon_sym_BSLASHcat] = ACTIONS(1285),
  },
  [219] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(199),
    [sym__comments] = STATE(199),
    [sym_sts] = STATE(199),
    [sym_rem] = STATE(199),
    [sym_restore] = STATE(199),
    [sym_lit] = STATE(199),
    [sym_verseText] = STATE(199),
    [sym_v] = STATE(199),
    [sym__verseMeta] = STATE(199),
    [sym_va] = STATE(199),
    [sym_vp] = STATE(199),
    [sym__paragraphContent] = STATE(199),
    [sym_footnote] = STATE(199),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(199),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(199),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(199),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(199),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1289),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1289),
    [anon_sym_BSLASHms] = ACTIONS(1289),
    [anon_sym_BSLASHs] = ACTIONS(1289),
    [anon_sym_BSLASHr] = ACTIONS(1289),
    [anon_sym_BSLASHsp] = ACTIONS(1289),
    [anon_sym_BSLASHd] = ACTIONS(1289),
    [anon_sym_BSLASHsd] = ACTIONS(1289),
    [anon_sym_BSLASHp] = ACTIONS(1289),
    [anon_sym_BSLASHm] = ACTIONS(1289),
    [anon_sym_BSLASHpo] = ACTIONS(1289),
    [anon_sym_BSLASHpr] = ACTIONS(1289),
    [anon_sym_BSLASHcls] = ACTIONS(1289),
    [anon_sym_BSLASHpmo] = ACTIONS(1289),
    [anon_sym_BSLASHpm] = ACTIONS(1289),
    [anon_sym_BSLASHpmc] = ACTIONS(1289),
    [anon_sym_BSLASHpmr] = ACTIONS(1289),
    [anon_sym_BSLASHpi] = ACTIONS(1289),
    [anon_sym_BSLASHmi] = ACTIONS(1289),
    [anon_sym_BSLASHnb] = ACTIONS(1289),
    [anon_sym_BSLASHpc] = ACTIONS(1289),
    [anon_sym_BSLASHph] = ACTIONS(1289),
    [anon_sym_BSLASHb] = ACTIONS(1289),
    [anon_sym_BSLASHq] = ACTIONS(1289),
    [anon_sym_BSLASHqr] = ACTIONS(1289),
    [anon_sym_BSLASHqc] = ACTIONS(1289),
    [anon_sym_BSLASHqa] = ACTIONS(1289),
    [anon_sym_BSLASHqm] = ACTIONS(1289),
    [anon_sym_BSLASHqd] = ACTIONS(1289),
    [anon_sym_BSLASHlh] = ACTIONS(1289),
    [anon_sym_BSLASHli] = ACTIONS(1289),
    [anon_sym_BSLASHlim] = ACTIONS(1289),
    [anon_sym_BSLASHtr] = ACTIONS(1289),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1289),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1289),
    [anon_sym_BSLASHcat] = ACTIONS(1289),
  },
  [220] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(202),
    [sym__comments] = STATE(202),
    [sym_sts] = STATE(202),
    [sym_rem] = STATE(202),
    [sym_restore] = STATE(202),
    [sym_lit] = STATE(202),
    [sym_verseText] = STATE(202),
    [sym_v] = STATE(202),
    [sym__verseMeta] = STATE(202),
    [sym_va] = STATE(202),
    [sym_vp] = STATE(202),
    [sym__paragraphContent] = STATE(202),
    [sym_footnote] = STATE(202),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(202),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(202),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(202),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(202),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1499),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1499),
    [anon_sym_BSLASHms] = ACTIONS(1499),
    [anon_sym_BSLASHs] = ACTIONS(1499),
    [anon_sym_BSLASHr] = ACTIONS(1499),
    [anon_sym_BSLASHsp] = ACTIONS(1499),
    [anon_sym_BSLASHd] = ACTIONS(1499),
    [anon_sym_BSLASHsd] = ACTIONS(1499),
    [anon_sym_BSLASHp] = ACTIONS(1499),
    [anon_sym_BSLASHm] = ACTIONS(1499),
    [anon_sym_BSLASHpo] = ACTIONS(1499),
    [anon_sym_BSLASHpr] = ACTIONS(1499),
    [anon_sym_BSLASHcls] = ACTIONS(1499),
    [anon_sym_BSLASHpmo] = ACTIONS(1499),
    [anon_sym_BSLASHpm] = ACTIONS(1499),
    [anon_sym_BSLASHpmc] = ACTIONS(1499),
    [anon_sym_BSLASHpmr] = ACTIONS(1499),
    [anon_sym_BSLASHpi] = ACTIONS(1499),
    [anon_sym_BSLASHmi] = ACTIONS(1499),
    [anon_sym_BSLASHnb] = ACTIONS(1499),
    [anon_sym_BSLASHpc] = ACTIONS(1499),
    [anon_sym_BSLASHph] = ACTIONS(1499),
    [anon_sym_BSLASHb] = ACTIONS(1499),
    [anon_sym_BSLASHq] = ACTIONS(1499),
    [anon_sym_BSLASHqr] = ACTIONS(1499),
    [anon_sym_BSLASHqc] = ACTIONS(1499),
    [anon_sym_BSLASHqa] = ACTIONS(1499),
    [anon_sym_BSLASHqm] = ACTIONS(1499),
    [anon_sym_BSLASHqd] = ACTIONS(1499),
    [anon_sym_BSLASHlh] = ACTIONS(1499),
    [anon_sym_BSLASHli] = ACTIONS(1499),
    [anon_sym_BSLASHlim] = ACTIONS(1499),
    [anon_sym_BSLASHtr] = ACTIONS(1499),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1499),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1499),
    [anon_sym_BSLASHcat] = ACTIONS(1499),
  },
  [221] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(193),
    [sym__comments] = STATE(193),
    [sym_sts] = STATE(193),
    [sym_rem] = STATE(193),
    [sym_restore] = STATE(193),
    [sym_lit] = STATE(193),
    [sym_verseText] = STATE(193),
    [sym_v] = STATE(193),
    [sym__verseMeta] = STATE(193),
    [sym_va] = STATE(193),
    [sym_vp] = STATE(193),
    [sym__paragraphContent] = STATE(193),
    [sym_footnote] = STATE(193),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(193),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(193),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(193),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(193),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1495),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1495),
    [anon_sym_BSLASHms] = ACTIONS(1495),
    [anon_sym_BSLASHs] = ACTIONS(1495),
    [anon_sym_BSLASHr] = ACTIONS(1495),
    [anon_sym_BSLASHsp] = ACTIONS(1495),
    [anon_sym_BSLASHd] = ACTIONS(1495),
    [anon_sym_BSLASHsd] = ACTIONS(1495),
    [anon_sym_BSLASHp] = ACTIONS(1495),
    [anon_sym_BSLASHm] = ACTIONS(1495),
    [anon_sym_BSLASHpo] = ACTIONS(1495),
    [anon_sym_BSLASHpr] = ACTIONS(1495),
    [anon_sym_BSLASHcls] = ACTIONS(1495),
    [anon_sym_BSLASHpmo] = ACTIONS(1495),
    [anon_sym_BSLASHpm] = ACTIONS(1495),
    [anon_sym_BSLASHpmc] = ACTIONS(1495),
    [anon_sym_BSLASHpmr] = ACTIONS(1495),
    [anon_sym_BSLASHpi] = ACTIONS(1495),
    [anon_sym_BSLASHmi] = ACTIONS(1495),
    [anon_sym_BSLASHnb] = ACTIONS(1495),
    [anon_sym_BSLASHpc] = ACTIONS(1495),
    [anon_sym_BSLASHph] = ACTIONS(1495),
    [anon_sym_BSLASHb] = ACTIONS(1495),
    [anon_sym_BSLASHq] = ACTIONS(1495),
    [anon_sym_BSLASHqr] = ACTIONS(1495),
    [anon_sym_BSLASHqc] = ACTIONS(1495),
    [anon_sym_BSLASHqa] = ACTIONS(1495),
    [anon_sym_BSLASHqm] = ACTIONS(1495),
    [anon_sym_BSLASHqd] = ACTIONS(1495),
    [anon_sym_BSLASHlh] = ACTIONS(1495),
    [anon_sym_BSLASHli] = ACTIONS(1495),
    [anon_sym_BSLASHlim] = ACTIONS(1495),
    [anon_sym_BSLASHtr] = ACTIONS(1495),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1495),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1495),
    [anon_sym_BSLASHcat] = ACTIONS(1495),
  },
  [222] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(206),
    [sym__comments] = STATE(206),
    [sym_sts] = STATE(206),
    [sym_rem] = STATE(206),
    [sym_restore] = STATE(206),
    [sym_lit] = STATE(206),
    [sym_verseText] = STATE(206),
    [sym_v] = STATE(206),
    [sym__verseMeta] = STATE(206),
    [sym_va] = STATE(206),
    [sym_vp] = STATE(206),
    [sym__paragraphContent] = STATE(206),
    [sym_footnote] = STATE(206),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(206),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(206),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(206),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(206),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1317),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1317),
    [anon_sym_BSLASHms] = ACTIONS(1317),
    [anon_sym_BSLASHs] = ACTIONS(1317),
    [anon_sym_BSLASHr] = ACTIONS(1317),
    [anon_sym_BSLASHsp] = ACTIONS(1317),
    [anon_sym_BSLASHd] = ACTIONS(1317),
    [anon_sym_BSLASHsd] = ACTIONS(1317),
    [anon_sym_BSLASHp] = ACTIONS(1317),
    [anon_sym_BSLASHm] = ACTIONS(1317),
    [anon_sym_BSLASHpo] = ACTIONS(1317),
    [anon_sym_BSLASHpr] = ACTIONS(1317),
    [anon_sym_BSLASHcls] = ACTIONS(1317),
    [anon_sym_BSLASHpmo] = ACTIONS(1317),
    [anon_sym_BSLASHpm] = ACTIONS(1317),
    [anon_sym_BSLASHpmc] = ACTIONS(1317),
    [anon_sym_BSLASHpmr] = ACTIONS(1317),
    [anon_sym_BSLASHpi] = ACTIONS(1317),
    [anon_sym_BSLASHmi] = ACTIONS(1317),
    [anon_sym_BSLASHnb] = ACTIONS(1317),
    [anon_sym_BSLASHpc] = ACTIONS(1317),
    [anon_sym_BSLASHph] = ACTIONS(1317),
    [anon_sym_BSLASHb] = ACTIONS(1317),
    [anon_sym_BSLASHq] = ACTIONS(1317),
    [anon_sym_BSLASHqr] = ACTIONS(1317),
    [anon_sym_BSLASHqc] = ACTIONS(1317),
    [anon_sym_BSLASHqa] = ACTIONS(1317),
    [anon_sym_BSLASHqm] = ACTIONS(1317),
    [anon_sym_BSLASHqd] = ACTIONS(1317),
    [anon_sym_BSLASHlh] = ACTIONS(1317),
    [anon_sym_BSLASHli] = ACTIONS(1317),
    [anon_sym_BSLASHlim] = ACTIONS(1317),
    [anon_sym_BSLASHtr] = ACTIONS(1317),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1317),
    [anon_sym_BSLASHcat] = ACTIONS(1317),
  },
  [223] = {
    [sym_text] = STATE(316),
    [sym_ref] = STATE(212),
    [sym__comments] = STATE(212),
    [sym_sts] = STATE(212),
    [sym_rem] = STATE(212),
    [sym_restore] = STATE(212),
    [sym_lit] = STATE(212),
    [sym_verseText] = STATE(212),
    [sym_v] = STATE(212),
    [sym__verseMeta] = STATE(212),
    [sym_va] = STATE(212),
    [sym_vp] = STATE(212),
    [sym__paragraphContent] = STATE(212),
    [sym_footnote] = STATE(212),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(212),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [sym_milestoneTag] = STATE(1971),
    [sym__milestoneStandaloneMarker] = STATE(584),
    [sym__milestoneStart] = STATE(584),
    [sym__milestoneEnd] = STATE(584),
    [sym_milestone] = STATE(212),
    [sym__zNameSpaceRegular] = STATE(590),
    [sym__zNameSpaceClosed] = STATE(590),
    [sym__zNameSpaceStandaloneMarker] = STATE(590),
    [sym_zNameSpace] = STATE(212),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_p_repeat1] = STATE(212),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(764),
    [anon_sym_BSLASHrem] = ACTIONS(766),
    [anon_sym_BSLASHrestore] = ACTIONS(768),
    [anon_sym_BSLASHlit] = ACTIONS(770),
    [anon_sym_BSLASHip] = ACTIONS(1301),
    [anon_sym_BSLASHv] = ACTIONS(772),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(1301),
    [anon_sym_BSLASHms] = ACTIONS(1301),
    [anon_sym_BSLASHs] = ACTIONS(1301),
    [anon_sym_BSLASHr] = ACTIONS(1301),
    [anon_sym_BSLASHsp] = ACTIONS(1301),
    [anon_sym_BSLASHd] = ACTIONS(1301),
    [anon_sym_BSLASHsd] = ACTIONS(1301),
    [anon_sym_BSLASHp] = ACTIONS(1301),
    [anon_sym_BSLASHm] = ACTIONS(1301),
    [anon_sym_BSLASHpo] = ACTIONS(1301),
    [anon_sym_BSLASHpr] = ACTIONS(1301),
    [anon_sym_BSLASHcls] = ACTIONS(1301),
    [anon_sym_BSLASHpmo] = ACTIONS(1301),
    [anon_sym_BSLASHpm] = ACTIONS(1301),
    [anon_sym_BSLASHpmc] = ACTIONS(1301),
    [anon_sym_BSLASHpmr] = ACTIONS(1301),
    [anon_sym_BSLASHpi] = ACTIONS(1301),
    [anon_sym_BSLASHmi] = ACTIONS(1301),
    [anon_sym_BSLASHnb] = ACTIONS(1301),
    [anon_sym_BSLASHpc] = ACTIONS(1301),
    [anon_sym_BSLASHph] = ACTIONS(1301),
    [anon_sym_BSLASHb] = ACTIONS(1301),
    [anon_sym_BSLASHq] = ACTIONS(1301),
    [anon_sym_BSLASHqr] = ACTIONS(1301),
    [anon_sym_BSLASHqc] = ACTIONS(1301),
    [anon_sym_BSLASHqa] = ACTIONS(1301),
    [anon_sym_BSLASHqm] = ACTIONS(1301),
    [anon_sym_BSLASHqd] = ACTIONS(1301),
    [anon_sym_BSLASHlh] = ACTIONS(1301),
    [anon_sym_BSLASHli] = ACTIONS(1301),
    [anon_sym_BSLASHlim] = ACTIONS(1301),
    [anon_sym_BSLASHtr] = ACTIONS(1301),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(1301),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(856),
    [sym_milestoneEndTag] = ACTIONS(858),
    [sym_zSpaceTag] = ACTIONS(860),
    [anon_sym_BSLASHesbe] = ACTIONS(1301),
    [anon_sym_BSLASHcat] = ACTIONS(1301),
  },
  [224] = {
    [aux_sym_text_token1] = ACTIONS(2615),
    [anon_sym_BSLASHref] = ACTIONS(2617),
    [anon_sym_BSLASHsts] = ACTIONS(2617),
    [anon_sym_BSLASHrem] = ACTIONS(2617),
    [anon_sym_BSLASHrestore] = ACTIONS(2617),
    [anon_sym_BSLASHlit] = ACTIONS(2617),
    [anon_sym_BSLASHiqt] = ACTIONS(2617),
    [anon_sym_BSLASHip] = ACTIONS(2617),
    [anon_sym_BSLASHv] = ACTIONS(2617),
    [anon_sym_BSLASHva] = ACTIONS(2617),
    [anon_sym_BSLASHvp] = ACTIONS(2617),
    [anon_sym_BSLASHmte] = ACTIONS(2617),
    [anon_sym_BSLASHms] = ACTIONS(2617),
    [anon_sym_BSLASHmr] = ACTIONS(2617),
    [anon_sym_BSLASHs] = ACTIONS(2617),
    [anon_sym_BSLASHsr] = ACTIONS(2617),
    [anon_sym_BSLASHr] = ACTIONS(2617),
    [anon_sym_BSLASHsp] = ACTIONS(2617),
    [anon_sym_BSLASHd] = ACTIONS(2617),
    [anon_sym_BSLASHsd] = ACTIONS(2617),
    [anon_sym_BSLASHp] = ACTIONS(2617),
    [anon_sym_BSLASHm] = ACTIONS(2617),
    [anon_sym_BSLASHpo] = ACTIONS(2617),
    [anon_sym_BSLASHpr] = ACTIONS(2617),
    [anon_sym_BSLASHcls] = ACTIONS(2617),
    [anon_sym_BSLASHpmo] = ACTIONS(2617),
    [anon_sym_BSLASHpm] = ACTIONS(2617),
    [anon_sym_BSLASHpmc] = ACTIONS(2617),
    [anon_sym_BSLASHpmr] = ACTIONS(2617),
    [anon_sym_BSLASHpi] = ACTIONS(2617),
    [anon_sym_BSLASHmi] = ACTIONS(2617),
    [anon_sym_BSLASHnb] = ACTIONS(2617),
    [anon_sym_BSLASHpc] = ACTIONS(2617),
    [anon_sym_BSLASHph] = ACTIONS(2617),
    [anon_sym_BSLASHb] = ACTIONS(2617),
    [anon_sym_BSLASHq] = ACTIONS(2617),
    [anon_sym_BSLASHqr] = ACTIONS(2617),
    [anon_sym_BSLASHqc] = ACTIONS(2617),
    [anon_sym_BSLASHqa] = ACTIONS(2617),
    [anon_sym_BSLASHqm] = ACTIONS(2617),
    [anon_sym_BSLASHqd] = ACTIONS(2617),
    [anon_sym_BSLASHlh] = ACTIONS(2617),
    [anon_sym_BSLASHlf] = ACTIONS(2617),
    [anon_sym_BSLASHli] = ACTIONS(2617),
    [anon_sym_BSLASHlim] = ACTIONS(2617),
    [anon_sym_BSLASHliv] = ACTIONS(2617),
    [anon_sym_BSLASHlik] = ACTIONS(2617),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2617),
    [anon_sym_BSLASHlitl] = ACTIONS(2617),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2617),
    [anon_sym_BSLASHtr] = ACTIONS(2617),
    [anon_sym_BSLASHf] = ACTIONS(2617),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2617),
    [anon_sym_BSLASHfe] = ACTIONS(2617),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2617),
    [anon_sym_BSLASHef] = ACTIONS(2617),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2617),
    [anon_sym_BSLASHfr] = ACTIONS(2617),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2617),
    [anon_sym_BSLASHfq] = ACTIONS(2617),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2617),
    [anon_sym_BSLASHfqa] = ACTIONS(2617),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2617),
    [anon_sym_BSLASHfk] = ACTIONS(2617),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2617),
    [anon_sym_BSLASHfl] = ACTIONS(2617),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2617),
    [anon_sym_BSLASHfw] = ACTIONS(2617),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2617),
    [anon_sym_BSLASHfp] = ACTIONS(2617),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2617),
    [anon_sym_BSLASHft] = ACTIONS(2617),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2617),
    [anon_sym_BSLASHfdc] = ACTIONS(2617),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2617),
    [anon_sym_BSLASHfv] = ACTIONS(2617),
    [anon_sym_BSLASHfm] = ACTIONS(2617),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2617),
    [anon_sym_BSLASHx] = ACTIONS(2617),
    [anon_sym_BSLASHxt] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2617),
    [anon_sym_BSLASHrq] = ACTIONS(2617),
    [anon_sym_BSLASHadd] = ACTIONS(2617),
    [anon_sym_BSLASHbk] = ACTIONS(2617),
    [anon_sym_BSLASHdc] = ACTIONS(2617),
    [anon_sym_BSLASHk] = ACTIONS(2617),
    [anon_sym_BSLASHnd] = ACTIONS(2617),
    [anon_sym_BSLASHord] = ACTIONS(2617),
    [anon_sym_BSLASHpn] = ACTIONS(2617),
    [anon_sym_BSLASHpng] = ACTIONS(2617),
    [anon_sym_BSLASHaddpn] = ACTIONS(2617),
    [anon_sym_BSLASHqt] = ACTIONS(2617),
    [anon_sym_BSLASHsig] = ACTIONS(2617),
    [anon_sym_BSLASHsls] = ACTIONS(2617),
    [anon_sym_BSLASHtl] = ACTIONS(2617),
    [anon_sym_BSLASHwj] = ACTIONS(2617),
    [anon_sym_BSLASHem] = ACTIONS(2617),
    [anon_sym_BSLASHbd] = ACTIONS(2617),
    [anon_sym_BSLASHit] = ACTIONS(2617),
    [anon_sym_BSLASHbdit] = ACTIONS(2617),
    [anon_sym_BSLASHno] = ACTIONS(2617),
    [anon_sym_BSLASHsc] = ACTIONS(2617),
    [anon_sym_BSLASHsup] = ACTIONS(2617),
    [anon_sym_BSLASHndx] = ACTIONS(2617),
    [anon_sym_BSLASHpro] = ACTIONS(2617),
    [anon_sym_BSLASHrb] = ACTIONS(2617),
    [anon_sym_BSLASHw] = ACTIONS(2617),
    [anon_sym_BSLASHwg] = ACTIONS(2617),
    [anon_sym_BSLASHwh] = ACTIONS(2617),
    [anon_sym_BSLASHwa] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2617),
    [anon_sym_BSLASHfig] = ACTIONS(2617),
    [anon_sym_BSLASHjmp] = ACTIONS(2617),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2617),
    [anon_sym_BSLASHpb] = ACTIONS(2617),
    [anon_sym_BSLASH] = ACTIONS(2617),
    [sym_milestoneStartTag] = ACTIONS(2617),
    [sym_milestoneEndTag] = ACTIONS(2617),
    [sym_zSpaceTag] = ACTIONS(2617),
    [anon_sym_BSLASHesbe] = ACTIONS(2617),
    [anon_sym_BSLASHcat] = ACTIONS(2617),
  },
  [225] = {
    [aux_sym_text_token1] = ACTIONS(2619),
    [anon_sym_BSLASHref] = ACTIONS(2621),
    [anon_sym_BSLASHsts] = ACTIONS(2621),
    [anon_sym_BSLASHrem] = ACTIONS(2621),
    [anon_sym_BSLASHrestore] = ACTIONS(2621),
    [anon_sym_BSLASHlit] = ACTIONS(2621),
    [anon_sym_BSLASHiqt] = ACTIONS(2621),
    [anon_sym_BSLASHip] = ACTIONS(2621),
    [anon_sym_BSLASHv] = ACTIONS(2621),
    [anon_sym_BSLASHva] = ACTIONS(2621),
    [anon_sym_BSLASHvp] = ACTIONS(2621),
    [anon_sym_BSLASHmte] = ACTIONS(2621),
    [anon_sym_BSLASHms] = ACTIONS(2621),
    [anon_sym_BSLASHmr] = ACTIONS(2621),
    [anon_sym_BSLASHs] = ACTIONS(2621),
    [anon_sym_BSLASHsr] = ACTIONS(2621),
    [anon_sym_BSLASHr] = ACTIONS(2621),
    [anon_sym_BSLASHsp] = ACTIONS(2621),
    [anon_sym_BSLASHd] = ACTIONS(2621),
    [anon_sym_BSLASHsd] = ACTIONS(2621),
    [anon_sym_BSLASHp] = ACTIONS(2621),
    [anon_sym_BSLASHm] = ACTIONS(2621),
    [anon_sym_BSLASHpo] = ACTIONS(2621),
    [anon_sym_BSLASHpr] = ACTIONS(2621),
    [anon_sym_BSLASHcls] = ACTIONS(2621),
    [anon_sym_BSLASHpmo] = ACTIONS(2621),
    [anon_sym_BSLASHpm] = ACTIONS(2621),
    [anon_sym_BSLASHpmc] = ACTIONS(2621),
    [anon_sym_BSLASHpmr] = ACTIONS(2621),
    [anon_sym_BSLASHpi] = ACTIONS(2621),
    [anon_sym_BSLASHmi] = ACTIONS(2621),
    [anon_sym_BSLASHnb] = ACTIONS(2621),
    [anon_sym_BSLASHpc] = ACTIONS(2621),
    [anon_sym_BSLASHph] = ACTIONS(2621),
    [anon_sym_BSLASHb] = ACTIONS(2621),
    [anon_sym_BSLASHq] = ACTIONS(2621),
    [anon_sym_BSLASHqr] = ACTIONS(2621),
    [anon_sym_BSLASHqc] = ACTIONS(2621),
    [anon_sym_BSLASHqa] = ACTIONS(2621),
    [anon_sym_BSLASHqm] = ACTIONS(2621),
    [anon_sym_BSLASHqd] = ACTIONS(2621),
    [anon_sym_BSLASHlh] = ACTIONS(2621),
    [anon_sym_BSLASHlf] = ACTIONS(2621),
    [anon_sym_BSLASHli] = ACTIONS(2621),
    [anon_sym_BSLASHlim] = ACTIONS(2621),
    [anon_sym_BSLASHliv] = ACTIONS(2621),
    [anon_sym_BSLASHlik] = ACTIONS(2621),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2621),
    [anon_sym_BSLASHlitl] = ACTIONS(2621),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2621),
    [anon_sym_BSLASHtr] = ACTIONS(2621),
    [anon_sym_BSLASHf] = ACTIONS(2621),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2621),
    [anon_sym_BSLASHfe] = ACTIONS(2621),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2621),
    [anon_sym_BSLASHef] = ACTIONS(2621),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2621),
    [anon_sym_BSLASHfr] = ACTIONS(2621),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2621),
    [anon_sym_BSLASHfq] = ACTIONS(2621),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2621),
    [anon_sym_BSLASHfqa] = ACTIONS(2621),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2621),
    [anon_sym_BSLASHfk] = ACTIONS(2621),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2621),
    [anon_sym_BSLASHfl] = ACTIONS(2621),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2621),
    [anon_sym_BSLASHfw] = ACTIONS(2621),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2621),
    [anon_sym_BSLASHfp] = ACTIONS(2621),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2621),
    [anon_sym_BSLASHft] = ACTIONS(2621),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2621),
    [anon_sym_BSLASHfdc] = ACTIONS(2621),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2621),
    [anon_sym_BSLASHfv] = ACTIONS(2621),
    [anon_sym_BSLASHfm] = ACTIONS(2621),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2621),
    [anon_sym_BSLASHx] = ACTIONS(2621),
    [anon_sym_BSLASHxt] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2621),
    [anon_sym_BSLASHrq] = ACTIONS(2621),
    [anon_sym_BSLASHadd] = ACTIONS(2621),
    [anon_sym_BSLASHbk] = ACTIONS(2621),
    [anon_sym_BSLASHdc] = ACTIONS(2621),
    [anon_sym_BSLASHk] = ACTIONS(2621),
    [anon_sym_BSLASHnd] = ACTIONS(2621),
    [anon_sym_BSLASHord] = ACTIONS(2621),
    [anon_sym_BSLASHpn] = ACTIONS(2621),
    [anon_sym_BSLASHpng] = ACTIONS(2621),
    [anon_sym_BSLASHaddpn] = ACTIONS(2621),
    [anon_sym_BSLASHqt] = ACTIONS(2621),
    [anon_sym_BSLASHsig] = ACTIONS(2621),
    [anon_sym_BSLASHsls] = ACTIONS(2621),
    [anon_sym_BSLASHtl] = ACTIONS(2621),
    [anon_sym_BSLASHwj] = ACTIONS(2621),
    [anon_sym_BSLASHem] = ACTIONS(2621),
    [anon_sym_BSLASHbd] = ACTIONS(2621),
    [anon_sym_BSLASHit] = ACTIONS(2621),
    [anon_sym_BSLASHbdit] = ACTIONS(2621),
    [anon_sym_BSLASHno] = ACTIONS(2621),
    [anon_sym_BSLASHsc] = ACTIONS(2621),
    [anon_sym_BSLASHsup] = ACTIONS(2621),
    [anon_sym_BSLASHndx] = ACTIONS(2621),
    [anon_sym_BSLASHpro] = ACTIONS(2621),
    [anon_sym_BSLASHrb] = ACTIONS(2621),
    [anon_sym_BSLASHw] = ACTIONS(2621),
    [anon_sym_BSLASHwg] = ACTIONS(2621),
    [anon_sym_BSLASHwh] = ACTIONS(2621),
    [anon_sym_BSLASHwa] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2621),
    [anon_sym_BSLASHfig] = ACTIONS(2621),
    [anon_sym_BSLASHjmp] = ACTIONS(2621),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2621),
    [anon_sym_BSLASHpb] = ACTIONS(2621),
    [anon_sym_BSLASH] = ACTIONS(2621),
    [sym_milestoneStartTag] = ACTIONS(2621),
    [sym_milestoneEndTag] = ACTIONS(2621),
    [sym_zSpaceTag] = ACTIONS(2621),
    [anon_sym_BSLASHesbe] = ACTIONS(2621),
    [anon_sym_BSLASHcat] = ACTIONS(2621),
  },
  [226] = {
    [aux_sym_text_token1] = ACTIONS(2623),
    [anon_sym_BSLASHref] = ACTIONS(2625),
    [anon_sym_BSLASHsts] = ACTIONS(2625),
    [anon_sym_BSLASHrem] = ACTIONS(2625),
    [anon_sym_BSLASHrestore] = ACTIONS(2625),
    [anon_sym_BSLASHlit] = ACTIONS(2625),
    [anon_sym_BSLASHiqt] = ACTIONS(2625),
    [anon_sym_BSLASHip] = ACTIONS(2625),
    [anon_sym_BSLASHv] = ACTIONS(2625),
    [anon_sym_BSLASHva] = ACTIONS(2625),
    [anon_sym_BSLASHvp] = ACTIONS(2625),
    [anon_sym_BSLASHmte] = ACTIONS(2625),
    [anon_sym_BSLASHms] = ACTIONS(2625),
    [anon_sym_BSLASHmr] = ACTIONS(2625),
    [anon_sym_BSLASHs] = ACTIONS(2625),
    [anon_sym_BSLASHsr] = ACTIONS(2625),
    [anon_sym_BSLASHr] = ACTIONS(2625),
    [anon_sym_BSLASHsp] = ACTIONS(2625),
    [anon_sym_BSLASHd] = ACTIONS(2625),
    [anon_sym_BSLASHsd] = ACTIONS(2625),
    [anon_sym_BSLASHp] = ACTIONS(2625),
    [anon_sym_BSLASHm] = ACTIONS(2625),
    [anon_sym_BSLASHpo] = ACTIONS(2625),
    [anon_sym_BSLASHpr] = ACTIONS(2625),
    [anon_sym_BSLASHcls] = ACTIONS(2625),
    [anon_sym_BSLASHpmo] = ACTIONS(2625),
    [anon_sym_BSLASHpm] = ACTIONS(2625),
    [anon_sym_BSLASHpmc] = ACTIONS(2625),
    [anon_sym_BSLASHpmr] = ACTIONS(2625),
    [anon_sym_BSLASHpi] = ACTIONS(2625),
    [anon_sym_BSLASHmi] = ACTIONS(2625),
    [anon_sym_BSLASHnb] = ACTIONS(2625),
    [anon_sym_BSLASHpc] = ACTIONS(2625),
    [anon_sym_BSLASHph] = ACTIONS(2625),
    [anon_sym_BSLASHb] = ACTIONS(2625),
    [anon_sym_BSLASHq] = ACTIONS(2625),
    [anon_sym_BSLASHqr] = ACTIONS(2625),
    [anon_sym_BSLASHqc] = ACTIONS(2625),
    [anon_sym_BSLASHqa] = ACTIONS(2625),
    [anon_sym_BSLASHqm] = ACTIONS(2625),
    [anon_sym_BSLASHqd] = ACTIONS(2625),
    [anon_sym_BSLASHlh] = ACTIONS(2625),
    [anon_sym_BSLASHlf] = ACTIONS(2625),
    [anon_sym_BSLASHli] = ACTIONS(2625),
    [anon_sym_BSLASHlim] = ACTIONS(2625),
    [anon_sym_BSLASHliv] = ACTIONS(2625),
    [anon_sym_BSLASHlik] = ACTIONS(2625),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2625),
    [anon_sym_BSLASHlitl] = ACTIONS(2625),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2625),
    [anon_sym_BSLASHtr] = ACTIONS(2625),
    [anon_sym_BSLASHf] = ACTIONS(2625),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2625),
    [anon_sym_BSLASHfe] = ACTIONS(2625),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2625),
    [anon_sym_BSLASHef] = ACTIONS(2625),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2625),
    [anon_sym_BSLASHfr] = ACTIONS(2625),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2625),
    [anon_sym_BSLASHfq] = ACTIONS(2625),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2625),
    [anon_sym_BSLASHfqa] = ACTIONS(2625),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2625),
    [anon_sym_BSLASHfk] = ACTIONS(2625),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2625),
    [anon_sym_BSLASHfl] = ACTIONS(2625),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2625),
    [anon_sym_BSLASHfw] = ACTIONS(2625),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2625),
    [anon_sym_BSLASHfp] = ACTIONS(2625),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2625),
    [anon_sym_BSLASHft] = ACTIONS(2625),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2625),
    [anon_sym_BSLASHfdc] = ACTIONS(2625),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2625),
    [anon_sym_BSLASHfv] = ACTIONS(2625),
    [anon_sym_BSLASHfm] = ACTIONS(2625),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2625),
    [anon_sym_BSLASHx] = ACTIONS(2625),
    [anon_sym_BSLASHxt] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2625),
    [anon_sym_BSLASHrq] = ACTIONS(2625),
    [anon_sym_BSLASHadd] = ACTIONS(2625),
    [anon_sym_BSLASHbk] = ACTIONS(2625),
    [anon_sym_BSLASHdc] = ACTIONS(2625),
    [anon_sym_BSLASHk] = ACTIONS(2625),
    [anon_sym_BSLASHnd] = ACTIONS(2625),
    [anon_sym_BSLASHord] = ACTIONS(2625),
    [anon_sym_BSLASHpn] = ACTIONS(2625),
    [anon_sym_BSLASHpng] = ACTIONS(2625),
    [anon_sym_BSLASHaddpn] = ACTIONS(2625),
    [anon_sym_BSLASHqt] = ACTIONS(2625),
    [anon_sym_BSLASHsig] = ACTIONS(2625),
    [anon_sym_BSLASHsls] = ACTIONS(2625),
    [anon_sym_BSLASHtl] = ACTIONS(2625),
    [anon_sym_BSLASHwj] = ACTIONS(2625),
    [anon_sym_BSLASHem] = ACTIONS(2625),
    [anon_sym_BSLASHbd] = ACTIONS(2625),
    [anon_sym_BSLASHit] = ACTIONS(2625),
    [anon_sym_BSLASHbdit] = ACTIONS(2625),
    [anon_sym_BSLASHno] = ACTIONS(2625),
    [anon_sym_BSLASHsc] = ACTIONS(2625),
    [anon_sym_BSLASHsup] = ACTIONS(2625),
    [anon_sym_BSLASHndx] = ACTIONS(2625),
    [anon_sym_BSLASHpro] = ACTIONS(2625),
    [anon_sym_BSLASHrb] = ACTIONS(2625),
    [anon_sym_BSLASHw] = ACTIONS(2625),
    [anon_sym_BSLASHwg] = ACTIONS(2625),
    [anon_sym_BSLASHwh] = ACTIONS(2625),
    [anon_sym_BSLASHwa] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2625),
    [anon_sym_BSLASHfig] = ACTIONS(2625),
    [anon_sym_BSLASHjmp] = ACTIONS(2625),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2625),
    [anon_sym_BSLASHpb] = ACTIONS(2625),
    [anon_sym_BSLASH] = ACTIONS(2625),
    [sym_milestoneStartTag] = ACTIONS(2625),
    [sym_milestoneEndTag] = ACTIONS(2625),
    [sym_zSpaceTag] = ACTIONS(2625),
    [anon_sym_BSLASHesbe] = ACTIONS(2625),
    [anon_sym_BSLASHcat] = ACTIONS(2625),
  },
  [227] = {
    [aux_sym_text_token1] = ACTIONS(2627),
    [anon_sym_BSLASHref] = ACTIONS(2629),
    [anon_sym_BSLASHsts] = ACTIONS(2629),
    [anon_sym_BSLASHrem] = ACTIONS(2629),
    [anon_sym_BSLASHrestore] = ACTIONS(2629),
    [anon_sym_BSLASHlit] = ACTIONS(2629),
    [anon_sym_BSLASHiqt] = ACTIONS(2629),
    [anon_sym_BSLASHip] = ACTIONS(2629),
    [anon_sym_BSLASHv] = ACTIONS(2629),
    [anon_sym_BSLASHva] = ACTIONS(2629),
    [anon_sym_BSLASHvp] = ACTIONS(2629),
    [anon_sym_BSLASHmte] = ACTIONS(2629),
    [anon_sym_BSLASHms] = ACTIONS(2629),
    [anon_sym_BSLASHmr] = ACTIONS(2629),
    [anon_sym_BSLASHs] = ACTIONS(2629),
    [anon_sym_BSLASHsr] = ACTIONS(2629),
    [anon_sym_BSLASHr] = ACTIONS(2629),
    [anon_sym_BSLASHsp] = ACTIONS(2629),
    [anon_sym_BSLASHd] = ACTIONS(2629),
    [anon_sym_BSLASHsd] = ACTIONS(2629),
    [anon_sym_BSLASHp] = ACTIONS(2629),
    [anon_sym_BSLASHm] = ACTIONS(2629),
    [anon_sym_BSLASHpo] = ACTIONS(2629),
    [anon_sym_BSLASHpr] = ACTIONS(2629),
    [anon_sym_BSLASHcls] = ACTIONS(2629),
    [anon_sym_BSLASHpmo] = ACTIONS(2629),
    [anon_sym_BSLASHpm] = ACTIONS(2629),
    [anon_sym_BSLASHpmc] = ACTIONS(2629),
    [anon_sym_BSLASHpmr] = ACTIONS(2629),
    [anon_sym_BSLASHpi] = ACTIONS(2629),
    [anon_sym_BSLASHmi] = ACTIONS(2629),
    [anon_sym_BSLASHnb] = ACTIONS(2629),
    [anon_sym_BSLASHpc] = ACTIONS(2629),
    [anon_sym_BSLASHph] = ACTIONS(2629),
    [anon_sym_BSLASHb] = ACTIONS(2629),
    [anon_sym_BSLASHq] = ACTIONS(2629),
    [anon_sym_BSLASHqr] = ACTIONS(2629),
    [anon_sym_BSLASHqc] = ACTIONS(2629),
    [anon_sym_BSLASHqa] = ACTIONS(2629),
    [anon_sym_BSLASHqm] = ACTIONS(2629),
    [anon_sym_BSLASHqd] = ACTIONS(2629),
    [anon_sym_BSLASHlh] = ACTIONS(2629),
    [anon_sym_BSLASHlf] = ACTIONS(2629),
    [anon_sym_BSLASHli] = ACTIONS(2629),
    [anon_sym_BSLASHlim] = ACTIONS(2629),
    [anon_sym_BSLASHliv] = ACTIONS(2629),
    [anon_sym_BSLASHlik] = ACTIONS(2629),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2629),
    [anon_sym_BSLASHlitl] = ACTIONS(2629),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2629),
    [anon_sym_BSLASHtr] = ACTIONS(2629),
    [anon_sym_BSLASHf] = ACTIONS(2629),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2629),
    [anon_sym_BSLASHfe] = ACTIONS(2629),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2629),
    [anon_sym_BSLASHef] = ACTIONS(2629),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2629),
    [anon_sym_BSLASHfr] = ACTIONS(2629),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2629),
    [anon_sym_BSLASHfq] = ACTIONS(2629),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2629),
    [anon_sym_BSLASHfqa] = ACTIONS(2629),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2629),
    [anon_sym_BSLASHfk] = ACTIONS(2629),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2629),
    [anon_sym_BSLASHfl] = ACTIONS(2629),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2629),
    [anon_sym_BSLASHfw] = ACTIONS(2629),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2629),
    [anon_sym_BSLASHfp] = ACTIONS(2629),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2629),
    [anon_sym_BSLASHft] = ACTIONS(2629),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2629),
    [anon_sym_BSLASHfdc] = ACTIONS(2629),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2629),
    [anon_sym_BSLASHfv] = ACTIONS(2629),
    [anon_sym_BSLASHfm] = ACTIONS(2629),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2629),
    [anon_sym_BSLASHx] = ACTIONS(2629),
    [anon_sym_BSLASHxt] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2629),
    [anon_sym_BSLASHrq] = ACTIONS(2629),
    [anon_sym_BSLASHadd] = ACTIONS(2629),
    [anon_sym_BSLASHbk] = ACTIONS(2629),
    [anon_sym_BSLASHdc] = ACTIONS(2629),
    [anon_sym_BSLASHk] = ACTIONS(2629),
    [anon_sym_BSLASHnd] = ACTIONS(2629),
    [anon_sym_BSLASHord] = ACTIONS(2629),
    [anon_sym_BSLASHpn] = ACTIONS(2629),
    [anon_sym_BSLASHpng] = ACTIONS(2629),
    [anon_sym_BSLASHaddpn] = ACTIONS(2629),
    [anon_sym_BSLASHqt] = ACTIONS(2629),
    [anon_sym_BSLASHsig] = ACTIONS(2629),
    [anon_sym_BSLASHsls] = ACTIONS(2629),
    [anon_sym_BSLASHtl] = ACTIONS(2629),
    [anon_sym_BSLASHwj] = ACTIONS(2629),
    [anon_sym_BSLASHem] = ACTIONS(2629),
    [anon_sym_BSLASHbd] = ACTIONS(2629),
    [anon_sym_BSLASHit] = ACTIONS(2629),
    [anon_sym_BSLASHbdit] = ACTIONS(2629),
    [anon_sym_BSLASHno] = ACTIONS(2629),
    [anon_sym_BSLASHsc] = ACTIONS(2629),
    [anon_sym_BSLASHsup] = ACTIONS(2629),
    [anon_sym_BSLASHndx] = ACTIONS(2629),
    [anon_sym_BSLASHpro] = ACTIONS(2629),
    [anon_sym_BSLASHrb] = ACTIONS(2629),
    [anon_sym_BSLASHw] = ACTIONS(2629),
    [anon_sym_BSLASHwg] = ACTIONS(2629),
    [anon_sym_BSLASHwh] = ACTIONS(2629),
    [anon_sym_BSLASHwa] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2629),
    [anon_sym_BSLASHfig] = ACTIONS(2629),
    [anon_sym_BSLASHjmp] = ACTIONS(2629),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2629),
    [anon_sym_BSLASHpb] = ACTIONS(2629),
    [anon_sym_BSLASH] = ACTIONS(2629),
    [sym_milestoneStartTag] = ACTIONS(2629),
    [sym_milestoneEndTag] = ACTIONS(2629),
    [sym_zSpaceTag] = ACTIONS(2629),
    [anon_sym_BSLASHesbe] = ACTIONS(2629),
    [anon_sym_BSLASHcat] = ACTIONS(2629),
  },
  [228] = {
    [aux_sym_text_token1] = ACTIONS(2631),
    [anon_sym_BSLASHref] = ACTIONS(2633),
    [anon_sym_BSLASHsts] = ACTIONS(2633),
    [anon_sym_BSLASHrem] = ACTIONS(2633),
    [anon_sym_BSLASHrestore] = ACTIONS(2633),
    [anon_sym_BSLASHlit] = ACTIONS(2633),
    [anon_sym_BSLASHiqt] = ACTIONS(2633),
    [anon_sym_BSLASHip] = ACTIONS(2633),
    [anon_sym_BSLASHv] = ACTIONS(2633),
    [anon_sym_BSLASHva] = ACTIONS(2633),
    [anon_sym_BSLASHvp] = ACTIONS(2633),
    [anon_sym_BSLASHmte] = ACTIONS(2633),
    [anon_sym_BSLASHms] = ACTIONS(2633),
    [anon_sym_BSLASHmr] = ACTIONS(2633),
    [anon_sym_BSLASHs] = ACTIONS(2633),
    [anon_sym_BSLASHsr] = ACTIONS(2633),
    [anon_sym_BSLASHr] = ACTIONS(2633),
    [anon_sym_BSLASHsp] = ACTIONS(2633),
    [anon_sym_BSLASHd] = ACTIONS(2633),
    [anon_sym_BSLASHsd] = ACTIONS(2633),
    [anon_sym_BSLASHp] = ACTIONS(2633),
    [anon_sym_BSLASHm] = ACTIONS(2633),
    [anon_sym_BSLASHpo] = ACTIONS(2633),
    [anon_sym_BSLASHpr] = ACTIONS(2633),
    [anon_sym_BSLASHcls] = ACTIONS(2633),
    [anon_sym_BSLASHpmo] = ACTIONS(2633),
    [anon_sym_BSLASHpm] = ACTIONS(2633),
    [anon_sym_BSLASHpmc] = ACTIONS(2633),
    [anon_sym_BSLASHpmr] = ACTIONS(2633),
    [anon_sym_BSLASHpi] = ACTIONS(2633),
    [anon_sym_BSLASHmi] = ACTIONS(2633),
    [anon_sym_BSLASHnb] = ACTIONS(2633),
    [anon_sym_BSLASHpc] = ACTIONS(2633),
    [anon_sym_BSLASHph] = ACTIONS(2633),
    [anon_sym_BSLASHb] = ACTIONS(2633),
    [anon_sym_BSLASHq] = ACTIONS(2633),
    [anon_sym_BSLASHqr] = ACTIONS(2633),
    [anon_sym_BSLASHqc] = ACTIONS(2633),
    [anon_sym_BSLASHqa] = ACTIONS(2633),
    [anon_sym_BSLASHqm] = ACTIONS(2633),
    [anon_sym_BSLASHqd] = ACTIONS(2633),
    [anon_sym_BSLASHlh] = ACTIONS(2633),
    [anon_sym_BSLASHlf] = ACTIONS(2633),
    [anon_sym_BSLASHli] = ACTIONS(2633),
    [anon_sym_BSLASHlim] = ACTIONS(2633),
    [anon_sym_BSLASHliv] = ACTIONS(2633),
    [anon_sym_BSLASHlik] = ACTIONS(2633),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2633),
    [anon_sym_BSLASHlitl] = ACTIONS(2633),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2633),
    [anon_sym_BSLASHtr] = ACTIONS(2633),
    [anon_sym_BSLASHf] = ACTIONS(2633),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2633),
    [anon_sym_BSLASHfe] = ACTIONS(2633),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2633),
    [anon_sym_BSLASHef] = ACTIONS(2633),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2633),
    [anon_sym_BSLASHfr] = ACTIONS(2633),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2633),
    [anon_sym_BSLASHfq] = ACTIONS(2633),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2633),
    [anon_sym_BSLASHfqa] = ACTIONS(2633),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2633),
    [anon_sym_BSLASHfk] = ACTIONS(2633),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2633),
    [anon_sym_BSLASHfl] = ACTIONS(2633),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2633),
    [anon_sym_BSLASHfw] = ACTIONS(2633),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2633),
    [anon_sym_BSLASHfp] = ACTIONS(2633),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2633),
    [anon_sym_BSLASHft] = ACTIONS(2633),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2633),
    [anon_sym_BSLASHfdc] = ACTIONS(2633),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2633),
    [anon_sym_BSLASHfv] = ACTIONS(2633),
    [anon_sym_BSLASHfm] = ACTIONS(2633),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2633),
    [anon_sym_BSLASHx] = ACTIONS(2633),
    [anon_sym_BSLASHxt] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2633),
    [anon_sym_BSLASHrq] = ACTIONS(2633),
    [anon_sym_BSLASHadd] = ACTIONS(2633),
    [anon_sym_BSLASHbk] = ACTIONS(2633),
    [anon_sym_BSLASHdc] = ACTIONS(2633),
    [anon_sym_BSLASHk] = ACTIONS(2633),
    [anon_sym_BSLASHnd] = ACTIONS(2633),
    [anon_sym_BSLASHord] = ACTIONS(2633),
    [anon_sym_BSLASHpn] = ACTIONS(2633),
    [anon_sym_BSLASHpng] = ACTIONS(2633),
    [anon_sym_BSLASHaddpn] = ACTIONS(2633),
    [anon_sym_BSLASHqt] = ACTIONS(2633),
    [anon_sym_BSLASHsig] = ACTIONS(2633),
    [anon_sym_BSLASHsls] = ACTIONS(2633),
    [anon_sym_BSLASHtl] = ACTIONS(2633),
    [anon_sym_BSLASHwj] = ACTIONS(2633),
    [anon_sym_BSLASHem] = ACTIONS(2633),
    [anon_sym_BSLASHbd] = ACTIONS(2633),
    [anon_sym_BSLASHit] = ACTIONS(2633),
    [anon_sym_BSLASHbdit] = ACTIONS(2633),
    [anon_sym_BSLASHno] = ACTIONS(2633),
    [anon_sym_BSLASHsc] = ACTIONS(2633),
    [anon_sym_BSLASHsup] = ACTIONS(2633),
    [anon_sym_BSLASHndx] = ACTIONS(2633),
    [anon_sym_BSLASHpro] = ACTIONS(2633),
    [anon_sym_BSLASHrb] = ACTIONS(2633),
    [anon_sym_BSLASHw] = ACTIONS(2633),
    [anon_sym_BSLASHwg] = ACTIONS(2633),
    [anon_sym_BSLASHwh] = ACTIONS(2633),
    [anon_sym_BSLASHwa] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2633),
    [anon_sym_BSLASHfig] = ACTIONS(2633),
    [anon_sym_BSLASHjmp] = ACTIONS(2633),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2633),
    [anon_sym_BSLASHpb] = ACTIONS(2633),
    [anon_sym_BSLASH] = ACTIONS(2633),
    [sym_milestoneStartTag] = ACTIONS(2633),
    [sym_milestoneEndTag] = ACTIONS(2633),
    [sym_zSpaceTag] = ACTIONS(2633),
    [anon_sym_BSLASHesbe] = ACTIONS(2633),
    [anon_sym_BSLASHcat] = ACTIONS(2633),
  },
  [229] = {
    [aux_sym_text_token1] = ACTIONS(2635),
    [anon_sym_BSLASHref] = ACTIONS(2637),
    [anon_sym_BSLASHsts] = ACTIONS(2637),
    [anon_sym_BSLASHrem] = ACTIONS(2637),
    [anon_sym_BSLASHrestore] = ACTIONS(2637),
    [anon_sym_BSLASHlit] = ACTIONS(2637),
    [anon_sym_BSLASHiqt] = ACTIONS(2637),
    [anon_sym_BSLASHip] = ACTIONS(2637),
    [anon_sym_BSLASHv] = ACTIONS(2637),
    [anon_sym_BSLASHva] = ACTIONS(2637),
    [anon_sym_BSLASHvp] = ACTIONS(2637),
    [anon_sym_BSLASHmte] = ACTIONS(2637),
    [anon_sym_BSLASHms] = ACTIONS(2637),
    [anon_sym_BSLASHmr] = ACTIONS(2637),
    [anon_sym_BSLASHs] = ACTIONS(2637),
    [anon_sym_BSLASHsr] = ACTIONS(2637),
    [anon_sym_BSLASHr] = ACTIONS(2637),
    [anon_sym_BSLASHsp] = ACTIONS(2637),
    [anon_sym_BSLASHd] = ACTIONS(2637),
    [anon_sym_BSLASHsd] = ACTIONS(2637),
    [anon_sym_BSLASHp] = ACTIONS(2637),
    [anon_sym_BSLASHm] = ACTIONS(2637),
    [anon_sym_BSLASHpo] = ACTIONS(2637),
    [anon_sym_BSLASHpr] = ACTIONS(2637),
    [anon_sym_BSLASHcls] = ACTIONS(2637),
    [anon_sym_BSLASHpmo] = ACTIONS(2637),
    [anon_sym_BSLASHpm] = ACTIONS(2637),
    [anon_sym_BSLASHpmc] = ACTIONS(2637),
    [anon_sym_BSLASHpmr] = ACTIONS(2637),
    [anon_sym_BSLASHpi] = ACTIONS(2637),
    [anon_sym_BSLASHmi] = ACTIONS(2637),
    [anon_sym_BSLASHnb] = ACTIONS(2637),
    [anon_sym_BSLASHpc] = ACTIONS(2637),
    [anon_sym_BSLASHph] = ACTIONS(2637),
    [anon_sym_BSLASHb] = ACTIONS(2637),
    [anon_sym_BSLASHq] = ACTIONS(2637),
    [anon_sym_BSLASHqr] = ACTIONS(2637),
    [anon_sym_BSLASHqc] = ACTIONS(2637),
    [anon_sym_BSLASHqa] = ACTIONS(2637),
    [anon_sym_BSLASHqm] = ACTIONS(2637),
    [anon_sym_BSLASHqd] = ACTIONS(2637),
    [anon_sym_BSLASHlh] = ACTIONS(2637),
    [anon_sym_BSLASHlf] = ACTIONS(2637),
    [anon_sym_BSLASHli] = ACTIONS(2637),
    [anon_sym_BSLASHlim] = ACTIONS(2637),
    [anon_sym_BSLASHliv] = ACTIONS(2637),
    [anon_sym_BSLASHlik] = ACTIONS(2637),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2637),
    [anon_sym_BSLASHlitl] = ACTIONS(2637),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2637),
    [anon_sym_BSLASHtr] = ACTIONS(2637),
    [anon_sym_BSLASHf] = ACTIONS(2637),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2637),
    [anon_sym_BSLASHfe] = ACTIONS(2637),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2637),
    [anon_sym_BSLASHef] = ACTIONS(2637),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2637),
    [anon_sym_BSLASHfr] = ACTIONS(2637),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2637),
    [anon_sym_BSLASHfq] = ACTIONS(2637),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2637),
    [anon_sym_BSLASHfqa] = ACTIONS(2637),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2637),
    [anon_sym_BSLASHfk] = ACTIONS(2637),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2637),
    [anon_sym_BSLASHfl] = ACTIONS(2637),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2637),
    [anon_sym_BSLASHfw] = ACTIONS(2637),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2637),
    [anon_sym_BSLASHfp] = ACTIONS(2637),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2637),
    [anon_sym_BSLASHft] = ACTIONS(2637),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2637),
    [anon_sym_BSLASHfdc] = ACTIONS(2637),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2637),
    [anon_sym_BSLASHfv] = ACTIONS(2637),
    [anon_sym_BSLASHfm] = ACTIONS(2637),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2637),
    [anon_sym_BSLASHx] = ACTIONS(2637),
    [anon_sym_BSLASHxt] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2637),
    [anon_sym_BSLASHrq] = ACTIONS(2637),
    [anon_sym_BSLASHadd] = ACTIONS(2637),
    [anon_sym_BSLASHbk] = ACTIONS(2637),
    [anon_sym_BSLASHdc] = ACTIONS(2637),
    [anon_sym_BSLASHk] = ACTIONS(2637),
    [anon_sym_BSLASHnd] = ACTIONS(2637),
    [anon_sym_BSLASHord] = ACTIONS(2637),
    [anon_sym_BSLASHpn] = ACTIONS(2637),
    [anon_sym_BSLASHpng] = ACTIONS(2637),
    [anon_sym_BSLASHaddpn] = ACTIONS(2637),
    [anon_sym_BSLASHqt] = ACTIONS(2637),
    [anon_sym_BSLASHsig] = ACTIONS(2637),
    [anon_sym_BSLASHsls] = ACTIONS(2637),
    [anon_sym_BSLASHtl] = ACTIONS(2637),
    [anon_sym_BSLASHwj] = ACTIONS(2637),
    [anon_sym_BSLASHem] = ACTIONS(2637),
    [anon_sym_BSLASHbd] = ACTIONS(2637),
    [anon_sym_BSLASHit] = ACTIONS(2637),
    [anon_sym_BSLASHbdit] = ACTIONS(2637),
    [anon_sym_BSLASHno] = ACTIONS(2637),
    [anon_sym_BSLASHsc] = ACTIONS(2637),
    [anon_sym_BSLASHsup] = ACTIONS(2637),
    [anon_sym_BSLASHndx] = ACTIONS(2637),
    [anon_sym_BSLASHpro] = ACTIONS(2637),
    [anon_sym_BSLASHrb] = ACTIONS(2637),
    [anon_sym_BSLASHw] = ACTIONS(2637),
    [anon_sym_BSLASHwg] = ACTIONS(2637),
    [anon_sym_BSLASHwh] = ACTIONS(2637),
    [anon_sym_BSLASHwa] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2637),
    [anon_sym_BSLASHfig] = ACTIONS(2637),
    [anon_sym_BSLASHjmp] = ACTIONS(2637),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2637),
    [anon_sym_BSLASHpb] = ACTIONS(2637),
    [anon_sym_BSLASH] = ACTIONS(2637),
    [sym_milestoneStartTag] = ACTIONS(2637),
    [sym_milestoneEndTag] = ACTIONS(2637),
    [sym_zSpaceTag] = ACTIONS(2637),
    [anon_sym_BSLASHesbe] = ACTIONS(2637),
    [anon_sym_BSLASHcat] = ACTIONS(2637),
  },
  [230] = {
    [aux_sym_text_token1] = ACTIONS(2639),
    [anon_sym_BSLASHref] = ACTIONS(2641),
    [anon_sym_BSLASHsts] = ACTIONS(2641),
    [anon_sym_BSLASHrem] = ACTIONS(2641),
    [anon_sym_BSLASHrestore] = ACTIONS(2641),
    [anon_sym_BSLASHlit] = ACTIONS(2641),
    [anon_sym_BSLASHiqt] = ACTIONS(2641),
    [anon_sym_BSLASHip] = ACTIONS(2641),
    [anon_sym_BSLASHv] = ACTIONS(2641),
    [anon_sym_BSLASHva] = ACTIONS(2641),
    [anon_sym_BSLASHvp] = ACTIONS(2641),
    [anon_sym_BSLASHmte] = ACTIONS(2641),
    [anon_sym_BSLASHms] = ACTIONS(2641),
    [anon_sym_BSLASHmr] = ACTIONS(2641),
    [anon_sym_BSLASHs] = ACTIONS(2641),
    [anon_sym_BSLASHsr] = ACTIONS(2641),
    [anon_sym_BSLASHr] = ACTIONS(2641),
    [anon_sym_BSLASHsp] = ACTIONS(2641),
    [anon_sym_BSLASHd] = ACTIONS(2641),
    [anon_sym_BSLASHsd] = ACTIONS(2641),
    [anon_sym_BSLASHp] = ACTIONS(2641),
    [anon_sym_BSLASHm] = ACTIONS(2641),
    [anon_sym_BSLASHpo] = ACTIONS(2641),
    [anon_sym_BSLASHpr] = ACTIONS(2641),
    [anon_sym_BSLASHcls] = ACTIONS(2641),
    [anon_sym_BSLASHpmo] = ACTIONS(2641),
    [anon_sym_BSLASHpm] = ACTIONS(2641),
    [anon_sym_BSLASHpmc] = ACTIONS(2641),
    [anon_sym_BSLASHpmr] = ACTIONS(2641),
    [anon_sym_BSLASHpi] = ACTIONS(2641),
    [anon_sym_BSLASHmi] = ACTIONS(2641),
    [anon_sym_BSLASHnb] = ACTIONS(2641),
    [anon_sym_BSLASHpc] = ACTIONS(2641),
    [anon_sym_BSLASHph] = ACTIONS(2641),
    [anon_sym_BSLASHb] = ACTIONS(2641),
    [anon_sym_BSLASHq] = ACTIONS(2641),
    [anon_sym_BSLASHqr] = ACTIONS(2641),
    [anon_sym_BSLASHqc] = ACTIONS(2641),
    [anon_sym_BSLASHqa] = ACTIONS(2641),
    [anon_sym_BSLASHqm] = ACTIONS(2641),
    [anon_sym_BSLASHqd] = ACTIONS(2641),
    [anon_sym_BSLASHlh] = ACTIONS(2641),
    [anon_sym_BSLASHlf] = ACTIONS(2641),
    [anon_sym_BSLASHli] = ACTIONS(2641),
    [anon_sym_BSLASHlim] = ACTIONS(2641),
    [anon_sym_BSLASHliv] = ACTIONS(2641),
    [anon_sym_BSLASHlik] = ACTIONS(2641),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2641),
    [anon_sym_BSLASHlitl] = ACTIONS(2641),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2641),
    [anon_sym_BSLASHtr] = ACTIONS(2641),
    [anon_sym_BSLASHf] = ACTIONS(2641),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2641),
    [anon_sym_BSLASHfe] = ACTIONS(2641),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2641),
    [anon_sym_BSLASHef] = ACTIONS(2641),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2641),
    [anon_sym_BSLASHfr] = ACTIONS(2641),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2641),
    [anon_sym_BSLASHfq] = ACTIONS(2641),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2641),
    [anon_sym_BSLASHfqa] = ACTIONS(2641),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2641),
    [anon_sym_BSLASHfk] = ACTIONS(2641),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2641),
    [anon_sym_BSLASHfl] = ACTIONS(2641),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2641),
    [anon_sym_BSLASHfw] = ACTIONS(2641),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2641),
    [anon_sym_BSLASHfp] = ACTIONS(2641),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2641),
    [anon_sym_BSLASHft] = ACTIONS(2641),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2641),
    [anon_sym_BSLASHfdc] = ACTIONS(2641),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2641),
    [anon_sym_BSLASHfv] = ACTIONS(2641),
    [anon_sym_BSLASHfm] = ACTIONS(2641),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2641),
    [anon_sym_BSLASHx] = ACTIONS(2641),
    [anon_sym_BSLASHxt] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2641),
    [anon_sym_BSLASHrq] = ACTIONS(2641),
    [anon_sym_BSLASHadd] = ACTIONS(2641),
    [anon_sym_BSLASHbk] = ACTIONS(2641),
    [anon_sym_BSLASHdc] = ACTIONS(2641),
    [anon_sym_BSLASHk] = ACTIONS(2641),
    [anon_sym_BSLASHnd] = ACTIONS(2641),
    [anon_sym_BSLASHord] = ACTIONS(2641),
    [anon_sym_BSLASHpn] = ACTIONS(2641),
    [anon_sym_BSLASHpng] = ACTIONS(2641),
    [anon_sym_BSLASHaddpn] = ACTIONS(2641),
    [anon_sym_BSLASHqt] = ACTIONS(2641),
    [anon_sym_BSLASHsig] = ACTIONS(2641),
    [anon_sym_BSLASHsls] = ACTIONS(2641),
    [anon_sym_BSLASHtl] = ACTIONS(2641),
    [anon_sym_BSLASHwj] = ACTIONS(2641),
    [anon_sym_BSLASHem] = ACTIONS(2641),
    [anon_sym_BSLASHbd] = ACTIONS(2641),
    [anon_sym_BSLASHit] = ACTIONS(2641),
    [anon_sym_BSLASHbdit] = ACTIONS(2641),
    [anon_sym_BSLASHno] = ACTIONS(2641),
    [anon_sym_BSLASHsc] = ACTIONS(2641),
    [anon_sym_BSLASHsup] = ACTIONS(2641),
    [anon_sym_BSLASHndx] = ACTIONS(2641),
    [anon_sym_BSLASHpro] = ACTIONS(2641),
    [anon_sym_BSLASHrb] = ACTIONS(2641),
    [anon_sym_BSLASHw] = ACTIONS(2641),
    [anon_sym_BSLASHwg] = ACTIONS(2641),
    [anon_sym_BSLASHwh] = ACTIONS(2641),
    [anon_sym_BSLASHwa] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2641),
    [anon_sym_BSLASHfig] = ACTIONS(2641),
    [anon_sym_BSLASHjmp] = ACTIONS(2641),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2641),
    [anon_sym_BSLASHpb] = ACTIONS(2641),
    [anon_sym_BSLASH] = ACTIONS(2641),
    [sym_milestoneStartTag] = ACTIONS(2641),
    [sym_milestoneEndTag] = ACTIONS(2641),
    [sym_zSpaceTag] = ACTIONS(2641),
    [anon_sym_BSLASHesbe] = ACTIONS(2641),
    [anon_sym_BSLASHcat] = ACTIONS(2641),
  },
  [231] = {
    [aux_sym_text_token1] = ACTIONS(2643),
    [anon_sym_BSLASHref] = ACTIONS(2645),
    [anon_sym_BSLASHsts] = ACTIONS(2645),
    [anon_sym_BSLASHrem] = ACTIONS(2645),
    [anon_sym_BSLASHrestore] = ACTIONS(2645),
    [anon_sym_BSLASHlit] = ACTIONS(2645),
    [anon_sym_BSLASHiqt] = ACTIONS(2645),
    [anon_sym_BSLASHip] = ACTIONS(2645),
    [anon_sym_BSLASHv] = ACTIONS(2645),
    [anon_sym_BSLASHva] = ACTIONS(2645),
    [anon_sym_BSLASHvp] = ACTIONS(2645),
    [anon_sym_BSLASHmte] = ACTIONS(2645),
    [anon_sym_BSLASHms] = ACTIONS(2645),
    [anon_sym_BSLASHmr] = ACTIONS(2645),
    [anon_sym_BSLASHs] = ACTIONS(2645),
    [anon_sym_BSLASHsr] = ACTIONS(2645),
    [anon_sym_BSLASHr] = ACTIONS(2645),
    [anon_sym_BSLASHsp] = ACTIONS(2645),
    [anon_sym_BSLASHd] = ACTIONS(2645),
    [anon_sym_BSLASHsd] = ACTIONS(2645),
    [anon_sym_BSLASHp] = ACTIONS(2645),
    [anon_sym_BSLASHm] = ACTIONS(2645),
    [anon_sym_BSLASHpo] = ACTIONS(2645),
    [anon_sym_BSLASHpr] = ACTIONS(2645),
    [anon_sym_BSLASHcls] = ACTIONS(2645),
    [anon_sym_BSLASHpmo] = ACTIONS(2645),
    [anon_sym_BSLASHpm] = ACTIONS(2645),
    [anon_sym_BSLASHpmc] = ACTIONS(2645),
    [anon_sym_BSLASHpmr] = ACTIONS(2645),
    [anon_sym_BSLASHpi] = ACTIONS(2645),
    [anon_sym_BSLASHmi] = ACTIONS(2645),
    [anon_sym_BSLASHnb] = ACTIONS(2645),
    [anon_sym_BSLASHpc] = ACTIONS(2645),
    [anon_sym_BSLASHph] = ACTIONS(2645),
    [anon_sym_BSLASHb] = ACTIONS(2645),
    [anon_sym_BSLASHq] = ACTIONS(2645),
    [anon_sym_BSLASHqr] = ACTIONS(2645),
    [anon_sym_BSLASHqc] = ACTIONS(2645),
    [anon_sym_BSLASHqa] = ACTIONS(2645),
    [anon_sym_BSLASHqm] = ACTIONS(2645),
    [anon_sym_BSLASHqd] = ACTIONS(2645),
    [anon_sym_BSLASHlh] = ACTIONS(2645),
    [anon_sym_BSLASHlf] = ACTIONS(2645),
    [anon_sym_BSLASHli] = ACTIONS(2645),
    [anon_sym_BSLASHlim] = ACTIONS(2645),
    [anon_sym_BSLASHliv] = ACTIONS(2645),
    [anon_sym_BSLASHlik] = ACTIONS(2645),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2645),
    [anon_sym_BSLASHlitl] = ACTIONS(2645),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2645),
    [anon_sym_BSLASHtr] = ACTIONS(2645),
    [anon_sym_BSLASHf] = ACTIONS(2645),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2645),
    [anon_sym_BSLASHfe] = ACTIONS(2645),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2645),
    [anon_sym_BSLASHef] = ACTIONS(2645),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2645),
    [anon_sym_BSLASHfr] = ACTIONS(2645),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2645),
    [anon_sym_BSLASHfq] = ACTIONS(2645),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2645),
    [anon_sym_BSLASHfqa] = ACTIONS(2645),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2645),
    [anon_sym_BSLASHfk] = ACTIONS(2645),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2645),
    [anon_sym_BSLASHfl] = ACTIONS(2645),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2645),
    [anon_sym_BSLASHfw] = ACTIONS(2645),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2645),
    [anon_sym_BSLASHfp] = ACTIONS(2645),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2645),
    [anon_sym_BSLASHft] = ACTIONS(2645),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2645),
    [anon_sym_BSLASHfdc] = ACTIONS(2645),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2645),
    [anon_sym_BSLASHfv] = ACTIONS(2645),
    [anon_sym_BSLASHfm] = ACTIONS(2645),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2645),
    [anon_sym_BSLASHx] = ACTIONS(2645),
    [anon_sym_BSLASHxt] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2645),
    [anon_sym_BSLASHrq] = ACTIONS(2645),
    [anon_sym_BSLASHadd] = ACTIONS(2645),
    [anon_sym_BSLASHbk] = ACTIONS(2645),
    [anon_sym_BSLASHdc] = ACTIONS(2645),
    [anon_sym_BSLASHk] = ACTIONS(2645),
    [anon_sym_BSLASHnd] = ACTIONS(2645),
    [anon_sym_BSLASHord] = ACTIONS(2645),
    [anon_sym_BSLASHpn] = ACTIONS(2645),
    [anon_sym_BSLASHpng] = ACTIONS(2645),
    [anon_sym_BSLASHaddpn] = ACTIONS(2645),
    [anon_sym_BSLASHqt] = ACTIONS(2645),
    [anon_sym_BSLASHsig] = ACTIONS(2645),
    [anon_sym_BSLASHsls] = ACTIONS(2645),
    [anon_sym_BSLASHtl] = ACTIONS(2645),
    [anon_sym_BSLASHwj] = ACTIONS(2645),
    [anon_sym_BSLASHem] = ACTIONS(2645),
    [anon_sym_BSLASHbd] = ACTIONS(2645),
    [anon_sym_BSLASHit] = ACTIONS(2645),
    [anon_sym_BSLASHbdit] = ACTIONS(2645),
    [anon_sym_BSLASHno] = ACTIONS(2645),
    [anon_sym_BSLASHsc] = ACTIONS(2645),
    [anon_sym_BSLASHsup] = ACTIONS(2645),
    [anon_sym_BSLASHndx] = ACTIONS(2645),
    [anon_sym_BSLASHpro] = ACTIONS(2645),
    [anon_sym_BSLASHrb] = ACTIONS(2645),
    [anon_sym_BSLASHw] = ACTIONS(2645),
    [anon_sym_BSLASHwg] = ACTIONS(2645),
    [anon_sym_BSLASHwh] = ACTIONS(2645),
    [anon_sym_BSLASHwa] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2645),
    [anon_sym_BSLASHfig] = ACTIONS(2645),
    [anon_sym_BSLASHjmp] = ACTIONS(2645),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2645),
    [anon_sym_BSLASHpb] = ACTIONS(2645),
    [anon_sym_BSLASH] = ACTIONS(2645),
    [sym_milestoneStartTag] = ACTIONS(2645),
    [sym_milestoneEndTag] = ACTIONS(2645),
    [sym_zSpaceTag] = ACTIONS(2645),
    [anon_sym_BSLASHesbe] = ACTIONS(2645),
    [anon_sym_BSLASHcat] = ACTIONS(2645),
  },
  [232] = {
    [aux_sym_text_token1] = ACTIONS(2647),
    [anon_sym_BSLASHref] = ACTIONS(2649),
    [anon_sym_BSLASHsts] = ACTIONS(2649),
    [anon_sym_BSLASHrem] = ACTIONS(2649),
    [anon_sym_BSLASHrestore] = ACTIONS(2649),
    [anon_sym_BSLASHlit] = ACTIONS(2649),
    [anon_sym_BSLASHiqt] = ACTIONS(2649),
    [anon_sym_BSLASHip] = ACTIONS(2649),
    [anon_sym_BSLASHv] = ACTIONS(2649),
    [anon_sym_BSLASHva] = ACTIONS(2649),
    [anon_sym_BSLASHvp] = ACTIONS(2649),
    [anon_sym_BSLASHmte] = ACTIONS(2649),
    [anon_sym_BSLASHms] = ACTIONS(2649),
    [anon_sym_BSLASHmr] = ACTIONS(2649),
    [anon_sym_BSLASHs] = ACTIONS(2649),
    [anon_sym_BSLASHsr] = ACTIONS(2649),
    [anon_sym_BSLASHr] = ACTIONS(2649),
    [anon_sym_BSLASHsp] = ACTIONS(2649),
    [anon_sym_BSLASHd] = ACTIONS(2649),
    [anon_sym_BSLASHsd] = ACTIONS(2649),
    [anon_sym_BSLASHp] = ACTIONS(2649),
    [anon_sym_BSLASHm] = ACTIONS(2649),
    [anon_sym_BSLASHpo] = ACTIONS(2649),
    [anon_sym_BSLASHpr] = ACTIONS(2649),
    [anon_sym_BSLASHcls] = ACTIONS(2649),
    [anon_sym_BSLASHpmo] = ACTIONS(2649),
    [anon_sym_BSLASHpm] = ACTIONS(2649),
    [anon_sym_BSLASHpmc] = ACTIONS(2649),
    [anon_sym_BSLASHpmr] = ACTIONS(2649),
    [anon_sym_BSLASHpi] = ACTIONS(2649),
    [anon_sym_BSLASHmi] = ACTIONS(2649),
    [anon_sym_BSLASHnb] = ACTIONS(2649),
    [anon_sym_BSLASHpc] = ACTIONS(2649),
    [anon_sym_BSLASHph] = ACTIONS(2649),
    [anon_sym_BSLASHb] = ACTIONS(2649),
    [anon_sym_BSLASHq] = ACTIONS(2649),
    [anon_sym_BSLASHqr] = ACTIONS(2649),
    [anon_sym_BSLASHqc] = ACTIONS(2649),
    [anon_sym_BSLASHqa] = ACTIONS(2649),
    [anon_sym_BSLASHqm] = ACTIONS(2649),
    [anon_sym_BSLASHqd] = ACTIONS(2649),
    [anon_sym_BSLASHlh] = ACTIONS(2649),
    [anon_sym_BSLASHlf] = ACTIONS(2649),
    [anon_sym_BSLASHli] = ACTIONS(2649),
    [anon_sym_BSLASHlim] = ACTIONS(2649),
    [anon_sym_BSLASHliv] = ACTIONS(2649),
    [anon_sym_BSLASHlik] = ACTIONS(2649),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2649),
    [anon_sym_BSLASHlitl] = ACTIONS(2649),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2649),
    [anon_sym_BSLASHtr] = ACTIONS(2649),
    [anon_sym_BSLASHf] = ACTIONS(2649),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2649),
    [anon_sym_BSLASHfe] = ACTIONS(2649),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2649),
    [anon_sym_BSLASHef] = ACTIONS(2649),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2649),
    [anon_sym_BSLASHfr] = ACTIONS(2649),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2649),
    [anon_sym_BSLASHfq] = ACTIONS(2649),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2649),
    [anon_sym_BSLASHfqa] = ACTIONS(2649),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2649),
    [anon_sym_BSLASHfk] = ACTIONS(2649),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2649),
    [anon_sym_BSLASHfl] = ACTIONS(2649),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2649),
    [anon_sym_BSLASHfw] = ACTIONS(2649),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2649),
    [anon_sym_BSLASHfp] = ACTIONS(2649),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2649),
    [anon_sym_BSLASHft] = ACTIONS(2649),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2649),
    [anon_sym_BSLASHfdc] = ACTIONS(2649),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2649),
    [anon_sym_BSLASHfv] = ACTIONS(2649),
    [anon_sym_BSLASHfm] = ACTIONS(2649),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2649),
    [anon_sym_BSLASHx] = ACTIONS(2649),
    [anon_sym_BSLASHxt] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2649),
    [anon_sym_BSLASHrq] = ACTIONS(2649),
    [anon_sym_BSLASHadd] = ACTIONS(2649),
    [anon_sym_BSLASHbk] = ACTIONS(2649),
    [anon_sym_BSLASHdc] = ACTIONS(2649),
    [anon_sym_BSLASHk] = ACTIONS(2649),
    [anon_sym_BSLASHnd] = ACTIONS(2649),
    [anon_sym_BSLASHord] = ACTIONS(2649),
    [anon_sym_BSLASHpn] = ACTIONS(2649),
    [anon_sym_BSLASHpng] = ACTIONS(2649),
    [anon_sym_BSLASHaddpn] = ACTIONS(2649),
    [anon_sym_BSLASHqt] = ACTIONS(2649),
    [anon_sym_BSLASHsig] = ACTIONS(2649),
    [anon_sym_BSLASHsls] = ACTIONS(2649),
    [anon_sym_BSLASHtl] = ACTIONS(2649),
    [anon_sym_BSLASHwj] = ACTIONS(2649),
    [anon_sym_BSLASHem] = ACTIONS(2649),
    [anon_sym_BSLASHbd] = ACTIONS(2649),
    [anon_sym_BSLASHit] = ACTIONS(2649),
    [anon_sym_BSLASHbdit] = ACTIONS(2649),
    [anon_sym_BSLASHno] = ACTIONS(2649),
    [anon_sym_BSLASHsc] = ACTIONS(2649),
    [anon_sym_BSLASHsup] = ACTIONS(2649),
    [anon_sym_BSLASHndx] = ACTIONS(2649),
    [anon_sym_BSLASHpro] = ACTIONS(2649),
    [anon_sym_BSLASHrb] = ACTIONS(2649),
    [anon_sym_BSLASHw] = ACTIONS(2649),
    [anon_sym_BSLASHwg] = ACTIONS(2649),
    [anon_sym_BSLASHwh] = ACTIONS(2649),
    [anon_sym_BSLASHwa] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2649),
    [anon_sym_BSLASHfig] = ACTIONS(2649),
    [anon_sym_BSLASHjmp] = ACTIONS(2649),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2649),
    [anon_sym_BSLASHpb] = ACTIONS(2649),
    [anon_sym_BSLASH] = ACTIONS(2649),
    [sym_milestoneStartTag] = ACTIONS(2649),
    [sym_milestoneEndTag] = ACTIONS(2649),
    [sym_zSpaceTag] = ACTIONS(2649),
    [anon_sym_BSLASHesbe] = ACTIONS(2649),
    [anon_sym_BSLASHcat] = ACTIONS(2649),
  },
  [233] = {
    [aux_sym_text_token1] = ACTIONS(2651),
    [anon_sym_BSLASHref] = ACTIONS(2653),
    [anon_sym_BSLASHsts] = ACTIONS(2653),
    [anon_sym_BSLASHrem] = ACTIONS(2653),
    [anon_sym_BSLASHrestore] = ACTIONS(2653),
    [anon_sym_BSLASHlit] = ACTIONS(2653),
    [anon_sym_BSLASHiqt] = ACTIONS(2653),
    [anon_sym_BSLASHip] = ACTIONS(2653),
    [anon_sym_BSLASHv] = ACTIONS(2653),
    [anon_sym_BSLASHva] = ACTIONS(2653),
    [anon_sym_BSLASHvp] = ACTIONS(2653),
    [anon_sym_BSLASHmte] = ACTIONS(2653),
    [anon_sym_BSLASHms] = ACTIONS(2653),
    [anon_sym_BSLASHmr] = ACTIONS(2653),
    [anon_sym_BSLASHs] = ACTIONS(2653),
    [anon_sym_BSLASHsr] = ACTIONS(2653),
    [anon_sym_BSLASHr] = ACTIONS(2653),
    [anon_sym_BSLASHsp] = ACTIONS(2653),
    [anon_sym_BSLASHd] = ACTIONS(2653),
    [anon_sym_BSLASHsd] = ACTIONS(2653),
    [anon_sym_BSLASHp] = ACTIONS(2653),
    [anon_sym_BSLASHm] = ACTIONS(2653),
    [anon_sym_BSLASHpo] = ACTIONS(2653),
    [anon_sym_BSLASHpr] = ACTIONS(2653),
    [anon_sym_BSLASHcls] = ACTIONS(2653),
    [anon_sym_BSLASHpmo] = ACTIONS(2653),
    [anon_sym_BSLASHpm] = ACTIONS(2653),
    [anon_sym_BSLASHpmc] = ACTIONS(2653),
    [anon_sym_BSLASHpmr] = ACTIONS(2653),
    [anon_sym_BSLASHpi] = ACTIONS(2653),
    [anon_sym_BSLASHmi] = ACTIONS(2653),
    [anon_sym_BSLASHnb] = ACTIONS(2653),
    [anon_sym_BSLASHpc] = ACTIONS(2653),
    [anon_sym_BSLASHph] = ACTIONS(2653),
    [anon_sym_BSLASHb] = ACTIONS(2653),
    [anon_sym_BSLASHq] = ACTIONS(2653),
    [anon_sym_BSLASHqr] = ACTIONS(2653),
    [anon_sym_BSLASHqc] = ACTIONS(2653),
    [anon_sym_BSLASHqa] = ACTIONS(2653),
    [anon_sym_BSLASHqm] = ACTIONS(2653),
    [anon_sym_BSLASHqd] = ACTIONS(2653),
    [anon_sym_BSLASHlh] = ACTIONS(2653),
    [anon_sym_BSLASHlf] = ACTIONS(2653),
    [anon_sym_BSLASHli] = ACTIONS(2653),
    [anon_sym_BSLASHlim] = ACTIONS(2653),
    [anon_sym_BSLASHliv] = ACTIONS(2653),
    [anon_sym_BSLASHlik] = ACTIONS(2653),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2653),
    [anon_sym_BSLASHlitl] = ACTIONS(2653),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2653),
    [anon_sym_BSLASHtr] = ACTIONS(2653),
    [anon_sym_BSLASHf] = ACTIONS(2653),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2653),
    [anon_sym_BSLASHfe] = ACTIONS(2653),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2653),
    [anon_sym_BSLASHef] = ACTIONS(2653),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2653),
    [anon_sym_BSLASHfr] = ACTIONS(2653),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2653),
    [anon_sym_BSLASHfq] = ACTIONS(2653),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2653),
    [anon_sym_BSLASHfqa] = ACTIONS(2653),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2653),
    [anon_sym_BSLASHfk] = ACTIONS(2653),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2653),
    [anon_sym_BSLASHfl] = ACTIONS(2653),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2653),
    [anon_sym_BSLASHfw] = ACTIONS(2653),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2653),
    [anon_sym_BSLASHfp] = ACTIONS(2653),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2653),
    [anon_sym_BSLASHft] = ACTIONS(2653),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2653),
    [anon_sym_BSLASHfdc] = ACTIONS(2653),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2653),
    [anon_sym_BSLASHfv] = ACTIONS(2653),
    [anon_sym_BSLASHfm] = ACTIONS(2653),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2653),
    [anon_sym_BSLASHx] = ACTIONS(2653),
    [anon_sym_BSLASHxt] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2653),
    [anon_sym_BSLASHrq] = ACTIONS(2653),
    [anon_sym_BSLASHadd] = ACTIONS(2653),
    [anon_sym_BSLASHbk] = ACTIONS(2653),
    [anon_sym_BSLASHdc] = ACTIONS(2653),
    [anon_sym_BSLASHk] = ACTIONS(2653),
    [anon_sym_BSLASHnd] = ACTIONS(2653),
    [anon_sym_BSLASHord] = ACTIONS(2653),
    [anon_sym_BSLASHpn] = ACTIONS(2653),
    [anon_sym_BSLASHpng] = ACTIONS(2653),
    [anon_sym_BSLASHaddpn] = ACTIONS(2653),
    [anon_sym_BSLASHqt] = ACTIONS(2653),
    [anon_sym_BSLASHsig] = ACTIONS(2653),
    [anon_sym_BSLASHsls] = ACTIONS(2653),
    [anon_sym_BSLASHtl] = ACTIONS(2653),
    [anon_sym_BSLASHwj] = ACTIONS(2653),
    [anon_sym_BSLASHem] = ACTIONS(2653),
    [anon_sym_BSLASHbd] = ACTIONS(2653),
    [anon_sym_BSLASHit] = ACTIONS(2653),
    [anon_sym_BSLASHbdit] = ACTIONS(2653),
    [anon_sym_BSLASHno] = ACTIONS(2653),
    [anon_sym_BSLASHsc] = ACTIONS(2653),
    [anon_sym_BSLASHsup] = ACTIONS(2653),
    [anon_sym_BSLASHndx] = ACTIONS(2653),
    [anon_sym_BSLASHpro] = ACTIONS(2653),
    [anon_sym_BSLASHrb] = ACTIONS(2653),
    [anon_sym_BSLASHw] = ACTIONS(2653),
    [anon_sym_BSLASHwg] = ACTIONS(2653),
    [anon_sym_BSLASHwh] = ACTIONS(2653),
    [anon_sym_BSLASHwa] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2653),
    [anon_sym_BSLASHfig] = ACTIONS(2653),
    [anon_sym_BSLASHjmp] = ACTIONS(2653),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2653),
    [anon_sym_BSLASHpb] = ACTIONS(2653),
    [anon_sym_BSLASH] = ACTIONS(2653),
    [sym_milestoneStartTag] = ACTIONS(2653),
    [sym_milestoneEndTag] = ACTIONS(2653),
    [sym_zSpaceTag] = ACTIONS(2653),
    [anon_sym_BSLASHesbe] = ACTIONS(2653),
    [anon_sym_BSLASHcat] = ACTIONS(2653),
  },
  [234] = {
    [aux_sym_text_token1] = ACTIONS(2655),
    [anon_sym_BSLASHref] = ACTIONS(2657),
    [anon_sym_BSLASHsts] = ACTIONS(2657),
    [anon_sym_BSLASHrem] = ACTIONS(2657),
    [anon_sym_BSLASHrestore] = ACTIONS(2657),
    [anon_sym_BSLASHlit] = ACTIONS(2657),
    [anon_sym_BSLASHiqt] = ACTIONS(2657),
    [anon_sym_BSLASHip] = ACTIONS(2657),
    [anon_sym_BSLASHv] = ACTIONS(2657),
    [anon_sym_BSLASHva] = ACTIONS(2657),
    [anon_sym_BSLASHvp] = ACTIONS(2657),
    [anon_sym_BSLASHmte] = ACTIONS(2657),
    [anon_sym_BSLASHms] = ACTIONS(2657),
    [anon_sym_BSLASHmr] = ACTIONS(2657),
    [anon_sym_BSLASHs] = ACTIONS(2657),
    [anon_sym_BSLASHsr] = ACTIONS(2657),
    [anon_sym_BSLASHr] = ACTIONS(2657),
    [anon_sym_BSLASHsp] = ACTIONS(2657),
    [anon_sym_BSLASHd] = ACTIONS(2657),
    [anon_sym_BSLASHsd] = ACTIONS(2657),
    [anon_sym_BSLASHp] = ACTIONS(2657),
    [anon_sym_BSLASHm] = ACTIONS(2657),
    [anon_sym_BSLASHpo] = ACTIONS(2657),
    [anon_sym_BSLASHpr] = ACTIONS(2657),
    [anon_sym_BSLASHcls] = ACTIONS(2657),
    [anon_sym_BSLASHpmo] = ACTIONS(2657),
    [anon_sym_BSLASHpm] = ACTIONS(2657),
    [anon_sym_BSLASHpmc] = ACTIONS(2657),
    [anon_sym_BSLASHpmr] = ACTIONS(2657),
    [anon_sym_BSLASHpi] = ACTIONS(2657),
    [anon_sym_BSLASHmi] = ACTIONS(2657),
    [anon_sym_BSLASHnb] = ACTIONS(2657),
    [anon_sym_BSLASHpc] = ACTIONS(2657),
    [anon_sym_BSLASHph] = ACTIONS(2657),
    [anon_sym_BSLASHb] = ACTIONS(2657),
    [anon_sym_BSLASHq] = ACTIONS(2657),
    [anon_sym_BSLASHqr] = ACTIONS(2657),
    [anon_sym_BSLASHqc] = ACTIONS(2657),
    [anon_sym_BSLASHqa] = ACTIONS(2657),
    [anon_sym_BSLASHqm] = ACTIONS(2657),
    [anon_sym_BSLASHqd] = ACTIONS(2657),
    [anon_sym_BSLASHlh] = ACTIONS(2657),
    [anon_sym_BSLASHlf] = ACTIONS(2657),
    [anon_sym_BSLASHli] = ACTIONS(2657),
    [anon_sym_BSLASHlim] = ACTIONS(2657),
    [anon_sym_BSLASHliv] = ACTIONS(2657),
    [anon_sym_BSLASHlik] = ACTIONS(2657),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2657),
    [anon_sym_BSLASHlitl] = ACTIONS(2657),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2657),
    [anon_sym_BSLASHtr] = ACTIONS(2657),
    [anon_sym_BSLASHf] = ACTIONS(2657),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2657),
    [anon_sym_BSLASHfe] = ACTIONS(2657),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2657),
    [anon_sym_BSLASHef] = ACTIONS(2657),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2657),
    [anon_sym_BSLASHfr] = ACTIONS(2657),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2657),
    [anon_sym_BSLASHfq] = ACTIONS(2657),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2657),
    [anon_sym_BSLASHfqa] = ACTIONS(2657),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2657),
    [anon_sym_BSLASHfk] = ACTIONS(2657),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2657),
    [anon_sym_BSLASHfl] = ACTIONS(2657),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2657),
    [anon_sym_BSLASHfw] = ACTIONS(2657),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2657),
    [anon_sym_BSLASHfp] = ACTIONS(2657),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2657),
    [anon_sym_BSLASHft] = ACTIONS(2657),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2657),
    [anon_sym_BSLASHfdc] = ACTIONS(2657),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2657),
    [anon_sym_BSLASHfv] = ACTIONS(2657),
    [anon_sym_BSLASHfm] = ACTIONS(2657),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2657),
    [anon_sym_BSLASHx] = ACTIONS(2657),
    [anon_sym_BSLASHxt] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2657),
    [anon_sym_BSLASHrq] = ACTIONS(2657),
    [anon_sym_BSLASHadd] = ACTIONS(2657),
    [anon_sym_BSLASHbk] = ACTIONS(2657),
    [anon_sym_BSLASHdc] = ACTIONS(2657),
    [anon_sym_BSLASHk] = ACTIONS(2657),
    [anon_sym_BSLASHnd] = ACTIONS(2657),
    [anon_sym_BSLASHord] = ACTIONS(2657),
    [anon_sym_BSLASHpn] = ACTIONS(2657),
    [anon_sym_BSLASHpng] = ACTIONS(2657),
    [anon_sym_BSLASHaddpn] = ACTIONS(2657),
    [anon_sym_BSLASHqt] = ACTIONS(2657),
    [anon_sym_BSLASHsig] = ACTIONS(2657),
    [anon_sym_BSLASHsls] = ACTIONS(2657),
    [anon_sym_BSLASHtl] = ACTIONS(2657),
    [anon_sym_BSLASHwj] = ACTIONS(2657),
    [anon_sym_BSLASHem] = ACTIONS(2657),
    [anon_sym_BSLASHbd] = ACTIONS(2657),
    [anon_sym_BSLASHit] = ACTIONS(2657),
    [anon_sym_BSLASHbdit] = ACTIONS(2657),
    [anon_sym_BSLASHno] = ACTIONS(2657),
    [anon_sym_BSLASHsc] = ACTIONS(2657),
    [anon_sym_BSLASHsup] = ACTIONS(2657),
    [anon_sym_BSLASHndx] = ACTIONS(2657),
    [anon_sym_BSLASHpro] = ACTIONS(2657),
    [anon_sym_BSLASHrb] = ACTIONS(2657),
    [anon_sym_BSLASHw] = ACTIONS(2657),
    [anon_sym_BSLASHwg] = ACTIONS(2657),
    [anon_sym_BSLASHwh] = ACTIONS(2657),
    [anon_sym_BSLASHwa] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2657),
    [anon_sym_BSLASHfig] = ACTIONS(2657),
    [anon_sym_BSLASHjmp] = ACTIONS(2657),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2657),
    [anon_sym_BSLASHpb] = ACTIONS(2657),
    [anon_sym_BSLASH] = ACTIONS(2657),
    [sym_milestoneStartTag] = ACTIONS(2657),
    [sym_milestoneEndTag] = ACTIONS(2657),
    [sym_zSpaceTag] = ACTIONS(2657),
    [anon_sym_BSLASHesbe] = ACTIONS(2657),
    [anon_sym_BSLASHcat] = ACTIONS(2657),
  },
  [235] = {
    [aux_sym_text_token1] = ACTIONS(2659),
    [anon_sym_BSLASHref] = ACTIONS(2661),
    [anon_sym_BSLASHsts] = ACTIONS(2661),
    [anon_sym_BSLASHrem] = ACTIONS(2661),
    [anon_sym_BSLASHrestore] = ACTIONS(2661),
    [anon_sym_BSLASHlit] = ACTIONS(2661),
    [anon_sym_BSLASHiqt] = ACTIONS(2661),
    [anon_sym_BSLASHip] = ACTIONS(2661),
    [anon_sym_BSLASHv] = ACTIONS(2661),
    [anon_sym_BSLASHva] = ACTIONS(2661),
    [anon_sym_BSLASHvp] = ACTIONS(2661),
    [anon_sym_BSLASHmte] = ACTIONS(2661),
    [anon_sym_BSLASHms] = ACTIONS(2661),
    [anon_sym_BSLASHmr] = ACTIONS(2661),
    [anon_sym_BSLASHs] = ACTIONS(2661),
    [anon_sym_BSLASHsr] = ACTIONS(2661),
    [anon_sym_BSLASHr] = ACTIONS(2661),
    [anon_sym_BSLASHsp] = ACTIONS(2661),
    [anon_sym_BSLASHd] = ACTIONS(2661),
    [anon_sym_BSLASHsd] = ACTIONS(2661),
    [anon_sym_BSLASHp] = ACTIONS(2661),
    [anon_sym_BSLASHm] = ACTIONS(2661),
    [anon_sym_BSLASHpo] = ACTIONS(2661),
    [anon_sym_BSLASHpr] = ACTIONS(2661),
    [anon_sym_BSLASHcls] = ACTIONS(2661),
    [anon_sym_BSLASHpmo] = ACTIONS(2661),
    [anon_sym_BSLASHpm] = ACTIONS(2661),
    [anon_sym_BSLASHpmc] = ACTIONS(2661),
    [anon_sym_BSLASHpmr] = ACTIONS(2661),
    [anon_sym_BSLASHpi] = ACTIONS(2661),
    [anon_sym_BSLASHmi] = ACTIONS(2661),
    [anon_sym_BSLASHnb] = ACTIONS(2661),
    [anon_sym_BSLASHpc] = ACTIONS(2661),
    [anon_sym_BSLASHph] = ACTIONS(2661),
    [anon_sym_BSLASHb] = ACTIONS(2661),
    [anon_sym_BSLASHq] = ACTIONS(2661),
    [anon_sym_BSLASHqr] = ACTIONS(2661),
    [anon_sym_BSLASHqc] = ACTIONS(2661),
    [anon_sym_BSLASHqa] = ACTIONS(2661),
    [anon_sym_BSLASHqm] = ACTIONS(2661),
    [anon_sym_BSLASHqd] = ACTIONS(2661),
    [anon_sym_BSLASHlh] = ACTIONS(2661),
    [anon_sym_BSLASHlf] = ACTIONS(2661),
    [anon_sym_BSLASHli] = ACTIONS(2661),
    [anon_sym_BSLASHlim] = ACTIONS(2661),
    [anon_sym_BSLASHliv] = ACTIONS(2661),
    [anon_sym_BSLASHlik] = ACTIONS(2661),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2661),
    [anon_sym_BSLASHlitl] = ACTIONS(2661),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2661),
    [anon_sym_BSLASHtr] = ACTIONS(2661),
    [anon_sym_BSLASHf] = ACTIONS(2661),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2661),
    [anon_sym_BSLASHfe] = ACTIONS(2661),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2661),
    [anon_sym_BSLASHef] = ACTIONS(2661),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2661),
    [anon_sym_BSLASHfr] = ACTIONS(2661),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2661),
    [anon_sym_BSLASHfq] = ACTIONS(2661),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2661),
    [anon_sym_BSLASHfqa] = ACTIONS(2661),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2661),
    [anon_sym_BSLASHfk] = ACTIONS(2661),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2661),
    [anon_sym_BSLASHfl] = ACTIONS(2661),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2661),
    [anon_sym_BSLASHfw] = ACTIONS(2661),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2661),
    [anon_sym_BSLASHfp] = ACTIONS(2661),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2661),
    [anon_sym_BSLASHft] = ACTIONS(2661),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2661),
    [anon_sym_BSLASHfdc] = ACTIONS(2661),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2661),
    [anon_sym_BSLASHfv] = ACTIONS(2661),
    [anon_sym_BSLASHfm] = ACTIONS(2661),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2661),
    [anon_sym_BSLASHx] = ACTIONS(2661),
    [anon_sym_BSLASHxt] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2661),
    [anon_sym_BSLASHrq] = ACTIONS(2661),
    [anon_sym_BSLASHadd] = ACTIONS(2661),
    [anon_sym_BSLASHbk] = ACTIONS(2661),
    [anon_sym_BSLASHdc] = ACTIONS(2661),
    [anon_sym_BSLASHk] = ACTIONS(2661),
    [anon_sym_BSLASHnd] = ACTIONS(2661),
    [anon_sym_BSLASHord] = ACTIONS(2661),
    [anon_sym_BSLASHpn] = ACTIONS(2661),
    [anon_sym_BSLASHpng] = ACTIONS(2661),
    [anon_sym_BSLASHaddpn] = ACTIONS(2661),
    [anon_sym_BSLASHqt] = ACTIONS(2661),
    [anon_sym_BSLASHsig] = ACTIONS(2661),
    [anon_sym_BSLASHsls] = ACTIONS(2661),
    [anon_sym_BSLASHtl] = ACTIONS(2661),
    [anon_sym_BSLASHwj] = ACTIONS(2661),
    [anon_sym_BSLASHem] = ACTIONS(2661),
    [anon_sym_BSLASHbd] = ACTIONS(2661),
    [anon_sym_BSLASHit] = ACTIONS(2661),
    [anon_sym_BSLASHbdit] = ACTIONS(2661),
    [anon_sym_BSLASHno] = ACTIONS(2661),
    [anon_sym_BSLASHsc] = ACTIONS(2661),
    [anon_sym_BSLASHsup] = ACTIONS(2661),
    [anon_sym_BSLASHndx] = ACTIONS(2661),
    [anon_sym_BSLASHpro] = ACTIONS(2661),
    [anon_sym_BSLASHrb] = ACTIONS(2661),
    [anon_sym_BSLASHw] = ACTIONS(2661),
    [anon_sym_BSLASHwg] = ACTIONS(2661),
    [anon_sym_BSLASHwh] = ACTIONS(2661),
    [anon_sym_BSLASHwa] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2661),
    [anon_sym_BSLASHfig] = ACTIONS(2661),
    [anon_sym_BSLASHjmp] = ACTIONS(2661),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2661),
    [anon_sym_BSLASHpb] = ACTIONS(2661),
    [anon_sym_BSLASH] = ACTIONS(2661),
    [sym_milestoneStartTag] = ACTIONS(2661),
    [sym_milestoneEndTag] = ACTIONS(2661),
    [sym_zSpaceTag] = ACTIONS(2661),
    [anon_sym_BSLASHesbe] = ACTIONS(2661),
    [anon_sym_BSLASHcat] = ACTIONS(2661),
  },
  [236] = {
    [aux_sym_text_token1] = ACTIONS(2663),
    [anon_sym_BSLASHref] = ACTIONS(2665),
    [anon_sym_BSLASHsts] = ACTIONS(2665),
    [anon_sym_BSLASHrem] = ACTIONS(2665),
    [anon_sym_BSLASHrestore] = ACTIONS(2665),
    [anon_sym_BSLASHlit] = ACTIONS(2665),
    [anon_sym_BSLASHiqt] = ACTIONS(2665),
    [anon_sym_BSLASHip] = ACTIONS(2665),
    [anon_sym_BSLASHv] = ACTIONS(2665),
    [anon_sym_BSLASHva] = ACTIONS(2665),
    [anon_sym_BSLASHvp] = ACTIONS(2665),
    [anon_sym_BSLASHmte] = ACTIONS(2665),
    [anon_sym_BSLASHms] = ACTIONS(2665),
    [anon_sym_BSLASHmr] = ACTIONS(2665),
    [anon_sym_BSLASHs] = ACTIONS(2665),
    [anon_sym_BSLASHsr] = ACTIONS(2665),
    [anon_sym_BSLASHr] = ACTIONS(2665),
    [anon_sym_BSLASHsp] = ACTIONS(2665),
    [anon_sym_BSLASHd] = ACTIONS(2665),
    [anon_sym_BSLASHsd] = ACTIONS(2665),
    [anon_sym_BSLASHp] = ACTIONS(2665),
    [anon_sym_BSLASHm] = ACTIONS(2665),
    [anon_sym_BSLASHpo] = ACTIONS(2665),
    [anon_sym_BSLASHpr] = ACTIONS(2665),
    [anon_sym_BSLASHcls] = ACTIONS(2665),
    [anon_sym_BSLASHpmo] = ACTIONS(2665),
    [anon_sym_BSLASHpm] = ACTIONS(2665),
    [anon_sym_BSLASHpmc] = ACTIONS(2665),
    [anon_sym_BSLASHpmr] = ACTIONS(2665),
    [anon_sym_BSLASHpi] = ACTIONS(2665),
    [anon_sym_BSLASHmi] = ACTIONS(2665),
    [anon_sym_BSLASHnb] = ACTIONS(2665),
    [anon_sym_BSLASHpc] = ACTIONS(2665),
    [anon_sym_BSLASHph] = ACTIONS(2665),
    [anon_sym_BSLASHb] = ACTIONS(2665),
    [anon_sym_BSLASHq] = ACTIONS(2665),
    [anon_sym_BSLASHqr] = ACTIONS(2665),
    [anon_sym_BSLASHqc] = ACTIONS(2665),
    [anon_sym_BSLASHqa] = ACTIONS(2665),
    [anon_sym_BSLASHqm] = ACTIONS(2665),
    [anon_sym_BSLASHqd] = ACTIONS(2665),
    [anon_sym_BSLASHlh] = ACTIONS(2665),
    [anon_sym_BSLASHlf] = ACTIONS(2665),
    [anon_sym_BSLASHli] = ACTIONS(2665),
    [anon_sym_BSLASHlim] = ACTIONS(2665),
    [anon_sym_BSLASHliv] = ACTIONS(2665),
    [anon_sym_BSLASHlik] = ACTIONS(2665),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHlitl] = ACTIONS(2665),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHtr] = ACTIONS(2665),
    [anon_sym_BSLASHf] = ACTIONS(2665),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfe] = ACTIONS(2665),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHef] = ACTIONS(2665),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfr] = ACTIONS(2665),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfq] = ACTIONS(2665),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfqa] = ACTIONS(2665),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfk] = ACTIONS(2665),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfl] = ACTIONS(2665),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfw] = ACTIONS(2665),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfp] = ACTIONS(2665),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHft] = ACTIONS(2665),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfdc] = ACTIONS(2665),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfv] = ACTIONS(2665),
    [anon_sym_BSLASHfm] = ACTIONS(2665),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHx] = ACTIONS(2665),
    [anon_sym_BSLASHxt] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2665),
    [anon_sym_BSLASHrq] = ACTIONS(2665),
    [anon_sym_BSLASHadd] = ACTIONS(2665),
    [anon_sym_BSLASHbk] = ACTIONS(2665),
    [anon_sym_BSLASHdc] = ACTIONS(2665),
    [anon_sym_BSLASHk] = ACTIONS(2665),
    [anon_sym_BSLASHnd] = ACTIONS(2665),
    [anon_sym_BSLASHord] = ACTIONS(2665),
    [anon_sym_BSLASHpn] = ACTIONS(2665),
    [anon_sym_BSLASHpng] = ACTIONS(2665),
    [anon_sym_BSLASHaddpn] = ACTIONS(2665),
    [anon_sym_BSLASHqt] = ACTIONS(2665),
    [anon_sym_BSLASHsig] = ACTIONS(2665),
    [anon_sym_BSLASHsls] = ACTIONS(2665),
    [anon_sym_BSLASHtl] = ACTIONS(2665),
    [anon_sym_BSLASHwj] = ACTIONS(2665),
    [anon_sym_BSLASHem] = ACTIONS(2665),
    [anon_sym_BSLASHbd] = ACTIONS(2665),
    [anon_sym_BSLASHit] = ACTIONS(2665),
    [anon_sym_BSLASHbdit] = ACTIONS(2665),
    [anon_sym_BSLASHno] = ACTIONS(2665),
    [anon_sym_BSLASHsc] = ACTIONS(2665),
    [anon_sym_BSLASHsup] = ACTIONS(2665),
    [anon_sym_BSLASHndx] = ACTIONS(2665),
    [anon_sym_BSLASHpro] = ACTIONS(2665),
    [anon_sym_BSLASHrb] = ACTIONS(2665),
    [anon_sym_BSLASHw] = ACTIONS(2665),
    [anon_sym_BSLASHwg] = ACTIONS(2665),
    [anon_sym_BSLASHwh] = ACTIONS(2665),
    [anon_sym_BSLASHwa] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2665),
    [anon_sym_BSLASHfig] = ACTIONS(2665),
    [anon_sym_BSLASHjmp] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2665),
    [anon_sym_BSLASHpb] = ACTIONS(2665),
    [anon_sym_BSLASH] = ACTIONS(2665),
    [sym_milestoneStartTag] = ACTIONS(2665),
    [sym_milestoneEndTag] = ACTIONS(2665),
    [sym_zSpaceTag] = ACTIONS(2665),
    [anon_sym_BSLASHesbe] = ACTIONS(2665),
    [anon_sym_BSLASHcat] = ACTIONS(2665),
  },
  [237] = {
    [aux_sym_text_token1] = ACTIONS(2667),
    [anon_sym_BSLASHref] = ACTIONS(2669),
    [anon_sym_BSLASHsts] = ACTIONS(2669),
    [anon_sym_BSLASHrem] = ACTIONS(2669),
    [anon_sym_BSLASHrestore] = ACTIONS(2669),
    [anon_sym_BSLASHlit] = ACTIONS(2669),
    [anon_sym_BSLASHiqt] = ACTIONS(2669),
    [anon_sym_BSLASHip] = ACTIONS(2669),
    [anon_sym_BSLASHv] = ACTIONS(2669),
    [anon_sym_BSLASHva] = ACTIONS(2669),
    [anon_sym_BSLASHvp] = ACTIONS(2669),
    [anon_sym_BSLASHmte] = ACTIONS(2669),
    [anon_sym_BSLASHms] = ACTIONS(2669),
    [anon_sym_BSLASHmr] = ACTIONS(2669),
    [anon_sym_BSLASHs] = ACTIONS(2669),
    [anon_sym_BSLASHsr] = ACTIONS(2669),
    [anon_sym_BSLASHr] = ACTIONS(2669),
    [anon_sym_BSLASHsp] = ACTIONS(2669),
    [anon_sym_BSLASHd] = ACTIONS(2669),
    [anon_sym_BSLASHsd] = ACTIONS(2669),
    [anon_sym_BSLASHp] = ACTIONS(2669),
    [anon_sym_BSLASHm] = ACTIONS(2669),
    [anon_sym_BSLASHpo] = ACTIONS(2669),
    [anon_sym_BSLASHpr] = ACTIONS(2669),
    [anon_sym_BSLASHcls] = ACTIONS(2669),
    [anon_sym_BSLASHpmo] = ACTIONS(2669),
    [anon_sym_BSLASHpm] = ACTIONS(2669),
    [anon_sym_BSLASHpmc] = ACTIONS(2669),
    [anon_sym_BSLASHpmr] = ACTIONS(2669),
    [anon_sym_BSLASHpi] = ACTIONS(2669),
    [anon_sym_BSLASHmi] = ACTIONS(2669),
    [anon_sym_BSLASHnb] = ACTIONS(2669),
    [anon_sym_BSLASHpc] = ACTIONS(2669),
    [anon_sym_BSLASHph] = ACTIONS(2669),
    [anon_sym_BSLASHb] = ACTIONS(2669),
    [anon_sym_BSLASHq] = ACTIONS(2669),
    [anon_sym_BSLASHqr] = ACTIONS(2669),
    [anon_sym_BSLASHqc] = ACTIONS(2669),
    [anon_sym_BSLASHqa] = ACTIONS(2669),
    [anon_sym_BSLASHqm] = ACTIONS(2669),
    [anon_sym_BSLASHqd] = ACTIONS(2669),
    [anon_sym_BSLASHlh] = ACTIONS(2669),
    [anon_sym_BSLASHlf] = ACTIONS(2669),
    [anon_sym_BSLASHli] = ACTIONS(2669),
    [anon_sym_BSLASHlim] = ACTIONS(2669),
    [anon_sym_BSLASHliv] = ACTIONS(2669),
    [anon_sym_BSLASHlik] = ACTIONS(2669),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHlitl] = ACTIONS(2669),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHtr] = ACTIONS(2669),
    [anon_sym_BSLASHf] = ACTIONS(2669),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfe] = ACTIONS(2669),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHef] = ACTIONS(2669),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfr] = ACTIONS(2669),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfq] = ACTIONS(2669),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfqa] = ACTIONS(2669),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfk] = ACTIONS(2669),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfl] = ACTIONS(2669),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfw] = ACTIONS(2669),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfp] = ACTIONS(2669),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHft] = ACTIONS(2669),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfdc] = ACTIONS(2669),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfv] = ACTIONS(2669),
    [anon_sym_BSLASHfm] = ACTIONS(2669),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHx] = ACTIONS(2669),
    [anon_sym_BSLASHxt] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2669),
    [anon_sym_BSLASHrq] = ACTIONS(2669),
    [anon_sym_BSLASHadd] = ACTIONS(2669),
    [anon_sym_BSLASHbk] = ACTIONS(2669),
    [anon_sym_BSLASHdc] = ACTIONS(2669),
    [anon_sym_BSLASHk] = ACTIONS(2669),
    [anon_sym_BSLASHnd] = ACTIONS(2669),
    [anon_sym_BSLASHord] = ACTIONS(2669),
    [anon_sym_BSLASHpn] = ACTIONS(2669),
    [anon_sym_BSLASHpng] = ACTIONS(2669),
    [anon_sym_BSLASHaddpn] = ACTIONS(2669),
    [anon_sym_BSLASHqt] = ACTIONS(2669),
    [anon_sym_BSLASHsig] = ACTIONS(2669),
    [anon_sym_BSLASHsls] = ACTIONS(2669),
    [anon_sym_BSLASHtl] = ACTIONS(2669),
    [anon_sym_BSLASHwj] = ACTIONS(2669),
    [anon_sym_BSLASHem] = ACTIONS(2669),
    [anon_sym_BSLASHbd] = ACTIONS(2669),
    [anon_sym_BSLASHit] = ACTIONS(2669),
    [anon_sym_BSLASHbdit] = ACTIONS(2669),
    [anon_sym_BSLASHno] = ACTIONS(2669),
    [anon_sym_BSLASHsc] = ACTIONS(2669),
    [anon_sym_BSLASHsup] = ACTIONS(2669),
    [anon_sym_BSLASHndx] = ACTIONS(2669),
    [anon_sym_BSLASHpro] = ACTIONS(2669),
    [anon_sym_BSLASHrb] = ACTIONS(2669),
    [anon_sym_BSLASHw] = ACTIONS(2669),
    [anon_sym_BSLASHwg] = ACTIONS(2669),
    [anon_sym_BSLASHwh] = ACTIONS(2669),
    [anon_sym_BSLASHwa] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2669),
    [anon_sym_BSLASHfig] = ACTIONS(2669),
    [anon_sym_BSLASHjmp] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2669),
    [anon_sym_BSLASHpb] = ACTIONS(2669),
    [anon_sym_BSLASH] = ACTIONS(2669),
    [sym_milestoneStartTag] = ACTIONS(2669),
    [sym_milestoneEndTag] = ACTIONS(2669),
    [sym_zSpaceTag] = ACTIONS(2669),
    [anon_sym_BSLASHesbe] = ACTIONS(2669),
    [anon_sym_BSLASHcat] = ACTIONS(2669),
  },
  [238] = {
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHref] = ACTIONS(2673),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHiqt] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHv] = ACTIONS(2673),
    [anon_sym_BSLASHva] = ACTIONS(2673),
    [anon_sym_BSLASHvp] = ACTIONS(2673),
    [anon_sym_BSLASHmte] = ACTIONS(2673),
    [anon_sym_BSLASHms] = ACTIONS(2673),
    [anon_sym_BSLASHmr] = ACTIONS(2673),
    [anon_sym_BSLASHs] = ACTIONS(2673),
    [anon_sym_BSLASHsr] = ACTIONS(2673),
    [anon_sym_BSLASHr] = ACTIONS(2673),
    [anon_sym_BSLASHsp] = ACTIONS(2673),
    [anon_sym_BSLASHd] = ACTIONS(2673),
    [anon_sym_BSLASHsd] = ACTIONS(2673),
    [anon_sym_BSLASHp] = ACTIONS(2673),
    [anon_sym_BSLASHm] = ACTIONS(2673),
    [anon_sym_BSLASHpo] = ACTIONS(2673),
    [anon_sym_BSLASHpr] = ACTIONS(2673),
    [anon_sym_BSLASHcls] = ACTIONS(2673),
    [anon_sym_BSLASHpmo] = ACTIONS(2673),
    [anon_sym_BSLASHpm] = ACTIONS(2673),
    [anon_sym_BSLASHpmc] = ACTIONS(2673),
    [anon_sym_BSLASHpmr] = ACTIONS(2673),
    [anon_sym_BSLASHpi] = ACTIONS(2673),
    [anon_sym_BSLASHmi] = ACTIONS(2673),
    [anon_sym_BSLASHnb] = ACTIONS(2673),
    [anon_sym_BSLASHpc] = ACTIONS(2673),
    [anon_sym_BSLASHph] = ACTIONS(2673),
    [anon_sym_BSLASHb] = ACTIONS(2673),
    [anon_sym_BSLASHq] = ACTIONS(2673),
    [anon_sym_BSLASHqr] = ACTIONS(2673),
    [anon_sym_BSLASHqc] = ACTIONS(2673),
    [anon_sym_BSLASHqa] = ACTIONS(2673),
    [anon_sym_BSLASHqm] = ACTIONS(2673),
    [anon_sym_BSLASHqd] = ACTIONS(2673),
    [anon_sym_BSLASHlh] = ACTIONS(2673),
    [anon_sym_BSLASHlf] = ACTIONS(2673),
    [anon_sym_BSLASHli] = ACTIONS(2673),
    [anon_sym_BSLASHlim] = ACTIONS(2673),
    [anon_sym_BSLASHliv] = ACTIONS(2673),
    [anon_sym_BSLASHlik] = ACTIONS(2673),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHlitl] = ACTIONS(2673),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHtr] = ACTIONS(2673),
    [anon_sym_BSLASHf] = ACTIONS(2673),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfe] = ACTIONS(2673),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHef] = ACTIONS(2673),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfr] = ACTIONS(2673),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfq] = ACTIONS(2673),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfqa] = ACTIONS(2673),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfk] = ACTIONS(2673),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfl] = ACTIONS(2673),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfw] = ACTIONS(2673),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfp] = ACTIONS(2673),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHft] = ACTIONS(2673),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfdc] = ACTIONS(2673),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfv] = ACTIONS(2673),
    [anon_sym_BSLASHfm] = ACTIONS(2673),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHx] = ACTIONS(2673),
    [anon_sym_BSLASHxt] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2673),
    [anon_sym_BSLASHrq] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2673),
    [anon_sym_BSLASHfig] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2673),
    [anon_sym_BSLASHpb] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesbe] = ACTIONS(2673),
    [anon_sym_BSLASHcat] = ACTIONS(2673),
  },
  [239] = {
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHref] = ACTIONS(2677),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHiqt] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHv] = ACTIONS(2677),
    [anon_sym_BSLASHva] = ACTIONS(2677),
    [anon_sym_BSLASHvp] = ACTIONS(2677),
    [anon_sym_BSLASHmte] = ACTIONS(2677),
    [anon_sym_BSLASHms] = ACTIONS(2677),
    [anon_sym_BSLASHmr] = ACTIONS(2677),
    [anon_sym_BSLASHs] = ACTIONS(2677),
    [anon_sym_BSLASHsr] = ACTIONS(2677),
    [anon_sym_BSLASHr] = ACTIONS(2677),
    [anon_sym_BSLASHsp] = ACTIONS(2677),
    [anon_sym_BSLASHd] = ACTIONS(2677),
    [anon_sym_BSLASHsd] = ACTIONS(2677),
    [anon_sym_BSLASHp] = ACTIONS(2677),
    [anon_sym_BSLASHm] = ACTIONS(2677),
    [anon_sym_BSLASHpo] = ACTIONS(2677),
    [anon_sym_BSLASHpr] = ACTIONS(2677),
    [anon_sym_BSLASHcls] = ACTIONS(2677),
    [anon_sym_BSLASHpmo] = ACTIONS(2677),
    [anon_sym_BSLASHpm] = ACTIONS(2677),
    [anon_sym_BSLASHpmc] = ACTIONS(2677),
    [anon_sym_BSLASHpmr] = ACTIONS(2677),
    [anon_sym_BSLASHpi] = ACTIONS(2677),
    [anon_sym_BSLASHmi] = ACTIONS(2677),
    [anon_sym_BSLASHnb] = ACTIONS(2677),
    [anon_sym_BSLASHpc] = ACTIONS(2677),
    [anon_sym_BSLASHph] = ACTIONS(2677),
    [anon_sym_BSLASHb] = ACTIONS(2677),
    [anon_sym_BSLASHq] = ACTIONS(2677),
    [anon_sym_BSLASHqr] = ACTIONS(2677),
    [anon_sym_BSLASHqc] = ACTIONS(2677),
    [anon_sym_BSLASHqa] = ACTIONS(2677),
    [anon_sym_BSLASHqm] = ACTIONS(2677),
    [anon_sym_BSLASHqd] = ACTIONS(2677),
    [anon_sym_BSLASHlh] = ACTIONS(2677),
    [anon_sym_BSLASHlf] = ACTIONS(2677),
    [anon_sym_BSLASHli] = ACTIONS(2677),
    [anon_sym_BSLASHlim] = ACTIONS(2677),
    [anon_sym_BSLASHliv] = ACTIONS(2677),
    [anon_sym_BSLASHlik] = ACTIONS(2677),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHlitl] = ACTIONS(2677),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHtr] = ACTIONS(2677),
    [anon_sym_BSLASHf] = ACTIONS(2677),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfe] = ACTIONS(2677),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHef] = ACTIONS(2677),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfr] = ACTIONS(2677),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfq] = ACTIONS(2677),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfqa] = ACTIONS(2677),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfk] = ACTIONS(2677),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfl] = ACTIONS(2677),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfw] = ACTIONS(2677),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfp] = ACTIONS(2677),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHft] = ACTIONS(2677),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfdc] = ACTIONS(2677),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfv] = ACTIONS(2677),
    [anon_sym_BSLASHfm] = ACTIONS(2677),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHx] = ACTIONS(2677),
    [anon_sym_BSLASHxt] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2677),
    [anon_sym_BSLASHrq] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2677),
    [anon_sym_BSLASHfig] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2677),
    [anon_sym_BSLASHpb] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesbe] = ACTIONS(2677),
    [anon_sym_BSLASHcat] = ACTIONS(2677),
  },
  [240] = {
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHref] = ACTIONS(2681),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHiqt] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHv] = ACTIONS(2681),
    [anon_sym_BSLASHva] = ACTIONS(2681),
    [anon_sym_BSLASHvp] = ACTIONS(2681),
    [anon_sym_BSLASHmte] = ACTIONS(2681),
    [anon_sym_BSLASHms] = ACTIONS(2681),
    [anon_sym_BSLASHmr] = ACTIONS(2681),
    [anon_sym_BSLASHs] = ACTIONS(2681),
    [anon_sym_BSLASHsr] = ACTIONS(2681),
    [anon_sym_BSLASHr] = ACTIONS(2681),
    [anon_sym_BSLASHsp] = ACTIONS(2681),
    [anon_sym_BSLASHd] = ACTIONS(2681),
    [anon_sym_BSLASHsd] = ACTIONS(2681),
    [anon_sym_BSLASHp] = ACTIONS(2681),
    [anon_sym_BSLASHm] = ACTIONS(2681),
    [anon_sym_BSLASHpo] = ACTIONS(2681),
    [anon_sym_BSLASHpr] = ACTIONS(2681),
    [anon_sym_BSLASHcls] = ACTIONS(2681),
    [anon_sym_BSLASHpmo] = ACTIONS(2681),
    [anon_sym_BSLASHpm] = ACTIONS(2681),
    [anon_sym_BSLASHpmc] = ACTIONS(2681),
    [anon_sym_BSLASHpmr] = ACTIONS(2681),
    [anon_sym_BSLASHpi] = ACTIONS(2681),
    [anon_sym_BSLASHmi] = ACTIONS(2681),
    [anon_sym_BSLASHnb] = ACTIONS(2681),
    [anon_sym_BSLASHpc] = ACTIONS(2681),
    [anon_sym_BSLASHph] = ACTIONS(2681),
    [anon_sym_BSLASHb] = ACTIONS(2681),
    [anon_sym_BSLASHq] = ACTIONS(2681),
    [anon_sym_BSLASHqr] = ACTIONS(2681),
    [anon_sym_BSLASHqc] = ACTIONS(2681),
    [anon_sym_BSLASHqa] = ACTIONS(2681),
    [anon_sym_BSLASHqm] = ACTIONS(2681),
    [anon_sym_BSLASHqd] = ACTIONS(2681),
    [anon_sym_BSLASHlh] = ACTIONS(2681),
    [anon_sym_BSLASHlf] = ACTIONS(2681),
    [anon_sym_BSLASHli] = ACTIONS(2681),
    [anon_sym_BSLASHlim] = ACTIONS(2681),
    [anon_sym_BSLASHliv] = ACTIONS(2681),
    [anon_sym_BSLASHlik] = ACTIONS(2681),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHlitl] = ACTIONS(2681),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHtr] = ACTIONS(2681),
    [anon_sym_BSLASHf] = ACTIONS(2681),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfe] = ACTIONS(2681),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHef] = ACTIONS(2681),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfr] = ACTIONS(2681),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfq] = ACTIONS(2681),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfqa] = ACTIONS(2681),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfk] = ACTIONS(2681),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfl] = ACTIONS(2681),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfw] = ACTIONS(2681),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfp] = ACTIONS(2681),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHft] = ACTIONS(2681),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfdc] = ACTIONS(2681),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfv] = ACTIONS(2681),
    [anon_sym_BSLASHfm] = ACTIONS(2681),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHx] = ACTIONS(2681),
    [anon_sym_BSLASHxt] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2681),
    [anon_sym_BSLASHrq] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2681),
    [anon_sym_BSLASHfig] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2681),
    [anon_sym_BSLASHpb] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesbe] = ACTIONS(2681),
    [anon_sym_BSLASHcat] = ACTIONS(2681),
  },
  [241] = {
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHref] = ACTIONS(2685),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHiqt] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHv] = ACTIONS(2685),
    [anon_sym_BSLASHva] = ACTIONS(2685),
    [anon_sym_BSLASHvp] = ACTIONS(2685),
    [anon_sym_BSLASHmte] = ACTIONS(2685),
    [anon_sym_BSLASHms] = ACTIONS(2685),
    [anon_sym_BSLASHmr] = ACTIONS(2685),
    [anon_sym_BSLASHs] = ACTIONS(2685),
    [anon_sym_BSLASHsr] = ACTIONS(2685),
    [anon_sym_BSLASHr] = ACTIONS(2685),
    [anon_sym_BSLASHsp] = ACTIONS(2685),
    [anon_sym_BSLASHd] = ACTIONS(2685),
    [anon_sym_BSLASHsd] = ACTIONS(2685),
    [anon_sym_BSLASHp] = ACTIONS(2685),
    [anon_sym_BSLASHm] = ACTIONS(2685),
    [anon_sym_BSLASHpo] = ACTIONS(2685),
    [anon_sym_BSLASHpr] = ACTIONS(2685),
    [anon_sym_BSLASHcls] = ACTIONS(2685),
    [anon_sym_BSLASHpmo] = ACTIONS(2685),
    [anon_sym_BSLASHpm] = ACTIONS(2685),
    [anon_sym_BSLASHpmc] = ACTIONS(2685),
    [anon_sym_BSLASHpmr] = ACTIONS(2685),
    [anon_sym_BSLASHpi] = ACTIONS(2685),
    [anon_sym_BSLASHmi] = ACTIONS(2685),
    [anon_sym_BSLASHnb] = ACTIONS(2685),
    [anon_sym_BSLASHpc] = ACTIONS(2685),
    [anon_sym_BSLASHph] = ACTIONS(2685),
    [anon_sym_BSLASHb] = ACTIONS(2685),
    [anon_sym_BSLASHq] = ACTIONS(2685),
    [anon_sym_BSLASHqr] = ACTIONS(2685),
    [anon_sym_BSLASHqc] = ACTIONS(2685),
    [anon_sym_BSLASHqa] = ACTIONS(2685),
    [anon_sym_BSLASHqm] = ACTIONS(2685),
    [anon_sym_BSLASHqd] = ACTIONS(2685),
    [anon_sym_BSLASHlh] = ACTIONS(2685),
    [anon_sym_BSLASHlf] = ACTIONS(2685),
    [anon_sym_BSLASHli] = ACTIONS(2685),
    [anon_sym_BSLASHlim] = ACTIONS(2685),
    [anon_sym_BSLASHliv] = ACTIONS(2685),
    [anon_sym_BSLASHlik] = ACTIONS(2685),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHlitl] = ACTIONS(2685),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHtr] = ACTIONS(2685),
    [anon_sym_BSLASHf] = ACTIONS(2685),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfe] = ACTIONS(2685),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHef] = ACTIONS(2685),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfr] = ACTIONS(2685),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfq] = ACTIONS(2685),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfqa] = ACTIONS(2685),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfk] = ACTIONS(2685),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfl] = ACTIONS(2685),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfw] = ACTIONS(2685),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfp] = ACTIONS(2685),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHft] = ACTIONS(2685),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfdc] = ACTIONS(2685),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfv] = ACTIONS(2685),
    [anon_sym_BSLASHfm] = ACTIONS(2685),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHx] = ACTIONS(2685),
    [anon_sym_BSLASHxt] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2685),
    [anon_sym_BSLASHrq] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2685),
    [anon_sym_BSLASHfig] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2685),
    [anon_sym_BSLASHpb] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesbe] = ACTIONS(2685),
    [anon_sym_BSLASHcat] = ACTIONS(2685),
  },
  [242] = {
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHref] = ACTIONS(2689),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHiqt] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHv] = ACTIONS(2689),
    [anon_sym_BSLASHva] = ACTIONS(2689),
    [anon_sym_BSLASHvp] = ACTIONS(2689),
    [anon_sym_BSLASHmte] = ACTIONS(2689),
    [anon_sym_BSLASHms] = ACTIONS(2689),
    [anon_sym_BSLASHmr] = ACTIONS(2689),
    [anon_sym_BSLASHs] = ACTIONS(2689),
    [anon_sym_BSLASHsr] = ACTIONS(2689),
    [anon_sym_BSLASHr] = ACTIONS(2689),
    [anon_sym_BSLASHsp] = ACTIONS(2689),
    [anon_sym_BSLASHd] = ACTIONS(2689),
    [anon_sym_BSLASHsd] = ACTIONS(2689),
    [anon_sym_BSLASHp] = ACTIONS(2689),
    [anon_sym_BSLASHm] = ACTIONS(2689),
    [anon_sym_BSLASHpo] = ACTIONS(2689),
    [anon_sym_BSLASHpr] = ACTIONS(2689),
    [anon_sym_BSLASHcls] = ACTIONS(2689),
    [anon_sym_BSLASHpmo] = ACTIONS(2689),
    [anon_sym_BSLASHpm] = ACTIONS(2689),
    [anon_sym_BSLASHpmc] = ACTIONS(2689),
    [anon_sym_BSLASHpmr] = ACTIONS(2689),
    [anon_sym_BSLASHpi] = ACTIONS(2689),
    [anon_sym_BSLASHmi] = ACTIONS(2689),
    [anon_sym_BSLASHnb] = ACTIONS(2689),
    [anon_sym_BSLASHpc] = ACTIONS(2689),
    [anon_sym_BSLASHph] = ACTIONS(2689),
    [anon_sym_BSLASHb] = ACTIONS(2689),
    [anon_sym_BSLASHq] = ACTIONS(2689),
    [anon_sym_BSLASHqr] = ACTIONS(2689),
    [anon_sym_BSLASHqc] = ACTIONS(2689),
    [anon_sym_BSLASHqa] = ACTIONS(2689),
    [anon_sym_BSLASHqm] = ACTIONS(2689),
    [anon_sym_BSLASHqd] = ACTIONS(2689),
    [anon_sym_BSLASHlh] = ACTIONS(2689),
    [anon_sym_BSLASHlf] = ACTIONS(2689),
    [anon_sym_BSLASHli] = ACTIONS(2689),
    [anon_sym_BSLASHlim] = ACTIONS(2689),
    [anon_sym_BSLASHliv] = ACTIONS(2689),
    [anon_sym_BSLASHlik] = ACTIONS(2689),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHlitl] = ACTIONS(2689),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHtr] = ACTIONS(2689),
    [anon_sym_BSLASHf] = ACTIONS(2689),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfe] = ACTIONS(2689),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHef] = ACTIONS(2689),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfr] = ACTIONS(2689),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfq] = ACTIONS(2689),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfqa] = ACTIONS(2689),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfk] = ACTIONS(2689),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfl] = ACTIONS(2689),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfw] = ACTIONS(2689),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfp] = ACTIONS(2689),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHft] = ACTIONS(2689),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfdc] = ACTIONS(2689),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfv] = ACTIONS(2689),
    [anon_sym_BSLASHfm] = ACTIONS(2689),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHx] = ACTIONS(2689),
    [anon_sym_BSLASHxt] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2689),
    [anon_sym_BSLASHrq] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2689),
    [anon_sym_BSLASHfig] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2689),
    [anon_sym_BSLASHpb] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesbe] = ACTIONS(2689),
    [anon_sym_BSLASHcat] = ACTIONS(2689),
  },
  [243] = {
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHref] = ACTIONS(2693),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHiqt] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHv] = ACTIONS(2693),
    [anon_sym_BSLASHva] = ACTIONS(2693),
    [anon_sym_BSLASHvp] = ACTIONS(2693),
    [anon_sym_BSLASHmte] = ACTIONS(2693),
    [anon_sym_BSLASHms] = ACTIONS(2693),
    [anon_sym_BSLASHmr] = ACTIONS(2693),
    [anon_sym_BSLASHs] = ACTIONS(2693),
    [anon_sym_BSLASHsr] = ACTIONS(2693),
    [anon_sym_BSLASHr] = ACTIONS(2693),
    [anon_sym_BSLASHsp] = ACTIONS(2693),
    [anon_sym_BSLASHd] = ACTIONS(2693),
    [anon_sym_BSLASHsd] = ACTIONS(2693),
    [anon_sym_BSLASHp] = ACTIONS(2693),
    [anon_sym_BSLASHm] = ACTIONS(2693),
    [anon_sym_BSLASHpo] = ACTIONS(2693),
    [anon_sym_BSLASHpr] = ACTIONS(2693),
    [anon_sym_BSLASHcls] = ACTIONS(2693),
    [anon_sym_BSLASHpmo] = ACTIONS(2693),
    [anon_sym_BSLASHpm] = ACTIONS(2693),
    [anon_sym_BSLASHpmc] = ACTIONS(2693),
    [anon_sym_BSLASHpmr] = ACTIONS(2693),
    [anon_sym_BSLASHpi] = ACTIONS(2693),
    [anon_sym_BSLASHmi] = ACTIONS(2693),
    [anon_sym_BSLASHnb] = ACTIONS(2693),
    [anon_sym_BSLASHpc] = ACTIONS(2693),
    [anon_sym_BSLASHph] = ACTIONS(2693),
    [anon_sym_BSLASHb] = ACTIONS(2693),
    [anon_sym_BSLASHq] = ACTIONS(2693),
    [anon_sym_BSLASHqr] = ACTIONS(2693),
    [anon_sym_BSLASHqc] = ACTIONS(2693),
    [anon_sym_BSLASHqa] = ACTIONS(2693),
    [anon_sym_BSLASHqm] = ACTIONS(2693),
    [anon_sym_BSLASHqd] = ACTIONS(2693),
    [anon_sym_BSLASHlh] = ACTIONS(2693),
    [anon_sym_BSLASHlf] = ACTIONS(2693),
    [anon_sym_BSLASHli] = ACTIONS(2693),
    [anon_sym_BSLASHlim] = ACTIONS(2693),
    [anon_sym_BSLASHliv] = ACTIONS(2693),
    [anon_sym_BSLASHlik] = ACTIONS(2693),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHlitl] = ACTIONS(2693),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHtr] = ACTIONS(2693),
    [anon_sym_BSLASHf] = ACTIONS(2693),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfe] = ACTIONS(2693),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHef] = ACTIONS(2693),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfr] = ACTIONS(2693),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfq] = ACTIONS(2693),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfqa] = ACTIONS(2693),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfk] = ACTIONS(2693),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfl] = ACTIONS(2693),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfw] = ACTIONS(2693),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfp] = ACTIONS(2693),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHft] = ACTIONS(2693),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfdc] = ACTIONS(2693),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfv] = ACTIONS(2693),
    [anon_sym_BSLASHfm] = ACTIONS(2693),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHx] = ACTIONS(2693),
    [anon_sym_BSLASHxt] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2693),
    [anon_sym_BSLASHrq] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2693),
    [anon_sym_BSLASHfig] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2693),
    [anon_sym_BSLASHpb] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesbe] = ACTIONS(2693),
    [anon_sym_BSLASHcat] = ACTIONS(2693),
  },
  [244] = {
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHref] = ACTIONS(2697),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHiqt] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHv] = ACTIONS(2697),
    [anon_sym_BSLASHva] = ACTIONS(2697),
    [anon_sym_BSLASHvp] = ACTIONS(2697),
    [anon_sym_BSLASHmte] = ACTIONS(2697),
    [anon_sym_BSLASHms] = ACTIONS(2697),
    [anon_sym_BSLASHmr] = ACTIONS(2697),
    [anon_sym_BSLASHs] = ACTIONS(2697),
    [anon_sym_BSLASHsr] = ACTIONS(2697),
    [anon_sym_BSLASHr] = ACTIONS(2697),
    [anon_sym_BSLASHsp] = ACTIONS(2697),
    [anon_sym_BSLASHd] = ACTIONS(2697),
    [anon_sym_BSLASHsd] = ACTIONS(2697),
    [anon_sym_BSLASHp] = ACTIONS(2697),
    [anon_sym_BSLASHm] = ACTIONS(2697),
    [anon_sym_BSLASHpo] = ACTIONS(2697),
    [anon_sym_BSLASHpr] = ACTIONS(2697),
    [anon_sym_BSLASHcls] = ACTIONS(2697),
    [anon_sym_BSLASHpmo] = ACTIONS(2697),
    [anon_sym_BSLASHpm] = ACTIONS(2697),
    [anon_sym_BSLASHpmc] = ACTIONS(2697),
    [anon_sym_BSLASHpmr] = ACTIONS(2697),
    [anon_sym_BSLASHpi] = ACTIONS(2697),
    [anon_sym_BSLASHmi] = ACTIONS(2697),
    [anon_sym_BSLASHnb] = ACTIONS(2697),
    [anon_sym_BSLASHpc] = ACTIONS(2697),
    [anon_sym_BSLASHph] = ACTIONS(2697),
    [anon_sym_BSLASHb] = ACTIONS(2697),
    [anon_sym_BSLASHq] = ACTIONS(2697),
    [anon_sym_BSLASHqr] = ACTIONS(2697),
    [anon_sym_BSLASHqc] = ACTIONS(2697),
    [anon_sym_BSLASHqa] = ACTIONS(2697),
    [anon_sym_BSLASHqm] = ACTIONS(2697),
    [anon_sym_BSLASHqd] = ACTIONS(2697),
    [anon_sym_BSLASHlh] = ACTIONS(2697),
    [anon_sym_BSLASHlf] = ACTIONS(2697),
    [anon_sym_BSLASHli] = ACTIONS(2697),
    [anon_sym_BSLASHlim] = ACTIONS(2697),
    [anon_sym_BSLASHliv] = ACTIONS(2697),
    [anon_sym_BSLASHlik] = ACTIONS(2697),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHlitl] = ACTIONS(2697),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHtr] = ACTIONS(2697),
    [anon_sym_BSLASHf] = ACTIONS(2697),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfe] = ACTIONS(2697),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHef] = ACTIONS(2697),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfr] = ACTIONS(2697),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfq] = ACTIONS(2697),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfqa] = ACTIONS(2697),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfk] = ACTIONS(2697),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfl] = ACTIONS(2697),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfw] = ACTIONS(2697),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfp] = ACTIONS(2697),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHft] = ACTIONS(2697),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfdc] = ACTIONS(2697),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfv] = ACTIONS(2697),
    [anon_sym_BSLASHfm] = ACTIONS(2697),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHx] = ACTIONS(2697),
    [anon_sym_BSLASHxt] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2697),
    [anon_sym_BSLASHrq] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2697),
    [anon_sym_BSLASHfig] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2697),
    [anon_sym_BSLASHpb] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesbe] = ACTIONS(2697),
    [anon_sym_BSLASHcat] = ACTIONS(2697),
  },
  [245] = {
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHref] = ACTIONS(2701),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHiqt] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHv] = ACTIONS(2701),
    [anon_sym_BSLASHva] = ACTIONS(2701),
    [anon_sym_BSLASHvp] = ACTIONS(2701),
    [anon_sym_BSLASHmte] = ACTIONS(2701),
    [anon_sym_BSLASHms] = ACTIONS(2701),
    [anon_sym_BSLASHmr] = ACTIONS(2701),
    [anon_sym_BSLASHs] = ACTIONS(2701),
    [anon_sym_BSLASHsr] = ACTIONS(2701),
    [anon_sym_BSLASHr] = ACTIONS(2701),
    [anon_sym_BSLASHsp] = ACTIONS(2701),
    [anon_sym_BSLASHd] = ACTIONS(2701),
    [anon_sym_BSLASHsd] = ACTIONS(2701),
    [anon_sym_BSLASHp] = ACTIONS(2701),
    [anon_sym_BSLASHm] = ACTIONS(2701),
    [anon_sym_BSLASHpo] = ACTIONS(2701),
    [anon_sym_BSLASHpr] = ACTIONS(2701),
    [anon_sym_BSLASHcls] = ACTIONS(2701),
    [anon_sym_BSLASHpmo] = ACTIONS(2701),
    [anon_sym_BSLASHpm] = ACTIONS(2701),
    [anon_sym_BSLASHpmc] = ACTIONS(2701),
    [anon_sym_BSLASHpmr] = ACTIONS(2701),
    [anon_sym_BSLASHpi] = ACTIONS(2701),
    [anon_sym_BSLASHmi] = ACTIONS(2701),
    [anon_sym_BSLASHnb] = ACTIONS(2701),
    [anon_sym_BSLASHpc] = ACTIONS(2701),
    [anon_sym_BSLASHph] = ACTIONS(2701),
    [anon_sym_BSLASHb] = ACTIONS(2701),
    [anon_sym_BSLASHq] = ACTIONS(2701),
    [anon_sym_BSLASHqr] = ACTIONS(2701),
    [anon_sym_BSLASHqc] = ACTIONS(2701),
    [anon_sym_BSLASHqa] = ACTIONS(2701),
    [anon_sym_BSLASHqm] = ACTIONS(2701),
    [anon_sym_BSLASHqd] = ACTIONS(2701),
    [anon_sym_BSLASHlh] = ACTIONS(2701),
    [anon_sym_BSLASHlf] = ACTIONS(2701),
    [anon_sym_BSLASHli] = ACTIONS(2701),
    [anon_sym_BSLASHlim] = ACTIONS(2701),
    [anon_sym_BSLASHliv] = ACTIONS(2701),
    [anon_sym_BSLASHlik] = ACTIONS(2701),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHlitl] = ACTIONS(2701),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHtr] = ACTIONS(2701),
    [anon_sym_BSLASHf] = ACTIONS(2701),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfe] = ACTIONS(2701),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHef] = ACTIONS(2701),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfr] = ACTIONS(2701),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfq] = ACTIONS(2701),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfqa] = ACTIONS(2701),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfk] = ACTIONS(2701),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfl] = ACTIONS(2701),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfw] = ACTIONS(2701),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfp] = ACTIONS(2701),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHft] = ACTIONS(2701),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfdc] = ACTIONS(2701),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfv] = ACTIONS(2701),
    [anon_sym_BSLASHfm] = ACTIONS(2701),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHx] = ACTIONS(2701),
    [anon_sym_BSLASHxt] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2701),
    [anon_sym_BSLASHrq] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2701),
    [anon_sym_BSLASHfig] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2701),
    [anon_sym_BSLASHpb] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesbe] = ACTIONS(2701),
    [anon_sym_BSLASHcat] = ACTIONS(2701),
  },
  [246] = {
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHref] = ACTIONS(2705),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHiqt] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHv] = ACTIONS(2705),
    [anon_sym_BSLASHva] = ACTIONS(2705),
    [anon_sym_BSLASHvp] = ACTIONS(2705),
    [anon_sym_BSLASHmte] = ACTIONS(2705),
    [anon_sym_BSLASHms] = ACTIONS(2705),
    [anon_sym_BSLASHmr] = ACTIONS(2705),
    [anon_sym_BSLASHs] = ACTIONS(2705),
    [anon_sym_BSLASHsr] = ACTIONS(2705),
    [anon_sym_BSLASHr] = ACTIONS(2705),
    [anon_sym_BSLASHsp] = ACTIONS(2705),
    [anon_sym_BSLASHd] = ACTIONS(2705),
    [anon_sym_BSLASHsd] = ACTIONS(2705),
    [anon_sym_BSLASHp] = ACTIONS(2705),
    [anon_sym_BSLASHm] = ACTIONS(2705),
    [anon_sym_BSLASHpo] = ACTIONS(2705),
    [anon_sym_BSLASHpr] = ACTIONS(2705),
    [anon_sym_BSLASHcls] = ACTIONS(2705),
    [anon_sym_BSLASHpmo] = ACTIONS(2705),
    [anon_sym_BSLASHpm] = ACTIONS(2705),
    [anon_sym_BSLASHpmc] = ACTIONS(2705),
    [anon_sym_BSLASHpmr] = ACTIONS(2705),
    [anon_sym_BSLASHpi] = ACTIONS(2705),
    [anon_sym_BSLASHmi] = ACTIONS(2705),
    [anon_sym_BSLASHnb] = ACTIONS(2705),
    [anon_sym_BSLASHpc] = ACTIONS(2705),
    [anon_sym_BSLASHph] = ACTIONS(2705),
    [anon_sym_BSLASHb] = ACTIONS(2705),
    [anon_sym_BSLASHq] = ACTIONS(2705),
    [anon_sym_BSLASHqr] = ACTIONS(2705),
    [anon_sym_BSLASHqc] = ACTIONS(2705),
    [anon_sym_BSLASHqa] = ACTIONS(2705),
    [anon_sym_BSLASHqm] = ACTIONS(2705),
    [anon_sym_BSLASHqd] = ACTIONS(2705),
    [anon_sym_BSLASHlh] = ACTIONS(2705),
    [anon_sym_BSLASHlf] = ACTIONS(2705),
    [anon_sym_BSLASHli] = ACTIONS(2705),
    [anon_sym_BSLASHlim] = ACTIONS(2705),
    [anon_sym_BSLASHliv] = ACTIONS(2705),
    [anon_sym_BSLASHlik] = ACTIONS(2705),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHlitl] = ACTIONS(2705),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHtr] = ACTIONS(2705),
    [anon_sym_BSLASHf] = ACTIONS(2705),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfe] = ACTIONS(2705),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHef] = ACTIONS(2705),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfr] = ACTIONS(2705),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfq] = ACTIONS(2705),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfqa] = ACTIONS(2705),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfk] = ACTIONS(2705),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfl] = ACTIONS(2705),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfw] = ACTIONS(2705),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfp] = ACTIONS(2705),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHft] = ACTIONS(2705),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfdc] = ACTIONS(2705),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfv] = ACTIONS(2705),
    [anon_sym_BSLASHfm] = ACTIONS(2705),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHx] = ACTIONS(2705),
    [anon_sym_BSLASHxt] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2705),
    [anon_sym_BSLASHrq] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2705),
    [anon_sym_BSLASHfig] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2705),
    [anon_sym_BSLASHpb] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesbe] = ACTIONS(2705),
    [anon_sym_BSLASHcat] = ACTIONS(2705),
  },
  [247] = {
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHref] = ACTIONS(2709),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHiqt] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHv] = ACTIONS(2709),
    [anon_sym_BSLASHva] = ACTIONS(2709),
    [anon_sym_BSLASHvp] = ACTIONS(2709),
    [anon_sym_BSLASHmte] = ACTIONS(2709),
    [anon_sym_BSLASHms] = ACTIONS(2709),
    [anon_sym_BSLASHmr] = ACTIONS(2709),
    [anon_sym_BSLASHs] = ACTIONS(2709),
    [anon_sym_BSLASHsr] = ACTIONS(2709),
    [anon_sym_BSLASHr] = ACTIONS(2709),
    [anon_sym_BSLASHsp] = ACTIONS(2709),
    [anon_sym_BSLASHd] = ACTIONS(2709),
    [anon_sym_BSLASHsd] = ACTIONS(2709),
    [anon_sym_BSLASHp] = ACTIONS(2709),
    [anon_sym_BSLASHm] = ACTIONS(2709),
    [anon_sym_BSLASHpo] = ACTIONS(2709),
    [anon_sym_BSLASHpr] = ACTIONS(2709),
    [anon_sym_BSLASHcls] = ACTIONS(2709),
    [anon_sym_BSLASHpmo] = ACTIONS(2709),
    [anon_sym_BSLASHpm] = ACTIONS(2709),
    [anon_sym_BSLASHpmc] = ACTIONS(2709),
    [anon_sym_BSLASHpmr] = ACTIONS(2709),
    [anon_sym_BSLASHpi] = ACTIONS(2709),
    [anon_sym_BSLASHmi] = ACTIONS(2709),
    [anon_sym_BSLASHnb] = ACTIONS(2709),
    [anon_sym_BSLASHpc] = ACTIONS(2709),
    [anon_sym_BSLASHph] = ACTIONS(2709),
    [anon_sym_BSLASHb] = ACTIONS(2709),
    [anon_sym_BSLASHq] = ACTIONS(2709),
    [anon_sym_BSLASHqr] = ACTIONS(2709),
    [anon_sym_BSLASHqc] = ACTIONS(2709),
    [anon_sym_BSLASHqa] = ACTIONS(2709),
    [anon_sym_BSLASHqm] = ACTIONS(2709),
    [anon_sym_BSLASHqd] = ACTIONS(2709),
    [anon_sym_BSLASHlh] = ACTIONS(2709),
    [anon_sym_BSLASHlf] = ACTIONS(2709),
    [anon_sym_BSLASHli] = ACTIONS(2709),
    [anon_sym_BSLASHlim] = ACTIONS(2709),
    [anon_sym_BSLASHliv] = ACTIONS(2709),
    [anon_sym_BSLASHlik] = ACTIONS(2709),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHlitl] = ACTIONS(2709),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHtr] = ACTIONS(2709),
    [anon_sym_BSLASHf] = ACTIONS(2709),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfe] = ACTIONS(2709),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHef] = ACTIONS(2709),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfr] = ACTIONS(2709),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfq] = ACTIONS(2709),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfqa] = ACTIONS(2709),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfk] = ACTIONS(2709),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfl] = ACTIONS(2709),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfw] = ACTIONS(2709),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfp] = ACTIONS(2709),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHft] = ACTIONS(2709),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfdc] = ACTIONS(2709),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfv] = ACTIONS(2709),
    [anon_sym_BSLASHfm] = ACTIONS(2709),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHx] = ACTIONS(2709),
    [anon_sym_BSLASHxt] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2709),
    [anon_sym_BSLASHrq] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2709),
    [anon_sym_BSLASHfig] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2709),
    [anon_sym_BSLASHpb] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesbe] = ACTIONS(2709),
    [anon_sym_BSLASHcat] = ACTIONS(2709),
  },
  [248] = {
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHref] = ACTIONS(2713),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHiqt] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHv] = ACTIONS(2713),
    [anon_sym_BSLASHva] = ACTIONS(2713),
    [anon_sym_BSLASHvp] = ACTIONS(2713),
    [anon_sym_BSLASHmte] = ACTIONS(2713),
    [anon_sym_BSLASHms] = ACTIONS(2713),
    [anon_sym_BSLASHmr] = ACTIONS(2713),
    [anon_sym_BSLASHs] = ACTIONS(2713),
    [anon_sym_BSLASHsr] = ACTIONS(2713),
    [anon_sym_BSLASHr] = ACTIONS(2713),
    [anon_sym_BSLASHsp] = ACTIONS(2713),
    [anon_sym_BSLASHd] = ACTIONS(2713),
    [anon_sym_BSLASHsd] = ACTIONS(2713),
    [anon_sym_BSLASHp] = ACTIONS(2713),
    [anon_sym_BSLASHm] = ACTIONS(2713),
    [anon_sym_BSLASHpo] = ACTIONS(2713),
    [anon_sym_BSLASHpr] = ACTIONS(2713),
    [anon_sym_BSLASHcls] = ACTIONS(2713),
    [anon_sym_BSLASHpmo] = ACTIONS(2713),
    [anon_sym_BSLASHpm] = ACTIONS(2713),
    [anon_sym_BSLASHpmc] = ACTIONS(2713),
    [anon_sym_BSLASHpmr] = ACTIONS(2713),
    [anon_sym_BSLASHpi] = ACTIONS(2713),
    [anon_sym_BSLASHmi] = ACTIONS(2713),
    [anon_sym_BSLASHnb] = ACTIONS(2713),
    [anon_sym_BSLASHpc] = ACTIONS(2713),
    [anon_sym_BSLASHph] = ACTIONS(2713),
    [anon_sym_BSLASHb] = ACTIONS(2713),
    [anon_sym_BSLASHq] = ACTIONS(2713),
    [anon_sym_BSLASHqr] = ACTIONS(2713),
    [anon_sym_BSLASHqc] = ACTIONS(2713),
    [anon_sym_BSLASHqa] = ACTIONS(2713),
    [anon_sym_BSLASHqm] = ACTIONS(2713),
    [anon_sym_BSLASHqd] = ACTIONS(2713),
    [anon_sym_BSLASHlh] = ACTIONS(2713),
    [anon_sym_BSLASHlf] = ACTIONS(2713),
    [anon_sym_BSLASHli] = ACTIONS(2713),
    [anon_sym_BSLASHlim] = ACTIONS(2713),
    [anon_sym_BSLASHliv] = ACTIONS(2713),
    [anon_sym_BSLASHlik] = ACTIONS(2713),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHlitl] = ACTIONS(2713),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHtr] = ACTIONS(2713),
    [anon_sym_BSLASHf] = ACTIONS(2713),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfe] = ACTIONS(2713),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHef] = ACTIONS(2713),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfr] = ACTIONS(2713),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfq] = ACTIONS(2713),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfqa] = ACTIONS(2713),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfk] = ACTIONS(2713),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfl] = ACTIONS(2713),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfw] = ACTIONS(2713),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfp] = ACTIONS(2713),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHft] = ACTIONS(2713),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfdc] = ACTIONS(2713),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfv] = ACTIONS(2713),
    [anon_sym_BSLASHfm] = ACTIONS(2713),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHx] = ACTIONS(2713),
    [anon_sym_BSLASHxt] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2713),
    [anon_sym_BSLASHrq] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2713),
    [anon_sym_BSLASHfig] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2713),
    [anon_sym_BSLASHpb] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesbe] = ACTIONS(2713),
    [anon_sym_BSLASHcat] = ACTIONS(2713),
  },
  [249] = {
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHref] = ACTIONS(2717),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHiqt] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHv] = ACTIONS(2717),
    [anon_sym_BSLASHva] = ACTIONS(2717),
    [anon_sym_BSLASHvp] = ACTIONS(2717),
    [anon_sym_BSLASHmte] = ACTIONS(2717),
    [anon_sym_BSLASHms] = ACTIONS(2717),
    [anon_sym_BSLASHmr] = ACTIONS(2717),
    [anon_sym_BSLASHs] = ACTIONS(2717),
    [anon_sym_BSLASHsr] = ACTIONS(2717),
    [anon_sym_BSLASHr] = ACTIONS(2717),
    [anon_sym_BSLASHsp] = ACTIONS(2717),
    [anon_sym_BSLASHd] = ACTIONS(2717),
    [anon_sym_BSLASHsd] = ACTIONS(2717),
    [anon_sym_BSLASHp] = ACTIONS(2717),
    [anon_sym_BSLASHm] = ACTIONS(2717),
    [anon_sym_BSLASHpo] = ACTIONS(2717),
    [anon_sym_BSLASHpr] = ACTIONS(2717),
    [anon_sym_BSLASHcls] = ACTIONS(2717),
    [anon_sym_BSLASHpmo] = ACTIONS(2717),
    [anon_sym_BSLASHpm] = ACTIONS(2717),
    [anon_sym_BSLASHpmc] = ACTIONS(2717),
    [anon_sym_BSLASHpmr] = ACTIONS(2717),
    [anon_sym_BSLASHpi] = ACTIONS(2717),
    [anon_sym_BSLASHmi] = ACTIONS(2717),
    [anon_sym_BSLASHnb] = ACTIONS(2717),
    [anon_sym_BSLASHpc] = ACTIONS(2717),
    [anon_sym_BSLASHph] = ACTIONS(2717),
    [anon_sym_BSLASHb] = ACTIONS(2717),
    [anon_sym_BSLASHq] = ACTIONS(2717),
    [anon_sym_BSLASHqr] = ACTIONS(2717),
    [anon_sym_BSLASHqc] = ACTIONS(2717),
    [anon_sym_BSLASHqa] = ACTIONS(2717),
    [anon_sym_BSLASHqm] = ACTIONS(2717),
    [anon_sym_BSLASHqd] = ACTIONS(2717),
    [anon_sym_BSLASHlh] = ACTIONS(2717),
    [anon_sym_BSLASHlf] = ACTIONS(2717),
    [anon_sym_BSLASHli] = ACTIONS(2717),
    [anon_sym_BSLASHlim] = ACTIONS(2717),
    [anon_sym_BSLASHliv] = ACTIONS(2717),
    [anon_sym_BSLASHlik] = ACTIONS(2717),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHlitl] = ACTIONS(2717),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHtr] = ACTIONS(2717),
    [anon_sym_BSLASHf] = ACTIONS(2717),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfe] = ACTIONS(2717),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHef] = ACTIONS(2717),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfr] = ACTIONS(2717),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfq] = ACTIONS(2717),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfqa] = ACTIONS(2717),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfk] = ACTIONS(2717),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfl] = ACTIONS(2717),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfw] = ACTIONS(2717),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfp] = ACTIONS(2717),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHft] = ACTIONS(2717),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfdc] = ACTIONS(2717),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfv] = ACTIONS(2717),
    [anon_sym_BSLASHfm] = ACTIONS(2717),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHx] = ACTIONS(2717),
    [anon_sym_BSLASHxt] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2717),
    [anon_sym_BSLASHrq] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2717),
    [anon_sym_BSLASHfig] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2717),
    [anon_sym_BSLASHpb] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesbe] = ACTIONS(2717),
    [anon_sym_BSLASHcat] = ACTIONS(2717),
  },
  [250] = {
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHref] = ACTIONS(2721),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHiqt] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHv] = ACTIONS(2721),
    [anon_sym_BSLASHva] = ACTIONS(2721),
    [anon_sym_BSLASHvp] = ACTIONS(2721),
    [anon_sym_BSLASHmte] = ACTIONS(2721),
    [anon_sym_BSLASHms] = ACTIONS(2721),
    [anon_sym_BSLASHmr] = ACTIONS(2721),
    [anon_sym_BSLASHs] = ACTIONS(2721),
    [anon_sym_BSLASHsr] = ACTIONS(2721),
    [anon_sym_BSLASHr] = ACTIONS(2721),
    [anon_sym_BSLASHsp] = ACTIONS(2721),
    [anon_sym_BSLASHd] = ACTIONS(2721),
    [anon_sym_BSLASHsd] = ACTIONS(2721),
    [anon_sym_BSLASHp] = ACTIONS(2721),
    [anon_sym_BSLASHm] = ACTIONS(2721),
    [anon_sym_BSLASHpo] = ACTIONS(2721),
    [anon_sym_BSLASHpr] = ACTIONS(2721),
    [anon_sym_BSLASHcls] = ACTIONS(2721),
    [anon_sym_BSLASHpmo] = ACTIONS(2721),
    [anon_sym_BSLASHpm] = ACTIONS(2721),
    [anon_sym_BSLASHpmc] = ACTIONS(2721),
    [anon_sym_BSLASHpmr] = ACTIONS(2721),
    [anon_sym_BSLASHpi] = ACTIONS(2721),
    [anon_sym_BSLASHmi] = ACTIONS(2721),
    [anon_sym_BSLASHnb] = ACTIONS(2721),
    [anon_sym_BSLASHpc] = ACTIONS(2721),
    [anon_sym_BSLASHph] = ACTIONS(2721),
    [anon_sym_BSLASHb] = ACTIONS(2721),
    [anon_sym_BSLASHq] = ACTIONS(2721),
    [anon_sym_BSLASHqr] = ACTIONS(2721),
    [anon_sym_BSLASHqc] = ACTIONS(2721),
    [anon_sym_BSLASHqa] = ACTIONS(2721),
    [anon_sym_BSLASHqm] = ACTIONS(2721),
    [anon_sym_BSLASHqd] = ACTIONS(2721),
    [anon_sym_BSLASHlh] = ACTIONS(2721),
    [anon_sym_BSLASHlf] = ACTIONS(2721),
    [anon_sym_BSLASHli] = ACTIONS(2721),
    [anon_sym_BSLASHlim] = ACTIONS(2721),
    [anon_sym_BSLASHliv] = ACTIONS(2721),
    [anon_sym_BSLASHlik] = ACTIONS(2721),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHlitl] = ACTIONS(2721),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHtr] = ACTIONS(2721),
    [anon_sym_BSLASHf] = ACTIONS(2721),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfe] = ACTIONS(2721),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHef] = ACTIONS(2721),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfr] = ACTIONS(2721),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfq] = ACTIONS(2721),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfqa] = ACTIONS(2721),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfk] = ACTIONS(2721),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfl] = ACTIONS(2721),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfw] = ACTIONS(2721),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfp] = ACTIONS(2721),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHft] = ACTIONS(2721),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfdc] = ACTIONS(2721),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfv] = ACTIONS(2721),
    [anon_sym_BSLASHfm] = ACTIONS(2721),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHx] = ACTIONS(2721),
    [anon_sym_BSLASHxt] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2721),
    [anon_sym_BSLASHrq] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2721),
    [anon_sym_BSLASHfig] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2721),
    [anon_sym_BSLASHpb] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesbe] = ACTIONS(2721),
    [anon_sym_BSLASHcat] = ACTIONS(2721),
  },
  [251] = {
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHref] = ACTIONS(2725),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHiqt] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHv] = ACTIONS(2725),
    [anon_sym_BSLASHva] = ACTIONS(2725),
    [anon_sym_BSLASHvp] = ACTIONS(2725),
    [anon_sym_BSLASHmte] = ACTIONS(2725),
    [anon_sym_BSLASHms] = ACTIONS(2725),
    [anon_sym_BSLASHmr] = ACTIONS(2725),
    [anon_sym_BSLASHs] = ACTIONS(2725),
    [anon_sym_BSLASHsr] = ACTIONS(2725),
    [anon_sym_BSLASHr] = ACTIONS(2725),
    [anon_sym_BSLASHsp] = ACTIONS(2725),
    [anon_sym_BSLASHd] = ACTIONS(2725),
    [anon_sym_BSLASHsd] = ACTIONS(2725),
    [anon_sym_BSLASHp] = ACTIONS(2725),
    [anon_sym_BSLASHm] = ACTIONS(2725),
    [anon_sym_BSLASHpo] = ACTIONS(2725),
    [anon_sym_BSLASHpr] = ACTIONS(2725),
    [anon_sym_BSLASHcls] = ACTIONS(2725),
    [anon_sym_BSLASHpmo] = ACTIONS(2725),
    [anon_sym_BSLASHpm] = ACTIONS(2725),
    [anon_sym_BSLASHpmc] = ACTIONS(2725),
    [anon_sym_BSLASHpmr] = ACTIONS(2725),
    [anon_sym_BSLASHpi] = ACTIONS(2725),
    [anon_sym_BSLASHmi] = ACTIONS(2725),
    [anon_sym_BSLASHnb] = ACTIONS(2725),
    [anon_sym_BSLASHpc] = ACTIONS(2725),
    [anon_sym_BSLASHph] = ACTIONS(2725),
    [anon_sym_BSLASHb] = ACTIONS(2725),
    [anon_sym_BSLASHq] = ACTIONS(2725),
    [anon_sym_BSLASHqr] = ACTIONS(2725),
    [anon_sym_BSLASHqc] = ACTIONS(2725),
    [anon_sym_BSLASHqa] = ACTIONS(2725),
    [anon_sym_BSLASHqm] = ACTIONS(2725),
    [anon_sym_BSLASHqd] = ACTIONS(2725),
    [anon_sym_BSLASHlh] = ACTIONS(2725),
    [anon_sym_BSLASHlf] = ACTIONS(2725),
    [anon_sym_BSLASHli] = ACTIONS(2725),
    [anon_sym_BSLASHlim] = ACTIONS(2725),
    [anon_sym_BSLASHliv] = ACTIONS(2725),
    [anon_sym_BSLASHlik] = ACTIONS(2725),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHlitl] = ACTIONS(2725),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHtr] = ACTIONS(2725),
    [anon_sym_BSLASHf] = ACTIONS(2725),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfe] = ACTIONS(2725),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHef] = ACTIONS(2725),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfr] = ACTIONS(2725),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfq] = ACTIONS(2725),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfqa] = ACTIONS(2725),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfk] = ACTIONS(2725),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfl] = ACTIONS(2725),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfw] = ACTIONS(2725),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfp] = ACTIONS(2725),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHft] = ACTIONS(2725),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfdc] = ACTIONS(2725),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfv] = ACTIONS(2725),
    [anon_sym_BSLASHfm] = ACTIONS(2725),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHx] = ACTIONS(2725),
    [anon_sym_BSLASHxt] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2725),
    [anon_sym_BSLASHrq] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2725),
    [anon_sym_BSLASHfig] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2725),
    [anon_sym_BSLASHpb] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesbe] = ACTIONS(2725),
    [anon_sym_BSLASHcat] = ACTIONS(2725),
  },
  [252] = {
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHref] = ACTIONS(2729),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHiqt] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHv] = ACTIONS(2729),
    [anon_sym_BSLASHva] = ACTIONS(2729),
    [anon_sym_BSLASHvp] = ACTIONS(2729),
    [anon_sym_BSLASHmte] = ACTIONS(2729),
    [anon_sym_BSLASHms] = ACTIONS(2729),
    [anon_sym_BSLASHmr] = ACTIONS(2729),
    [anon_sym_BSLASHs] = ACTIONS(2729),
    [anon_sym_BSLASHsr] = ACTIONS(2729),
    [anon_sym_BSLASHr] = ACTIONS(2729),
    [anon_sym_BSLASHsp] = ACTIONS(2729),
    [anon_sym_BSLASHd] = ACTIONS(2729),
    [anon_sym_BSLASHsd] = ACTIONS(2729),
    [anon_sym_BSLASHp] = ACTIONS(2729),
    [anon_sym_BSLASHm] = ACTIONS(2729),
    [anon_sym_BSLASHpo] = ACTIONS(2729),
    [anon_sym_BSLASHpr] = ACTIONS(2729),
    [anon_sym_BSLASHcls] = ACTIONS(2729),
    [anon_sym_BSLASHpmo] = ACTIONS(2729),
    [anon_sym_BSLASHpm] = ACTIONS(2729),
    [anon_sym_BSLASHpmc] = ACTIONS(2729),
    [anon_sym_BSLASHpmr] = ACTIONS(2729),
    [anon_sym_BSLASHpi] = ACTIONS(2729),
    [anon_sym_BSLASHmi] = ACTIONS(2729),
    [anon_sym_BSLASHnb] = ACTIONS(2729),
    [anon_sym_BSLASHpc] = ACTIONS(2729),
    [anon_sym_BSLASHph] = ACTIONS(2729),
    [anon_sym_BSLASHb] = ACTIONS(2729),
    [anon_sym_BSLASHq] = ACTIONS(2729),
    [anon_sym_BSLASHqr] = ACTIONS(2729),
    [anon_sym_BSLASHqc] = ACTIONS(2729),
    [anon_sym_BSLASHqa] = ACTIONS(2729),
    [anon_sym_BSLASHqm] = ACTIONS(2729),
    [anon_sym_BSLASHqd] = ACTIONS(2729),
    [anon_sym_BSLASHlh] = ACTIONS(2729),
    [anon_sym_BSLASHlf] = ACTIONS(2729),
    [anon_sym_BSLASHli] = ACTIONS(2729),
    [anon_sym_BSLASHlim] = ACTIONS(2729),
    [anon_sym_BSLASHliv] = ACTIONS(2729),
    [anon_sym_BSLASHlik] = ACTIONS(2729),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHlitl] = ACTIONS(2729),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHtr] = ACTIONS(2729),
    [anon_sym_BSLASHf] = ACTIONS(2729),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfe] = ACTIONS(2729),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHef] = ACTIONS(2729),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfr] = ACTIONS(2729),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfq] = ACTIONS(2729),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfqa] = ACTIONS(2729),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfk] = ACTIONS(2729),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfl] = ACTIONS(2729),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfw] = ACTIONS(2729),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfp] = ACTIONS(2729),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHft] = ACTIONS(2729),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfdc] = ACTIONS(2729),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfv] = ACTIONS(2729),
    [anon_sym_BSLASHfm] = ACTIONS(2729),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHx] = ACTIONS(2729),
    [anon_sym_BSLASHxt] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2729),
    [anon_sym_BSLASHrq] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2729),
    [anon_sym_BSLASHfig] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2729),
    [anon_sym_BSLASHpb] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesbe] = ACTIONS(2729),
    [anon_sym_BSLASHcat] = ACTIONS(2729),
  },
  [253] = {
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHref] = ACTIONS(2733),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHiqt] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHv] = ACTIONS(2733),
    [anon_sym_BSLASHva] = ACTIONS(2733),
    [anon_sym_BSLASHvp] = ACTIONS(2733),
    [anon_sym_BSLASHmte] = ACTIONS(2733),
    [anon_sym_BSLASHms] = ACTIONS(2733),
    [anon_sym_BSLASHmr] = ACTIONS(2733),
    [anon_sym_BSLASHs] = ACTIONS(2733),
    [anon_sym_BSLASHsr] = ACTIONS(2733),
    [anon_sym_BSLASHr] = ACTIONS(2733),
    [anon_sym_BSLASHsp] = ACTIONS(2733),
    [anon_sym_BSLASHd] = ACTIONS(2733),
    [anon_sym_BSLASHsd] = ACTIONS(2733),
    [anon_sym_BSLASHp] = ACTIONS(2733),
    [anon_sym_BSLASHm] = ACTIONS(2733),
    [anon_sym_BSLASHpo] = ACTIONS(2733),
    [anon_sym_BSLASHpr] = ACTIONS(2733),
    [anon_sym_BSLASHcls] = ACTIONS(2733),
    [anon_sym_BSLASHpmo] = ACTIONS(2733),
    [anon_sym_BSLASHpm] = ACTIONS(2733),
    [anon_sym_BSLASHpmc] = ACTIONS(2733),
    [anon_sym_BSLASHpmr] = ACTIONS(2733),
    [anon_sym_BSLASHpi] = ACTIONS(2733),
    [anon_sym_BSLASHmi] = ACTIONS(2733),
    [anon_sym_BSLASHnb] = ACTIONS(2733),
    [anon_sym_BSLASHpc] = ACTIONS(2733),
    [anon_sym_BSLASHph] = ACTIONS(2733),
    [anon_sym_BSLASHb] = ACTIONS(2733),
    [anon_sym_BSLASHq] = ACTIONS(2733),
    [anon_sym_BSLASHqr] = ACTIONS(2733),
    [anon_sym_BSLASHqc] = ACTIONS(2733),
    [anon_sym_BSLASHqa] = ACTIONS(2733),
    [anon_sym_BSLASHqm] = ACTIONS(2733),
    [anon_sym_BSLASHqd] = ACTIONS(2733),
    [anon_sym_BSLASHlh] = ACTIONS(2733),
    [anon_sym_BSLASHlf] = ACTIONS(2733),
    [anon_sym_BSLASHli] = ACTIONS(2733),
    [anon_sym_BSLASHlim] = ACTIONS(2733),
    [anon_sym_BSLASHliv] = ACTIONS(2733),
    [anon_sym_BSLASHlik] = ACTIONS(2733),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHlitl] = ACTIONS(2733),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHtr] = ACTIONS(2733),
    [anon_sym_BSLASHf] = ACTIONS(2733),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfe] = ACTIONS(2733),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHef] = ACTIONS(2733),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfr] = ACTIONS(2733),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfq] = ACTIONS(2733),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfqa] = ACTIONS(2733),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfk] = ACTIONS(2733),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfl] = ACTIONS(2733),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfw] = ACTIONS(2733),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfp] = ACTIONS(2733),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHft] = ACTIONS(2733),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfdc] = ACTIONS(2733),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfv] = ACTIONS(2733),
    [anon_sym_BSLASHfm] = ACTIONS(2733),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHx] = ACTIONS(2733),
    [anon_sym_BSLASHxt] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2733),
    [anon_sym_BSLASHrq] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2733),
    [anon_sym_BSLASHfig] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2733),
    [anon_sym_BSLASHpb] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesbe] = ACTIONS(2733),
    [anon_sym_BSLASHcat] = ACTIONS(2733),
  },
  [254] = {
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHref] = ACTIONS(2737),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHiqt] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHv] = ACTIONS(2737),
    [anon_sym_BSLASHva] = ACTIONS(2737),
    [anon_sym_BSLASHvp] = ACTIONS(2737),
    [anon_sym_BSLASHmte] = ACTIONS(2737),
    [anon_sym_BSLASHms] = ACTIONS(2737),
    [anon_sym_BSLASHmr] = ACTIONS(2737),
    [anon_sym_BSLASHs] = ACTIONS(2737),
    [anon_sym_BSLASHsr] = ACTIONS(2737),
    [anon_sym_BSLASHr] = ACTIONS(2737),
    [anon_sym_BSLASHsp] = ACTIONS(2737),
    [anon_sym_BSLASHd] = ACTIONS(2737),
    [anon_sym_BSLASHsd] = ACTIONS(2737),
    [anon_sym_BSLASHp] = ACTIONS(2737),
    [anon_sym_BSLASHm] = ACTIONS(2737),
    [anon_sym_BSLASHpo] = ACTIONS(2737),
    [anon_sym_BSLASHpr] = ACTIONS(2737),
    [anon_sym_BSLASHcls] = ACTIONS(2737),
    [anon_sym_BSLASHpmo] = ACTIONS(2737),
    [anon_sym_BSLASHpm] = ACTIONS(2737),
    [anon_sym_BSLASHpmc] = ACTIONS(2737),
    [anon_sym_BSLASHpmr] = ACTIONS(2737),
    [anon_sym_BSLASHpi] = ACTIONS(2737),
    [anon_sym_BSLASHmi] = ACTIONS(2737),
    [anon_sym_BSLASHnb] = ACTIONS(2737),
    [anon_sym_BSLASHpc] = ACTIONS(2737),
    [anon_sym_BSLASHph] = ACTIONS(2737),
    [anon_sym_BSLASHb] = ACTIONS(2737),
    [anon_sym_BSLASHq] = ACTIONS(2737),
    [anon_sym_BSLASHqr] = ACTIONS(2737),
    [anon_sym_BSLASHqc] = ACTIONS(2737),
    [anon_sym_BSLASHqa] = ACTIONS(2737),
    [anon_sym_BSLASHqm] = ACTIONS(2737),
    [anon_sym_BSLASHqd] = ACTIONS(2737),
    [anon_sym_BSLASHlh] = ACTIONS(2737),
    [anon_sym_BSLASHlf] = ACTIONS(2737),
    [anon_sym_BSLASHli] = ACTIONS(2737),
    [anon_sym_BSLASHlim] = ACTIONS(2737),
    [anon_sym_BSLASHliv] = ACTIONS(2737),
    [anon_sym_BSLASHlik] = ACTIONS(2737),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHlitl] = ACTIONS(2737),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHtr] = ACTIONS(2737),
    [anon_sym_BSLASHf] = ACTIONS(2737),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfe] = ACTIONS(2737),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHef] = ACTIONS(2737),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfr] = ACTIONS(2737),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfq] = ACTIONS(2737),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfqa] = ACTIONS(2737),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfk] = ACTIONS(2737),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfl] = ACTIONS(2737),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfw] = ACTIONS(2737),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfp] = ACTIONS(2737),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHft] = ACTIONS(2737),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfdc] = ACTIONS(2737),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfv] = ACTIONS(2737),
    [anon_sym_BSLASHfm] = ACTIONS(2737),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHx] = ACTIONS(2737),
    [anon_sym_BSLASHxt] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2737),
    [anon_sym_BSLASHrq] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2737),
    [anon_sym_BSLASHfig] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2737),
    [anon_sym_BSLASHpb] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesbe] = ACTIONS(2737),
    [anon_sym_BSLASHcat] = ACTIONS(2737),
  },
  [255] = {
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHref] = ACTIONS(2741),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHiqt] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHv] = ACTIONS(2741),
    [anon_sym_BSLASHva] = ACTIONS(2741),
    [anon_sym_BSLASHvp] = ACTIONS(2741),
    [anon_sym_BSLASHmte] = ACTIONS(2741),
    [anon_sym_BSLASHms] = ACTIONS(2741),
    [anon_sym_BSLASHmr] = ACTIONS(2741),
    [anon_sym_BSLASHs] = ACTIONS(2741),
    [anon_sym_BSLASHsr] = ACTIONS(2741),
    [anon_sym_BSLASHr] = ACTIONS(2741),
    [anon_sym_BSLASHsp] = ACTIONS(2741),
    [anon_sym_BSLASHd] = ACTIONS(2741),
    [anon_sym_BSLASHsd] = ACTIONS(2741),
    [anon_sym_BSLASHp] = ACTIONS(2741),
    [anon_sym_BSLASHm] = ACTIONS(2741),
    [anon_sym_BSLASHpo] = ACTIONS(2741),
    [anon_sym_BSLASHpr] = ACTIONS(2741),
    [anon_sym_BSLASHcls] = ACTIONS(2741),
    [anon_sym_BSLASHpmo] = ACTIONS(2741),
    [anon_sym_BSLASHpm] = ACTIONS(2741),
    [anon_sym_BSLASHpmc] = ACTIONS(2741),
    [anon_sym_BSLASHpmr] = ACTIONS(2741),
    [anon_sym_BSLASHpi] = ACTIONS(2741),
    [anon_sym_BSLASHmi] = ACTIONS(2741),
    [anon_sym_BSLASHnb] = ACTIONS(2741),
    [anon_sym_BSLASHpc] = ACTIONS(2741),
    [anon_sym_BSLASHph] = ACTIONS(2741),
    [anon_sym_BSLASHb] = ACTIONS(2741),
    [anon_sym_BSLASHq] = ACTIONS(2741),
    [anon_sym_BSLASHqr] = ACTIONS(2741),
    [anon_sym_BSLASHqc] = ACTIONS(2741),
    [anon_sym_BSLASHqa] = ACTIONS(2741),
    [anon_sym_BSLASHqm] = ACTIONS(2741),
    [anon_sym_BSLASHqd] = ACTIONS(2741),
    [anon_sym_BSLASHlh] = ACTIONS(2741),
    [anon_sym_BSLASHlf] = ACTIONS(2741),
    [anon_sym_BSLASHli] = ACTIONS(2741),
    [anon_sym_BSLASHlim] = ACTIONS(2741),
    [anon_sym_BSLASHliv] = ACTIONS(2741),
    [anon_sym_BSLASHlik] = ACTIONS(2741),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHlitl] = ACTIONS(2741),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHtr] = ACTIONS(2741),
    [anon_sym_BSLASHf] = ACTIONS(2741),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfe] = ACTIONS(2741),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHef] = ACTIONS(2741),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfr] = ACTIONS(2741),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfq] = ACTIONS(2741),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfqa] = ACTIONS(2741),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfk] = ACTIONS(2741),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfl] = ACTIONS(2741),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfw] = ACTIONS(2741),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfp] = ACTIONS(2741),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHft] = ACTIONS(2741),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfdc] = ACTIONS(2741),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfv] = ACTIONS(2741),
    [anon_sym_BSLASHfm] = ACTIONS(2741),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHx] = ACTIONS(2741),
    [anon_sym_BSLASHxt] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2741),
    [anon_sym_BSLASHrq] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2741),
    [anon_sym_BSLASHfig] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2741),
    [anon_sym_BSLASHpb] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesbe] = ACTIONS(2741),
    [anon_sym_BSLASHcat] = ACTIONS(2741),
  },
  [256] = {
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHref] = ACTIONS(2745),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHiqt] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHv] = ACTIONS(2745),
    [anon_sym_BSLASHva] = ACTIONS(2745),
    [anon_sym_BSLASHvp] = ACTIONS(2745),
    [anon_sym_BSLASHmte] = ACTIONS(2745),
    [anon_sym_BSLASHms] = ACTIONS(2745),
    [anon_sym_BSLASHmr] = ACTIONS(2745),
    [anon_sym_BSLASHs] = ACTIONS(2745),
    [anon_sym_BSLASHsr] = ACTIONS(2745),
    [anon_sym_BSLASHr] = ACTIONS(2745),
    [anon_sym_BSLASHsp] = ACTIONS(2745),
    [anon_sym_BSLASHd] = ACTIONS(2745),
    [anon_sym_BSLASHsd] = ACTIONS(2745),
    [anon_sym_BSLASHp] = ACTIONS(2745),
    [anon_sym_BSLASHm] = ACTIONS(2745),
    [anon_sym_BSLASHpo] = ACTIONS(2745),
    [anon_sym_BSLASHpr] = ACTIONS(2745),
    [anon_sym_BSLASHcls] = ACTIONS(2745),
    [anon_sym_BSLASHpmo] = ACTIONS(2745),
    [anon_sym_BSLASHpm] = ACTIONS(2745),
    [anon_sym_BSLASHpmc] = ACTIONS(2745),
    [anon_sym_BSLASHpmr] = ACTIONS(2745),
    [anon_sym_BSLASHpi] = ACTIONS(2745),
    [anon_sym_BSLASHmi] = ACTIONS(2745),
    [anon_sym_BSLASHnb] = ACTIONS(2745),
    [anon_sym_BSLASHpc] = ACTIONS(2745),
    [anon_sym_BSLASHph] = ACTIONS(2745),
    [anon_sym_BSLASHb] = ACTIONS(2745),
    [anon_sym_BSLASHq] = ACTIONS(2745),
    [anon_sym_BSLASHqr] = ACTIONS(2745),
    [anon_sym_BSLASHqc] = ACTIONS(2745),
    [anon_sym_BSLASHqa] = ACTIONS(2745),
    [anon_sym_BSLASHqm] = ACTIONS(2745),
    [anon_sym_BSLASHqd] = ACTIONS(2745),
    [anon_sym_BSLASHlh] = ACTIONS(2745),
    [anon_sym_BSLASHlf] = ACTIONS(2745),
    [anon_sym_BSLASHli] = ACTIONS(2745),
    [anon_sym_BSLASHlim] = ACTIONS(2745),
    [anon_sym_BSLASHliv] = ACTIONS(2745),
    [anon_sym_BSLASHlik] = ACTIONS(2745),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHlitl] = ACTIONS(2745),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHtr] = ACTIONS(2745),
    [anon_sym_BSLASHf] = ACTIONS(2745),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfe] = ACTIONS(2745),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHef] = ACTIONS(2745),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfr] = ACTIONS(2745),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfq] = ACTIONS(2745),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfqa] = ACTIONS(2745),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfk] = ACTIONS(2745),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfl] = ACTIONS(2745),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfw] = ACTIONS(2745),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfp] = ACTIONS(2745),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHft] = ACTIONS(2745),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfdc] = ACTIONS(2745),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfv] = ACTIONS(2745),
    [anon_sym_BSLASHfm] = ACTIONS(2745),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHx] = ACTIONS(2745),
    [anon_sym_BSLASHxt] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2745),
    [anon_sym_BSLASHrq] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2745),
    [anon_sym_BSLASHfig] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2745),
    [anon_sym_BSLASHpb] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesbe] = ACTIONS(2745),
    [anon_sym_BSLASHcat] = ACTIONS(2745),
  },
  [257] = {
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHref] = ACTIONS(2749),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHiqt] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHv] = ACTIONS(2749),
    [anon_sym_BSLASHva] = ACTIONS(2749),
    [anon_sym_BSLASHvp] = ACTIONS(2749),
    [anon_sym_BSLASHmte] = ACTIONS(2749),
    [anon_sym_BSLASHms] = ACTIONS(2749),
    [anon_sym_BSLASHmr] = ACTIONS(2749),
    [anon_sym_BSLASHs] = ACTIONS(2749),
    [anon_sym_BSLASHsr] = ACTIONS(2749),
    [anon_sym_BSLASHr] = ACTIONS(2749),
    [anon_sym_BSLASHsp] = ACTIONS(2749),
    [anon_sym_BSLASHd] = ACTIONS(2749),
    [anon_sym_BSLASHsd] = ACTIONS(2749),
    [anon_sym_BSLASHp] = ACTIONS(2749),
    [anon_sym_BSLASHm] = ACTIONS(2749),
    [anon_sym_BSLASHpo] = ACTIONS(2749),
    [anon_sym_BSLASHpr] = ACTIONS(2749),
    [anon_sym_BSLASHcls] = ACTIONS(2749),
    [anon_sym_BSLASHpmo] = ACTIONS(2749),
    [anon_sym_BSLASHpm] = ACTIONS(2749),
    [anon_sym_BSLASHpmc] = ACTIONS(2749),
    [anon_sym_BSLASHpmr] = ACTIONS(2749),
    [anon_sym_BSLASHpi] = ACTIONS(2749),
    [anon_sym_BSLASHmi] = ACTIONS(2749),
    [anon_sym_BSLASHnb] = ACTIONS(2749),
    [anon_sym_BSLASHpc] = ACTIONS(2749),
    [anon_sym_BSLASHph] = ACTIONS(2749),
    [anon_sym_BSLASHb] = ACTIONS(2749),
    [anon_sym_BSLASHq] = ACTIONS(2749),
    [anon_sym_BSLASHqr] = ACTIONS(2749),
    [anon_sym_BSLASHqc] = ACTIONS(2749),
    [anon_sym_BSLASHqa] = ACTIONS(2749),
    [anon_sym_BSLASHqm] = ACTIONS(2749),
    [anon_sym_BSLASHqd] = ACTIONS(2749),
    [anon_sym_BSLASHlh] = ACTIONS(2749),
    [anon_sym_BSLASHlf] = ACTIONS(2749),
    [anon_sym_BSLASHli] = ACTIONS(2749),
    [anon_sym_BSLASHlim] = ACTIONS(2749),
    [anon_sym_BSLASHliv] = ACTIONS(2749),
    [anon_sym_BSLASHlik] = ACTIONS(2749),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHlitl] = ACTIONS(2749),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHtr] = ACTIONS(2749),
    [anon_sym_BSLASHf] = ACTIONS(2749),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfe] = ACTIONS(2749),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHef] = ACTIONS(2749),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfr] = ACTIONS(2749),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfq] = ACTIONS(2749),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfqa] = ACTIONS(2749),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfk] = ACTIONS(2749),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfl] = ACTIONS(2749),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfw] = ACTIONS(2749),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfp] = ACTIONS(2749),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHft] = ACTIONS(2749),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfdc] = ACTIONS(2749),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfv] = ACTIONS(2749),
    [anon_sym_BSLASHfm] = ACTIONS(2749),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHx] = ACTIONS(2749),
    [anon_sym_BSLASHxt] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2749),
    [anon_sym_BSLASHrq] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2749),
    [anon_sym_BSLASHfig] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2749),
    [anon_sym_BSLASHpb] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesbe] = ACTIONS(2749),
    [anon_sym_BSLASHcat] = ACTIONS(2749),
  },
  [258] = {
    [sym__comments] = STATE(264),
    [sym_sts] = STATE(264),
    [sym_rem] = STATE(264),
    [sym_restore] = STATE(264),
    [sym_lit] = STATE(264),
    [sym_ip] = STATE(264),
    [sym_title] = STATE(264),
    [sym_mteBlock] = STATE(1337),
    [sym_mte] = STATE(1540),
    [sym_mteTag] = STATE(1771),
    [sym_msBlock] = STATE(1337),
    [sym_ms] = STATE(1537),
    [sym_msTag] = STATE(1099),
    [sym_sBlock] = STATE(1337),
    [sym_s] = STATE(1545),
    [sym_sTag] = STATE(312),
    [sym_r] = STATE(1337),
    [sym_sp] = STATE(1337),
    [sym_d] = STATE(1337),
    [sym_sdBlock] = STATE(1337),
    [sym_sd] = STATE(1259),
    [sym_sdTag] = STATE(1343),
    [sym_paragraph] = STATE(264),
    [sym_p] = STATE(1344),
    [sym_m] = STATE(1344),
    [sym_po] = STATE(1344),
    [sym_pr] = STATE(1344),
    [sym_cls] = STATE(1344),
    [sym_pmo] = STATE(1344),
    [sym_pm] = STATE(1344),
    [sym_pmc] = STATE(1344),
    [sym_pmr] = STATE(1344),
    [sym_piBlock] = STATE(1344),
    [sym_pi] = STATE(1529),
    [sym_piTag] = STATE(196),
    [sym_mi] = STATE(1344),
    [sym_nb] = STATE(1344),
    [sym_pc] = STATE(1344),
    [sym_phBlock] = STATE(1344),
    [sym_ph] = STATE(1544),
    [sym_phTag] = STATE(210),
    [sym_b] = STATE(1344),
    [sym_poetry] = STATE(264),
    [sym_qBlock] = STATE(1245),
    [sym_q] = STATE(1539),
    [sym_qTag] = STATE(144),
    [sym_qr] = STATE(1245),
    [sym_qc] = STATE(1245),
    [sym_qa] = STATE(1337),
    [sym_qmBlock] = STATE(1245),
    [sym_qm] = STATE(1531),
    [sym_qmTag] = STATE(170),
    [sym_qd] = STATE(1245),
    [sym_list] = STATE(264),
    [sym_lh] = STATE(1805),
    [sym__listMarker] = STATE(1242),
    [sym_liBlock] = STATE(1242),
    [sym_li] = STATE(1508),
    [sym_liTag] = STATE(64),
    [sym_limBlock] = STATE(1242),
    [sym_lim] = STATE(1504),
    [sym_limTag] = STATE(63),
    [sym_table] = STATE(264),
    [sym_tr] = STATE(1547),
    [sym_footnote] = STATE(264),
    [sym_f] = STATE(1346),
    [sym_fe] = STATE(1346),
    [sym_ef] = STATE(1346),
    [sym_fm] = STATE(1346),
    [sym_pb] = STATE(264),
    [sym_milestoneTag] = STATE(1955),
    [sym__milestoneStandaloneMarker] = STATE(1350),
    [sym__milestoneStart] = STATE(1350),
    [sym__milestoneEnd] = STATE(1350),
    [sym_milestone] = STATE(264),
    [sym__zNameSpaceRegular] = STATE(1349),
    [sym__zNameSpaceClosed] = STATE(1349),
    [sym__zNameSpaceStandaloneMarker] = STATE(1349),
    [sym_zNameSpace] = STATE(264),
    [sym__esbContents] = STATE(264),
    [sym_cat] = STATE(264),
    [aux_sym_mteBlock_repeat1] = STATE(1540),
    [aux_sym_msBlock_repeat1] = STATE(1537),
    [aux_sym_sBlock_repeat1] = STATE(1545),
    [aux_sym_sdBlock_repeat1] = STATE(1259),
    [aux_sym_piBlock_repeat1] = STATE(1529),
    [aux_sym_phBlock_repeat1] = STATE(1544),
    [aux_sym_poetry_repeat1] = STATE(1245),
    [aux_sym_qBlock_repeat1] = STATE(1539),
    [aux_sym_qmBlock_repeat1] = STATE(1531),
    [aux_sym_list_repeat1] = STATE(1242),
    [aux_sym_liBlock_repeat1] = STATE(1508),
    [aux_sym_limBlock_repeat1] = STATE(1504),
    [aux_sym_table_repeat1] = STATE(1547),
    [aux_sym_esb_repeat1] = STATE(264),
    [anon_sym_BSLASHsts] = ACTIONS(1797),
    [anon_sym_BSLASHrem] = ACTIONS(1799),
    [anon_sym_BSLASHrestore] = ACTIONS(1801),
    [anon_sym_BSLASHlit] = ACTIONS(1803),
    [anon_sym_BSLASHip] = ACTIONS(2751),
    [anon_sym_BSLASHmte] = ACTIONS(1817),
    [anon_sym_BSLASHms] = ACTIONS(1819),
    [anon_sym_BSLASHs] = ACTIONS(2753),
    [anon_sym_BSLASHr] = ACTIONS(1823),
    [anon_sym_BSLASHsp] = ACTIONS(1825),
    [anon_sym_BSLASHd] = ACTIONS(1827),
    [anon_sym_BSLASHsd] = ACTIONS(1829),
    [anon_sym_BSLASHp] = ACTIONS(2755),
    [anon_sym_BSLASHm] = ACTIONS(2757),
    [anon_sym_BSLASHpo] = ACTIONS(2759),
    [anon_sym_BSLASHpr] = ACTIONS(2761),
    [anon_sym_BSLASHcls] = ACTIONS(2763),
    [anon_sym_BSLASHpmo] = ACTIONS(2765),
    [anon_sym_BSLASHpm] = ACTIONS(2767),
    [anon_sym_BSLASHpmc] = ACTIONS(2769),
    [anon_sym_BSLASHpmr] = ACTIONS(2771),
    [anon_sym_BSLASHpi] = ACTIONS(2773),
    [anon_sym_BSLASHmi] = ACTIONS(2775),
    [anon_sym_BSLASHnb] = ACTIONS(2777),
    [anon_sym_BSLASHpc] = ACTIONS(2779),
    [anon_sym_BSLASHph] = ACTIONS(2781),
    [anon_sym_BSLASHb] = ACTIONS(1859),
    [anon_sym_BSLASHq] = ACTIONS(2783),
    [anon_sym_BSLASHqr] = ACTIONS(2785),
    [anon_sym_BSLASHqc] = ACTIONS(2787),
    [anon_sym_BSLASHqa] = ACTIONS(2789),
    [anon_sym_BSLASHqm] = ACTIONS(2791),
    [anon_sym_BSLASHqd] = ACTIONS(2793),
    [anon_sym_BSLASHlh] = ACTIONS(1873),
    [anon_sym_BSLASHli] = ACTIONS(2795),
    [anon_sym_BSLASHlim] = ACTIONS(2797),
    [anon_sym_BSLASHtr] = ACTIONS(2799),
    [anon_sym_BSLASHf] = ACTIONS(1881),
    [anon_sym_BSLASHfe] = ACTIONS(1883),
    [anon_sym_BSLASHef] = ACTIONS(1885),
    [anon_sym_BSLASHfm] = ACTIONS(1887),
    [anon_sym_BSLASHpb] = ACTIONS(1889),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1891),
    [sym_milestoneEndTag] = ACTIONS(1893),
    [sym_zSpaceTag] = ACTIONS(2801),
    [anon_sym_BSLASHesbe] = ACTIONS(2803),
    [anon_sym_BSLASHcat] = ACTIONS(2805),
  },
  [259] = {
    [sym__comments] = STATE(260),
    [sym_sts] = STATE(260),
    [sym_rem] = STATE(260),
    [sym_restore] = STATE(260),
    [sym_lit] = STATE(260),
    [sym_ip] = STATE(260),
    [sym_title] = STATE(260),
    [sym_mteBlock] = STATE(1337),
    [sym_mte] = STATE(1540),
    [sym_mteTag] = STATE(1771),
    [sym_msBlock] = STATE(1337),
    [sym_ms] = STATE(1537),
    [sym_msTag] = STATE(1099),
    [sym_sBlock] = STATE(1337),
    [sym_s] = STATE(1545),
    [sym_sTag] = STATE(312),
    [sym_r] = STATE(1337),
    [sym_sp] = STATE(1337),
    [sym_d] = STATE(1337),
    [sym_sdBlock] = STATE(1337),
    [sym_sd] = STATE(1259),
    [sym_sdTag] = STATE(1343),
    [sym_paragraph] = STATE(260),
    [sym_p] = STATE(1344),
    [sym_m] = STATE(1344),
    [sym_po] = STATE(1344),
    [sym_pr] = STATE(1344),
    [sym_cls] = STATE(1344),
    [sym_pmo] = STATE(1344),
    [sym_pm] = STATE(1344),
    [sym_pmc] = STATE(1344),
    [sym_pmr] = STATE(1344),
    [sym_piBlock] = STATE(1344),
    [sym_pi] = STATE(1529),
    [sym_piTag] = STATE(196),
    [sym_mi] = STATE(1344),
    [sym_nb] = STATE(1344),
    [sym_pc] = STATE(1344),
    [sym_phBlock] = STATE(1344),
    [sym_ph] = STATE(1544),
    [sym_phTag] = STATE(210),
    [sym_b] = STATE(1344),
    [sym_poetry] = STATE(260),
    [sym_qBlock] = STATE(1245),
    [sym_q] = STATE(1539),
    [sym_qTag] = STATE(144),
    [sym_qr] = STATE(1245),
    [sym_qc] = STATE(1245),
    [sym_qa] = STATE(1337),
    [sym_qmBlock] = STATE(1245),
    [sym_qm] = STATE(1531),
    [sym_qmTag] = STATE(170),
    [sym_qd] = STATE(1245),
    [sym_list] = STATE(260),
    [sym_lh] = STATE(1805),
    [sym__listMarker] = STATE(1242),
    [sym_liBlock] = STATE(1242),
    [sym_li] = STATE(1508),
    [sym_liTag] = STATE(64),
    [sym_limBlock] = STATE(1242),
    [sym_lim] = STATE(1504),
    [sym_limTag] = STATE(63),
    [sym_table] = STATE(260),
    [sym_tr] = STATE(1547),
    [sym_footnote] = STATE(260),
    [sym_f] = STATE(1346),
    [sym_fe] = STATE(1346),
    [sym_ef] = STATE(1346),
    [sym_fm] = STATE(1346),
    [sym_pb] = STATE(260),
    [sym_milestoneTag] = STATE(1955),
    [sym__milestoneStandaloneMarker] = STATE(1350),
    [sym__milestoneStart] = STATE(1350),
    [sym__milestoneEnd] = STATE(1350),
    [sym_milestone] = STATE(260),
    [sym__zNameSpaceRegular] = STATE(1349),
    [sym__zNameSpaceClosed] = STATE(1349),
    [sym__zNameSpaceStandaloneMarker] = STATE(1349),
    [sym_zNameSpace] = STATE(260),
    [sym__esbContents] = STATE(260),
    [sym_cat] = STATE(260),
    [aux_sym_mteBlock_repeat1] = STATE(1540),
    [aux_sym_msBlock_repeat1] = STATE(1537),
    [aux_sym_sBlock_repeat1] = STATE(1545),
    [aux_sym_sdBlock_repeat1] = STATE(1259),
    [aux_sym_piBlock_repeat1] = STATE(1529),
    [aux_sym_phBlock_repeat1] = STATE(1544),
    [aux_sym_poetry_repeat1] = STATE(1245),
    [aux_sym_qBlock_repeat1] = STATE(1539),
    [aux_sym_qmBlock_repeat1] = STATE(1531),
    [aux_sym_list_repeat1] = STATE(1242),
    [aux_sym_liBlock_repeat1] = STATE(1508),
    [aux_sym_limBlock_repeat1] = STATE(1504),
    [aux_sym_table_repeat1] = STATE(1547),
    [aux_sym_esb_repeat1] = STATE(260),
    [anon_sym_BSLASHsts] = ACTIONS(1797),
    [anon_sym_BSLASHrem] = ACTIONS(1799),
    [anon_sym_BSLASHrestore] = ACTIONS(1801),
    [anon_sym_BSLASHlit] = ACTIONS(1803),
    [anon_sym_BSLASHip] = ACTIONS(2751),
    [anon_sym_BSLASHmte] = ACTIONS(1817),
    [anon_sym_BSLASHms] = ACTIONS(1819),
    [anon_sym_BSLASHs] = ACTIONS(2753),
    [anon_sym_BSLASHr] = ACTIONS(1823),
    [anon_sym_BSLASHsp] = ACTIONS(1825),
    [anon_sym_BSLASHd] = ACTIONS(1827),
    [anon_sym_BSLASHsd] = ACTIONS(1829),
    [anon_sym_BSLASHp] = ACTIONS(2755),
    [anon_sym_BSLASHm] = ACTIONS(2757),
    [anon_sym_BSLASHpo] = ACTIONS(2759),
    [anon_sym_BSLASHpr] = ACTIONS(2761),
    [anon_sym_BSLASHcls] = ACTIONS(2763),
    [anon_sym_BSLASHpmo] = ACTIONS(2765),
    [anon_sym_BSLASHpm] = ACTIONS(2767),
    [anon_sym_BSLASHpmc] = ACTIONS(2769),
    [anon_sym_BSLASHpmr] = ACTIONS(2771),
    [anon_sym_BSLASHpi] = ACTIONS(2773),
    [anon_sym_BSLASHmi] = ACTIONS(2775),
    [anon_sym_BSLASHnb] = ACTIONS(2777),
    [anon_sym_BSLASHpc] = ACTIONS(2779),
    [anon_sym_BSLASHph] = ACTIONS(2781),
    [anon_sym_BSLASHb] = ACTIONS(1859),
    [anon_sym_BSLASHq] = ACTIONS(2783),
    [anon_sym_BSLASHqr] = ACTIONS(2785),
    [anon_sym_BSLASHqc] = ACTIONS(2787),
    [anon_sym_BSLASHqa] = ACTIONS(2789),
    [anon_sym_BSLASHqm] = ACTIONS(2791),
    [anon_sym_BSLASHqd] = ACTIONS(2793),
    [anon_sym_BSLASHlh] = ACTIONS(1873),
    [anon_sym_BSLASHli] = ACTIONS(2795),
    [anon_sym_BSLASHlim] = ACTIONS(2797),
    [anon_sym_BSLASHtr] = ACTIONS(2799),
    [anon_sym_BSLASHf] = ACTIONS(1881),
    [anon_sym_BSLASHfe] = ACTIONS(1883),
    [anon_sym_BSLASHef] = ACTIONS(1885),
    [anon_sym_BSLASHfm] = ACTIONS(1887),
    [anon_sym_BSLASHpb] = ACTIONS(1889),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1891),
    [sym_milestoneEndTag] = ACTIONS(1893),
    [sym_zSpaceTag] = ACTIONS(2801),
    [anon_sym_BSLASHesbe] = ACTIONS(2807),
    [anon_sym_BSLASHcat] = ACTIONS(2805),
  },
  [260] = {
    [sym__comments] = STATE(261),
    [sym_sts] = STATE(261),
    [sym_rem] = STATE(261),
    [sym_restore] = STATE(261),
    [sym_lit] = STATE(261),
    [sym_ip] = STATE(261),
    [sym_title] = STATE(261),
    [sym_mteBlock] = STATE(1337),
    [sym_mte] = STATE(1540),
    [sym_mteTag] = STATE(1771),
    [sym_msBlock] = STATE(1337),
    [sym_ms] = STATE(1537),
    [sym_msTag] = STATE(1099),
    [sym_sBlock] = STATE(1337),
    [sym_s] = STATE(1545),
    [sym_sTag] = STATE(312),
    [sym_r] = STATE(1337),
    [sym_sp] = STATE(1337),
    [sym_d] = STATE(1337),
    [sym_sdBlock] = STATE(1337),
    [sym_sd] = STATE(1259),
    [sym_sdTag] = STATE(1343),
    [sym_paragraph] = STATE(261),
    [sym_p] = STATE(1344),
    [sym_m] = STATE(1344),
    [sym_po] = STATE(1344),
    [sym_pr] = STATE(1344),
    [sym_cls] = STATE(1344),
    [sym_pmo] = STATE(1344),
    [sym_pm] = STATE(1344),
    [sym_pmc] = STATE(1344),
    [sym_pmr] = STATE(1344),
    [sym_piBlock] = STATE(1344),
    [sym_pi] = STATE(1529),
    [sym_piTag] = STATE(196),
    [sym_mi] = STATE(1344),
    [sym_nb] = STATE(1344),
    [sym_pc] = STATE(1344),
    [sym_phBlock] = STATE(1344),
    [sym_ph] = STATE(1544),
    [sym_phTag] = STATE(210),
    [sym_b] = STATE(1344),
    [sym_poetry] = STATE(261),
    [sym_qBlock] = STATE(1245),
    [sym_q] = STATE(1539),
    [sym_qTag] = STATE(144),
    [sym_qr] = STATE(1245),
    [sym_qc] = STATE(1245),
    [sym_qa] = STATE(1337),
    [sym_qmBlock] = STATE(1245),
    [sym_qm] = STATE(1531),
    [sym_qmTag] = STATE(170),
    [sym_qd] = STATE(1245),
    [sym_list] = STATE(261),
    [sym_lh] = STATE(1805),
    [sym__listMarker] = STATE(1242),
    [sym_liBlock] = STATE(1242),
    [sym_li] = STATE(1508),
    [sym_liTag] = STATE(64),
    [sym_limBlock] = STATE(1242),
    [sym_lim] = STATE(1504),
    [sym_limTag] = STATE(63),
    [sym_table] = STATE(261),
    [sym_tr] = STATE(1547),
    [sym_footnote] = STATE(261),
    [sym_f] = STATE(1346),
    [sym_fe] = STATE(1346),
    [sym_ef] = STATE(1346),
    [sym_fm] = STATE(1346),
    [sym_pb] = STATE(261),
    [sym_milestoneTag] = STATE(1955),
    [sym__milestoneStandaloneMarker] = STATE(1350),
    [sym__milestoneStart] = STATE(1350),
    [sym__milestoneEnd] = STATE(1350),
    [sym_milestone] = STATE(261),
    [sym__zNameSpaceRegular] = STATE(1349),
    [sym__zNameSpaceClosed] = STATE(1349),
    [sym__zNameSpaceStandaloneMarker] = STATE(1349),
    [sym_zNameSpace] = STATE(261),
    [sym__esbContents] = STATE(261),
    [sym_cat] = STATE(261),
    [aux_sym_mteBlock_repeat1] = STATE(1540),
    [aux_sym_msBlock_repeat1] = STATE(1537),
    [aux_sym_sBlock_repeat1] = STATE(1545),
    [aux_sym_sdBlock_repeat1] = STATE(1259),
    [aux_sym_piBlock_repeat1] = STATE(1529),
    [aux_sym_phBlock_repeat1] = STATE(1544),
    [aux_sym_poetry_repeat1] = STATE(1245),
    [aux_sym_qBlock_repeat1] = STATE(1539),
    [aux_sym_qmBlock_repeat1] = STATE(1531),
    [aux_sym_list_repeat1] = STATE(1242),
    [aux_sym_liBlock_repeat1] = STATE(1508),
    [aux_sym_limBlock_repeat1] = STATE(1504),
    [aux_sym_table_repeat1] = STATE(1547),
    [aux_sym_esb_repeat1] = STATE(261),
    [anon_sym_BSLASHsts] = ACTIONS(1797),
    [anon_sym_BSLASHrem] = ACTIONS(1799),
    [anon_sym_BSLASHrestore] = ACTIONS(1801),
    [anon_sym_BSLASHlit] = ACTIONS(1803),
    [anon_sym_BSLASHip] = ACTIONS(2751),
    [anon_sym_BSLASHmte] = ACTIONS(1817),
    [anon_sym_BSLASHms] = ACTIONS(1819),
    [anon_sym_BSLASHs] = ACTIONS(2753),
    [anon_sym_BSLASHr] = ACTIONS(1823),
    [anon_sym_BSLASHsp] = ACTIONS(1825),
    [anon_sym_BSLASHd] = ACTIONS(1827),
    [anon_sym_BSLASHsd] = ACTIONS(1829),
    [anon_sym_BSLASHp] = ACTIONS(2755),
    [anon_sym_BSLASHm] = ACTIONS(2757),
    [anon_sym_BSLASHpo] = ACTIONS(2759),
    [anon_sym_BSLASHpr] = ACTIONS(2761),
    [anon_sym_BSLASHcls] = ACTIONS(2763),
    [anon_sym_BSLASHpmo] = ACTIONS(2765),
    [anon_sym_BSLASHpm] = ACTIONS(2767),
    [anon_sym_BSLASHpmc] = ACTIONS(2769),
    [anon_sym_BSLASHpmr] = ACTIONS(2771),
    [anon_sym_BSLASHpi] = ACTIONS(2773),
    [anon_sym_BSLASHmi] = ACTIONS(2775),
    [anon_sym_BSLASHnb] = ACTIONS(2777),
    [anon_sym_BSLASHpc] = ACTIONS(2779),
    [anon_sym_BSLASHph] = ACTIONS(2781),
    [anon_sym_BSLASHb] = ACTIONS(1859),
    [anon_sym_BSLASHq] = ACTIONS(2783),
    [anon_sym_BSLASHqr] = ACTIONS(2785),
    [anon_sym_BSLASHqc] = ACTIONS(2787),
    [anon_sym_BSLASHqa] = ACTIONS(2789),
    [anon_sym_BSLASHqm] = ACTIONS(2791),
    [anon_sym_BSLASHqd] = ACTIONS(2793),
    [anon_sym_BSLASHlh] = ACTIONS(1873),
    [anon_sym_BSLASHli] = ACTIONS(2795),
    [anon_sym_BSLASHlim] = ACTIONS(2797),
    [anon_sym_BSLASHtr] = ACTIONS(2799),
    [anon_sym_BSLASHf] = ACTIONS(1881),
    [anon_sym_BSLASHfe] = ACTIONS(1883),
    [anon_sym_BSLASHef] = ACTIONS(1885),
    [anon_sym_BSLASHfm] = ACTIONS(1887),
    [anon_sym_BSLASHpb] = ACTIONS(1889),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1891),
    [sym_milestoneEndTag] = ACTIONS(1893),
    [sym_zSpaceTag] = ACTIONS(2801),
    [anon_sym_BSLASHesbe] = ACTIONS(2809),
    [anon_sym_BSLASHcat] = ACTIONS(2805),
  },
  [261] = {
    [sym__comments] = STATE(261),
    [sym_sts] = STATE(261),
    [sym_rem] = STATE(261),
    [sym_restore] = STATE(261),
    [sym_lit] = STATE(261),
    [sym_ip] = STATE(261),
    [sym_title] = STATE(261),
    [sym_mteBlock] = STATE(1337),
    [sym_mte] = STATE(1540),
    [sym_mteTag] = STATE(1771),
    [sym_msBlock] = STATE(1337),
    [sym_ms] = STATE(1537),
    [sym_msTag] = STATE(1099),
    [sym_sBlock] = STATE(1337),
    [sym_s] = STATE(1545),
    [sym_sTag] = STATE(312),
    [sym_r] = STATE(1337),
    [sym_sp] = STATE(1337),
    [sym_d] = STATE(1337),
    [sym_sdBlock] = STATE(1337),
    [sym_sd] = STATE(1259),
    [sym_sdTag] = STATE(1343),
    [sym_paragraph] = STATE(261),
    [sym_p] = STATE(1344),
    [sym_m] = STATE(1344),
    [sym_po] = STATE(1344),
    [sym_pr] = STATE(1344),
    [sym_cls] = STATE(1344),
    [sym_pmo] = STATE(1344),
    [sym_pm] = STATE(1344),
    [sym_pmc] = STATE(1344),
    [sym_pmr] = STATE(1344),
    [sym_piBlock] = STATE(1344),
    [sym_pi] = STATE(1529),
    [sym_piTag] = STATE(196),
    [sym_mi] = STATE(1344),
    [sym_nb] = STATE(1344),
    [sym_pc] = STATE(1344),
    [sym_phBlock] = STATE(1344),
    [sym_ph] = STATE(1544),
    [sym_phTag] = STATE(210),
    [sym_b] = STATE(1344),
    [sym_poetry] = STATE(261),
    [sym_qBlock] = STATE(1245),
    [sym_q] = STATE(1539),
    [sym_qTag] = STATE(144),
    [sym_qr] = STATE(1245),
    [sym_qc] = STATE(1245),
    [sym_qa] = STATE(1337),
    [sym_qmBlock] = STATE(1245),
    [sym_qm] = STATE(1531),
    [sym_qmTag] = STATE(170),
    [sym_qd] = STATE(1245),
    [sym_list] = STATE(261),
    [sym_lh] = STATE(1805),
    [sym__listMarker] = STATE(1242),
    [sym_liBlock] = STATE(1242),
    [sym_li] = STATE(1508),
    [sym_liTag] = STATE(64),
    [sym_limBlock] = STATE(1242),
    [sym_lim] = STATE(1504),
    [sym_limTag] = STATE(63),
    [sym_table] = STATE(261),
    [sym_tr] = STATE(1547),
    [sym_footnote] = STATE(261),
    [sym_f] = STATE(1346),
    [sym_fe] = STATE(1346),
    [sym_ef] = STATE(1346),
    [sym_fm] = STATE(1346),
    [sym_pb] = STATE(261),
    [sym_milestoneTag] = STATE(1955),
    [sym__milestoneStandaloneMarker] = STATE(1350),
    [sym__milestoneStart] = STATE(1350),
    [sym__milestoneEnd] = STATE(1350),
    [sym_milestone] = STATE(261),
    [sym__zNameSpaceRegular] = STATE(1349),
    [sym__zNameSpaceClosed] = STATE(1349),
    [sym__zNameSpaceStandaloneMarker] = STATE(1349),
    [sym_zNameSpace] = STATE(261),
    [sym__esbContents] = STATE(261),
    [sym_cat] = STATE(261),
    [aux_sym_mteBlock_repeat1] = STATE(1540),
    [aux_sym_msBlock_repeat1] = STATE(1537),
    [aux_sym_sBlock_repeat1] = STATE(1545),
    [aux_sym_sdBlock_repeat1] = STATE(1259),
    [aux_sym_piBlock_repeat1] = STATE(1529),
    [aux_sym_phBlock_repeat1] = STATE(1544),
    [aux_sym_poetry_repeat1] = STATE(1245),
    [aux_sym_qBlock_repeat1] = STATE(1539),
    [aux_sym_qmBlock_repeat1] = STATE(1531),
    [aux_sym_list_repeat1] = STATE(1242),
    [aux_sym_liBlock_repeat1] = STATE(1508),
    [aux_sym_limBlock_repeat1] = STATE(1504),
    [aux_sym_table_repeat1] = STATE(1547),
    [aux_sym_esb_repeat1] = STATE(261),
    [anon_sym_BSLASHsts] = ACTIONS(2811),
    [anon_sym_BSLASHrem] = ACTIONS(2814),
    [anon_sym_BSLASHrestore] = ACTIONS(2817),
    [anon_sym_BSLASHlit] = ACTIONS(2820),
    [anon_sym_BSLASHip] = ACTIONS(2823),
    [anon_sym_BSLASHmte] = ACTIONS(2826),
    [anon_sym_BSLASHms] = ACTIONS(2829),
    [anon_sym_BSLASHs] = ACTIONS(2832),
    [anon_sym_BSLASHr] = ACTIONS(2835),
    [anon_sym_BSLASHsp] = ACTIONS(2838),
    [anon_sym_BSLASHd] = ACTIONS(2841),
    [anon_sym_BSLASHsd] = ACTIONS(2844),
    [anon_sym_BSLASHp] = ACTIONS(2847),
    [anon_sym_BSLASHm] = ACTIONS(2850),
    [anon_sym_BSLASHpo] = ACTIONS(2853),
    [anon_sym_BSLASHpr] = ACTIONS(2856),
    [anon_sym_BSLASHcls] = ACTIONS(2859),
    [anon_sym_BSLASHpmo] = ACTIONS(2862),
    [anon_sym_BSLASHpm] = ACTIONS(2865),
    [anon_sym_BSLASHpmc] = ACTIONS(2868),
    [anon_sym_BSLASHpmr] = ACTIONS(2871),
    [anon_sym_BSLASHpi] = ACTIONS(2874),
    [anon_sym_BSLASHmi] = ACTIONS(2877),
    [anon_sym_BSLASHnb] = ACTIONS(2880),
    [anon_sym_BSLASHpc] = ACTIONS(2883),
    [anon_sym_BSLASHph] = ACTIONS(2886),
    [anon_sym_BSLASHb] = ACTIONS(2889),
    [anon_sym_BSLASHq] = ACTIONS(2892),
    [anon_sym_BSLASHqr] = ACTIONS(2895),
    [anon_sym_BSLASHqc] = ACTIONS(2898),
    [anon_sym_BSLASHqa] = ACTIONS(2901),
    [anon_sym_BSLASHqm] = ACTIONS(2904),
    [anon_sym_BSLASHqd] = ACTIONS(2907),
    [anon_sym_BSLASHlh] = ACTIONS(2910),
    [anon_sym_BSLASHli] = ACTIONS(2913),
    [anon_sym_BSLASHlim] = ACTIONS(2916),
    [anon_sym_BSLASHtr] = ACTIONS(2919),
    [anon_sym_BSLASHf] = ACTIONS(2922),
    [anon_sym_BSLASHfe] = ACTIONS(2925),
    [anon_sym_BSLASHef] = ACTIONS(2928),
    [anon_sym_BSLASHfm] = ACTIONS(2931),
    [anon_sym_BSLASHpb] = ACTIONS(2934),
    [anon_sym_BSLASH] = ACTIONS(2937),
    [sym_milestoneStartTag] = ACTIONS(2940),
    [sym_milestoneEndTag] = ACTIONS(2943),
    [sym_zSpaceTag] = ACTIONS(2946),
    [anon_sym_BSLASHesbe] = ACTIONS(2949),
    [anon_sym_BSLASHcat] = ACTIONS(2951),
  },
  [262] = {
    [sym__comments] = STATE(263),
    [sym_sts] = STATE(263),
    [sym_rem] = STATE(263),
    [sym_restore] = STATE(263),
    [sym_lit] = STATE(263),
    [sym_ip] = STATE(263),
    [sym_title] = STATE(263),
    [sym_mteBlock] = STATE(1337),
    [sym_mte] = STATE(1540),
    [sym_mteTag] = STATE(1771),
    [sym_msBlock] = STATE(1337),
    [sym_ms] = STATE(1537),
    [sym_msTag] = STATE(1099),
    [sym_sBlock] = STATE(1337),
    [sym_s] = STATE(1545),
    [sym_sTag] = STATE(312),
    [sym_r] = STATE(1337),
    [sym_sp] = STATE(1337),
    [sym_d] = STATE(1337),
    [sym_sdBlock] = STATE(1337),
    [sym_sd] = STATE(1259),
    [sym_sdTag] = STATE(1343),
    [sym_paragraph] = STATE(263),
    [sym_p] = STATE(1344),
    [sym_m] = STATE(1344),
    [sym_po] = STATE(1344),
    [sym_pr] = STATE(1344),
    [sym_cls] = STATE(1344),
    [sym_pmo] = STATE(1344),
    [sym_pm] = STATE(1344),
    [sym_pmc] = STATE(1344),
    [sym_pmr] = STATE(1344),
    [sym_piBlock] = STATE(1344),
    [sym_pi] = STATE(1529),
    [sym_piTag] = STATE(196),
    [sym_mi] = STATE(1344),
    [sym_nb] = STATE(1344),
    [sym_pc] = STATE(1344),
    [sym_phBlock] = STATE(1344),
    [sym_ph] = STATE(1544),
    [sym_phTag] = STATE(210),
    [sym_b] = STATE(1344),
    [sym_poetry] = STATE(263),
    [sym_qBlock] = STATE(1245),
    [sym_q] = STATE(1539),
    [sym_qTag] = STATE(144),
    [sym_qr] = STATE(1245),
    [sym_qc] = STATE(1245),
    [sym_qa] = STATE(1337),
    [sym_qmBlock] = STATE(1245),
    [sym_qm] = STATE(1531),
    [sym_qmTag] = STATE(170),
    [sym_qd] = STATE(1245),
    [sym_list] = STATE(263),
    [sym_lh] = STATE(1805),
    [sym__listMarker] = STATE(1242),
    [sym_liBlock] = STATE(1242),
    [sym_li] = STATE(1508),
    [sym_liTag] = STATE(64),
    [sym_limBlock] = STATE(1242),
    [sym_lim] = STATE(1504),
    [sym_limTag] = STATE(63),
    [sym_table] = STATE(263),
    [sym_tr] = STATE(1547),
    [sym_footnote] = STATE(263),
    [sym_f] = STATE(1346),
    [sym_fe] = STATE(1346),
    [sym_ef] = STATE(1346),
    [sym_fm] = STATE(1346),
    [sym_pb] = STATE(263),
    [sym_milestoneTag] = STATE(1955),
    [sym__milestoneStandaloneMarker] = STATE(1350),
    [sym__milestoneStart] = STATE(1350),
    [sym__milestoneEnd] = STATE(1350),
    [sym_milestone] = STATE(263),
    [sym__zNameSpaceRegular] = STATE(1349),
    [sym__zNameSpaceClosed] = STATE(1349),
    [sym__zNameSpaceStandaloneMarker] = STATE(1349),
    [sym_zNameSpace] = STATE(263),
    [sym__esbContents] = STATE(263),
    [sym_cat] = STATE(263),
    [aux_sym_mteBlock_repeat1] = STATE(1540),
    [aux_sym_msBlock_repeat1] = STATE(1537),
    [aux_sym_sBlock_repeat1] = STATE(1545),
    [aux_sym_sdBlock_repeat1] = STATE(1259),
    [aux_sym_piBlock_repeat1] = STATE(1529),
    [aux_sym_phBlock_repeat1] = STATE(1544),
    [aux_sym_poetry_repeat1] = STATE(1245),
    [aux_sym_qBlock_repeat1] = STATE(1539),
    [aux_sym_qmBlock_repeat1] = STATE(1531),
    [aux_sym_list_repeat1] = STATE(1242),
    [aux_sym_liBlock_repeat1] = STATE(1508),
    [aux_sym_limBlock_repeat1] = STATE(1504),
    [aux_sym_table_repeat1] = STATE(1547),
    [aux_sym_esb_repeat1] = STATE(263),
    [anon_sym_BSLASHsts] = ACTIONS(1797),
    [anon_sym_BSLASHrem] = ACTIONS(1799),
    [anon_sym_BSLASHrestore] = ACTIONS(1801),
    [anon_sym_BSLASHlit] = ACTIONS(1803),
    [anon_sym_BSLASHip] = ACTIONS(2751),
    [anon_sym_BSLASHmte] = ACTIONS(1817),
    [anon_sym_BSLASHms] = ACTIONS(1819),
    [anon_sym_BSLASHs] = ACTIONS(2753),
    [anon_sym_BSLASHr] = ACTIONS(1823),
    [anon_sym_BSLASHsp] = ACTIONS(1825),
    [anon_sym_BSLASHd] = ACTIONS(1827),
    [anon_sym_BSLASHsd] = ACTIONS(1829),
    [anon_sym_BSLASHp] = ACTIONS(2755),
    [anon_sym_BSLASHm] = ACTIONS(2757),
    [anon_sym_BSLASHpo] = ACTIONS(2759),
    [anon_sym_BSLASHpr] = ACTIONS(2761),
    [anon_sym_BSLASHcls] = ACTIONS(2763),
    [anon_sym_BSLASHpmo] = ACTIONS(2765),
    [anon_sym_BSLASHpm] = ACTIONS(2767),
    [anon_sym_BSLASHpmc] = ACTIONS(2769),
    [anon_sym_BSLASHpmr] = ACTIONS(2771),
    [anon_sym_BSLASHpi] = ACTIONS(2773),
    [anon_sym_BSLASHmi] = ACTIONS(2775),
    [anon_sym_BSLASHnb] = ACTIONS(2777),
    [anon_sym_BSLASHpc] = ACTIONS(2779),
    [anon_sym_BSLASHph] = ACTIONS(2781),
    [anon_sym_BSLASHb] = ACTIONS(1859),
    [anon_sym_BSLASHq] = ACTIONS(2783),
    [anon_sym_BSLASHqr] = ACTIONS(2785),
    [anon_sym_BSLASHqc] = ACTIONS(2787),
    [anon_sym_BSLASHqa] = ACTIONS(2789),
    [anon_sym_BSLASHqm] = ACTIONS(2791),
    [anon_sym_BSLASHqd] = ACTIONS(2793),
    [anon_sym_BSLASHlh] = ACTIONS(1873),
    [anon_sym_BSLASHli] = ACTIONS(2795),
    [anon_sym_BSLASHlim] = ACTIONS(2797),
    [anon_sym_BSLASHtr] = ACTIONS(2799),
    [anon_sym_BSLASHf] = ACTIONS(1881),
    [anon_sym_BSLASHfe] = ACTIONS(1883),
    [anon_sym_BSLASHef] = ACTIONS(1885),
    [anon_sym_BSLASHfm] = ACTIONS(1887),
    [anon_sym_BSLASHpb] = ACTIONS(1889),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1891),
    [sym_milestoneEndTag] = ACTIONS(1893),
    [sym_zSpaceTag] = ACTIONS(2801),
    [anon_sym_BSLASHesbe] = ACTIONS(2954),
    [anon_sym_BSLASHcat] = ACTIONS(2805),
  },
  [263] = {
    [sym__comments] = STATE(261),
    [sym_sts] = STATE(261),
    [sym_rem] = STATE(261),
    [sym_restore] = STATE(261),
    [sym_lit] = STATE(261),
    [sym_ip] = STATE(261),
    [sym_title] = STATE(261),
    [sym_mteBlock] = STATE(1337),
    [sym_mte] = STATE(1540),
    [sym_mteTag] = STATE(1771),
    [sym_msBlock] = STATE(1337),
    [sym_ms] = STATE(1537),
    [sym_msTag] = STATE(1099),
    [sym_sBlock] = STATE(1337),
    [sym_s] = STATE(1545),
    [sym_sTag] = STATE(312),
    [sym_r] = STATE(1337),
    [sym_sp] = STATE(1337),
    [sym_d] = STATE(1337),
    [sym_sdBlock] = STATE(1337),
    [sym_sd] = STATE(1259),
    [sym_sdTag] = STATE(1343),
    [sym_paragraph] = STATE(261),
    [sym_p] = STATE(1344),
    [sym_m] = STATE(1344),
    [sym_po] = STATE(1344),
    [sym_pr] = STATE(1344),
    [sym_cls] = STATE(1344),
    [sym_pmo] = STATE(1344),
    [sym_pm] = STATE(1344),
    [sym_pmc] = STATE(1344),
    [sym_pmr] = STATE(1344),
    [sym_piBlock] = STATE(1344),
    [sym_pi] = STATE(1529),
    [sym_piTag] = STATE(196),
    [sym_mi] = STATE(1344),
    [sym_nb] = STATE(1344),
    [sym_pc] = STATE(1344),
    [sym_phBlock] = STATE(1344),
    [sym_ph] = STATE(1544),
    [sym_phTag] = STATE(210),
    [sym_b] = STATE(1344),
    [sym_poetry] = STATE(261),
    [sym_qBlock] = STATE(1245),
    [sym_q] = STATE(1539),
    [sym_qTag] = STATE(144),
    [sym_qr] = STATE(1245),
    [sym_qc] = STATE(1245),
    [sym_qa] = STATE(1337),
    [sym_qmBlock] = STATE(1245),
    [sym_qm] = STATE(1531),
    [sym_qmTag] = STATE(170),
    [sym_qd] = STATE(1245),
    [sym_list] = STATE(261),
    [sym_lh] = STATE(1805),
    [sym__listMarker] = STATE(1242),
    [sym_liBlock] = STATE(1242),
    [sym_li] = STATE(1508),
    [sym_liTag] = STATE(64),
    [sym_limBlock] = STATE(1242),
    [sym_lim] = STATE(1504),
    [sym_limTag] = STATE(63),
    [sym_table] = STATE(261),
    [sym_tr] = STATE(1547),
    [sym_footnote] = STATE(261),
    [sym_f] = STATE(1346),
    [sym_fe] = STATE(1346),
    [sym_ef] = STATE(1346),
    [sym_fm] = STATE(1346),
    [sym_pb] = STATE(261),
    [sym_milestoneTag] = STATE(1955),
    [sym__milestoneStandaloneMarker] = STATE(1350),
    [sym__milestoneStart] = STATE(1350),
    [sym__milestoneEnd] = STATE(1350),
    [sym_milestone] = STATE(261),
    [sym__zNameSpaceRegular] = STATE(1349),
    [sym__zNameSpaceClosed] = STATE(1349),
    [sym__zNameSpaceStandaloneMarker] = STATE(1349),
    [sym_zNameSpace] = STATE(261),
    [sym__esbContents] = STATE(261),
    [sym_cat] = STATE(261),
    [aux_sym_mteBlock_repeat1] = STATE(1540),
    [aux_sym_msBlock_repeat1] = STATE(1537),
    [aux_sym_sBlock_repeat1] = STATE(1545),
    [aux_sym_sdBlock_repeat1] = STATE(1259),
    [aux_sym_piBlock_repeat1] = STATE(1529),
    [aux_sym_phBlock_repeat1] = STATE(1544),
    [aux_sym_poetry_repeat1] = STATE(1245),
    [aux_sym_qBlock_repeat1] = STATE(1539),
    [aux_sym_qmBlock_repeat1] = STATE(1531),
    [aux_sym_list_repeat1] = STATE(1242),
    [aux_sym_liBlock_repeat1] = STATE(1508),
    [aux_sym_limBlock_repeat1] = STATE(1504),
    [aux_sym_table_repeat1] = STATE(1547),
    [aux_sym_esb_repeat1] = STATE(261),
    [anon_sym_BSLASHsts] = ACTIONS(1797),
    [anon_sym_BSLASHrem] = ACTIONS(1799),
    [anon_sym_BSLASHrestore] = ACTIONS(1801),
    [anon_sym_BSLASHlit] = ACTIONS(1803),
    [anon_sym_BSLASHip] = ACTIONS(2751),
    [anon_sym_BSLASHmte] = ACTIONS(1817),
    [anon_sym_BSLASHms] = ACTIONS(1819),
    [anon_sym_BSLASHs] = ACTIONS(2753),
    [anon_sym_BSLASHr] = ACTIONS(1823),
    [anon_sym_BSLASHsp] = ACTIONS(1825),
    [anon_sym_BSLASHd] = ACTIONS(1827),
    [anon_sym_BSLASHsd] = ACTIONS(1829),
    [anon_sym_BSLASHp] = ACTIONS(2755),
    [anon_sym_BSLASHm] = ACTIONS(2757),
    [anon_sym_BSLASHpo] = ACTIONS(2759),
    [anon_sym_BSLASHpr] = ACTIONS(2761),
    [anon_sym_BSLASHcls] = ACTIONS(2763),
    [anon_sym_BSLASHpmo] = ACTIONS(2765),
    [anon_sym_BSLASHpm] = ACTIONS(2767),
    [anon_sym_BSLASHpmc] = ACTIONS(2769),
    [anon_sym_BSLASHpmr] = ACTIONS(2771),
    [anon_sym_BSLASHpi] = ACTIONS(2773),
    [anon_sym_BSLASHmi] = ACTIONS(2775),
    [anon_sym_BSLASHnb] = ACTIONS(2777),
    [anon_sym_BSLASHpc] = ACTIONS(2779),
    [anon_sym_BSLASHph] = ACTIONS(2781),
    [anon_sym_BSLASHb] = ACTIONS(1859),
    [anon_sym_BSLASHq] = ACTIONS(2783),
    [anon_sym_BSLASHqr] = ACTIONS(2785),
    [anon_sym_BSLASHqc] = ACTIONS(2787),
    [anon_sym_BSLASHqa] = ACTIONS(2789),
    [anon_sym_BSLASHqm] = ACTIONS(2791),
    [anon_sym_BSLASHqd] = ACTIONS(2793),
    [anon_sym_BSLASHlh] = ACTIONS(1873),
    [anon_sym_BSLASHli] = ACTIONS(2795),
    [anon_sym_BSLASHlim] = ACTIONS(2797),
    [anon_sym_BSLASHtr] = ACTIONS(2799),
    [anon_sym_BSLASHf] = ACTIONS(1881),
    [anon_sym_BSLASHfe] = ACTIONS(1883),
    [anon_sym_BSLASHef] = ACTIONS(1885),
    [anon_sym_BSLASHfm] = ACTIONS(1887),
    [anon_sym_BSLASHpb] = ACTIONS(1889),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1891),
    [sym_milestoneEndTag] = ACTIONS(1893),
    [sym_zSpaceTag] = ACTIONS(2801),
    [anon_sym_BSLASHesbe] = ACTIONS(2956),
    [anon_sym_BSLASHcat] = ACTIONS(2805),
  },
  [264] = {
    [sym__comments] = STATE(261),
    [sym_sts] = STATE(261),
    [sym_rem] = STATE(261),
    [sym_restore] = STATE(261),
    [sym_lit] = STATE(261),
    [sym_ip] = STATE(261),
    [sym_title] = STATE(261),
    [sym_mteBlock] = STATE(1337),
    [sym_mte] = STATE(1540),
    [sym_mteTag] = STATE(1771),
    [sym_msBlock] = STATE(1337),
    [sym_ms] = STATE(1537),
    [sym_msTag] = STATE(1099),
    [sym_sBlock] = STATE(1337),
    [sym_s] = STATE(1545),
    [sym_sTag] = STATE(312),
    [sym_r] = STATE(1337),
    [sym_sp] = STATE(1337),
    [sym_d] = STATE(1337),
    [sym_sdBlock] = STATE(1337),
    [sym_sd] = STATE(1259),
    [sym_sdTag] = STATE(1343),
    [sym_paragraph] = STATE(261),
    [sym_p] = STATE(1344),
    [sym_m] = STATE(1344),
    [sym_po] = STATE(1344),
    [sym_pr] = STATE(1344),
    [sym_cls] = STATE(1344),
    [sym_pmo] = STATE(1344),
    [sym_pm] = STATE(1344),
    [sym_pmc] = STATE(1344),
    [sym_pmr] = STATE(1344),
    [sym_piBlock] = STATE(1344),
    [sym_pi] = STATE(1529),
    [sym_piTag] = STATE(196),
    [sym_mi] = STATE(1344),
    [sym_nb] = STATE(1344),
    [sym_pc] = STATE(1344),
    [sym_phBlock] = STATE(1344),
    [sym_ph] = STATE(1544),
    [sym_phTag] = STATE(210),
    [sym_b] = STATE(1344),
    [sym_poetry] = STATE(261),
    [sym_qBlock] = STATE(1245),
    [sym_q] = STATE(1539),
    [sym_qTag] = STATE(144),
    [sym_qr] = STATE(1245),
    [sym_qc] = STATE(1245),
    [sym_qa] = STATE(1337),
    [sym_qmBlock] = STATE(1245),
    [sym_qm] = STATE(1531),
    [sym_qmTag] = STATE(170),
    [sym_qd] = STATE(1245),
    [sym_list] = STATE(261),
    [sym_lh] = STATE(1805),
    [sym__listMarker] = STATE(1242),
    [sym_liBlock] = STATE(1242),
    [sym_li] = STATE(1508),
    [sym_liTag] = STATE(64),
    [sym_limBlock] = STATE(1242),
    [sym_lim] = STATE(1504),
    [sym_limTag] = STATE(63),
    [sym_table] = STATE(261),
    [sym_tr] = STATE(1547),
    [sym_footnote] = STATE(261),
    [sym_f] = STATE(1346),
    [sym_fe] = STATE(1346),
    [sym_ef] = STATE(1346),
    [sym_fm] = STATE(1346),
    [sym_pb] = STATE(261),
    [sym_milestoneTag] = STATE(1955),
    [sym__milestoneStandaloneMarker] = STATE(1350),
    [sym__milestoneStart] = STATE(1350),
    [sym__milestoneEnd] = STATE(1350),
    [sym_milestone] = STATE(261),
    [sym__zNameSpaceRegular] = STATE(1349),
    [sym__zNameSpaceClosed] = STATE(1349),
    [sym__zNameSpaceStandaloneMarker] = STATE(1349),
    [sym_zNameSpace] = STATE(261),
    [sym__esbContents] = STATE(261),
    [sym_cat] = STATE(261),
    [aux_sym_mteBlock_repeat1] = STATE(1540),
    [aux_sym_msBlock_repeat1] = STATE(1537),
    [aux_sym_sBlock_repeat1] = STATE(1545),
    [aux_sym_sdBlock_repeat1] = STATE(1259),
    [aux_sym_piBlock_repeat1] = STATE(1529),
    [aux_sym_phBlock_repeat1] = STATE(1544),
    [aux_sym_poetry_repeat1] = STATE(1245),
    [aux_sym_qBlock_repeat1] = STATE(1539),
    [aux_sym_qmBlock_repeat1] = STATE(1531),
    [aux_sym_list_repeat1] = STATE(1242),
    [aux_sym_liBlock_repeat1] = STATE(1508),
    [aux_sym_limBlock_repeat1] = STATE(1504),
    [aux_sym_table_repeat1] = STATE(1547),
    [aux_sym_esb_repeat1] = STATE(261),
    [anon_sym_BSLASHsts] = ACTIONS(1797),
    [anon_sym_BSLASHrem] = ACTIONS(1799),
    [anon_sym_BSLASHrestore] = ACTIONS(1801),
    [anon_sym_BSLASHlit] = ACTIONS(1803),
    [anon_sym_BSLASHip] = ACTIONS(2751),
    [anon_sym_BSLASHmte] = ACTIONS(1817),
    [anon_sym_BSLASHms] = ACTIONS(1819),
    [anon_sym_BSLASHs] = ACTIONS(2753),
    [anon_sym_BSLASHr] = ACTIONS(1823),
    [anon_sym_BSLASHsp] = ACTIONS(1825),
    [anon_sym_BSLASHd] = ACTIONS(1827),
    [anon_sym_BSLASHsd] = ACTIONS(1829),
    [anon_sym_BSLASHp] = ACTIONS(2755),
    [anon_sym_BSLASHm] = ACTIONS(2757),
    [anon_sym_BSLASHpo] = ACTIONS(2759),
    [anon_sym_BSLASHpr] = ACTIONS(2761),
    [anon_sym_BSLASHcls] = ACTIONS(2763),
    [anon_sym_BSLASHpmo] = ACTIONS(2765),
    [anon_sym_BSLASHpm] = ACTIONS(2767),
    [anon_sym_BSLASHpmc] = ACTIONS(2769),
    [anon_sym_BSLASHpmr] = ACTIONS(2771),
    [anon_sym_BSLASHpi] = ACTIONS(2773),
    [anon_sym_BSLASHmi] = ACTIONS(2775),
    [anon_sym_BSLASHnb] = ACTIONS(2777),
    [anon_sym_BSLASHpc] = ACTIONS(2779),
    [anon_sym_BSLASHph] = ACTIONS(2781),
    [anon_sym_BSLASHb] = ACTIONS(1859),
    [anon_sym_BSLASHq] = ACTIONS(2783),
    [anon_sym_BSLASHqr] = ACTIONS(2785),
    [anon_sym_BSLASHqc] = ACTIONS(2787),
    [anon_sym_BSLASHqa] = ACTIONS(2789),
    [anon_sym_BSLASHqm] = ACTIONS(2791),
    [anon_sym_BSLASHqd] = ACTIONS(2793),
    [anon_sym_BSLASHlh] = ACTIONS(1873),
    [anon_sym_BSLASHli] = ACTIONS(2795),
    [anon_sym_BSLASHlim] = ACTIONS(2797),
    [anon_sym_BSLASHtr] = ACTIONS(2799),
    [anon_sym_BSLASHf] = ACTIONS(1881),
    [anon_sym_BSLASHfe] = ACTIONS(1883),
    [anon_sym_BSLASHef] = ACTIONS(1885),
    [anon_sym_BSLASHfm] = ACTIONS(1887),
    [anon_sym_BSLASHpb] = ACTIONS(1889),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(1891),
    [sym_milestoneEndTag] = ACTIONS(1893),
    [sym_zSpaceTag] = ACTIONS(2801),
    [anon_sym_BSLASHesbe] = ACTIONS(2958),
    [anon_sym_BSLASHcat] = ACTIONS(2805),
  },
  [265] = {
    [sym_text] = STATE(266),
    [sym_ref] = STATE(266),
    [sym_addNested] = STATE(266),
    [sym_bkNested] = STATE(266),
    [sym_dcNested] = STATE(266),
    [sym_kNested] = STATE(266),
    [sym_ndNested] = STATE(266),
    [sym_ordNested] = STATE(266),
    [sym_pnNested] = STATE(266),
    [sym_pngNested] = STATE(266),
    [sym_addpnNested] = STATE(266),
    [sym_qtNested] = STATE(266),
    [sym_sigNested] = STATE(266),
    [sym_slsNested] = STATE(266),
    [sym_tlNested] = STATE(266),
    [sym_wjNested] = STATE(266),
    [sym_emNested] = STATE(266),
    [sym_bdNested] = STATE(266),
    [sym_itNested] = STATE(266),
    [sym_bditNested] = STATE(266),
    [sym_noNested] = STATE(266),
    [sym_scNested] = STATE(266),
    [sym_supNested] = STATE(266),
    [sym_ndxNested] = STATE(266),
    [sym_proNested] = STATE(266),
    [sym_rbNested] = STATE(266),
    [sym_wNested] = STATE(266),
    [sym_wgNested] = STATE(266),
    [sym_whNested] = STATE(266),
    [sym_waNested] = STATE(266),
    [sym__nestedCharacterMarker] = STATE(266),
    [sym_fig] = STATE(266),
    [sym_jmpNested] = STATE(266),
    [aux_sym_crossrefText_repeat1] = STATE(266),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHfr] = ACTIONS(2960),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHfq] = ACTIONS(2960),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHfqa] = ACTIONS(2960),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHfk] = ACTIONS(2960),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHfl] = ACTIONS(2960),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHfw] = ACTIONS(2960),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHfp] = ACTIONS(2960),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHft] = ACTIONS(2960),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHfdc] = ACTIONS(2960),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHfv] = ACTIONS(2960),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHx_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHxo] = ACTIONS(2960),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHxk] = ACTIONS(2960),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHxq] = ACTIONS(2960),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHxt] = ACTIONS(2960),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(2960),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2960),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHxta] = ACTIONS(2960),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHxop] = ACTIONS(2960),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHxot] = ACTIONS(2960),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHxnt] = ACTIONS(2960),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHxdc] = ACTIONS(2960),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(2960),
    [anon_sym_BSLASHadd] = ACTIONS(2960),
    [anon_sym_BSLASHbk] = ACTIONS(2960),
    [anon_sym_BSLASHdc] = ACTIONS(2960),
    [anon_sym_BSLASHk] = ACTIONS(2960),
    [anon_sym_BSLASHnd] = ACTIONS(2960),
    [anon_sym_BSLASHord] = ACTIONS(2960),
    [anon_sym_BSLASHpn] = ACTIONS(2960),
    [anon_sym_BSLASHpng] = ACTIONS(2960),
    [anon_sym_BSLASHaddpn] = ACTIONS(2960),
    [anon_sym_BSLASHqt] = ACTIONS(2960),
    [anon_sym_BSLASHsig] = ACTIONS(2960),
    [anon_sym_BSLASHsls] = ACTIONS(2960),
    [anon_sym_BSLASHtl] = ACTIONS(2960),
    [anon_sym_BSLASHwj] = ACTIONS(2960),
    [anon_sym_BSLASHem] = ACTIONS(2960),
    [anon_sym_BSLASHbd] = ACTIONS(2960),
    [anon_sym_BSLASHit] = ACTIONS(2960),
    [anon_sym_BSLASHbdit] = ACTIONS(2960),
    [anon_sym_BSLASHno] = ACTIONS(2960),
    [anon_sym_BSLASHsc] = ACTIONS(2960),
    [anon_sym_BSLASHsup] = ACTIONS(2960),
    [anon_sym_BSLASHndx] = ACTIONS(2960),
    [anon_sym_BSLASHpro] = ACTIONS(2960),
    [anon_sym_BSLASHrb] = ACTIONS(2960),
    [anon_sym_BSLASHw] = ACTIONS(2960),
    [anon_sym_BSLASHwg] = ACTIONS(2960),
    [anon_sym_BSLASHwh] = ACTIONS(2960),
    [anon_sym_BSLASHwa] = ACTIONS(2960),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(2960),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_BSLASHcat] = ACTIONS(2960),
    [anon_sym_PIPE] = ACTIONS(2960),
  },
  [266] = {
    [sym_text] = STATE(266),
    [sym_ref] = STATE(266),
    [sym_addNested] = STATE(266),
    [sym_bkNested] = STATE(266),
    [sym_dcNested] = STATE(266),
    [sym_kNested] = STATE(266),
    [sym_ndNested] = STATE(266),
    [sym_ordNested] = STATE(266),
    [sym_pnNested] = STATE(266),
    [sym_pngNested] = STATE(266),
    [sym_addpnNested] = STATE(266),
    [sym_qtNested] = STATE(266),
    [sym_sigNested] = STATE(266),
    [sym_slsNested] = STATE(266),
    [sym_tlNested] = STATE(266),
    [sym_wjNested] = STATE(266),
    [sym_emNested] = STATE(266),
    [sym_bdNested] = STATE(266),
    [sym_itNested] = STATE(266),
    [sym_bditNested] = STATE(266),
    [sym_noNested] = STATE(266),
    [sym_scNested] = STATE(266),
    [sym_supNested] = STATE(266),
    [sym_ndxNested] = STATE(266),
    [sym_proNested] = STATE(266),
    [sym_rbNested] = STATE(266),
    [sym_wNested] = STATE(266),
    [sym_wgNested] = STATE(266),
    [sym_whNested] = STATE(266),
    [sym_waNested] = STATE(266),
    [sym__nestedCharacterMarker] = STATE(266),
    [sym_fig] = STATE(266),
    [sym_jmpNested] = STATE(266),
    [aux_sym_crossrefText_repeat1] = STATE(266),
    [aux_sym_text_token1] = ACTIONS(2962),
    [anon_sym_BSLASHref] = ACTIONS(2965),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHfr] = ACTIONS(2968),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHfq] = ACTIONS(2968),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHfqa] = ACTIONS(2968),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHfk] = ACTIONS(2968),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHfl] = ACTIONS(2968),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHfw] = ACTIONS(2968),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHfp] = ACTIONS(2968),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHft] = ACTIONS(2968),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHfdc] = ACTIONS(2968),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHfv] = ACTIONS(2968),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHx_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHxo] = ACTIONS(2968),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHxk] = ACTIONS(2968),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHxq] = ACTIONS(2968),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHxt] = ACTIONS(2968),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(2968),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2968),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHxta] = ACTIONS(2968),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHxop] = ACTIONS(2968),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHxot] = ACTIONS(2968),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHxnt] = ACTIONS(2968),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHxdc] = ACTIONS(2968),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(2968),
    [anon_sym_BSLASHadd] = ACTIONS(2968),
    [anon_sym_BSLASHbk] = ACTIONS(2968),
    [anon_sym_BSLASHdc] = ACTIONS(2968),
    [anon_sym_BSLASHk] = ACTIONS(2968),
    [anon_sym_BSLASHnd] = ACTIONS(2968),
    [anon_sym_BSLASHord] = ACTIONS(2968),
    [anon_sym_BSLASHpn] = ACTIONS(2968),
    [anon_sym_BSLASHpng] = ACTIONS(2968),
    [anon_sym_BSLASHaddpn] = ACTIONS(2968),
    [anon_sym_BSLASHqt] = ACTIONS(2968),
    [anon_sym_BSLASHsig] = ACTIONS(2968),
    [anon_sym_BSLASHsls] = ACTIONS(2968),
    [anon_sym_BSLASHtl] = ACTIONS(2968),
    [anon_sym_BSLASHwj] = ACTIONS(2968),
    [anon_sym_BSLASHem] = ACTIONS(2968),
    [anon_sym_BSLASHbd] = ACTIONS(2968),
    [anon_sym_BSLASHit] = ACTIONS(2968),
    [anon_sym_BSLASHbdit] = ACTIONS(2968),
    [anon_sym_BSLASHno] = ACTIONS(2968),
    [anon_sym_BSLASHsc] = ACTIONS(2968),
    [anon_sym_BSLASHsup] = ACTIONS(2968),
    [anon_sym_BSLASHndx] = ACTIONS(2968),
    [anon_sym_BSLASHpro] = ACTIONS(2968),
    [anon_sym_BSLASHrb] = ACTIONS(2968),
    [anon_sym_BSLASHw] = ACTIONS(2968),
    [anon_sym_BSLASHwg] = ACTIONS(2968),
    [anon_sym_BSLASHwh] = ACTIONS(2968),
    [anon_sym_BSLASHwa] = ACTIONS(2968),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2970),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2973),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2976),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2979),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2982),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2985),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2988),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2991),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2994),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2997),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3000),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3003),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3006),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3009),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3012),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3015),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3018),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3021),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3024),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3027),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3030),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3033),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3036),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3039),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3042),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3045),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3048),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3051),
    [anon_sym_BSLASHfig] = ACTIONS(3054),
    [anon_sym_BSLASHjmp] = ACTIONS(2968),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3057),
    [anon_sym_BSLASHcat] = ACTIONS(2968),
    [anon_sym_PIPE] = ACTIONS(2968),
  },
  [267] = {
    [aux_sym_text_token1] = ACTIONS(3060),
    [anon_sym_BSLASHsts] = ACTIONS(3062),
    [anon_sym_BSLASHrem] = ACTIONS(3062),
    [anon_sym_BSLASHrestore] = ACTIONS(3062),
    [anon_sym_BSLASHlit] = ACTIONS(3062),
    [anon_sym_BSLASHip] = ACTIONS(3062),
    [anon_sym_BSLASHmte] = ACTIONS(3062),
    [anon_sym_BSLASHms] = ACTIONS(3062),
    [anon_sym_BSLASHs] = ACTIONS(3062),
    [anon_sym_BSLASHr] = ACTIONS(3062),
    [anon_sym_BSLASHsp] = ACTIONS(3062),
    [anon_sym_BSLASHd] = ACTIONS(3062),
    [anon_sym_BSLASHsd] = ACTIONS(3062),
    [anon_sym_BSLASHp] = ACTIONS(3062),
    [anon_sym_BSLASHm] = ACTIONS(3062),
    [anon_sym_BSLASHpo] = ACTIONS(3062),
    [anon_sym_BSLASHpr] = ACTIONS(3062),
    [anon_sym_BSLASHcls] = ACTIONS(3062),
    [anon_sym_BSLASHpmo] = ACTIONS(3062),
    [anon_sym_BSLASHpm] = ACTIONS(3062),
    [anon_sym_BSLASHpmc] = ACTIONS(3062),
    [anon_sym_BSLASHpmr] = ACTIONS(3062),
    [anon_sym_BSLASHpi] = ACTIONS(3062),
    [anon_sym_BSLASHmi] = ACTIONS(3062),
    [anon_sym_BSLASHnb] = ACTIONS(3062),
    [anon_sym_BSLASHpc] = ACTIONS(3062),
    [anon_sym_BSLASHph] = ACTIONS(3062),
    [anon_sym_BSLASHb] = ACTIONS(3062),
    [anon_sym_BSLASHq] = ACTIONS(3062),
    [anon_sym_BSLASHqr] = ACTIONS(3062),
    [anon_sym_BSLASHqc] = ACTIONS(3062),
    [anon_sym_BSLASHqa] = ACTIONS(3062),
    [anon_sym_BSLASHqm] = ACTIONS(3062),
    [anon_sym_BSLASHqd] = ACTIONS(3062),
    [anon_sym_BSLASHlh] = ACTIONS(3062),
    [anon_sym_BSLASHli] = ACTIONS(3062),
    [anon_sym_BSLASHlim] = ACTIONS(3062),
    [anon_sym_BSLASHtr] = ACTIONS(3062),
    [anon_sym_BSLASHf] = ACTIONS(3062),
    [anon_sym_BSLASHfe] = ACTIONS(3062),
    [anon_sym_BSLASHef] = ACTIONS(3062),
    [anon_sym_BSLASHfm] = ACTIONS(3062),
    [anon_sym_BSLASHx] = ACTIONS(3062),
    [anon_sym_BSLASHxt] = ACTIONS(3062),
    [anon_sym_BSLASHrq] = ACTIONS(3062),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHord_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHem_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHit_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHno_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHw_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(3062),
    [anon_sym_BSLASHfig] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3062),
    [anon_sym_BSLASHpb] = ACTIONS(3062),
    [anon_sym_BSLASH] = ACTIONS(3062),
    [sym_milestoneStartTag] = ACTIONS(3062),
    [sym_milestoneEndTag] = ACTIONS(3062),
    [sym_zSpaceTag] = ACTIONS(3062),
    [anon_sym_BSLASHesbe] = ACTIONS(3062),
    [anon_sym_BSLASHcat] = ACTIONS(3062),
    [anon_sym_PIPE] = ACTIONS(3062),
  },
  [268] = {
    [aux_sym_text_token1] = ACTIONS(3064),
    [anon_sym_BSLASHsts] = ACTIONS(3066),
    [anon_sym_BSLASHrem] = ACTIONS(3066),
    [anon_sym_BSLASHrestore] = ACTIONS(3066),
    [anon_sym_BSLASHlit] = ACTIONS(3066),
    [anon_sym_BSLASHip] = ACTIONS(3066),
    [anon_sym_BSLASHmte] = ACTIONS(3066),
    [anon_sym_BSLASHms] = ACTIONS(3066),
    [anon_sym_BSLASHs] = ACTIONS(3066),
    [anon_sym_BSLASHr] = ACTIONS(3066),
    [anon_sym_BSLASHsp] = ACTIONS(3066),
    [anon_sym_BSLASHd] = ACTIONS(3066),
    [anon_sym_BSLASHsd] = ACTIONS(3066),
    [anon_sym_BSLASHp] = ACTIONS(3066),
    [anon_sym_BSLASHm] = ACTIONS(3066),
    [anon_sym_BSLASHpo] = ACTIONS(3066),
    [anon_sym_BSLASHpr] = ACTIONS(3066),
    [anon_sym_BSLASHcls] = ACTIONS(3066),
    [anon_sym_BSLASHpmo] = ACTIONS(3066),
    [anon_sym_BSLASHpm] = ACTIONS(3066),
    [anon_sym_BSLASHpmc] = ACTIONS(3066),
    [anon_sym_BSLASHpmr] = ACTIONS(3066),
    [anon_sym_BSLASHpi] = ACTIONS(3066),
    [anon_sym_BSLASHmi] = ACTIONS(3066),
    [anon_sym_BSLASHnb] = ACTIONS(3066),
    [anon_sym_BSLASHpc] = ACTIONS(3066),
    [anon_sym_BSLASHph] = ACTIONS(3066),
    [anon_sym_BSLASHb] = ACTIONS(3066),
    [anon_sym_BSLASHq] = ACTIONS(3066),
    [anon_sym_BSLASHqr] = ACTIONS(3066),
    [anon_sym_BSLASHqc] = ACTIONS(3066),
    [anon_sym_BSLASHqa] = ACTIONS(3066),
    [anon_sym_BSLASHqm] = ACTIONS(3066),
    [anon_sym_BSLASHqd] = ACTIONS(3066),
    [anon_sym_BSLASHlh] = ACTIONS(3066),
    [anon_sym_BSLASHli] = ACTIONS(3066),
    [anon_sym_BSLASHlim] = ACTIONS(3066),
    [anon_sym_BSLASHtr] = ACTIONS(3066),
    [anon_sym_BSLASHf] = ACTIONS(3066),
    [anon_sym_BSLASHfe] = ACTIONS(3066),
    [anon_sym_BSLASHef] = ACTIONS(3066),
    [anon_sym_BSLASHfm] = ACTIONS(3066),
    [anon_sym_BSLASHx] = ACTIONS(3066),
    [anon_sym_BSLASHxt] = ACTIONS(3066),
    [anon_sym_BSLASHrq] = ACTIONS(3066),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHord_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHem_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHit_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHno_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHw_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(3066),
    [anon_sym_BSLASHfig] = ACTIONS(3066),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3066),
    [anon_sym_BSLASHpb] = ACTIONS(3066),
    [anon_sym_BSLASH] = ACTIONS(3066),
    [sym_milestoneStartTag] = ACTIONS(3066),
    [sym_milestoneEndTag] = ACTIONS(3066),
    [sym_zSpaceTag] = ACTIONS(3066),
    [anon_sym_BSLASHesbe] = ACTIONS(3066),
    [anon_sym_BSLASHcat] = ACTIONS(3066),
    [anon_sym_PIPE] = ACTIONS(3066),
  },
  [269] = {
    [aux_sym_text_token1] = ACTIONS(3068),
    [anon_sym_BSLASHsts] = ACTIONS(3070),
    [anon_sym_BSLASHrem] = ACTIONS(3070),
    [anon_sym_BSLASHrestore] = ACTIONS(3070),
    [anon_sym_BSLASHlit] = ACTIONS(3070),
    [anon_sym_BSLASHip] = ACTIONS(3070),
    [anon_sym_BSLASHmte] = ACTIONS(3070),
    [anon_sym_BSLASHms] = ACTIONS(3070),
    [anon_sym_BSLASHs] = ACTIONS(3070),
    [anon_sym_BSLASHr] = ACTIONS(3070),
    [anon_sym_BSLASHsp] = ACTIONS(3070),
    [anon_sym_BSLASHd] = ACTIONS(3070),
    [anon_sym_BSLASHsd] = ACTIONS(3070),
    [anon_sym_BSLASHp] = ACTIONS(3070),
    [anon_sym_BSLASHm] = ACTIONS(3070),
    [anon_sym_BSLASHpo] = ACTIONS(3070),
    [anon_sym_BSLASHpr] = ACTIONS(3070),
    [anon_sym_BSLASHcls] = ACTIONS(3070),
    [anon_sym_BSLASHpmo] = ACTIONS(3070),
    [anon_sym_BSLASHpm] = ACTIONS(3070),
    [anon_sym_BSLASHpmc] = ACTIONS(3070),
    [anon_sym_BSLASHpmr] = ACTIONS(3070),
    [anon_sym_BSLASHpi] = ACTIONS(3070),
    [anon_sym_BSLASHmi] = ACTIONS(3070),
    [anon_sym_BSLASHnb] = ACTIONS(3070),
    [anon_sym_BSLASHpc] = ACTIONS(3070),
    [anon_sym_BSLASHph] = ACTIONS(3070),
    [anon_sym_BSLASHb] = ACTIONS(3070),
    [anon_sym_BSLASHq] = ACTIONS(3070),
    [anon_sym_BSLASHqr] = ACTIONS(3070),
    [anon_sym_BSLASHqc] = ACTIONS(3070),
    [anon_sym_BSLASHqa] = ACTIONS(3070),
    [anon_sym_BSLASHqm] = ACTIONS(3070),
    [anon_sym_BSLASHqd] = ACTIONS(3070),
    [anon_sym_BSLASHlh] = ACTIONS(3070),
    [anon_sym_BSLASHli] = ACTIONS(3070),
    [anon_sym_BSLASHlim] = ACTIONS(3070),
    [anon_sym_BSLASHtr] = ACTIONS(3070),
    [anon_sym_BSLASHf] = ACTIONS(3070),
    [anon_sym_BSLASHfe] = ACTIONS(3070),
    [anon_sym_BSLASHef] = ACTIONS(3070),
    [anon_sym_BSLASHfm] = ACTIONS(3070),
    [anon_sym_BSLASHx] = ACTIONS(3070),
    [anon_sym_BSLASHxt] = ACTIONS(3070),
    [anon_sym_BSLASHrq] = ACTIONS(3070),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHord_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHem_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHit_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHno_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHw_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(3070),
    [anon_sym_BSLASHfig] = ACTIONS(3070),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3070),
    [anon_sym_BSLASHpb] = ACTIONS(3070),
    [anon_sym_BSLASH] = ACTIONS(3070),
    [sym_milestoneStartTag] = ACTIONS(3070),
    [sym_milestoneEndTag] = ACTIONS(3070),
    [sym_zSpaceTag] = ACTIONS(3070),
    [anon_sym_BSLASHesbe] = ACTIONS(3070),
    [anon_sym_BSLASHcat] = ACTIONS(3070),
    [anon_sym_PIPE] = ACTIONS(3070),
  },
  [270] = {
    [aux_sym_text_token1] = ACTIONS(3072),
    [anon_sym_BSLASHsts] = ACTIONS(3074),
    [anon_sym_BSLASHrem] = ACTIONS(3074),
    [anon_sym_BSLASHrestore] = ACTIONS(3074),
    [anon_sym_BSLASHlit] = ACTIONS(3074),
    [anon_sym_BSLASHip] = ACTIONS(3074),
    [anon_sym_BSLASHmte] = ACTIONS(3074),
    [anon_sym_BSLASHms] = ACTIONS(3074),
    [anon_sym_BSLASHs] = ACTIONS(3074),
    [anon_sym_BSLASHr] = ACTIONS(3074),
    [anon_sym_BSLASHsp] = ACTIONS(3074),
    [anon_sym_BSLASHd] = ACTIONS(3074),
    [anon_sym_BSLASHsd] = ACTIONS(3074),
    [anon_sym_BSLASHp] = ACTIONS(3074),
    [anon_sym_BSLASHm] = ACTIONS(3074),
    [anon_sym_BSLASHpo] = ACTIONS(3074),
    [anon_sym_BSLASHpr] = ACTIONS(3074),
    [anon_sym_BSLASHcls] = ACTIONS(3074),
    [anon_sym_BSLASHpmo] = ACTIONS(3074),
    [anon_sym_BSLASHpm] = ACTIONS(3074),
    [anon_sym_BSLASHpmc] = ACTIONS(3074),
    [anon_sym_BSLASHpmr] = ACTIONS(3074),
    [anon_sym_BSLASHpi] = ACTIONS(3074),
    [anon_sym_BSLASHmi] = ACTIONS(3074),
    [anon_sym_BSLASHnb] = ACTIONS(3074),
    [anon_sym_BSLASHpc] = ACTIONS(3074),
    [anon_sym_BSLASHph] = ACTIONS(3074),
    [anon_sym_BSLASHb] = ACTIONS(3074),
    [anon_sym_BSLASHq] = ACTIONS(3074),
    [anon_sym_BSLASHqr] = ACTIONS(3074),
    [anon_sym_BSLASHqc] = ACTIONS(3074),
    [anon_sym_BSLASHqa] = ACTIONS(3074),
    [anon_sym_BSLASHqm] = ACTIONS(3074),
    [anon_sym_BSLASHqd] = ACTIONS(3074),
    [anon_sym_BSLASHlh] = ACTIONS(3074),
    [anon_sym_BSLASHli] = ACTIONS(3074),
    [anon_sym_BSLASHlim] = ACTIONS(3074),
    [anon_sym_BSLASHtr] = ACTIONS(3074),
    [anon_sym_BSLASHf] = ACTIONS(3074),
    [anon_sym_BSLASHfe] = ACTIONS(3074),
    [anon_sym_BSLASHef] = ACTIONS(3074),
    [anon_sym_BSLASHfm] = ACTIONS(3074),
    [anon_sym_BSLASHx] = ACTIONS(3074),
    [anon_sym_BSLASHxt] = ACTIONS(3074),
    [anon_sym_BSLASHrq] = ACTIONS(3074),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHord_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHem_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHit_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHno_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHw_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(3074),
    [anon_sym_BSLASHfig] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3074),
    [anon_sym_BSLASHpb] = ACTIONS(3074),
    [anon_sym_BSLASH] = ACTIONS(3074),
    [sym_milestoneStartTag] = ACTIONS(3074),
    [sym_milestoneEndTag] = ACTIONS(3074),
    [sym_zSpaceTag] = ACTIONS(3074),
    [anon_sym_BSLASHesbe] = ACTIONS(3074),
    [anon_sym_BSLASHcat] = ACTIONS(3074),
    [anon_sym_PIPE] = ACTIONS(3074),
  },
  [271] = {
    [aux_sym_text_token1] = ACTIONS(3076),
    [anon_sym_BSLASHsts] = ACTIONS(3078),
    [anon_sym_BSLASHrem] = ACTIONS(3078),
    [anon_sym_BSLASHrestore] = ACTIONS(3078),
    [anon_sym_BSLASHlit] = ACTIONS(3078),
    [anon_sym_BSLASHip] = ACTIONS(3078),
    [anon_sym_BSLASHmte] = ACTIONS(3078),
    [anon_sym_BSLASHms] = ACTIONS(3078),
    [anon_sym_BSLASHs] = ACTIONS(3078),
    [anon_sym_BSLASHr] = ACTIONS(3078),
    [anon_sym_BSLASHsp] = ACTIONS(3078),
    [anon_sym_BSLASHd] = ACTIONS(3078),
    [anon_sym_BSLASHsd] = ACTIONS(3078),
    [anon_sym_BSLASHp] = ACTIONS(3078),
    [anon_sym_BSLASHm] = ACTIONS(3078),
    [anon_sym_BSLASHpo] = ACTIONS(3078),
    [anon_sym_BSLASHpr] = ACTIONS(3078),
    [anon_sym_BSLASHcls] = ACTIONS(3078),
    [anon_sym_BSLASHpmo] = ACTIONS(3078),
    [anon_sym_BSLASHpm] = ACTIONS(3078),
    [anon_sym_BSLASHpmc] = ACTIONS(3078),
    [anon_sym_BSLASHpmr] = ACTIONS(3078),
    [anon_sym_BSLASHpi] = ACTIONS(3078),
    [anon_sym_BSLASHmi] = ACTIONS(3078),
    [anon_sym_BSLASHnb] = ACTIONS(3078),
    [anon_sym_BSLASHpc] = ACTIONS(3078),
    [anon_sym_BSLASHph] = ACTIONS(3078),
    [anon_sym_BSLASHb] = ACTIONS(3078),
    [anon_sym_BSLASHq] = ACTIONS(3078),
    [anon_sym_BSLASHqr] = ACTIONS(3078),
    [anon_sym_BSLASHqc] = ACTIONS(3078),
    [anon_sym_BSLASHqa] = ACTIONS(3078),
    [anon_sym_BSLASHqm] = ACTIONS(3078),
    [anon_sym_BSLASHqd] = ACTIONS(3078),
    [anon_sym_BSLASHlh] = ACTIONS(3078),
    [anon_sym_BSLASHli] = ACTIONS(3078),
    [anon_sym_BSLASHlim] = ACTIONS(3078),
    [anon_sym_BSLASHtr] = ACTIONS(3078),
    [anon_sym_BSLASHf] = ACTIONS(3078),
    [anon_sym_BSLASHfe] = ACTIONS(3078),
    [anon_sym_BSLASHef] = ACTIONS(3078),
    [anon_sym_BSLASHfm] = ACTIONS(3078),
    [anon_sym_BSLASHx] = ACTIONS(3078),
    [anon_sym_BSLASHxt] = ACTIONS(3078),
    [anon_sym_BSLASHrq] = ACTIONS(3078),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHord_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHem_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHit_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHno_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHw_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(3078),
    [anon_sym_BSLASHfig] = ACTIONS(3078),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3078),
    [anon_sym_BSLASHpb] = ACTIONS(3078),
    [anon_sym_BSLASH] = ACTIONS(3078),
    [sym_milestoneStartTag] = ACTIONS(3078),
    [sym_milestoneEndTag] = ACTIONS(3078),
    [sym_zSpaceTag] = ACTIONS(3078),
    [anon_sym_BSLASHesbe] = ACTIONS(3078),
    [anon_sym_BSLASHcat] = ACTIONS(3078),
    [anon_sym_PIPE] = ACTIONS(3078),
  },
  [272] = {
    [aux_sym_text_token1] = ACTIONS(3080),
    [anon_sym_BSLASHsts] = ACTIONS(3082),
    [anon_sym_BSLASHrem] = ACTIONS(3082),
    [anon_sym_BSLASHrestore] = ACTIONS(3082),
    [anon_sym_BSLASHlit] = ACTIONS(3082),
    [anon_sym_BSLASHip] = ACTIONS(3082),
    [anon_sym_BSLASHmte] = ACTIONS(3082),
    [anon_sym_BSLASHms] = ACTIONS(3082),
    [anon_sym_BSLASHs] = ACTIONS(3082),
    [anon_sym_BSLASHr] = ACTIONS(3082),
    [anon_sym_BSLASHsp] = ACTIONS(3082),
    [anon_sym_BSLASHd] = ACTIONS(3082),
    [anon_sym_BSLASHsd] = ACTIONS(3082),
    [anon_sym_BSLASHp] = ACTIONS(3082),
    [anon_sym_BSLASHm] = ACTIONS(3082),
    [anon_sym_BSLASHpo] = ACTIONS(3082),
    [anon_sym_BSLASHpr] = ACTIONS(3082),
    [anon_sym_BSLASHcls] = ACTIONS(3082),
    [anon_sym_BSLASHpmo] = ACTIONS(3082),
    [anon_sym_BSLASHpm] = ACTIONS(3082),
    [anon_sym_BSLASHpmc] = ACTIONS(3082),
    [anon_sym_BSLASHpmr] = ACTIONS(3082),
    [anon_sym_BSLASHpi] = ACTIONS(3082),
    [anon_sym_BSLASHmi] = ACTIONS(3082),
    [anon_sym_BSLASHnb] = ACTIONS(3082),
    [anon_sym_BSLASHpc] = ACTIONS(3082),
    [anon_sym_BSLASHph] = ACTIONS(3082),
    [anon_sym_BSLASHb] = ACTIONS(3082),
    [anon_sym_BSLASHq] = ACTIONS(3082),
    [anon_sym_BSLASHqr] = ACTIONS(3082),
    [anon_sym_BSLASHqc] = ACTIONS(3082),
    [anon_sym_BSLASHqa] = ACTIONS(3082),
    [anon_sym_BSLASHqm] = ACTIONS(3082),
    [anon_sym_BSLASHqd] = ACTIONS(3082),
    [anon_sym_BSLASHlh] = ACTIONS(3082),
    [anon_sym_BSLASHli] = ACTIONS(3082),
    [anon_sym_BSLASHlim] = ACTIONS(3082),
    [anon_sym_BSLASHtr] = ACTIONS(3082),
    [anon_sym_BSLASHf] = ACTIONS(3082),
    [anon_sym_BSLASHfe] = ACTIONS(3082),
    [anon_sym_BSLASHef] = ACTIONS(3082),
    [anon_sym_BSLASHfm] = ACTIONS(3082),
    [anon_sym_BSLASHx] = ACTIONS(3082),
    [anon_sym_BSLASHxt] = ACTIONS(3082),
    [anon_sym_BSLASHrq] = ACTIONS(3082),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHord_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHem_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHit_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHno_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHw_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(3082),
    [anon_sym_BSLASHfig] = ACTIONS(3082),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3082),
    [anon_sym_BSLASHpb] = ACTIONS(3082),
    [anon_sym_BSLASH] = ACTIONS(3082),
    [sym_milestoneStartTag] = ACTIONS(3082),
    [sym_milestoneEndTag] = ACTIONS(3082),
    [sym_zSpaceTag] = ACTIONS(3082),
    [anon_sym_BSLASHesbe] = ACTIONS(3082),
    [anon_sym_BSLASHcat] = ACTIONS(3082),
    [anon_sym_PIPE] = ACTIONS(3082),
  },
  [273] = {
    [aux_sym_text_token1] = ACTIONS(3084),
    [anon_sym_BSLASHsts] = ACTIONS(3086),
    [anon_sym_BSLASHrem] = ACTIONS(3086),
    [anon_sym_BSLASHrestore] = ACTIONS(3086),
    [anon_sym_BSLASHlit] = ACTIONS(3086),
    [anon_sym_BSLASHip] = ACTIONS(3086),
    [anon_sym_BSLASHmte] = ACTIONS(3086),
    [anon_sym_BSLASHms] = ACTIONS(3086),
    [anon_sym_BSLASHs] = ACTIONS(3086),
    [anon_sym_BSLASHr] = ACTIONS(3086),
    [anon_sym_BSLASHsp] = ACTIONS(3086),
    [anon_sym_BSLASHd] = ACTIONS(3086),
    [anon_sym_BSLASHsd] = ACTIONS(3086),
    [anon_sym_BSLASHp] = ACTIONS(3086),
    [anon_sym_BSLASHm] = ACTIONS(3086),
    [anon_sym_BSLASHpo] = ACTIONS(3086),
    [anon_sym_BSLASHpr] = ACTIONS(3086),
    [anon_sym_BSLASHcls] = ACTIONS(3086),
    [anon_sym_BSLASHpmo] = ACTIONS(3086),
    [anon_sym_BSLASHpm] = ACTIONS(3086),
    [anon_sym_BSLASHpmc] = ACTIONS(3086),
    [anon_sym_BSLASHpmr] = ACTIONS(3086),
    [anon_sym_BSLASHpi] = ACTIONS(3086),
    [anon_sym_BSLASHmi] = ACTIONS(3086),
    [anon_sym_BSLASHnb] = ACTIONS(3086),
    [anon_sym_BSLASHpc] = ACTIONS(3086),
    [anon_sym_BSLASHph] = ACTIONS(3086),
    [anon_sym_BSLASHb] = ACTIONS(3086),
    [anon_sym_BSLASHq] = ACTIONS(3086),
    [anon_sym_BSLASHqr] = ACTIONS(3086),
    [anon_sym_BSLASHqc] = ACTIONS(3086),
    [anon_sym_BSLASHqa] = ACTIONS(3086),
    [anon_sym_BSLASHqm] = ACTIONS(3086),
    [anon_sym_BSLASHqd] = ACTIONS(3086),
    [anon_sym_BSLASHlh] = ACTIONS(3086),
    [anon_sym_BSLASHli] = ACTIONS(3086),
    [anon_sym_BSLASHlim] = ACTIONS(3086),
    [anon_sym_BSLASHtr] = ACTIONS(3086),
    [anon_sym_BSLASHf] = ACTIONS(3086),
    [anon_sym_BSLASHfe] = ACTIONS(3086),
    [anon_sym_BSLASHef] = ACTIONS(3086),
    [anon_sym_BSLASHfm] = ACTIONS(3086),
    [anon_sym_BSLASHx] = ACTIONS(3086),
    [anon_sym_BSLASHxt] = ACTIONS(3086),
    [anon_sym_BSLASHrq] = ACTIONS(3086),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHord_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHem_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHit_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHno_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHw_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(3086),
    [anon_sym_BSLASHfig] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3086),
    [anon_sym_BSLASHpb] = ACTIONS(3086),
    [anon_sym_BSLASH] = ACTIONS(3086),
    [sym_milestoneStartTag] = ACTIONS(3086),
    [sym_milestoneEndTag] = ACTIONS(3086),
    [sym_zSpaceTag] = ACTIONS(3086),
    [anon_sym_BSLASHesbe] = ACTIONS(3086),
    [anon_sym_BSLASHcat] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3086),
  },
  [274] = {
    [aux_sym_text_token1] = ACTIONS(3088),
    [anon_sym_BSLASHsts] = ACTIONS(3090),
    [anon_sym_BSLASHrem] = ACTIONS(3090),
    [anon_sym_BSLASHrestore] = ACTIONS(3090),
    [anon_sym_BSLASHlit] = ACTIONS(3090),
    [anon_sym_BSLASHip] = ACTIONS(3090),
    [anon_sym_BSLASHmte] = ACTIONS(3090),
    [anon_sym_BSLASHms] = ACTIONS(3090),
    [anon_sym_BSLASHs] = ACTIONS(3090),
    [anon_sym_BSLASHr] = ACTIONS(3090),
    [anon_sym_BSLASHsp] = ACTIONS(3090),
    [anon_sym_BSLASHd] = ACTIONS(3090),
    [anon_sym_BSLASHsd] = ACTIONS(3090),
    [anon_sym_BSLASHp] = ACTIONS(3090),
    [anon_sym_BSLASHm] = ACTIONS(3090),
    [anon_sym_BSLASHpo] = ACTIONS(3090),
    [anon_sym_BSLASHpr] = ACTIONS(3090),
    [anon_sym_BSLASHcls] = ACTIONS(3090),
    [anon_sym_BSLASHpmo] = ACTIONS(3090),
    [anon_sym_BSLASHpm] = ACTIONS(3090),
    [anon_sym_BSLASHpmc] = ACTIONS(3090),
    [anon_sym_BSLASHpmr] = ACTIONS(3090),
    [anon_sym_BSLASHpi] = ACTIONS(3090),
    [anon_sym_BSLASHmi] = ACTIONS(3090),
    [anon_sym_BSLASHnb] = ACTIONS(3090),
    [anon_sym_BSLASHpc] = ACTIONS(3090),
    [anon_sym_BSLASHph] = ACTIONS(3090),
    [anon_sym_BSLASHb] = ACTIONS(3090),
    [anon_sym_BSLASHq] = ACTIONS(3090),
    [anon_sym_BSLASHqr] = ACTIONS(3090),
    [anon_sym_BSLASHqc] = ACTIONS(3090),
    [anon_sym_BSLASHqa] = ACTIONS(3090),
    [anon_sym_BSLASHqm] = ACTIONS(3090),
    [anon_sym_BSLASHqd] = ACTIONS(3090),
    [anon_sym_BSLASHlh] = ACTIONS(3090),
    [anon_sym_BSLASHli] = ACTIONS(3090),
    [anon_sym_BSLASHlim] = ACTIONS(3090),
    [anon_sym_BSLASHtr] = ACTIONS(3090),
    [anon_sym_BSLASHf] = ACTIONS(3090),
    [anon_sym_BSLASHfe] = ACTIONS(3090),
    [anon_sym_BSLASHef] = ACTIONS(3090),
    [anon_sym_BSLASHfm] = ACTIONS(3090),
    [anon_sym_BSLASHx] = ACTIONS(3090),
    [anon_sym_BSLASHxt] = ACTIONS(3090),
    [anon_sym_BSLASHrq] = ACTIONS(3090),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHord_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHem_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHit_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHno_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHw_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(3090),
    [anon_sym_BSLASHfig] = ACTIONS(3090),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3090),
    [anon_sym_BSLASHpb] = ACTIONS(3090),
    [anon_sym_BSLASH] = ACTIONS(3090),
    [sym_milestoneStartTag] = ACTIONS(3090),
    [sym_milestoneEndTag] = ACTIONS(3090),
    [sym_zSpaceTag] = ACTIONS(3090),
    [anon_sym_BSLASHesbe] = ACTIONS(3090),
    [anon_sym_BSLASHcat] = ACTIONS(3090),
    [anon_sym_PIPE] = ACTIONS(3090),
  },
  [275] = {
    [aux_sym_text_token1] = ACTIONS(3092),
    [anon_sym_BSLASHsts] = ACTIONS(3094),
    [anon_sym_BSLASHrem] = ACTIONS(3094),
    [anon_sym_BSLASHrestore] = ACTIONS(3094),
    [anon_sym_BSLASHlit] = ACTIONS(3094),
    [anon_sym_BSLASHip] = ACTIONS(3094),
    [anon_sym_BSLASHmte] = ACTIONS(3094),
    [anon_sym_BSLASHms] = ACTIONS(3094),
    [anon_sym_BSLASHs] = ACTIONS(3094),
    [anon_sym_BSLASHr] = ACTIONS(3094),
    [anon_sym_BSLASHsp] = ACTIONS(3094),
    [anon_sym_BSLASHd] = ACTIONS(3094),
    [anon_sym_BSLASHsd] = ACTIONS(3094),
    [anon_sym_BSLASHp] = ACTIONS(3094),
    [anon_sym_BSLASHm] = ACTIONS(3094),
    [anon_sym_BSLASHpo] = ACTIONS(3094),
    [anon_sym_BSLASHpr] = ACTIONS(3094),
    [anon_sym_BSLASHcls] = ACTIONS(3094),
    [anon_sym_BSLASHpmo] = ACTIONS(3094),
    [anon_sym_BSLASHpm] = ACTIONS(3094),
    [anon_sym_BSLASHpmc] = ACTIONS(3094),
    [anon_sym_BSLASHpmr] = ACTIONS(3094),
    [anon_sym_BSLASHpi] = ACTIONS(3094),
    [anon_sym_BSLASHmi] = ACTIONS(3094),
    [anon_sym_BSLASHnb] = ACTIONS(3094),
    [anon_sym_BSLASHpc] = ACTIONS(3094),
    [anon_sym_BSLASHph] = ACTIONS(3094),
    [anon_sym_BSLASHb] = ACTIONS(3094),
    [anon_sym_BSLASHq] = ACTIONS(3094),
    [anon_sym_BSLASHqr] = ACTIONS(3094),
    [anon_sym_BSLASHqc] = ACTIONS(3094),
    [anon_sym_BSLASHqa] = ACTIONS(3094),
    [anon_sym_BSLASHqm] = ACTIONS(3094),
    [anon_sym_BSLASHqd] = ACTIONS(3094),
    [anon_sym_BSLASHlh] = ACTIONS(3094),
    [anon_sym_BSLASHli] = ACTIONS(3094),
    [anon_sym_BSLASHlim] = ACTIONS(3094),
    [anon_sym_BSLASHtr] = ACTIONS(3094),
    [anon_sym_BSLASHf] = ACTIONS(3094),
    [anon_sym_BSLASHfe] = ACTIONS(3094),
    [anon_sym_BSLASHef] = ACTIONS(3094),
    [anon_sym_BSLASHfm] = ACTIONS(3094),
    [anon_sym_BSLASHx] = ACTIONS(3094),
    [anon_sym_BSLASHxt] = ACTIONS(3094),
    [anon_sym_BSLASHrq] = ACTIONS(3094),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHord_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHem_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHit_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHno_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHw_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(3094),
    [anon_sym_BSLASHfig] = ACTIONS(3094),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3094),
    [anon_sym_BSLASHpb] = ACTIONS(3094),
    [anon_sym_BSLASH] = ACTIONS(3094),
    [sym_milestoneStartTag] = ACTIONS(3094),
    [sym_milestoneEndTag] = ACTIONS(3094),
    [sym_zSpaceTag] = ACTIONS(3094),
    [anon_sym_BSLASHesbe] = ACTIONS(3094),
    [anon_sym_BSLASHcat] = ACTIONS(3094),
    [anon_sym_PIPE] = ACTIONS(3094),
  },
  [276] = {
    [aux_sym_text_token1] = ACTIONS(3096),
    [anon_sym_BSLASHsts] = ACTIONS(3098),
    [anon_sym_BSLASHrem] = ACTIONS(3098),
    [anon_sym_BSLASHrestore] = ACTIONS(3098),
    [anon_sym_BSLASHlit] = ACTIONS(3098),
    [anon_sym_BSLASHip] = ACTIONS(3098),
    [anon_sym_BSLASHmte] = ACTIONS(3098),
    [anon_sym_BSLASHms] = ACTIONS(3098),
    [anon_sym_BSLASHs] = ACTIONS(3098),
    [anon_sym_BSLASHr] = ACTIONS(3098),
    [anon_sym_BSLASHsp] = ACTIONS(3098),
    [anon_sym_BSLASHd] = ACTIONS(3098),
    [anon_sym_BSLASHsd] = ACTIONS(3098),
    [anon_sym_BSLASHp] = ACTIONS(3098),
    [anon_sym_BSLASHm] = ACTIONS(3098),
    [anon_sym_BSLASHpo] = ACTIONS(3098),
    [anon_sym_BSLASHpr] = ACTIONS(3098),
    [anon_sym_BSLASHcls] = ACTIONS(3098),
    [anon_sym_BSLASHpmo] = ACTIONS(3098),
    [anon_sym_BSLASHpm] = ACTIONS(3098),
    [anon_sym_BSLASHpmc] = ACTIONS(3098),
    [anon_sym_BSLASHpmr] = ACTIONS(3098),
    [anon_sym_BSLASHpi] = ACTIONS(3098),
    [anon_sym_BSLASHmi] = ACTIONS(3098),
    [anon_sym_BSLASHnb] = ACTIONS(3098),
    [anon_sym_BSLASHpc] = ACTIONS(3098),
    [anon_sym_BSLASHph] = ACTIONS(3098),
    [anon_sym_BSLASHb] = ACTIONS(3098),
    [anon_sym_BSLASHq] = ACTIONS(3098),
    [anon_sym_BSLASHqr] = ACTIONS(3098),
    [anon_sym_BSLASHqc] = ACTIONS(3098),
    [anon_sym_BSLASHqa] = ACTIONS(3098),
    [anon_sym_BSLASHqm] = ACTIONS(3098),
    [anon_sym_BSLASHqd] = ACTIONS(3098),
    [anon_sym_BSLASHlh] = ACTIONS(3098),
    [anon_sym_BSLASHli] = ACTIONS(3098),
    [anon_sym_BSLASHlim] = ACTIONS(3098),
    [anon_sym_BSLASHtr] = ACTIONS(3098),
    [anon_sym_BSLASHf] = ACTIONS(3098),
    [anon_sym_BSLASHfe] = ACTIONS(3098),
    [anon_sym_BSLASHef] = ACTIONS(3098),
    [anon_sym_BSLASHfm] = ACTIONS(3098),
    [anon_sym_BSLASHx] = ACTIONS(3098),
    [anon_sym_BSLASHxt] = ACTIONS(3098),
    [anon_sym_BSLASHrq] = ACTIONS(3098),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHord_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHem_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHit_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHno_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHw_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(3098),
    [anon_sym_BSLASHfig] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3098),
    [anon_sym_BSLASHpb] = ACTIONS(3098),
    [anon_sym_BSLASH] = ACTIONS(3098),
    [sym_milestoneStartTag] = ACTIONS(3098),
    [sym_milestoneEndTag] = ACTIONS(3098),
    [sym_zSpaceTag] = ACTIONS(3098),
    [anon_sym_BSLASHesbe] = ACTIONS(3098),
    [anon_sym_BSLASHcat] = ACTIONS(3098),
    [anon_sym_PIPE] = ACTIONS(3098),
  },
  [277] = {
    [aux_sym_text_token1] = ACTIONS(3100),
    [anon_sym_BSLASHsts] = ACTIONS(3102),
    [anon_sym_BSLASHrem] = ACTIONS(3102),
    [anon_sym_BSLASHrestore] = ACTIONS(3102),
    [anon_sym_BSLASHlit] = ACTIONS(3102),
    [anon_sym_BSLASHip] = ACTIONS(3102),
    [anon_sym_BSLASHmte] = ACTIONS(3102),
    [anon_sym_BSLASHms] = ACTIONS(3102),
    [anon_sym_BSLASHs] = ACTIONS(3102),
    [anon_sym_BSLASHr] = ACTIONS(3102),
    [anon_sym_BSLASHsp] = ACTIONS(3102),
    [anon_sym_BSLASHd] = ACTIONS(3102),
    [anon_sym_BSLASHsd] = ACTIONS(3102),
    [anon_sym_BSLASHp] = ACTIONS(3102),
    [anon_sym_BSLASHm] = ACTIONS(3102),
    [anon_sym_BSLASHpo] = ACTIONS(3102),
    [anon_sym_BSLASHpr] = ACTIONS(3102),
    [anon_sym_BSLASHcls] = ACTIONS(3102),
    [anon_sym_BSLASHpmo] = ACTIONS(3102),
    [anon_sym_BSLASHpm] = ACTIONS(3102),
    [anon_sym_BSLASHpmc] = ACTIONS(3102),
    [anon_sym_BSLASHpmr] = ACTIONS(3102),
    [anon_sym_BSLASHpi] = ACTIONS(3102),
    [anon_sym_BSLASHmi] = ACTIONS(3102),
    [anon_sym_BSLASHnb] = ACTIONS(3102),
    [anon_sym_BSLASHpc] = ACTIONS(3102),
    [anon_sym_BSLASHph] = ACTIONS(3102),
    [anon_sym_BSLASHb] = ACTIONS(3102),
    [anon_sym_BSLASHq] = ACTIONS(3102),
    [anon_sym_BSLASHqr] = ACTIONS(3102),
    [anon_sym_BSLASHqc] = ACTIONS(3102),
    [anon_sym_BSLASHqa] = ACTIONS(3102),
    [anon_sym_BSLASHqm] = ACTIONS(3102),
    [anon_sym_BSLASHqd] = ACTIONS(3102),
    [anon_sym_BSLASHlh] = ACTIONS(3102),
    [anon_sym_BSLASHli] = ACTIONS(3102),
    [anon_sym_BSLASHlim] = ACTIONS(3102),
    [anon_sym_BSLASHtr] = ACTIONS(3102),
    [anon_sym_BSLASHf] = ACTIONS(3102),
    [anon_sym_BSLASHfe] = ACTIONS(3102),
    [anon_sym_BSLASHef] = ACTIONS(3102),
    [anon_sym_BSLASHfm] = ACTIONS(3102),
    [anon_sym_BSLASHx] = ACTIONS(3102),
    [anon_sym_BSLASHxt] = ACTIONS(3102),
    [anon_sym_BSLASHrq] = ACTIONS(3102),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHord_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHem_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHit_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHno_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHw_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(3102),
    [anon_sym_BSLASHfig] = ACTIONS(3102),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3102),
    [anon_sym_BSLASHpb] = ACTIONS(3102),
    [anon_sym_BSLASH] = ACTIONS(3102),
    [sym_milestoneStartTag] = ACTIONS(3102),
    [sym_milestoneEndTag] = ACTIONS(3102),
    [sym_zSpaceTag] = ACTIONS(3102),
    [anon_sym_BSLASHesbe] = ACTIONS(3102),
    [anon_sym_BSLASHcat] = ACTIONS(3102),
    [anon_sym_PIPE] = ACTIONS(3102),
  },
  [278] = {
    [aux_sym_text_token1] = ACTIONS(3104),
    [anon_sym_BSLASHsts] = ACTIONS(3106),
    [anon_sym_BSLASHrem] = ACTIONS(3106),
    [anon_sym_BSLASHrestore] = ACTIONS(3106),
    [anon_sym_BSLASHlit] = ACTIONS(3106),
    [anon_sym_BSLASHip] = ACTIONS(3106),
    [anon_sym_BSLASHmte] = ACTIONS(3106),
    [anon_sym_BSLASHms] = ACTIONS(3106),
    [anon_sym_BSLASHs] = ACTIONS(3106),
    [anon_sym_BSLASHr] = ACTIONS(3106),
    [anon_sym_BSLASHsp] = ACTIONS(3106),
    [anon_sym_BSLASHd] = ACTIONS(3106),
    [anon_sym_BSLASHsd] = ACTIONS(3106),
    [anon_sym_BSLASHp] = ACTIONS(3106),
    [anon_sym_BSLASHm] = ACTIONS(3106),
    [anon_sym_BSLASHpo] = ACTIONS(3106),
    [anon_sym_BSLASHpr] = ACTIONS(3106),
    [anon_sym_BSLASHcls] = ACTIONS(3106),
    [anon_sym_BSLASHpmo] = ACTIONS(3106),
    [anon_sym_BSLASHpm] = ACTIONS(3106),
    [anon_sym_BSLASHpmc] = ACTIONS(3106),
    [anon_sym_BSLASHpmr] = ACTIONS(3106),
    [anon_sym_BSLASHpi] = ACTIONS(3106),
    [anon_sym_BSLASHmi] = ACTIONS(3106),
    [anon_sym_BSLASHnb] = ACTIONS(3106),
    [anon_sym_BSLASHpc] = ACTIONS(3106),
    [anon_sym_BSLASHph] = ACTIONS(3106),
    [anon_sym_BSLASHb] = ACTIONS(3106),
    [anon_sym_BSLASHq] = ACTIONS(3106),
    [anon_sym_BSLASHqr] = ACTIONS(3106),
    [anon_sym_BSLASHqc] = ACTIONS(3106),
    [anon_sym_BSLASHqa] = ACTIONS(3106),
    [anon_sym_BSLASHqm] = ACTIONS(3106),
    [anon_sym_BSLASHqd] = ACTIONS(3106),
    [anon_sym_BSLASHlh] = ACTIONS(3106),
    [anon_sym_BSLASHli] = ACTIONS(3106),
    [anon_sym_BSLASHlim] = ACTIONS(3106),
    [anon_sym_BSLASHtr] = ACTIONS(3106),
    [anon_sym_BSLASHf] = ACTIONS(3106),
    [anon_sym_BSLASHfe] = ACTIONS(3106),
    [anon_sym_BSLASHef] = ACTIONS(3106),
    [anon_sym_BSLASHfm] = ACTIONS(3106),
    [anon_sym_BSLASHx] = ACTIONS(3106),
    [anon_sym_BSLASHxt] = ACTIONS(3106),
    [anon_sym_BSLASHrq] = ACTIONS(3106),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHord_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHem_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHit_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHno_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHw_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(3106),
    [anon_sym_BSLASHfig] = ACTIONS(3106),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3106),
    [anon_sym_BSLASHpb] = ACTIONS(3106),
    [anon_sym_BSLASH] = ACTIONS(3106),
    [sym_milestoneStartTag] = ACTIONS(3106),
    [sym_milestoneEndTag] = ACTIONS(3106),
    [sym_zSpaceTag] = ACTIONS(3106),
    [anon_sym_BSLASHesbe] = ACTIONS(3106),
    [anon_sym_BSLASHcat] = ACTIONS(3106),
    [anon_sym_PIPE] = ACTIONS(3106),
  },
  [279] = {
    [sym_text] = STATE(280),
    [sym_footnote] = STATE(280),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(280),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym_addNested] = STATE(280),
    [sym_bkNested] = STATE(280),
    [sym_dcNested] = STATE(280),
    [sym_kNested] = STATE(280),
    [sym_ndNested] = STATE(280),
    [sym_ordNested] = STATE(280),
    [sym_pnNested] = STATE(280),
    [sym_pngNested] = STATE(280),
    [sym_addpnNested] = STATE(280),
    [sym_qtNested] = STATE(280),
    [sym_sigNested] = STATE(280),
    [sym_slsNested] = STATE(280),
    [sym_tlNested] = STATE(280),
    [sym_wjNested] = STATE(280),
    [sym_emNested] = STATE(280),
    [sym_bdNested] = STATE(280),
    [sym_itNested] = STATE(280),
    [sym_bditNested] = STATE(280),
    [sym_noNested] = STATE(280),
    [sym_scNested] = STATE(280),
    [sym_supNested] = STATE(280),
    [sym_ndxNested] = STATE(280),
    [sym_proNested] = STATE(280),
    [sym_rbNested] = STATE(280),
    [sym_wNested] = STATE(280),
    [sym_wgNested] = STATE(280),
    [sym_whNested] = STATE(280),
    [sym_waNested] = STATE(280),
    [sym__nestedCharacterMarker] = STATE(280),
    [sym_fig] = STATE(280),
    [sym_jmpNested] = STATE(280),
    [aux_sym__innerText_repeat1] = STATE(280),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHord_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHem_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHit_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHno_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHw_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
    [anon_sym_PIPE] = ACTIONS(3120),
  },
  [280] = {
    [sym_text] = STATE(280),
    [sym_footnote] = STATE(280),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(280),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym_addNested] = STATE(280),
    [sym_bkNested] = STATE(280),
    [sym_dcNested] = STATE(280),
    [sym_kNested] = STATE(280),
    [sym_ndNested] = STATE(280),
    [sym_ordNested] = STATE(280),
    [sym_pnNested] = STATE(280),
    [sym_pngNested] = STATE(280),
    [sym_addpnNested] = STATE(280),
    [sym_qtNested] = STATE(280),
    [sym_sigNested] = STATE(280),
    [sym_slsNested] = STATE(280),
    [sym_tlNested] = STATE(280),
    [sym_wjNested] = STATE(280),
    [sym_emNested] = STATE(280),
    [sym_bdNested] = STATE(280),
    [sym_itNested] = STATE(280),
    [sym_bditNested] = STATE(280),
    [sym_noNested] = STATE(280),
    [sym_scNested] = STATE(280),
    [sym_supNested] = STATE(280),
    [sym_ndxNested] = STATE(280),
    [sym_proNested] = STATE(280),
    [sym_rbNested] = STATE(280),
    [sym_wNested] = STATE(280),
    [sym_wgNested] = STATE(280),
    [sym_whNested] = STATE(280),
    [sym_waNested] = STATE(280),
    [sym__nestedCharacterMarker] = STATE(280),
    [sym_fig] = STATE(280),
    [sym_jmpNested] = STATE(280),
    [aux_sym__innerText_repeat1] = STATE(280),
    [aux_sym_text_token1] = ACTIONS(3122),
    [anon_sym_BSLASHf] = ACTIONS(3125),
    [anon_sym_BSLASHfe] = ACTIONS(3128),
    [anon_sym_BSLASHef] = ACTIONS(3131),
    [anon_sym_BSLASHfm] = ACTIONS(3134),
    [anon_sym_BSLASHx] = ACTIONS(3137),
    [anon_sym_BSLASHxt] = ACTIONS(3140),
    [anon_sym_BSLASHrq] = ACTIONS(3143),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHord_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHem_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHit_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHno_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHw_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3148),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3151),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3154),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3157),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3160),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3163),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3166),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3169),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3172),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3175),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3178),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3181),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3184),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3187),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3190),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3193),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3199),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3202),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3205),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3208),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3211),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3214),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3217),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3220),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3223),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3226),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3229),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHfig] = ACTIONS(3232),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3235),
    [anon_sym_PIPE] = ACTIONS(3146),
  },
  [281] = {
    [sym_text] = STATE(282),
    [sym_sr] = STATE(1306),
    [sym_r] = STATE(1329),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(282),
    [sym_bk] = STATE(282),
    [sym_dc] = STATE(282),
    [sym_k] = STATE(282),
    [sym_nd] = STATE(282),
    [sym_ord] = STATE(282),
    [sym_pn] = STATE(282),
    [sym_png] = STATE(282),
    [sym_addpn] = STATE(282),
    [sym_qt] = STATE(282),
    [sym_sig] = STATE(282),
    [sym_sls] = STATE(282),
    [sym_tl] = STATE(282),
    [sym_wj] = STATE(282),
    [sym_em] = STATE(282),
    [sym_bd] = STATE(282),
    [sym_it] = STATE(282),
    [sym_bdit] = STATE(282),
    [sym_no] = STATE(282),
    [sym_sc] = STATE(282),
    [sym_sup] = STATE(282),
    [sym_ndx] = STATE(282),
    [sym_pro] = STATE(282),
    [sym_rb] = STATE(282),
    [sym_w] = STATE(282),
    [sym_wg] = STATE(282),
    [sym_wh] = STATE(282),
    [sym_wa] = STATE(282),
    [sym__characterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmp] = STATE(282),
    [aux_sym_ms_repeat1] = STATE(282),
    [ts_builtin_sym_end] = ACTIONS(3238),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHsts] = ACTIONS(3240),
    [anon_sym_BSLASHrem] = ACTIONS(3240),
    [anon_sym_BSLASHrestore] = ACTIONS(3240),
    [anon_sym_BSLASHlit] = ACTIONS(3240),
    [anon_sym_BSLASHip] = ACTIONS(3240),
    [anon_sym_BSLASHiex] = ACTIONS(3240),
    [anon_sym_BSLASHc] = ACTIONS(3240),
    [anon_sym_BSLASHcl] = ACTIONS(3240),
    [anon_sym_BSLASHca] = ACTIONS(3240),
    [anon_sym_BSLASHcp] = ACTIONS(3240),
    [anon_sym_BSLASHcd] = ACTIONS(3240),
    [anon_sym_BSLASHmte] = ACTIONS(3240),
    [anon_sym_BSLASHms] = ACTIONS(3240),
    [anon_sym_BSLASHs] = ACTIONS(3240),
    [anon_sym_BSLASHsr] = ACTIONS(3242),
    [anon_sym_BSLASHr] = ACTIONS(3244),
    [anon_sym_BSLASHsp] = ACTIONS(3240),
    [anon_sym_BSLASHd] = ACTIONS(3240),
    [anon_sym_BSLASHsd] = ACTIONS(3240),
    [anon_sym_BSLASHp] = ACTIONS(3240),
    [anon_sym_BSLASHm] = ACTIONS(3240),
    [anon_sym_BSLASHpo] = ACTIONS(3240),
    [anon_sym_BSLASHpr] = ACTIONS(3240),
    [anon_sym_BSLASHcls] = ACTIONS(3240),
    [anon_sym_BSLASHpmo] = ACTIONS(3240),
    [anon_sym_BSLASHpm] = ACTIONS(3240),
    [anon_sym_BSLASHpmc] = ACTIONS(3240),
    [anon_sym_BSLASHpmr] = ACTIONS(3240),
    [anon_sym_BSLASHpi] = ACTIONS(3240),
    [anon_sym_BSLASHmi] = ACTIONS(3240),
    [anon_sym_BSLASHnb] = ACTIONS(3240),
    [anon_sym_BSLASHpc] = ACTIONS(3240),
    [anon_sym_BSLASHph] = ACTIONS(3240),
    [anon_sym_BSLASHb] = ACTIONS(3240),
    [anon_sym_BSLASHq] = ACTIONS(3240),
    [anon_sym_BSLASHqr] = ACTIONS(3240),
    [anon_sym_BSLASHqc] = ACTIONS(3240),
    [anon_sym_BSLASHqa] = ACTIONS(3240),
    [anon_sym_BSLASHqm] = ACTIONS(3240),
    [anon_sym_BSLASHqd] = ACTIONS(3240),
    [anon_sym_BSLASHlh] = ACTIONS(3240),
    [anon_sym_BSLASHli] = ACTIONS(3240),
    [anon_sym_BSLASHlim] = ACTIONS(3240),
    [anon_sym_BSLASHtr] = ACTIONS(3240),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(3240),
    [anon_sym_BSLASH] = ACTIONS(3240),
    [sym_milestoneStartTag] = ACTIONS(3240),
    [sym_milestoneEndTag] = ACTIONS(3240),
    [sym_zSpaceTag] = ACTIONS(3240),
    [anon_sym_BSLASHesb] = ACTIONS(3240),
  },
  [282] = {
    [sym_text] = STATE(284),
    [sym_sr] = STATE(1309),
    [sym_r] = STATE(1313),
    [sym_footnote] = STATE(284),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(284),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(284),
    [sym_bk] = STATE(284),
    [sym_dc] = STATE(284),
    [sym_k] = STATE(284),
    [sym_nd] = STATE(284),
    [sym_ord] = STATE(284),
    [sym_pn] = STATE(284),
    [sym_png] = STATE(284),
    [sym_addpn] = STATE(284),
    [sym_qt] = STATE(284),
    [sym_sig] = STATE(284),
    [sym_sls] = STATE(284),
    [sym_tl] = STATE(284),
    [sym_wj] = STATE(284),
    [sym_em] = STATE(284),
    [sym_bd] = STATE(284),
    [sym_it] = STATE(284),
    [sym_bdit] = STATE(284),
    [sym_no] = STATE(284),
    [sym_sc] = STATE(284),
    [sym_sup] = STATE(284),
    [sym_ndx] = STATE(284),
    [sym_pro] = STATE(284),
    [sym_rb] = STATE(284),
    [sym_w] = STATE(284),
    [sym_wg] = STATE(284),
    [sym_wh] = STATE(284),
    [sym_wa] = STATE(284),
    [sym__characterMarker] = STATE(284),
    [sym_fig] = STATE(284),
    [sym_jmp] = STATE(284),
    [aux_sym_ms_repeat1] = STATE(284),
    [ts_builtin_sym_end] = ACTIONS(3246),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHsts] = ACTIONS(3248),
    [anon_sym_BSLASHrem] = ACTIONS(3248),
    [anon_sym_BSLASHrestore] = ACTIONS(3248),
    [anon_sym_BSLASHlit] = ACTIONS(3248),
    [anon_sym_BSLASHip] = ACTIONS(3248),
    [anon_sym_BSLASHiex] = ACTIONS(3248),
    [anon_sym_BSLASHc] = ACTIONS(3248),
    [anon_sym_BSLASHcl] = ACTIONS(3248),
    [anon_sym_BSLASHca] = ACTIONS(3248),
    [anon_sym_BSLASHcp] = ACTIONS(3248),
    [anon_sym_BSLASHcd] = ACTIONS(3248),
    [anon_sym_BSLASHmte] = ACTIONS(3248),
    [anon_sym_BSLASHms] = ACTIONS(3248),
    [anon_sym_BSLASHs] = ACTIONS(3248),
    [anon_sym_BSLASHsr] = ACTIONS(3242),
    [anon_sym_BSLASHr] = ACTIONS(3244),
    [anon_sym_BSLASHsp] = ACTIONS(3248),
    [anon_sym_BSLASHd] = ACTIONS(3248),
    [anon_sym_BSLASHsd] = ACTIONS(3248),
    [anon_sym_BSLASHp] = ACTIONS(3248),
    [anon_sym_BSLASHm] = ACTIONS(3248),
    [anon_sym_BSLASHpo] = ACTIONS(3248),
    [anon_sym_BSLASHpr] = ACTIONS(3248),
    [anon_sym_BSLASHcls] = ACTIONS(3248),
    [anon_sym_BSLASHpmo] = ACTIONS(3248),
    [anon_sym_BSLASHpm] = ACTIONS(3248),
    [anon_sym_BSLASHpmc] = ACTIONS(3248),
    [anon_sym_BSLASHpmr] = ACTIONS(3248),
    [anon_sym_BSLASHpi] = ACTIONS(3248),
    [anon_sym_BSLASHmi] = ACTIONS(3248),
    [anon_sym_BSLASHnb] = ACTIONS(3248),
    [anon_sym_BSLASHpc] = ACTIONS(3248),
    [anon_sym_BSLASHph] = ACTIONS(3248),
    [anon_sym_BSLASHb] = ACTIONS(3248),
    [anon_sym_BSLASHq] = ACTIONS(3248),
    [anon_sym_BSLASHqr] = ACTIONS(3248),
    [anon_sym_BSLASHqc] = ACTIONS(3248),
    [anon_sym_BSLASHqa] = ACTIONS(3248),
    [anon_sym_BSLASHqm] = ACTIONS(3248),
    [anon_sym_BSLASHqd] = ACTIONS(3248),
    [anon_sym_BSLASHlh] = ACTIONS(3248),
    [anon_sym_BSLASHli] = ACTIONS(3248),
    [anon_sym_BSLASHlim] = ACTIONS(3248),
    [anon_sym_BSLASHtr] = ACTIONS(3248),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(3248),
    [anon_sym_BSLASH] = ACTIONS(3248),
    [sym_milestoneStartTag] = ACTIONS(3248),
    [sym_milestoneEndTag] = ACTIONS(3248),
    [sym_zSpaceTag] = ACTIONS(3248),
    [anon_sym_BSLASHesb] = ACTIONS(3248),
  },
  [283] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(2313),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [284] = {
    [sym_text] = STATE(284),
    [sym_footnote] = STATE(284),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(284),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(284),
    [sym_bk] = STATE(284),
    [sym_dc] = STATE(284),
    [sym_k] = STATE(284),
    [sym_nd] = STATE(284),
    [sym_ord] = STATE(284),
    [sym_pn] = STATE(284),
    [sym_png] = STATE(284),
    [sym_addpn] = STATE(284),
    [sym_qt] = STATE(284),
    [sym_sig] = STATE(284),
    [sym_sls] = STATE(284),
    [sym_tl] = STATE(284),
    [sym_wj] = STATE(284),
    [sym_em] = STATE(284),
    [sym_bd] = STATE(284),
    [sym_it] = STATE(284),
    [sym_bdit] = STATE(284),
    [sym_no] = STATE(284),
    [sym_sc] = STATE(284),
    [sym_sup] = STATE(284),
    [sym_ndx] = STATE(284),
    [sym_pro] = STATE(284),
    [sym_rb] = STATE(284),
    [sym_w] = STATE(284),
    [sym_wg] = STATE(284),
    [sym_wh] = STATE(284),
    [sym_wa] = STATE(284),
    [sym__characterMarker] = STATE(284),
    [sym_fig] = STATE(284),
    [sym_jmp] = STATE(284),
    [aux_sym_ms_repeat1] = STATE(284),
    [ts_builtin_sym_end] = ACTIONS(3250),
    [aux_sym_text_token1] = ACTIONS(3252),
    [anon_sym_BSLASHsts] = ACTIONS(3255),
    [anon_sym_BSLASHrem] = ACTIONS(3255),
    [anon_sym_BSLASHrestore] = ACTIONS(3255),
    [anon_sym_BSLASHlit] = ACTIONS(3255),
    [anon_sym_BSLASHip] = ACTIONS(3255),
    [anon_sym_BSLASHiex] = ACTIONS(3255),
    [anon_sym_BSLASHc] = ACTIONS(3255),
    [anon_sym_BSLASHcl] = ACTIONS(3255),
    [anon_sym_BSLASHca] = ACTIONS(3255),
    [anon_sym_BSLASHcp] = ACTIONS(3255),
    [anon_sym_BSLASHcd] = ACTIONS(3255),
    [anon_sym_BSLASHmte] = ACTIONS(3255),
    [anon_sym_BSLASHms] = ACTIONS(3255),
    [anon_sym_BSLASHmr] = ACTIONS(3255),
    [anon_sym_BSLASHs] = ACTIONS(3255),
    [anon_sym_BSLASHsr] = ACTIONS(3255),
    [anon_sym_BSLASHr] = ACTIONS(3255),
    [anon_sym_BSLASHsp] = ACTIONS(3255),
    [anon_sym_BSLASHd] = ACTIONS(3255),
    [anon_sym_BSLASHsd] = ACTIONS(3255),
    [anon_sym_BSLASHp] = ACTIONS(3255),
    [anon_sym_BSLASHm] = ACTIONS(3255),
    [anon_sym_BSLASHpo] = ACTIONS(3255),
    [anon_sym_BSLASHpr] = ACTIONS(3255),
    [anon_sym_BSLASHcls] = ACTIONS(3255),
    [anon_sym_BSLASHpmo] = ACTIONS(3255),
    [anon_sym_BSLASHpm] = ACTIONS(3255),
    [anon_sym_BSLASHpmc] = ACTIONS(3255),
    [anon_sym_BSLASHpmr] = ACTIONS(3255),
    [anon_sym_BSLASHpi] = ACTIONS(3255),
    [anon_sym_BSLASHmi] = ACTIONS(3255),
    [anon_sym_BSLASHnb] = ACTIONS(3255),
    [anon_sym_BSLASHpc] = ACTIONS(3255),
    [anon_sym_BSLASHph] = ACTIONS(3255),
    [anon_sym_BSLASHb] = ACTIONS(3255),
    [anon_sym_BSLASHq] = ACTIONS(3255),
    [anon_sym_BSLASHqr] = ACTIONS(3255),
    [anon_sym_BSLASHqc] = ACTIONS(3255),
    [anon_sym_BSLASHqa] = ACTIONS(3255),
    [anon_sym_BSLASHqm] = ACTIONS(3255),
    [anon_sym_BSLASHqd] = ACTIONS(3255),
    [anon_sym_BSLASHlh] = ACTIONS(3255),
    [anon_sym_BSLASHli] = ACTIONS(3255),
    [anon_sym_BSLASHlim] = ACTIONS(3255),
    [anon_sym_BSLASHtr] = ACTIONS(3255),
    [anon_sym_BSLASHf] = ACTIONS(3257),
    [anon_sym_BSLASHfe] = ACTIONS(3260),
    [anon_sym_BSLASHef] = ACTIONS(3263),
    [anon_sym_BSLASHfm] = ACTIONS(3266),
    [anon_sym_BSLASHx] = ACTIONS(3269),
    [anon_sym_BSLASHxt] = ACTIONS(3272),
    [anon_sym_BSLASHrq] = ACTIONS(3275),
    [anon_sym_BSLASHadd] = ACTIONS(3278),
    [anon_sym_BSLASHbk] = ACTIONS(3281),
    [anon_sym_BSLASHdc] = ACTIONS(3284),
    [anon_sym_BSLASHk] = ACTIONS(3287),
    [anon_sym_BSLASHnd] = ACTIONS(3290),
    [anon_sym_BSLASHord] = ACTIONS(3293),
    [anon_sym_BSLASHpn] = ACTIONS(3296),
    [anon_sym_BSLASHpng] = ACTIONS(3299),
    [anon_sym_BSLASHaddpn] = ACTIONS(3302),
    [anon_sym_BSLASHqt] = ACTIONS(3305),
    [anon_sym_BSLASHsig] = ACTIONS(3308),
    [anon_sym_BSLASHsls] = ACTIONS(3311),
    [anon_sym_BSLASHtl] = ACTIONS(3314),
    [anon_sym_BSLASHwj] = ACTIONS(3317),
    [anon_sym_BSLASHem] = ACTIONS(3320),
    [anon_sym_BSLASHbd] = ACTIONS(3323),
    [anon_sym_BSLASHit] = ACTIONS(3326),
    [anon_sym_BSLASHbdit] = ACTIONS(3329),
    [anon_sym_BSLASHno] = ACTIONS(3332),
    [anon_sym_BSLASHsc] = ACTIONS(3335),
    [anon_sym_BSLASHsup] = ACTIONS(3338),
    [anon_sym_BSLASHndx] = ACTIONS(3341),
    [anon_sym_BSLASHpro] = ACTIONS(3344),
    [anon_sym_BSLASHrb] = ACTIONS(3347),
    [anon_sym_BSLASHw] = ACTIONS(3350),
    [anon_sym_BSLASHwg] = ACTIONS(3353),
    [anon_sym_BSLASHwh] = ACTIONS(3356),
    [anon_sym_BSLASHwa] = ACTIONS(3359),
    [anon_sym_BSLASHfig] = ACTIONS(3362),
    [anon_sym_BSLASHjmp] = ACTIONS(3365),
    [anon_sym_BSLASHpb] = ACTIONS(3255),
    [anon_sym_BSLASH] = ACTIONS(3255),
    [sym_milestoneStartTag] = ACTIONS(3255),
    [sym_milestoneEndTag] = ACTIONS(3255),
    [sym_zSpaceTag] = ACTIONS(3255),
    [anon_sym_BSLASHesb] = ACTIONS(3255),
  },
  [285] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(2469),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [286] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(1105),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [287] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(1104),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [288] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(1102),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [289] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(1106),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [290] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(1108),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [291] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(1101),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [292] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(2321),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [293] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(1100),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [294] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(2425),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [295] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(2159),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [296] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(2441),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [297] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(2498),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [298] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(2686),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [299] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(2466),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [300] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(2182),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [301] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(1103),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [302] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(2249),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [303] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(2377),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [304] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(1107),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [305] = {
    [sym_text] = STATE(284),
    [sym_mr] = STATE(1339),
    [sym_footnote] = STATE(284),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(284),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(284),
    [sym_bk] = STATE(284),
    [sym_dc] = STATE(284),
    [sym_k] = STATE(284),
    [sym_nd] = STATE(284),
    [sym_ord] = STATE(284),
    [sym_pn] = STATE(284),
    [sym_png] = STATE(284),
    [sym_addpn] = STATE(284),
    [sym_qt] = STATE(284),
    [sym_sig] = STATE(284),
    [sym_sls] = STATE(284),
    [sym_tl] = STATE(284),
    [sym_wj] = STATE(284),
    [sym_em] = STATE(284),
    [sym_bd] = STATE(284),
    [sym_it] = STATE(284),
    [sym_bdit] = STATE(284),
    [sym_no] = STATE(284),
    [sym_sc] = STATE(284),
    [sym_sup] = STATE(284),
    [sym_ndx] = STATE(284),
    [sym_pro] = STATE(284),
    [sym_rb] = STATE(284),
    [sym_w] = STATE(284),
    [sym_wg] = STATE(284),
    [sym_wh] = STATE(284),
    [sym_wa] = STATE(284),
    [sym__characterMarker] = STATE(284),
    [sym_fig] = STATE(284),
    [sym_jmp] = STATE(284),
    [aux_sym_ms_repeat1] = STATE(284),
    [ts_builtin_sym_end] = ACTIONS(3368),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHsts] = ACTIONS(3370),
    [anon_sym_BSLASHrem] = ACTIONS(3370),
    [anon_sym_BSLASHrestore] = ACTIONS(3370),
    [anon_sym_BSLASHlit] = ACTIONS(3370),
    [anon_sym_BSLASHip] = ACTIONS(3370),
    [anon_sym_BSLASHiex] = ACTIONS(3370),
    [anon_sym_BSLASHc] = ACTIONS(3370),
    [anon_sym_BSLASHcl] = ACTIONS(3370),
    [anon_sym_BSLASHca] = ACTIONS(3370),
    [anon_sym_BSLASHcp] = ACTIONS(3370),
    [anon_sym_BSLASHcd] = ACTIONS(3370),
    [anon_sym_BSLASHmte] = ACTIONS(3370),
    [anon_sym_BSLASHms] = ACTIONS(3370),
    [anon_sym_BSLASHmr] = ACTIONS(3372),
    [anon_sym_BSLASHs] = ACTIONS(3370),
    [anon_sym_BSLASHr] = ACTIONS(3370),
    [anon_sym_BSLASHsp] = ACTIONS(3370),
    [anon_sym_BSLASHd] = ACTIONS(3370),
    [anon_sym_BSLASHsd] = ACTIONS(3370),
    [anon_sym_BSLASHp] = ACTIONS(3370),
    [anon_sym_BSLASHm] = ACTIONS(3370),
    [anon_sym_BSLASHpo] = ACTIONS(3370),
    [anon_sym_BSLASHpr] = ACTIONS(3370),
    [anon_sym_BSLASHcls] = ACTIONS(3370),
    [anon_sym_BSLASHpmo] = ACTIONS(3370),
    [anon_sym_BSLASHpm] = ACTIONS(3370),
    [anon_sym_BSLASHpmc] = ACTIONS(3370),
    [anon_sym_BSLASHpmr] = ACTIONS(3370),
    [anon_sym_BSLASHpi] = ACTIONS(3370),
    [anon_sym_BSLASHmi] = ACTIONS(3370),
    [anon_sym_BSLASHnb] = ACTIONS(3370),
    [anon_sym_BSLASHpc] = ACTIONS(3370),
    [anon_sym_BSLASHph] = ACTIONS(3370),
    [anon_sym_BSLASHb] = ACTIONS(3370),
    [anon_sym_BSLASHq] = ACTIONS(3370),
    [anon_sym_BSLASHqr] = ACTIONS(3370),
    [anon_sym_BSLASHqc] = ACTIONS(3370),
    [anon_sym_BSLASHqa] = ACTIONS(3370),
    [anon_sym_BSLASHqm] = ACTIONS(3370),
    [anon_sym_BSLASHqd] = ACTIONS(3370),
    [anon_sym_BSLASHlh] = ACTIONS(3370),
    [anon_sym_BSLASHli] = ACTIONS(3370),
    [anon_sym_BSLASHlim] = ACTIONS(3370),
    [anon_sym_BSLASHtr] = ACTIONS(3370),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(3370),
    [anon_sym_BSLASH] = ACTIONS(3370),
    [sym_milestoneStartTag] = ACTIONS(3370),
    [sym_milestoneEndTag] = ACTIONS(3370),
    [sym_zSpaceTag] = ACTIONS(3370),
    [anon_sym_BSLASHesb] = ACTIONS(3370),
  },
  [306] = {
    [sym_text] = STATE(192),
    [sym_ref] = STATE(192),
    [sym_footnoteText] = STATE(2454),
    [sym_fv] = STATE(192),
    [sym_xtNested] = STATE(192),
    [sym_xt_standalone] = STATE(192),
    [sym_add] = STATE(192),
    [sym_bk] = STATE(192),
    [sym_dc] = STATE(192),
    [sym_k] = STATE(192),
    [sym_nd] = STATE(192),
    [sym_ord] = STATE(192),
    [sym_pn] = STATE(192),
    [sym_png] = STATE(192),
    [sym_addpn] = STATE(192),
    [sym_qt] = STATE(192),
    [sym_sig] = STATE(192),
    [sym_sls] = STATE(192),
    [sym_tl] = STATE(192),
    [sym_wj] = STATE(192),
    [sym_em] = STATE(192),
    [sym_bd] = STATE(192),
    [sym_it] = STATE(192),
    [sym_bdit] = STATE(192),
    [sym_no] = STATE(192),
    [sym_sc] = STATE(192),
    [sym_sup] = STATE(192),
    [sym_ndx] = STATE(192),
    [sym_pro] = STATE(192),
    [sym_rb] = STATE(192),
    [sym_w] = STATE(192),
    [sym_wg] = STATE(192),
    [sym_wh] = STATE(192),
    [sym_wa] = STATE(192),
    [sym__characterMarker] = STATE(192),
    [sym_addNested] = STATE(192),
    [sym_bkNested] = STATE(192),
    [sym_dcNested] = STATE(192),
    [sym_kNested] = STATE(192),
    [sym_ndNested] = STATE(192),
    [sym_ordNested] = STATE(192),
    [sym_pnNested] = STATE(192),
    [sym_pngNested] = STATE(192),
    [sym_addpnNested] = STATE(192),
    [sym_qtNested] = STATE(192),
    [sym_sigNested] = STATE(192),
    [sym_slsNested] = STATE(192),
    [sym_tlNested] = STATE(192),
    [sym_wjNested] = STATE(192),
    [sym_emNested] = STATE(192),
    [sym_bdNested] = STATE(192),
    [sym_itNested] = STATE(192),
    [sym_bditNested] = STATE(192),
    [sym_noNested] = STATE(192),
    [sym_scNested] = STATE(192),
    [sym_supNested] = STATE(192),
    [sym_ndxNested] = STATE(192),
    [sym_proNested] = STATE(192),
    [sym_rbNested] = STATE(192),
    [sym_wNested] = STATE(192),
    [sym_wgNested] = STATE(192),
    [sym_whNested] = STATE(192),
    [sym_waNested] = STATE(192),
    [sym__nestedCharacterMarker] = STATE(192),
    [sym_fig] = STATE(192),
    [sym_jmp] = STATE(192),
    [sym_jmpNested] = STATE(192),
    [aux_sym_footnoteText_repeat1] = STATE(192),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHfv] = ACTIONS(1533),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1535),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [307] = {
    [sym_text] = STATE(308),
    [sym_add] = STATE(308),
    [sym_bk] = STATE(308),
    [sym_dc] = STATE(308),
    [sym_k] = STATE(308),
    [sym_nd] = STATE(308),
    [sym_ord] = STATE(308),
    [sym_pn] = STATE(308),
    [sym_png] = STATE(308),
    [sym_addpn] = STATE(308),
    [sym_qt] = STATE(308),
    [sym_sig] = STATE(308),
    [sym_sls] = STATE(308),
    [sym_tl] = STATE(308),
    [sym_wj] = STATE(308),
    [sym_em] = STATE(308),
    [sym_bd] = STATE(308),
    [sym_it] = STATE(308),
    [sym_bdit] = STATE(308),
    [sym_no] = STATE(308),
    [sym_sc] = STATE(308),
    [sym_sup] = STATE(308),
    [sym_ndx] = STATE(308),
    [sym_pro] = STATE(308),
    [sym_rb] = STATE(308),
    [sym_w] = STATE(308),
    [sym_wg] = STATE(308),
    [sym_wh] = STATE(308),
    [sym_wa] = STATE(308),
    [sym__characterMarker] = STATE(308),
    [sym_fig] = STATE(308),
    [sym_jmp] = STATE(308),
    [aux_sym_verseText_repeat1] = STATE(308),
    [ts_builtin_sym_end] = ACTIONS(3374),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(3376),
    [anon_sym_BSLASHsts] = ACTIONS(3376),
    [anon_sym_BSLASHrem] = ACTIONS(3376),
    [anon_sym_BSLASHrestore] = ACTIONS(3376),
    [anon_sym_BSLASHlit] = ACTIONS(3376),
    [anon_sym_BSLASHip] = ACTIONS(3376),
    [anon_sym_BSLASHiex] = ACTIONS(3376),
    [anon_sym_BSLASHv] = ACTIONS(3376),
    [anon_sym_BSLASHva] = ACTIONS(3376),
    [anon_sym_BSLASHvp] = ACTIONS(3376),
    [anon_sym_BSLASHc] = ACTIONS(3376),
    [anon_sym_BSLASHcl] = ACTIONS(3376),
    [anon_sym_BSLASHca] = ACTIONS(3376),
    [anon_sym_BSLASHcp] = ACTIONS(3376),
    [anon_sym_BSLASHcd] = ACTIONS(3376),
    [anon_sym_BSLASHmte] = ACTIONS(3376),
    [anon_sym_BSLASHms] = ACTIONS(3376),
    [anon_sym_BSLASHs] = ACTIONS(3376),
    [anon_sym_BSLASHr] = ACTIONS(3376),
    [anon_sym_BSLASHsp] = ACTIONS(3376),
    [anon_sym_BSLASHd] = ACTIONS(3376),
    [anon_sym_BSLASHsd] = ACTIONS(3376),
    [anon_sym_BSLASHp] = ACTIONS(3376),
    [anon_sym_BSLASHm] = ACTIONS(3376),
    [anon_sym_BSLASHpo] = ACTIONS(3376),
    [anon_sym_BSLASHpr] = ACTIONS(3376),
    [anon_sym_BSLASHcls] = ACTIONS(3376),
    [anon_sym_BSLASHpmo] = ACTIONS(3376),
    [anon_sym_BSLASHpm] = ACTIONS(3376),
    [anon_sym_BSLASHpmc] = ACTIONS(3376),
    [anon_sym_BSLASHpmr] = ACTIONS(3376),
    [anon_sym_BSLASHpi] = ACTIONS(3376),
    [anon_sym_BSLASHmi] = ACTIONS(3376),
    [anon_sym_BSLASHnb] = ACTIONS(3376),
    [anon_sym_BSLASHpc] = ACTIONS(3376),
    [anon_sym_BSLASHph] = ACTIONS(3376),
    [anon_sym_BSLASHb] = ACTIONS(3376),
    [anon_sym_BSLASHq] = ACTIONS(3376),
    [anon_sym_BSLASHqr] = ACTIONS(3376),
    [anon_sym_BSLASHqc] = ACTIONS(3376),
    [anon_sym_BSLASHqa] = ACTIONS(3376),
    [anon_sym_BSLASHqm] = ACTIONS(3376),
    [anon_sym_BSLASHqd] = ACTIONS(3376),
    [anon_sym_BSLASHlh] = ACTIONS(3376),
    [anon_sym_BSLASHlf] = ACTIONS(3376),
    [anon_sym_BSLASHli] = ACTIONS(3376),
    [anon_sym_BSLASHlim] = ACTIONS(3376),
    [anon_sym_BSLASHliv] = ACTIONS(3376),
    [anon_sym_BSLASHlik] = ACTIONS(3376),
    [anon_sym_BSLASHlitl] = ACTIONS(3376),
    [anon_sym_BSLASHtr] = ACTIONS(3376),
    [anon_sym_BSLASHf] = ACTIONS(3376),
    [anon_sym_BSLASHfe] = ACTIONS(3376),
    [anon_sym_BSLASHef] = ACTIONS(3376),
    [anon_sym_BSLASHfm] = ACTIONS(3376),
    [anon_sym_BSLASHx] = ACTIONS(3376),
    [anon_sym_BSLASHxt] = ACTIONS(3376),
    [anon_sym_BSLASHrq] = ACTIONS(3376),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(3376),
    [anon_sym_BSLASH] = ACTIONS(3376),
    [sym_milestoneStartTag] = ACTIONS(3376),
    [sym_milestoneEndTag] = ACTIONS(3376),
    [sym_zSpaceTag] = ACTIONS(3376),
    [anon_sym_BSLASHesb] = ACTIONS(3376),
  },
  [308] = {
    [sym_text] = STATE(308),
    [sym_add] = STATE(308),
    [sym_bk] = STATE(308),
    [sym_dc] = STATE(308),
    [sym_k] = STATE(308),
    [sym_nd] = STATE(308),
    [sym_ord] = STATE(308),
    [sym_pn] = STATE(308),
    [sym_png] = STATE(308),
    [sym_addpn] = STATE(308),
    [sym_qt] = STATE(308),
    [sym_sig] = STATE(308),
    [sym_sls] = STATE(308),
    [sym_tl] = STATE(308),
    [sym_wj] = STATE(308),
    [sym_em] = STATE(308),
    [sym_bd] = STATE(308),
    [sym_it] = STATE(308),
    [sym_bdit] = STATE(308),
    [sym_no] = STATE(308),
    [sym_sc] = STATE(308),
    [sym_sup] = STATE(308),
    [sym_ndx] = STATE(308),
    [sym_pro] = STATE(308),
    [sym_rb] = STATE(308),
    [sym_w] = STATE(308),
    [sym_wg] = STATE(308),
    [sym_wh] = STATE(308),
    [sym_wa] = STATE(308),
    [sym__characterMarker] = STATE(308),
    [sym_fig] = STATE(308),
    [sym_jmp] = STATE(308),
    [aux_sym_verseText_repeat1] = STATE(308),
    [ts_builtin_sym_end] = ACTIONS(3378),
    [aux_sym_text_token1] = ACTIONS(3380),
    [anon_sym_BSLASHref] = ACTIONS(3383),
    [anon_sym_BSLASHsts] = ACTIONS(3383),
    [anon_sym_BSLASHrem] = ACTIONS(3383),
    [anon_sym_BSLASHrestore] = ACTIONS(3383),
    [anon_sym_BSLASHlit] = ACTIONS(3383),
    [anon_sym_BSLASHip] = ACTIONS(3383),
    [anon_sym_BSLASHiex] = ACTIONS(3383),
    [anon_sym_BSLASHv] = ACTIONS(3383),
    [anon_sym_BSLASHva] = ACTIONS(3383),
    [anon_sym_BSLASHvp] = ACTIONS(3383),
    [anon_sym_BSLASHc] = ACTIONS(3383),
    [anon_sym_BSLASHcl] = ACTIONS(3383),
    [anon_sym_BSLASHca] = ACTIONS(3383),
    [anon_sym_BSLASHcp] = ACTIONS(3383),
    [anon_sym_BSLASHcd] = ACTIONS(3383),
    [anon_sym_BSLASHmte] = ACTIONS(3383),
    [anon_sym_BSLASHms] = ACTIONS(3383),
    [anon_sym_BSLASHs] = ACTIONS(3383),
    [anon_sym_BSLASHr] = ACTIONS(3383),
    [anon_sym_BSLASHsp] = ACTIONS(3383),
    [anon_sym_BSLASHd] = ACTIONS(3383),
    [anon_sym_BSLASHsd] = ACTIONS(3383),
    [anon_sym_BSLASHp] = ACTIONS(3383),
    [anon_sym_BSLASHm] = ACTIONS(3383),
    [anon_sym_BSLASHpo] = ACTIONS(3383),
    [anon_sym_BSLASHpr] = ACTIONS(3383),
    [anon_sym_BSLASHcls] = ACTIONS(3383),
    [anon_sym_BSLASHpmo] = ACTIONS(3383),
    [anon_sym_BSLASHpm] = ACTIONS(3383),
    [anon_sym_BSLASHpmc] = ACTIONS(3383),
    [anon_sym_BSLASHpmr] = ACTIONS(3383),
    [anon_sym_BSLASHpi] = ACTIONS(3383),
    [anon_sym_BSLASHmi] = ACTIONS(3383),
    [anon_sym_BSLASHnb] = ACTIONS(3383),
    [anon_sym_BSLASHpc] = ACTIONS(3383),
    [anon_sym_BSLASHph] = ACTIONS(3383),
    [anon_sym_BSLASHb] = ACTIONS(3383),
    [anon_sym_BSLASHq] = ACTIONS(3383),
    [anon_sym_BSLASHqr] = ACTIONS(3383),
    [anon_sym_BSLASHqc] = ACTIONS(3383),
    [anon_sym_BSLASHqa] = ACTIONS(3383),
    [anon_sym_BSLASHqm] = ACTIONS(3383),
    [anon_sym_BSLASHqd] = ACTIONS(3383),
    [anon_sym_BSLASHlh] = ACTIONS(3383),
    [anon_sym_BSLASHlf] = ACTIONS(3383),
    [anon_sym_BSLASHli] = ACTIONS(3383),
    [anon_sym_BSLASHlim] = ACTIONS(3383),
    [anon_sym_BSLASHliv] = ACTIONS(3383),
    [anon_sym_BSLASHlik] = ACTIONS(3383),
    [anon_sym_BSLASHlitl] = ACTIONS(3383),
    [anon_sym_BSLASHtr] = ACTIONS(3383),
    [anon_sym_BSLASHf] = ACTIONS(3383),
    [anon_sym_BSLASHfe] = ACTIONS(3383),
    [anon_sym_BSLASHef] = ACTIONS(3383),
    [anon_sym_BSLASHfm] = ACTIONS(3383),
    [anon_sym_BSLASHx] = ACTIONS(3383),
    [anon_sym_BSLASHxt] = ACTIONS(3383),
    [anon_sym_BSLASHrq] = ACTIONS(3383),
    [anon_sym_BSLASHadd] = ACTIONS(3385),
    [anon_sym_BSLASHbk] = ACTIONS(3388),
    [anon_sym_BSLASHdc] = ACTIONS(3391),
    [anon_sym_BSLASHk] = ACTIONS(3394),
    [anon_sym_BSLASHnd] = ACTIONS(3397),
    [anon_sym_BSLASHord] = ACTIONS(3400),
    [anon_sym_BSLASHpn] = ACTIONS(3403),
    [anon_sym_BSLASHpng] = ACTIONS(3406),
    [anon_sym_BSLASHaddpn] = ACTIONS(3409),
    [anon_sym_BSLASHqt] = ACTIONS(3412),
    [anon_sym_BSLASHsig] = ACTIONS(3415),
    [anon_sym_BSLASHsls] = ACTIONS(3418),
    [anon_sym_BSLASHtl] = ACTIONS(3421),
    [anon_sym_BSLASHwj] = ACTIONS(3424),
    [anon_sym_BSLASHem] = ACTIONS(3427),
    [anon_sym_BSLASHbd] = ACTIONS(3430),
    [anon_sym_BSLASHit] = ACTIONS(3433),
    [anon_sym_BSLASHbdit] = ACTIONS(3436),
    [anon_sym_BSLASHno] = ACTIONS(3439),
    [anon_sym_BSLASHsc] = ACTIONS(3442),
    [anon_sym_BSLASHsup] = ACTIONS(3445),
    [anon_sym_BSLASHndx] = ACTIONS(3448),
    [anon_sym_BSLASHpro] = ACTIONS(3451),
    [anon_sym_BSLASHrb] = ACTIONS(3454),
    [anon_sym_BSLASHw] = ACTIONS(3457),
    [anon_sym_BSLASHwg] = ACTIONS(3460),
    [anon_sym_BSLASHwh] = ACTIONS(3463),
    [anon_sym_BSLASHwa] = ACTIONS(3466),
    [anon_sym_BSLASHfig] = ACTIONS(3469),
    [anon_sym_BSLASHjmp] = ACTIONS(3472),
    [anon_sym_BSLASHpb] = ACTIONS(3383),
    [anon_sym_BSLASH] = ACTIONS(3383),
    [sym_milestoneStartTag] = ACTIONS(3383),
    [sym_milestoneEndTag] = ACTIONS(3383),
    [sym_zSpaceTag] = ACTIONS(3383),
    [anon_sym_BSLASHesb] = ACTIONS(3383),
  },
  [309] = {
    [sym_text] = STATE(314),
    [sym_sr] = STATE(1309),
    [sym_r] = STATE(1313),
    [sym_footnote] = STATE(314),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(314),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(314),
    [sym_bk] = STATE(314),
    [sym_dc] = STATE(314),
    [sym_k] = STATE(314),
    [sym_nd] = STATE(314),
    [sym_ord] = STATE(314),
    [sym_pn] = STATE(314),
    [sym_png] = STATE(314),
    [sym_addpn] = STATE(314),
    [sym_qt] = STATE(314),
    [sym_sig] = STATE(314),
    [sym_sls] = STATE(314),
    [sym_tl] = STATE(314),
    [sym_wj] = STATE(314),
    [sym_em] = STATE(314),
    [sym_bd] = STATE(314),
    [sym_it] = STATE(314),
    [sym_bdit] = STATE(314),
    [sym_no] = STATE(314),
    [sym_sc] = STATE(314),
    [sym_sup] = STATE(314),
    [sym_ndx] = STATE(314),
    [sym_pro] = STATE(314),
    [sym_rb] = STATE(314),
    [sym_w] = STATE(314),
    [sym_wg] = STATE(314),
    [sym_wh] = STATE(314),
    [sym_wa] = STATE(314),
    [sym__characterMarker] = STATE(314),
    [sym_fig] = STATE(314),
    [sym_jmp] = STATE(314),
    [aux_sym_ms_repeat1] = STATE(314),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHsts] = ACTIONS(3248),
    [anon_sym_BSLASHrem] = ACTIONS(3248),
    [anon_sym_BSLASHrestore] = ACTIONS(3248),
    [anon_sym_BSLASHlit] = ACTIONS(3248),
    [anon_sym_BSLASHip] = ACTIONS(3248),
    [anon_sym_BSLASHmte] = ACTIONS(3248),
    [anon_sym_BSLASHms] = ACTIONS(3248),
    [anon_sym_BSLASHs] = ACTIONS(3248),
    [anon_sym_BSLASHsr] = ACTIONS(3242),
    [anon_sym_BSLASHr] = ACTIONS(3244),
    [anon_sym_BSLASHsp] = ACTIONS(3248),
    [anon_sym_BSLASHd] = ACTIONS(3248),
    [anon_sym_BSLASHsd] = ACTIONS(3248),
    [anon_sym_BSLASHp] = ACTIONS(3248),
    [anon_sym_BSLASHm] = ACTIONS(3248),
    [anon_sym_BSLASHpo] = ACTIONS(3248),
    [anon_sym_BSLASHpr] = ACTIONS(3248),
    [anon_sym_BSLASHcls] = ACTIONS(3248),
    [anon_sym_BSLASHpmo] = ACTIONS(3248),
    [anon_sym_BSLASHpm] = ACTIONS(3248),
    [anon_sym_BSLASHpmc] = ACTIONS(3248),
    [anon_sym_BSLASHpmr] = ACTIONS(3248),
    [anon_sym_BSLASHpi] = ACTIONS(3248),
    [anon_sym_BSLASHmi] = ACTIONS(3248),
    [anon_sym_BSLASHnb] = ACTIONS(3248),
    [anon_sym_BSLASHpc] = ACTIONS(3248),
    [anon_sym_BSLASHph] = ACTIONS(3248),
    [anon_sym_BSLASHb] = ACTIONS(3248),
    [anon_sym_BSLASHq] = ACTIONS(3248),
    [anon_sym_BSLASHqr] = ACTIONS(3248),
    [anon_sym_BSLASHqc] = ACTIONS(3248),
    [anon_sym_BSLASHqa] = ACTIONS(3248),
    [anon_sym_BSLASHqm] = ACTIONS(3248),
    [anon_sym_BSLASHqd] = ACTIONS(3248),
    [anon_sym_BSLASHlh] = ACTIONS(3248),
    [anon_sym_BSLASHli] = ACTIONS(3248),
    [anon_sym_BSLASHlim] = ACTIONS(3248),
    [anon_sym_BSLASHtr] = ACTIONS(3248),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(3248),
    [anon_sym_BSLASH] = ACTIONS(3248),
    [sym_milestoneStartTag] = ACTIONS(3248),
    [sym_milestoneEndTag] = ACTIONS(3248),
    [sym_zSpaceTag] = ACTIONS(3248),
    [anon_sym_BSLASHesbe] = ACTIONS(3248),
    [anon_sym_BSLASHcat] = ACTIONS(3248),
  },
  [310] = {
    [sym_text] = STATE(311),
    [sym_add] = STATE(311),
    [sym_bk] = STATE(311),
    [sym_dc] = STATE(311),
    [sym_k] = STATE(311),
    [sym_nd] = STATE(311),
    [sym_ord] = STATE(311),
    [sym_pn] = STATE(311),
    [sym_png] = STATE(311),
    [sym_addpn] = STATE(311),
    [sym_qt] = STATE(311),
    [sym_sig] = STATE(311),
    [sym_sls] = STATE(311),
    [sym_tl] = STATE(311),
    [sym_wj] = STATE(311),
    [sym_em] = STATE(311),
    [sym_bd] = STATE(311),
    [sym_it] = STATE(311),
    [sym_bdit] = STATE(311),
    [sym_no] = STATE(311),
    [sym_sc] = STATE(311),
    [sym_sup] = STATE(311),
    [sym_ndx] = STATE(311),
    [sym_pro] = STATE(311),
    [sym_rb] = STATE(311),
    [sym_w] = STATE(311),
    [sym_wg] = STATE(311),
    [sym_wh] = STATE(311),
    [sym_wa] = STATE(311),
    [sym__characterMarker] = STATE(311),
    [sym_fig] = STATE(311),
    [sym_jmp] = STATE(311),
    [aux_sym_verseText_repeat1] = STATE(311),
    [ts_builtin_sym_end] = ACTIONS(3374),
    [aux_sym_text_token1] = ACTIONS(460),
    [anon_sym_BSLASHref] = ACTIONS(3376),
    [anon_sym_BSLASHsts] = ACTIONS(3376),
    [anon_sym_BSLASHrem] = ACTIONS(3376),
    [anon_sym_BSLASHrestore] = ACTIONS(3376),
    [anon_sym_BSLASHlit] = ACTIONS(3376),
    [anon_sym_BSLASHip] = ACTIONS(3376),
    [anon_sym_BSLASHiex] = ACTIONS(3376),
    [anon_sym_BSLASHv] = ACTIONS(3376),
    [anon_sym_BSLASHva] = ACTIONS(3376),
    [anon_sym_BSLASHvp] = ACTIONS(3376),
    [anon_sym_BSLASHc] = ACTIONS(3376),
    [anon_sym_BSLASHcl] = ACTIONS(3376),
    [anon_sym_BSLASHca] = ACTIONS(3376),
    [anon_sym_BSLASHcp] = ACTIONS(3376),
    [anon_sym_BSLASHcd] = ACTIONS(3376),
    [anon_sym_BSLASHmte] = ACTIONS(3376),
    [anon_sym_BSLASHms] = ACTIONS(3376),
    [anon_sym_BSLASHs] = ACTIONS(3376),
    [anon_sym_BSLASHr] = ACTIONS(3376),
    [anon_sym_BSLASHsp] = ACTIONS(3376),
    [anon_sym_BSLASHd] = ACTIONS(3376),
    [anon_sym_BSLASHsd] = ACTIONS(3376),
    [anon_sym_BSLASHp] = ACTIONS(3376),
    [anon_sym_BSLASHm] = ACTIONS(3376),
    [anon_sym_BSLASHpo] = ACTIONS(3376),
    [anon_sym_BSLASHpr] = ACTIONS(3376),
    [anon_sym_BSLASHcls] = ACTIONS(3376),
    [anon_sym_BSLASHpmo] = ACTIONS(3376),
    [anon_sym_BSLASHpm] = ACTIONS(3376),
    [anon_sym_BSLASHpmc] = ACTIONS(3376),
    [anon_sym_BSLASHpmr] = ACTIONS(3376),
    [anon_sym_BSLASHpi] = ACTIONS(3376),
    [anon_sym_BSLASHmi] = ACTIONS(3376),
    [anon_sym_BSLASHnb] = ACTIONS(3376),
    [anon_sym_BSLASHpc] = ACTIONS(3376),
    [anon_sym_BSLASHph] = ACTIONS(3376),
    [anon_sym_BSLASHb] = ACTIONS(3376),
    [anon_sym_BSLASHq] = ACTIONS(3376),
    [anon_sym_BSLASHqr] = ACTIONS(3376),
    [anon_sym_BSLASHqc] = ACTIONS(3376),
    [anon_sym_BSLASHqs] = ACTIONS(3376),
    [anon_sym_BSLASHqa] = ACTIONS(3376),
    [anon_sym_BSLASHqac] = ACTIONS(3376),
    [anon_sym_BSLASHqm] = ACTIONS(3376),
    [anon_sym_BSLASHqd] = ACTIONS(3376),
    [anon_sym_BSLASHlh] = ACTIONS(3376),
    [anon_sym_BSLASHli] = ACTIONS(3376),
    [anon_sym_BSLASHlim] = ACTIONS(3376),
    [anon_sym_BSLASHtr] = ACTIONS(3376),
    [anon_sym_BSLASHf] = ACTIONS(3376),
    [anon_sym_BSLASHfe] = ACTIONS(3376),
    [anon_sym_BSLASHef] = ACTIONS(3376),
    [anon_sym_BSLASHfm] = ACTIONS(3376),
    [anon_sym_BSLASHx] = ACTIONS(3376),
    [anon_sym_BSLASHxt] = ACTIONS(3376),
    [anon_sym_BSLASHrq] = ACTIONS(3376),
    [anon_sym_BSLASHadd] = ACTIONS(498),
    [anon_sym_BSLASHbk] = ACTIONS(500),
    [anon_sym_BSLASHdc] = ACTIONS(502),
    [anon_sym_BSLASHk] = ACTIONS(504),
    [anon_sym_BSLASHnd] = ACTIONS(506),
    [anon_sym_BSLASHord] = ACTIONS(508),
    [anon_sym_BSLASHpn] = ACTIONS(510),
    [anon_sym_BSLASHpng] = ACTIONS(512),
    [anon_sym_BSLASHaddpn] = ACTIONS(514),
    [anon_sym_BSLASHqt] = ACTIONS(516),
    [anon_sym_BSLASHsig] = ACTIONS(518),
    [anon_sym_BSLASHsls] = ACTIONS(520),
    [anon_sym_BSLASHtl] = ACTIONS(522),
    [anon_sym_BSLASHwj] = ACTIONS(524),
    [anon_sym_BSLASHem] = ACTIONS(526),
    [anon_sym_BSLASHbd] = ACTIONS(528),
    [anon_sym_BSLASHit] = ACTIONS(530),
    [anon_sym_BSLASHbdit] = ACTIONS(532),
    [anon_sym_BSLASHno] = ACTIONS(534),
    [anon_sym_BSLASHsc] = ACTIONS(536),
    [anon_sym_BSLASHsup] = ACTIONS(538),
    [anon_sym_BSLASHndx] = ACTIONS(540),
    [anon_sym_BSLASHpro] = ACTIONS(542),
    [anon_sym_BSLASHrb] = ACTIONS(544),
    [anon_sym_BSLASHw] = ACTIONS(546),
    [anon_sym_BSLASHwg] = ACTIONS(548),
    [anon_sym_BSLASHwh] = ACTIONS(550),
    [anon_sym_BSLASHwa] = ACTIONS(552),
    [anon_sym_BSLASHfig] = ACTIONS(554),
    [anon_sym_BSLASHjmp] = ACTIONS(556),
    [anon_sym_BSLASHpb] = ACTIONS(3376),
    [anon_sym_BSLASH] = ACTIONS(3376),
    [sym_milestoneStartTag] = ACTIONS(3376),
    [sym_milestoneEndTag] = ACTIONS(3376),
    [sym_zSpaceTag] = ACTIONS(3376),
    [anon_sym_BSLASHesb] = ACTIONS(3376),
  },
  [311] = {
    [sym_text] = STATE(311),
    [sym_add] = STATE(311),
    [sym_bk] = STATE(311),
    [sym_dc] = STATE(311),
    [sym_k] = STATE(311),
    [sym_nd] = STATE(311),
    [sym_ord] = STATE(311),
    [sym_pn] = STATE(311),
    [sym_png] = STATE(311),
    [sym_addpn] = STATE(311),
    [sym_qt] = STATE(311),
    [sym_sig] = STATE(311),
    [sym_sls] = STATE(311),
    [sym_tl] = STATE(311),
    [sym_wj] = STATE(311),
    [sym_em] = STATE(311),
    [sym_bd] = STATE(311),
    [sym_it] = STATE(311),
    [sym_bdit] = STATE(311),
    [sym_no] = STATE(311),
    [sym_sc] = STATE(311),
    [sym_sup] = STATE(311),
    [sym_ndx] = STATE(311),
    [sym_pro] = STATE(311),
    [sym_rb] = STATE(311),
    [sym_w] = STATE(311),
    [sym_wg] = STATE(311),
    [sym_wh] = STATE(311),
    [sym_wa] = STATE(311),
    [sym__characterMarker] = STATE(311),
    [sym_fig] = STATE(311),
    [sym_jmp] = STATE(311),
    [aux_sym_verseText_repeat1] = STATE(311),
    [ts_builtin_sym_end] = ACTIONS(3378),
    [aux_sym_text_token1] = ACTIONS(3475),
    [anon_sym_BSLASHref] = ACTIONS(3383),
    [anon_sym_BSLASHsts] = ACTIONS(3383),
    [anon_sym_BSLASHrem] = ACTIONS(3383),
    [anon_sym_BSLASHrestore] = ACTIONS(3383),
    [anon_sym_BSLASHlit] = ACTIONS(3383),
    [anon_sym_BSLASHip] = ACTIONS(3383),
    [anon_sym_BSLASHiex] = ACTIONS(3383),
    [anon_sym_BSLASHv] = ACTIONS(3383),
    [anon_sym_BSLASHva] = ACTIONS(3383),
    [anon_sym_BSLASHvp] = ACTIONS(3383),
    [anon_sym_BSLASHc] = ACTIONS(3383),
    [anon_sym_BSLASHcl] = ACTIONS(3383),
    [anon_sym_BSLASHca] = ACTIONS(3383),
    [anon_sym_BSLASHcp] = ACTIONS(3383),
    [anon_sym_BSLASHcd] = ACTIONS(3383),
    [anon_sym_BSLASHmte] = ACTIONS(3383),
    [anon_sym_BSLASHms] = ACTIONS(3383),
    [anon_sym_BSLASHs] = ACTIONS(3383),
    [anon_sym_BSLASHr] = ACTIONS(3383),
    [anon_sym_BSLASHsp] = ACTIONS(3383),
    [anon_sym_BSLASHd] = ACTIONS(3383),
    [anon_sym_BSLASHsd] = ACTIONS(3383),
    [anon_sym_BSLASHp] = ACTIONS(3383),
    [anon_sym_BSLASHm] = ACTIONS(3383),
    [anon_sym_BSLASHpo] = ACTIONS(3383),
    [anon_sym_BSLASHpr] = ACTIONS(3383),
    [anon_sym_BSLASHcls] = ACTIONS(3383),
    [anon_sym_BSLASHpmo] = ACTIONS(3383),
    [anon_sym_BSLASHpm] = ACTIONS(3383),
    [anon_sym_BSLASHpmc] = ACTIONS(3383),
    [anon_sym_BSLASHpmr] = ACTIONS(3383),
    [anon_sym_BSLASHpi] = ACTIONS(3383),
    [anon_sym_BSLASHmi] = ACTIONS(3383),
    [anon_sym_BSLASHnb] = ACTIONS(3383),
    [anon_sym_BSLASHpc] = ACTIONS(3383),
    [anon_sym_BSLASHph] = ACTIONS(3383),
    [anon_sym_BSLASHb] = ACTIONS(3383),
    [anon_sym_BSLASHq] = ACTIONS(3383),
    [anon_sym_BSLASHqr] = ACTIONS(3383),
    [anon_sym_BSLASHqc] = ACTIONS(3383),
    [anon_sym_BSLASHqs] = ACTIONS(3383),
    [anon_sym_BSLASHqa] = ACTIONS(3383),
    [anon_sym_BSLASHqac] = ACTIONS(3383),
    [anon_sym_BSLASHqm] = ACTIONS(3383),
    [anon_sym_BSLASHqd] = ACTIONS(3383),
    [anon_sym_BSLASHlh] = ACTIONS(3383),
    [anon_sym_BSLASHli] = ACTIONS(3383),
    [anon_sym_BSLASHlim] = ACTIONS(3383),
    [anon_sym_BSLASHtr] = ACTIONS(3383),
    [anon_sym_BSLASHf] = ACTIONS(3383),
    [anon_sym_BSLASHfe] = ACTIONS(3383),
    [anon_sym_BSLASHef] = ACTIONS(3383),
    [anon_sym_BSLASHfm] = ACTIONS(3383),
    [anon_sym_BSLASHx] = ACTIONS(3383),
    [anon_sym_BSLASHxt] = ACTIONS(3383),
    [anon_sym_BSLASHrq] = ACTIONS(3383),
    [anon_sym_BSLASHadd] = ACTIONS(3478),
    [anon_sym_BSLASHbk] = ACTIONS(3481),
    [anon_sym_BSLASHdc] = ACTIONS(3484),
    [anon_sym_BSLASHk] = ACTIONS(3487),
    [anon_sym_BSLASHnd] = ACTIONS(3490),
    [anon_sym_BSLASHord] = ACTIONS(3493),
    [anon_sym_BSLASHpn] = ACTIONS(3496),
    [anon_sym_BSLASHpng] = ACTIONS(3499),
    [anon_sym_BSLASHaddpn] = ACTIONS(3502),
    [anon_sym_BSLASHqt] = ACTIONS(3505),
    [anon_sym_BSLASHsig] = ACTIONS(3508),
    [anon_sym_BSLASHsls] = ACTIONS(3511),
    [anon_sym_BSLASHtl] = ACTIONS(3514),
    [anon_sym_BSLASHwj] = ACTIONS(3517),
    [anon_sym_BSLASHem] = ACTIONS(3520),
    [anon_sym_BSLASHbd] = ACTIONS(3523),
    [anon_sym_BSLASHit] = ACTIONS(3526),
    [anon_sym_BSLASHbdit] = ACTIONS(3529),
    [anon_sym_BSLASHno] = ACTIONS(3532),
    [anon_sym_BSLASHsc] = ACTIONS(3535),
    [anon_sym_BSLASHsup] = ACTIONS(3538),
    [anon_sym_BSLASHndx] = ACTIONS(3541),
    [anon_sym_BSLASHpro] = ACTIONS(3544),
    [anon_sym_BSLASHrb] = ACTIONS(3547),
    [anon_sym_BSLASHw] = ACTIONS(3550),
    [anon_sym_BSLASHwg] = ACTIONS(3553),
    [anon_sym_BSLASHwh] = ACTIONS(3556),
    [anon_sym_BSLASHwa] = ACTIONS(3559),
    [anon_sym_BSLASHfig] = ACTIONS(3562),
    [anon_sym_BSLASHjmp] = ACTIONS(3565),
    [anon_sym_BSLASHpb] = ACTIONS(3383),
    [anon_sym_BSLASH] = ACTIONS(3383),
    [sym_milestoneStartTag] = ACTIONS(3383),
    [sym_milestoneEndTag] = ACTIONS(3383),
    [sym_zSpaceTag] = ACTIONS(3383),
    [anon_sym_BSLASHesb] = ACTIONS(3383),
  },
  [312] = {
    [sym_text] = STATE(309),
    [sym_sr] = STATE(1306),
    [sym_r] = STATE(1329),
    [sym_footnote] = STATE(309),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(309),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [aux_sym_ms_repeat1] = STATE(309),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHsts] = ACTIONS(3240),
    [anon_sym_BSLASHrem] = ACTIONS(3240),
    [anon_sym_BSLASHrestore] = ACTIONS(3240),
    [anon_sym_BSLASHlit] = ACTIONS(3240),
    [anon_sym_BSLASHip] = ACTIONS(3240),
    [anon_sym_BSLASHmte] = ACTIONS(3240),
    [anon_sym_BSLASHms] = ACTIONS(3240),
    [anon_sym_BSLASHs] = ACTIONS(3240),
    [anon_sym_BSLASHsr] = ACTIONS(3242),
    [anon_sym_BSLASHr] = ACTIONS(3244),
    [anon_sym_BSLASHsp] = ACTIONS(3240),
    [anon_sym_BSLASHd] = ACTIONS(3240),
    [anon_sym_BSLASHsd] = ACTIONS(3240),
    [anon_sym_BSLASHp] = ACTIONS(3240),
    [anon_sym_BSLASHm] = ACTIONS(3240),
    [anon_sym_BSLASHpo] = ACTIONS(3240),
    [anon_sym_BSLASHpr] = ACTIONS(3240),
    [anon_sym_BSLASHcls] = ACTIONS(3240),
    [anon_sym_BSLASHpmo] = ACTIONS(3240),
    [anon_sym_BSLASHpm] = ACTIONS(3240),
    [anon_sym_BSLASHpmc] = ACTIONS(3240),
    [anon_sym_BSLASHpmr] = ACTIONS(3240),
    [anon_sym_BSLASHpi] = ACTIONS(3240),
    [anon_sym_BSLASHmi] = ACTIONS(3240),
    [anon_sym_BSLASHnb] = ACTIONS(3240),
    [anon_sym_BSLASHpc] = ACTIONS(3240),
    [anon_sym_BSLASHph] = ACTIONS(3240),
    [anon_sym_BSLASHb] = ACTIONS(3240),
    [anon_sym_BSLASHq] = ACTIONS(3240),
    [anon_sym_BSLASHqr] = ACTIONS(3240),
    [anon_sym_BSLASHqc] = ACTIONS(3240),
    [anon_sym_BSLASHqa] = ACTIONS(3240),
    [anon_sym_BSLASHqm] = ACTIONS(3240),
    [anon_sym_BSLASHqd] = ACTIONS(3240),
    [anon_sym_BSLASHlh] = ACTIONS(3240),
    [anon_sym_BSLASHli] = ACTIONS(3240),
    [anon_sym_BSLASHlim] = ACTIONS(3240),
    [anon_sym_BSLASHtr] = ACTIONS(3240),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(3240),
    [anon_sym_BSLASH] = ACTIONS(3240),
    [sym_milestoneStartTag] = ACTIONS(3240),
    [sym_milestoneEndTag] = ACTIONS(3240),
    [sym_zSpaceTag] = ACTIONS(3240),
    [anon_sym_BSLASHesbe] = ACTIONS(3240),
    [anon_sym_BSLASHcat] = ACTIONS(3240),
  },
  [313] = {
    [sym_text] = STATE(314),
    [sym_mr] = STATE(1339),
    [sym_footnote] = STATE(314),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(314),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(314),
    [sym_bk] = STATE(314),
    [sym_dc] = STATE(314),
    [sym_k] = STATE(314),
    [sym_nd] = STATE(314),
    [sym_ord] = STATE(314),
    [sym_pn] = STATE(314),
    [sym_png] = STATE(314),
    [sym_addpn] = STATE(314),
    [sym_qt] = STATE(314),
    [sym_sig] = STATE(314),
    [sym_sls] = STATE(314),
    [sym_tl] = STATE(314),
    [sym_wj] = STATE(314),
    [sym_em] = STATE(314),
    [sym_bd] = STATE(314),
    [sym_it] = STATE(314),
    [sym_bdit] = STATE(314),
    [sym_no] = STATE(314),
    [sym_sc] = STATE(314),
    [sym_sup] = STATE(314),
    [sym_ndx] = STATE(314),
    [sym_pro] = STATE(314),
    [sym_rb] = STATE(314),
    [sym_w] = STATE(314),
    [sym_wg] = STATE(314),
    [sym_wh] = STATE(314),
    [sym_wa] = STATE(314),
    [sym__characterMarker] = STATE(314),
    [sym_fig] = STATE(314),
    [sym_jmp] = STATE(314),
    [aux_sym_ms_repeat1] = STATE(314),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHsts] = ACTIONS(3370),
    [anon_sym_BSLASHrem] = ACTIONS(3370),
    [anon_sym_BSLASHrestore] = ACTIONS(3370),
    [anon_sym_BSLASHlit] = ACTIONS(3370),
    [anon_sym_BSLASHip] = ACTIONS(3370),
    [anon_sym_BSLASHmte] = ACTIONS(3370),
    [anon_sym_BSLASHms] = ACTIONS(3370),
    [anon_sym_BSLASHmr] = ACTIONS(3372),
    [anon_sym_BSLASHs] = ACTIONS(3370),
    [anon_sym_BSLASHr] = ACTIONS(3370),
    [anon_sym_BSLASHsp] = ACTIONS(3370),
    [anon_sym_BSLASHd] = ACTIONS(3370),
    [anon_sym_BSLASHsd] = ACTIONS(3370),
    [anon_sym_BSLASHp] = ACTIONS(3370),
    [anon_sym_BSLASHm] = ACTIONS(3370),
    [anon_sym_BSLASHpo] = ACTIONS(3370),
    [anon_sym_BSLASHpr] = ACTIONS(3370),
    [anon_sym_BSLASHcls] = ACTIONS(3370),
    [anon_sym_BSLASHpmo] = ACTIONS(3370),
    [anon_sym_BSLASHpm] = ACTIONS(3370),
    [anon_sym_BSLASHpmc] = ACTIONS(3370),
    [anon_sym_BSLASHpmr] = ACTIONS(3370),
    [anon_sym_BSLASHpi] = ACTIONS(3370),
    [anon_sym_BSLASHmi] = ACTIONS(3370),
    [anon_sym_BSLASHnb] = ACTIONS(3370),
    [anon_sym_BSLASHpc] = ACTIONS(3370),
    [anon_sym_BSLASHph] = ACTIONS(3370),
    [anon_sym_BSLASHb] = ACTIONS(3370),
    [anon_sym_BSLASHq] = ACTIONS(3370),
    [anon_sym_BSLASHqr] = ACTIONS(3370),
    [anon_sym_BSLASHqc] = ACTIONS(3370),
    [anon_sym_BSLASHqa] = ACTIONS(3370),
    [anon_sym_BSLASHqm] = ACTIONS(3370),
    [anon_sym_BSLASHqd] = ACTIONS(3370),
    [anon_sym_BSLASHlh] = ACTIONS(3370),
    [anon_sym_BSLASHli] = ACTIONS(3370),
    [anon_sym_BSLASHlim] = ACTIONS(3370),
    [anon_sym_BSLASHtr] = ACTIONS(3370),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(3370),
    [anon_sym_BSLASH] = ACTIONS(3370),
    [sym_milestoneStartTag] = ACTIONS(3370),
    [sym_milestoneEndTag] = ACTIONS(3370),
    [sym_zSpaceTag] = ACTIONS(3370),
    [anon_sym_BSLASHesbe] = ACTIONS(3370),
    [anon_sym_BSLASHcat] = ACTIONS(3370),
  },
  [314] = {
    [sym_text] = STATE(314),
    [sym_footnote] = STATE(314),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(314),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(314),
    [sym_bk] = STATE(314),
    [sym_dc] = STATE(314),
    [sym_k] = STATE(314),
    [sym_nd] = STATE(314),
    [sym_ord] = STATE(314),
    [sym_pn] = STATE(314),
    [sym_png] = STATE(314),
    [sym_addpn] = STATE(314),
    [sym_qt] = STATE(314),
    [sym_sig] = STATE(314),
    [sym_sls] = STATE(314),
    [sym_tl] = STATE(314),
    [sym_wj] = STATE(314),
    [sym_em] = STATE(314),
    [sym_bd] = STATE(314),
    [sym_it] = STATE(314),
    [sym_bdit] = STATE(314),
    [sym_no] = STATE(314),
    [sym_sc] = STATE(314),
    [sym_sup] = STATE(314),
    [sym_ndx] = STATE(314),
    [sym_pro] = STATE(314),
    [sym_rb] = STATE(314),
    [sym_w] = STATE(314),
    [sym_wg] = STATE(314),
    [sym_wh] = STATE(314),
    [sym_wa] = STATE(314),
    [sym__characterMarker] = STATE(314),
    [sym_fig] = STATE(314),
    [sym_jmp] = STATE(314),
    [aux_sym_ms_repeat1] = STATE(314),
    [aux_sym_text_token1] = ACTIONS(3568),
    [anon_sym_BSLASHsts] = ACTIONS(3255),
    [anon_sym_BSLASHrem] = ACTIONS(3255),
    [anon_sym_BSLASHrestore] = ACTIONS(3255),
    [anon_sym_BSLASHlit] = ACTIONS(3255),
    [anon_sym_BSLASHip] = ACTIONS(3255),
    [anon_sym_BSLASHmte] = ACTIONS(3255),
    [anon_sym_BSLASHms] = ACTIONS(3255),
    [anon_sym_BSLASHmr] = ACTIONS(3255),
    [anon_sym_BSLASHs] = ACTIONS(3255),
    [anon_sym_BSLASHsr] = ACTIONS(3255),
    [anon_sym_BSLASHr] = ACTIONS(3255),
    [anon_sym_BSLASHsp] = ACTIONS(3255),
    [anon_sym_BSLASHd] = ACTIONS(3255),
    [anon_sym_BSLASHsd] = ACTIONS(3255),
    [anon_sym_BSLASHp] = ACTIONS(3255),
    [anon_sym_BSLASHm] = ACTIONS(3255),
    [anon_sym_BSLASHpo] = ACTIONS(3255),
    [anon_sym_BSLASHpr] = ACTIONS(3255),
    [anon_sym_BSLASHcls] = ACTIONS(3255),
    [anon_sym_BSLASHpmo] = ACTIONS(3255),
    [anon_sym_BSLASHpm] = ACTIONS(3255),
    [anon_sym_BSLASHpmc] = ACTIONS(3255),
    [anon_sym_BSLASHpmr] = ACTIONS(3255),
    [anon_sym_BSLASHpi] = ACTIONS(3255),
    [anon_sym_BSLASHmi] = ACTIONS(3255),
    [anon_sym_BSLASHnb] = ACTIONS(3255),
    [anon_sym_BSLASHpc] = ACTIONS(3255),
    [anon_sym_BSLASHph] = ACTIONS(3255),
    [anon_sym_BSLASHb] = ACTIONS(3255),
    [anon_sym_BSLASHq] = ACTIONS(3255),
    [anon_sym_BSLASHqr] = ACTIONS(3255),
    [anon_sym_BSLASHqc] = ACTIONS(3255),
    [anon_sym_BSLASHqa] = ACTIONS(3255),
    [anon_sym_BSLASHqm] = ACTIONS(3255),
    [anon_sym_BSLASHqd] = ACTIONS(3255),
    [anon_sym_BSLASHlh] = ACTIONS(3255),
    [anon_sym_BSLASHli] = ACTIONS(3255),
    [anon_sym_BSLASHlim] = ACTIONS(3255),
    [anon_sym_BSLASHtr] = ACTIONS(3255),
    [anon_sym_BSLASHf] = ACTIONS(3571),
    [anon_sym_BSLASHfe] = ACTIONS(3574),
    [anon_sym_BSLASHef] = ACTIONS(3577),
    [anon_sym_BSLASHfm] = ACTIONS(3580),
    [anon_sym_BSLASHx] = ACTIONS(3583),
    [anon_sym_BSLASHxt] = ACTIONS(3586),
    [anon_sym_BSLASHrq] = ACTIONS(3589),
    [anon_sym_BSLASHadd] = ACTIONS(3592),
    [anon_sym_BSLASHbk] = ACTIONS(3595),
    [anon_sym_BSLASHdc] = ACTIONS(3598),
    [anon_sym_BSLASHk] = ACTIONS(3601),
    [anon_sym_BSLASHnd] = ACTIONS(3604),
    [anon_sym_BSLASHord] = ACTIONS(3607),
    [anon_sym_BSLASHpn] = ACTIONS(3610),
    [anon_sym_BSLASHpng] = ACTIONS(3613),
    [anon_sym_BSLASHaddpn] = ACTIONS(3616),
    [anon_sym_BSLASHqt] = ACTIONS(3619),
    [anon_sym_BSLASHsig] = ACTIONS(3622),
    [anon_sym_BSLASHsls] = ACTIONS(3625),
    [anon_sym_BSLASHtl] = ACTIONS(3628),
    [anon_sym_BSLASHwj] = ACTIONS(3631),
    [anon_sym_BSLASHem] = ACTIONS(3634),
    [anon_sym_BSLASHbd] = ACTIONS(3637),
    [anon_sym_BSLASHit] = ACTIONS(3640),
    [anon_sym_BSLASHbdit] = ACTIONS(3643),
    [anon_sym_BSLASHno] = ACTIONS(3646),
    [anon_sym_BSLASHsc] = ACTIONS(3649),
    [anon_sym_BSLASHsup] = ACTIONS(3652),
    [anon_sym_BSLASHndx] = ACTIONS(3655),
    [anon_sym_BSLASHpro] = ACTIONS(3658),
    [anon_sym_BSLASHrb] = ACTIONS(3661),
    [anon_sym_BSLASHw] = ACTIONS(3664),
    [anon_sym_BSLASHwg] = ACTIONS(3667),
    [anon_sym_BSLASHwh] = ACTIONS(3670),
    [anon_sym_BSLASHwa] = ACTIONS(3673),
    [anon_sym_BSLASHfig] = ACTIONS(3676),
    [anon_sym_BSLASHjmp] = ACTIONS(3679),
    [anon_sym_BSLASHpb] = ACTIONS(3255),
    [anon_sym_BSLASH] = ACTIONS(3255),
    [sym_milestoneStartTag] = ACTIONS(3255),
    [sym_milestoneEndTag] = ACTIONS(3255),
    [sym_zSpaceTag] = ACTIONS(3255),
    [anon_sym_BSLASHesbe] = ACTIONS(3255),
    [anon_sym_BSLASHcat] = ACTIONS(3255),
  },
  [315] = {
    [sym_text] = STATE(315),
    [sym_add] = STATE(315),
    [sym_bk] = STATE(315),
    [sym_dc] = STATE(315),
    [sym_k] = STATE(315),
    [sym_nd] = STATE(315),
    [sym_ord] = STATE(315),
    [sym_pn] = STATE(315),
    [sym_png] = STATE(315),
    [sym_addpn] = STATE(315),
    [sym_qt] = STATE(315),
    [sym_sig] = STATE(315),
    [sym_sls] = STATE(315),
    [sym_tl] = STATE(315),
    [sym_wj] = STATE(315),
    [sym_em] = STATE(315),
    [sym_bd] = STATE(315),
    [sym_it] = STATE(315),
    [sym_bdit] = STATE(315),
    [sym_no] = STATE(315),
    [sym_sc] = STATE(315),
    [sym_sup] = STATE(315),
    [sym_ndx] = STATE(315),
    [sym_pro] = STATE(315),
    [sym_rb] = STATE(315),
    [sym_w] = STATE(315),
    [sym_wg] = STATE(315),
    [sym_wh] = STATE(315),
    [sym_wa] = STATE(315),
    [sym__characterMarker] = STATE(315),
    [sym_fig] = STATE(315),
    [sym_jmp] = STATE(315),
    [aux_sym_verseText_repeat1] = STATE(315),
    [aux_sym_text_token1] = ACTIONS(3682),
    [anon_sym_BSLASHref] = ACTIONS(3383),
    [anon_sym_BSLASHsts] = ACTIONS(3383),
    [anon_sym_BSLASHrem] = ACTIONS(3383),
    [anon_sym_BSLASHrestore] = ACTIONS(3383),
    [anon_sym_BSLASHlit] = ACTIONS(3383),
    [anon_sym_BSLASHip] = ACTIONS(3383),
    [anon_sym_BSLASHv] = ACTIONS(3383),
    [anon_sym_BSLASHva] = ACTIONS(3383),
    [anon_sym_BSLASHvp] = ACTIONS(3383),
    [anon_sym_BSLASHmte] = ACTIONS(3383),
    [anon_sym_BSLASHms] = ACTIONS(3383),
    [anon_sym_BSLASHs] = ACTIONS(3383),
    [anon_sym_BSLASHr] = ACTIONS(3383),
    [anon_sym_BSLASHsp] = ACTIONS(3383),
    [anon_sym_BSLASHd] = ACTIONS(3383),
    [anon_sym_BSLASHsd] = ACTIONS(3383),
    [anon_sym_BSLASHp] = ACTIONS(3383),
    [anon_sym_BSLASHm] = ACTIONS(3383),
    [anon_sym_BSLASHpo] = ACTIONS(3383),
    [anon_sym_BSLASHpr] = ACTIONS(3383),
    [anon_sym_BSLASHcls] = ACTIONS(3383),
    [anon_sym_BSLASHpmo] = ACTIONS(3383),
    [anon_sym_BSLASHpm] = ACTIONS(3383),
    [anon_sym_BSLASHpmc] = ACTIONS(3383),
    [anon_sym_BSLASHpmr] = ACTIONS(3383),
    [anon_sym_BSLASHpi] = ACTIONS(3383),
    [anon_sym_BSLASHmi] = ACTIONS(3383),
    [anon_sym_BSLASHnb] = ACTIONS(3383),
    [anon_sym_BSLASHpc] = ACTIONS(3383),
    [anon_sym_BSLASHph] = ACTIONS(3383),
    [anon_sym_BSLASHb] = ACTIONS(3383),
    [anon_sym_BSLASHq] = ACTIONS(3383),
    [anon_sym_BSLASHqr] = ACTIONS(3383),
    [anon_sym_BSLASHqc] = ACTIONS(3383),
    [anon_sym_BSLASHqa] = ACTIONS(3383),
    [anon_sym_BSLASHqm] = ACTIONS(3383),
    [anon_sym_BSLASHqd] = ACTIONS(3383),
    [anon_sym_BSLASHlh] = ACTIONS(3383),
    [anon_sym_BSLASHlf] = ACTIONS(3383),
    [anon_sym_BSLASHli] = ACTIONS(3383),
    [anon_sym_BSLASHlim] = ACTIONS(3383),
    [anon_sym_BSLASHliv] = ACTIONS(3383),
    [anon_sym_BSLASHlik] = ACTIONS(3383),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(3383),
    [anon_sym_BSLASHlitl] = ACTIONS(3383),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(3383),
    [anon_sym_BSLASHtr] = ACTIONS(3383),
    [anon_sym_BSLASHf] = ACTIONS(3383),
    [anon_sym_BSLASHfe] = ACTIONS(3383),
    [anon_sym_BSLASHef] = ACTIONS(3383),
    [anon_sym_BSLASHfm] = ACTIONS(3383),
    [anon_sym_BSLASHx] = ACTIONS(3383),
    [anon_sym_BSLASHxt] = ACTIONS(3383),
    [anon_sym_BSLASHrq] = ACTIONS(3383),
    [anon_sym_BSLASHadd] = ACTIONS(3685),
    [anon_sym_BSLASHbk] = ACTIONS(3688),
    [anon_sym_BSLASHdc] = ACTIONS(3691),
    [anon_sym_BSLASHk] = ACTIONS(3694),
    [anon_sym_BSLASHnd] = ACTIONS(3697),
    [anon_sym_BSLASHord] = ACTIONS(3700),
    [anon_sym_BSLASHpn] = ACTIONS(3703),
    [anon_sym_BSLASHpng] = ACTIONS(3706),
    [anon_sym_BSLASHaddpn] = ACTIONS(3709),
    [anon_sym_BSLASHqt] = ACTIONS(3712),
    [anon_sym_BSLASHsig] = ACTIONS(3715),
    [anon_sym_BSLASHsls] = ACTIONS(3718),
    [anon_sym_BSLASHtl] = ACTIONS(3721),
    [anon_sym_BSLASHwj] = ACTIONS(3724),
    [anon_sym_BSLASHem] = ACTIONS(3727),
    [anon_sym_BSLASHbd] = ACTIONS(3730),
    [anon_sym_BSLASHit] = ACTIONS(3733),
    [anon_sym_BSLASHbdit] = ACTIONS(3736),
    [anon_sym_BSLASHno] = ACTIONS(3739),
    [anon_sym_BSLASHsc] = ACTIONS(3742),
    [anon_sym_BSLASHsup] = ACTIONS(3745),
    [anon_sym_BSLASHndx] = ACTIONS(3748),
    [anon_sym_BSLASHpro] = ACTIONS(3751),
    [anon_sym_BSLASHrb] = ACTIONS(3754),
    [anon_sym_BSLASHw] = ACTIONS(3757),
    [anon_sym_BSLASHwg] = ACTIONS(3760),
    [anon_sym_BSLASHwh] = ACTIONS(3763),
    [anon_sym_BSLASHwa] = ACTIONS(3766),
    [anon_sym_BSLASHfig] = ACTIONS(3769),
    [anon_sym_BSLASHjmp] = ACTIONS(3772),
    [anon_sym_BSLASHpb] = ACTIONS(3383),
    [anon_sym_BSLASH] = ACTIONS(3383),
    [sym_milestoneStartTag] = ACTIONS(3383),
    [sym_milestoneEndTag] = ACTIONS(3383),
    [sym_zSpaceTag] = ACTIONS(3383),
    [anon_sym_BSLASHesbe] = ACTIONS(3383),
    [anon_sym_BSLASHcat] = ACTIONS(3383),
  },
  [316] = {
    [sym_text] = STATE(315),
    [sym_add] = STATE(315),
    [sym_bk] = STATE(315),
    [sym_dc] = STATE(315),
    [sym_k] = STATE(315),
    [sym_nd] = STATE(315),
    [sym_ord] = STATE(315),
    [sym_pn] = STATE(315),
    [sym_png] = STATE(315),
    [sym_addpn] = STATE(315),
    [sym_qt] = STATE(315),
    [sym_sig] = STATE(315),
    [sym_sls] = STATE(315),
    [sym_tl] = STATE(315),
    [sym_wj] = STATE(315),
    [sym_em] = STATE(315),
    [sym_bd] = STATE(315),
    [sym_it] = STATE(315),
    [sym_bdit] = STATE(315),
    [sym_no] = STATE(315),
    [sym_sc] = STATE(315),
    [sym_sup] = STATE(315),
    [sym_ndx] = STATE(315),
    [sym_pro] = STATE(315),
    [sym_rb] = STATE(315),
    [sym_w] = STATE(315),
    [sym_wg] = STATE(315),
    [sym_wh] = STATE(315),
    [sym_wa] = STATE(315),
    [sym__characterMarker] = STATE(315),
    [sym_fig] = STATE(315),
    [sym_jmp] = STATE(315),
    [aux_sym_verseText_repeat1] = STATE(315),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(3376),
    [anon_sym_BSLASHsts] = ACTIONS(3376),
    [anon_sym_BSLASHrem] = ACTIONS(3376),
    [anon_sym_BSLASHrestore] = ACTIONS(3376),
    [anon_sym_BSLASHlit] = ACTIONS(3376),
    [anon_sym_BSLASHip] = ACTIONS(3376),
    [anon_sym_BSLASHv] = ACTIONS(3376),
    [anon_sym_BSLASHva] = ACTIONS(3376),
    [anon_sym_BSLASHvp] = ACTIONS(3376),
    [anon_sym_BSLASHmte] = ACTIONS(3376),
    [anon_sym_BSLASHms] = ACTIONS(3376),
    [anon_sym_BSLASHs] = ACTIONS(3376),
    [anon_sym_BSLASHr] = ACTIONS(3376),
    [anon_sym_BSLASHsp] = ACTIONS(3376),
    [anon_sym_BSLASHd] = ACTIONS(3376),
    [anon_sym_BSLASHsd] = ACTIONS(3376),
    [anon_sym_BSLASHp] = ACTIONS(3376),
    [anon_sym_BSLASHm] = ACTIONS(3376),
    [anon_sym_BSLASHpo] = ACTIONS(3376),
    [anon_sym_BSLASHpr] = ACTIONS(3376),
    [anon_sym_BSLASHcls] = ACTIONS(3376),
    [anon_sym_BSLASHpmo] = ACTIONS(3376),
    [anon_sym_BSLASHpm] = ACTIONS(3376),
    [anon_sym_BSLASHpmc] = ACTIONS(3376),
    [anon_sym_BSLASHpmr] = ACTIONS(3376),
    [anon_sym_BSLASHpi] = ACTIONS(3376),
    [anon_sym_BSLASHmi] = ACTIONS(3376),
    [anon_sym_BSLASHnb] = ACTIONS(3376),
    [anon_sym_BSLASHpc] = ACTIONS(3376),
    [anon_sym_BSLASHph] = ACTIONS(3376),
    [anon_sym_BSLASHb] = ACTIONS(3376),
    [anon_sym_BSLASHq] = ACTIONS(3376),
    [anon_sym_BSLASHqr] = ACTIONS(3376),
    [anon_sym_BSLASHqc] = ACTIONS(3376),
    [anon_sym_BSLASHqa] = ACTIONS(3376),
    [anon_sym_BSLASHqm] = ACTIONS(3376),
    [anon_sym_BSLASHqd] = ACTIONS(3376),
    [anon_sym_BSLASHlh] = ACTIONS(3376),
    [anon_sym_BSLASHlf] = ACTIONS(3376),
    [anon_sym_BSLASHli] = ACTIONS(3376),
    [anon_sym_BSLASHlim] = ACTIONS(3376),
    [anon_sym_BSLASHliv] = ACTIONS(3376),
    [anon_sym_BSLASHlik] = ACTIONS(3376),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(3376),
    [anon_sym_BSLASHlitl] = ACTIONS(3376),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(3376),
    [anon_sym_BSLASHtr] = ACTIONS(3376),
    [anon_sym_BSLASHf] = ACTIONS(3376),
    [anon_sym_BSLASHfe] = ACTIONS(3376),
    [anon_sym_BSLASHef] = ACTIONS(3376),
    [anon_sym_BSLASHfm] = ACTIONS(3376),
    [anon_sym_BSLASHx] = ACTIONS(3376),
    [anon_sym_BSLASHxt] = ACTIONS(3376),
    [anon_sym_BSLASHrq] = ACTIONS(3376),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(3376),
    [anon_sym_BSLASH] = ACTIONS(3376),
    [sym_milestoneStartTag] = ACTIONS(3376),
    [sym_milestoneEndTag] = ACTIONS(3376),
    [sym_zSpaceTag] = ACTIONS(3376),
    [anon_sym_BSLASHesbe] = ACTIONS(3376),
    [anon_sym_BSLASHcat] = ACTIONS(3376),
  },
  [317] = {
    [sym_text] = STATE(319),
    [sym_ref] = STATE(319),
    [aux_sym__introText] = STATE(319),
    [sym_iqt] = STATE(319),
    [sym_xt_standalone] = STATE(319),
    [sym_add] = STATE(319),
    [sym_bk] = STATE(319),
    [sym_dc] = STATE(319),
    [sym_k] = STATE(319),
    [sym_nd] = STATE(319),
    [sym_ord] = STATE(319),
    [sym_pn] = STATE(319),
    [sym_png] = STATE(319),
    [sym_addpn] = STATE(319),
    [sym_qt] = STATE(319),
    [sym_sig] = STATE(319),
    [sym_sls] = STATE(319),
    [sym_tl] = STATE(319),
    [sym_wj] = STATE(319),
    [sym_em] = STATE(319),
    [sym_bd] = STATE(319),
    [sym_it] = STATE(319),
    [sym_bdit] = STATE(319),
    [sym_no] = STATE(319),
    [sym_sc] = STATE(319),
    [sym_sup] = STATE(319),
    [sym_ndx] = STATE(319),
    [sym_pro] = STATE(319),
    [sym_rb] = STATE(319),
    [sym_w] = STATE(319),
    [sym_wg] = STATE(319),
    [sym_wh] = STATE(319),
    [sym_wa] = STATE(319),
    [sym__characterMarker] = STATE(319),
    [sym_fig] = STATE(319),
    [sym_jmp] = STATE(319),
    [ts_builtin_sym_end] = ACTIONS(3775),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(3777),
    [anon_sym_BSLASHrem] = ACTIONS(3777),
    [anon_sym_BSLASHrestore] = ACTIONS(3777),
    [anon_sym_BSLASHlit] = ACTIONS(3777),
    [anon_sym_BSLASHiqt] = ACTIONS(3779),
    [anon_sym_BSLASHip] = ACTIONS(3777),
    [anon_sym_BSLASHiex] = ACTIONS(3777),
    [anon_sym_BSLASHc] = ACTIONS(3777),
    [anon_sym_BSLASHcl] = ACTIONS(3777),
    [anon_sym_BSLASHca] = ACTIONS(3777),
    [anon_sym_BSLASHcp] = ACTIONS(3777),
    [anon_sym_BSLASHcd] = ACTIONS(3777),
    [anon_sym_BSLASHmte] = ACTIONS(3777),
    [anon_sym_BSLASHms] = ACTIONS(3777),
    [anon_sym_BSLASHs] = ACTIONS(3777),
    [anon_sym_BSLASHr] = ACTIONS(3777),
    [anon_sym_BSLASHsp] = ACTIONS(3777),
    [anon_sym_BSLASHd] = ACTIONS(3777),
    [anon_sym_BSLASHsd] = ACTIONS(3777),
    [anon_sym_BSLASHp] = ACTIONS(3777),
    [anon_sym_BSLASHm] = ACTIONS(3777),
    [anon_sym_BSLASHpo] = ACTIONS(3777),
    [anon_sym_BSLASHpr] = ACTIONS(3777),
    [anon_sym_BSLASHcls] = ACTIONS(3777),
    [anon_sym_BSLASHpmo] = ACTIONS(3777),
    [anon_sym_BSLASHpm] = ACTIONS(3777),
    [anon_sym_BSLASHpmc] = ACTIONS(3777),
    [anon_sym_BSLASHpmr] = ACTIONS(3777),
    [anon_sym_BSLASHpi] = ACTIONS(3777),
    [anon_sym_BSLASHmi] = ACTIONS(3777),
    [anon_sym_BSLASHnb] = ACTIONS(3777),
    [anon_sym_BSLASHpc] = ACTIONS(3777),
    [anon_sym_BSLASHph] = ACTIONS(3777),
    [anon_sym_BSLASHb] = ACTIONS(3777),
    [anon_sym_BSLASHq] = ACTIONS(3777),
    [anon_sym_BSLASHqr] = ACTIONS(3777),
    [anon_sym_BSLASHqc] = ACTIONS(3777),
    [anon_sym_BSLASHqa] = ACTIONS(3777),
    [anon_sym_BSLASHqm] = ACTIONS(3777),
    [anon_sym_BSLASHqd] = ACTIONS(3777),
    [anon_sym_BSLASHlh] = ACTIONS(3777),
    [anon_sym_BSLASHli] = ACTIONS(3777),
    [anon_sym_BSLASHlim] = ACTIONS(3777),
    [anon_sym_BSLASHtr] = ACTIONS(3777),
    [anon_sym_BSLASHf] = ACTIONS(3777),
    [anon_sym_BSLASHfe] = ACTIONS(3777),
    [anon_sym_BSLASHef] = ACTIONS(3777),
    [anon_sym_BSLASHfm] = ACTIONS(3777),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(3777),
    [anon_sym_BSLASH] = ACTIONS(3777),
    [sym_milestoneStartTag] = ACTIONS(3777),
    [sym_milestoneEndTag] = ACTIONS(3777),
    [sym_zSpaceTag] = ACTIONS(3777),
    [anon_sym_BSLASHesb] = ACTIONS(3777),
  },
  [318] = {
    [sym_text] = STATE(319),
    [sym_ref] = STATE(319),
    [aux_sym__introText] = STATE(319),
    [sym_iqt] = STATE(319),
    [sym_xt_standalone] = STATE(319),
    [sym_add] = STATE(319),
    [sym_bk] = STATE(319),
    [sym_dc] = STATE(319),
    [sym_k] = STATE(319),
    [sym_nd] = STATE(319),
    [sym_ord] = STATE(319),
    [sym_pn] = STATE(319),
    [sym_png] = STATE(319),
    [sym_addpn] = STATE(319),
    [sym_qt] = STATE(319),
    [sym_sig] = STATE(319),
    [sym_sls] = STATE(319),
    [sym_tl] = STATE(319),
    [sym_wj] = STATE(319),
    [sym_em] = STATE(319),
    [sym_bd] = STATE(319),
    [sym_it] = STATE(319),
    [sym_bdit] = STATE(319),
    [sym_no] = STATE(319),
    [sym_sc] = STATE(319),
    [sym_sup] = STATE(319),
    [sym_ndx] = STATE(319),
    [sym_pro] = STATE(319),
    [sym_rb] = STATE(319),
    [sym_w] = STATE(319),
    [sym_wg] = STATE(319),
    [sym_wh] = STATE(319),
    [sym_wa] = STATE(319),
    [sym__characterMarker] = STATE(319),
    [sym_fig] = STATE(319),
    [sym_jmp] = STATE(319),
    [ts_builtin_sym_end] = ACTIONS(3781),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHsts] = ACTIONS(3783),
    [anon_sym_BSLASHrem] = ACTIONS(3783),
    [anon_sym_BSLASHrestore] = ACTIONS(3783),
    [anon_sym_BSLASHlit] = ACTIONS(3783),
    [anon_sym_BSLASHiqt] = ACTIONS(3779),
    [anon_sym_BSLASHip] = ACTIONS(3783),
    [anon_sym_BSLASHiex] = ACTIONS(3783),
    [anon_sym_BSLASHc] = ACTIONS(3783),
    [anon_sym_BSLASHcl] = ACTIONS(3783),
    [anon_sym_BSLASHca] = ACTIONS(3783),
    [anon_sym_BSLASHcp] = ACTIONS(3783),
    [anon_sym_BSLASHcd] = ACTIONS(3783),
    [anon_sym_BSLASHmte] = ACTIONS(3783),
    [anon_sym_BSLASHms] = ACTIONS(3783),
    [anon_sym_BSLASHs] = ACTIONS(3783),
    [anon_sym_BSLASHr] = ACTIONS(3783),
    [anon_sym_BSLASHsp] = ACTIONS(3783),
    [anon_sym_BSLASHd] = ACTIONS(3783),
    [anon_sym_BSLASHsd] = ACTIONS(3783),
    [anon_sym_BSLASHp] = ACTIONS(3783),
    [anon_sym_BSLASHm] = ACTIONS(3783),
    [anon_sym_BSLASHpo] = ACTIONS(3783),
    [anon_sym_BSLASHpr] = ACTIONS(3783),
    [anon_sym_BSLASHcls] = ACTIONS(3783),
    [anon_sym_BSLASHpmo] = ACTIONS(3783),
    [anon_sym_BSLASHpm] = ACTIONS(3783),
    [anon_sym_BSLASHpmc] = ACTIONS(3783),
    [anon_sym_BSLASHpmr] = ACTIONS(3783),
    [anon_sym_BSLASHpi] = ACTIONS(3783),
    [anon_sym_BSLASHmi] = ACTIONS(3783),
    [anon_sym_BSLASHnb] = ACTIONS(3783),
    [anon_sym_BSLASHpc] = ACTIONS(3783),
    [anon_sym_BSLASHph] = ACTIONS(3783),
    [anon_sym_BSLASHb] = ACTIONS(3783),
    [anon_sym_BSLASHq] = ACTIONS(3783),
    [anon_sym_BSLASHqr] = ACTIONS(3783),
    [anon_sym_BSLASHqc] = ACTIONS(3783),
    [anon_sym_BSLASHqa] = ACTIONS(3783),
    [anon_sym_BSLASHqm] = ACTIONS(3783),
    [anon_sym_BSLASHqd] = ACTIONS(3783),
    [anon_sym_BSLASHlh] = ACTIONS(3783),
    [anon_sym_BSLASHli] = ACTIONS(3783),
    [anon_sym_BSLASHlim] = ACTIONS(3783),
    [anon_sym_BSLASHtr] = ACTIONS(3783),
    [anon_sym_BSLASHf] = ACTIONS(3783),
    [anon_sym_BSLASHfe] = ACTIONS(3783),
    [anon_sym_BSLASHef] = ACTIONS(3783),
    [anon_sym_BSLASHfm] = ACTIONS(3783),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(3783),
    [anon_sym_BSLASH] = ACTIONS(3783),
    [sym_milestoneStartTag] = ACTIONS(3783),
    [sym_milestoneEndTag] = ACTIONS(3783),
    [sym_zSpaceTag] = ACTIONS(3783),
    [anon_sym_BSLASHesb] = ACTIONS(3783),
  },
  [319] = {
    [sym_text] = STATE(319),
    [sym_ref] = STATE(319),
    [aux_sym__introText] = STATE(319),
    [sym_iqt] = STATE(319),
    [sym_xt_standalone] = STATE(319),
    [sym_add] = STATE(319),
    [sym_bk] = STATE(319),
    [sym_dc] = STATE(319),
    [sym_k] = STATE(319),
    [sym_nd] = STATE(319),
    [sym_ord] = STATE(319),
    [sym_pn] = STATE(319),
    [sym_png] = STATE(319),
    [sym_addpn] = STATE(319),
    [sym_qt] = STATE(319),
    [sym_sig] = STATE(319),
    [sym_sls] = STATE(319),
    [sym_tl] = STATE(319),
    [sym_wj] = STATE(319),
    [sym_em] = STATE(319),
    [sym_bd] = STATE(319),
    [sym_it] = STATE(319),
    [sym_bdit] = STATE(319),
    [sym_no] = STATE(319),
    [sym_sc] = STATE(319),
    [sym_sup] = STATE(319),
    [sym_ndx] = STATE(319),
    [sym_pro] = STATE(319),
    [sym_rb] = STATE(319),
    [sym_w] = STATE(319),
    [sym_wg] = STATE(319),
    [sym_wh] = STATE(319),
    [sym_wa] = STATE(319),
    [sym__characterMarker] = STATE(319),
    [sym_fig] = STATE(319),
    [sym_jmp] = STATE(319),
    [ts_builtin_sym_end] = ACTIONS(3785),
    [aux_sym_text_token1] = ACTIONS(3787),
    [anon_sym_BSLASHref] = ACTIONS(3790),
    [anon_sym_BSLASHsts] = ACTIONS(3793),
    [anon_sym_BSLASHrem] = ACTIONS(3793),
    [anon_sym_BSLASHrestore] = ACTIONS(3793),
    [anon_sym_BSLASHlit] = ACTIONS(3793),
    [anon_sym_BSLASHiqt] = ACTIONS(3795),
    [anon_sym_BSLASHip] = ACTIONS(3793),
    [anon_sym_BSLASHiex] = ACTIONS(3793),
    [anon_sym_BSLASHc] = ACTIONS(3793),
    [anon_sym_BSLASHcl] = ACTIONS(3793),
    [anon_sym_BSLASHca] = ACTIONS(3793),
    [anon_sym_BSLASHcp] = ACTIONS(3793),
    [anon_sym_BSLASHcd] = ACTIONS(3793),
    [anon_sym_BSLASHmte] = ACTIONS(3793),
    [anon_sym_BSLASHms] = ACTIONS(3793),
    [anon_sym_BSLASHs] = ACTIONS(3793),
    [anon_sym_BSLASHr] = ACTIONS(3793),
    [anon_sym_BSLASHsp] = ACTIONS(3793),
    [anon_sym_BSLASHd] = ACTIONS(3793),
    [anon_sym_BSLASHsd] = ACTIONS(3793),
    [anon_sym_BSLASHp] = ACTIONS(3793),
    [anon_sym_BSLASHm] = ACTIONS(3793),
    [anon_sym_BSLASHpo] = ACTIONS(3793),
    [anon_sym_BSLASHpr] = ACTIONS(3793),
    [anon_sym_BSLASHcls] = ACTIONS(3793),
    [anon_sym_BSLASHpmo] = ACTIONS(3793),
    [anon_sym_BSLASHpm] = ACTIONS(3793),
    [anon_sym_BSLASHpmc] = ACTIONS(3793),
    [anon_sym_BSLASHpmr] = ACTIONS(3793),
    [anon_sym_BSLASHpi] = ACTIONS(3793),
    [anon_sym_BSLASHmi] = ACTIONS(3793),
    [anon_sym_BSLASHnb] = ACTIONS(3793),
    [anon_sym_BSLASHpc] = ACTIONS(3793),
    [anon_sym_BSLASHph] = ACTIONS(3793),
    [anon_sym_BSLASHb] = ACTIONS(3793),
    [anon_sym_BSLASHq] = ACTIONS(3793),
    [anon_sym_BSLASHqr] = ACTIONS(3793),
    [anon_sym_BSLASHqc] = ACTIONS(3793),
    [anon_sym_BSLASHqa] = ACTIONS(3793),
    [anon_sym_BSLASHqm] = ACTIONS(3793),
    [anon_sym_BSLASHqd] = ACTIONS(3793),
    [anon_sym_BSLASHlh] = ACTIONS(3793),
    [anon_sym_BSLASHli] = ACTIONS(3793),
    [anon_sym_BSLASHlim] = ACTIONS(3793),
    [anon_sym_BSLASHtr] = ACTIONS(3793),
    [anon_sym_BSLASHf] = ACTIONS(3793),
    [anon_sym_BSLASHfe] = ACTIONS(3793),
    [anon_sym_BSLASHef] = ACTIONS(3793),
    [anon_sym_BSLASHfm] = ACTIONS(3793),
    [anon_sym_BSLASHxt] = ACTIONS(3798),
    [anon_sym_BSLASHadd] = ACTIONS(3801),
    [anon_sym_BSLASHbk] = ACTIONS(3804),
    [anon_sym_BSLASHdc] = ACTIONS(3807),
    [anon_sym_BSLASHk] = ACTIONS(3810),
    [anon_sym_BSLASHnd] = ACTIONS(3813),
    [anon_sym_BSLASHord] = ACTIONS(3816),
    [anon_sym_BSLASHpn] = ACTIONS(3819),
    [anon_sym_BSLASHpng] = ACTIONS(3822),
    [anon_sym_BSLASHaddpn] = ACTIONS(3825),
    [anon_sym_BSLASHqt] = ACTIONS(3828),
    [anon_sym_BSLASHsig] = ACTIONS(3831),
    [anon_sym_BSLASHsls] = ACTIONS(3834),
    [anon_sym_BSLASHtl] = ACTIONS(3837),
    [anon_sym_BSLASHwj] = ACTIONS(3840),
    [anon_sym_BSLASHem] = ACTIONS(3843),
    [anon_sym_BSLASHbd] = ACTIONS(3846),
    [anon_sym_BSLASHit] = ACTIONS(3849),
    [anon_sym_BSLASHbdit] = ACTIONS(3852),
    [anon_sym_BSLASHno] = ACTIONS(3855),
    [anon_sym_BSLASHsc] = ACTIONS(3858),
    [anon_sym_BSLASHsup] = ACTIONS(3861),
    [anon_sym_BSLASHndx] = ACTIONS(3864),
    [anon_sym_BSLASHpro] = ACTIONS(3867),
    [anon_sym_BSLASHrb] = ACTIONS(3870),
    [anon_sym_BSLASHw] = ACTIONS(3873),
    [anon_sym_BSLASHwg] = ACTIONS(3876),
    [anon_sym_BSLASHwh] = ACTIONS(3879),
    [anon_sym_BSLASHwa] = ACTIONS(3882),
    [anon_sym_BSLASHfig] = ACTIONS(3885),
    [anon_sym_BSLASHjmp] = ACTIONS(3888),
    [anon_sym_BSLASHpb] = ACTIONS(3793),
    [anon_sym_BSLASH] = ACTIONS(3793),
    [sym_milestoneStartTag] = ACTIONS(3793),
    [sym_milestoneEndTag] = ACTIONS(3793),
    [sym_zSpaceTag] = ACTIONS(3793),
    [anon_sym_BSLASHesb] = ACTIONS(3793),
  },
  [320] = {
    [sym_text] = STATE(321),
    [sym_add] = STATE(321),
    [sym_bk] = STATE(321),
    [sym_dc] = STATE(321),
    [sym_k] = STATE(321),
    [sym_nd] = STATE(321),
    [sym_ord] = STATE(321),
    [sym_pn] = STATE(321),
    [sym_png] = STATE(321),
    [sym_addpn] = STATE(321),
    [sym_qt] = STATE(321),
    [sym_sig] = STATE(321),
    [sym_sls] = STATE(321),
    [sym_tl] = STATE(321),
    [sym_wj] = STATE(321),
    [sym_em] = STATE(321),
    [sym_bd] = STATE(321),
    [sym_it] = STATE(321),
    [sym_bdit] = STATE(321),
    [sym_no] = STATE(321),
    [sym_sc] = STATE(321),
    [sym_sup] = STATE(321),
    [sym_ndx] = STATE(321),
    [sym_pro] = STATE(321),
    [sym_rb] = STATE(321),
    [sym_w] = STATE(321),
    [sym_wg] = STATE(321),
    [sym_wh] = STATE(321),
    [sym_wa] = STATE(321),
    [sym__characterMarker] = STATE(321),
    [sym_fig] = STATE(321),
    [sym_jmp] = STATE(321),
    [aux_sym_verseText_repeat1] = STATE(321),
    [ts_builtin_sym_end] = ACTIONS(3374),
    [aux_sym_text_token1] = ACTIONS(3891),
    [anon_sym_BSLASHsts] = ACTIONS(3376),
    [anon_sym_BSLASHrem] = ACTIONS(3376),
    [anon_sym_BSLASHrestore] = ACTIONS(3376),
    [anon_sym_BSLASHlit] = ACTIONS(3376),
    [anon_sym_BSLASHip] = ACTIONS(3376),
    [anon_sym_BSLASHiex] = ACTIONS(3376),
    [anon_sym_BSLASHc] = ACTIONS(3376),
    [anon_sym_BSLASHcl] = ACTIONS(3376),
    [anon_sym_BSLASHca] = ACTIONS(3376),
    [anon_sym_BSLASHcp] = ACTIONS(3376),
    [anon_sym_BSLASHcd] = ACTIONS(3376),
    [anon_sym_BSLASHmte] = ACTIONS(3376),
    [anon_sym_BSLASHms] = ACTIONS(3376),
    [anon_sym_BSLASHs] = ACTIONS(3376),
    [anon_sym_BSLASHr] = ACTIONS(3376),
    [anon_sym_BSLASHsp] = ACTIONS(3376),
    [anon_sym_BSLASHd] = ACTIONS(3376),
    [anon_sym_BSLASHsd] = ACTIONS(3376),
    [anon_sym_BSLASHp] = ACTIONS(3376),
    [anon_sym_BSLASHm] = ACTIONS(3376),
    [anon_sym_BSLASHpo] = ACTIONS(3376),
    [anon_sym_BSLASHpr] = ACTIONS(3376),
    [anon_sym_BSLASHcls] = ACTIONS(3376),
    [anon_sym_BSLASHpmo] = ACTIONS(3376),
    [anon_sym_BSLASHpm] = ACTIONS(3376),
    [anon_sym_BSLASHpmc] = ACTIONS(3376),
    [anon_sym_BSLASHpmr] = ACTIONS(3376),
    [anon_sym_BSLASHpi] = ACTIONS(3376),
    [anon_sym_BSLASHmi] = ACTIONS(3376),
    [anon_sym_BSLASHnb] = ACTIONS(3376),
    [anon_sym_BSLASHpc] = ACTIONS(3376),
    [anon_sym_BSLASHph] = ACTIONS(3376),
    [anon_sym_BSLASHb] = ACTIONS(3376),
    [anon_sym_BSLASHq] = ACTIONS(3376),
    [anon_sym_BSLASHqr] = ACTIONS(3376),
    [anon_sym_BSLASHqc] = ACTIONS(3376),
    [anon_sym_BSLASHqa] = ACTIONS(3376),
    [anon_sym_BSLASHqm] = ACTIONS(3376),
    [anon_sym_BSLASHqd] = ACTIONS(3376),
    [anon_sym_BSLASHlh] = ACTIONS(3376),
    [anon_sym_BSLASHli] = ACTIONS(3376),
    [anon_sym_BSLASHlim] = ACTIONS(3376),
    [anon_sym_BSLASHtr] = ACTIONS(3376),
    [sym_thTag] = ACTIONS(3376),
    [sym_thrTag] = ACTIONS(3376),
    [sym_tcTag] = ACTIONS(3376),
    [sym_tcrTag] = ACTIONS(3376),
    [anon_sym_BSLASHf] = ACTIONS(3376),
    [anon_sym_BSLASHfe] = ACTIONS(3376),
    [anon_sym_BSLASHef] = ACTIONS(3376),
    [anon_sym_BSLASHfm] = ACTIONS(3376),
    [anon_sym_BSLASHadd] = ACTIONS(3893),
    [anon_sym_BSLASHbk] = ACTIONS(3895),
    [anon_sym_BSLASHdc] = ACTIONS(3897),
    [anon_sym_BSLASHk] = ACTIONS(3899),
    [anon_sym_BSLASHnd] = ACTIONS(3901),
    [anon_sym_BSLASHord] = ACTIONS(3903),
    [anon_sym_BSLASHpn] = ACTIONS(3905),
    [anon_sym_BSLASHpng] = ACTIONS(3907),
    [anon_sym_BSLASHaddpn] = ACTIONS(3909),
    [anon_sym_BSLASHqt] = ACTIONS(3911),
    [anon_sym_BSLASHsig] = ACTIONS(3913),
    [anon_sym_BSLASHsls] = ACTIONS(3915),
    [anon_sym_BSLASHtl] = ACTIONS(3917),
    [anon_sym_BSLASHwj] = ACTIONS(3919),
    [anon_sym_BSLASHem] = ACTIONS(3921),
    [anon_sym_BSLASHbd] = ACTIONS(3923),
    [anon_sym_BSLASHit] = ACTIONS(3925),
    [anon_sym_BSLASHbdit] = ACTIONS(3927),
    [anon_sym_BSLASHno] = ACTIONS(3929),
    [anon_sym_BSLASHsc] = ACTIONS(3931),
    [anon_sym_BSLASHsup] = ACTIONS(3933),
    [anon_sym_BSLASHndx] = ACTIONS(3935),
    [anon_sym_BSLASHpro] = ACTIONS(3937),
    [anon_sym_BSLASHrb] = ACTIONS(3939),
    [anon_sym_BSLASHw] = ACTIONS(3941),
    [anon_sym_BSLASHwg] = ACTIONS(3943),
    [anon_sym_BSLASHwh] = ACTIONS(3945),
    [anon_sym_BSLASHwa] = ACTIONS(3947),
    [anon_sym_BSLASHfig] = ACTIONS(3949),
    [anon_sym_BSLASHjmp] = ACTIONS(3951),
    [anon_sym_BSLASHpb] = ACTIONS(3376),
    [anon_sym_BSLASH] = ACTIONS(3376),
    [sym_milestoneStartTag] = ACTIONS(3376),
    [sym_milestoneEndTag] = ACTIONS(3376),
    [sym_zSpaceTag] = ACTIONS(3376),
    [anon_sym_BSLASHesb] = ACTIONS(3376),
  },
  [321] = {
    [sym_text] = STATE(321),
    [sym_add] = STATE(321),
    [sym_bk] = STATE(321),
    [sym_dc] = STATE(321),
    [sym_k] = STATE(321),
    [sym_nd] = STATE(321),
    [sym_ord] = STATE(321),
    [sym_pn] = STATE(321),
    [sym_png] = STATE(321),
    [sym_addpn] = STATE(321),
    [sym_qt] = STATE(321),
    [sym_sig] = STATE(321),
    [sym_sls] = STATE(321),
    [sym_tl] = STATE(321),
    [sym_wj] = STATE(321),
    [sym_em] = STATE(321),
    [sym_bd] = STATE(321),
    [sym_it] = STATE(321),
    [sym_bdit] = STATE(321),
    [sym_no] = STATE(321),
    [sym_sc] = STATE(321),
    [sym_sup] = STATE(321),
    [sym_ndx] = STATE(321),
    [sym_pro] = STATE(321),
    [sym_rb] = STATE(321),
    [sym_w] = STATE(321),
    [sym_wg] = STATE(321),
    [sym_wh] = STATE(321),
    [sym_wa] = STATE(321),
    [sym__characterMarker] = STATE(321),
    [sym_fig] = STATE(321),
    [sym_jmp] = STATE(321),
    [aux_sym_verseText_repeat1] = STATE(321),
    [ts_builtin_sym_end] = ACTIONS(3378),
    [aux_sym_text_token1] = ACTIONS(3953),
    [anon_sym_BSLASHsts] = ACTIONS(3383),
    [anon_sym_BSLASHrem] = ACTIONS(3383),
    [anon_sym_BSLASHrestore] = ACTIONS(3383),
    [anon_sym_BSLASHlit] = ACTIONS(3383),
    [anon_sym_BSLASHip] = ACTIONS(3383),
    [anon_sym_BSLASHiex] = ACTIONS(3383),
    [anon_sym_BSLASHc] = ACTIONS(3383),
    [anon_sym_BSLASHcl] = ACTIONS(3383),
    [anon_sym_BSLASHca] = ACTIONS(3383),
    [anon_sym_BSLASHcp] = ACTIONS(3383),
    [anon_sym_BSLASHcd] = ACTIONS(3383),
    [anon_sym_BSLASHmte] = ACTIONS(3383),
    [anon_sym_BSLASHms] = ACTIONS(3383),
    [anon_sym_BSLASHs] = ACTIONS(3383),
    [anon_sym_BSLASHr] = ACTIONS(3383),
    [anon_sym_BSLASHsp] = ACTIONS(3383),
    [anon_sym_BSLASHd] = ACTIONS(3383),
    [anon_sym_BSLASHsd] = ACTIONS(3383),
    [anon_sym_BSLASHp] = ACTIONS(3383),
    [anon_sym_BSLASHm] = ACTIONS(3383),
    [anon_sym_BSLASHpo] = ACTIONS(3383),
    [anon_sym_BSLASHpr] = ACTIONS(3383),
    [anon_sym_BSLASHcls] = ACTIONS(3383),
    [anon_sym_BSLASHpmo] = ACTIONS(3383),
    [anon_sym_BSLASHpm] = ACTIONS(3383),
    [anon_sym_BSLASHpmc] = ACTIONS(3383),
    [anon_sym_BSLASHpmr] = ACTIONS(3383),
    [anon_sym_BSLASHpi] = ACTIONS(3383),
    [anon_sym_BSLASHmi] = ACTIONS(3383),
    [anon_sym_BSLASHnb] = ACTIONS(3383),
    [anon_sym_BSLASHpc] = ACTIONS(3383),
    [anon_sym_BSLASHph] = ACTIONS(3383),
    [anon_sym_BSLASHb] = ACTIONS(3383),
    [anon_sym_BSLASHq] = ACTIONS(3383),
    [anon_sym_BSLASHqr] = ACTIONS(3383),
    [anon_sym_BSLASHqc] = ACTIONS(3383),
    [anon_sym_BSLASHqa] = ACTIONS(3383),
    [anon_sym_BSLASHqm] = ACTIONS(3383),
    [anon_sym_BSLASHqd] = ACTIONS(3383),
    [anon_sym_BSLASHlh] = ACTIONS(3383),
    [anon_sym_BSLASHli] = ACTIONS(3383),
    [anon_sym_BSLASHlim] = ACTIONS(3383),
    [anon_sym_BSLASHtr] = ACTIONS(3383),
    [sym_thTag] = ACTIONS(3383),
    [sym_thrTag] = ACTIONS(3383),
    [sym_tcTag] = ACTIONS(3383),
    [sym_tcrTag] = ACTIONS(3383),
    [anon_sym_BSLASHf] = ACTIONS(3383),
    [anon_sym_BSLASHfe] = ACTIONS(3383),
    [anon_sym_BSLASHef] = ACTIONS(3383),
    [anon_sym_BSLASHfm] = ACTIONS(3383),
    [anon_sym_BSLASHadd] = ACTIONS(3956),
    [anon_sym_BSLASHbk] = ACTIONS(3959),
    [anon_sym_BSLASHdc] = ACTIONS(3962),
    [anon_sym_BSLASHk] = ACTIONS(3965),
    [anon_sym_BSLASHnd] = ACTIONS(3968),
    [anon_sym_BSLASHord] = ACTIONS(3971),
    [anon_sym_BSLASHpn] = ACTIONS(3974),
    [anon_sym_BSLASHpng] = ACTIONS(3977),
    [anon_sym_BSLASHaddpn] = ACTIONS(3980),
    [anon_sym_BSLASHqt] = ACTIONS(3983),
    [anon_sym_BSLASHsig] = ACTIONS(3986),
    [anon_sym_BSLASHsls] = ACTIONS(3989),
    [anon_sym_BSLASHtl] = ACTIONS(3992),
    [anon_sym_BSLASHwj] = ACTIONS(3995),
    [anon_sym_BSLASHem] = ACTIONS(3998),
    [anon_sym_BSLASHbd] = ACTIONS(4001),
    [anon_sym_BSLASHit] = ACTIONS(4004),
    [anon_sym_BSLASHbdit] = ACTIONS(4007),
    [anon_sym_BSLASHno] = ACTIONS(4010),
    [anon_sym_BSLASHsc] = ACTIONS(4013),
    [anon_sym_BSLASHsup] = ACTIONS(4016),
    [anon_sym_BSLASHndx] = ACTIONS(4019),
    [anon_sym_BSLASHpro] = ACTIONS(4022),
    [anon_sym_BSLASHrb] = ACTIONS(4025),
    [anon_sym_BSLASHw] = ACTIONS(4028),
    [anon_sym_BSLASHwg] = ACTIONS(4031),
    [anon_sym_BSLASHwh] = ACTIONS(4034),
    [anon_sym_BSLASHwa] = ACTIONS(4037),
    [anon_sym_BSLASHfig] = ACTIONS(4040),
    [anon_sym_BSLASHjmp] = ACTIONS(4043),
    [anon_sym_BSLASHpb] = ACTIONS(3383),
    [anon_sym_BSLASH] = ACTIONS(3383),
    [sym_milestoneStartTag] = ACTIONS(3383),
    [sym_milestoneEndTag] = ACTIONS(3383),
    [sym_zSpaceTag] = ACTIONS(3383),
    [anon_sym_BSLASHesb] = ACTIONS(3383),
  },
  [322] = {
    [sym_text] = STATE(323),
    [sym_add] = STATE(323),
    [sym_bk] = STATE(323),
    [sym_dc] = STATE(323),
    [sym_k] = STATE(323),
    [sym_nd] = STATE(323),
    [sym_ord] = STATE(323),
    [sym_pn] = STATE(323),
    [sym_png] = STATE(323),
    [sym_addpn] = STATE(323),
    [sym_qt] = STATE(323),
    [sym_sig] = STATE(323),
    [sym_sls] = STATE(323),
    [sym_tl] = STATE(323),
    [sym_wj] = STATE(323),
    [sym_em] = STATE(323),
    [sym_bd] = STATE(323),
    [sym_it] = STATE(323),
    [sym_bdit] = STATE(323),
    [sym_no] = STATE(323),
    [sym_sc] = STATE(323),
    [sym_sup] = STATE(323),
    [sym_ndx] = STATE(323),
    [sym_pro] = STATE(323),
    [sym_rb] = STATE(323),
    [sym_w] = STATE(323),
    [sym_wg] = STATE(323),
    [sym_wh] = STATE(323),
    [sym_wa] = STATE(323),
    [sym__characterMarker] = STATE(323),
    [sym_fig] = STATE(323),
    [sym_jmp] = STATE(323),
    [aux_sym_verseText_repeat1] = STATE(323),
    [aux_sym_text_token1] = ACTIONS(1689),
    [anon_sym_BSLASHref] = ACTIONS(3376),
    [anon_sym_BSLASHsts] = ACTIONS(3376),
    [anon_sym_BSLASHrem] = ACTIONS(3376),
    [anon_sym_BSLASHrestore] = ACTIONS(3376),
    [anon_sym_BSLASHlit] = ACTIONS(3376),
    [anon_sym_BSLASHip] = ACTIONS(3376),
    [anon_sym_BSLASHv] = ACTIONS(3376),
    [anon_sym_BSLASHva] = ACTIONS(3376),
    [anon_sym_BSLASHvp] = ACTIONS(3376),
    [anon_sym_BSLASHmte] = ACTIONS(3376),
    [anon_sym_BSLASHms] = ACTIONS(3376),
    [anon_sym_BSLASHs] = ACTIONS(3376),
    [anon_sym_BSLASHr] = ACTIONS(3376),
    [anon_sym_BSLASHsp] = ACTIONS(3376),
    [anon_sym_BSLASHd] = ACTIONS(3376),
    [anon_sym_BSLASHsd] = ACTIONS(3376),
    [anon_sym_BSLASHp] = ACTIONS(3376),
    [anon_sym_BSLASHm] = ACTIONS(3376),
    [anon_sym_BSLASHpo] = ACTIONS(3376),
    [anon_sym_BSLASHpr] = ACTIONS(3376),
    [anon_sym_BSLASHcls] = ACTIONS(3376),
    [anon_sym_BSLASHpmo] = ACTIONS(3376),
    [anon_sym_BSLASHpm] = ACTIONS(3376),
    [anon_sym_BSLASHpmc] = ACTIONS(3376),
    [anon_sym_BSLASHpmr] = ACTIONS(3376),
    [anon_sym_BSLASHpi] = ACTIONS(3376),
    [anon_sym_BSLASHmi] = ACTIONS(3376),
    [anon_sym_BSLASHnb] = ACTIONS(3376),
    [anon_sym_BSLASHpc] = ACTIONS(3376),
    [anon_sym_BSLASHph] = ACTIONS(3376),
    [anon_sym_BSLASHb] = ACTIONS(3376),
    [anon_sym_BSLASHq] = ACTIONS(3376),
    [anon_sym_BSLASHqr] = ACTIONS(3376),
    [anon_sym_BSLASHqc] = ACTIONS(3376),
    [anon_sym_BSLASHqs] = ACTIONS(3376),
    [anon_sym_BSLASHqa] = ACTIONS(3376),
    [anon_sym_BSLASHqac] = ACTIONS(3376),
    [anon_sym_BSLASHqm] = ACTIONS(3376),
    [anon_sym_BSLASHqd] = ACTIONS(3376),
    [anon_sym_BSLASHlh] = ACTIONS(3376),
    [anon_sym_BSLASHli] = ACTIONS(3376),
    [anon_sym_BSLASHlim] = ACTIONS(3376),
    [anon_sym_BSLASHtr] = ACTIONS(3376),
    [anon_sym_BSLASHf] = ACTIONS(3376),
    [anon_sym_BSLASHfe] = ACTIONS(3376),
    [anon_sym_BSLASHef] = ACTIONS(3376),
    [anon_sym_BSLASHfm] = ACTIONS(3376),
    [anon_sym_BSLASHx] = ACTIONS(3376),
    [anon_sym_BSLASHxt] = ACTIONS(3376),
    [anon_sym_BSLASHrq] = ACTIONS(3376),
    [anon_sym_BSLASHadd] = ACTIONS(1725),
    [anon_sym_BSLASHbk] = ACTIONS(1727),
    [anon_sym_BSLASHdc] = ACTIONS(1729),
    [anon_sym_BSLASHk] = ACTIONS(1731),
    [anon_sym_BSLASHnd] = ACTIONS(1733),
    [anon_sym_BSLASHord] = ACTIONS(1735),
    [anon_sym_BSLASHpn] = ACTIONS(1737),
    [anon_sym_BSLASHpng] = ACTIONS(1739),
    [anon_sym_BSLASHaddpn] = ACTIONS(1741),
    [anon_sym_BSLASHqt] = ACTIONS(1743),
    [anon_sym_BSLASHsig] = ACTIONS(1745),
    [anon_sym_BSLASHsls] = ACTIONS(1747),
    [anon_sym_BSLASHtl] = ACTIONS(1749),
    [anon_sym_BSLASHwj] = ACTIONS(1751),
    [anon_sym_BSLASHem] = ACTIONS(1753),
    [anon_sym_BSLASHbd] = ACTIONS(1755),
    [anon_sym_BSLASHit] = ACTIONS(1757),
    [anon_sym_BSLASHbdit] = ACTIONS(1759),
    [anon_sym_BSLASHno] = ACTIONS(1761),
    [anon_sym_BSLASHsc] = ACTIONS(1763),
    [anon_sym_BSLASHsup] = ACTIONS(1765),
    [anon_sym_BSLASHndx] = ACTIONS(1767),
    [anon_sym_BSLASHpro] = ACTIONS(1769),
    [anon_sym_BSLASHrb] = ACTIONS(1771),
    [anon_sym_BSLASHw] = ACTIONS(1773),
    [anon_sym_BSLASHwg] = ACTIONS(1775),
    [anon_sym_BSLASHwh] = ACTIONS(1777),
    [anon_sym_BSLASHwa] = ACTIONS(1779),
    [anon_sym_BSLASHfig] = ACTIONS(1781),
    [anon_sym_BSLASHjmp] = ACTIONS(1783),
    [anon_sym_BSLASHpb] = ACTIONS(3376),
    [anon_sym_BSLASH] = ACTIONS(3376),
    [sym_milestoneStartTag] = ACTIONS(3376),
    [sym_milestoneEndTag] = ACTIONS(3376),
    [sym_zSpaceTag] = ACTIONS(3376),
    [anon_sym_BSLASHesbe] = ACTIONS(3376),
    [anon_sym_BSLASHcat] = ACTIONS(3376),
  },
  [323] = {
    [sym_text] = STATE(323),
    [sym_add] = STATE(323),
    [sym_bk] = STATE(323),
    [sym_dc] = STATE(323),
    [sym_k] = STATE(323),
    [sym_nd] = STATE(323),
    [sym_ord] = STATE(323),
    [sym_pn] = STATE(323),
    [sym_png] = STATE(323),
    [sym_addpn] = STATE(323),
    [sym_qt] = STATE(323),
    [sym_sig] = STATE(323),
    [sym_sls] = STATE(323),
    [sym_tl] = STATE(323),
    [sym_wj] = STATE(323),
    [sym_em] = STATE(323),
    [sym_bd] = STATE(323),
    [sym_it] = STATE(323),
    [sym_bdit] = STATE(323),
    [sym_no] = STATE(323),
    [sym_sc] = STATE(323),
    [sym_sup] = STATE(323),
    [sym_ndx] = STATE(323),
    [sym_pro] = STATE(323),
    [sym_rb] = STATE(323),
    [sym_w] = STATE(323),
    [sym_wg] = STATE(323),
    [sym_wh] = STATE(323),
    [sym_wa] = STATE(323),
    [sym__characterMarker] = STATE(323),
    [sym_fig] = STATE(323),
    [sym_jmp] = STATE(323),
    [aux_sym_verseText_repeat1] = STATE(323),
    [aux_sym_text_token1] = ACTIONS(4046),
    [anon_sym_BSLASHref] = ACTIONS(3383),
    [anon_sym_BSLASHsts] = ACTIONS(3383),
    [anon_sym_BSLASHrem] = ACTIONS(3383),
    [anon_sym_BSLASHrestore] = ACTIONS(3383),
    [anon_sym_BSLASHlit] = ACTIONS(3383),
    [anon_sym_BSLASHip] = ACTIONS(3383),
    [anon_sym_BSLASHv] = ACTIONS(3383),
    [anon_sym_BSLASHva] = ACTIONS(3383),
    [anon_sym_BSLASHvp] = ACTIONS(3383),
    [anon_sym_BSLASHmte] = ACTIONS(3383),
    [anon_sym_BSLASHms] = ACTIONS(3383),
    [anon_sym_BSLASHs] = ACTIONS(3383),
    [anon_sym_BSLASHr] = ACTIONS(3383),
    [anon_sym_BSLASHsp] = ACTIONS(3383),
    [anon_sym_BSLASHd] = ACTIONS(3383),
    [anon_sym_BSLASHsd] = ACTIONS(3383),
    [anon_sym_BSLASHp] = ACTIONS(3383),
    [anon_sym_BSLASHm] = ACTIONS(3383),
    [anon_sym_BSLASHpo] = ACTIONS(3383),
    [anon_sym_BSLASHpr] = ACTIONS(3383),
    [anon_sym_BSLASHcls] = ACTIONS(3383),
    [anon_sym_BSLASHpmo] = ACTIONS(3383),
    [anon_sym_BSLASHpm] = ACTIONS(3383),
    [anon_sym_BSLASHpmc] = ACTIONS(3383),
    [anon_sym_BSLASHpmr] = ACTIONS(3383),
    [anon_sym_BSLASHpi] = ACTIONS(3383),
    [anon_sym_BSLASHmi] = ACTIONS(3383),
    [anon_sym_BSLASHnb] = ACTIONS(3383),
    [anon_sym_BSLASHpc] = ACTIONS(3383),
    [anon_sym_BSLASHph] = ACTIONS(3383),
    [anon_sym_BSLASHb] = ACTIONS(3383),
    [anon_sym_BSLASHq] = ACTIONS(3383),
    [anon_sym_BSLASHqr] = ACTIONS(3383),
    [anon_sym_BSLASHqc] = ACTIONS(3383),
    [anon_sym_BSLASHqs] = ACTIONS(3383),
    [anon_sym_BSLASHqa] = ACTIONS(3383),
    [anon_sym_BSLASHqac] = ACTIONS(3383),
    [anon_sym_BSLASHqm] = ACTIONS(3383),
    [anon_sym_BSLASHqd] = ACTIONS(3383),
    [anon_sym_BSLASHlh] = ACTIONS(3383),
    [anon_sym_BSLASHli] = ACTIONS(3383),
    [anon_sym_BSLASHlim] = ACTIONS(3383),
    [anon_sym_BSLASHtr] = ACTIONS(3383),
    [anon_sym_BSLASHf] = ACTIONS(3383),
    [anon_sym_BSLASHfe] = ACTIONS(3383),
    [anon_sym_BSLASHef] = ACTIONS(3383),
    [anon_sym_BSLASHfm] = ACTIONS(3383),
    [anon_sym_BSLASHx] = ACTIONS(3383),
    [anon_sym_BSLASHxt] = ACTIONS(3383),
    [anon_sym_BSLASHrq] = ACTIONS(3383),
    [anon_sym_BSLASHadd] = ACTIONS(4049),
    [anon_sym_BSLASHbk] = ACTIONS(4052),
    [anon_sym_BSLASHdc] = ACTIONS(4055),
    [anon_sym_BSLASHk] = ACTIONS(4058),
    [anon_sym_BSLASHnd] = ACTIONS(4061),
    [anon_sym_BSLASHord] = ACTIONS(4064),
    [anon_sym_BSLASHpn] = ACTIONS(4067),
    [anon_sym_BSLASHpng] = ACTIONS(4070),
    [anon_sym_BSLASHaddpn] = ACTIONS(4073),
    [anon_sym_BSLASHqt] = ACTIONS(4076),
    [anon_sym_BSLASHsig] = ACTIONS(4079),
    [anon_sym_BSLASHsls] = ACTIONS(4082),
    [anon_sym_BSLASHtl] = ACTIONS(4085),
    [anon_sym_BSLASHwj] = ACTIONS(4088),
    [anon_sym_BSLASHem] = ACTIONS(4091),
    [anon_sym_BSLASHbd] = ACTIONS(4094),
    [anon_sym_BSLASHit] = ACTIONS(4097),
    [anon_sym_BSLASHbdit] = ACTIONS(4100),
    [anon_sym_BSLASHno] = ACTIONS(4103),
    [anon_sym_BSLASHsc] = ACTIONS(4106),
    [anon_sym_BSLASHsup] = ACTIONS(4109),
    [anon_sym_BSLASHndx] = ACTIONS(4112),
    [anon_sym_BSLASHpro] = ACTIONS(4115),
    [anon_sym_BSLASHrb] = ACTIONS(4118),
    [anon_sym_BSLASHw] = ACTIONS(4121),
    [anon_sym_BSLASHwg] = ACTIONS(4124),
    [anon_sym_BSLASHwh] = ACTIONS(4127),
    [anon_sym_BSLASHwa] = ACTIONS(4130),
    [anon_sym_BSLASHfig] = ACTIONS(4133),
    [anon_sym_BSLASHjmp] = ACTIONS(4136),
    [anon_sym_BSLASHpb] = ACTIONS(3383),
    [anon_sym_BSLASH] = ACTIONS(3383),
    [sym_milestoneStartTag] = ACTIONS(3383),
    [sym_milestoneEndTag] = ACTIONS(3383),
    [sym_zSpaceTag] = ACTIONS(3383),
    [anon_sym_BSLASHesbe] = ACTIONS(3383),
    [anon_sym_BSLASHcat] = ACTIONS(3383),
  },
  [324] = {
    [sym_text] = STATE(731),
    [sym_ref] = STATE(326),
    [sym__comments] = STATE(326),
    [sym_sts] = STATE(326),
    [sym_rem] = STATE(326),
    [sym_restore] = STATE(326),
    [sym_lit] = STATE(326),
    [sym_verseText] = STATE(326),
    [sym_v] = STATE(326),
    [sym__verseMeta] = STATE(326),
    [sym_va] = STATE(326),
    [sym_vp] = STATE(326),
    [sym__paragraphContent] = STATE(326),
    [sym__poetryContent] = STATE(326),
    [sym_qs] = STATE(326),
    [sym_qac] = STATE(326),
    [sym_footnote] = STATE(326),
    [sym_f] = STATE(1443),
    [sym_fe] = STATE(1443),
    [sym_ef] = STATE(1443),
    [sym_fm] = STATE(1443),
    [sym_crossref] = STATE(326),
    [sym_x] = STATE(1435),
    [sym_xt_standalone] = STATE(1435),
    [sym_rq] = STATE(1435),
    [sym_add] = STATE(731),
    [sym_bk] = STATE(731),
    [sym_dc] = STATE(731),
    [sym_k] = STATE(731),
    [sym_nd] = STATE(731),
    [sym_ord] = STATE(731),
    [sym_pn] = STATE(731),
    [sym_png] = STATE(731),
    [sym_addpn] = STATE(731),
    [sym_qt] = STATE(731),
    [sym_sig] = STATE(731),
    [sym_sls] = STATE(731),
    [sym_tl] = STATE(731),
    [sym_wj] = STATE(731),
    [sym_em] = STATE(731),
    [sym_bd] = STATE(731),
    [sym_it] = STATE(731),
    [sym_bdit] = STATE(731),
    [sym_no] = STATE(731),
    [sym_sc] = STATE(731),
    [sym_sup] = STATE(731),
    [sym_ndx] = STATE(731),
    [sym_pro] = STATE(731),
    [sym_rb] = STATE(731),
    [sym_w] = STATE(731),
    [sym_wg] = STATE(731),
    [sym_wh] = STATE(731),
    [sym_wa] = STATE(731),
    [sym__characterMarker] = STATE(731),
    [sym_fig] = STATE(731),
    [sym_jmp] = STATE(731),
    [sym_milestoneTag] = STATE(1976),
    [sym__milestoneStandaloneMarker] = STATE(1420),
    [sym__milestoneStart] = STATE(1420),
    [sym__milestoneEnd] = STATE(1420),
    [sym_milestone] = STATE(326),
    [sym__zNameSpaceRegular] = STATE(1419),
    [sym__zNameSpaceClosed] = STATE(1419),
    [sym__zNameSpaceStandaloneMarker] = STATE(1419),
    [sym_zNameSpace] = STATE(326),
    [aux_sym_verseText_repeat1] = STATE(731),
    [aux_sym_q_repeat1] = STATE(326),
    [aux_sym_text_token1] = ACTIONS(4139),
    [anon_sym_BSLASHref] = ACTIONS(4141),
    [anon_sym_BSLASHsts] = ACTIONS(4143),
    [anon_sym_BSLASHrem] = ACTIONS(4145),
    [anon_sym_BSLASHrestore] = ACTIONS(4147),
    [anon_sym_BSLASHlit] = ACTIONS(4149),
    [anon_sym_BSLASHv] = ACTIONS(4151),
    [anon_sym_BSLASHva] = ACTIONS(4153),
    [anon_sym_BSLASHvp] = ACTIONS(4155),
    [anon_sym_BSLASHqs] = ACTIONS(4157),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(4159),
    [anon_sym_BSLASHqac] = ACTIONS(4161),
    [anon_sym_BSLASHf] = ACTIONS(4163),
    [anon_sym_BSLASHfe] = ACTIONS(4165),
    [anon_sym_BSLASHef] = ACTIONS(4167),
    [anon_sym_BSLASHfm] = ACTIONS(4169),
    [anon_sym_BSLASHx] = ACTIONS(4171),
    [anon_sym_BSLASHxt] = ACTIONS(4173),
    [anon_sym_BSLASHrq] = ACTIONS(4175),
    [anon_sym_BSLASHadd] = ACTIONS(4177),
    [anon_sym_BSLASHbk] = ACTIONS(4179),
    [anon_sym_BSLASHdc] = ACTIONS(4181),
    [anon_sym_BSLASHk] = ACTIONS(4183),
    [anon_sym_BSLASHnd] = ACTIONS(4185),
    [anon_sym_BSLASHord] = ACTIONS(4187),
    [anon_sym_BSLASHpn] = ACTIONS(4189),
    [anon_sym_BSLASHpng] = ACTIONS(4191),
    [anon_sym_BSLASHaddpn] = ACTIONS(4193),
    [anon_sym_BSLASHqt] = ACTIONS(4195),
    [anon_sym_BSLASHsig] = ACTIONS(4197),
    [anon_sym_BSLASHsls] = ACTIONS(4199),
    [anon_sym_BSLASHtl] = ACTIONS(4201),
    [anon_sym_BSLASHwj] = ACTIONS(4203),
    [anon_sym_BSLASHem] = ACTIONS(4205),
    [anon_sym_BSLASHbd] = ACTIONS(4207),
    [anon_sym_BSLASHit] = ACTIONS(4209),
    [anon_sym_BSLASHbdit] = ACTIONS(4211),
    [anon_sym_BSLASHno] = ACTIONS(4213),
    [anon_sym_BSLASHsc] = ACTIONS(4215),
    [anon_sym_BSLASHsup] = ACTIONS(4217),
    [anon_sym_BSLASHndx] = ACTIONS(4219),
    [anon_sym_BSLASHpro] = ACTIONS(4221),
    [anon_sym_BSLASHrb] = ACTIONS(4223),
    [anon_sym_BSLASHw] = ACTIONS(4225),
    [anon_sym_BSLASHwg] = ACTIONS(4227),
    [anon_sym_BSLASHwh] = ACTIONS(4229),
    [anon_sym_BSLASHwa] = ACTIONS(4231),
    [anon_sym_BSLASHfig] = ACTIONS(4233),
    [anon_sym_BSLASHjmp] = ACTIONS(4235),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(4237),
    [sym_milestoneEndTag] = ACTIONS(4239),
    [sym_zSpaceTag] = ACTIONS(4241),
  },
  [325] = {
    [sym_text] = STATE(731),
    [sym_ref] = STATE(325),
    [sym__comments] = STATE(325),
    [sym_sts] = STATE(325),
    [sym_rem] = STATE(325),
    [sym_restore] = STATE(325),
    [sym_lit] = STATE(325),
    [sym_verseText] = STATE(325),
    [sym_v] = STATE(325),
    [sym__verseMeta] = STATE(325),
    [sym_va] = STATE(325),
    [sym_vp] = STATE(325),
    [sym__paragraphContent] = STATE(325),
    [sym__poetryContent] = STATE(325),
    [sym_qs] = STATE(325),
    [sym_qac] = STATE(325),
    [sym_footnote] = STATE(325),
    [sym_f] = STATE(1443),
    [sym_fe] = STATE(1443),
    [sym_ef] = STATE(1443),
    [sym_fm] = STATE(1443),
    [sym_crossref] = STATE(325),
    [sym_x] = STATE(1435),
    [sym_xt_standalone] = STATE(1435),
    [sym_rq] = STATE(1435),
    [sym_add] = STATE(731),
    [sym_bk] = STATE(731),
    [sym_dc] = STATE(731),
    [sym_k] = STATE(731),
    [sym_nd] = STATE(731),
    [sym_ord] = STATE(731),
    [sym_pn] = STATE(731),
    [sym_png] = STATE(731),
    [sym_addpn] = STATE(731),
    [sym_qt] = STATE(731),
    [sym_sig] = STATE(731),
    [sym_sls] = STATE(731),
    [sym_tl] = STATE(731),
    [sym_wj] = STATE(731),
    [sym_em] = STATE(731),
    [sym_bd] = STATE(731),
    [sym_it] = STATE(731),
    [sym_bdit] = STATE(731),
    [sym_no] = STATE(731),
    [sym_sc] = STATE(731),
    [sym_sup] = STATE(731),
    [sym_ndx] = STATE(731),
    [sym_pro] = STATE(731),
    [sym_rb] = STATE(731),
    [sym_w] = STATE(731),
    [sym_wg] = STATE(731),
    [sym_wh] = STATE(731),
    [sym_wa] = STATE(731),
    [sym__characterMarker] = STATE(731),
    [sym_fig] = STATE(731),
    [sym_jmp] = STATE(731),
    [sym_milestoneTag] = STATE(1976),
    [sym__milestoneStandaloneMarker] = STATE(1420),
    [sym__milestoneStart] = STATE(1420),
    [sym__milestoneEnd] = STATE(1420),
    [sym_milestone] = STATE(325),
    [sym__zNameSpaceRegular] = STATE(1419),
    [sym__zNameSpaceClosed] = STATE(1419),
    [sym__zNameSpaceStandaloneMarker] = STATE(1419),
    [sym_zNameSpace] = STATE(325),
    [aux_sym_verseText_repeat1] = STATE(731),
    [aux_sym_q_repeat1] = STATE(325),
    [aux_sym_text_token1] = ACTIONS(4243),
    [anon_sym_BSLASHref] = ACTIONS(4246),
    [anon_sym_BSLASHsts] = ACTIONS(4249),
    [anon_sym_BSLASHrem] = ACTIONS(4252),
    [anon_sym_BSLASHrestore] = ACTIONS(4255),
    [anon_sym_BSLASHlit] = ACTIONS(4258),
    [anon_sym_BSLASHv] = ACTIONS(4261),
    [anon_sym_BSLASHva] = ACTIONS(4264),
    [anon_sym_BSLASHvp] = ACTIONS(4267),
    [anon_sym_BSLASHqs] = ACTIONS(4270),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(612),
    [anon_sym_BSLASHqac] = ACTIONS(4273),
    [anon_sym_BSLASHf] = ACTIONS(4276),
    [anon_sym_BSLASHfe] = ACTIONS(4279),
    [anon_sym_BSLASHef] = ACTIONS(4282),
    [anon_sym_BSLASHfm] = ACTIONS(4285),
    [anon_sym_BSLASHx] = ACTIONS(4288),
    [anon_sym_BSLASHxt] = ACTIONS(4291),
    [anon_sym_BSLASHrq] = ACTIONS(4294),
    [anon_sym_BSLASHadd] = ACTIONS(4297),
    [anon_sym_BSLASHbk] = ACTIONS(4300),
    [anon_sym_BSLASHdc] = ACTIONS(4303),
    [anon_sym_BSLASHk] = ACTIONS(4306),
    [anon_sym_BSLASHnd] = ACTIONS(4309),
    [anon_sym_BSLASHord] = ACTIONS(4312),
    [anon_sym_BSLASHpn] = ACTIONS(4315),
    [anon_sym_BSLASHpng] = ACTIONS(4318),
    [anon_sym_BSLASHaddpn] = ACTIONS(4321),
    [anon_sym_BSLASHqt] = ACTIONS(4324),
    [anon_sym_BSLASHsig] = ACTIONS(4327),
    [anon_sym_BSLASHsls] = ACTIONS(4330),
    [anon_sym_BSLASHtl] = ACTIONS(4333),
    [anon_sym_BSLASHwj] = ACTIONS(4336),
    [anon_sym_BSLASHem] = ACTIONS(4339),
    [anon_sym_BSLASHbd] = ACTIONS(4342),
    [anon_sym_BSLASHit] = ACTIONS(4345),
    [anon_sym_BSLASHbdit] = ACTIONS(4348),
    [anon_sym_BSLASHno] = ACTIONS(4351),
    [anon_sym_BSLASHsc] = ACTIONS(4354),
    [anon_sym_BSLASHsup] = ACTIONS(4357),
    [anon_sym_BSLASHndx] = ACTIONS(4360),
    [anon_sym_BSLASHpro] = ACTIONS(4363),
    [anon_sym_BSLASHrb] = ACTIONS(4366),
    [anon_sym_BSLASHw] = ACTIONS(4369),
    [anon_sym_BSLASHwg] = ACTIONS(4372),
    [anon_sym_BSLASHwh] = ACTIONS(4375),
    [anon_sym_BSLASHwa] = ACTIONS(4378),
    [anon_sym_BSLASHfig] = ACTIONS(4381),
    [anon_sym_BSLASHjmp] = ACTIONS(4384),
    [anon_sym_BSLASH] = ACTIONS(740),
    [sym_milestoneStartTag] = ACTIONS(4387),
    [sym_milestoneEndTag] = ACTIONS(4390),
    [sym_zSpaceTag] = ACTIONS(4393),
  },
  [326] = {
    [sym_text] = STATE(731),
    [sym_ref] = STATE(325),
    [sym__comments] = STATE(325),
    [sym_sts] = STATE(325),
    [sym_rem] = STATE(325),
    [sym_restore] = STATE(325),
    [sym_lit] = STATE(325),
    [sym_verseText] = STATE(325),
    [sym_v] = STATE(325),
    [sym__verseMeta] = STATE(325),
    [sym_va] = STATE(325),
    [sym_vp] = STATE(325),
    [sym__paragraphContent] = STATE(325),
    [sym__poetryContent] = STATE(325),
    [sym_qs] = STATE(325),
    [sym_qac] = STATE(325),
    [sym_footnote] = STATE(325),
    [sym_f] = STATE(1443),
    [sym_fe] = STATE(1443),
    [sym_ef] = STATE(1443),
    [sym_fm] = STATE(1443),
    [sym_crossref] = STATE(325),
    [sym_x] = STATE(1435),
    [sym_xt_standalone] = STATE(1435),
    [sym_rq] = STATE(1435),
    [sym_add] = STATE(731),
    [sym_bk] = STATE(731),
    [sym_dc] = STATE(731),
    [sym_k] = STATE(731),
    [sym_nd] = STATE(731),
    [sym_ord] = STATE(731),
    [sym_pn] = STATE(731),
    [sym_png] = STATE(731),
    [sym_addpn] = STATE(731),
    [sym_qt] = STATE(731),
    [sym_sig] = STATE(731),
    [sym_sls] = STATE(731),
    [sym_tl] = STATE(731),
    [sym_wj] = STATE(731),
    [sym_em] = STATE(731),
    [sym_bd] = STATE(731),
    [sym_it] = STATE(731),
    [sym_bdit] = STATE(731),
    [sym_no] = STATE(731),
    [sym_sc] = STATE(731),
    [sym_sup] = STATE(731),
    [sym_ndx] = STATE(731),
    [sym_pro] = STATE(731),
    [sym_rb] = STATE(731),
    [sym_w] = STATE(731),
    [sym_wg] = STATE(731),
    [sym_wh] = STATE(731),
    [sym_wa] = STATE(731),
    [sym__characterMarker] = STATE(731),
    [sym_fig] = STATE(731),
    [sym_jmp] = STATE(731),
    [sym_milestoneTag] = STATE(1976),
    [sym__milestoneStandaloneMarker] = STATE(1420),
    [sym__milestoneStart] = STATE(1420),
    [sym__milestoneEnd] = STATE(1420),
    [sym_milestone] = STATE(325),
    [sym__zNameSpaceRegular] = STATE(1419),
    [sym__zNameSpaceClosed] = STATE(1419),
    [sym__zNameSpaceStandaloneMarker] = STATE(1419),
    [sym_zNameSpace] = STATE(325),
    [aux_sym_verseText_repeat1] = STATE(731),
    [aux_sym_q_repeat1] = STATE(325),
    [aux_sym_text_token1] = ACTIONS(4139),
    [anon_sym_BSLASHref] = ACTIONS(4141),
    [anon_sym_BSLASHsts] = ACTIONS(4143),
    [anon_sym_BSLASHrem] = ACTIONS(4145),
    [anon_sym_BSLASHrestore] = ACTIONS(4147),
    [anon_sym_BSLASHlit] = ACTIONS(4149),
    [anon_sym_BSLASHv] = ACTIONS(4151),
    [anon_sym_BSLASHva] = ACTIONS(4153),
    [anon_sym_BSLASHvp] = ACTIONS(4155),
    [anon_sym_BSLASHqs] = ACTIONS(4157),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(4396),
    [anon_sym_BSLASHqac] = ACTIONS(4161),
    [anon_sym_BSLASHf] = ACTIONS(4163),
    [anon_sym_BSLASHfe] = ACTIONS(4165),
    [anon_sym_BSLASHef] = ACTIONS(4167),
    [anon_sym_BSLASHfm] = ACTIONS(4169),
    [anon_sym_BSLASHx] = ACTIONS(4171),
    [anon_sym_BSLASHxt] = ACTIONS(4173),
    [anon_sym_BSLASHrq] = ACTIONS(4175),
    [anon_sym_BSLASHadd] = ACTIONS(4177),
    [anon_sym_BSLASHbk] = ACTIONS(4179),
    [anon_sym_BSLASHdc] = ACTIONS(4181),
    [anon_sym_BSLASHk] = ACTIONS(4183),
    [anon_sym_BSLASHnd] = ACTIONS(4185),
    [anon_sym_BSLASHord] = ACTIONS(4187),
    [anon_sym_BSLASHpn] = ACTIONS(4189),
    [anon_sym_BSLASHpng] = ACTIONS(4191),
    [anon_sym_BSLASHaddpn] = ACTIONS(4193),
    [anon_sym_BSLASHqt] = ACTIONS(4195),
    [anon_sym_BSLASHsig] = ACTIONS(4197),
    [anon_sym_BSLASHsls] = ACTIONS(4199),
    [anon_sym_BSLASHtl] = ACTIONS(4201),
    [anon_sym_BSLASHwj] = ACTIONS(4203),
    [anon_sym_BSLASHem] = ACTIONS(4205),
    [anon_sym_BSLASHbd] = ACTIONS(4207),
    [anon_sym_BSLASHit] = ACTIONS(4209),
    [anon_sym_BSLASHbdit] = ACTIONS(4211),
    [anon_sym_BSLASHno] = ACTIONS(4213),
    [anon_sym_BSLASHsc] = ACTIONS(4215),
    [anon_sym_BSLASHsup] = ACTIONS(4217),
    [anon_sym_BSLASHndx] = ACTIONS(4219),
    [anon_sym_BSLASHpro] = ACTIONS(4221),
    [anon_sym_BSLASHrb] = ACTIONS(4223),
    [anon_sym_BSLASHw] = ACTIONS(4225),
    [anon_sym_BSLASHwg] = ACTIONS(4227),
    [anon_sym_BSLASHwh] = ACTIONS(4229),
    [anon_sym_BSLASHwa] = ACTIONS(4231),
    [anon_sym_BSLASHfig] = ACTIONS(4233),
    [anon_sym_BSLASHjmp] = ACTIONS(4235),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(4237),
    [sym_milestoneEndTag] = ACTIONS(4239),
    [sym_zSpaceTag] = ACTIONS(4241),
  },
  [327] = {
    [sym_text] = STATE(731),
    [sym_ref] = STATE(330),
    [sym__comments] = STATE(330),
    [sym_sts] = STATE(330),
    [sym_rem] = STATE(330),
    [sym_restore] = STATE(330),
    [sym_lit] = STATE(330),
    [sym_verseText] = STATE(330),
    [sym_v] = STATE(330),
    [sym__verseMeta] = STATE(330),
    [sym_va] = STATE(330),
    [sym_vp] = STATE(330),
    [sym__paragraphContent] = STATE(330),
    [sym__poetryContent] = STATE(330),
    [sym_qs] = STATE(330),
    [sym_qac] = STATE(330),
    [sym_footnote] = STATE(330),
    [sym_f] = STATE(1443),
    [sym_fe] = STATE(1443),
    [sym_ef] = STATE(1443),
    [sym_fm] = STATE(1443),
    [sym_crossref] = STATE(330),
    [sym_x] = STATE(1435),
    [sym_xt_standalone] = STATE(1435),
    [sym_rq] = STATE(1435),
    [sym_add] = STATE(731),
    [sym_bk] = STATE(731),
    [sym_dc] = STATE(731),
    [sym_k] = STATE(731),
    [sym_nd] = STATE(731),
    [sym_ord] = STATE(731),
    [sym_pn] = STATE(731),
    [sym_png] = STATE(731),
    [sym_addpn] = STATE(731),
    [sym_qt] = STATE(731),
    [sym_sig] = STATE(731),
    [sym_sls] = STATE(731),
    [sym_tl] = STATE(731),
    [sym_wj] = STATE(731),
    [sym_em] = STATE(731),
    [sym_bd] = STATE(731),
    [sym_it] = STATE(731),
    [sym_bdit] = STATE(731),
    [sym_no] = STATE(731),
    [sym_sc] = STATE(731),
    [sym_sup] = STATE(731),
    [sym_ndx] = STATE(731),
    [sym_pro] = STATE(731),
    [sym_rb] = STATE(731),
    [sym_w] = STATE(731),
    [sym_wg] = STATE(731),
    [sym_wh] = STATE(731),
    [sym_wa] = STATE(731),
    [sym__characterMarker] = STATE(731),
    [sym_fig] = STATE(731),
    [sym_jmp] = STATE(731),
    [sym_milestoneTag] = STATE(1976),
    [sym__milestoneStandaloneMarker] = STATE(1420),
    [sym__milestoneStart] = STATE(1420),
    [sym__milestoneEnd] = STATE(1420),
    [sym_milestone] = STATE(330),
    [sym__zNameSpaceRegular] = STATE(1419),
    [sym__zNameSpaceClosed] = STATE(1419),
    [sym__zNameSpaceStandaloneMarker] = STATE(1419),
    [sym_zNameSpace] = STATE(330),
    [aux_sym_verseText_repeat1] = STATE(731),
    [aux_sym_q_repeat1] = STATE(330),
    [aux_sym_text_token1] = ACTIONS(4139),
    [anon_sym_BSLASHref] = ACTIONS(4141),
    [anon_sym_BSLASHsts] = ACTIONS(4143),
    [anon_sym_BSLASHrem] = ACTIONS(4145),
    [anon_sym_BSLASHrestore] = ACTIONS(4147),
    [anon_sym_BSLASHlit] = ACTIONS(4149),
    [anon_sym_BSLASHv] = ACTIONS(4151),
    [anon_sym_BSLASHva] = ACTIONS(4153),
    [anon_sym_BSLASHvp] = ACTIONS(4155),
    [anon_sym_BSLASHqs] = ACTIONS(4157),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(4398),
    [anon_sym_BSLASHqac] = ACTIONS(4161),
    [anon_sym_BSLASHf] = ACTIONS(4163),
    [anon_sym_BSLASHfe] = ACTIONS(4165),
    [anon_sym_BSLASHef] = ACTIONS(4167),
    [anon_sym_BSLASHfm] = ACTIONS(4169),
    [anon_sym_BSLASHx] = ACTIONS(4171),
    [anon_sym_BSLASHxt] = ACTIONS(4173),
    [anon_sym_BSLASHrq] = ACTIONS(4175),
    [anon_sym_BSLASHadd] = ACTIONS(4177),
    [anon_sym_BSLASHbk] = ACTIONS(4179),
    [anon_sym_BSLASHdc] = ACTIONS(4181),
    [anon_sym_BSLASHk] = ACTIONS(4183),
    [anon_sym_BSLASHnd] = ACTIONS(4185),
    [anon_sym_BSLASHord] = ACTIONS(4187),
    [anon_sym_BSLASHpn] = ACTIONS(4189),
    [anon_sym_BSLASHpng] = ACTIONS(4191),
    [anon_sym_BSLASHaddpn] = ACTIONS(4193),
    [anon_sym_BSLASHqt] = ACTIONS(4195),
    [anon_sym_BSLASHsig] = ACTIONS(4197),
    [anon_sym_BSLASHsls] = ACTIONS(4199),
    [anon_sym_BSLASHtl] = ACTIONS(4201),
    [anon_sym_BSLASHwj] = ACTIONS(4203),
    [anon_sym_BSLASHem] = ACTIONS(4205),
    [anon_sym_BSLASHbd] = ACTIONS(4207),
    [anon_sym_BSLASHit] = ACTIONS(4209),
    [anon_sym_BSLASHbdit] = ACTIONS(4211),
    [anon_sym_BSLASHno] = ACTIONS(4213),
    [anon_sym_BSLASHsc] = ACTIONS(4215),
    [anon_sym_BSLASHsup] = ACTIONS(4217),
    [anon_sym_BSLASHndx] = ACTIONS(4219),
    [anon_sym_BSLASHpro] = ACTIONS(4221),
    [anon_sym_BSLASHrb] = ACTIONS(4223),
    [anon_sym_BSLASHw] = ACTIONS(4225),
    [anon_sym_BSLASHwg] = ACTIONS(4227),
    [anon_sym_BSLASHwh] = ACTIONS(4229),
    [anon_sym_BSLASHwa] = ACTIONS(4231),
    [anon_sym_BSLASHfig] = ACTIONS(4233),
    [anon_sym_BSLASHjmp] = ACTIONS(4235),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(4237),
    [sym_milestoneEndTag] = ACTIONS(4239),
    [sym_zSpaceTag] = ACTIONS(4241),
  },
  [328] = {
    [sym_text] = STATE(328),
    [sym_xt_standalone] = STATE(328),
    [sym_add] = STATE(328),
    [sym_bk] = STATE(328),
    [sym_dc] = STATE(328),
    [sym_k] = STATE(328),
    [sym_nd] = STATE(328),
    [sym_ord] = STATE(328),
    [sym_pn] = STATE(328),
    [sym_png] = STATE(328),
    [sym_addpn] = STATE(328),
    [sym_qt] = STATE(328),
    [sym_sig] = STATE(328),
    [sym_sls] = STATE(328),
    [sym_tl] = STATE(328),
    [sym_wj] = STATE(328),
    [sym_em] = STATE(328),
    [sym_bd] = STATE(328),
    [sym_it] = STATE(328),
    [sym_bdit] = STATE(328),
    [sym_no] = STATE(328),
    [sym_sc] = STATE(328),
    [sym_sup] = STATE(328),
    [sym_ndx] = STATE(328),
    [sym_pro] = STATE(328),
    [sym_rb] = STATE(328),
    [sym_w] = STATE(328),
    [sym_wg] = STATE(328),
    [sym_wh] = STATE(328),
    [sym_wa] = STATE(328),
    [sym__characterMarker] = STATE(328),
    [sym_fig] = STATE(328),
    [sym_jmp] = STATE(328),
    [aux_sym_cd_repeat1] = STATE(328),
    [ts_builtin_sym_end] = ACTIONS(4400),
    [aux_sym_text_token1] = ACTIONS(4402),
    [anon_sym_BSLASHsts] = ACTIONS(4405),
    [anon_sym_BSLASHrem] = ACTIONS(4405),
    [anon_sym_BSLASHrestore] = ACTIONS(4405),
    [anon_sym_BSLASHlit] = ACTIONS(4405),
    [anon_sym_BSLASHip] = ACTIONS(4405),
    [anon_sym_BSLASHiex] = ACTIONS(4405),
    [anon_sym_BSLASHc] = ACTIONS(4405),
    [anon_sym_BSLASHcl] = ACTIONS(4405),
    [anon_sym_BSLASHca] = ACTIONS(4405),
    [anon_sym_BSLASHcp] = ACTIONS(4405),
    [anon_sym_BSLASHcd] = ACTIONS(4405),
    [anon_sym_BSLASHmte] = ACTIONS(4405),
    [anon_sym_BSLASHms] = ACTIONS(4405),
    [anon_sym_BSLASHs] = ACTIONS(4405),
    [anon_sym_BSLASHr] = ACTIONS(4405),
    [anon_sym_BSLASHsp] = ACTIONS(4405),
    [anon_sym_BSLASHd] = ACTIONS(4405),
    [anon_sym_BSLASHsd] = ACTIONS(4405),
    [anon_sym_BSLASHp] = ACTIONS(4405),
    [anon_sym_BSLASHm] = ACTIONS(4405),
    [anon_sym_BSLASHpo] = ACTIONS(4405),
    [anon_sym_BSLASHpr] = ACTIONS(4405),
    [anon_sym_BSLASHcls] = ACTIONS(4405),
    [anon_sym_BSLASHpmo] = ACTIONS(4405),
    [anon_sym_BSLASHpm] = ACTIONS(4405),
    [anon_sym_BSLASHpmc] = ACTIONS(4405),
    [anon_sym_BSLASHpmr] = ACTIONS(4405),
    [anon_sym_BSLASHpi] = ACTIONS(4405),
    [anon_sym_BSLASHmi] = ACTIONS(4405),
    [anon_sym_BSLASHnb] = ACTIONS(4405),
    [anon_sym_BSLASHpc] = ACTIONS(4405),
    [anon_sym_BSLASHph] = ACTIONS(4405),
    [anon_sym_BSLASHb] = ACTIONS(4405),
    [anon_sym_BSLASHq] = ACTIONS(4405),
    [anon_sym_BSLASHqr] = ACTIONS(4405),
    [anon_sym_BSLASHqc] = ACTIONS(4405),
    [anon_sym_BSLASHqa] = ACTIONS(4405),
    [anon_sym_BSLASHqm] = ACTIONS(4405),
    [anon_sym_BSLASHqd] = ACTIONS(4405),
    [anon_sym_BSLASHlh] = ACTIONS(4405),
    [anon_sym_BSLASHli] = ACTIONS(4405),
    [anon_sym_BSLASHlim] = ACTIONS(4405),
    [anon_sym_BSLASHtr] = ACTIONS(4405),
    [anon_sym_BSLASHf] = ACTIONS(4405),
    [anon_sym_BSLASHfe] = ACTIONS(4405),
    [anon_sym_BSLASHef] = ACTIONS(4405),
    [anon_sym_BSLASHfm] = ACTIONS(4405),
    [anon_sym_BSLASHxt] = ACTIONS(4407),
    [anon_sym_BSLASHadd] = ACTIONS(4410),
    [anon_sym_BSLASHbk] = ACTIONS(4413),
    [anon_sym_BSLASHdc] = ACTIONS(4416),
    [anon_sym_BSLASHk] = ACTIONS(4419),
    [anon_sym_BSLASHnd] = ACTIONS(4422),
    [anon_sym_BSLASHord] = ACTIONS(4425),
    [anon_sym_BSLASHpn] = ACTIONS(4428),
    [anon_sym_BSLASHpng] = ACTIONS(4431),
    [anon_sym_BSLASHaddpn] = ACTIONS(4434),
    [anon_sym_BSLASHqt] = ACTIONS(4437),
    [anon_sym_BSLASHsig] = ACTIONS(4440),
    [anon_sym_BSLASHsls] = ACTIONS(4443),
    [anon_sym_BSLASHtl] = ACTIONS(4446),
    [anon_sym_BSLASHwj] = ACTIONS(4449),
    [anon_sym_BSLASHem] = ACTIONS(4452),
    [anon_sym_BSLASHbd] = ACTIONS(4455),
    [anon_sym_BSLASHit] = ACTIONS(4458),
    [anon_sym_BSLASHbdit] = ACTIONS(4461),
    [anon_sym_BSLASHno] = ACTIONS(4464),
    [anon_sym_BSLASHsc] = ACTIONS(4467),
    [anon_sym_BSLASHsup] = ACTIONS(4470),
    [anon_sym_BSLASHndx] = ACTIONS(4473),
    [anon_sym_BSLASHpro] = ACTIONS(4476),
    [anon_sym_BSLASHrb] = ACTIONS(4479),
    [anon_sym_BSLASHw] = ACTIONS(4482),
    [anon_sym_BSLASHwg] = ACTIONS(4485),
    [anon_sym_BSLASHwh] = ACTIONS(4488),
    [anon_sym_BSLASHwa] = ACTIONS(4491),
    [anon_sym_BSLASHfig] = ACTIONS(4494),
    [anon_sym_BSLASHjmp] = ACTIONS(4497),
    [anon_sym_BSLASHpb] = ACTIONS(4405),
    [anon_sym_BSLASH] = ACTIONS(4405),
    [sym_milestoneStartTag] = ACTIONS(4405),
    [sym_milestoneEndTag] = ACTIONS(4405),
    [sym_zSpaceTag] = ACTIONS(4405),
    [anon_sym_BSLASHesb] = ACTIONS(4405),
  },
  [329] = {
    [sym_text] = STATE(328),
    [sym_xt_standalone] = STATE(328),
    [sym_add] = STATE(328),
    [sym_bk] = STATE(328),
    [sym_dc] = STATE(328),
    [sym_k] = STATE(328),
    [sym_nd] = STATE(328),
    [sym_ord] = STATE(328),
    [sym_pn] = STATE(328),
    [sym_png] = STATE(328),
    [sym_addpn] = STATE(328),
    [sym_qt] = STATE(328),
    [sym_sig] = STATE(328),
    [sym_sls] = STATE(328),
    [sym_tl] = STATE(328),
    [sym_wj] = STATE(328),
    [sym_em] = STATE(328),
    [sym_bd] = STATE(328),
    [sym_it] = STATE(328),
    [sym_bdit] = STATE(328),
    [sym_no] = STATE(328),
    [sym_sc] = STATE(328),
    [sym_sup] = STATE(328),
    [sym_ndx] = STATE(328),
    [sym_pro] = STATE(328),
    [sym_rb] = STATE(328),
    [sym_w] = STATE(328),
    [sym_wg] = STATE(328),
    [sym_wh] = STATE(328),
    [sym_wa] = STATE(328),
    [sym__characterMarker] = STATE(328),
    [sym_fig] = STATE(328),
    [sym_jmp] = STATE(328),
    [aux_sym_cd_repeat1] = STATE(328),
    [ts_builtin_sym_end] = ACTIONS(4500),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHsts] = ACTIONS(4502),
    [anon_sym_BSLASHrem] = ACTIONS(4502),
    [anon_sym_BSLASHrestore] = ACTIONS(4502),
    [anon_sym_BSLASHlit] = ACTIONS(4502),
    [anon_sym_BSLASHip] = ACTIONS(4502),
    [anon_sym_BSLASHiex] = ACTIONS(4502),
    [anon_sym_BSLASHc] = ACTIONS(4502),
    [anon_sym_BSLASHcl] = ACTIONS(4502),
    [anon_sym_BSLASHca] = ACTIONS(4502),
    [anon_sym_BSLASHcp] = ACTIONS(4502),
    [anon_sym_BSLASHcd] = ACTIONS(4502),
    [anon_sym_BSLASHmte] = ACTIONS(4502),
    [anon_sym_BSLASHms] = ACTIONS(4502),
    [anon_sym_BSLASHs] = ACTIONS(4502),
    [anon_sym_BSLASHr] = ACTIONS(4502),
    [anon_sym_BSLASHsp] = ACTIONS(4502),
    [anon_sym_BSLASHd] = ACTIONS(4502),
    [anon_sym_BSLASHsd] = ACTIONS(4502),
    [anon_sym_BSLASHp] = ACTIONS(4502),
    [anon_sym_BSLASHm] = ACTIONS(4502),
    [anon_sym_BSLASHpo] = ACTIONS(4502),
    [anon_sym_BSLASHpr] = ACTIONS(4502),
    [anon_sym_BSLASHcls] = ACTIONS(4502),
    [anon_sym_BSLASHpmo] = ACTIONS(4502),
    [anon_sym_BSLASHpm] = ACTIONS(4502),
    [anon_sym_BSLASHpmc] = ACTIONS(4502),
    [anon_sym_BSLASHpmr] = ACTIONS(4502),
    [anon_sym_BSLASHpi] = ACTIONS(4502),
    [anon_sym_BSLASHmi] = ACTIONS(4502),
    [anon_sym_BSLASHnb] = ACTIONS(4502),
    [anon_sym_BSLASHpc] = ACTIONS(4502),
    [anon_sym_BSLASHph] = ACTIONS(4502),
    [anon_sym_BSLASHb] = ACTIONS(4502),
    [anon_sym_BSLASHq] = ACTIONS(4502),
    [anon_sym_BSLASHqr] = ACTIONS(4502),
    [anon_sym_BSLASHqc] = ACTIONS(4502),
    [anon_sym_BSLASHqa] = ACTIONS(4502),
    [anon_sym_BSLASHqm] = ACTIONS(4502),
    [anon_sym_BSLASHqd] = ACTIONS(4502),
    [anon_sym_BSLASHlh] = ACTIONS(4502),
    [anon_sym_BSLASHli] = ACTIONS(4502),
    [anon_sym_BSLASHlim] = ACTIONS(4502),
    [anon_sym_BSLASHtr] = ACTIONS(4502),
    [anon_sym_BSLASHf] = ACTIONS(4502),
    [anon_sym_BSLASHfe] = ACTIONS(4502),
    [anon_sym_BSLASHef] = ACTIONS(4502),
    [anon_sym_BSLASHfm] = ACTIONS(4502),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
    [anon_sym_BSLASHpb] = ACTIONS(4502),
    [anon_sym_BSLASH] = ACTIONS(4502),
    [sym_milestoneStartTag] = ACTIONS(4502),
    [sym_milestoneEndTag] = ACTIONS(4502),
    [sym_zSpaceTag] = ACTIONS(4502),
    [anon_sym_BSLASHesb] = ACTIONS(4502),
  },
  [330] = {
    [sym_text] = STATE(731),
    [sym_ref] = STATE(325),
    [sym__comments] = STATE(325),
    [sym_sts] = STATE(325),
    [sym_rem] = STATE(325),
    [sym_restore] = STATE(325),
    [sym_lit] = STATE(325),
    [sym_verseText] = STATE(325),
    [sym_v] = STATE(325),
    [sym__verseMeta] = STATE(325),
    [sym_va] = STATE(325),
    [sym_vp] = STATE(325),
    [sym__paragraphContent] = STATE(325),
    [sym__poetryContent] = STATE(325),
    [sym_qs] = STATE(325),
    [sym_qac] = STATE(325),
    [sym_footnote] = STATE(325),
    [sym_f] = STATE(1443),
    [sym_fe] = STATE(1443),
    [sym_ef] = STATE(1443),
    [sym_fm] = STATE(1443),
    [sym_crossref] = STATE(325),
    [sym_x] = STATE(1435),
    [sym_xt_standalone] = STATE(1435),
    [sym_rq] = STATE(1435),
    [sym_add] = STATE(731),
    [sym_bk] = STATE(731),
    [sym_dc] = STATE(731),
    [sym_k] = STATE(731),
    [sym_nd] = STATE(731),
    [sym_ord] = STATE(731),
    [sym_pn] = STATE(731),
    [sym_png] = STATE(731),
    [sym_addpn] = STATE(731),
    [sym_qt] = STATE(731),
    [sym_sig] = STATE(731),
    [sym_sls] = STATE(731),
    [sym_tl] = STATE(731),
    [sym_wj] = STATE(731),
    [sym_em] = STATE(731),
    [sym_bd] = STATE(731),
    [sym_it] = STATE(731),
    [sym_bdit] = STATE(731),
    [sym_no] = STATE(731),
    [sym_sc] = STATE(731),
    [sym_sup] = STATE(731),
    [sym_ndx] = STATE(731),
    [sym_pro] = STATE(731),
    [sym_rb] = STATE(731),
    [sym_w] = STATE(731),
    [sym_wg] = STATE(731),
    [sym_wh] = STATE(731),
    [sym_wa] = STATE(731),
    [sym__characterMarker] = STATE(731),
    [sym_fig] = STATE(731),
    [sym_jmp] = STATE(731),
    [sym_milestoneTag] = STATE(1976),
    [sym__milestoneStandaloneMarker] = STATE(1420),
    [sym__milestoneStart] = STATE(1420),
    [sym__milestoneEnd] = STATE(1420),
    [sym_milestone] = STATE(325),
    [sym__zNameSpaceRegular] = STATE(1419),
    [sym__zNameSpaceClosed] = STATE(1419),
    [sym__zNameSpaceStandaloneMarker] = STATE(1419),
    [sym_zNameSpace] = STATE(325),
    [aux_sym_verseText_repeat1] = STATE(731),
    [aux_sym_q_repeat1] = STATE(325),
    [aux_sym_text_token1] = ACTIONS(4139),
    [anon_sym_BSLASHref] = ACTIONS(4141),
    [anon_sym_BSLASHsts] = ACTIONS(4143),
    [anon_sym_BSLASHrem] = ACTIONS(4145),
    [anon_sym_BSLASHrestore] = ACTIONS(4147),
    [anon_sym_BSLASHlit] = ACTIONS(4149),
    [anon_sym_BSLASHv] = ACTIONS(4151),
    [anon_sym_BSLASHva] = ACTIONS(4153),
    [anon_sym_BSLASHvp] = ACTIONS(4155),
    [anon_sym_BSLASHqs] = ACTIONS(4157),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(4504),
    [anon_sym_BSLASHqac] = ACTIONS(4161),
    [anon_sym_BSLASHf] = ACTIONS(4163),
    [anon_sym_BSLASHfe] = ACTIONS(4165),
    [anon_sym_BSLASHef] = ACTIONS(4167),
    [anon_sym_BSLASHfm] = ACTIONS(4169),
    [anon_sym_BSLASHx] = ACTIONS(4171),
    [anon_sym_BSLASHxt] = ACTIONS(4173),
    [anon_sym_BSLASHrq] = ACTIONS(4175),
    [anon_sym_BSLASHadd] = ACTIONS(4177),
    [anon_sym_BSLASHbk] = ACTIONS(4179),
    [anon_sym_BSLASHdc] = ACTIONS(4181),
    [anon_sym_BSLASHk] = ACTIONS(4183),
    [anon_sym_BSLASHnd] = ACTIONS(4185),
    [anon_sym_BSLASHord] = ACTIONS(4187),
    [anon_sym_BSLASHpn] = ACTIONS(4189),
    [anon_sym_BSLASHpng] = ACTIONS(4191),
    [anon_sym_BSLASHaddpn] = ACTIONS(4193),
    [anon_sym_BSLASHqt] = ACTIONS(4195),
    [anon_sym_BSLASHsig] = ACTIONS(4197),
    [anon_sym_BSLASHsls] = ACTIONS(4199),
    [anon_sym_BSLASHtl] = ACTIONS(4201),
    [anon_sym_BSLASHwj] = ACTIONS(4203),
    [anon_sym_BSLASHem] = ACTIONS(4205),
    [anon_sym_BSLASHbd] = ACTIONS(4207),
    [anon_sym_BSLASHit] = ACTIONS(4209),
    [anon_sym_BSLASHbdit] = ACTIONS(4211),
    [anon_sym_BSLASHno] = ACTIONS(4213),
    [anon_sym_BSLASHsc] = ACTIONS(4215),
    [anon_sym_BSLASHsup] = ACTIONS(4217),
    [anon_sym_BSLASHndx] = ACTIONS(4219),
    [anon_sym_BSLASHpro] = ACTIONS(4221),
    [anon_sym_BSLASHrb] = ACTIONS(4223),
    [anon_sym_BSLASHw] = ACTIONS(4225),
    [anon_sym_BSLASHwg] = ACTIONS(4227),
    [anon_sym_BSLASHwh] = ACTIONS(4229),
    [anon_sym_BSLASHwa] = ACTIONS(4231),
    [anon_sym_BSLASHfig] = ACTIONS(4233),
    [anon_sym_BSLASHjmp] = ACTIONS(4235),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(4237),
    [sym_milestoneEndTag] = ACTIONS(4239),
    [sym_zSpaceTag] = ACTIONS(4241),
  },
  [331] = {
    [sym_text] = STATE(731),
    [sym_ref] = STATE(325),
    [sym__comments] = STATE(325),
    [sym_sts] = STATE(325),
    [sym_rem] = STATE(325),
    [sym_restore] = STATE(325),
    [sym_lit] = STATE(325),
    [sym_verseText] = STATE(325),
    [sym_v] = STATE(325),
    [sym__verseMeta] = STATE(325),
    [sym_va] = STATE(325),
    [sym_vp] = STATE(325),
    [sym__paragraphContent] = STATE(325),
    [sym__poetryContent] = STATE(325),
    [sym_qs] = STATE(325),
    [sym_qac] = STATE(325),
    [sym_footnote] = STATE(325),
    [sym_f] = STATE(1443),
    [sym_fe] = STATE(1443),
    [sym_ef] = STATE(1443),
    [sym_fm] = STATE(1443),
    [sym_crossref] = STATE(325),
    [sym_x] = STATE(1435),
    [sym_xt_standalone] = STATE(1435),
    [sym_rq] = STATE(1435),
    [sym_add] = STATE(731),
    [sym_bk] = STATE(731),
    [sym_dc] = STATE(731),
    [sym_k] = STATE(731),
    [sym_nd] = STATE(731),
    [sym_ord] = STATE(731),
    [sym_pn] = STATE(731),
    [sym_png] = STATE(731),
    [sym_addpn] = STATE(731),
    [sym_qt] = STATE(731),
    [sym_sig] = STATE(731),
    [sym_sls] = STATE(731),
    [sym_tl] = STATE(731),
    [sym_wj] = STATE(731),
    [sym_em] = STATE(731),
    [sym_bd] = STATE(731),
    [sym_it] = STATE(731),
    [sym_bdit] = STATE(731),
    [sym_no] = STATE(731),
    [sym_sc] = STATE(731),
    [sym_sup] = STATE(731),
    [sym_ndx] = STATE(731),
    [sym_pro] = STATE(731),
    [sym_rb] = STATE(731),
    [sym_w] = STATE(731),
    [sym_wg] = STATE(731),
    [sym_wh] = STATE(731),
    [sym_wa] = STATE(731),
    [sym__characterMarker] = STATE(731),
    [sym_fig] = STATE(731),
    [sym_jmp] = STATE(731),
    [sym_milestoneTag] = STATE(1976),
    [sym__milestoneStandaloneMarker] = STATE(1420),
    [sym__milestoneStart] = STATE(1420),
    [sym__milestoneEnd] = STATE(1420),
    [sym_milestone] = STATE(325),
    [sym__zNameSpaceRegular] = STATE(1419),
    [sym__zNameSpaceClosed] = STATE(1419),
    [sym__zNameSpaceStandaloneMarker] = STATE(1419),
    [sym_zNameSpace] = STATE(325),
    [aux_sym_verseText_repeat1] = STATE(731),
    [aux_sym_q_repeat1] = STATE(325),
    [aux_sym_text_token1] = ACTIONS(4139),
    [anon_sym_BSLASHref] = ACTIONS(4141),
    [anon_sym_BSLASHsts] = ACTIONS(4143),
    [anon_sym_BSLASHrem] = ACTIONS(4145),
    [anon_sym_BSLASHrestore] = ACTIONS(4147),
    [anon_sym_BSLASHlit] = ACTIONS(4149),
    [anon_sym_BSLASHv] = ACTIONS(4151),
    [anon_sym_BSLASHva] = ACTIONS(4153),
    [anon_sym_BSLASHvp] = ACTIONS(4155),
    [anon_sym_BSLASHqs] = ACTIONS(4157),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(4506),
    [anon_sym_BSLASHqac] = ACTIONS(4161),
    [anon_sym_BSLASHf] = ACTIONS(4163),
    [anon_sym_BSLASHfe] = ACTIONS(4165),
    [anon_sym_BSLASHef] = ACTIONS(4167),
    [anon_sym_BSLASHfm] = ACTIONS(4169),
    [anon_sym_BSLASHx] = ACTIONS(4171),
    [anon_sym_BSLASHxt] = ACTIONS(4173),
    [anon_sym_BSLASHrq] = ACTIONS(4175),
    [anon_sym_BSLASHadd] = ACTIONS(4177),
    [anon_sym_BSLASHbk] = ACTIONS(4179),
    [anon_sym_BSLASHdc] = ACTIONS(4181),
    [anon_sym_BSLASHk] = ACTIONS(4183),
    [anon_sym_BSLASHnd] = ACTIONS(4185),
    [anon_sym_BSLASHord] = ACTIONS(4187),
    [anon_sym_BSLASHpn] = ACTIONS(4189),
    [anon_sym_BSLASHpng] = ACTIONS(4191),
    [anon_sym_BSLASHaddpn] = ACTIONS(4193),
    [anon_sym_BSLASHqt] = ACTIONS(4195),
    [anon_sym_BSLASHsig] = ACTIONS(4197),
    [anon_sym_BSLASHsls] = ACTIONS(4199),
    [anon_sym_BSLASHtl] = ACTIONS(4201),
    [anon_sym_BSLASHwj] = ACTIONS(4203),
    [anon_sym_BSLASHem] = ACTIONS(4205),
    [anon_sym_BSLASHbd] = ACTIONS(4207),
    [anon_sym_BSLASHit] = ACTIONS(4209),
    [anon_sym_BSLASHbdit] = ACTIONS(4211),
    [anon_sym_BSLASHno] = ACTIONS(4213),
    [anon_sym_BSLASHsc] = ACTIONS(4215),
    [anon_sym_BSLASHsup] = ACTIONS(4217),
    [anon_sym_BSLASHndx] = ACTIONS(4219),
    [anon_sym_BSLASHpro] = ACTIONS(4221),
    [anon_sym_BSLASHrb] = ACTIONS(4223),
    [anon_sym_BSLASHw] = ACTIONS(4225),
    [anon_sym_BSLASHwg] = ACTIONS(4227),
    [anon_sym_BSLASHwh] = ACTIONS(4229),
    [anon_sym_BSLASHwa] = ACTIONS(4231),
    [anon_sym_BSLASHfig] = ACTIONS(4233),
    [anon_sym_BSLASHjmp] = ACTIONS(4235),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(4237),
    [sym_milestoneEndTag] = ACTIONS(4239),
    [sym_zSpaceTag] = ACTIONS(4241),
  },
  [332] = {
    [sym_text] = STATE(731),
    [sym_ref] = STATE(331),
    [sym__comments] = STATE(331),
    [sym_sts] = STATE(331),
    [sym_rem] = STATE(331),
    [sym_restore] = STATE(331),
    [sym_lit] = STATE(331),
    [sym_verseText] = STATE(331),
    [sym_v] = STATE(331),
    [sym__verseMeta] = STATE(331),
    [sym_va] = STATE(331),
    [sym_vp] = STATE(331),
    [sym__paragraphContent] = STATE(331),
    [sym__poetryContent] = STATE(331),
    [sym_qs] = STATE(331),
    [sym_qac] = STATE(331),
    [sym_footnote] = STATE(331),
    [sym_f] = STATE(1443),
    [sym_fe] = STATE(1443),
    [sym_ef] = STATE(1443),
    [sym_fm] = STATE(1443),
    [sym_crossref] = STATE(331),
    [sym_x] = STATE(1435),
    [sym_xt_standalone] = STATE(1435),
    [sym_rq] = STATE(1435),
    [sym_add] = STATE(731),
    [sym_bk] = STATE(731),
    [sym_dc] = STATE(731),
    [sym_k] = STATE(731),
    [sym_nd] = STATE(731),
    [sym_ord] = STATE(731),
    [sym_pn] = STATE(731),
    [sym_png] = STATE(731),
    [sym_addpn] = STATE(731),
    [sym_qt] = STATE(731),
    [sym_sig] = STATE(731),
    [sym_sls] = STATE(731),
    [sym_tl] = STATE(731),
    [sym_wj] = STATE(731),
    [sym_em] = STATE(731),
    [sym_bd] = STATE(731),
    [sym_it] = STATE(731),
    [sym_bdit] = STATE(731),
    [sym_no] = STATE(731),
    [sym_sc] = STATE(731),
    [sym_sup] = STATE(731),
    [sym_ndx] = STATE(731),
    [sym_pro] = STATE(731),
    [sym_rb] = STATE(731),
    [sym_w] = STATE(731),
    [sym_wg] = STATE(731),
    [sym_wh] = STATE(731),
    [sym_wa] = STATE(731),
    [sym__characterMarker] = STATE(731),
    [sym_fig] = STATE(731),
    [sym_jmp] = STATE(731),
    [sym_milestoneTag] = STATE(1976),
    [sym__milestoneStandaloneMarker] = STATE(1420),
    [sym__milestoneStart] = STATE(1420),
    [sym__milestoneEnd] = STATE(1420),
    [sym_milestone] = STATE(331),
    [sym__zNameSpaceRegular] = STATE(1419),
    [sym__zNameSpaceClosed] = STATE(1419),
    [sym__zNameSpaceStandaloneMarker] = STATE(1419),
    [sym_zNameSpace] = STATE(331),
    [aux_sym_verseText_repeat1] = STATE(731),
    [aux_sym_q_repeat1] = STATE(331),
    [aux_sym_text_token1] = ACTIONS(4139),
    [anon_sym_BSLASHref] = ACTIONS(4141),
    [anon_sym_BSLASHsts] = ACTIONS(4143),
    [anon_sym_BSLASHrem] = ACTIONS(4145),
    [anon_sym_BSLASHrestore] = ACTIONS(4147),
    [anon_sym_BSLASHlit] = ACTIONS(4149),
    [anon_sym_BSLASHv] = ACTIONS(4151),
    [anon_sym_BSLASHva] = ACTIONS(4153),
    [anon_sym_BSLASHvp] = ACTIONS(4155),
    [anon_sym_BSLASHqs] = ACTIONS(4157),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(4508),
    [anon_sym_BSLASHqac] = ACTIONS(4161),
    [anon_sym_BSLASHf] = ACTIONS(4163),
    [anon_sym_BSLASHfe] = ACTIONS(4165),
    [anon_sym_BSLASHef] = ACTIONS(4167),
    [anon_sym_BSLASHfm] = ACTIONS(4169),
    [anon_sym_BSLASHx] = ACTIONS(4171),
    [anon_sym_BSLASHxt] = ACTIONS(4173),
    [anon_sym_BSLASHrq] = ACTIONS(4175),
    [anon_sym_BSLASHadd] = ACTIONS(4177),
    [anon_sym_BSLASHbk] = ACTIONS(4179),
    [anon_sym_BSLASHdc] = ACTIONS(4181),
    [anon_sym_BSLASHk] = ACTIONS(4183),
    [anon_sym_BSLASHnd] = ACTIONS(4185),
    [anon_sym_BSLASHord] = ACTIONS(4187),
    [anon_sym_BSLASHpn] = ACTIONS(4189),
    [anon_sym_BSLASHpng] = ACTIONS(4191),
    [anon_sym_BSLASHaddpn] = ACTIONS(4193),
    [anon_sym_BSLASHqt] = ACTIONS(4195),
    [anon_sym_BSLASHsig] = ACTIONS(4197),
    [anon_sym_BSLASHsls] = ACTIONS(4199),
    [anon_sym_BSLASHtl] = ACTIONS(4201),
    [anon_sym_BSLASHwj] = ACTIONS(4203),
    [anon_sym_BSLASHem] = ACTIONS(4205),
    [anon_sym_BSLASHbd] = ACTIONS(4207),
    [anon_sym_BSLASHit] = ACTIONS(4209),
    [anon_sym_BSLASHbdit] = ACTIONS(4211),
    [anon_sym_BSLASHno] = ACTIONS(4213),
    [anon_sym_BSLASHsc] = ACTIONS(4215),
    [anon_sym_BSLASHsup] = ACTIONS(4217),
    [anon_sym_BSLASHndx] = ACTIONS(4219),
    [anon_sym_BSLASHpro] = ACTIONS(4221),
    [anon_sym_BSLASHrb] = ACTIONS(4223),
    [anon_sym_BSLASHw] = ACTIONS(4225),
    [anon_sym_BSLASHwg] = ACTIONS(4227),
    [anon_sym_BSLASHwh] = ACTIONS(4229),
    [anon_sym_BSLASHwa] = ACTIONS(4231),
    [anon_sym_BSLASHfig] = ACTIONS(4233),
    [anon_sym_BSLASHjmp] = ACTIONS(4235),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(4237),
    [sym_milestoneEndTag] = ACTIONS(4239),
    [sym_zSpaceTag] = ACTIONS(4241),
  },
  [333] = {
    [sym_text] = STATE(333),
    [sym_ref] = STATE(333),
    [aux_sym__introText] = STATE(333),
    [sym_iqt] = STATE(333),
    [sym_xt_standalone] = STATE(333),
    [sym_add] = STATE(333),
    [sym_bk] = STATE(333),
    [sym_dc] = STATE(333),
    [sym_k] = STATE(333),
    [sym_nd] = STATE(333),
    [sym_ord] = STATE(333),
    [sym_pn] = STATE(333),
    [sym_png] = STATE(333),
    [sym_addpn] = STATE(333),
    [sym_qt] = STATE(333),
    [sym_sig] = STATE(333),
    [sym_sls] = STATE(333),
    [sym_tl] = STATE(333),
    [sym_wj] = STATE(333),
    [sym_em] = STATE(333),
    [sym_bd] = STATE(333),
    [sym_it] = STATE(333),
    [sym_bdit] = STATE(333),
    [sym_no] = STATE(333),
    [sym_sc] = STATE(333),
    [sym_sup] = STATE(333),
    [sym_ndx] = STATE(333),
    [sym_pro] = STATE(333),
    [sym_rb] = STATE(333),
    [sym_w] = STATE(333),
    [sym_wg] = STATE(333),
    [sym_wh] = STATE(333),
    [sym_wa] = STATE(333),
    [sym__characterMarker] = STATE(333),
    [sym_fig] = STATE(333),
    [sym_jmp] = STATE(333),
    [aux_sym_text_token1] = ACTIONS(4510),
    [anon_sym_BSLASHref] = ACTIONS(4513),
    [anon_sym_BSLASHsts] = ACTIONS(3793),
    [anon_sym_BSLASHrem] = ACTIONS(3793),
    [anon_sym_BSLASHrestore] = ACTIONS(3793),
    [anon_sym_BSLASHlit] = ACTIONS(3793),
    [anon_sym_BSLASHiqt] = ACTIONS(4516),
    [anon_sym_BSLASHip] = ACTIONS(3793),
    [anon_sym_BSLASHmte] = ACTIONS(3793),
    [anon_sym_BSLASHms] = ACTIONS(3793),
    [anon_sym_BSLASHs] = ACTIONS(3793),
    [anon_sym_BSLASHr] = ACTIONS(3793),
    [anon_sym_BSLASHsp] = ACTIONS(3793),
    [anon_sym_BSLASHd] = ACTIONS(3793),
    [anon_sym_BSLASHsd] = ACTIONS(3793),
    [anon_sym_BSLASHp] = ACTIONS(3793),
    [anon_sym_BSLASHm] = ACTIONS(3793),
    [anon_sym_BSLASHpo] = ACTIONS(3793),
    [anon_sym_BSLASHpr] = ACTIONS(3793),
    [anon_sym_BSLASHcls] = ACTIONS(3793),
    [anon_sym_BSLASHpmo] = ACTIONS(3793),
    [anon_sym_BSLASHpm] = ACTIONS(3793),
    [anon_sym_BSLASHpmc] = ACTIONS(3793),
    [anon_sym_BSLASHpmr] = ACTIONS(3793),
    [anon_sym_BSLASHpi] = ACTIONS(3793),
    [anon_sym_BSLASHmi] = ACTIONS(3793),
    [anon_sym_BSLASHnb] = ACTIONS(3793),
    [anon_sym_BSLASHpc] = ACTIONS(3793),
    [anon_sym_BSLASHph] = ACTIONS(3793),
    [anon_sym_BSLASHb] = ACTIONS(3793),
    [anon_sym_BSLASHq] = ACTIONS(3793),
    [anon_sym_BSLASHqr] = ACTIONS(3793),
    [anon_sym_BSLASHqc] = ACTIONS(3793),
    [anon_sym_BSLASHqa] = ACTIONS(3793),
    [anon_sym_BSLASHqm] = ACTIONS(3793),
    [anon_sym_BSLASHqd] = ACTIONS(3793),
    [anon_sym_BSLASHlh] = ACTIONS(3793),
    [anon_sym_BSLASHli] = ACTIONS(3793),
    [anon_sym_BSLASHlim] = ACTIONS(3793),
    [anon_sym_BSLASHtr] = ACTIONS(3793),
    [anon_sym_BSLASHf] = ACTIONS(3793),
    [anon_sym_BSLASHfe] = ACTIONS(3793),
    [anon_sym_BSLASHef] = ACTIONS(3793),
    [anon_sym_BSLASHfm] = ACTIONS(3793),
    [anon_sym_BSLASHxt] = ACTIONS(4519),
    [anon_sym_BSLASHadd] = ACTIONS(4522),
    [anon_sym_BSLASHbk] = ACTIONS(4525),
    [anon_sym_BSLASHdc] = ACTIONS(4528),
    [anon_sym_BSLASHk] = ACTIONS(4531),
    [anon_sym_BSLASHnd] = ACTIONS(4534),
    [anon_sym_BSLASHord] = ACTIONS(4537),
    [anon_sym_BSLASHpn] = ACTIONS(4540),
    [anon_sym_BSLASHpng] = ACTIONS(4543),
    [anon_sym_BSLASHaddpn] = ACTIONS(4546),
    [anon_sym_BSLASHqt] = ACTIONS(4549),
    [anon_sym_BSLASHsig] = ACTIONS(4552),
    [anon_sym_BSLASHsls] = ACTIONS(4555),
    [anon_sym_BSLASHtl] = ACTIONS(4558),
    [anon_sym_BSLASHwj] = ACTIONS(4561),
    [anon_sym_BSLASHem] = ACTIONS(4564),
    [anon_sym_BSLASHbd] = ACTIONS(4567),
    [anon_sym_BSLASHit] = ACTIONS(4570),
    [anon_sym_BSLASHbdit] = ACTIONS(4573),
    [anon_sym_BSLASHno] = ACTIONS(4576),
    [anon_sym_BSLASHsc] = ACTIONS(4579),
    [anon_sym_BSLASHsup] = ACTIONS(4582),
    [anon_sym_BSLASHndx] = ACTIONS(4585),
    [anon_sym_BSLASHpro] = ACTIONS(4588),
    [anon_sym_BSLASHrb] = ACTIONS(4591),
    [anon_sym_BSLASHw] = ACTIONS(4594),
    [anon_sym_BSLASHwg] = ACTIONS(4597),
    [anon_sym_BSLASHwh] = ACTIONS(4600),
    [anon_sym_BSLASHwa] = ACTIONS(4603),
    [anon_sym_BSLASHfig] = ACTIONS(4606),
    [anon_sym_BSLASHjmp] = ACTIONS(4609),
    [anon_sym_BSLASHpb] = ACTIONS(3793),
    [anon_sym_BSLASH] = ACTIONS(3793),
    [sym_milestoneStartTag] = ACTIONS(3793),
    [sym_milestoneEndTag] = ACTIONS(3793),
    [sym_zSpaceTag] = ACTIONS(3793),
    [anon_sym_BSLASHesbe] = ACTIONS(3793),
    [anon_sym_BSLASHcat] = ACTIONS(3793),
  },
  [334] = {
    [sym_text] = STATE(333),
    [sym_ref] = STATE(333),
    [aux_sym__introText] = STATE(333),
    [sym_iqt] = STATE(333),
    [sym_xt_standalone] = STATE(333),
    [sym_add] = STATE(333),
    [sym_bk] = STATE(333),
    [sym_dc] = STATE(333),
    [sym_k] = STATE(333),
    [sym_nd] = STATE(333),
    [sym_ord] = STATE(333),
    [sym_pn] = STATE(333),
    [sym_png] = STATE(333),
    [sym_addpn] = STATE(333),
    [sym_qt] = STATE(333),
    [sym_sig] = STATE(333),
    [sym_sls] = STATE(333),
    [sym_tl] = STATE(333),
    [sym_wj] = STATE(333),
    [sym_em] = STATE(333),
    [sym_bd] = STATE(333),
    [sym_it] = STATE(333),
    [sym_bdit] = STATE(333),
    [sym_no] = STATE(333),
    [sym_sc] = STATE(333),
    [sym_sup] = STATE(333),
    [sym_ndx] = STATE(333),
    [sym_pro] = STATE(333),
    [sym_rb] = STATE(333),
    [sym_w] = STATE(333),
    [sym_wg] = STATE(333),
    [sym_wh] = STATE(333),
    [sym_wa] = STATE(333),
    [sym__characterMarker] = STATE(333),
    [sym_fig] = STATE(333),
    [sym_jmp] = STATE(333),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHsts] = ACTIONS(3777),
    [anon_sym_BSLASHrem] = ACTIONS(3777),
    [anon_sym_BSLASHrestore] = ACTIONS(3777),
    [anon_sym_BSLASHlit] = ACTIONS(3777),
    [anon_sym_BSLASHiqt] = ACTIONS(4612),
    [anon_sym_BSLASHip] = ACTIONS(3777),
    [anon_sym_BSLASHmte] = ACTIONS(3777),
    [anon_sym_BSLASHms] = ACTIONS(3777),
    [anon_sym_BSLASHs] = ACTIONS(3777),
    [anon_sym_BSLASHr] = ACTIONS(3777),
    [anon_sym_BSLASHsp] = ACTIONS(3777),
    [anon_sym_BSLASHd] = ACTIONS(3777),
    [anon_sym_BSLASHsd] = ACTIONS(3777),
    [anon_sym_BSLASHp] = ACTIONS(3777),
    [anon_sym_BSLASHm] = ACTIONS(3777),
    [anon_sym_BSLASHpo] = ACTIONS(3777),
    [anon_sym_BSLASHpr] = ACTIONS(3777),
    [anon_sym_BSLASHcls] = ACTIONS(3777),
    [anon_sym_BSLASHpmo] = ACTIONS(3777),
    [anon_sym_BSLASHpm] = ACTIONS(3777),
    [anon_sym_BSLASHpmc] = ACTIONS(3777),
    [anon_sym_BSLASHpmr] = ACTIONS(3777),
    [anon_sym_BSLASHpi] = ACTIONS(3777),
    [anon_sym_BSLASHmi] = ACTIONS(3777),
    [anon_sym_BSLASHnb] = ACTIONS(3777),
    [anon_sym_BSLASHpc] = ACTIONS(3777),
    [anon_sym_BSLASHph] = ACTIONS(3777),
    [anon_sym_BSLASHb] = ACTIONS(3777),
    [anon_sym_BSLASHq] = ACTIONS(3777),
    [anon_sym_BSLASHqr] = ACTIONS(3777),
    [anon_sym_BSLASHqc] = ACTIONS(3777),
    [anon_sym_BSLASHqa] = ACTIONS(3777),
    [anon_sym_BSLASHqm] = ACTIONS(3777),
    [anon_sym_BSLASHqd] = ACTIONS(3777),
    [anon_sym_BSLASHlh] = ACTIONS(3777),
    [anon_sym_BSLASHli] = ACTIONS(3777),
    [anon_sym_BSLASHlim] = ACTIONS(3777),
    [anon_sym_BSLASHtr] = ACTIONS(3777),
    [anon_sym_BSLASHf] = ACTIONS(3777),
    [anon_sym_BSLASHfe] = ACTIONS(3777),
    [anon_sym_BSLASHef] = ACTIONS(3777),
    [anon_sym_BSLASHfm] = ACTIONS(3777),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
    [anon_sym_BSLASHpb] = ACTIONS(3777),
    [anon_sym_BSLASH] = ACTIONS(3777),
    [sym_milestoneStartTag] = ACTIONS(3777),
    [sym_milestoneEndTag] = ACTIONS(3777),
    [sym_zSpaceTag] = ACTIONS(3777),
    [anon_sym_BSLASHesbe] = ACTIONS(3777),
    [anon_sym_BSLASHcat] = ACTIONS(3777),
  },
  [335] = {
    [sym_text] = STATE(732),
    [sym_ref] = STATE(336),
    [sym__comments] = STATE(336),
    [sym_sts] = STATE(336),
    [sym_rem] = STATE(336),
    [sym_restore] = STATE(336),
    [sym_lit] = STATE(336),
    [sym_verseText] = STATE(336),
    [sym_v] = STATE(336),
    [sym__verseMeta] = STATE(336),
    [sym_va] = STATE(336),
    [sym_vp] = STATE(336),
    [sym__paragraphContent] = STATE(336),
    [sym_footnote] = STATE(336),
    [sym_f] = STATE(1515),
    [sym_fe] = STATE(1515),
    [sym_ef] = STATE(1515),
    [sym_fm] = STATE(1515),
    [sym_crossref] = STATE(336),
    [sym_x] = STATE(1510),
    [sym_xt_standalone] = STATE(1510),
    [sym_rq] = STATE(1510),
    [sym_add] = STATE(732),
    [sym_bk] = STATE(732),
    [sym_dc] = STATE(732),
    [sym_k] = STATE(732),
    [sym_nd] = STATE(732),
    [sym_ord] = STATE(732),
    [sym_pn] = STATE(732),
    [sym_png] = STATE(732),
    [sym_addpn] = STATE(732),
    [sym_qt] = STATE(732),
    [sym_sig] = STATE(732),
    [sym_sls] = STATE(732),
    [sym_tl] = STATE(732),
    [sym_wj] = STATE(732),
    [sym_em] = STATE(732),
    [sym_bd] = STATE(732),
    [sym_it] = STATE(732),
    [sym_bdit] = STATE(732),
    [sym_no] = STATE(732),
    [sym_sc] = STATE(732),
    [sym_sup] = STATE(732),
    [sym_ndx] = STATE(732),
    [sym_pro] = STATE(732),
    [sym_rb] = STATE(732),
    [sym_w] = STATE(732),
    [sym_wg] = STATE(732),
    [sym_wh] = STATE(732),
    [sym_wa] = STATE(732),
    [sym__characterMarker] = STATE(732),
    [sym_fig] = STATE(732),
    [sym_jmp] = STATE(732),
    [sym_milestoneTag] = STATE(1962),
    [sym__milestoneStandaloneMarker] = STATE(1503),
    [sym__milestoneStart] = STATE(1503),
    [sym__milestoneEnd] = STATE(1503),
    [sym_milestone] = STATE(336),
    [sym__zNameSpaceRegular] = STATE(1502),
    [sym__zNameSpaceClosed] = STATE(1502),
    [sym__zNameSpaceStandaloneMarker] = STATE(1502),
    [sym_zNameSpace] = STATE(336),
    [aux_sym_verseText_repeat1] = STATE(732),
    [aux_sym_p_repeat1] = STATE(336),
    [aux_sym_text_token1] = ACTIONS(4614),
    [anon_sym_BSLASHref] = ACTIONS(4616),
    [anon_sym_BSLASHsts] = ACTIONS(4618),
    [anon_sym_BSLASHrem] = ACTIONS(4620),
    [anon_sym_BSLASHrestore] = ACTIONS(4622),
    [anon_sym_BSLASHlit] = ACTIONS(4624),
    [anon_sym_BSLASHv] = ACTIONS(4626),
    [anon_sym_BSLASHva] = ACTIONS(4628),
    [anon_sym_BSLASHvp] = ACTIONS(4630),
    [anon_sym_BSLASHli] = ACTIONS(4632),
    [anon_sym_BSLASHlim] = ACTIONS(4632),
    [anon_sym_BSLASHf] = ACTIONS(4634),
    [anon_sym_BSLASHfe] = ACTIONS(4636),
    [anon_sym_BSLASHef] = ACTIONS(4638),
    [anon_sym_BSLASHfm] = ACTIONS(4640),
    [anon_sym_BSLASHx] = ACTIONS(4642),
    [anon_sym_BSLASHxt] = ACTIONS(4644),
    [anon_sym_BSLASHrq] = ACTIONS(4646),
    [anon_sym_BSLASHadd] = ACTIONS(4648),
    [anon_sym_BSLASHbk] = ACTIONS(4650),
    [anon_sym_BSLASHdc] = ACTIONS(4652),
    [anon_sym_BSLASHk] = ACTIONS(4654),
    [anon_sym_BSLASHnd] = ACTIONS(4656),
    [anon_sym_BSLASHord] = ACTIONS(4658),
    [anon_sym_BSLASHpn] = ACTIONS(4660),
    [anon_sym_BSLASHpng] = ACTIONS(4662),
    [anon_sym_BSLASHaddpn] = ACTIONS(4664),
    [anon_sym_BSLASHqt] = ACTIONS(4666),
    [anon_sym_BSLASHsig] = ACTIONS(4668),
    [anon_sym_BSLASHsls] = ACTIONS(4670),
    [anon_sym_BSLASHtl] = ACTIONS(4672),
    [anon_sym_BSLASHwj] = ACTIONS(4674),
    [anon_sym_BSLASHem] = ACTIONS(4676),
    [anon_sym_BSLASHbd] = ACTIONS(4678),
    [anon_sym_BSLASHit] = ACTIONS(4680),
    [anon_sym_BSLASHbdit] = ACTIONS(4682),
    [anon_sym_BSLASHno] = ACTIONS(4684),
    [anon_sym_BSLASHsc] = ACTIONS(4686),
    [anon_sym_BSLASHsup] = ACTIONS(4688),
    [anon_sym_BSLASHndx] = ACTIONS(4690),
    [anon_sym_BSLASHpro] = ACTIONS(4692),
    [anon_sym_BSLASHrb] = ACTIONS(4694),
    [anon_sym_BSLASHw] = ACTIONS(4696),
    [anon_sym_BSLASHwg] = ACTIONS(4698),
    [anon_sym_BSLASHwh] = ACTIONS(4700),
    [anon_sym_BSLASHwa] = ACTIONS(4702),
    [anon_sym_BSLASHfig] = ACTIONS(4704),
    [anon_sym_BSLASHjmp] = ACTIONS(4706),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(4708),
    [sym_milestoneEndTag] = ACTIONS(4710),
    [sym_zSpaceTag] = ACTIONS(4712),
  },
  [336] = {
    [sym_text] = STATE(732),
    [sym_ref] = STATE(336),
    [sym__comments] = STATE(336),
    [sym_sts] = STATE(336),
    [sym_rem] = STATE(336),
    [sym_restore] = STATE(336),
    [sym_lit] = STATE(336),
    [sym_verseText] = STATE(336),
    [sym_v] = STATE(336),
    [sym__verseMeta] = STATE(336),
    [sym_va] = STATE(336),
    [sym_vp] = STATE(336),
    [sym__paragraphContent] = STATE(336),
    [sym_footnote] = STATE(336),
    [sym_f] = STATE(1515),
    [sym_fe] = STATE(1515),
    [sym_ef] = STATE(1515),
    [sym_fm] = STATE(1515),
    [sym_crossref] = STATE(336),
    [sym_x] = STATE(1510),
    [sym_xt_standalone] = STATE(1510),
    [sym_rq] = STATE(1510),
    [sym_add] = STATE(732),
    [sym_bk] = STATE(732),
    [sym_dc] = STATE(732),
    [sym_k] = STATE(732),
    [sym_nd] = STATE(732),
    [sym_ord] = STATE(732),
    [sym_pn] = STATE(732),
    [sym_png] = STATE(732),
    [sym_addpn] = STATE(732),
    [sym_qt] = STATE(732),
    [sym_sig] = STATE(732),
    [sym_sls] = STATE(732),
    [sym_tl] = STATE(732),
    [sym_wj] = STATE(732),
    [sym_em] = STATE(732),
    [sym_bd] = STATE(732),
    [sym_it] = STATE(732),
    [sym_bdit] = STATE(732),
    [sym_no] = STATE(732),
    [sym_sc] = STATE(732),
    [sym_sup] = STATE(732),
    [sym_ndx] = STATE(732),
    [sym_pro] = STATE(732),
    [sym_rb] = STATE(732),
    [sym_w] = STATE(732),
    [sym_wg] = STATE(732),
    [sym_wh] = STATE(732),
    [sym_wa] = STATE(732),
    [sym__characterMarker] = STATE(732),
    [sym_fig] = STATE(732),
    [sym_jmp] = STATE(732),
    [sym_milestoneTag] = STATE(1962),
    [sym__milestoneStandaloneMarker] = STATE(1503),
    [sym__milestoneStart] = STATE(1503),
    [sym__milestoneEnd] = STATE(1503),
    [sym_milestone] = STATE(336),
    [sym__zNameSpaceRegular] = STATE(1502),
    [sym__zNameSpaceClosed] = STATE(1502),
    [sym__zNameSpaceStandaloneMarker] = STATE(1502),
    [sym_zNameSpace] = STATE(336),
    [aux_sym_verseText_repeat1] = STATE(732),
    [aux_sym_p_repeat1] = STATE(336),
    [aux_sym_text_token1] = ACTIONS(4714),
    [anon_sym_BSLASHref] = ACTIONS(4717),
    [anon_sym_BSLASHsts] = ACTIONS(4720),
    [anon_sym_BSLASHrem] = ACTIONS(4723),
    [anon_sym_BSLASHrestore] = ACTIONS(4726),
    [anon_sym_BSLASHlit] = ACTIONS(4729),
    [anon_sym_BSLASHv] = ACTIONS(4732),
    [anon_sym_BSLASHva] = ACTIONS(4735),
    [anon_sym_BSLASHvp] = ACTIONS(4738),
    [anon_sym_BSLASHli] = ACTIONS(1343),
    [anon_sym_BSLASHlim] = ACTIONS(1343),
    [anon_sym_BSLASHf] = ACTIONS(4741),
    [anon_sym_BSLASHfe] = ACTIONS(4744),
    [anon_sym_BSLASHef] = ACTIONS(4747),
    [anon_sym_BSLASHfm] = ACTIONS(4750),
    [anon_sym_BSLASHx] = ACTIONS(4753),
    [anon_sym_BSLASHxt] = ACTIONS(4756),
    [anon_sym_BSLASHrq] = ACTIONS(4759),
    [anon_sym_BSLASHadd] = ACTIONS(4762),
    [anon_sym_BSLASHbk] = ACTIONS(4765),
    [anon_sym_BSLASHdc] = ACTIONS(4768),
    [anon_sym_BSLASHk] = ACTIONS(4771),
    [anon_sym_BSLASHnd] = ACTIONS(4774),
    [anon_sym_BSLASHord] = ACTIONS(4777),
    [anon_sym_BSLASHpn] = ACTIONS(4780),
    [anon_sym_BSLASHpng] = ACTIONS(4783),
    [anon_sym_BSLASHaddpn] = ACTIONS(4786),
    [anon_sym_BSLASHqt] = ACTIONS(4789),
    [anon_sym_BSLASHsig] = ACTIONS(4792),
    [anon_sym_BSLASHsls] = ACTIONS(4795),
    [anon_sym_BSLASHtl] = ACTIONS(4798),
    [anon_sym_BSLASHwj] = ACTIONS(4801),
    [anon_sym_BSLASHem] = ACTIONS(4804),
    [anon_sym_BSLASHbd] = ACTIONS(4807),
    [anon_sym_BSLASHit] = ACTIONS(4810),
    [anon_sym_BSLASHbdit] = ACTIONS(4813),
    [anon_sym_BSLASHno] = ACTIONS(4816),
    [anon_sym_BSLASHsc] = ACTIONS(4819),
    [anon_sym_BSLASHsup] = ACTIONS(4822),
    [anon_sym_BSLASHndx] = ACTIONS(4825),
    [anon_sym_BSLASHpro] = ACTIONS(4828),
    [anon_sym_BSLASHrb] = ACTIONS(4831),
    [anon_sym_BSLASHw] = ACTIONS(4834),
    [anon_sym_BSLASHwg] = ACTIONS(4837),
    [anon_sym_BSLASHwh] = ACTIONS(4840),
    [anon_sym_BSLASHwa] = ACTIONS(4843),
    [anon_sym_BSLASHfig] = ACTIONS(4846),
    [anon_sym_BSLASHjmp] = ACTIONS(4849),
    [anon_sym_BSLASH] = ACTIONS(1465),
    [sym_milestoneStartTag] = ACTIONS(4852),
    [sym_milestoneEndTag] = ACTIONS(4855),
    [sym_zSpaceTag] = ACTIONS(4858),
  },
  [337] = {
    [sym_text] = STATE(337),
    [sym_add] = STATE(337),
    [sym_bk] = STATE(337),
    [sym_dc] = STATE(337),
    [sym_k] = STATE(337),
    [sym_nd] = STATE(337),
    [sym_ord] = STATE(337),
    [sym_pn] = STATE(337),
    [sym_png] = STATE(337),
    [sym_addpn] = STATE(337),
    [sym_qt] = STATE(337),
    [sym_sig] = STATE(337),
    [sym_sls] = STATE(337),
    [sym_tl] = STATE(337),
    [sym_wj] = STATE(337),
    [sym_em] = STATE(337),
    [sym_bd] = STATE(337),
    [sym_it] = STATE(337),
    [sym_bdit] = STATE(337),
    [sym_no] = STATE(337),
    [sym_sc] = STATE(337),
    [sym_sup] = STATE(337),
    [sym_ndx] = STATE(337),
    [sym_pro] = STATE(337),
    [sym_rb] = STATE(337),
    [sym_w] = STATE(337),
    [sym_wg] = STATE(337),
    [sym_wh] = STATE(337),
    [sym_wa] = STATE(337),
    [sym__characterMarker] = STATE(337),
    [sym_fig] = STATE(337),
    [sym_jmp] = STATE(337),
    [aux_sym_verseText_repeat1] = STATE(337),
    [aux_sym_text_token1] = ACTIONS(4861),
    [anon_sym_BSLASHsts] = ACTIONS(3383),
    [anon_sym_BSLASHrem] = ACTIONS(3383),
    [anon_sym_BSLASHrestore] = ACTIONS(3383),
    [anon_sym_BSLASHlit] = ACTIONS(3383),
    [anon_sym_BSLASHip] = ACTIONS(3383),
    [anon_sym_BSLASHmte] = ACTIONS(3383),
    [anon_sym_BSLASHms] = ACTIONS(3383),
    [anon_sym_BSLASHs] = ACTIONS(3383),
    [anon_sym_BSLASHr] = ACTIONS(3383),
    [anon_sym_BSLASHsp] = ACTIONS(3383),
    [anon_sym_BSLASHd] = ACTIONS(3383),
    [anon_sym_BSLASHsd] = ACTIONS(3383),
    [anon_sym_BSLASHp] = ACTIONS(3383),
    [anon_sym_BSLASHm] = ACTIONS(3383),
    [anon_sym_BSLASHpo] = ACTIONS(3383),
    [anon_sym_BSLASHpr] = ACTIONS(3383),
    [anon_sym_BSLASHcls] = ACTIONS(3383),
    [anon_sym_BSLASHpmo] = ACTIONS(3383),
    [anon_sym_BSLASHpm] = ACTIONS(3383),
    [anon_sym_BSLASHpmc] = ACTIONS(3383),
    [anon_sym_BSLASHpmr] = ACTIONS(3383),
    [anon_sym_BSLASHpi] = ACTIONS(3383),
    [anon_sym_BSLASHmi] = ACTIONS(3383),
    [anon_sym_BSLASHnb] = ACTIONS(3383),
    [anon_sym_BSLASHpc] = ACTIONS(3383),
    [anon_sym_BSLASHph] = ACTIONS(3383),
    [anon_sym_BSLASHb] = ACTIONS(3383),
    [anon_sym_BSLASHq] = ACTIONS(3383),
    [anon_sym_BSLASHqr] = ACTIONS(3383),
    [anon_sym_BSLASHqc] = ACTIONS(3383),
    [anon_sym_BSLASHqa] = ACTIONS(3383),
    [anon_sym_BSLASHqm] = ACTIONS(3383),
    [anon_sym_BSLASHqd] = ACTIONS(3383),
    [anon_sym_BSLASHlh] = ACTIONS(3383),
    [anon_sym_BSLASHli] = ACTIONS(3383),
    [anon_sym_BSLASHlim] = ACTIONS(3383),
    [anon_sym_BSLASHtr] = ACTIONS(3383),
    [sym_thTag] = ACTIONS(3383),
    [sym_thrTag] = ACTIONS(3383),
    [sym_tcTag] = ACTIONS(3383),
    [sym_tcrTag] = ACTIONS(3383),
    [anon_sym_BSLASHf] = ACTIONS(3383),
    [anon_sym_BSLASHfe] = ACTIONS(3383),
    [anon_sym_BSLASHef] = ACTIONS(3383),
    [anon_sym_BSLASHfm] = ACTIONS(3383),
    [anon_sym_BSLASHadd] = ACTIONS(4864),
    [anon_sym_BSLASHbk] = ACTIONS(4867),
    [anon_sym_BSLASHdc] = ACTIONS(4870),
    [anon_sym_BSLASHk] = ACTIONS(4873),
    [anon_sym_BSLASHnd] = ACTIONS(4876),
    [anon_sym_BSLASHord] = ACTIONS(4879),
    [anon_sym_BSLASHpn] = ACTIONS(4882),
    [anon_sym_BSLASHpng] = ACTIONS(4885),
    [anon_sym_BSLASHaddpn] = ACTIONS(4888),
    [anon_sym_BSLASHqt] = ACTIONS(4891),
    [anon_sym_BSLASHsig] = ACTIONS(4894),
    [anon_sym_BSLASHsls] = ACTIONS(4897),
    [anon_sym_BSLASHtl] = ACTIONS(4900),
    [anon_sym_BSLASHwj] = ACTIONS(4903),
    [anon_sym_BSLASHem] = ACTIONS(4906),
    [anon_sym_BSLASHbd] = ACTIONS(4909),
    [anon_sym_BSLASHit] = ACTIONS(4912),
    [anon_sym_BSLASHbdit] = ACTIONS(4915),
    [anon_sym_BSLASHno] = ACTIONS(4918),
    [anon_sym_BSLASHsc] = ACTIONS(4921),
    [anon_sym_BSLASHsup] = ACTIONS(4924),
    [anon_sym_BSLASHndx] = ACTIONS(4927),
    [anon_sym_BSLASHpro] = ACTIONS(4930),
    [anon_sym_BSLASHrb] = ACTIONS(4933),
    [anon_sym_BSLASHw] = ACTIONS(4936),
    [anon_sym_BSLASHwg] = ACTIONS(4939),
    [anon_sym_BSLASHwh] = ACTIONS(4942),
    [anon_sym_BSLASHwa] = ACTIONS(4945),
    [anon_sym_BSLASHfig] = ACTIONS(4948),
    [anon_sym_BSLASHjmp] = ACTIONS(4951),
    [anon_sym_BSLASHpb] = ACTIONS(3383),
    [anon_sym_BSLASH] = ACTIONS(3383),
    [sym_milestoneStartTag] = ACTIONS(3383),
    [sym_milestoneEndTag] = ACTIONS(3383),
    [sym_zSpaceTag] = ACTIONS(3383),
    [anon_sym_BSLASHesbe] = ACTIONS(3383),
    [anon_sym_BSLASHcat] = ACTIONS(3383),
  },
  [338] = {
    [sym_text] = STATE(337),
    [sym_add] = STATE(337),
    [sym_bk] = STATE(337),
    [sym_dc] = STATE(337),
    [sym_k] = STATE(337),
    [sym_nd] = STATE(337),
    [sym_ord] = STATE(337),
    [sym_pn] = STATE(337),
    [sym_png] = STATE(337),
    [sym_addpn] = STATE(337),
    [sym_qt] = STATE(337),
    [sym_sig] = STATE(337),
    [sym_sls] = STATE(337),
    [sym_tl] = STATE(337),
    [sym_wj] = STATE(337),
    [sym_em] = STATE(337),
    [sym_bd] = STATE(337),
    [sym_it] = STATE(337),
    [sym_bdit] = STATE(337),
    [sym_no] = STATE(337),
    [sym_sc] = STATE(337),
    [sym_sup] = STATE(337),
    [sym_ndx] = STATE(337),
    [sym_pro] = STATE(337),
    [sym_rb] = STATE(337),
    [sym_w] = STATE(337),
    [sym_wg] = STATE(337),
    [sym_wh] = STATE(337),
    [sym_wa] = STATE(337),
    [sym__characterMarker] = STATE(337),
    [sym_fig] = STATE(337),
    [sym_jmp] = STATE(337),
    [aux_sym_verseText_repeat1] = STATE(337),
    [aux_sym_text_token1] = ACTIONS(4954),
    [anon_sym_BSLASHsts] = ACTIONS(3376),
    [anon_sym_BSLASHrem] = ACTIONS(3376),
    [anon_sym_BSLASHrestore] = ACTIONS(3376),
    [anon_sym_BSLASHlit] = ACTIONS(3376),
    [anon_sym_BSLASHip] = ACTIONS(3376),
    [anon_sym_BSLASHmte] = ACTIONS(3376),
    [anon_sym_BSLASHms] = ACTIONS(3376),
    [anon_sym_BSLASHs] = ACTIONS(3376),
    [anon_sym_BSLASHr] = ACTIONS(3376),
    [anon_sym_BSLASHsp] = ACTIONS(3376),
    [anon_sym_BSLASHd] = ACTIONS(3376),
    [anon_sym_BSLASHsd] = ACTIONS(3376),
    [anon_sym_BSLASHp] = ACTIONS(3376),
    [anon_sym_BSLASHm] = ACTIONS(3376),
    [anon_sym_BSLASHpo] = ACTIONS(3376),
    [anon_sym_BSLASHpr] = ACTIONS(3376),
    [anon_sym_BSLASHcls] = ACTIONS(3376),
    [anon_sym_BSLASHpmo] = ACTIONS(3376),
    [anon_sym_BSLASHpm] = ACTIONS(3376),
    [anon_sym_BSLASHpmc] = ACTIONS(3376),
    [anon_sym_BSLASHpmr] = ACTIONS(3376),
    [anon_sym_BSLASHpi] = ACTIONS(3376),
    [anon_sym_BSLASHmi] = ACTIONS(3376),
    [anon_sym_BSLASHnb] = ACTIONS(3376),
    [anon_sym_BSLASHpc] = ACTIONS(3376),
    [anon_sym_BSLASHph] = ACTIONS(3376),
    [anon_sym_BSLASHb] = ACTIONS(3376),
    [anon_sym_BSLASHq] = ACTIONS(3376),
    [anon_sym_BSLASHqr] = ACTIONS(3376),
    [anon_sym_BSLASHqc] = ACTIONS(3376),
    [anon_sym_BSLASHqa] = ACTIONS(3376),
    [anon_sym_BSLASHqm] = ACTIONS(3376),
    [anon_sym_BSLASHqd] = ACTIONS(3376),
    [anon_sym_BSLASHlh] = ACTIONS(3376),
    [anon_sym_BSLASHli] = ACTIONS(3376),
    [anon_sym_BSLASHlim] = ACTIONS(3376),
    [anon_sym_BSLASHtr] = ACTIONS(3376),
    [sym_thTag] = ACTIONS(3376),
    [sym_thrTag] = ACTIONS(3376),
    [sym_tcTag] = ACTIONS(3376),
    [sym_tcrTag] = ACTIONS(3376),
    [anon_sym_BSLASHf] = ACTIONS(3376),
    [anon_sym_BSLASHfe] = ACTIONS(3376),
    [anon_sym_BSLASHef] = ACTIONS(3376),
    [anon_sym_BSLASHfm] = ACTIONS(3376),
    [anon_sym_BSLASHadd] = ACTIONS(4956),
    [anon_sym_BSLASHbk] = ACTIONS(4958),
    [anon_sym_BSLASHdc] = ACTIONS(4960),
    [anon_sym_BSLASHk] = ACTIONS(4962),
    [anon_sym_BSLASHnd] = ACTIONS(4964),
    [anon_sym_BSLASHord] = ACTIONS(4966),
    [anon_sym_BSLASHpn] = ACTIONS(4968),
    [anon_sym_BSLASHpng] = ACTIONS(4970),
    [anon_sym_BSLASHaddpn] = ACTIONS(4972),
    [anon_sym_BSLASHqt] = ACTIONS(4974),
    [anon_sym_BSLASHsig] = ACTIONS(4976),
    [anon_sym_BSLASHsls] = ACTIONS(4978),
    [anon_sym_BSLASHtl] = ACTIONS(4980),
    [anon_sym_BSLASHwj] = ACTIONS(4982),
    [anon_sym_BSLASHem] = ACTIONS(4984),
    [anon_sym_BSLASHbd] = ACTIONS(4986),
    [anon_sym_BSLASHit] = ACTIONS(4988),
    [anon_sym_BSLASHbdit] = ACTIONS(4990),
    [anon_sym_BSLASHno] = ACTIONS(4992),
    [anon_sym_BSLASHsc] = ACTIONS(4994),
    [anon_sym_BSLASHsup] = ACTIONS(4996),
    [anon_sym_BSLASHndx] = ACTIONS(4998),
    [anon_sym_BSLASHpro] = ACTIONS(5000),
    [anon_sym_BSLASHrb] = ACTIONS(5002),
    [anon_sym_BSLASHw] = ACTIONS(5004),
    [anon_sym_BSLASHwg] = ACTIONS(5006),
    [anon_sym_BSLASHwh] = ACTIONS(5008),
    [anon_sym_BSLASHwa] = ACTIONS(5010),
    [anon_sym_BSLASHfig] = ACTIONS(5012),
    [anon_sym_BSLASHjmp] = ACTIONS(5014),
    [anon_sym_BSLASHpb] = ACTIONS(3376),
    [anon_sym_BSLASH] = ACTIONS(3376),
    [sym_milestoneStartTag] = ACTIONS(3376),
    [sym_milestoneEndTag] = ACTIONS(3376),
    [sym_zSpaceTag] = ACTIONS(3376),
    [anon_sym_BSLASHesbe] = ACTIONS(3376),
    [anon_sym_BSLASHcat] = ACTIONS(3376),
  },
  [339] = {
    [sym_text] = STATE(732),
    [sym_ref] = STATE(335),
    [sym__comments] = STATE(335),
    [sym_sts] = STATE(335),
    [sym_rem] = STATE(335),
    [sym_restore] = STATE(335),
    [sym_lit] = STATE(335),
    [sym_verseText] = STATE(335),
    [sym_v] = STATE(335),
    [sym__verseMeta] = STATE(335),
    [sym_va] = STATE(335),
    [sym_vp] = STATE(335),
    [sym__paragraphContent] = STATE(335),
    [sym_footnote] = STATE(335),
    [sym_f] = STATE(1515),
    [sym_fe] = STATE(1515),
    [sym_ef] = STATE(1515),
    [sym_fm] = STATE(1515),
    [sym_crossref] = STATE(335),
    [sym_x] = STATE(1510),
    [sym_xt_standalone] = STATE(1510),
    [sym_rq] = STATE(1510),
    [sym_add] = STATE(732),
    [sym_bk] = STATE(732),
    [sym_dc] = STATE(732),
    [sym_k] = STATE(732),
    [sym_nd] = STATE(732),
    [sym_ord] = STATE(732),
    [sym_pn] = STATE(732),
    [sym_png] = STATE(732),
    [sym_addpn] = STATE(732),
    [sym_qt] = STATE(732),
    [sym_sig] = STATE(732),
    [sym_sls] = STATE(732),
    [sym_tl] = STATE(732),
    [sym_wj] = STATE(732),
    [sym_em] = STATE(732),
    [sym_bd] = STATE(732),
    [sym_it] = STATE(732),
    [sym_bdit] = STATE(732),
    [sym_no] = STATE(732),
    [sym_sc] = STATE(732),
    [sym_sup] = STATE(732),
    [sym_ndx] = STATE(732),
    [sym_pro] = STATE(732),
    [sym_rb] = STATE(732),
    [sym_w] = STATE(732),
    [sym_wg] = STATE(732),
    [sym_wh] = STATE(732),
    [sym_wa] = STATE(732),
    [sym__characterMarker] = STATE(732),
    [sym_fig] = STATE(732),
    [sym_jmp] = STATE(732),
    [sym_milestoneTag] = STATE(1962),
    [sym__milestoneStandaloneMarker] = STATE(1503),
    [sym__milestoneStart] = STATE(1503),
    [sym__milestoneEnd] = STATE(1503),
    [sym_milestone] = STATE(335),
    [sym__zNameSpaceRegular] = STATE(1502),
    [sym__zNameSpaceClosed] = STATE(1502),
    [sym__zNameSpaceStandaloneMarker] = STATE(1502),
    [sym_zNameSpace] = STATE(335),
    [aux_sym_verseText_repeat1] = STATE(732),
    [aux_sym_p_repeat1] = STATE(335),
    [aux_sym_text_token1] = ACTIONS(4614),
    [anon_sym_BSLASHref] = ACTIONS(4616),
    [anon_sym_BSLASHsts] = ACTIONS(4618),
    [anon_sym_BSLASHrem] = ACTIONS(4620),
    [anon_sym_BSLASHrestore] = ACTIONS(4622),
    [anon_sym_BSLASHlit] = ACTIONS(4624),
    [anon_sym_BSLASHv] = ACTIONS(4626),
    [anon_sym_BSLASHva] = ACTIONS(4628),
    [anon_sym_BSLASHvp] = ACTIONS(4630),
    [anon_sym_BSLASHli] = ACTIONS(5016),
    [anon_sym_BSLASHlim] = ACTIONS(5016),
    [anon_sym_BSLASHf] = ACTIONS(4634),
    [anon_sym_BSLASHfe] = ACTIONS(4636),
    [anon_sym_BSLASHef] = ACTIONS(4638),
    [anon_sym_BSLASHfm] = ACTIONS(4640),
    [anon_sym_BSLASHx] = ACTIONS(4642),
    [anon_sym_BSLASHxt] = ACTIONS(4644),
    [anon_sym_BSLASHrq] = ACTIONS(4646),
    [anon_sym_BSLASHadd] = ACTIONS(4648),
    [anon_sym_BSLASHbk] = ACTIONS(4650),
    [anon_sym_BSLASHdc] = ACTIONS(4652),
    [anon_sym_BSLASHk] = ACTIONS(4654),
    [anon_sym_BSLASHnd] = ACTIONS(4656),
    [anon_sym_BSLASHord] = ACTIONS(4658),
    [anon_sym_BSLASHpn] = ACTIONS(4660),
    [anon_sym_BSLASHpng] = ACTIONS(4662),
    [anon_sym_BSLASHaddpn] = ACTIONS(4664),
    [anon_sym_BSLASHqt] = ACTIONS(4666),
    [anon_sym_BSLASHsig] = ACTIONS(4668),
    [anon_sym_BSLASHsls] = ACTIONS(4670),
    [anon_sym_BSLASHtl] = ACTIONS(4672),
    [anon_sym_BSLASHwj] = ACTIONS(4674),
    [anon_sym_BSLASHem] = ACTIONS(4676),
    [anon_sym_BSLASHbd] = ACTIONS(4678),
    [anon_sym_BSLASHit] = ACTIONS(4680),
    [anon_sym_BSLASHbdit] = ACTIONS(4682),
    [anon_sym_BSLASHno] = ACTIONS(4684),
    [anon_sym_BSLASHsc] = ACTIONS(4686),
    [anon_sym_BSLASHsup] = ACTIONS(4688),
    [anon_sym_BSLASHndx] = ACTIONS(4690),
    [anon_sym_BSLASHpro] = ACTIONS(4692),
    [anon_sym_BSLASHrb] = ACTIONS(4694),
    [anon_sym_BSLASHw] = ACTIONS(4696),
    [anon_sym_BSLASHwg] = ACTIONS(4698),
    [anon_sym_BSLASHwh] = ACTIONS(4700),
    [anon_sym_BSLASHwa] = ACTIONS(4702),
    [anon_sym_BSLASHfig] = ACTIONS(4704),
    [anon_sym_BSLASHjmp] = ACTIONS(4706),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(4708),
    [sym_milestoneEndTag] = ACTIONS(4710),
    [sym_zSpaceTag] = ACTIONS(4712),
  },
  [340] = {
    [sym_customAttribute] = STATE(340),
    [sym_defaultAttribute] = STATE(340),
    [sym_linkAttribute] = STATE(340),
    [sym__linkAttributeName] = STATE(2935),
    [sym__linkAttributeUserDefinedName] = STATE(2935),
    [aux_sym__attributesInCrossref_repeat1] = STATE(340),
    [aux_sym_text_token1] = ACTIONS(5018),
    [anon_sym_BSLASHref] = ACTIONS(5018),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5018),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5018),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5018),
    [anon_sym_BSLASHfr] = ACTIONS(5018),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5018),
    [anon_sym_BSLASHfq] = ACTIONS(5018),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5018),
    [anon_sym_BSLASHfqa] = ACTIONS(5018),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5018),
    [anon_sym_BSLASHfk] = ACTIONS(5018),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5018),
    [anon_sym_BSLASHfl] = ACTIONS(5018),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5018),
    [anon_sym_BSLASHfw] = ACTIONS(5018),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5018),
    [anon_sym_BSLASHfp] = ACTIONS(5018),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5018),
    [anon_sym_BSLASHft] = ACTIONS(5018),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5018),
    [anon_sym_BSLASHfdc] = ACTIONS(5018),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5018),
    [anon_sym_BSLASHfv] = ACTIONS(5018),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5018),
    [anon_sym_BSLASHxt] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5018),
    [anon_sym_BSLASHadd] = ACTIONS(5018),
    [anon_sym_BSLASHbk] = ACTIONS(5018),
    [anon_sym_BSLASHdc] = ACTIONS(5018),
    [anon_sym_BSLASHk] = ACTIONS(5018),
    [anon_sym_BSLASHnd] = ACTIONS(5018),
    [anon_sym_BSLASHord] = ACTIONS(5018),
    [anon_sym_BSLASHpn] = ACTIONS(5018),
    [anon_sym_BSLASHpng] = ACTIONS(5018),
    [anon_sym_BSLASHaddpn] = ACTIONS(5018),
    [anon_sym_BSLASHqt] = ACTIONS(5018),
    [anon_sym_BSLASHsig] = ACTIONS(5018),
    [anon_sym_BSLASHsls] = ACTIONS(5018),
    [anon_sym_BSLASHtl] = ACTIONS(5018),
    [anon_sym_BSLASHwj] = ACTIONS(5018),
    [anon_sym_BSLASHem] = ACTIONS(5018),
    [anon_sym_BSLASHbd] = ACTIONS(5018),
    [anon_sym_BSLASHit] = ACTIONS(5018),
    [anon_sym_BSLASHbdit] = ACTIONS(5018),
    [anon_sym_BSLASHno] = ACTIONS(5018),
    [anon_sym_BSLASHsc] = ACTIONS(5018),
    [anon_sym_BSLASHsup] = ACTIONS(5018),
    [anon_sym_BSLASHndx] = ACTIONS(5018),
    [anon_sym_BSLASHpro] = ACTIONS(5018),
    [anon_sym_BSLASHrb] = ACTIONS(5018),
    [anon_sym_BSLASHw] = ACTIONS(5018),
    [anon_sym_BSLASHwg] = ACTIONS(5018),
    [anon_sym_BSLASHwh] = ACTIONS(5018),
    [anon_sym_BSLASHwa] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5018),
    [anon_sym_BSLASHfig] = ACTIONS(5018),
    [anon_sym_BSLASHjmp] = ACTIONS(5018),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5018),
    [anon_sym_BSLASHcat] = ACTIONS(5018),
    [sym_customAttributeName] = ACTIONS(5020),
    [anon_sym_PIPE] = ACTIONS(5023),
    [anon_sym_link_DASHhref] = ACTIONS(5026),
    [anon_sym_link_DASHtitle] = ACTIONS(5026),
    [anon_sym_link_DASHid] = ACTIONS(5026),
    [anon_sym_href] = ACTIONS(5026),
    [anon_sym_title] = ACTIONS(5026),
    [anon_sym_id] = ACTIONS(5026),
    [anon_sym_x_DASH] = ACTIONS(5029),
  },
  [341] = {
    [sym_customAttribute] = STATE(340),
    [sym_defaultAttribute] = STATE(340),
    [sym_linkAttribute] = STATE(340),
    [sym__linkAttributeName] = STATE(2935),
    [sym__linkAttributeUserDefinedName] = STATE(2935),
    [aux_sym__attributesInCrossref_repeat1] = STATE(340),
    [aux_sym_text_token1] = ACTIONS(5032),
    [anon_sym_BSLASHref] = ACTIONS(5032),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5032),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5032),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5032),
    [anon_sym_BSLASHfr] = ACTIONS(5032),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5032),
    [anon_sym_BSLASHfq] = ACTIONS(5032),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5032),
    [anon_sym_BSLASHfqa] = ACTIONS(5032),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5032),
    [anon_sym_BSLASHfk] = ACTIONS(5032),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5032),
    [anon_sym_BSLASHfl] = ACTIONS(5032),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5032),
    [anon_sym_BSLASHfw] = ACTIONS(5032),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5032),
    [anon_sym_BSLASHfp] = ACTIONS(5032),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5032),
    [anon_sym_BSLASHft] = ACTIONS(5032),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5032),
    [anon_sym_BSLASHfdc] = ACTIONS(5032),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5032),
    [anon_sym_BSLASHfv] = ACTIONS(5032),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5032),
    [anon_sym_BSLASHxt] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5032),
    [anon_sym_BSLASHadd] = ACTIONS(5032),
    [anon_sym_BSLASHbk] = ACTIONS(5032),
    [anon_sym_BSLASHdc] = ACTIONS(5032),
    [anon_sym_BSLASHk] = ACTIONS(5032),
    [anon_sym_BSLASHnd] = ACTIONS(5032),
    [anon_sym_BSLASHord] = ACTIONS(5032),
    [anon_sym_BSLASHpn] = ACTIONS(5032),
    [anon_sym_BSLASHpng] = ACTIONS(5032),
    [anon_sym_BSLASHaddpn] = ACTIONS(5032),
    [anon_sym_BSLASHqt] = ACTIONS(5032),
    [anon_sym_BSLASHsig] = ACTIONS(5032),
    [anon_sym_BSLASHsls] = ACTIONS(5032),
    [anon_sym_BSLASHtl] = ACTIONS(5032),
    [anon_sym_BSLASHwj] = ACTIONS(5032),
    [anon_sym_BSLASHem] = ACTIONS(5032),
    [anon_sym_BSLASHbd] = ACTIONS(5032),
    [anon_sym_BSLASHit] = ACTIONS(5032),
    [anon_sym_BSLASHbdit] = ACTIONS(5032),
    [anon_sym_BSLASHno] = ACTIONS(5032),
    [anon_sym_BSLASHsc] = ACTIONS(5032),
    [anon_sym_BSLASHsup] = ACTIONS(5032),
    [anon_sym_BSLASHndx] = ACTIONS(5032),
    [anon_sym_BSLASHpro] = ACTIONS(5032),
    [anon_sym_BSLASHrb] = ACTIONS(5032),
    [anon_sym_BSLASHw] = ACTIONS(5032),
    [anon_sym_BSLASHwg] = ACTIONS(5032),
    [anon_sym_BSLASHwh] = ACTIONS(5032),
    [anon_sym_BSLASHwa] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5032),
    [anon_sym_BSLASHfig] = ACTIONS(5032),
    [anon_sym_BSLASHjmp] = ACTIONS(5032),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5032),
    [anon_sym_BSLASHcat] = ACTIONS(5032),
    [sym_customAttributeName] = ACTIONS(5034),
    [anon_sym_PIPE] = ACTIONS(5036),
    [anon_sym_link_DASHhref] = ACTIONS(5038),
    [anon_sym_link_DASHtitle] = ACTIONS(5038),
    [anon_sym_link_DASHid] = ACTIONS(5038),
    [anon_sym_href] = ACTIONS(5038),
    [anon_sym_title] = ACTIONS(5038),
    [anon_sym_id] = ACTIONS(5038),
    [anon_sym_x_DASH] = ACTIONS(5040),
  },
  [342] = {
    [sym_text] = STATE(346),
    [sym__milestoneAttributes] = STATE(2124),
    [ts_builtin_sym_end] = ACTIONS(5042),
    [aux_sym_text_token1] = ACTIONS(5044),
    [anon_sym_BSLASHref] = ACTIONS(5046),
    [anon_sym_BSLASHsts] = ACTIONS(5046),
    [anon_sym_BSLASHrem] = ACTIONS(5046),
    [anon_sym_BSLASHrestore] = ACTIONS(5046),
    [anon_sym_BSLASHlit] = ACTIONS(5046),
    [anon_sym_BSLASHip] = ACTIONS(5046),
    [anon_sym_BSLASHiex] = ACTIONS(5046),
    [anon_sym_BSLASHv] = ACTIONS(5046),
    [anon_sym_BSLASHva] = ACTIONS(5046),
    [anon_sym_BSLASHvp] = ACTIONS(5046),
    [anon_sym_BSLASHc] = ACTIONS(5046),
    [anon_sym_BSLASHcl] = ACTIONS(5046),
    [anon_sym_BSLASHca] = ACTIONS(5046),
    [anon_sym_BSLASHcp] = ACTIONS(5046),
    [anon_sym_BSLASHcd] = ACTIONS(5046),
    [anon_sym_BSLASHmte] = ACTIONS(5046),
    [anon_sym_BSLASHms] = ACTIONS(5046),
    [anon_sym_BSLASHs] = ACTIONS(5046),
    [anon_sym_BSLASHr] = ACTIONS(5046),
    [anon_sym_BSLASHsp] = ACTIONS(5046),
    [anon_sym_BSLASHd] = ACTIONS(5046),
    [anon_sym_BSLASHsd] = ACTIONS(5046),
    [anon_sym_BSLASHp] = ACTIONS(5046),
    [anon_sym_BSLASHm] = ACTIONS(5046),
    [anon_sym_BSLASHpo] = ACTIONS(5046),
    [anon_sym_BSLASHpr] = ACTIONS(5046),
    [anon_sym_BSLASHcls] = ACTIONS(5046),
    [anon_sym_BSLASHpmo] = ACTIONS(5046),
    [anon_sym_BSLASHpm] = ACTIONS(5046),
    [anon_sym_BSLASHpmc] = ACTIONS(5046),
    [anon_sym_BSLASHpmr] = ACTIONS(5046),
    [anon_sym_BSLASHpi] = ACTIONS(5046),
    [anon_sym_BSLASHmi] = ACTIONS(5046),
    [anon_sym_BSLASHnb] = ACTIONS(5046),
    [anon_sym_BSLASHpc] = ACTIONS(5046),
    [anon_sym_BSLASHph] = ACTIONS(5046),
    [anon_sym_BSLASHb] = ACTIONS(5046),
    [anon_sym_BSLASHq] = ACTIONS(5046),
    [anon_sym_BSLASHqr] = ACTIONS(5046),
    [anon_sym_BSLASHqc] = ACTIONS(5046),
    [anon_sym_BSLASHqa] = ACTIONS(5046),
    [anon_sym_BSLASHqm] = ACTIONS(5046),
    [anon_sym_BSLASHqd] = ACTIONS(5046),
    [anon_sym_BSLASHlh] = ACTIONS(5046),
    [anon_sym_BSLASHlf] = ACTIONS(5046),
    [anon_sym_BSLASHli] = ACTIONS(5046),
    [anon_sym_BSLASHlim] = ACTIONS(5046),
    [anon_sym_BSLASHliv] = ACTIONS(5046),
    [anon_sym_BSLASHlik] = ACTIONS(5046),
    [anon_sym_BSLASHlitl] = ACTIONS(5046),
    [anon_sym_BSLASHtr] = ACTIONS(5046),
    [anon_sym_BSLASHf] = ACTIONS(5046),
    [anon_sym_BSLASHfe] = ACTIONS(5046),
    [anon_sym_BSLASHef] = ACTIONS(5046),
    [anon_sym_BSLASHfm] = ACTIONS(5046),
    [anon_sym_BSLASHx] = ACTIONS(5046),
    [anon_sym_BSLASHxt] = ACTIONS(5046),
    [anon_sym_BSLASHrq] = ACTIONS(5046),
    [anon_sym_BSLASHadd] = ACTIONS(5046),
    [anon_sym_BSLASHbk] = ACTIONS(5046),
    [anon_sym_BSLASHdc] = ACTIONS(5046),
    [anon_sym_BSLASHk] = ACTIONS(5046),
    [anon_sym_BSLASHnd] = ACTIONS(5046),
    [anon_sym_BSLASHord] = ACTIONS(5046),
    [anon_sym_BSLASHpn] = ACTIONS(5046),
    [anon_sym_BSLASHpng] = ACTIONS(5046),
    [anon_sym_BSLASHaddpn] = ACTIONS(5046),
    [anon_sym_BSLASHqt] = ACTIONS(5046),
    [anon_sym_BSLASHsig] = ACTIONS(5046),
    [anon_sym_BSLASHsls] = ACTIONS(5046),
    [anon_sym_BSLASHtl] = ACTIONS(5046),
    [anon_sym_BSLASHwj] = ACTIONS(5046),
    [anon_sym_BSLASHem] = ACTIONS(5046),
    [anon_sym_BSLASHbd] = ACTIONS(5046),
    [anon_sym_BSLASHit] = ACTIONS(5046),
    [anon_sym_BSLASHbdit] = ACTIONS(5046),
    [anon_sym_BSLASHno] = ACTIONS(5046),
    [anon_sym_BSLASHsc] = ACTIONS(5046),
    [anon_sym_BSLASHsup] = ACTIONS(5046),
    [anon_sym_BSLASHndx] = ACTIONS(5046),
    [anon_sym_BSLASHpro] = ACTIONS(5046),
    [anon_sym_BSLASHrb] = ACTIONS(5046),
    [anon_sym_BSLASHw] = ACTIONS(5046),
    [anon_sym_BSLASHwg] = ACTIONS(5046),
    [anon_sym_BSLASHwh] = ACTIONS(5046),
    [anon_sym_BSLASHwa] = ACTIONS(5046),
    [anon_sym_BSLASHfig] = ACTIONS(5046),
    [anon_sym_BSLASHjmp] = ACTIONS(5046),
    [anon_sym_BSLASHpb] = ACTIONS(5046),
    [anon_sym_BSLASH] = ACTIONS(5046),
    [anon_sym_BSLASH_STAR] = ACTIONS(5048),
    [sym_milestoneStartTag] = ACTIONS(5046),
    [sym_milestoneEndTag] = ACTIONS(5046),
    [sym_zSpaceTag] = ACTIONS(5046),
    [sym__zSpaceClose] = ACTIONS(5050),
    [anon_sym_BSLASHesb] = ACTIONS(5046),
    [anon_sym_PIPE] = ACTIONS(5052),
  },
  [343] = {
    [sym_text] = STATE(345),
    [sym_ref] = STATE(345),
    [aux_sym__introText] = STATE(345),
    [sym_iqt] = STATE(345),
    [sym_ior] = STATE(1730),
    [sym_xt_standalone] = STATE(345),
    [sym_add] = STATE(345),
    [sym_bk] = STATE(345),
    [sym_dc] = STATE(345),
    [sym_k] = STATE(345),
    [sym_nd] = STATE(345),
    [sym_ord] = STATE(345),
    [sym_pn] = STATE(345),
    [sym_png] = STATE(345),
    [sym_addpn] = STATE(345),
    [sym_qt] = STATE(345),
    [sym_sig] = STATE(345),
    [sym_sls] = STATE(345),
    [sym_tl] = STATE(345),
    [sym_wj] = STATE(345),
    [sym_em] = STATE(345),
    [sym_bd] = STATE(345),
    [sym_it] = STATE(345),
    [sym_bdit] = STATE(345),
    [sym_no] = STATE(345),
    [sym_sc] = STATE(345),
    [sym_sup] = STATE(345),
    [sym_ndx] = STATE(345),
    [sym_pro] = STATE(345),
    [sym_rb] = STATE(345),
    [sym_w] = STATE(345),
    [sym_wg] = STATE(345),
    [sym_wh] = STATE(345),
    [sym_wa] = STATE(345),
    [sym__characterMarker] = STATE(345),
    [sym_fig] = STATE(345),
    [sym_jmp] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(5054),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHsts] = ACTIONS(5060),
    [anon_sym_BSLASHrem] = ACTIONS(5060),
    [anon_sym_BSLASHrestore] = ACTIONS(5060),
    [anon_sym_BSLASHlit] = ACTIONS(5060),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHimt] = ACTIONS(5060),
    [anon_sym_BSLASHimte] = ACTIONS(5060),
    [anon_sym_BSLASHis] = ACTIONS(5060),
    [anon_sym_BSLASHio] = ACTIONS(5060),
    [anon_sym_BSLASHior] = ACTIONS(5064),
    [anon_sym_BSLASHiot] = ACTIONS(5060),
    [anon_sym_BSLASHip] = ACTIONS(5060),
    [anon_sym_BSLASHim] = ACTIONS(5060),
    [anon_sym_BSLASHipi] = ACTIONS(5060),
    [anon_sym_BSLASHimi] = ACTIONS(5060),
    [anon_sym_BSLASHili] = ACTIONS(5060),
    [anon_sym_BSLASHipq] = ACTIONS(5060),
    [anon_sym_BSLASHimq] = ACTIONS(5060),
    [anon_sym_BSLASHipr] = ACTIONS(5060),
    [anon_sym_BSLASHib] = ACTIONS(5060),
    [anon_sym_BSLASHiq] = ACTIONS(5060),
    [anon_sym_BSLASHie] = ACTIONS(5060),
    [anon_sym_BSLASHiex] = ACTIONS(5060),
    [anon_sym_BSLASHc] = ACTIONS(5060),
    [anon_sym_BSLASHcl] = ACTIONS(5060),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
    [anon_sym_BSLASH] = ACTIONS(5060),
    [sym_milestoneStartTag] = ACTIONS(5060),
    [sym_milestoneEndTag] = ACTIONS(5060),
    [sym_zSpaceTag] = ACTIONS(5060),
    [anon_sym_BSLASHesb] = ACTIONS(5060),
  },
  [344] = {
    [sym__verseMeta] = STATE(347),
    [sym_va] = STATE(347),
    [sym_vp] = STATE(347),
    [aux_sym_v_repeat1] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(5128),
    [aux_sym_text_token1] = ACTIONS(5128),
    [anon_sym_BSLASHref] = ACTIONS(5130),
    [anon_sym_BSLASHsts] = ACTIONS(5130),
    [anon_sym_BSLASHrem] = ACTIONS(5130),
    [anon_sym_BSLASHrestore] = ACTIONS(5130),
    [anon_sym_BSLASHlit] = ACTIONS(5130),
    [anon_sym_BSLASHip] = ACTIONS(5130),
    [anon_sym_BSLASHiex] = ACTIONS(5130),
    [anon_sym_BSLASHv] = ACTIONS(5130),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(5130),
    [anon_sym_BSLASHcl] = ACTIONS(5130),
    [anon_sym_BSLASHca] = ACTIONS(5130),
    [anon_sym_BSLASHcp] = ACTIONS(5130),
    [anon_sym_BSLASHcd] = ACTIONS(5130),
    [anon_sym_BSLASHmte] = ACTIONS(5130),
    [anon_sym_BSLASHms] = ACTIONS(5130),
    [anon_sym_BSLASHs] = ACTIONS(5130),
    [anon_sym_BSLASHr] = ACTIONS(5130),
    [anon_sym_BSLASHsp] = ACTIONS(5130),
    [anon_sym_BSLASHd] = ACTIONS(5130),
    [anon_sym_BSLASHsd] = ACTIONS(5130),
    [anon_sym_BSLASHp] = ACTIONS(5130),
    [anon_sym_BSLASHm] = ACTIONS(5130),
    [anon_sym_BSLASHpo] = ACTIONS(5130),
    [anon_sym_BSLASHpr] = ACTIONS(5130),
    [anon_sym_BSLASHcls] = ACTIONS(5130),
    [anon_sym_BSLASHpmo] = ACTIONS(5130),
    [anon_sym_BSLASHpm] = ACTIONS(5130),
    [anon_sym_BSLASHpmc] = ACTIONS(5130),
    [anon_sym_BSLASHpmr] = ACTIONS(5130),
    [anon_sym_BSLASHpi] = ACTIONS(5130),
    [anon_sym_BSLASHmi] = ACTIONS(5130),
    [anon_sym_BSLASHnb] = ACTIONS(5130),
    [anon_sym_BSLASHpc] = ACTIONS(5130),
    [anon_sym_BSLASHph] = ACTIONS(5130),
    [anon_sym_BSLASHb] = ACTIONS(5130),
    [anon_sym_BSLASHq] = ACTIONS(5130),
    [anon_sym_BSLASHqr] = ACTIONS(5130),
    [anon_sym_BSLASHqc] = ACTIONS(5130),
    [anon_sym_BSLASHqa] = ACTIONS(5130),
    [anon_sym_BSLASHqm] = ACTIONS(5130),
    [anon_sym_BSLASHqd] = ACTIONS(5130),
    [anon_sym_BSLASHlh] = ACTIONS(5130),
    [anon_sym_BSLASHlf] = ACTIONS(5130),
    [anon_sym_BSLASHli] = ACTIONS(5130),
    [anon_sym_BSLASHlim] = ACTIONS(5130),
    [anon_sym_BSLASHliv] = ACTIONS(5130),
    [anon_sym_BSLASHlik] = ACTIONS(5130),
    [anon_sym_BSLASHlitl] = ACTIONS(5130),
    [anon_sym_BSLASHtr] = ACTIONS(5130),
    [anon_sym_BSLASHf] = ACTIONS(5130),
    [anon_sym_BSLASHfe] = ACTIONS(5130),
    [anon_sym_BSLASHef] = ACTIONS(5130),
    [anon_sym_BSLASHfm] = ACTIONS(5130),
    [anon_sym_BSLASHx] = ACTIONS(5130),
    [anon_sym_BSLASHxt] = ACTIONS(5130),
    [anon_sym_BSLASHrq] = ACTIONS(5130),
    [anon_sym_BSLASHadd] = ACTIONS(5130),
    [anon_sym_BSLASHbk] = ACTIONS(5130),
    [anon_sym_BSLASHdc] = ACTIONS(5130),
    [anon_sym_BSLASHk] = ACTIONS(5130),
    [anon_sym_BSLASHnd] = ACTIONS(5130),
    [anon_sym_BSLASHord] = ACTIONS(5130),
    [anon_sym_BSLASHpn] = ACTIONS(5130),
    [anon_sym_BSLASHpng] = ACTIONS(5130),
    [anon_sym_BSLASHaddpn] = ACTIONS(5130),
    [anon_sym_BSLASHqt] = ACTIONS(5130),
    [anon_sym_BSLASHsig] = ACTIONS(5130),
    [anon_sym_BSLASHsls] = ACTIONS(5130),
    [anon_sym_BSLASHtl] = ACTIONS(5130),
    [anon_sym_BSLASHwj] = ACTIONS(5130),
    [anon_sym_BSLASHem] = ACTIONS(5130),
    [anon_sym_BSLASHbd] = ACTIONS(5130),
    [anon_sym_BSLASHit] = ACTIONS(5130),
    [anon_sym_BSLASHbdit] = ACTIONS(5130),
    [anon_sym_BSLASHno] = ACTIONS(5130),
    [anon_sym_BSLASHsc] = ACTIONS(5130),
    [anon_sym_BSLASHsup] = ACTIONS(5130),
    [anon_sym_BSLASHndx] = ACTIONS(5130),
    [anon_sym_BSLASHpro] = ACTIONS(5130),
    [anon_sym_BSLASHrb] = ACTIONS(5130),
    [anon_sym_BSLASHw] = ACTIONS(5130),
    [anon_sym_BSLASHwg] = ACTIONS(5130),
    [anon_sym_BSLASHwh] = ACTIONS(5130),
    [anon_sym_BSLASHwa] = ACTIONS(5130),
    [anon_sym_BSLASHfig] = ACTIONS(5130),
    [anon_sym_BSLASHjmp] = ACTIONS(5130),
    [anon_sym_BSLASHpb] = ACTIONS(5130),
    [anon_sym_BSLASH] = ACTIONS(5130),
    [sym_milestoneStartTag] = ACTIONS(5130),
    [sym_milestoneEndTag] = ACTIONS(5130),
    [sym_zSpaceTag] = ACTIONS(5130),
    [anon_sym_BSLASHesb] = ACTIONS(5130),
  },
  [345] = {
    [sym_text] = STATE(345),
    [sym_ref] = STATE(345),
    [aux_sym__introText] = STATE(345),
    [sym_iqt] = STATE(345),
    [sym_xt_standalone] = STATE(345),
    [sym_add] = STATE(345),
    [sym_bk] = STATE(345),
    [sym_dc] = STATE(345),
    [sym_k] = STATE(345),
    [sym_nd] = STATE(345),
    [sym_ord] = STATE(345),
    [sym_pn] = STATE(345),
    [sym_png] = STATE(345),
    [sym_addpn] = STATE(345),
    [sym_qt] = STATE(345),
    [sym_sig] = STATE(345),
    [sym_sls] = STATE(345),
    [sym_tl] = STATE(345),
    [sym_wj] = STATE(345),
    [sym_em] = STATE(345),
    [sym_bd] = STATE(345),
    [sym_it] = STATE(345),
    [sym_bdit] = STATE(345),
    [sym_no] = STATE(345),
    [sym_sc] = STATE(345),
    [sym_sup] = STATE(345),
    [sym_ndx] = STATE(345),
    [sym_pro] = STATE(345),
    [sym_rb] = STATE(345),
    [sym_w] = STATE(345),
    [sym_wg] = STATE(345),
    [sym_wh] = STATE(345),
    [sym_wa] = STATE(345),
    [sym__characterMarker] = STATE(345),
    [sym_fig] = STATE(345),
    [sym_jmp] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(3785),
    [aux_sym_text_token1] = ACTIONS(5132),
    [anon_sym_BSLASHref] = ACTIONS(5135),
    [anon_sym_BSLASHsts] = ACTIONS(3793),
    [anon_sym_BSLASHrem] = ACTIONS(3793),
    [anon_sym_BSLASHrestore] = ACTIONS(3793),
    [anon_sym_BSLASHlit] = ACTIONS(3793),
    [anon_sym_BSLASHiqt] = ACTIONS(5138),
    [anon_sym_BSLASHimt] = ACTIONS(3793),
    [anon_sym_BSLASHimte] = ACTIONS(3793),
    [anon_sym_BSLASHis] = ACTIONS(3793),
    [anon_sym_BSLASHio] = ACTIONS(3793),
    [anon_sym_BSLASHior] = ACTIONS(3793),
    [anon_sym_BSLASHiot] = ACTIONS(3793),
    [anon_sym_BSLASHip] = ACTIONS(3793),
    [anon_sym_BSLASHim] = ACTIONS(3793),
    [anon_sym_BSLASHipi] = ACTIONS(3793),
    [anon_sym_BSLASHimi] = ACTIONS(3793),
    [anon_sym_BSLASHili] = ACTIONS(3793),
    [anon_sym_BSLASHipq] = ACTIONS(3793),
    [anon_sym_BSLASHimq] = ACTIONS(3793),
    [anon_sym_BSLASHipr] = ACTIONS(3793),
    [anon_sym_BSLASHib] = ACTIONS(3793),
    [anon_sym_BSLASHiq] = ACTIONS(3793),
    [anon_sym_BSLASHie] = ACTIONS(3793),
    [anon_sym_BSLASHiex] = ACTIONS(3793),
    [anon_sym_BSLASHc] = ACTIONS(3793),
    [anon_sym_BSLASHcl] = ACTIONS(3793),
    [anon_sym_BSLASHxt] = ACTIONS(5141),
    [anon_sym_BSLASHadd] = ACTIONS(5144),
    [anon_sym_BSLASHbk] = ACTIONS(5147),
    [anon_sym_BSLASHdc] = ACTIONS(5150),
    [anon_sym_BSLASHk] = ACTIONS(5153),
    [anon_sym_BSLASHnd] = ACTIONS(5156),
    [anon_sym_BSLASHord] = ACTIONS(5159),
    [anon_sym_BSLASHpn] = ACTIONS(5162),
    [anon_sym_BSLASHpng] = ACTIONS(5165),
    [anon_sym_BSLASHaddpn] = ACTIONS(5168),
    [anon_sym_BSLASHqt] = ACTIONS(5171),
    [anon_sym_BSLASHsig] = ACTIONS(5174),
    [anon_sym_BSLASHsls] = ACTIONS(5177),
    [anon_sym_BSLASHtl] = ACTIONS(5180),
    [anon_sym_BSLASHwj] = ACTIONS(5183),
    [anon_sym_BSLASHem] = ACTIONS(5186),
    [anon_sym_BSLASHbd] = ACTIONS(5189),
    [anon_sym_BSLASHit] = ACTIONS(5192),
    [anon_sym_BSLASHbdit] = ACTIONS(5195),
    [anon_sym_BSLASHno] = ACTIONS(5198),
    [anon_sym_BSLASHsc] = ACTIONS(5201),
    [anon_sym_BSLASHsup] = ACTIONS(5204),
    [anon_sym_BSLASHndx] = ACTIONS(5207),
    [anon_sym_BSLASHpro] = ACTIONS(5210),
    [anon_sym_BSLASHrb] = ACTIONS(5213),
    [anon_sym_BSLASHw] = ACTIONS(5216),
    [anon_sym_BSLASHwg] = ACTIONS(5219),
    [anon_sym_BSLASHwh] = ACTIONS(5222),
    [anon_sym_BSLASHwa] = ACTIONS(5225),
    [anon_sym_BSLASHfig] = ACTIONS(5228),
    [anon_sym_BSLASHjmp] = ACTIONS(5231),
    [anon_sym_BSLASH] = ACTIONS(3793),
    [sym_milestoneStartTag] = ACTIONS(3793),
    [sym_milestoneEndTag] = ACTIONS(3793),
    [sym_zSpaceTag] = ACTIONS(3793),
    [anon_sym_BSLASHesb] = ACTIONS(3793),
  },
  [346] = {
    [sym__milestoneAttributes] = STATE(2102),
    [ts_builtin_sym_end] = ACTIONS(5234),
    [aux_sym_text_token1] = ACTIONS(5234),
    [anon_sym_BSLASHref] = ACTIONS(5236),
    [anon_sym_BSLASHsts] = ACTIONS(5236),
    [anon_sym_BSLASHrem] = ACTIONS(5236),
    [anon_sym_BSLASHrestore] = ACTIONS(5236),
    [anon_sym_BSLASHlit] = ACTIONS(5236),
    [anon_sym_BSLASHip] = ACTIONS(5236),
    [anon_sym_BSLASHiex] = ACTIONS(5236),
    [anon_sym_BSLASHv] = ACTIONS(5236),
    [anon_sym_BSLASHva] = ACTIONS(5236),
    [anon_sym_BSLASHvp] = ACTIONS(5236),
    [anon_sym_BSLASHc] = ACTIONS(5236),
    [anon_sym_BSLASHcl] = ACTIONS(5236),
    [anon_sym_BSLASHca] = ACTIONS(5236),
    [anon_sym_BSLASHcp] = ACTIONS(5236),
    [anon_sym_BSLASHcd] = ACTIONS(5236),
    [anon_sym_BSLASHmte] = ACTIONS(5236),
    [anon_sym_BSLASHms] = ACTIONS(5236),
    [anon_sym_BSLASHs] = ACTIONS(5236),
    [anon_sym_BSLASHr] = ACTIONS(5236),
    [anon_sym_BSLASHsp] = ACTIONS(5236),
    [anon_sym_BSLASHd] = ACTIONS(5236),
    [anon_sym_BSLASHsd] = ACTIONS(5236),
    [anon_sym_BSLASHp] = ACTIONS(5236),
    [anon_sym_BSLASHm] = ACTIONS(5236),
    [anon_sym_BSLASHpo] = ACTIONS(5236),
    [anon_sym_BSLASHpr] = ACTIONS(5236),
    [anon_sym_BSLASHcls] = ACTIONS(5236),
    [anon_sym_BSLASHpmo] = ACTIONS(5236),
    [anon_sym_BSLASHpm] = ACTIONS(5236),
    [anon_sym_BSLASHpmc] = ACTIONS(5236),
    [anon_sym_BSLASHpmr] = ACTIONS(5236),
    [anon_sym_BSLASHpi] = ACTIONS(5236),
    [anon_sym_BSLASHmi] = ACTIONS(5236),
    [anon_sym_BSLASHnb] = ACTIONS(5236),
    [anon_sym_BSLASHpc] = ACTIONS(5236),
    [anon_sym_BSLASHph] = ACTIONS(5236),
    [anon_sym_BSLASHb] = ACTIONS(5236),
    [anon_sym_BSLASHq] = ACTIONS(5236),
    [anon_sym_BSLASHqr] = ACTIONS(5236),
    [anon_sym_BSLASHqc] = ACTIONS(5236),
    [anon_sym_BSLASHqa] = ACTIONS(5236),
    [anon_sym_BSLASHqm] = ACTIONS(5236),
    [anon_sym_BSLASHqd] = ACTIONS(5236),
    [anon_sym_BSLASHlh] = ACTIONS(5236),
    [anon_sym_BSLASHlf] = ACTIONS(5236),
    [anon_sym_BSLASHli] = ACTIONS(5236),
    [anon_sym_BSLASHlim] = ACTIONS(5236),
    [anon_sym_BSLASHliv] = ACTIONS(5236),
    [anon_sym_BSLASHlik] = ACTIONS(5236),
    [anon_sym_BSLASHlitl] = ACTIONS(5236),
    [anon_sym_BSLASHtr] = ACTIONS(5236),
    [anon_sym_BSLASHf] = ACTIONS(5236),
    [anon_sym_BSLASHfe] = ACTIONS(5236),
    [anon_sym_BSLASHef] = ACTIONS(5236),
    [anon_sym_BSLASHfm] = ACTIONS(5236),
    [anon_sym_BSLASHx] = ACTIONS(5236),
    [anon_sym_BSLASHxt] = ACTIONS(5236),
    [anon_sym_BSLASHrq] = ACTIONS(5236),
    [anon_sym_BSLASHadd] = ACTIONS(5236),
    [anon_sym_BSLASHbk] = ACTIONS(5236),
    [anon_sym_BSLASHdc] = ACTIONS(5236),
    [anon_sym_BSLASHk] = ACTIONS(5236),
    [anon_sym_BSLASHnd] = ACTIONS(5236),
    [anon_sym_BSLASHord] = ACTIONS(5236),
    [anon_sym_BSLASHpn] = ACTIONS(5236),
    [anon_sym_BSLASHpng] = ACTIONS(5236),
    [anon_sym_BSLASHaddpn] = ACTIONS(5236),
    [anon_sym_BSLASHqt] = ACTIONS(5236),
    [anon_sym_BSLASHsig] = ACTIONS(5236),
    [anon_sym_BSLASHsls] = ACTIONS(5236),
    [anon_sym_BSLASHtl] = ACTIONS(5236),
    [anon_sym_BSLASHwj] = ACTIONS(5236),
    [anon_sym_BSLASHem] = ACTIONS(5236),
    [anon_sym_BSLASHbd] = ACTIONS(5236),
    [anon_sym_BSLASHit] = ACTIONS(5236),
    [anon_sym_BSLASHbdit] = ACTIONS(5236),
    [anon_sym_BSLASHno] = ACTIONS(5236),
    [anon_sym_BSLASHsc] = ACTIONS(5236),
    [anon_sym_BSLASHsup] = ACTIONS(5236),
    [anon_sym_BSLASHndx] = ACTIONS(5236),
    [anon_sym_BSLASHpro] = ACTIONS(5236),
    [anon_sym_BSLASHrb] = ACTIONS(5236),
    [anon_sym_BSLASHw] = ACTIONS(5236),
    [anon_sym_BSLASHwg] = ACTIONS(5236),
    [anon_sym_BSLASHwh] = ACTIONS(5236),
    [anon_sym_BSLASHwa] = ACTIONS(5236),
    [anon_sym_BSLASHfig] = ACTIONS(5236),
    [anon_sym_BSLASHjmp] = ACTIONS(5236),
    [anon_sym_BSLASHpb] = ACTIONS(5236),
    [anon_sym_BSLASH] = ACTIONS(5236),
    [anon_sym_BSLASH_STAR] = ACTIONS(5238),
    [sym_milestoneStartTag] = ACTIONS(5236),
    [sym_milestoneEndTag] = ACTIONS(5236),
    [sym_zSpaceTag] = ACTIONS(5236),
    [sym__zSpaceClose] = ACTIONS(5240),
    [anon_sym_BSLASHesb] = ACTIONS(5236),
    [anon_sym_PIPE] = ACTIONS(5052),
  },
  [347] = {
    [sym__verseMeta] = STATE(348),
    [sym_va] = STATE(348),
    [sym_vp] = STATE(348),
    [aux_sym_v_repeat1] = STATE(348),
    [ts_builtin_sym_end] = ACTIONS(5242),
    [aux_sym_text_token1] = ACTIONS(5242),
    [anon_sym_BSLASHref] = ACTIONS(5244),
    [anon_sym_BSLASHsts] = ACTIONS(5244),
    [anon_sym_BSLASHrem] = ACTIONS(5244),
    [anon_sym_BSLASHrestore] = ACTIONS(5244),
    [anon_sym_BSLASHlit] = ACTIONS(5244),
    [anon_sym_BSLASHip] = ACTIONS(5244),
    [anon_sym_BSLASHiex] = ACTIONS(5244),
    [anon_sym_BSLASHv] = ACTIONS(5244),
    [anon_sym_BSLASHva] = ACTIONS(183),
    [anon_sym_BSLASHvp] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(5244),
    [anon_sym_BSLASHcl] = ACTIONS(5244),
    [anon_sym_BSLASHca] = ACTIONS(5244),
    [anon_sym_BSLASHcp] = ACTIONS(5244),
    [anon_sym_BSLASHcd] = ACTIONS(5244),
    [anon_sym_BSLASHmte] = ACTIONS(5244),
    [anon_sym_BSLASHms] = ACTIONS(5244),
    [anon_sym_BSLASHs] = ACTIONS(5244),
    [anon_sym_BSLASHr] = ACTIONS(5244),
    [anon_sym_BSLASHsp] = ACTIONS(5244),
    [anon_sym_BSLASHd] = ACTIONS(5244),
    [anon_sym_BSLASHsd] = ACTIONS(5244),
    [anon_sym_BSLASHp] = ACTIONS(5244),
    [anon_sym_BSLASHm] = ACTIONS(5244),
    [anon_sym_BSLASHpo] = ACTIONS(5244),
    [anon_sym_BSLASHpr] = ACTIONS(5244),
    [anon_sym_BSLASHcls] = ACTIONS(5244),
    [anon_sym_BSLASHpmo] = ACTIONS(5244),
    [anon_sym_BSLASHpm] = ACTIONS(5244),
    [anon_sym_BSLASHpmc] = ACTIONS(5244),
    [anon_sym_BSLASHpmr] = ACTIONS(5244),
    [anon_sym_BSLASHpi] = ACTIONS(5244),
    [anon_sym_BSLASHmi] = ACTIONS(5244),
    [anon_sym_BSLASHnb] = ACTIONS(5244),
    [anon_sym_BSLASHpc] = ACTIONS(5244),
    [anon_sym_BSLASHph] = ACTIONS(5244),
    [anon_sym_BSLASHb] = ACTIONS(5244),
    [anon_sym_BSLASHq] = ACTIONS(5244),
    [anon_sym_BSLASHqr] = ACTIONS(5244),
    [anon_sym_BSLASHqc] = ACTIONS(5244),
    [anon_sym_BSLASHqa] = ACTIONS(5244),
    [anon_sym_BSLASHqm] = ACTIONS(5244),
    [anon_sym_BSLASHqd] = ACTIONS(5244),
    [anon_sym_BSLASHlh] = ACTIONS(5244),
    [anon_sym_BSLASHlf] = ACTIONS(5244),
    [anon_sym_BSLASHli] = ACTIONS(5244),
    [anon_sym_BSLASHlim] = ACTIONS(5244),
    [anon_sym_BSLASHliv] = ACTIONS(5244),
    [anon_sym_BSLASHlik] = ACTIONS(5244),
    [anon_sym_BSLASHlitl] = ACTIONS(5244),
    [anon_sym_BSLASHtr] = ACTIONS(5244),
    [anon_sym_BSLASHf] = ACTIONS(5244),
    [anon_sym_BSLASHfe] = ACTIONS(5244),
    [anon_sym_BSLASHef] = ACTIONS(5244),
    [anon_sym_BSLASHfm] = ACTIONS(5244),
    [anon_sym_BSLASHx] = ACTIONS(5244),
    [anon_sym_BSLASHxt] = ACTIONS(5244),
    [anon_sym_BSLASHrq] = ACTIONS(5244),
    [anon_sym_BSLASHadd] = ACTIONS(5244),
    [anon_sym_BSLASHbk] = ACTIONS(5244),
    [anon_sym_BSLASHdc] = ACTIONS(5244),
    [anon_sym_BSLASHk] = ACTIONS(5244),
    [anon_sym_BSLASHnd] = ACTIONS(5244),
    [anon_sym_BSLASHord] = ACTIONS(5244),
    [anon_sym_BSLASHpn] = ACTIONS(5244),
    [anon_sym_BSLASHpng] = ACTIONS(5244),
    [anon_sym_BSLASHaddpn] = ACTIONS(5244),
    [anon_sym_BSLASHqt] = ACTIONS(5244),
    [anon_sym_BSLASHsig] = ACTIONS(5244),
    [anon_sym_BSLASHsls] = ACTIONS(5244),
    [anon_sym_BSLASHtl] = ACTIONS(5244),
    [anon_sym_BSLASHwj] = ACTIONS(5244),
    [anon_sym_BSLASHem] = ACTIONS(5244),
    [anon_sym_BSLASHbd] = ACTIONS(5244),
    [anon_sym_BSLASHit] = ACTIONS(5244),
    [anon_sym_BSLASHbdit] = ACTIONS(5244),
    [anon_sym_BSLASHno] = ACTIONS(5244),
    [anon_sym_BSLASHsc] = ACTIONS(5244),
    [anon_sym_BSLASHsup] = ACTIONS(5244),
    [anon_sym_BSLASHndx] = ACTIONS(5244),
    [anon_sym_BSLASHpro] = ACTIONS(5244),
    [anon_sym_BSLASHrb] = ACTIONS(5244),
    [anon_sym_BSLASHw] = ACTIONS(5244),
    [anon_sym_BSLASHwg] = ACTIONS(5244),
    [anon_sym_BSLASHwh] = ACTIONS(5244),
    [anon_sym_BSLASHwa] = ACTIONS(5244),
    [anon_sym_BSLASHfig] = ACTIONS(5244),
    [anon_sym_BSLASHjmp] = ACTIONS(5244),
    [anon_sym_BSLASHpb] = ACTIONS(5244),
    [anon_sym_BSLASH] = ACTIONS(5244),
    [sym_milestoneStartTag] = ACTIONS(5244),
    [sym_milestoneEndTag] = ACTIONS(5244),
    [sym_zSpaceTag] = ACTIONS(5244),
    [anon_sym_BSLASHesb] = ACTIONS(5244),
  },
  [348] = {
    [sym__verseMeta] = STATE(348),
    [sym_va] = STATE(348),
    [sym_vp] = STATE(348),
    [aux_sym_v_repeat1] = STATE(348),
    [ts_builtin_sym_end] = ACTIONS(5246),
    [aux_sym_text_token1] = ACTIONS(5246),
    [anon_sym_BSLASHref] = ACTIONS(5248),
    [anon_sym_BSLASHsts] = ACTIONS(5248),
    [anon_sym_BSLASHrem] = ACTIONS(5248),
    [anon_sym_BSLASHrestore] = ACTIONS(5248),
    [anon_sym_BSLASHlit] = ACTIONS(5248),
    [anon_sym_BSLASHip] = ACTIONS(5248),
    [anon_sym_BSLASHiex] = ACTIONS(5248),
    [anon_sym_BSLASHv] = ACTIONS(5248),
    [anon_sym_BSLASHva] = ACTIONS(5250),
    [anon_sym_BSLASHvp] = ACTIONS(5253),
    [anon_sym_BSLASHc] = ACTIONS(5248),
    [anon_sym_BSLASHcl] = ACTIONS(5248),
    [anon_sym_BSLASHca] = ACTIONS(5248),
    [anon_sym_BSLASHcp] = ACTIONS(5248),
    [anon_sym_BSLASHcd] = ACTIONS(5248),
    [anon_sym_BSLASHmte] = ACTIONS(5248),
    [anon_sym_BSLASHms] = ACTIONS(5248),
    [anon_sym_BSLASHs] = ACTIONS(5248),
    [anon_sym_BSLASHr] = ACTIONS(5248),
    [anon_sym_BSLASHsp] = ACTIONS(5248),
    [anon_sym_BSLASHd] = ACTIONS(5248),
    [anon_sym_BSLASHsd] = ACTIONS(5248),
    [anon_sym_BSLASHp] = ACTIONS(5248),
    [anon_sym_BSLASHm] = ACTIONS(5248),
    [anon_sym_BSLASHpo] = ACTIONS(5248),
    [anon_sym_BSLASHpr] = ACTIONS(5248),
    [anon_sym_BSLASHcls] = ACTIONS(5248),
    [anon_sym_BSLASHpmo] = ACTIONS(5248),
    [anon_sym_BSLASHpm] = ACTIONS(5248),
    [anon_sym_BSLASHpmc] = ACTIONS(5248),
    [anon_sym_BSLASHpmr] = ACTIONS(5248),
    [anon_sym_BSLASHpi] = ACTIONS(5248),
    [anon_sym_BSLASHmi] = ACTIONS(5248),
    [anon_sym_BSLASHnb] = ACTIONS(5248),
    [anon_sym_BSLASHpc] = ACTIONS(5248),
    [anon_sym_BSLASHph] = ACTIONS(5248),
    [anon_sym_BSLASHb] = ACTIONS(5248),
    [anon_sym_BSLASHq] = ACTIONS(5248),
    [anon_sym_BSLASHqr] = ACTIONS(5248),
    [anon_sym_BSLASHqc] = ACTIONS(5248),
    [anon_sym_BSLASHqa] = ACTIONS(5248),
    [anon_sym_BSLASHqm] = ACTIONS(5248),
    [anon_sym_BSLASHqd] = ACTIONS(5248),
    [anon_sym_BSLASHlh] = ACTIONS(5248),
    [anon_sym_BSLASHlf] = ACTIONS(5248),
    [anon_sym_BSLASHli] = ACTIONS(5248),
    [anon_sym_BSLASHlim] = ACTIONS(5248),
    [anon_sym_BSLASHliv] = ACTIONS(5248),
    [anon_sym_BSLASHlik] = ACTIONS(5248),
    [anon_sym_BSLASHlitl] = ACTIONS(5248),
    [anon_sym_BSLASHtr] = ACTIONS(5248),
    [anon_sym_BSLASHf] = ACTIONS(5248),
    [anon_sym_BSLASHfe] = ACTIONS(5248),
    [anon_sym_BSLASHef] = ACTIONS(5248),
    [anon_sym_BSLASHfm] = ACTIONS(5248),
    [anon_sym_BSLASHx] = ACTIONS(5248),
    [anon_sym_BSLASHxt] = ACTIONS(5248),
    [anon_sym_BSLASHrq] = ACTIONS(5248),
    [anon_sym_BSLASHadd] = ACTIONS(5248),
    [anon_sym_BSLASHbk] = ACTIONS(5248),
    [anon_sym_BSLASHdc] = ACTIONS(5248),
    [anon_sym_BSLASHk] = ACTIONS(5248),
    [anon_sym_BSLASHnd] = ACTIONS(5248),
    [anon_sym_BSLASHord] = ACTIONS(5248),
    [anon_sym_BSLASHpn] = ACTIONS(5248),
    [anon_sym_BSLASHpng] = ACTIONS(5248),
    [anon_sym_BSLASHaddpn] = ACTIONS(5248),
    [anon_sym_BSLASHqt] = ACTIONS(5248),
    [anon_sym_BSLASHsig] = ACTIONS(5248),
    [anon_sym_BSLASHsls] = ACTIONS(5248),
    [anon_sym_BSLASHtl] = ACTIONS(5248),
    [anon_sym_BSLASHwj] = ACTIONS(5248),
    [anon_sym_BSLASHem] = ACTIONS(5248),
    [anon_sym_BSLASHbd] = ACTIONS(5248),
    [anon_sym_BSLASHit] = ACTIONS(5248),
    [anon_sym_BSLASHbdit] = ACTIONS(5248),
    [anon_sym_BSLASHno] = ACTIONS(5248),
    [anon_sym_BSLASHsc] = ACTIONS(5248),
    [anon_sym_BSLASHsup] = ACTIONS(5248),
    [anon_sym_BSLASHndx] = ACTIONS(5248),
    [anon_sym_BSLASHpro] = ACTIONS(5248),
    [anon_sym_BSLASHrb] = ACTIONS(5248),
    [anon_sym_BSLASHw] = ACTIONS(5248),
    [anon_sym_BSLASHwg] = ACTIONS(5248),
    [anon_sym_BSLASHwh] = ACTIONS(5248),
    [anon_sym_BSLASHwa] = ACTIONS(5248),
    [anon_sym_BSLASHfig] = ACTIONS(5248),
    [anon_sym_BSLASHjmp] = ACTIONS(5248),
    [anon_sym_BSLASHpb] = ACTIONS(5248),
    [anon_sym_BSLASH] = ACTIONS(5248),
    [sym_milestoneStartTag] = ACTIONS(5248),
    [sym_milestoneEndTag] = ACTIONS(5248),
    [sym_zSpaceTag] = ACTIONS(5248),
    [anon_sym_BSLASHesb] = ACTIONS(5248),
  },
  [349] = {
    [sym_text] = STATE(345),
    [sym_ref] = STATE(345),
    [aux_sym__introText] = STATE(345),
    [sym_iqt] = STATE(345),
    [sym_xt_standalone] = STATE(345),
    [sym_add] = STATE(345),
    [sym_bk] = STATE(345),
    [sym_dc] = STATE(345),
    [sym_k] = STATE(345),
    [sym_nd] = STATE(345),
    [sym_ord] = STATE(345),
    [sym_pn] = STATE(345),
    [sym_png] = STATE(345),
    [sym_addpn] = STATE(345),
    [sym_qt] = STATE(345),
    [sym_sig] = STATE(345),
    [sym_sls] = STATE(345),
    [sym_tl] = STATE(345),
    [sym_wj] = STATE(345),
    [sym_em] = STATE(345),
    [sym_bd] = STATE(345),
    [sym_it] = STATE(345),
    [sym_bdit] = STATE(345),
    [sym_no] = STATE(345),
    [sym_sc] = STATE(345),
    [sym_sup] = STATE(345),
    [sym_ndx] = STATE(345),
    [sym_pro] = STATE(345),
    [sym_rb] = STATE(345),
    [sym_w] = STATE(345),
    [sym_wg] = STATE(345),
    [sym_wh] = STATE(345),
    [sym_wa] = STATE(345),
    [sym__characterMarker] = STATE(345),
    [sym_fig] = STATE(345),
    [sym_jmp] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(3781),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHsts] = ACTIONS(3783),
    [anon_sym_BSLASHrem] = ACTIONS(3783),
    [anon_sym_BSLASHrestore] = ACTIONS(3783),
    [anon_sym_BSLASHlit] = ACTIONS(3783),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHimt] = ACTIONS(3783),
    [anon_sym_BSLASHimte] = ACTIONS(3783),
    [anon_sym_BSLASHis] = ACTIONS(3783),
    [anon_sym_BSLASHio] = ACTIONS(3783),
    [anon_sym_BSLASHiot] = ACTIONS(3783),
    [anon_sym_BSLASHip] = ACTIONS(3783),
    [anon_sym_BSLASHim] = ACTIONS(3783),
    [anon_sym_BSLASHipi] = ACTIONS(3783),
    [anon_sym_BSLASHimi] = ACTIONS(3783),
    [anon_sym_BSLASHili] = ACTIONS(3783),
    [anon_sym_BSLASHipq] = ACTIONS(3783),
    [anon_sym_BSLASHimq] = ACTIONS(3783),
    [anon_sym_BSLASHipr] = ACTIONS(3783),
    [anon_sym_BSLASHib] = ACTIONS(3783),
    [anon_sym_BSLASHiq] = ACTIONS(3783),
    [anon_sym_BSLASHie] = ACTIONS(3783),
    [anon_sym_BSLASHiex] = ACTIONS(3783),
    [anon_sym_BSLASHc] = ACTIONS(3783),
    [anon_sym_BSLASHcl] = ACTIONS(3783),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
    [anon_sym_BSLASH] = ACTIONS(3783),
    [sym_milestoneStartTag] = ACTIONS(3783),
    [sym_milestoneEndTag] = ACTIONS(3783),
    [sym_zSpaceTag] = ACTIONS(3783),
    [anon_sym_BSLASHesb] = ACTIONS(3783),
  },
  [350] = {
    [ts_builtin_sym_end] = ACTIONS(2631),
    [aux_sym_text_token1] = ACTIONS(2631),
    [anon_sym_BSLASHref] = ACTIONS(2633),
    [anon_sym_BSLASHsts] = ACTIONS(2633),
    [anon_sym_BSLASHrem] = ACTIONS(2633),
    [anon_sym_BSLASHrestore] = ACTIONS(2633),
    [anon_sym_BSLASHlit] = ACTIONS(2633),
    [anon_sym_BSLASHiqt] = ACTIONS(2633),
    [anon_sym_BSLASHip] = ACTIONS(2633),
    [anon_sym_BSLASHiex] = ACTIONS(2633),
    [anon_sym_BSLASHv] = ACTIONS(2633),
    [anon_sym_BSLASHva] = ACTIONS(2633),
    [anon_sym_BSLASHvp] = ACTIONS(2633),
    [anon_sym_BSLASHc] = ACTIONS(2633),
    [anon_sym_BSLASHcl] = ACTIONS(2633),
    [anon_sym_BSLASHca] = ACTIONS(2633),
    [anon_sym_BSLASHcp] = ACTIONS(2633),
    [anon_sym_BSLASHcd] = ACTIONS(2633),
    [anon_sym_BSLASHmte] = ACTIONS(2633),
    [anon_sym_BSLASHms] = ACTIONS(2633),
    [anon_sym_BSLASHmr] = ACTIONS(2633),
    [anon_sym_BSLASHs] = ACTIONS(2633),
    [anon_sym_BSLASHsr] = ACTIONS(2633),
    [anon_sym_BSLASHr] = ACTIONS(2633),
    [anon_sym_BSLASHsp] = ACTIONS(2633),
    [anon_sym_BSLASHd] = ACTIONS(2633),
    [anon_sym_BSLASHsd] = ACTIONS(2633),
    [anon_sym_BSLASHp] = ACTIONS(2633),
    [anon_sym_BSLASHm] = ACTIONS(2633),
    [anon_sym_BSLASHpo] = ACTIONS(2633),
    [anon_sym_BSLASHpr] = ACTIONS(2633),
    [anon_sym_BSLASHcls] = ACTIONS(2633),
    [anon_sym_BSLASHpmo] = ACTIONS(2633),
    [anon_sym_BSLASHpm] = ACTIONS(2633),
    [anon_sym_BSLASHpmc] = ACTIONS(2633),
    [anon_sym_BSLASHpmr] = ACTIONS(2633),
    [anon_sym_BSLASHpi] = ACTIONS(2633),
    [anon_sym_BSLASHmi] = ACTIONS(2633),
    [anon_sym_BSLASHnb] = ACTIONS(2633),
    [anon_sym_BSLASHpc] = ACTIONS(2633),
    [anon_sym_BSLASHph] = ACTIONS(2633),
    [anon_sym_BSLASHb] = ACTIONS(2633),
    [anon_sym_BSLASHq] = ACTIONS(2633),
    [anon_sym_BSLASHqr] = ACTIONS(2633),
    [anon_sym_BSLASHqc] = ACTIONS(2633),
    [anon_sym_BSLASHqa] = ACTIONS(2633),
    [anon_sym_BSLASHqm] = ACTIONS(2633),
    [anon_sym_BSLASHqd] = ACTIONS(2633),
    [anon_sym_BSLASHlh] = ACTIONS(2633),
    [anon_sym_BSLASHlf] = ACTIONS(2633),
    [anon_sym_BSLASHli] = ACTIONS(2633),
    [anon_sym_BSLASHlim] = ACTIONS(2633),
    [anon_sym_BSLASHliv] = ACTIONS(2633),
    [anon_sym_BSLASHlik] = ACTIONS(2633),
    [anon_sym_BSLASHlitl] = ACTIONS(2633),
    [anon_sym_BSLASHtr] = ACTIONS(2633),
    [anon_sym_BSLASHf] = ACTIONS(2633),
    [anon_sym_BSLASHfe] = ACTIONS(2633),
    [anon_sym_BSLASHef] = ACTIONS(2633),
    [anon_sym_BSLASHfm] = ACTIONS(2633),
    [anon_sym_BSLASHx] = ACTIONS(2633),
    [anon_sym_BSLASHxt] = ACTIONS(2633),
    [anon_sym_BSLASHrq] = ACTIONS(2633),
    [anon_sym_BSLASHadd] = ACTIONS(2633),
    [anon_sym_BSLASHbk] = ACTIONS(2633),
    [anon_sym_BSLASHdc] = ACTIONS(2633),
    [anon_sym_BSLASHk] = ACTIONS(2633),
    [anon_sym_BSLASHnd] = ACTIONS(2633),
    [anon_sym_BSLASHord] = ACTIONS(2633),
    [anon_sym_BSLASHpn] = ACTIONS(2633),
    [anon_sym_BSLASHpng] = ACTIONS(2633),
    [anon_sym_BSLASHaddpn] = ACTIONS(2633),
    [anon_sym_BSLASHqt] = ACTIONS(2633),
    [anon_sym_BSLASHsig] = ACTIONS(2633),
    [anon_sym_BSLASHsls] = ACTIONS(2633),
    [anon_sym_BSLASHtl] = ACTIONS(2633),
    [anon_sym_BSLASHwj] = ACTIONS(2633),
    [anon_sym_BSLASHem] = ACTIONS(2633),
    [anon_sym_BSLASHbd] = ACTIONS(2633),
    [anon_sym_BSLASHit] = ACTIONS(2633),
    [anon_sym_BSLASHbdit] = ACTIONS(2633),
    [anon_sym_BSLASHno] = ACTIONS(2633),
    [anon_sym_BSLASHsc] = ACTIONS(2633),
    [anon_sym_BSLASHsup] = ACTIONS(2633),
    [anon_sym_BSLASHndx] = ACTIONS(2633),
    [anon_sym_BSLASHpro] = ACTIONS(2633),
    [anon_sym_BSLASHrb] = ACTIONS(2633),
    [anon_sym_BSLASHw] = ACTIONS(2633),
    [anon_sym_BSLASHwg] = ACTIONS(2633),
    [anon_sym_BSLASHwh] = ACTIONS(2633),
    [anon_sym_BSLASHwa] = ACTIONS(2633),
    [anon_sym_BSLASHfig] = ACTIONS(2633),
    [anon_sym_BSLASHjmp] = ACTIONS(2633),
    [anon_sym_BSLASHpb] = ACTIONS(2633),
    [anon_sym_BSLASH] = ACTIONS(2633),
    [sym_milestoneStartTag] = ACTIONS(2633),
    [sym_milestoneEndTag] = ACTIONS(2633),
    [sym_zSpaceTag] = ACTIONS(2633),
    [anon_sym_BSLASHesb] = ACTIONS(2633),
  },
  [351] = {
    [ts_builtin_sym_end] = ACTIONS(2707),
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHref] = ACTIONS(2709),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHiqt] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHiex] = ACTIONS(2709),
    [anon_sym_BSLASHv] = ACTIONS(2709),
    [anon_sym_BSLASHva] = ACTIONS(2709),
    [anon_sym_BSLASHvp] = ACTIONS(2709),
    [anon_sym_BSLASHc] = ACTIONS(2709),
    [anon_sym_BSLASHcl] = ACTIONS(2709),
    [anon_sym_BSLASHca] = ACTIONS(2709),
    [anon_sym_BSLASHcp] = ACTIONS(2709),
    [anon_sym_BSLASHcd] = ACTIONS(2709),
    [anon_sym_BSLASHmte] = ACTIONS(2709),
    [anon_sym_BSLASHms] = ACTIONS(2709),
    [anon_sym_BSLASHmr] = ACTIONS(2709),
    [anon_sym_BSLASHs] = ACTIONS(2709),
    [anon_sym_BSLASHsr] = ACTIONS(2709),
    [anon_sym_BSLASHr] = ACTIONS(2709),
    [anon_sym_BSLASHsp] = ACTIONS(2709),
    [anon_sym_BSLASHd] = ACTIONS(2709),
    [anon_sym_BSLASHsd] = ACTIONS(2709),
    [anon_sym_BSLASHp] = ACTIONS(2709),
    [anon_sym_BSLASHm] = ACTIONS(2709),
    [anon_sym_BSLASHpo] = ACTIONS(2709),
    [anon_sym_BSLASHpr] = ACTIONS(2709),
    [anon_sym_BSLASHcls] = ACTIONS(2709),
    [anon_sym_BSLASHpmo] = ACTIONS(2709),
    [anon_sym_BSLASHpm] = ACTIONS(2709),
    [anon_sym_BSLASHpmc] = ACTIONS(2709),
    [anon_sym_BSLASHpmr] = ACTIONS(2709),
    [anon_sym_BSLASHpi] = ACTIONS(2709),
    [anon_sym_BSLASHmi] = ACTIONS(2709),
    [anon_sym_BSLASHnb] = ACTIONS(2709),
    [anon_sym_BSLASHpc] = ACTIONS(2709),
    [anon_sym_BSLASHph] = ACTIONS(2709),
    [anon_sym_BSLASHb] = ACTIONS(2709),
    [anon_sym_BSLASHq] = ACTIONS(2709),
    [anon_sym_BSLASHqr] = ACTIONS(2709),
    [anon_sym_BSLASHqc] = ACTIONS(2709),
    [anon_sym_BSLASHqa] = ACTIONS(2709),
    [anon_sym_BSLASHqm] = ACTIONS(2709),
    [anon_sym_BSLASHqd] = ACTIONS(2709),
    [anon_sym_BSLASHlh] = ACTIONS(2709),
    [anon_sym_BSLASHlf] = ACTIONS(2709),
    [anon_sym_BSLASHli] = ACTIONS(2709),
    [anon_sym_BSLASHlim] = ACTIONS(2709),
    [anon_sym_BSLASHliv] = ACTIONS(2709),
    [anon_sym_BSLASHlik] = ACTIONS(2709),
    [anon_sym_BSLASHlitl] = ACTIONS(2709),
    [anon_sym_BSLASHtr] = ACTIONS(2709),
    [anon_sym_BSLASHf] = ACTIONS(2709),
    [anon_sym_BSLASHfe] = ACTIONS(2709),
    [anon_sym_BSLASHef] = ACTIONS(2709),
    [anon_sym_BSLASHfm] = ACTIONS(2709),
    [anon_sym_BSLASHx] = ACTIONS(2709),
    [anon_sym_BSLASHxt] = ACTIONS(2709),
    [anon_sym_BSLASHrq] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASHfig] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASHpb] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesb] = ACTIONS(2709),
  },
  [352] = {
    [ts_builtin_sym_end] = ACTIONS(2743),
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHref] = ACTIONS(2745),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHiqt] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHiex] = ACTIONS(2745),
    [anon_sym_BSLASHv] = ACTIONS(2745),
    [anon_sym_BSLASHva] = ACTIONS(2745),
    [anon_sym_BSLASHvp] = ACTIONS(2745),
    [anon_sym_BSLASHc] = ACTIONS(2745),
    [anon_sym_BSLASHcl] = ACTIONS(2745),
    [anon_sym_BSLASHca] = ACTIONS(2745),
    [anon_sym_BSLASHcp] = ACTIONS(2745),
    [anon_sym_BSLASHcd] = ACTIONS(2745),
    [anon_sym_BSLASHmte] = ACTIONS(2745),
    [anon_sym_BSLASHms] = ACTIONS(2745),
    [anon_sym_BSLASHmr] = ACTIONS(2745),
    [anon_sym_BSLASHs] = ACTIONS(2745),
    [anon_sym_BSLASHsr] = ACTIONS(2745),
    [anon_sym_BSLASHr] = ACTIONS(2745),
    [anon_sym_BSLASHsp] = ACTIONS(2745),
    [anon_sym_BSLASHd] = ACTIONS(2745),
    [anon_sym_BSLASHsd] = ACTIONS(2745),
    [anon_sym_BSLASHp] = ACTIONS(2745),
    [anon_sym_BSLASHm] = ACTIONS(2745),
    [anon_sym_BSLASHpo] = ACTIONS(2745),
    [anon_sym_BSLASHpr] = ACTIONS(2745),
    [anon_sym_BSLASHcls] = ACTIONS(2745),
    [anon_sym_BSLASHpmo] = ACTIONS(2745),
    [anon_sym_BSLASHpm] = ACTIONS(2745),
    [anon_sym_BSLASHpmc] = ACTIONS(2745),
    [anon_sym_BSLASHpmr] = ACTIONS(2745),
    [anon_sym_BSLASHpi] = ACTIONS(2745),
    [anon_sym_BSLASHmi] = ACTIONS(2745),
    [anon_sym_BSLASHnb] = ACTIONS(2745),
    [anon_sym_BSLASHpc] = ACTIONS(2745),
    [anon_sym_BSLASHph] = ACTIONS(2745),
    [anon_sym_BSLASHb] = ACTIONS(2745),
    [anon_sym_BSLASHq] = ACTIONS(2745),
    [anon_sym_BSLASHqr] = ACTIONS(2745),
    [anon_sym_BSLASHqc] = ACTIONS(2745),
    [anon_sym_BSLASHqa] = ACTIONS(2745),
    [anon_sym_BSLASHqm] = ACTIONS(2745),
    [anon_sym_BSLASHqd] = ACTIONS(2745),
    [anon_sym_BSLASHlh] = ACTIONS(2745),
    [anon_sym_BSLASHlf] = ACTIONS(2745),
    [anon_sym_BSLASHli] = ACTIONS(2745),
    [anon_sym_BSLASHlim] = ACTIONS(2745),
    [anon_sym_BSLASHliv] = ACTIONS(2745),
    [anon_sym_BSLASHlik] = ACTIONS(2745),
    [anon_sym_BSLASHlitl] = ACTIONS(2745),
    [anon_sym_BSLASHtr] = ACTIONS(2745),
    [anon_sym_BSLASHf] = ACTIONS(2745),
    [anon_sym_BSLASHfe] = ACTIONS(2745),
    [anon_sym_BSLASHef] = ACTIONS(2745),
    [anon_sym_BSLASHfm] = ACTIONS(2745),
    [anon_sym_BSLASHx] = ACTIONS(2745),
    [anon_sym_BSLASHxt] = ACTIONS(2745),
    [anon_sym_BSLASHrq] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASHfig] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASHpb] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesb] = ACTIONS(2745),
  },
  [353] = {
    [ts_builtin_sym_end] = ACTIONS(2703),
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHref] = ACTIONS(2705),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHiqt] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHiex] = ACTIONS(2705),
    [anon_sym_BSLASHv] = ACTIONS(2705),
    [anon_sym_BSLASHva] = ACTIONS(2705),
    [anon_sym_BSLASHvp] = ACTIONS(2705),
    [anon_sym_BSLASHc] = ACTIONS(2705),
    [anon_sym_BSLASHcl] = ACTIONS(2705),
    [anon_sym_BSLASHca] = ACTIONS(2705),
    [anon_sym_BSLASHcp] = ACTIONS(2705),
    [anon_sym_BSLASHcd] = ACTIONS(2705),
    [anon_sym_BSLASHmte] = ACTIONS(2705),
    [anon_sym_BSLASHms] = ACTIONS(2705),
    [anon_sym_BSLASHmr] = ACTIONS(2705),
    [anon_sym_BSLASHs] = ACTIONS(2705),
    [anon_sym_BSLASHsr] = ACTIONS(2705),
    [anon_sym_BSLASHr] = ACTIONS(2705),
    [anon_sym_BSLASHsp] = ACTIONS(2705),
    [anon_sym_BSLASHd] = ACTIONS(2705),
    [anon_sym_BSLASHsd] = ACTIONS(2705),
    [anon_sym_BSLASHp] = ACTIONS(2705),
    [anon_sym_BSLASHm] = ACTIONS(2705),
    [anon_sym_BSLASHpo] = ACTIONS(2705),
    [anon_sym_BSLASHpr] = ACTIONS(2705),
    [anon_sym_BSLASHcls] = ACTIONS(2705),
    [anon_sym_BSLASHpmo] = ACTIONS(2705),
    [anon_sym_BSLASHpm] = ACTIONS(2705),
    [anon_sym_BSLASHpmc] = ACTIONS(2705),
    [anon_sym_BSLASHpmr] = ACTIONS(2705),
    [anon_sym_BSLASHpi] = ACTIONS(2705),
    [anon_sym_BSLASHmi] = ACTIONS(2705),
    [anon_sym_BSLASHnb] = ACTIONS(2705),
    [anon_sym_BSLASHpc] = ACTIONS(2705),
    [anon_sym_BSLASHph] = ACTIONS(2705),
    [anon_sym_BSLASHb] = ACTIONS(2705),
    [anon_sym_BSLASHq] = ACTIONS(2705),
    [anon_sym_BSLASHqr] = ACTIONS(2705),
    [anon_sym_BSLASHqc] = ACTIONS(2705),
    [anon_sym_BSLASHqa] = ACTIONS(2705),
    [anon_sym_BSLASHqm] = ACTIONS(2705),
    [anon_sym_BSLASHqd] = ACTIONS(2705),
    [anon_sym_BSLASHlh] = ACTIONS(2705),
    [anon_sym_BSLASHlf] = ACTIONS(2705),
    [anon_sym_BSLASHli] = ACTIONS(2705),
    [anon_sym_BSLASHlim] = ACTIONS(2705),
    [anon_sym_BSLASHliv] = ACTIONS(2705),
    [anon_sym_BSLASHlik] = ACTIONS(2705),
    [anon_sym_BSLASHlitl] = ACTIONS(2705),
    [anon_sym_BSLASHtr] = ACTIONS(2705),
    [anon_sym_BSLASHf] = ACTIONS(2705),
    [anon_sym_BSLASHfe] = ACTIONS(2705),
    [anon_sym_BSLASHef] = ACTIONS(2705),
    [anon_sym_BSLASHfm] = ACTIONS(2705),
    [anon_sym_BSLASHx] = ACTIONS(2705),
    [anon_sym_BSLASHxt] = ACTIONS(2705),
    [anon_sym_BSLASHrq] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASHfig] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASHpb] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesb] = ACTIONS(2705),
  },
  [354] = {
    [ts_builtin_sym_end] = ACTIONS(25),
    [aux_sym_text_token1] = ACTIONS(25),
    [anon_sym_BSLASHref] = ACTIONS(27),
    [anon_sym_BSLASHsts] = ACTIONS(27),
    [anon_sym_BSLASHrem] = ACTIONS(27),
    [anon_sym_BSLASHrestore] = ACTIONS(27),
    [anon_sym_BSLASHlit] = ACTIONS(27),
    [anon_sym_BSLASHiqt] = ACTIONS(27),
    [anon_sym_BSLASHip] = ACTIONS(27),
    [anon_sym_BSLASHiex] = ACTIONS(27),
    [anon_sym_BSLASHv] = ACTIONS(27),
    [anon_sym_BSLASHva] = ACTIONS(27),
    [anon_sym_BSLASHvp] = ACTIONS(27),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [anon_sym_BSLASHcl] = ACTIONS(27),
    [anon_sym_BSLASHca] = ACTIONS(27),
    [anon_sym_BSLASHcp] = ACTIONS(27),
    [anon_sym_BSLASHcd] = ACTIONS(27),
    [anon_sym_BSLASHmte] = ACTIONS(27),
    [anon_sym_BSLASHms] = ACTIONS(27),
    [anon_sym_BSLASHmr] = ACTIONS(27),
    [anon_sym_BSLASHs] = ACTIONS(27),
    [anon_sym_BSLASHsr] = ACTIONS(27),
    [anon_sym_BSLASHr] = ACTIONS(27),
    [anon_sym_BSLASHsp] = ACTIONS(27),
    [anon_sym_BSLASHd] = ACTIONS(27),
    [anon_sym_BSLASHsd] = ACTIONS(27),
    [anon_sym_BSLASHp] = ACTIONS(27),
    [anon_sym_BSLASHm] = ACTIONS(27),
    [anon_sym_BSLASHpo] = ACTIONS(27),
    [anon_sym_BSLASHpr] = ACTIONS(27),
    [anon_sym_BSLASHcls] = ACTIONS(27),
    [anon_sym_BSLASHpmo] = ACTIONS(27),
    [anon_sym_BSLASHpm] = ACTIONS(27),
    [anon_sym_BSLASHpmc] = ACTIONS(27),
    [anon_sym_BSLASHpmr] = ACTIONS(27),
    [anon_sym_BSLASHpi] = ACTIONS(27),
    [anon_sym_BSLASHmi] = ACTIONS(27),
    [anon_sym_BSLASHnb] = ACTIONS(27),
    [anon_sym_BSLASHpc] = ACTIONS(27),
    [anon_sym_BSLASHph] = ACTIONS(27),
    [anon_sym_BSLASHb] = ACTIONS(27),
    [anon_sym_BSLASHq] = ACTIONS(27),
    [anon_sym_BSLASHqr] = ACTIONS(27),
    [anon_sym_BSLASHqc] = ACTIONS(27),
    [anon_sym_BSLASHqa] = ACTIONS(27),
    [anon_sym_BSLASHqm] = ACTIONS(27),
    [anon_sym_BSLASHqd] = ACTIONS(27),
    [anon_sym_BSLASHlh] = ACTIONS(27),
    [anon_sym_BSLASHlf] = ACTIONS(27),
    [anon_sym_BSLASHli] = ACTIONS(27),
    [anon_sym_BSLASHlim] = ACTIONS(27),
    [anon_sym_BSLASHliv] = ACTIONS(27),
    [anon_sym_BSLASHlik] = ACTIONS(27),
    [anon_sym_BSLASHlitl] = ACTIONS(27),
    [anon_sym_BSLASHtr] = ACTIONS(27),
    [anon_sym_BSLASHf] = ACTIONS(27),
    [anon_sym_BSLASHfe] = ACTIONS(27),
    [anon_sym_BSLASHef] = ACTIONS(27),
    [anon_sym_BSLASHfm] = ACTIONS(27),
    [anon_sym_BSLASHx] = ACTIONS(27),
    [anon_sym_BSLASHxt] = ACTIONS(27),
    [anon_sym_BSLASHrq] = ACTIONS(27),
    [anon_sym_BSLASHadd] = ACTIONS(27),
    [anon_sym_BSLASHbk] = ACTIONS(27),
    [anon_sym_BSLASHdc] = ACTIONS(27),
    [anon_sym_BSLASHk] = ACTIONS(27),
    [anon_sym_BSLASHnd] = ACTIONS(27),
    [anon_sym_BSLASHord] = ACTIONS(27),
    [anon_sym_BSLASHpn] = ACTIONS(27),
    [anon_sym_BSLASHpng] = ACTIONS(27),
    [anon_sym_BSLASHaddpn] = ACTIONS(27),
    [anon_sym_BSLASHqt] = ACTIONS(27),
    [anon_sym_BSLASHsig] = ACTIONS(27),
    [anon_sym_BSLASHsls] = ACTIONS(27),
    [anon_sym_BSLASHtl] = ACTIONS(27),
    [anon_sym_BSLASHwj] = ACTIONS(27),
    [anon_sym_BSLASHem] = ACTIONS(27),
    [anon_sym_BSLASHbd] = ACTIONS(27),
    [anon_sym_BSLASHit] = ACTIONS(27),
    [anon_sym_BSLASHbdit] = ACTIONS(27),
    [anon_sym_BSLASHno] = ACTIONS(27),
    [anon_sym_BSLASHsc] = ACTIONS(27),
    [anon_sym_BSLASHsup] = ACTIONS(27),
    [anon_sym_BSLASHndx] = ACTIONS(27),
    [anon_sym_BSLASHpro] = ACTIONS(27),
    [anon_sym_BSLASHrb] = ACTIONS(27),
    [anon_sym_BSLASHw] = ACTIONS(27),
    [anon_sym_BSLASHwg] = ACTIONS(27),
    [anon_sym_BSLASHwh] = ACTIONS(27),
    [anon_sym_BSLASHwa] = ACTIONS(27),
    [anon_sym_BSLASHfig] = ACTIONS(27),
    [anon_sym_BSLASHjmp] = ACTIONS(27),
    [anon_sym_BSLASHpb] = ACTIONS(27),
    [anon_sym_BSLASH] = ACTIONS(27),
    [sym_milestoneStartTag] = ACTIONS(27),
    [sym_milestoneEndTag] = ACTIONS(27),
    [sym_zSpaceTag] = ACTIONS(27),
    [anon_sym_BSLASHesb] = ACTIONS(27),
  },
  [355] = {
    [ts_builtin_sym_end] = ACTIONS(2747),
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHref] = ACTIONS(2749),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHiqt] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHiex] = ACTIONS(2749),
    [anon_sym_BSLASHv] = ACTIONS(2749),
    [anon_sym_BSLASHva] = ACTIONS(2749),
    [anon_sym_BSLASHvp] = ACTIONS(2749),
    [anon_sym_BSLASHc] = ACTIONS(2749),
    [anon_sym_BSLASHcl] = ACTIONS(2749),
    [anon_sym_BSLASHca] = ACTIONS(2749),
    [anon_sym_BSLASHcp] = ACTIONS(2749),
    [anon_sym_BSLASHcd] = ACTIONS(2749),
    [anon_sym_BSLASHmte] = ACTIONS(2749),
    [anon_sym_BSLASHms] = ACTIONS(2749),
    [anon_sym_BSLASHmr] = ACTIONS(2749),
    [anon_sym_BSLASHs] = ACTIONS(2749),
    [anon_sym_BSLASHsr] = ACTIONS(2749),
    [anon_sym_BSLASHr] = ACTIONS(2749),
    [anon_sym_BSLASHsp] = ACTIONS(2749),
    [anon_sym_BSLASHd] = ACTIONS(2749),
    [anon_sym_BSLASHsd] = ACTIONS(2749),
    [anon_sym_BSLASHp] = ACTIONS(2749),
    [anon_sym_BSLASHm] = ACTIONS(2749),
    [anon_sym_BSLASHpo] = ACTIONS(2749),
    [anon_sym_BSLASHpr] = ACTIONS(2749),
    [anon_sym_BSLASHcls] = ACTIONS(2749),
    [anon_sym_BSLASHpmo] = ACTIONS(2749),
    [anon_sym_BSLASHpm] = ACTIONS(2749),
    [anon_sym_BSLASHpmc] = ACTIONS(2749),
    [anon_sym_BSLASHpmr] = ACTIONS(2749),
    [anon_sym_BSLASHpi] = ACTIONS(2749),
    [anon_sym_BSLASHmi] = ACTIONS(2749),
    [anon_sym_BSLASHnb] = ACTIONS(2749),
    [anon_sym_BSLASHpc] = ACTIONS(2749),
    [anon_sym_BSLASHph] = ACTIONS(2749),
    [anon_sym_BSLASHb] = ACTIONS(2749),
    [anon_sym_BSLASHq] = ACTIONS(2749),
    [anon_sym_BSLASHqr] = ACTIONS(2749),
    [anon_sym_BSLASHqc] = ACTIONS(2749),
    [anon_sym_BSLASHqa] = ACTIONS(2749),
    [anon_sym_BSLASHqm] = ACTIONS(2749),
    [anon_sym_BSLASHqd] = ACTIONS(2749),
    [anon_sym_BSLASHlh] = ACTIONS(2749),
    [anon_sym_BSLASHlf] = ACTIONS(2749),
    [anon_sym_BSLASHli] = ACTIONS(2749),
    [anon_sym_BSLASHlim] = ACTIONS(2749),
    [anon_sym_BSLASHliv] = ACTIONS(2749),
    [anon_sym_BSLASHlik] = ACTIONS(2749),
    [anon_sym_BSLASHlitl] = ACTIONS(2749),
    [anon_sym_BSLASHtr] = ACTIONS(2749),
    [anon_sym_BSLASHf] = ACTIONS(2749),
    [anon_sym_BSLASHfe] = ACTIONS(2749),
    [anon_sym_BSLASHef] = ACTIONS(2749),
    [anon_sym_BSLASHfm] = ACTIONS(2749),
    [anon_sym_BSLASHx] = ACTIONS(2749),
    [anon_sym_BSLASHxt] = ACTIONS(2749),
    [anon_sym_BSLASHrq] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASHfig] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASHpb] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesb] = ACTIONS(2749),
  },
  [356] = {
    [ts_builtin_sym_end] = ACTIONS(2699),
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHref] = ACTIONS(2701),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHiqt] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHiex] = ACTIONS(2701),
    [anon_sym_BSLASHv] = ACTIONS(2701),
    [anon_sym_BSLASHva] = ACTIONS(2701),
    [anon_sym_BSLASHvp] = ACTIONS(2701),
    [anon_sym_BSLASHc] = ACTIONS(2701),
    [anon_sym_BSLASHcl] = ACTIONS(2701),
    [anon_sym_BSLASHca] = ACTIONS(2701),
    [anon_sym_BSLASHcp] = ACTIONS(2701),
    [anon_sym_BSLASHcd] = ACTIONS(2701),
    [anon_sym_BSLASHmte] = ACTIONS(2701),
    [anon_sym_BSLASHms] = ACTIONS(2701),
    [anon_sym_BSLASHmr] = ACTIONS(2701),
    [anon_sym_BSLASHs] = ACTIONS(2701),
    [anon_sym_BSLASHsr] = ACTIONS(2701),
    [anon_sym_BSLASHr] = ACTIONS(2701),
    [anon_sym_BSLASHsp] = ACTIONS(2701),
    [anon_sym_BSLASHd] = ACTIONS(2701),
    [anon_sym_BSLASHsd] = ACTIONS(2701),
    [anon_sym_BSLASHp] = ACTIONS(2701),
    [anon_sym_BSLASHm] = ACTIONS(2701),
    [anon_sym_BSLASHpo] = ACTIONS(2701),
    [anon_sym_BSLASHpr] = ACTIONS(2701),
    [anon_sym_BSLASHcls] = ACTIONS(2701),
    [anon_sym_BSLASHpmo] = ACTIONS(2701),
    [anon_sym_BSLASHpm] = ACTIONS(2701),
    [anon_sym_BSLASHpmc] = ACTIONS(2701),
    [anon_sym_BSLASHpmr] = ACTIONS(2701),
    [anon_sym_BSLASHpi] = ACTIONS(2701),
    [anon_sym_BSLASHmi] = ACTIONS(2701),
    [anon_sym_BSLASHnb] = ACTIONS(2701),
    [anon_sym_BSLASHpc] = ACTIONS(2701),
    [anon_sym_BSLASHph] = ACTIONS(2701),
    [anon_sym_BSLASHb] = ACTIONS(2701),
    [anon_sym_BSLASHq] = ACTIONS(2701),
    [anon_sym_BSLASHqr] = ACTIONS(2701),
    [anon_sym_BSLASHqc] = ACTIONS(2701),
    [anon_sym_BSLASHqa] = ACTIONS(2701),
    [anon_sym_BSLASHqm] = ACTIONS(2701),
    [anon_sym_BSLASHqd] = ACTIONS(2701),
    [anon_sym_BSLASHlh] = ACTIONS(2701),
    [anon_sym_BSLASHlf] = ACTIONS(2701),
    [anon_sym_BSLASHli] = ACTIONS(2701),
    [anon_sym_BSLASHlim] = ACTIONS(2701),
    [anon_sym_BSLASHliv] = ACTIONS(2701),
    [anon_sym_BSLASHlik] = ACTIONS(2701),
    [anon_sym_BSLASHlitl] = ACTIONS(2701),
    [anon_sym_BSLASHtr] = ACTIONS(2701),
    [anon_sym_BSLASHf] = ACTIONS(2701),
    [anon_sym_BSLASHfe] = ACTIONS(2701),
    [anon_sym_BSLASHef] = ACTIONS(2701),
    [anon_sym_BSLASHfm] = ACTIONS(2701),
    [anon_sym_BSLASHx] = ACTIONS(2701),
    [anon_sym_BSLASHxt] = ACTIONS(2701),
    [anon_sym_BSLASHrq] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASHfig] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASHpb] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesb] = ACTIONS(2701),
  },
  [357] = {
    [ts_builtin_sym_end] = ACTIONS(2695),
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHref] = ACTIONS(2697),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHiqt] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHiex] = ACTIONS(2697),
    [anon_sym_BSLASHv] = ACTIONS(2697),
    [anon_sym_BSLASHva] = ACTIONS(2697),
    [anon_sym_BSLASHvp] = ACTIONS(2697),
    [anon_sym_BSLASHc] = ACTIONS(2697),
    [anon_sym_BSLASHcl] = ACTIONS(2697),
    [anon_sym_BSLASHca] = ACTIONS(2697),
    [anon_sym_BSLASHcp] = ACTIONS(2697),
    [anon_sym_BSLASHcd] = ACTIONS(2697),
    [anon_sym_BSLASHmte] = ACTIONS(2697),
    [anon_sym_BSLASHms] = ACTIONS(2697),
    [anon_sym_BSLASHmr] = ACTIONS(2697),
    [anon_sym_BSLASHs] = ACTIONS(2697),
    [anon_sym_BSLASHsr] = ACTIONS(2697),
    [anon_sym_BSLASHr] = ACTIONS(2697),
    [anon_sym_BSLASHsp] = ACTIONS(2697),
    [anon_sym_BSLASHd] = ACTIONS(2697),
    [anon_sym_BSLASHsd] = ACTIONS(2697),
    [anon_sym_BSLASHp] = ACTIONS(2697),
    [anon_sym_BSLASHm] = ACTIONS(2697),
    [anon_sym_BSLASHpo] = ACTIONS(2697),
    [anon_sym_BSLASHpr] = ACTIONS(2697),
    [anon_sym_BSLASHcls] = ACTIONS(2697),
    [anon_sym_BSLASHpmo] = ACTIONS(2697),
    [anon_sym_BSLASHpm] = ACTIONS(2697),
    [anon_sym_BSLASHpmc] = ACTIONS(2697),
    [anon_sym_BSLASHpmr] = ACTIONS(2697),
    [anon_sym_BSLASHpi] = ACTIONS(2697),
    [anon_sym_BSLASHmi] = ACTIONS(2697),
    [anon_sym_BSLASHnb] = ACTIONS(2697),
    [anon_sym_BSLASHpc] = ACTIONS(2697),
    [anon_sym_BSLASHph] = ACTIONS(2697),
    [anon_sym_BSLASHb] = ACTIONS(2697),
    [anon_sym_BSLASHq] = ACTIONS(2697),
    [anon_sym_BSLASHqr] = ACTIONS(2697),
    [anon_sym_BSLASHqc] = ACTIONS(2697),
    [anon_sym_BSLASHqa] = ACTIONS(2697),
    [anon_sym_BSLASHqm] = ACTIONS(2697),
    [anon_sym_BSLASHqd] = ACTIONS(2697),
    [anon_sym_BSLASHlh] = ACTIONS(2697),
    [anon_sym_BSLASHlf] = ACTIONS(2697),
    [anon_sym_BSLASHli] = ACTIONS(2697),
    [anon_sym_BSLASHlim] = ACTIONS(2697),
    [anon_sym_BSLASHliv] = ACTIONS(2697),
    [anon_sym_BSLASHlik] = ACTIONS(2697),
    [anon_sym_BSLASHlitl] = ACTIONS(2697),
    [anon_sym_BSLASHtr] = ACTIONS(2697),
    [anon_sym_BSLASHf] = ACTIONS(2697),
    [anon_sym_BSLASHfe] = ACTIONS(2697),
    [anon_sym_BSLASHef] = ACTIONS(2697),
    [anon_sym_BSLASHfm] = ACTIONS(2697),
    [anon_sym_BSLASHx] = ACTIONS(2697),
    [anon_sym_BSLASHxt] = ACTIONS(2697),
    [anon_sym_BSLASHrq] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASHfig] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASHpb] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesb] = ACTIONS(2697),
  },
  [358] = {
    [ts_builtin_sym_end] = ACTIONS(2691),
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHref] = ACTIONS(2693),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHiqt] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHiex] = ACTIONS(2693),
    [anon_sym_BSLASHv] = ACTIONS(2693),
    [anon_sym_BSLASHva] = ACTIONS(2693),
    [anon_sym_BSLASHvp] = ACTIONS(2693),
    [anon_sym_BSLASHc] = ACTIONS(2693),
    [anon_sym_BSLASHcl] = ACTIONS(2693),
    [anon_sym_BSLASHca] = ACTIONS(2693),
    [anon_sym_BSLASHcp] = ACTIONS(2693),
    [anon_sym_BSLASHcd] = ACTIONS(2693),
    [anon_sym_BSLASHmte] = ACTIONS(2693),
    [anon_sym_BSLASHms] = ACTIONS(2693),
    [anon_sym_BSLASHmr] = ACTIONS(2693),
    [anon_sym_BSLASHs] = ACTIONS(2693),
    [anon_sym_BSLASHsr] = ACTIONS(2693),
    [anon_sym_BSLASHr] = ACTIONS(2693),
    [anon_sym_BSLASHsp] = ACTIONS(2693),
    [anon_sym_BSLASHd] = ACTIONS(2693),
    [anon_sym_BSLASHsd] = ACTIONS(2693),
    [anon_sym_BSLASHp] = ACTIONS(2693),
    [anon_sym_BSLASHm] = ACTIONS(2693),
    [anon_sym_BSLASHpo] = ACTIONS(2693),
    [anon_sym_BSLASHpr] = ACTIONS(2693),
    [anon_sym_BSLASHcls] = ACTIONS(2693),
    [anon_sym_BSLASHpmo] = ACTIONS(2693),
    [anon_sym_BSLASHpm] = ACTIONS(2693),
    [anon_sym_BSLASHpmc] = ACTIONS(2693),
    [anon_sym_BSLASHpmr] = ACTIONS(2693),
    [anon_sym_BSLASHpi] = ACTIONS(2693),
    [anon_sym_BSLASHmi] = ACTIONS(2693),
    [anon_sym_BSLASHnb] = ACTIONS(2693),
    [anon_sym_BSLASHpc] = ACTIONS(2693),
    [anon_sym_BSLASHph] = ACTIONS(2693),
    [anon_sym_BSLASHb] = ACTIONS(2693),
    [anon_sym_BSLASHq] = ACTIONS(2693),
    [anon_sym_BSLASHqr] = ACTIONS(2693),
    [anon_sym_BSLASHqc] = ACTIONS(2693),
    [anon_sym_BSLASHqa] = ACTIONS(2693),
    [anon_sym_BSLASHqm] = ACTIONS(2693),
    [anon_sym_BSLASHqd] = ACTIONS(2693),
    [anon_sym_BSLASHlh] = ACTIONS(2693),
    [anon_sym_BSLASHlf] = ACTIONS(2693),
    [anon_sym_BSLASHli] = ACTIONS(2693),
    [anon_sym_BSLASHlim] = ACTIONS(2693),
    [anon_sym_BSLASHliv] = ACTIONS(2693),
    [anon_sym_BSLASHlik] = ACTIONS(2693),
    [anon_sym_BSLASHlitl] = ACTIONS(2693),
    [anon_sym_BSLASHtr] = ACTIONS(2693),
    [anon_sym_BSLASHf] = ACTIONS(2693),
    [anon_sym_BSLASHfe] = ACTIONS(2693),
    [anon_sym_BSLASHef] = ACTIONS(2693),
    [anon_sym_BSLASHfm] = ACTIONS(2693),
    [anon_sym_BSLASHx] = ACTIONS(2693),
    [anon_sym_BSLASHxt] = ACTIONS(2693),
    [anon_sym_BSLASHrq] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASHfig] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASHpb] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesb] = ACTIONS(2693),
  },
  [359] = {
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHiqt] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHiex] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHc] = ACTIONS(7),
    [anon_sym_BSLASHcl] = ACTIONS(7),
    [anon_sym_BSLASHca] = ACTIONS(7),
    [anon_sym_BSLASHcp] = ACTIONS(7),
    [anon_sym_BSLASHcd] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHmr] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHsr] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHlf] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHliv] = ACTIONS(7),
    [anon_sym_BSLASHlik] = ACTIONS(7),
    [anon_sym_BSLASHlitl] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesb] = ACTIONS(7),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHiex] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHc] = ACTIONS(7),
    [anon_sym_BSLASHcl] = ACTIONS(7),
    [anon_sym_BSLASHca] = ACTIONS(7),
    [anon_sym_BSLASHcp] = ACTIONS(7),
    [anon_sym_BSLASHcd] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHlf] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHliv] = ACTIONS(7),
    [anon_sym_BSLASHlik] = ACTIONS(7),
    [anon_sym_BSLASHlitl] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_BSLASH_STAR] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [sym__zSpaceClose] = ACTIONS(7),
    [anon_sym_BSLASHesb] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
  },
  [361] = {
    [sym_text] = STATE(409),
    [sym__milestoneAttributes] = STATE(2075),
    [ts_builtin_sym_end] = ACTIONS(5042),
    [aux_sym_text_token1] = ACTIONS(5256),
    [anon_sym_BSLASHref] = ACTIONS(5046),
    [anon_sym_BSLASHsts] = ACTIONS(5046),
    [anon_sym_BSLASHrem] = ACTIONS(5046),
    [anon_sym_BSLASHrestore] = ACTIONS(5046),
    [anon_sym_BSLASHlit] = ACTIONS(5046),
    [anon_sym_BSLASHip] = ACTIONS(5046),
    [anon_sym_BSLASHiex] = ACTIONS(5046),
    [anon_sym_BSLASHv] = ACTIONS(5046),
    [anon_sym_BSLASHva] = ACTIONS(5046),
    [anon_sym_BSLASHvp] = ACTIONS(5046),
    [anon_sym_BSLASHc] = ACTIONS(5046),
    [anon_sym_BSLASHcl] = ACTIONS(5046),
    [anon_sym_BSLASHca] = ACTIONS(5046),
    [anon_sym_BSLASHcp] = ACTIONS(5046),
    [anon_sym_BSLASHcd] = ACTIONS(5046),
    [anon_sym_BSLASHmte] = ACTIONS(5046),
    [anon_sym_BSLASHms] = ACTIONS(5046),
    [anon_sym_BSLASHs] = ACTIONS(5046),
    [anon_sym_BSLASHr] = ACTIONS(5046),
    [anon_sym_BSLASHsp] = ACTIONS(5046),
    [anon_sym_BSLASHd] = ACTIONS(5046),
    [anon_sym_BSLASHsd] = ACTIONS(5046),
    [anon_sym_BSLASHp] = ACTIONS(5046),
    [anon_sym_BSLASHm] = ACTIONS(5046),
    [anon_sym_BSLASHpo] = ACTIONS(5046),
    [anon_sym_BSLASHpr] = ACTIONS(5046),
    [anon_sym_BSLASHcls] = ACTIONS(5046),
    [anon_sym_BSLASHpmo] = ACTIONS(5046),
    [anon_sym_BSLASHpm] = ACTIONS(5046),
    [anon_sym_BSLASHpmc] = ACTIONS(5046),
    [anon_sym_BSLASHpmr] = ACTIONS(5046),
    [anon_sym_BSLASHpi] = ACTIONS(5046),
    [anon_sym_BSLASHmi] = ACTIONS(5046),
    [anon_sym_BSLASHnb] = ACTIONS(5046),
    [anon_sym_BSLASHpc] = ACTIONS(5046),
    [anon_sym_BSLASHph] = ACTIONS(5046),
    [anon_sym_BSLASHb] = ACTIONS(5046),
    [anon_sym_BSLASHq] = ACTIONS(5046),
    [anon_sym_BSLASHqr] = ACTIONS(5046),
    [anon_sym_BSLASHqc] = ACTIONS(5046),
    [anon_sym_BSLASHqs] = ACTIONS(5046),
    [anon_sym_BSLASHqa] = ACTIONS(5046),
    [anon_sym_BSLASHqac] = ACTIONS(5046),
    [anon_sym_BSLASHqm] = ACTIONS(5046),
    [anon_sym_BSLASHqd] = ACTIONS(5046),
    [anon_sym_BSLASHlh] = ACTIONS(5046),
    [anon_sym_BSLASHli] = ACTIONS(5046),
    [anon_sym_BSLASHlim] = ACTIONS(5046),
    [anon_sym_BSLASHtr] = ACTIONS(5046),
    [anon_sym_BSLASHf] = ACTIONS(5046),
    [anon_sym_BSLASHfe] = ACTIONS(5046),
    [anon_sym_BSLASHef] = ACTIONS(5046),
    [anon_sym_BSLASHfm] = ACTIONS(5046),
    [anon_sym_BSLASHx] = ACTIONS(5046),
    [anon_sym_BSLASHxt] = ACTIONS(5046),
    [anon_sym_BSLASHrq] = ACTIONS(5046),
    [anon_sym_BSLASHadd] = ACTIONS(5046),
    [anon_sym_BSLASHbk] = ACTIONS(5046),
    [anon_sym_BSLASHdc] = ACTIONS(5046),
    [anon_sym_BSLASHk] = ACTIONS(5046),
    [anon_sym_BSLASHnd] = ACTIONS(5046),
    [anon_sym_BSLASHord] = ACTIONS(5046),
    [anon_sym_BSLASHpn] = ACTIONS(5046),
    [anon_sym_BSLASHpng] = ACTIONS(5046),
    [anon_sym_BSLASHaddpn] = ACTIONS(5046),
    [anon_sym_BSLASHqt] = ACTIONS(5046),
    [anon_sym_BSLASHsig] = ACTIONS(5046),
    [anon_sym_BSLASHsls] = ACTIONS(5046),
    [anon_sym_BSLASHtl] = ACTIONS(5046),
    [anon_sym_BSLASHwj] = ACTIONS(5046),
    [anon_sym_BSLASHem] = ACTIONS(5046),
    [anon_sym_BSLASHbd] = ACTIONS(5046),
    [anon_sym_BSLASHit] = ACTIONS(5046),
    [anon_sym_BSLASHbdit] = ACTIONS(5046),
    [anon_sym_BSLASHno] = ACTIONS(5046),
    [anon_sym_BSLASHsc] = ACTIONS(5046),
    [anon_sym_BSLASHsup] = ACTIONS(5046),
    [anon_sym_BSLASHndx] = ACTIONS(5046),
    [anon_sym_BSLASHpro] = ACTIONS(5046),
    [anon_sym_BSLASHrb] = ACTIONS(5046),
    [anon_sym_BSLASHw] = ACTIONS(5046),
    [anon_sym_BSLASHwg] = ACTIONS(5046),
    [anon_sym_BSLASHwh] = ACTIONS(5046),
    [anon_sym_BSLASHwa] = ACTIONS(5046),
    [anon_sym_BSLASHfig] = ACTIONS(5046),
    [anon_sym_BSLASHjmp] = ACTIONS(5046),
    [anon_sym_BSLASHpb] = ACTIONS(5046),
    [anon_sym_BSLASH] = ACTIONS(5046),
    [anon_sym_BSLASH_STAR] = ACTIONS(5258),
    [sym_milestoneStartTag] = ACTIONS(5046),
    [sym_milestoneEndTag] = ACTIONS(5046),
    [sym_zSpaceTag] = ACTIONS(5046),
    [sym__zSpaceClose] = ACTIONS(5260),
    [anon_sym_BSLASHesb] = ACTIONS(5046),
    [anon_sym_PIPE] = ACTIONS(5052),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(21),
    [aux_sym_text_token1] = ACTIONS(21),
    [anon_sym_BSLASHref] = ACTIONS(23),
    [anon_sym_BSLASHsts] = ACTIONS(23),
    [anon_sym_BSLASHrem] = ACTIONS(23),
    [anon_sym_BSLASHrestore] = ACTIONS(23),
    [anon_sym_BSLASHlit] = ACTIONS(23),
    [anon_sym_BSLASHiqt] = ACTIONS(23),
    [anon_sym_BSLASHip] = ACTIONS(23),
    [anon_sym_BSLASHiex] = ACTIONS(23),
    [anon_sym_BSLASHv] = ACTIONS(23),
    [anon_sym_BSLASHva] = ACTIONS(23),
    [anon_sym_BSLASHvp] = ACTIONS(23),
    [anon_sym_BSLASHc] = ACTIONS(23),
    [anon_sym_BSLASHcl] = ACTIONS(23),
    [anon_sym_BSLASHca] = ACTIONS(23),
    [anon_sym_BSLASHcp] = ACTIONS(23),
    [anon_sym_BSLASHcd] = ACTIONS(23),
    [anon_sym_BSLASHmte] = ACTIONS(23),
    [anon_sym_BSLASHms] = ACTIONS(23),
    [anon_sym_BSLASHmr] = ACTIONS(23),
    [anon_sym_BSLASHs] = ACTIONS(23),
    [anon_sym_BSLASHsr] = ACTIONS(23),
    [anon_sym_BSLASHr] = ACTIONS(23),
    [anon_sym_BSLASHsp] = ACTIONS(23),
    [anon_sym_BSLASHd] = ACTIONS(23),
    [anon_sym_BSLASHsd] = ACTIONS(23),
    [anon_sym_BSLASHp] = ACTIONS(23),
    [anon_sym_BSLASHm] = ACTIONS(23),
    [anon_sym_BSLASHpo] = ACTIONS(23),
    [anon_sym_BSLASHpr] = ACTIONS(23),
    [anon_sym_BSLASHcls] = ACTIONS(23),
    [anon_sym_BSLASHpmo] = ACTIONS(23),
    [anon_sym_BSLASHpm] = ACTIONS(23),
    [anon_sym_BSLASHpmc] = ACTIONS(23),
    [anon_sym_BSLASHpmr] = ACTIONS(23),
    [anon_sym_BSLASHpi] = ACTIONS(23),
    [anon_sym_BSLASHmi] = ACTIONS(23),
    [anon_sym_BSLASHnb] = ACTIONS(23),
    [anon_sym_BSLASHpc] = ACTIONS(23),
    [anon_sym_BSLASHph] = ACTIONS(23),
    [anon_sym_BSLASHb] = ACTIONS(23),
    [anon_sym_BSLASHq] = ACTIONS(23),
    [anon_sym_BSLASHqr] = ACTIONS(23),
    [anon_sym_BSLASHqc] = ACTIONS(23),
    [anon_sym_BSLASHqa] = ACTIONS(23),
    [anon_sym_BSLASHqm] = ACTIONS(23),
    [anon_sym_BSLASHqd] = ACTIONS(23),
    [anon_sym_BSLASHlh] = ACTIONS(23),
    [anon_sym_BSLASHlf] = ACTIONS(23),
    [anon_sym_BSLASHli] = ACTIONS(23),
    [anon_sym_BSLASHlim] = ACTIONS(23),
    [anon_sym_BSLASHliv] = ACTIONS(23),
    [anon_sym_BSLASHlik] = ACTIONS(23),
    [anon_sym_BSLASHlitl] = ACTIONS(23),
    [anon_sym_BSLASHtr] = ACTIONS(23),
    [anon_sym_BSLASHf] = ACTIONS(23),
    [anon_sym_BSLASHfe] = ACTIONS(23),
    [anon_sym_BSLASHef] = ACTIONS(23),
    [anon_sym_BSLASHfm] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(23),
    [anon_sym_BSLASHxt] = ACTIONS(23),
    [anon_sym_BSLASHrq] = ACTIONS(23),
    [anon_sym_BSLASHadd] = ACTIONS(23),
    [anon_sym_BSLASHbk] = ACTIONS(23),
    [anon_sym_BSLASHdc] = ACTIONS(23),
    [anon_sym_BSLASHk] = ACTIONS(23),
    [anon_sym_BSLASHnd] = ACTIONS(23),
    [anon_sym_BSLASHord] = ACTIONS(23),
    [anon_sym_BSLASHpn] = ACTIONS(23),
    [anon_sym_BSLASHpng] = ACTIONS(23),
    [anon_sym_BSLASHaddpn] = ACTIONS(23),
    [anon_sym_BSLASHqt] = ACTIONS(23),
    [anon_sym_BSLASHsig] = ACTIONS(23),
    [anon_sym_BSLASHsls] = ACTIONS(23),
    [anon_sym_BSLASHtl] = ACTIONS(23),
    [anon_sym_BSLASHwj] = ACTIONS(23),
    [anon_sym_BSLASHem] = ACTIONS(23),
    [anon_sym_BSLASHbd] = ACTIONS(23),
    [anon_sym_BSLASHit] = ACTIONS(23),
    [anon_sym_BSLASHbdit] = ACTIONS(23),
    [anon_sym_BSLASHno] = ACTIONS(23),
    [anon_sym_BSLASHsc] = ACTIONS(23),
    [anon_sym_BSLASHsup] = ACTIONS(23),
    [anon_sym_BSLASHndx] = ACTIONS(23),
    [anon_sym_BSLASHpro] = ACTIONS(23),
    [anon_sym_BSLASHrb] = ACTIONS(23),
    [anon_sym_BSLASHw] = ACTIONS(23),
    [anon_sym_BSLASHwg] = ACTIONS(23),
    [anon_sym_BSLASHwh] = ACTIONS(23),
    [anon_sym_BSLASHwa] = ACTIONS(23),
    [anon_sym_BSLASHfig] = ACTIONS(23),
    [anon_sym_BSLASHjmp] = ACTIONS(23),
    [anon_sym_BSLASHpb] = ACTIONS(23),
    [anon_sym_BSLASH] = ACTIONS(23),
    [sym_milestoneStartTag] = ACTIONS(23),
    [sym_milestoneEndTag] = ACTIONS(23),
    [sym_zSpaceTag] = ACTIONS(23),
    [anon_sym_BSLASHesb] = ACTIONS(23),
  },
  [363] = {
    [ts_builtin_sym_end] = ACTIONS(2687),
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHref] = ACTIONS(2689),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHiqt] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHiex] = ACTIONS(2689),
    [anon_sym_BSLASHv] = ACTIONS(2689),
    [anon_sym_BSLASHva] = ACTIONS(2689),
    [anon_sym_BSLASHvp] = ACTIONS(2689),
    [anon_sym_BSLASHc] = ACTIONS(2689),
    [anon_sym_BSLASHcl] = ACTIONS(2689),
    [anon_sym_BSLASHca] = ACTIONS(2689),
    [anon_sym_BSLASHcp] = ACTIONS(2689),
    [anon_sym_BSLASHcd] = ACTIONS(2689),
    [anon_sym_BSLASHmte] = ACTIONS(2689),
    [anon_sym_BSLASHms] = ACTIONS(2689),
    [anon_sym_BSLASHmr] = ACTIONS(2689),
    [anon_sym_BSLASHs] = ACTIONS(2689),
    [anon_sym_BSLASHsr] = ACTIONS(2689),
    [anon_sym_BSLASHr] = ACTIONS(2689),
    [anon_sym_BSLASHsp] = ACTIONS(2689),
    [anon_sym_BSLASHd] = ACTIONS(2689),
    [anon_sym_BSLASHsd] = ACTIONS(2689),
    [anon_sym_BSLASHp] = ACTIONS(2689),
    [anon_sym_BSLASHm] = ACTIONS(2689),
    [anon_sym_BSLASHpo] = ACTIONS(2689),
    [anon_sym_BSLASHpr] = ACTIONS(2689),
    [anon_sym_BSLASHcls] = ACTIONS(2689),
    [anon_sym_BSLASHpmo] = ACTIONS(2689),
    [anon_sym_BSLASHpm] = ACTIONS(2689),
    [anon_sym_BSLASHpmc] = ACTIONS(2689),
    [anon_sym_BSLASHpmr] = ACTIONS(2689),
    [anon_sym_BSLASHpi] = ACTIONS(2689),
    [anon_sym_BSLASHmi] = ACTIONS(2689),
    [anon_sym_BSLASHnb] = ACTIONS(2689),
    [anon_sym_BSLASHpc] = ACTIONS(2689),
    [anon_sym_BSLASHph] = ACTIONS(2689),
    [anon_sym_BSLASHb] = ACTIONS(2689),
    [anon_sym_BSLASHq] = ACTIONS(2689),
    [anon_sym_BSLASHqr] = ACTIONS(2689),
    [anon_sym_BSLASHqc] = ACTIONS(2689),
    [anon_sym_BSLASHqa] = ACTIONS(2689),
    [anon_sym_BSLASHqm] = ACTIONS(2689),
    [anon_sym_BSLASHqd] = ACTIONS(2689),
    [anon_sym_BSLASHlh] = ACTIONS(2689),
    [anon_sym_BSLASHlf] = ACTIONS(2689),
    [anon_sym_BSLASHli] = ACTIONS(2689),
    [anon_sym_BSLASHlim] = ACTIONS(2689),
    [anon_sym_BSLASHliv] = ACTIONS(2689),
    [anon_sym_BSLASHlik] = ACTIONS(2689),
    [anon_sym_BSLASHlitl] = ACTIONS(2689),
    [anon_sym_BSLASHtr] = ACTIONS(2689),
    [anon_sym_BSLASHf] = ACTIONS(2689),
    [anon_sym_BSLASHfe] = ACTIONS(2689),
    [anon_sym_BSLASHef] = ACTIONS(2689),
    [anon_sym_BSLASHfm] = ACTIONS(2689),
    [anon_sym_BSLASHx] = ACTIONS(2689),
    [anon_sym_BSLASHxt] = ACTIONS(2689),
    [anon_sym_BSLASHrq] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASHfig] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASHpb] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesb] = ACTIONS(2689),
  },
  [364] = {
    [ts_builtin_sym_end] = ACTIONS(2735),
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHref] = ACTIONS(2737),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHiqt] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHiex] = ACTIONS(2737),
    [anon_sym_BSLASHv] = ACTIONS(2737),
    [anon_sym_BSLASHva] = ACTIONS(2737),
    [anon_sym_BSLASHvp] = ACTIONS(2737),
    [anon_sym_BSLASHc] = ACTIONS(2737),
    [anon_sym_BSLASHcl] = ACTIONS(2737),
    [anon_sym_BSLASHca] = ACTIONS(2737),
    [anon_sym_BSLASHcp] = ACTIONS(2737),
    [anon_sym_BSLASHcd] = ACTIONS(2737),
    [anon_sym_BSLASHmte] = ACTIONS(2737),
    [anon_sym_BSLASHms] = ACTIONS(2737),
    [anon_sym_BSLASHmr] = ACTIONS(2737),
    [anon_sym_BSLASHs] = ACTIONS(2737),
    [anon_sym_BSLASHsr] = ACTIONS(2737),
    [anon_sym_BSLASHr] = ACTIONS(2737),
    [anon_sym_BSLASHsp] = ACTIONS(2737),
    [anon_sym_BSLASHd] = ACTIONS(2737),
    [anon_sym_BSLASHsd] = ACTIONS(2737),
    [anon_sym_BSLASHp] = ACTIONS(2737),
    [anon_sym_BSLASHm] = ACTIONS(2737),
    [anon_sym_BSLASHpo] = ACTIONS(2737),
    [anon_sym_BSLASHpr] = ACTIONS(2737),
    [anon_sym_BSLASHcls] = ACTIONS(2737),
    [anon_sym_BSLASHpmo] = ACTIONS(2737),
    [anon_sym_BSLASHpm] = ACTIONS(2737),
    [anon_sym_BSLASHpmc] = ACTIONS(2737),
    [anon_sym_BSLASHpmr] = ACTIONS(2737),
    [anon_sym_BSLASHpi] = ACTIONS(2737),
    [anon_sym_BSLASHmi] = ACTIONS(2737),
    [anon_sym_BSLASHnb] = ACTIONS(2737),
    [anon_sym_BSLASHpc] = ACTIONS(2737),
    [anon_sym_BSLASHph] = ACTIONS(2737),
    [anon_sym_BSLASHb] = ACTIONS(2737),
    [anon_sym_BSLASHq] = ACTIONS(2737),
    [anon_sym_BSLASHqr] = ACTIONS(2737),
    [anon_sym_BSLASHqc] = ACTIONS(2737),
    [anon_sym_BSLASHqa] = ACTIONS(2737),
    [anon_sym_BSLASHqm] = ACTIONS(2737),
    [anon_sym_BSLASHqd] = ACTIONS(2737),
    [anon_sym_BSLASHlh] = ACTIONS(2737),
    [anon_sym_BSLASHlf] = ACTIONS(2737),
    [anon_sym_BSLASHli] = ACTIONS(2737),
    [anon_sym_BSLASHlim] = ACTIONS(2737),
    [anon_sym_BSLASHliv] = ACTIONS(2737),
    [anon_sym_BSLASHlik] = ACTIONS(2737),
    [anon_sym_BSLASHlitl] = ACTIONS(2737),
    [anon_sym_BSLASHtr] = ACTIONS(2737),
    [anon_sym_BSLASHf] = ACTIONS(2737),
    [anon_sym_BSLASHfe] = ACTIONS(2737),
    [anon_sym_BSLASHef] = ACTIONS(2737),
    [anon_sym_BSLASHfm] = ACTIONS(2737),
    [anon_sym_BSLASHx] = ACTIONS(2737),
    [anon_sym_BSLASHxt] = ACTIONS(2737),
    [anon_sym_BSLASHrq] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASHfig] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASHpb] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesb] = ACTIONS(2737),
  },
  [365] = {
    [ts_builtin_sym_end] = ACTIONS(2619),
    [aux_sym_text_token1] = ACTIONS(2619),
    [anon_sym_BSLASHref] = ACTIONS(2621),
    [anon_sym_BSLASHsts] = ACTIONS(2621),
    [anon_sym_BSLASHrem] = ACTIONS(2621),
    [anon_sym_BSLASHrestore] = ACTIONS(2621),
    [anon_sym_BSLASHlit] = ACTIONS(2621),
    [anon_sym_BSLASHiqt] = ACTIONS(2621),
    [anon_sym_BSLASHip] = ACTIONS(2621),
    [anon_sym_BSLASHiex] = ACTIONS(2621),
    [anon_sym_BSLASHv] = ACTIONS(2621),
    [anon_sym_BSLASHva] = ACTIONS(2621),
    [anon_sym_BSLASHvp] = ACTIONS(2621),
    [anon_sym_BSLASHc] = ACTIONS(2621),
    [anon_sym_BSLASHcl] = ACTIONS(2621),
    [anon_sym_BSLASHca] = ACTIONS(2621),
    [anon_sym_BSLASHcp] = ACTIONS(2621),
    [anon_sym_BSLASHcd] = ACTIONS(2621),
    [anon_sym_BSLASHmte] = ACTIONS(2621),
    [anon_sym_BSLASHms] = ACTIONS(2621),
    [anon_sym_BSLASHmr] = ACTIONS(2621),
    [anon_sym_BSLASHs] = ACTIONS(2621),
    [anon_sym_BSLASHsr] = ACTIONS(2621),
    [anon_sym_BSLASHr] = ACTIONS(2621),
    [anon_sym_BSLASHsp] = ACTIONS(2621),
    [anon_sym_BSLASHd] = ACTIONS(2621),
    [anon_sym_BSLASHsd] = ACTIONS(2621),
    [anon_sym_BSLASHp] = ACTIONS(2621),
    [anon_sym_BSLASHm] = ACTIONS(2621),
    [anon_sym_BSLASHpo] = ACTIONS(2621),
    [anon_sym_BSLASHpr] = ACTIONS(2621),
    [anon_sym_BSLASHcls] = ACTIONS(2621),
    [anon_sym_BSLASHpmo] = ACTIONS(2621),
    [anon_sym_BSLASHpm] = ACTIONS(2621),
    [anon_sym_BSLASHpmc] = ACTIONS(2621),
    [anon_sym_BSLASHpmr] = ACTIONS(2621),
    [anon_sym_BSLASHpi] = ACTIONS(2621),
    [anon_sym_BSLASHmi] = ACTIONS(2621),
    [anon_sym_BSLASHnb] = ACTIONS(2621),
    [anon_sym_BSLASHpc] = ACTIONS(2621),
    [anon_sym_BSLASHph] = ACTIONS(2621),
    [anon_sym_BSLASHb] = ACTIONS(2621),
    [anon_sym_BSLASHq] = ACTIONS(2621),
    [anon_sym_BSLASHqr] = ACTIONS(2621),
    [anon_sym_BSLASHqc] = ACTIONS(2621),
    [anon_sym_BSLASHqa] = ACTIONS(2621),
    [anon_sym_BSLASHqm] = ACTIONS(2621),
    [anon_sym_BSLASHqd] = ACTIONS(2621),
    [anon_sym_BSLASHlh] = ACTIONS(2621),
    [anon_sym_BSLASHlf] = ACTIONS(2621),
    [anon_sym_BSLASHli] = ACTIONS(2621),
    [anon_sym_BSLASHlim] = ACTIONS(2621),
    [anon_sym_BSLASHliv] = ACTIONS(2621),
    [anon_sym_BSLASHlik] = ACTIONS(2621),
    [anon_sym_BSLASHlitl] = ACTIONS(2621),
    [anon_sym_BSLASHtr] = ACTIONS(2621),
    [anon_sym_BSLASHf] = ACTIONS(2621),
    [anon_sym_BSLASHfe] = ACTIONS(2621),
    [anon_sym_BSLASHef] = ACTIONS(2621),
    [anon_sym_BSLASHfm] = ACTIONS(2621),
    [anon_sym_BSLASHx] = ACTIONS(2621),
    [anon_sym_BSLASHxt] = ACTIONS(2621),
    [anon_sym_BSLASHrq] = ACTIONS(2621),
    [anon_sym_BSLASHadd] = ACTIONS(2621),
    [anon_sym_BSLASHbk] = ACTIONS(2621),
    [anon_sym_BSLASHdc] = ACTIONS(2621),
    [anon_sym_BSLASHk] = ACTIONS(2621),
    [anon_sym_BSLASHnd] = ACTIONS(2621),
    [anon_sym_BSLASHord] = ACTIONS(2621),
    [anon_sym_BSLASHpn] = ACTIONS(2621),
    [anon_sym_BSLASHpng] = ACTIONS(2621),
    [anon_sym_BSLASHaddpn] = ACTIONS(2621),
    [anon_sym_BSLASHqt] = ACTIONS(2621),
    [anon_sym_BSLASHsig] = ACTIONS(2621),
    [anon_sym_BSLASHsls] = ACTIONS(2621),
    [anon_sym_BSLASHtl] = ACTIONS(2621),
    [anon_sym_BSLASHwj] = ACTIONS(2621),
    [anon_sym_BSLASHem] = ACTIONS(2621),
    [anon_sym_BSLASHbd] = ACTIONS(2621),
    [anon_sym_BSLASHit] = ACTIONS(2621),
    [anon_sym_BSLASHbdit] = ACTIONS(2621),
    [anon_sym_BSLASHno] = ACTIONS(2621),
    [anon_sym_BSLASHsc] = ACTIONS(2621),
    [anon_sym_BSLASHsup] = ACTIONS(2621),
    [anon_sym_BSLASHndx] = ACTIONS(2621),
    [anon_sym_BSLASHpro] = ACTIONS(2621),
    [anon_sym_BSLASHrb] = ACTIONS(2621),
    [anon_sym_BSLASHw] = ACTIONS(2621),
    [anon_sym_BSLASHwg] = ACTIONS(2621),
    [anon_sym_BSLASHwh] = ACTIONS(2621),
    [anon_sym_BSLASHwa] = ACTIONS(2621),
    [anon_sym_BSLASHfig] = ACTIONS(2621),
    [anon_sym_BSLASHjmp] = ACTIONS(2621),
    [anon_sym_BSLASHpb] = ACTIONS(2621),
    [anon_sym_BSLASH] = ACTIONS(2621),
    [sym_milestoneStartTag] = ACTIONS(2621),
    [sym_milestoneEndTag] = ACTIONS(2621),
    [sym_zSpaceTag] = ACTIONS(2621),
    [anon_sym_BSLASHesb] = ACTIONS(2621),
  },
  [366] = {
    [ts_builtin_sym_end] = ACTIONS(2679),
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHref] = ACTIONS(2681),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHiqt] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHiex] = ACTIONS(2681),
    [anon_sym_BSLASHv] = ACTIONS(2681),
    [anon_sym_BSLASHva] = ACTIONS(2681),
    [anon_sym_BSLASHvp] = ACTIONS(2681),
    [anon_sym_BSLASHc] = ACTIONS(2681),
    [anon_sym_BSLASHcl] = ACTIONS(2681),
    [anon_sym_BSLASHca] = ACTIONS(2681),
    [anon_sym_BSLASHcp] = ACTIONS(2681),
    [anon_sym_BSLASHcd] = ACTIONS(2681),
    [anon_sym_BSLASHmte] = ACTIONS(2681),
    [anon_sym_BSLASHms] = ACTIONS(2681),
    [anon_sym_BSLASHmr] = ACTIONS(2681),
    [anon_sym_BSLASHs] = ACTIONS(2681),
    [anon_sym_BSLASHsr] = ACTIONS(2681),
    [anon_sym_BSLASHr] = ACTIONS(2681),
    [anon_sym_BSLASHsp] = ACTIONS(2681),
    [anon_sym_BSLASHd] = ACTIONS(2681),
    [anon_sym_BSLASHsd] = ACTIONS(2681),
    [anon_sym_BSLASHp] = ACTIONS(2681),
    [anon_sym_BSLASHm] = ACTIONS(2681),
    [anon_sym_BSLASHpo] = ACTIONS(2681),
    [anon_sym_BSLASHpr] = ACTIONS(2681),
    [anon_sym_BSLASHcls] = ACTIONS(2681),
    [anon_sym_BSLASHpmo] = ACTIONS(2681),
    [anon_sym_BSLASHpm] = ACTIONS(2681),
    [anon_sym_BSLASHpmc] = ACTIONS(2681),
    [anon_sym_BSLASHpmr] = ACTIONS(2681),
    [anon_sym_BSLASHpi] = ACTIONS(2681),
    [anon_sym_BSLASHmi] = ACTIONS(2681),
    [anon_sym_BSLASHnb] = ACTIONS(2681),
    [anon_sym_BSLASHpc] = ACTIONS(2681),
    [anon_sym_BSLASHph] = ACTIONS(2681),
    [anon_sym_BSLASHb] = ACTIONS(2681),
    [anon_sym_BSLASHq] = ACTIONS(2681),
    [anon_sym_BSLASHqr] = ACTIONS(2681),
    [anon_sym_BSLASHqc] = ACTIONS(2681),
    [anon_sym_BSLASHqa] = ACTIONS(2681),
    [anon_sym_BSLASHqm] = ACTIONS(2681),
    [anon_sym_BSLASHqd] = ACTIONS(2681),
    [anon_sym_BSLASHlh] = ACTIONS(2681),
    [anon_sym_BSLASHlf] = ACTIONS(2681),
    [anon_sym_BSLASHli] = ACTIONS(2681),
    [anon_sym_BSLASHlim] = ACTIONS(2681),
    [anon_sym_BSLASHliv] = ACTIONS(2681),
    [anon_sym_BSLASHlik] = ACTIONS(2681),
    [anon_sym_BSLASHlitl] = ACTIONS(2681),
    [anon_sym_BSLASHtr] = ACTIONS(2681),
    [anon_sym_BSLASHf] = ACTIONS(2681),
    [anon_sym_BSLASHfe] = ACTIONS(2681),
    [anon_sym_BSLASHef] = ACTIONS(2681),
    [anon_sym_BSLASHfm] = ACTIONS(2681),
    [anon_sym_BSLASHx] = ACTIONS(2681),
    [anon_sym_BSLASHxt] = ACTIONS(2681),
    [anon_sym_BSLASHrq] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASHfig] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASHpb] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesb] = ACTIONS(2681),
  },
  [367] = {
    [ts_builtin_sym_end] = ACTIONS(17),
    [aux_sym_text_token1] = ACTIONS(17),
    [anon_sym_BSLASHref] = ACTIONS(19),
    [anon_sym_BSLASHsts] = ACTIONS(19),
    [anon_sym_BSLASHrem] = ACTIONS(19),
    [anon_sym_BSLASHrestore] = ACTIONS(19),
    [anon_sym_BSLASHlit] = ACTIONS(19),
    [anon_sym_BSLASHiqt] = ACTIONS(19),
    [anon_sym_BSLASHip] = ACTIONS(19),
    [anon_sym_BSLASHiex] = ACTIONS(19),
    [anon_sym_BSLASHv] = ACTIONS(19),
    [anon_sym_BSLASHva] = ACTIONS(19),
    [anon_sym_BSLASHvp] = ACTIONS(19),
    [anon_sym_BSLASHc] = ACTIONS(19),
    [anon_sym_BSLASHcl] = ACTIONS(19),
    [anon_sym_BSLASHca] = ACTIONS(19),
    [anon_sym_BSLASHcp] = ACTIONS(19),
    [anon_sym_BSLASHcd] = ACTIONS(19),
    [anon_sym_BSLASHmte] = ACTIONS(19),
    [anon_sym_BSLASHms] = ACTIONS(19),
    [anon_sym_BSLASHmr] = ACTIONS(19),
    [anon_sym_BSLASHs] = ACTIONS(19),
    [anon_sym_BSLASHsr] = ACTIONS(19),
    [anon_sym_BSLASHr] = ACTIONS(19),
    [anon_sym_BSLASHsp] = ACTIONS(19),
    [anon_sym_BSLASHd] = ACTIONS(19),
    [anon_sym_BSLASHsd] = ACTIONS(19),
    [anon_sym_BSLASHp] = ACTIONS(19),
    [anon_sym_BSLASHm] = ACTIONS(19),
    [anon_sym_BSLASHpo] = ACTIONS(19),
    [anon_sym_BSLASHpr] = ACTIONS(19),
    [anon_sym_BSLASHcls] = ACTIONS(19),
    [anon_sym_BSLASHpmo] = ACTIONS(19),
    [anon_sym_BSLASHpm] = ACTIONS(19),
    [anon_sym_BSLASHpmc] = ACTIONS(19),
    [anon_sym_BSLASHpmr] = ACTIONS(19),
    [anon_sym_BSLASHpi] = ACTIONS(19),
    [anon_sym_BSLASHmi] = ACTIONS(19),
    [anon_sym_BSLASHnb] = ACTIONS(19),
    [anon_sym_BSLASHpc] = ACTIONS(19),
    [anon_sym_BSLASHph] = ACTIONS(19),
    [anon_sym_BSLASHb] = ACTIONS(19),
    [anon_sym_BSLASHq] = ACTIONS(19),
    [anon_sym_BSLASHqr] = ACTIONS(19),
    [anon_sym_BSLASHqc] = ACTIONS(19),
    [anon_sym_BSLASHqa] = ACTIONS(19),
    [anon_sym_BSLASHqm] = ACTIONS(19),
    [anon_sym_BSLASHqd] = ACTIONS(19),
    [anon_sym_BSLASHlh] = ACTIONS(19),
    [anon_sym_BSLASHlf] = ACTIONS(19),
    [anon_sym_BSLASHli] = ACTIONS(19),
    [anon_sym_BSLASHlim] = ACTIONS(19),
    [anon_sym_BSLASHliv] = ACTIONS(19),
    [anon_sym_BSLASHlik] = ACTIONS(19),
    [anon_sym_BSLASHlitl] = ACTIONS(19),
    [anon_sym_BSLASHtr] = ACTIONS(19),
    [anon_sym_BSLASHf] = ACTIONS(19),
    [anon_sym_BSLASHfe] = ACTIONS(19),
    [anon_sym_BSLASHef] = ACTIONS(19),
    [anon_sym_BSLASHfm] = ACTIONS(19),
    [anon_sym_BSLASHx] = ACTIONS(19),
    [anon_sym_BSLASHxt] = ACTIONS(19),
    [anon_sym_BSLASHrq] = ACTIONS(19),
    [anon_sym_BSLASHadd] = ACTIONS(19),
    [anon_sym_BSLASHbk] = ACTIONS(19),
    [anon_sym_BSLASHdc] = ACTIONS(19),
    [anon_sym_BSLASHk] = ACTIONS(19),
    [anon_sym_BSLASHnd] = ACTIONS(19),
    [anon_sym_BSLASHord] = ACTIONS(19),
    [anon_sym_BSLASHpn] = ACTIONS(19),
    [anon_sym_BSLASHpng] = ACTIONS(19),
    [anon_sym_BSLASHaddpn] = ACTIONS(19),
    [anon_sym_BSLASHqt] = ACTIONS(19),
    [anon_sym_BSLASHsig] = ACTIONS(19),
    [anon_sym_BSLASHsls] = ACTIONS(19),
    [anon_sym_BSLASHtl] = ACTIONS(19),
    [anon_sym_BSLASHwj] = ACTIONS(19),
    [anon_sym_BSLASHem] = ACTIONS(19),
    [anon_sym_BSLASHbd] = ACTIONS(19),
    [anon_sym_BSLASHit] = ACTIONS(19),
    [anon_sym_BSLASHbdit] = ACTIONS(19),
    [anon_sym_BSLASHno] = ACTIONS(19),
    [anon_sym_BSLASHsc] = ACTIONS(19),
    [anon_sym_BSLASHsup] = ACTIONS(19),
    [anon_sym_BSLASHndx] = ACTIONS(19),
    [anon_sym_BSLASHpro] = ACTIONS(19),
    [anon_sym_BSLASHrb] = ACTIONS(19),
    [anon_sym_BSLASHw] = ACTIONS(19),
    [anon_sym_BSLASHwg] = ACTIONS(19),
    [anon_sym_BSLASHwh] = ACTIONS(19),
    [anon_sym_BSLASHwa] = ACTIONS(19),
    [anon_sym_BSLASHfig] = ACTIONS(19),
    [anon_sym_BSLASHjmp] = ACTIONS(19),
    [anon_sym_BSLASHpb] = ACTIONS(19),
    [anon_sym_BSLASH] = ACTIONS(19),
    [sym_milestoneStartTag] = ACTIONS(19),
    [sym_milestoneEndTag] = ACTIONS(19),
    [sym_zSpaceTag] = ACTIONS(19),
    [anon_sym_BSLASHesb] = ACTIONS(19),
  },
  [368] = {
    [ts_builtin_sym_end] = ACTIONS(2675),
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHref] = ACTIONS(2677),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHiqt] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHiex] = ACTIONS(2677),
    [anon_sym_BSLASHv] = ACTIONS(2677),
    [anon_sym_BSLASHva] = ACTIONS(2677),
    [anon_sym_BSLASHvp] = ACTIONS(2677),
    [anon_sym_BSLASHc] = ACTIONS(2677),
    [anon_sym_BSLASHcl] = ACTIONS(2677),
    [anon_sym_BSLASHca] = ACTIONS(2677),
    [anon_sym_BSLASHcp] = ACTIONS(2677),
    [anon_sym_BSLASHcd] = ACTIONS(2677),
    [anon_sym_BSLASHmte] = ACTIONS(2677),
    [anon_sym_BSLASHms] = ACTIONS(2677),
    [anon_sym_BSLASHmr] = ACTIONS(2677),
    [anon_sym_BSLASHs] = ACTIONS(2677),
    [anon_sym_BSLASHsr] = ACTIONS(2677),
    [anon_sym_BSLASHr] = ACTIONS(2677),
    [anon_sym_BSLASHsp] = ACTIONS(2677),
    [anon_sym_BSLASHd] = ACTIONS(2677),
    [anon_sym_BSLASHsd] = ACTIONS(2677),
    [anon_sym_BSLASHp] = ACTIONS(2677),
    [anon_sym_BSLASHm] = ACTIONS(2677),
    [anon_sym_BSLASHpo] = ACTIONS(2677),
    [anon_sym_BSLASHpr] = ACTIONS(2677),
    [anon_sym_BSLASHcls] = ACTIONS(2677),
    [anon_sym_BSLASHpmo] = ACTIONS(2677),
    [anon_sym_BSLASHpm] = ACTIONS(2677),
    [anon_sym_BSLASHpmc] = ACTIONS(2677),
    [anon_sym_BSLASHpmr] = ACTIONS(2677),
    [anon_sym_BSLASHpi] = ACTIONS(2677),
    [anon_sym_BSLASHmi] = ACTIONS(2677),
    [anon_sym_BSLASHnb] = ACTIONS(2677),
    [anon_sym_BSLASHpc] = ACTIONS(2677),
    [anon_sym_BSLASHph] = ACTIONS(2677),
    [anon_sym_BSLASHb] = ACTIONS(2677),
    [anon_sym_BSLASHq] = ACTIONS(2677),
    [anon_sym_BSLASHqr] = ACTIONS(2677),
    [anon_sym_BSLASHqc] = ACTIONS(2677),
    [anon_sym_BSLASHqa] = ACTIONS(2677),
    [anon_sym_BSLASHqm] = ACTIONS(2677),
    [anon_sym_BSLASHqd] = ACTIONS(2677),
    [anon_sym_BSLASHlh] = ACTIONS(2677),
    [anon_sym_BSLASHlf] = ACTIONS(2677),
    [anon_sym_BSLASHli] = ACTIONS(2677),
    [anon_sym_BSLASHlim] = ACTIONS(2677),
    [anon_sym_BSLASHliv] = ACTIONS(2677),
    [anon_sym_BSLASHlik] = ACTIONS(2677),
    [anon_sym_BSLASHlitl] = ACTIONS(2677),
    [anon_sym_BSLASHtr] = ACTIONS(2677),
    [anon_sym_BSLASHf] = ACTIONS(2677),
    [anon_sym_BSLASHfe] = ACTIONS(2677),
    [anon_sym_BSLASHef] = ACTIONS(2677),
    [anon_sym_BSLASHfm] = ACTIONS(2677),
    [anon_sym_BSLASHx] = ACTIONS(2677),
    [anon_sym_BSLASHxt] = ACTIONS(2677),
    [anon_sym_BSLASHrq] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASHfig] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASHpb] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesb] = ACTIONS(2677),
  },
  [369] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHref] = ACTIONS(2673),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHiqt] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHiex] = ACTIONS(2673),
    [anon_sym_BSLASHv] = ACTIONS(2673),
    [anon_sym_BSLASHva] = ACTIONS(2673),
    [anon_sym_BSLASHvp] = ACTIONS(2673),
    [anon_sym_BSLASHc] = ACTIONS(2673),
    [anon_sym_BSLASHcl] = ACTIONS(2673),
    [anon_sym_BSLASHca] = ACTIONS(2673),
    [anon_sym_BSLASHcp] = ACTIONS(2673),
    [anon_sym_BSLASHcd] = ACTIONS(2673),
    [anon_sym_BSLASHmte] = ACTIONS(2673),
    [anon_sym_BSLASHms] = ACTIONS(2673),
    [anon_sym_BSLASHmr] = ACTIONS(2673),
    [anon_sym_BSLASHs] = ACTIONS(2673),
    [anon_sym_BSLASHsr] = ACTIONS(2673),
    [anon_sym_BSLASHr] = ACTIONS(2673),
    [anon_sym_BSLASHsp] = ACTIONS(2673),
    [anon_sym_BSLASHd] = ACTIONS(2673),
    [anon_sym_BSLASHsd] = ACTIONS(2673),
    [anon_sym_BSLASHp] = ACTIONS(2673),
    [anon_sym_BSLASHm] = ACTIONS(2673),
    [anon_sym_BSLASHpo] = ACTIONS(2673),
    [anon_sym_BSLASHpr] = ACTIONS(2673),
    [anon_sym_BSLASHcls] = ACTIONS(2673),
    [anon_sym_BSLASHpmo] = ACTIONS(2673),
    [anon_sym_BSLASHpm] = ACTIONS(2673),
    [anon_sym_BSLASHpmc] = ACTIONS(2673),
    [anon_sym_BSLASHpmr] = ACTIONS(2673),
    [anon_sym_BSLASHpi] = ACTIONS(2673),
    [anon_sym_BSLASHmi] = ACTIONS(2673),
    [anon_sym_BSLASHnb] = ACTIONS(2673),
    [anon_sym_BSLASHpc] = ACTIONS(2673),
    [anon_sym_BSLASHph] = ACTIONS(2673),
    [anon_sym_BSLASHb] = ACTIONS(2673),
    [anon_sym_BSLASHq] = ACTIONS(2673),
    [anon_sym_BSLASHqr] = ACTIONS(2673),
    [anon_sym_BSLASHqc] = ACTIONS(2673),
    [anon_sym_BSLASHqa] = ACTIONS(2673),
    [anon_sym_BSLASHqm] = ACTIONS(2673),
    [anon_sym_BSLASHqd] = ACTIONS(2673),
    [anon_sym_BSLASHlh] = ACTIONS(2673),
    [anon_sym_BSLASHlf] = ACTIONS(2673),
    [anon_sym_BSLASHli] = ACTIONS(2673),
    [anon_sym_BSLASHlim] = ACTIONS(2673),
    [anon_sym_BSLASHliv] = ACTIONS(2673),
    [anon_sym_BSLASHlik] = ACTIONS(2673),
    [anon_sym_BSLASHlitl] = ACTIONS(2673),
    [anon_sym_BSLASHtr] = ACTIONS(2673),
    [anon_sym_BSLASHf] = ACTIONS(2673),
    [anon_sym_BSLASHfe] = ACTIONS(2673),
    [anon_sym_BSLASHef] = ACTIONS(2673),
    [anon_sym_BSLASHfm] = ACTIONS(2673),
    [anon_sym_BSLASHx] = ACTIONS(2673),
    [anon_sym_BSLASHxt] = ACTIONS(2673),
    [anon_sym_BSLASHrq] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASHfig] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASHpb] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesb] = ACTIONS(2673),
  },
  [370] = {
    [ts_builtin_sym_end] = ACTIONS(13),
    [aux_sym_text_token1] = ACTIONS(13),
    [anon_sym_BSLASHref] = ACTIONS(15),
    [anon_sym_BSLASHsts] = ACTIONS(15),
    [anon_sym_BSLASHrem] = ACTIONS(15),
    [anon_sym_BSLASHrestore] = ACTIONS(15),
    [anon_sym_BSLASHlit] = ACTIONS(15),
    [anon_sym_BSLASHiqt] = ACTIONS(15),
    [anon_sym_BSLASHip] = ACTIONS(15),
    [anon_sym_BSLASHiex] = ACTIONS(15),
    [anon_sym_BSLASHv] = ACTIONS(15),
    [anon_sym_BSLASHva] = ACTIONS(15),
    [anon_sym_BSLASHvp] = ACTIONS(15),
    [anon_sym_BSLASHc] = ACTIONS(15),
    [anon_sym_BSLASHcl] = ACTIONS(15),
    [anon_sym_BSLASHca] = ACTIONS(15),
    [anon_sym_BSLASHcp] = ACTIONS(15),
    [anon_sym_BSLASHcd] = ACTIONS(15),
    [anon_sym_BSLASHmte] = ACTIONS(15),
    [anon_sym_BSLASHms] = ACTIONS(15),
    [anon_sym_BSLASHmr] = ACTIONS(15),
    [anon_sym_BSLASHs] = ACTIONS(15),
    [anon_sym_BSLASHsr] = ACTIONS(15),
    [anon_sym_BSLASHr] = ACTIONS(15),
    [anon_sym_BSLASHsp] = ACTIONS(15),
    [anon_sym_BSLASHd] = ACTIONS(15),
    [anon_sym_BSLASHsd] = ACTIONS(15),
    [anon_sym_BSLASHp] = ACTIONS(15),
    [anon_sym_BSLASHm] = ACTIONS(15),
    [anon_sym_BSLASHpo] = ACTIONS(15),
    [anon_sym_BSLASHpr] = ACTIONS(15),
    [anon_sym_BSLASHcls] = ACTIONS(15),
    [anon_sym_BSLASHpmo] = ACTIONS(15),
    [anon_sym_BSLASHpm] = ACTIONS(15),
    [anon_sym_BSLASHpmc] = ACTIONS(15),
    [anon_sym_BSLASHpmr] = ACTIONS(15),
    [anon_sym_BSLASHpi] = ACTIONS(15),
    [anon_sym_BSLASHmi] = ACTIONS(15),
    [anon_sym_BSLASHnb] = ACTIONS(15),
    [anon_sym_BSLASHpc] = ACTIONS(15),
    [anon_sym_BSLASHph] = ACTIONS(15),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [anon_sym_BSLASHq] = ACTIONS(15),
    [anon_sym_BSLASHqr] = ACTIONS(15),
    [anon_sym_BSLASHqc] = ACTIONS(15),
    [anon_sym_BSLASHqa] = ACTIONS(15),
    [anon_sym_BSLASHqm] = ACTIONS(15),
    [anon_sym_BSLASHqd] = ACTIONS(15),
    [anon_sym_BSLASHlh] = ACTIONS(15),
    [anon_sym_BSLASHlf] = ACTIONS(15),
    [anon_sym_BSLASHli] = ACTIONS(15),
    [anon_sym_BSLASHlim] = ACTIONS(15),
    [anon_sym_BSLASHliv] = ACTIONS(15),
    [anon_sym_BSLASHlik] = ACTIONS(15),
    [anon_sym_BSLASHlitl] = ACTIONS(15),
    [anon_sym_BSLASHtr] = ACTIONS(15),
    [anon_sym_BSLASHf] = ACTIONS(15),
    [anon_sym_BSLASHfe] = ACTIONS(15),
    [anon_sym_BSLASHef] = ACTIONS(15),
    [anon_sym_BSLASHfm] = ACTIONS(15),
    [anon_sym_BSLASHx] = ACTIONS(15),
    [anon_sym_BSLASHxt] = ACTIONS(15),
    [anon_sym_BSLASHrq] = ACTIONS(15),
    [anon_sym_BSLASHadd] = ACTIONS(15),
    [anon_sym_BSLASHbk] = ACTIONS(15),
    [anon_sym_BSLASHdc] = ACTIONS(15),
    [anon_sym_BSLASHk] = ACTIONS(15),
    [anon_sym_BSLASHnd] = ACTIONS(15),
    [anon_sym_BSLASHord] = ACTIONS(15),
    [anon_sym_BSLASHpn] = ACTIONS(15),
    [anon_sym_BSLASHpng] = ACTIONS(15),
    [anon_sym_BSLASHaddpn] = ACTIONS(15),
    [anon_sym_BSLASHqt] = ACTIONS(15),
    [anon_sym_BSLASHsig] = ACTIONS(15),
    [anon_sym_BSLASHsls] = ACTIONS(15),
    [anon_sym_BSLASHtl] = ACTIONS(15),
    [anon_sym_BSLASHwj] = ACTIONS(15),
    [anon_sym_BSLASHem] = ACTIONS(15),
    [anon_sym_BSLASHbd] = ACTIONS(15),
    [anon_sym_BSLASHit] = ACTIONS(15),
    [anon_sym_BSLASHbdit] = ACTIONS(15),
    [anon_sym_BSLASHno] = ACTIONS(15),
    [anon_sym_BSLASHsc] = ACTIONS(15),
    [anon_sym_BSLASHsup] = ACTIONS(15),
    [anon_sym_BSLASHndx] = ACTIONS(15),
    [anon_sym_BSLASHpro] = ACTIONS(15),
    [anon_sym_BSLASHrb] = ACTIONS(15),
    [anon_sym_BSLASHw] = ACTIONS(15),
    [anon_sym_BSLASHwg] = ACTIONS(15),
    [anon_sym_BSLASHwh] = ACTIONS(15),
    [anon_sym_BSLASHwa] = ACTIONS(15),
    [anon_sym_BSLASHfig] = ACTIONS(15),
    [anon_sym_BSLASHjmp] = ACTIONS(15),
    [anon_sym_BSLASHpb] = ACTIONS(15),
    [anon_sym_BSLASH] = ACTIONS(15),
    [sym_milestoneStartTag] = ACTIONS(15),
    [sym_milestoneEndTag] = ACTIONS(15),
    [sym_zSpaceTag] = ACTIONS(15),
    [anon_sym_BSLASHesb] = ACTIONS(15),
  },
  [371] = {
    [sym_text] = STATE(345),
    [sym_ref] = STATE(345),
    [aux_sym__introText] = STATE(345),
    [sym_iqt] = STATE(345),
    [sym_xt_standalone] = STATE(345),
    [sym_add] = STATE(345),
    [sym_bk] = STATE(345),
    [sym_dc] = STATE(345),
    [sym_k] = STATE(345),
    [sym_nd] = STATE(345),
    [sym_ord] = STATE(345),
    [sym_pn] = STATE(345),
    [sym_png] = STATE(345),
    [sym_addpn] = STATE(345),
    [sym_qt] = STATE(345),
    [sym_sig] = STATE(345),
    [sym_sls] = STATE(345),
    [sym_tl] = STATE(345),
    [sym_wj] = STATE(345),
    [sym_em] = STATE(345),
    [sym_bd] = STATE(345),
    [sym_it] = STATE(345),
    [sym_bdit] = STATE(345),
    [sym_no] = STATE(345),
    [sym_sc] = STATE(345),
    [sym_sup] = STATE(345),
    [sym_ndx] = STATE(345),
    [sym_pro] = STATE(345),
    [sym_rb] = STATE(345),
    [sym_w] = STATE(345),
    [sym_wg] = STATE(345),
    [sym_wh] = STATE(345),
    [sym_wa] = STATE(345),
    [sym__characterMarker] = STATE(345),
    [sym_fig] = STATE(345),
    [sym_jmp] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(5262),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHsts] = ACTIONS(5264),
    [anon_sym_BSLASHrem] = ACTIONS(5264),
    [anon_sym_BSLASHrestore] = ACTIONS(5264),
    [anon_sym_BSLASHlit] = ACTIONS(5264),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHimt] = ACTIONS(5264),
    [anon_sym_BSLASHimte] = ACTIONS(5264),
    [anon_sym_BSLASHis] = ACTIONS(5264),
    [anon_sym_BSLASHio] = ACTIONS(5264),
    [anon_sym_BSLASHiot] = ACTIONS(5264),
    [anon_sym_BSLASHip] = ACTIONS(5264),
    [anon_sym_BSLASHim] = ACTIONS(5264),
    [anon_sym_BSLASHipi] = ACTIONS(5264),
    [anon_sym_BSLASHimi] = ACTIONS(5264),
    [anon_sym_BSLASHili] = ACTIONS(5264),
    [anon_sym_BSLASHipq] = ACTIONS(5264),
    [anon_sym_BSLASHimq] = ACTIONS(5264),
    [anon_sym_BSLASHipr] = ACTIONS(5264),
    [anon_sym_BSLASHib] = ACTIONS(5264),
    [anon_sym_BSLASHiq] = ACTIONS(5264),
    [anon_sym_BSLASHie] = ACTIONS(5264),
    [anon_sym_BSLASHiex] = ACTIONS(5264),
    [anon_sym_BSLASHc] = ACTIONS(5264),
    [anon_sym_BSLASHcl] = ACTIONS(5264),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
    [anon_sym_BSLASH] = ACTIONS(5264),
    [sym_milestoneStartTag] = ACTIONS(5264),
    [sym_milestoneEndTag] = ACTIONS(5264),
    [sym_zSpaceTag] = ACTIONS(5264),
    [anon_sym_BSLASHesb] = ACTIONS(5264),
  },
  [372] = {
    [sym_text] = STATE(345),
    [sym_ref] = STATE(345),
    [aux_sym__introText] = STATE(345),
    [sym_iqt] = STATE(345),
    [sym_xt_standalone] = STATE(345),
    [sym_add] = STATE(345),
    [sym_bk] = STATE(345),
    [sym_dc] = STATE(345),
    [sym_k] = STATE(345),
    [sym_nd] = STATE(345),
    [sym_ord] = STATE(345),
    [sym_pn] = STATE(345),
    [sym_png] = STATE(345),
    [sym_addpn] = STATE(345),
    [sym_qt] = STATE(345),
    [sym_sig] = STATE(345),
    [sym_sls] = STATE(345),
    [sym_tl] = STATE(345),
    [sym_wj] = STATE(345),
    [sym_em] = STATE(345),
    [sym_bd] = STATE(345),
    [sym_it] = STATE(345),
    [sym_bdit] = STATE(345),
    [sym_no] = STATE(345),
    [sym_sc] = STATE(345),
    [sym_sup] = STATE(345),
    [sym_ndx] = STATE(345),
    [sym_pro] = STATE(345),
    [sym_rb] = STATE(345),
    [sym_w] = STATE(345),
    [sym_wg] = STATE(345),
    [sym_wh] = STATE(345),
    [sym_wa] = STATE(345),
    [sym__characterMarker] = STATE(345),
    [sym_fig] = STATE(345),
    [sym_jmp] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(3775),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHsts] = ACTIONS(3777),
    [anon_sym_BSLASHrem] = ACTIONS(3777),
    [anon_sym_BSLASHrestore] = ACTIONS(3777),
    [anon_sym_BSLASHlit] = ACTIONS(3777),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHimt] = ACTIONS(3777),
    [anon_sym_BSLASHimte] = ACTIONS(3777),
    [anon_sym_BSLASHis] = ACTIONS(3777),
    [anon_sym_BSLASHio] = ACTIONS(3777),
    [anon_sym_BSLASHiot] = ACTIONS(3777),
    [anon_sym_BSLASHip] = ACTIONS(3777),
    [anon_sym_BSLASHim] = ACTIONS(3777),
    [anon_sym_BSLASHipi] = ACTIONS(3777),
    [anon_sym_BSLASHimi] = ACTIONS(3777),
    [anon_sym_BSLASHili] = ACTIONS(3777),
    [anon_sym_BSLASHipq] = ACTIONS(3777),
    [anon_sym_BSLASHimq] = ACTIONS(3777),
    [anon_sym_BSLASHipr] = ACTIONS(3777),
    [anon_sym_BSLASHib] = ACTIONS(3777),
    [anon_sym_BSLASHiq] = ACTIONS(3777),
    [anon_sym_BSLASHie] = ACTIONS(3777),
    [anon_sym_BSLASHiex] = ACTIONS(3777),
    [anon_sym_BSLASHc] = ACTIONS(3777),
    [anon_sym_BSLASHcl] = ACTIONS(3777),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
    [anon_sym_BSLASH] = ACTIONS(3777),
    [sym_milestoneStartTag] = ACTIONS(3777),
    [sym_milestoneEndTag] = ACTIONS(3777),
    [sym_zSpaceTag] = ACTIONS(3777),
    [anon_sym_BSLASHesb] = ACTIONS(3777),
  },
  [373] = {
    [sym_text] = STATE(345),
    [sym_ref] = STATE(345),
    [aux_sym__introText] = STATE(345),
    [sym_iqt] = STATE(345),
    [sym_xt_standalone] = STATE(345),
    [sym_add] = STATE(345),
    [sym_bk] = STATE(345),
    [sym_dc] = STATE(345),
    [sym_k] = STATE(345),
    [sym_nd] = STATE(345),
    [sym_ord] = STATE(345),
    [sym_pn] = STATE(345),
    [sym_png] = STATE(345),
    [sym_addpn] = STATE(345),
    [sym_qt] = STATE(345),
    [sym_sig] = STATE(345),
    [sym_sls] = STATE(345),
    [sym_tl] = STATE(345),
    [sym_wj] = STATE(345),
    [sym_em] = STATE(345),
    [sym_bd] = STATE(345),
    [sym_it] = STATE(345),
    [sym_bdit] = STATE(345),
    [sym_no] = STATE(345),
    [sym_sc] = STATE(345),
    [sym_sup] = STATE(345),
    [sym_ndx] = STATE(345),
    [sym_pro] = STATE(345),
    [sym_rb] = STATE(345),
    [sym_w] = STATE(345),
    [sym_wg] = STATE(345),
    [sym_wh] = STATE(345),
    [sym_wa] = STATE(345),
    [sym__characterMarker] = STATE(345),
    [sym_fig] = STATE(345),
    [sym_jmp] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(5266),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHsts] = ACTIONS(5268),
    [anon_sym_BSLASHrem] = ACTIONS(5268),
    [anon_sym_BSLASHrestore] = ACTIONS(5268),
    [anon_sym_BSLASHlit] = ACTIONS(5268),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHimt] = ACTIONS(5268),
    [anon_sym_BSLASHimte] = ACTIONS(5268),
    [anon_sym_BSLASHis] = ACTIONS(5268),
    [anon_sym_BSLASHio] = ACTIONS(5268),
    [anon_sym_BSLASHiot] = ACTIONS(5268),
    [anon_sym_BSLASHip] = ACTIONS(5268),
    [anon_sym_BSLASHim] = ACTIONS(5268),
    [anon_sym_BSLASHipi] = ACTIONS(5268),
    [anon_sym_BSLASHimi] = ACTIONS(5268),
    [anon_sym_BSLASHili] = ACTIONS(5268),
    [anon_sym_BSLASHipq] = ACTIONS(5268),
    [anon_sym_BSLASHimq] = ACTIONS(5268),
    [anon_sym_BSLASHipr] = ACTIONS(5268),
    [anon_sym_BSLASHib] = ACTIONS(5268),
    [anon_sym_BSLASHiq] = ACTIONS(5268),
    [anon_sym_BSLASHie] = ACTIONS(5268),
    [anon_sym_BSLASHiex] = ACTIONS(5268),
    [anon_sym_BSLASHc] = ACTIONS(5268),
    [anon_sym_BSLASHcl] = ACTIONS(5268),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
    [anon_sym_BSLASH] = ACTIONS(5268),
    [sym_milestoneStartTag] = ACTIONS(5268),
    [sym_milestoneEndTag] = ACTIONS(5268),
    [sym_zSpaceTag] = ACTIONS(5268),
    [anon_sym_BSLASHesb] = ACTIONS(5268),
  },
  [374] = {
    [sym_text] = STATE(345),
    [sym_ref] = STATE(345),
    [aux_sym__introText] = STATE(345),
    [sym_iqt] = STATE(345),
    [sym_xt_standalone] = STATE(345),
    [sym_add] = STATE(345),
    [sym_bk] = STATE(345),
    [sym_dc] = STATE(345),
    [sym_k] = STATE(345),
    [sym_nd] = STATE(345),
    [sym_ord] = STATE(345),
    [sym_pn] = STATE(345),
    [sym_png] = STATE(345),
    [sym_addpn] = STATE(345),
    [sym_qt] = STATE(345),
    [sym_sig] = STATE(345),
    [sym_sls] = STATE(345),
    [sym_tl] = STATE(345),
    [sym_wj] = STATE(345),
    [sym_em] = STATE(345),
    [sym_bd] = STATE(345),
    [sym_it] = STATE(345),
    [sym_bdit] = STATE(345),
    [sym_no] = STATE(345),
    [sym_sc] = STATE(345),
    [sym_sup] = STATE(345),
    [sym_ndx] = STATE(345),
    [sym_pro] = STATE(345),
    [sym_rb] = STATE(345),
    [sym_w] = STATE(345),
    [sym_wg] = STATE(345),
    [sym_wh] = STATE(345),
    [sym_wa] = STATE(345),
    [sym__characterMarker] = STATE(345),
    [sym_fig] = STATE(345),
    [sym_jmp] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(5270),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHsts] = ACTIONS(5272),
    [anon_sym_BSLASHrem] = ACTIONS(5272),
    [anon_sym_BSLASHrestore] = ACTIONS(5272),
    [anon_sym_BSLASHlit] = ACTIONS(5272),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHimt] = ACTIONS(5272),
    [anon_sym_BSLASHimte] = ACTIONS(5272),
    [anon_sym_BSLASHis] = ACTIONS(5272),
    [anon_sym_BSLASHio] = ACTIONS(5272),
    [anon_sym_BSLASHiot] = ACTIONS(5272),
    [anon_sym_BSLASHip] = ACTIONS(5272),
    [anon_sym_BSLASHim] = ACTIONS(5272),
    [anon_sym_BSLASHipi] = ACTIONS(5272),
    [anon_sym_BSLASHimi] = ACTIONS(5272),
    [anon_sym_BSLASHili] = ACTIONS(5272),
    [anon_sym_BSLASHipq] = ACTIONS(5272),
    [anon_sym_BSLASHimq] = ACTIONS(5272),
    [anon_sym_BSLASHipr] = ACTIONS(5272),
    [anon_sym_BSLASHib] = ACTIONS(5272),
    [anon_sym_BSLASHiq] = ACTIONS(5272),
    [anon_sym_BSLASHie] = ACTIONS(5272),
    [anon_sym_BSLASHiex] = ACTIONS(5272),
    [anon_sym_BSLASHc] = ACTIONS(5272),
    [anon_sym_BSLASHcl] = ACTIONS(5272),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
    [anon_sym_BSLASH] = ACTIONS(5272),
    [sym_milestoneStartTag] = ACTIONS(5272),
    [sym_milestoneEndTag] = ACTIONS(5272),
    [sym_zSpaceTag] = ACTIONS(5272),
    [anon_sym_BSLASHesb] = ACTIONS(5272),
  },
  [375] = {
    [sym_text] = STATE(345),
    [sym_ref] = STATE(345),
    [aux_sym__introText] = STATE(345),
    [sym_iqt] = STATE(345),
    [sym_xt_standalone] = STATE(345),
    [sym_add] = STATE(345),
    [sym_bk] = STATE(345),
    [sym_dc] = STATE(345),
    [sym_k] = STATE(345),
    [sym_nd] = STATE(345),
    [sym_ord] = STATE(345),
    [sym_pn] = STATE(345),
    [sym_png] = STATE(345),
    [sym_addpn] = STATE(345),
    [sym_qt] = STATE(345),
    [sym_sig] = STATE(345),
    [sym_sls] = STATE(345),
    [sym_tl] = STATE(345),
    [sym_wj] = STATE(345),
    [sym_em] = STATE(345),
    [sym_bd] = STATE(345),
    [sym_it] = STATE(345),
    [sym_bdit] = STATE(345),
    [sym_no] = STATE(345),
    [sym_sc] = STATE(345),
    [sym_sup] = STATE(345),
    [sym_ndx] = STATE(345),
    [sym_pro] = STATE(345),
    [sym_rb] = STATE(345),
    [sym_w] = STATE(345),
    [sym_wg] = STATE(345),
    [sym_wh] = STATE(345),
    [sym_wa] = STATE(345),
    [sym__characterMarker] = STATE(345),
    [sym_fig] = STATE(345),
    [sym_jmp] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(5274),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHsts] = ACTIONS(5276),
    [anon_sym_BSLASHrem] = ACTIONS(5276),
    [anon_sym_BSLASHrestore] = ACTIONS(5276),
    [anon_sym_BSLASHlit] = ACTIONS(5276),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHimt] = ACTIONS(5276),
    [anon_sym_BSLASHimte] = ACTIONS(5276),
    [anon_sym_BSLASHis] = ACTIONS(5276),
    [anon_sym_BSLASHio] = ACTIONS(5276),
    [anon_sym_BSLASHiot] = ACTIONS(5276),
    [anon_sym_BSLASHip] = ACTIONS(5276),
    [anon_sym_BSLASHim] = ACTIONS(5276),
    [anon_sym_BSLASHipi] = ACTIONS(5276),
    [anon_sym_BSLASHimi] = ACTIONS(5276),
    [anon_sym_BSLASHili] = ACTIONS(5276),
    [anon_sym_BSLASHipq] = ACTIONS(5276),
    [anon_sym_BSLASHimq] = ACTIONS(5276),
    [anon_sym_BSLASHipr] = ACTIONS(5276),
    [anon_sym_BSLASHib] = ACTIONS(5276),
    [anon_sym_BSLASHiq] = ACTIONS(5276),
    [anon_sym_BSLASHie] = ACTIONS(5276),
    [anon_sym_BSLASHiex] = ACTIONS(5276),
    [anon_sym_BSLASHc] = ACTIONS(5276),
    [anon_sym_BSLASHcl] = ACTIONS(5276),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
    [anon_sym_BSLASH] = ACTIONS(5276),
    [sym_milestoneStartTag] = ACTIONS(5276),
    [sym_milestoneEndTag] = ACTIONS(5276),
    [sym_zSpaceTag] = ACTIONS(5276),
    [anon_sym_BSLASHesb] = ACTIONS(5276),
  },
  [376] = {
    [ts_builtin_sym_end] = ACTIONS(2635),
    [aux_sym_text_token1] = ACTIONS(2635),
    [anon_sym_BSLASHref] = ACTIONS(2637),
    [anon_sym_BSLASHsts] = ACTIONS(2637),
    [anon_sym_BSLASHrem] = ACTIONS(2637),
    [anon_sym_BSLASHrestore] = ACTIONS(2637),
    [anon_sym_BSLASHlit] = ACTIONS(2637),
    [anon_sym_BSLASHiqt] = ACTIONS(2637),
    [anon_sym_BSLASHip] = ACTIONS(2637),
    [anon_sym_BSLASHiex] = ACTIONS(2637),
    [anon_sym_BSLASHv] = ACTIONS(2637),
    [anon_sym_BSLASHva] = ACTIONS(2637),
    [anon_sym_BSLASHvp] = ACTIONS(2637),
    [anon_sym_BSLASHc] = ACTIONS(2637),
    [anon_sym_BSLASHcl] = ACTIONS(2637),
    [anon_sym_BSLASHca] = ACTIONS(2637),
    [anon_sym_BSLASHcp] = ACTIONS(2637),
    [anon_sym_BSLASHcd] = ACTIONS(2637),
    [anon_sym_BSLASHmte] = ACTIONS(2637),
    [anon_sym_BSLASHms] = ACTIONS(2637),
    [anon_sym_BSLASHmr] = ACTIONS(2637),
    [anon_sym_BSLASHs] = ACTIONS(2637),
    [anon_sym_BSLASHsr] = ACTIONS(2637),
    [anon_sym_BSLASHr] = ACTIONS(2637),
    [anon_sym_BSLASHsp] = ACTIONS(2637),
    [anon_sym_BSLASHd] = ACTIONS(2637),
    [anon_sym_BSLASHsd] = ACTIONS(2637),
    [anon_sym_BSLASHp] = ACTIONS(2637),
    [anon_sym_BSLASHm] = ACTIONS(2637),
    [anon_sym_BSLASHpo] = ACTIONS(2637),
    [anon_sym_BSLASHpr] = ACTIONS(2637),
    [anon_sym_BSLASHcls] = ACTIONS(2637),
    [anon_sym_BSLASHpmo] = ACTIONS(2637),
    [anon_sym_BSLASHpm] = ACTIONS(2637),
    [anon_sym_BSLASHpmc] = ACTIONS(2637),
    [anon_sym_BSLASHpmr] = ACTIONS(2637),
    [anon_sym_BSLASHpi] = ACTIONS(2637),
    [anon_sym_BSLASHmi] = ACTIONS(2637),
    [anon_sym_BSLASHnb] = ACTIONS(2637),
    [anon_sym_BSLASHpc] = ACTIONS(2637),
    [anon_sym_BSLASHph] = ACTIONS(2637),
    [anon_sym_BSLASHb] = ACTIONS(2637),
    [anon_sym_BSLASHq] = ACTIONS(2637),
    [anon_sym_BSLASHqr] = ACTIONS(2637),
    [anon_sym_BSLASHqc] = ACTIONS(2637),
    [anon_sym_BSLASHqa] = ACTIONS(2637),
    [anon_sym_BSLASHqm] = ACTIONS(2637),
    [anon_sym_BSLASHqd] = ACTIONS(2637),
    [anon_sym_BSLASHlh] = ACTIONS(2637),
    [anon_sym_BSLASHlf] = ACTIONS(2637),
    [anon_sym_BSLASHli] = ACTIONS(2637),
    [anon_sym_BSLASHlim] = ACTIONS(2637),
    [anon_sym_BSLASHliv] = ACTIONS(2637),
    [anon_sym_BSLASHlik] = ACTIONS(2637),
    [anon_sym_BSLASHlitl] = ACTIONS(2637),
    [anon_sym_BSLASHtr] = ACTIONS(2637),
    [anon_sym_BSLASHf] = ACTIONS(2637),
    [anon_sym_BSLASHfe] = ACTIONS(2637),
    [anon_sym_BSLASHef] = ACTIONS(2637),
    [anon_sym_BSLASHfm] = ACTIONS(2637),
    [anon_sym_BSLASHx] = ACTIONS(2637),
    [anon_sym_BSLASHxt] = ACTIONS(2637),
    [anon_sym_BSLASHrq] = ACTIONS(2637),
    [anon_sym_BSLASHadd] = ACTIONS(2637),
    [anon_sym_BSLASHbk] = ACTIONS(2637),
    [anon_sym_BSLASHdc] = ACTIONS(2637),
    [anon_sym_BSLASHk] = ACTIONS(2637),
    [anon_sym_BSLASHnd] = ACTIONS(2637),
    [anon_sym_BSLASHord] = ACTIONS(2637),
    [anon_sym_BSLASHpn] = ACTIONS(2637),
    [anon_sym_BSLASHpng] = ACTIONS(2637),
    [anon_sym_BSLASHaddpn] = ACTIONS(2637),
    [anon_sym_BSLASHqt] = ACTIONS(2637),
    [anon_sym_BSLASHsig] = ACTIONS(2637),
    [anon_sym_BSLASHsls] = ACTIONS(2637),
    [anon_sym_BSLASHtl] = ACTIONS(2637),
    [anon_sym_BSLASHwj] = ACTIONS(2637),
    [anon_sym_BSLASHem] = ACTIONS(2637),
    [anon_sym_BSLASHbd] = ACTIONS(2637),
    [anon_sym_BSLASHit] = ACTIONS(2637),
    [anon_sym_BSLASHbdit] = ACTIONS(2637),
    [anon_sym_BSLASHno] = ACTIONS(2637),
    [anon_sym_BSLASHsc] = ACTIONS(2637),
    [anon_sym_BSLASHsup] = ACTIONS(2637),
    [anon_sym_BSLASHndx] = ACTIONS(2637),
    [anon_sym_BSLASHpro] = ACTIONS(2637),
    [anon_sym_BSLASHrb] = ACTIONS(2637),
    [anon_sym_BSLASHw] = ACTIONS(2637),
    [anon_sym_BSLASHwg] = ACTIONS(2637),
    [anon_sym_BSLASHwh] = ACTIONS(2637),
    [anon_sym_BSLASHwa] = ACTIONS(2637),
    [anon_sym_BSLASHfig] = ACTIONS(2637),
    [anon_sym_BSLASHjmp] = ACTIONS(2637),
    [anon_sym_BSLASHpb] = ACTIONS(2637),
    [anon_sym_BSLASH] = ACTIONS(2637),
    [sym_milestoneStartTag] = ACTIONS(2637),
    [sym_milestoneEndTag] = ACTIONS(2637),
    [sym_zSpaceTag] = ACTIONS(2637),
    [anon_sym_BSLASHesb] = ACTIONS(2637),
  },
  [377] = {
    [sym_text] = STATE(345),
    [sym_ref] = STATE(345),
    [aux_sym__introText] = STATE(345),
    [sym_iqt] = STATE(345),
    [sym_xt_standalone] = STATE(345),
    [sym_add] = STATE(345),
    [sym_bk] = STATE(345),
    [sym_dc] = STATE(345),
    [sym_k] = STATE(345),
    [sym_nd] = STATE(345),
    [sym_ord] = STATE(345),
    [sym_pn] = STATE(345),
    [sym_png] = STATE(345),
    [sym_addpn] = STATE(345),
    [sym_qt] = STATE(345),
    [sym_sig] = STATE(345),
    [sym_sls] = STATE(345),
    [sym_tl] = STATE(345),
    [sym_wj] = STATE(345),
    [sym_em] = STATE(345),
    [sym_bd] = STATE(345),
    [sym_it] = STATE(345),
    [sym_bdit] = STATE(345),
    [sym_no] = STATE(345),
    [sym_sc] = STATE(345),
    [sym_sup] = STATE(345),
    [sym_ndx] = STATE(345),
    [sym_pro] = STATE(345),
    [sym_rb] = STATE(345),
    [sym_w] = STATE(345),
    [sym_wg] = STATE(345),
    [sym_wh] = STATE(345),
    [sym_wa] = STATE(345),
    [sym__characterMarker] = STATE(345),
    [sym_fig] = STATE(345),
    [sym_jmp] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(5278),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHsts] = ACTIONS(5280),
    [anon_sym_BSLASHrem] = ACTIONS(5280),
    [anon_sym_BSLASHrestore] = ACTIONS(5280),
    [anon_sym_BSLASHlit] = ACTIONS(5280),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHimt] = ACTIONS(5280),
    [anon_sym_BSLASHimte] = ACTIONS(5280),
    [anon_sym_BSLASHis] = ACTIONS(5280),
    [anon_sym_BSLASHio] = ACTIONS(5280),
    [anon_sym_BSLASHiot] = ACTIONS(5280),
    [anon_sym_BSLASHip] = ACTIONS(5280),
    [anon_sym_BSLASHim] = ACTIONS(5280),
    [anon_sym_BSLASHipi] = ACTIONS(5280),
    [anon_sym_BSLASHimi] = ACTIONS(5280),
    [anon_sym_BSLASHili] = ACTIONS(5280),
    [anon_sym_BSLASHipq] = ACTIONS(5280),
    [anon_sym_BSLASHimq] = ACTIONS(5280),
    [anon_sym_BSLASHipr] = ACTIONS(5280),
    [anon_sym_BSLASHib] = ACTIONS(5280),
    [anon_sym_BSLASHiq] = ACTIONS(5280),
    [anon_sym_BSLASHie] = ACTIONS(5280),
    [anon_sym_BSLASHiex] = ACTIONS(5280),
    [anon_sym_BSLASHc] = ACTIONS(5280),
    [anon_sym_BSLASHcl] = ACTIONS(5280),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
    [anon_sym_BSLASH] = ACTIONS(5280),
    [sym_milestoneStartTag] = ACTIONS(5280),
    [sym_milestoneEndTag] = ACTIONS(5280),
    [sym_zSpaceTag] = ACTIONS(5280),
    [anon_sym_BSLASHesb] = ACTIONS(5280),
  },
  [378] = {
    [sym_text] = STATE(345),
    [sym_ref] = STATE(345),
    [aux_sym__introText] = STATE(345),
    [sym_iqt] = STATE(345),
    [sym_xt_standalone] = STATE(345),
    [sym_add] = STATE(345),
    [sym_bk] = STATE(345),
    [sym_dc] = STATE(345),
    [sym_k] = STATE(345),
    [sym_nd] = STATE(345),
    [sym_ord] = STATE(345),
    [sym_pn] = STATE(345),
    [sym_png] = STATE(345),
    [sym_addpn] = STATE(345),
    [sym_qt] = STATE(345),
    [sym_sig] = STATE(345),
    [sym_sls] = STATE(345),
    [sym_tl] = STATE(345),
    [sym_wj] = STATE(345),
    [sym_em] = STATE(345),
    [sym_bd] = STATE(345),
    [sym_it] = STATE(345),
    [sym_bdit] = STATE(345),
    [sym_no] = STATE(345),
    [sym_sc] = STATE(345),
    [sym_sup] = STATE(345),
    [sym_ndx] = STATE(345),
    [sym_pro] = STATE(345),
    [sym_rb] = STATE(345),
    [sym_w] = STATE(345),
    [sym_wg] = STATE(345),
    [sym_wh] = STATE(345),
    [sym_wa] = STATE(345),
    [sym__characterMarker] = STATE(345),
    [sym_fig] = STATE(345),
    [sym_jmp] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(5282),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHsts] = ACTIONS(5284),
    [anon_sym_BSLASHrem] = ACTIONS(5284),
    [anon_sym_BSLASHrestore] = ACTIONS(5284),
    [anon_sym_BSLASHlit] = ACTIONS(5284),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHimt] = ACTIONS(5284),
    [anon_sym_BSLASHimte] = ACTIONS(5284),
    [anon_sym_BSLASHis] = ACTIONS(5284),
    [anon_sym_BSLASHio] = ACTIONS(5284),
    [anon_sym_BSLASHiot] = ACTIONS(5284),
    [anon_sym_BSLASHip] = ACTIONS(5284),
    [anon_sym_BSLASHim] = ACTIONS(5284),
    [anon_sym_BSLASHipi] = ACTIONS(5284),
    [anon_sym_BSLASHimi] = ACTIONS(5284),
    [anon_sym_BSLASHili] = ACTIONS(5284),
    [anon_sym_BSLASHipq] = ACTIONS(5284),
    [anon_sym_BSLASHimq] = ACTIONS(5284),
    [anon_sym_BSLASHipr] = ACTIONS(5284),
    [anon_sym_BSLASHib] = ACTIONS(5284),
    [anon_sym_BSLASHiq] = ACTIONS(5284),
    [anon_sym_BSLASHie] = ACTIONS(5284),
    [anon_sym_BSLASHiex] = ACTIONS(5284),
    [anon_sym_BSLASHc] = ACTIONS(5284),
    [anon_sym_BSLASHcl] = ACTIONS(5284),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
    [anon_sym_BSLASH] = ACTIONS(5284),
    [sym_milestoneStartTag] = ACTIONS(5284),
    [sym_milestoneEndTag] = ACTIONS(5284),
    [sym_zSpaceTag] = ACTIONS(5284),
    [anon_sym_BSLASHesb] = ACTIONS(5284),
  },
  [379] = {
    [sym_text] = STATE(345),
    [sym_ref] = STATE(345),
    [aux_sym__introText] = STATE(345),
    [sym_iqt] = STATE(345),
    [sym_xt_standalone] = STATE(345),
    [sym_add] = STATE(345),
    [sym_bk] = STATE(345),
    [sym_dc] = STATE(345),
    [sym_k] = STATE(345),
    [sym_nd] = STATE(345),
    [sym_ord] = STATE(345),
    [sym_pn] = STATE(345),
    [sym_png] = STATE(345),
    [sym_addpn] = STATE(345),
    [sym_qt] = STATE(345),
    [sym_sig] = STATE(345),
    [sym_sls] = STATE(345),
    [sym_tl] = STATE(345),
    [sym_wj] = STATE(345),
    [sym_em] = STATE(345),
    [sym_bd] = STATE(345),
    [sym_it] = STATE(345),
    [sym_bdit] = STATE(345),
    [sym_no] = STATE(345),
    [sym_sc] = STATE(345),
    [sym_sup] = STATE(345),
    [sym_ndx] = STATE(345),
    [sym_pro] = STATE(345),
    [sym_rb] = STATE(345),
    [sym_w] = STATE(345),
    [sym_wg] = STATE(345),
    [sym_wh] = STATE(345),
    [sym_wa] = STATE(345),
    [sym__characterMarker] = STATE(345),
    [sym_fig] = STATE(345),
    [sym_jmp] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(5286),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHsts] = ACTIONS(5288),
    [anon_sym_BSLASHrem] = ACTIONS(5288),
    [anon_sym_BSLASHrestore] = ACTIONS(5288),
    [anon_sym_BSLASHlit] = ACTIONS(5288),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHimt] = ACTIONS(5288),
    [anon_sym_BSLASHimte] = ACTIONS(5288),
    [anon_sym_BSLASHis] = ACTIONS(5288),
    [anon_sym_BSLASHio] = ACTIONS(5288),
    [anon_sym_BSLASHiot] = ACTIONS(5288),
    [anon_sym_BSLASHip] = ACTIONS(5288),
    [anon_sym_BSLASHim] = ACTIONS(5288),
    [anon_sym_BSLASHipi] = ACTIONS(5288),
    [anon_sym_BSLASHimi] = ACTIONS(5288),
    [anon_sym_BSLASHili] = ACTIONS(5288),
    [anon_sym_BSLASHipq] = ACTIONS(5288),
    [anon_sym_BSLASHimq] = ACTIONS(5288),
    [anon_sym_BSLASHipr] = ACTIONS(5288),
    [anon_sym_BSLASHib] = ACTIONS(5288),
    [anon_sym_BSLASHiq] = ACTIONS(5288),
    [anon_sym_BSLASHie] = ACTIONS(5288),
    [anon_sym_BSLASHiex] = ACTIONS(5288),
    [anon_sym_BSLASHc] = ACTIONS(5288),
    [anon_sym_BSLASHcl] = ACTIONS(5288),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
    [anon_sym_BSLASH] = ACTIONS(5288),
    [sym_milestoneStartTag] = ACTIONS(5288),
    [sym_milestoneEndTag] = ACTIONS(5288),
    [sym_zSpaceTag] = ACTIONS(5288),
    [anon_sym_BSLASHesb] = ACTIONS(5288),
  },
  [380] = {
    [sym_text] = STATE(345),
    [sym_ref] = STATE(345),
    [aux_sym__introText] = STATE(345),
    [sym_iqt] = STATE(345),
    [sym_xt_standalone] = STATE(345),
    [sym_add] = STATE(345),
    [sym_bk] = STATE(345),
    [sym_dc] = STATE(345),
    [sym_k] = STATE(345),
    [sym_nd] = STATE(345),
    [sym_ord] = STATE(345),
    [sym_pn] = STATE(345),
    [sym_png] = STATE(345),
    [sym_addpn] = STATE(345),
    [sym_qt] = STATE(345),
    [sym_sig] = STATE(345),
    [sym_sls] = STATE(345),
    [sym_tl] = STATE(345),
    [sym_wj] = STATE(345),
    [sym_em] = STATE(345),
    [sym_bd] = STATE(345),
    [sym_it] = STATE(345),
    [sym_bdit] = STATE(345),
    [sym_no] = STATE(345),
    [sym_sc] = STATE(345),
    [sym_sup] = STATE(345),
    [sym_ndx] = STATE(345),
    [sym_pro] = STATE(345),
    [sym_rb] = STATE(345),
    [sym_w] = STATE(345),
    [sym_wg] = STATE(345),
    [sym_wh] = STATE(345),
    [sym_wa] = STATE(345),
    [sym__characterMarker] = STATE(345),
    [sym_fig] = STATE(345),
    [sym_jmp] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(5290),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHsts] = ACTIONS(5292),
    [anon_sym_BSLASHrem] = ACTIONS(5292),
    [anon_sym_BSLASHrestore] = ACTIONS(5292),
    [anon_sym_BSLASHlit] = ACTIONS(5292),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHimt] = ACTIONS(5292),
    [anon_sym_BSLASHimte] = ACTIONS(5292),
    [anon_sym_BSLASHis] = ACTIONS(5292),
    [anon_sym_BSLASHio] = ACTIONS(5292),
    [anon_sym_BSLASHiot] = ACTIONS(5292),
    [anon_sym_BSLASHip] = ACTIONS(5292),
    [anon_sym_BSLASHim] = ACTIONS(5292),
    [anon_sym_BSLASHipi] = ACTIONS(5292),
    [anon_sym_BSLASHimi] = ACTIONS(5292),
    [anon_sym_BSLASHili] = ACTIONS(5292),
    [anon_sym_BSLASHipq] = ACTIONS(5292),
    [anon_sym_BSLASHimq] = ACTIONS(5292),
    [anon_sym_BSLASHipr] = ACTIONS(5292),
    [anon_sym_BSLASHib] = ACTIONS(5292),
    [anon_sym_BSLASHiq] = ACTIONS(5292),
    [anon_sym_BSLASHie] = ACTIONS(5292),
    [anon_sym_BSLASHiex] = ACTIONS(5292),
    [anon_sym_BSLASHc] = ACTIONS(5292),
    [anon_sym_BSLASHcl] = ACTIONS(5292),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
    [anon_sym_BSLASH] = ACTIONS(5292),
    [sym_milestoneStartTag] = ACTIONS(5292),
    [sym_milestoneEndTag] = ACTIONS(5292),
    [sym_zSpaceTag] = ACTIONS(5292),
    [anon_sym_BSLASHesb] = ACTIONS(5292),
  },
  [381] = {
    [sym_text] = STATE(345),
    [sym_ref] = STATE(345),
    [aux_sym__introText] = STATE(345),
    [sym_iqt] = STATE(345),
    [sym_xt_standalone] = STATE(345),
    [sym_add] = STATE(345),
    [sym_bk] = STATE(345),
    [sym_dc] = STATE(345),
    [sym_k] = STATE(345),
    [sym_nd] = STATE(345),
    [sym_ord] = STATE(345),
    [sym_pn] = STATE(345),
    [sym_png] = STATE(345),
    [sym_addpn] = STATE(345),
    [sym_qt] = STATE(345),
    [sym_sig] = STATE(345),
    [sym_sls] = STATE(345),
    [sym_tl] = STATE(345),
    [sym_wj] = STATE(345),
    [sym_em] = STATE(345),
    [sym_bd] = STATE(345),
    [sym_it] = STATE(345),
    [sym_bdit] = STATE(345),
    [sym_no] = STATE(345),
    [sym_sc] = STATE(345),
    [sym_sup] = STATE(345),
    [sym_ndx] = STATE(345),
    [sym_pro] = STATE(345),
    [sym_rb] = STATE(345),
    [sym_w] = STATE(345),
    [sym_wg] = STATE(345),
    [sym_wh] = STATE(345),
    [sym_wa] = STATE(345),
    [sym__characterMarker] = STATE(345),
    [sym_fig] = STATE(345),
    [sym_jmp] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(5294),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHsts] = ACTIONS(5296),
    [anon_sym_BSLASHrem] = ACTIONS(5296),
    [anon_sym_BSLASHrestore] = ACTIONS(5296),
    [anon_sym_BSLASHlit] = ACTIONS(5296),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHimt] = ACTIONS(5296),
    [anon_sym_BSLASHimte] = ACTIONS(5296),
    [anon_sym_BSLASHis] = ACTIONS(5296),
    [anon_sym_BSLASHio] = ACTIONS(5296),
    [anon_sym_BSLASHiot] = ACTIONS(5296),
    [anon_sym_BSLASHip] = ACTIONS(5296),
    [anon_sym_BSLASHim] = ACTIONS(5296),
    [anon_sym_BSLASHipi] = ACTIONS(5296),
    [anon_sym_BSLASHimi] = ACTIONS(5296),
    [anon_sym_BSLASHili] = ACTIONS(5296),
    [anon_sym_BSLASHipq] = ACTIONS(5296),
    [anon_sym_BSLASHimq] = ACTIONS(5296),
    [anon_sym_BSLASHipr] = ACTIONS(5296),
    [anon_sym_BSLASHib] = ACTIONS(5296),
    [anon_sym_BSLASHiq] = ACTIONS(5296),
    [anon_sym_BSLASHie] = ACTIONS(5296),
    [anon_sym_BSLASHiex] = ACTIONS(5296),
    [anon_sym_BSLASHc] = ACTIONS(5296),
    [anon_sym_BSLASHcl] = ACTIONS(5296),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
    [anon_sym_BSLASH] = ACTIONS(5296),
    [sym_milestoneStartTag] = ACTIONS(5296),
    [sym_milestoneEndTag] = ACTIONS(5296),
    [sym_zSpaceTag] = ACTIONS(5296),
    [anon_sym_BSLASHesb] = ACTIONS(5296),
  },
  [382] = {
    [ts_builtin_sym_end] = ACTIONS(2667),
    [aux_sym_text_token1] = ACTIONS(2667),
    [anon_sym_BSLASHref] = ACTIONS(2669),
    [anon_sym_BSLASHsts] = ACTIONS(2669),
    [anon_sym_BSLASHrem] = ACTIONS(2669),
    [anon_sym_BSLASHrestore] = ACTIONS(2669),
    [anon_sym_BSLASHlit] = ACTIONS(2669),
    [anon_sym_BSLASHiqt] = ACTIONS(2669),
    [anon_sym_BSLASHip] = ACTIONS(2669),
    [anon_sym_BSLASHiex] = ACTIONS(2669),
    [anon_sym_BSLASHv] = ACTIONS(2669),
    [anon_sym_BSLASHva] = ACTIONS(2669),
    [anon_sym_BSLASHvp] = ACTIONS(2669),
    [anon_sym_BSLASHc] = ACTIONS(2669),
    [anon_sym_BSLASHcl] = ACTIONS(2669),
    [anon_sym_BSLASHca] = ACTIONS(2669),
    [anon_sym_BSLASHcp] = ACTIONS(2669),
    [anon_sym_BSLASHcd] = ACTIONS(2669),
    [anon_sym_BSLASHmte] = ACTIONS(2669),
    [anon_sym_BSLASHms] = ACTIONS(2669),
    [anon_sym_BSLASHmr] = ACTIONS(2669),
    [anon_sym_BSLASHs] = ACTIONS(2669),
    [anon_sym_BSLASHsr] = ACTIONS(2669),
    [anon_sym_BSLASHr] = ACTIONS(2669),
    [anon_sym_BSLASHsp] = ACTIONS(2669),
    [anon_sym_BSLASHd] = ACTIONS(2669),
    [anon_sym_BSLASHsd] = ACTIONS(2669),
    [anon_sym_BSLASHp] = ACTIONS(2669),
    [anon_sym_BSLASHm] = ACTIONS(2669),
    [anon_sym_BSLASHpo] = ACTIONS(2669),
    [anon_sym_BSLASHpr] = ACTIONS(2669),
    [anon_sym_BSLASHcls] = ACTIONS(2669),
    [anon_sym_BSLASHpmo] = ACTIONS(2669),
    [anon_sym_BSLASHpm] = ACTIONS(2669),
    [anon_sym_BSLASHpmc] = ACTIONS(2669),
    [anon_sym_BSLASHpmr] = ACTIONS(2669),
    [anon_sym_BSLASHpi] = ACTIONS(2669),
    [anon_sym_BSLASHmi] = ACTIONS(2669),
    [anon_sym_BSLASHnb] = ACTIONS(2669),
    [anon_sym_BSLASHpc] = ACTIONS(2669),
    [anon_sym_BSLASHph] = ACTIONS(2669),
    [anon_sym_BSLASHb] = ACTIONS(2669),
    [anon_sym_BSLASHq] = ACTIONS(2669),
    [anon_sym_BSLASHqr] = ACTIONS(2669),
    [anon_sym_BSLASHqc] = ACTIONS(2669),
    [anon_sym_BSLASHqa] = ACTIONS(2669),
    [anon_sym_BSLASHqm] = ACTIONS(2669),
    [anon_sym_BSLASHqd] = ACTIONS(2669),
    [anon_sym_BSLASHlh] = ACTIONS(2669),
    [anon_sym_BSLASHlf] = ACTIONS(2669),
    [anon_sym_BSLASHli] = ACTIONS(2669),
    [anon_sym_BSLASHlim] = ACTIONS(2669),
    [anon_sym_BSLASHliv] = ACTIONS(2669),
    [anon_sym_BSLASHlik] = ACTIONS(2669),
    [anon_sym_BSLASHlitl] = ACTIONS(2669),
    [anon_sym_BSLASHtr] = ACTIONS(2669),
    [anon_sym_BSLASHf] = ACTIONS(2669),
    [anon_sym_BSLASHfe] = ACTIONS(2669),
    [anon_sym_BSLASHef] = ACTIONS(2669),
    [anon_sym_BSLASHfm] = ACTIONS(2669),
    [anon_sym_BSLASHx] = ACTIONS(2669),
    [anon_sym_BSLASHxt] = ACTIONS(2669),
    [anon_sym_BSLASHrq] = ACTIONS(2669),
    [anon_sym_BSLASHadd] = ACTIONS(2669),
    [anon_sym_BSLASHbk] = ACTIONS(2669),
    [anon_sym_BSLASHdc] = ACTIONS(2669),
    [anon_sym_BSLASHk] = ACTIONS(2669),
    [anon_sym_BSLASHnd] = ACTIONS(2669),
    [anon_sym_BSLASHord] = ACTIONS(2669),
    [anon_sym_BSLASHpn] = ACTIONS(2669),
    [anon_sym_BSLASHpng] = ACTIONS(2669),
    [anon_sym_BSLASHaddpn] = ACTIONS(2669),
    [anon_sym_BSLASHqt] = ACTIONS(2669),
    [anon_sym_BSLASHsig] = ACTIONS(2669),
    [anon_sym_BSLASHsls] = ACTIONS(2669),
    [anon_sym_BSLASHtl] = ACTIONS(2669),
    [anon_sym_BSLASHwj] = ACTIONS(2669),
    [anon_sym_BSLASHem] = ACTIONS(2669),
    [anon_sym_BSLASHbd] = ACTIONS(2669),
    [anon_sym_BSLASHit] = ACTIONS(2669),
    [anon_sym_BSLASHbdit] = ACTIONS(2669),
    [anon_sym_BSLASHno] = ACTIONS(2669),
    [anon_sym_BSLASHsc] = ACTIONS(2669),
    [anon_sym_BSLASHsup] = ACTIONS(2669),
    [anon_sym_BSLASHndx] = ACTIONS(2669),
    [anon_sym_BSLASHpro] = ACTIONS(2669),
    [anon_sym_BSLASHrb] = ACTIONS(2669),
    [anon_sym_BSLASHw] = ACTIONS(2669),
    [anon_sym_BSLASHwg] = ACTIONS(2669),
    [anon_sym_BSLASHwh] = ACTIONS(2669),
    [anon_sym_BSLASHwa] = ACTIONS(2669),
    [anon_sym_BSLASHfig] = ACTIONS(2669),
    [anon_sym_BSLASHjmp] = ACTIONS(2669),
    [anon_sym_BSLASHpb] = ACTIONS(2669),
    [anon_sym_BSLASH] = ACTIONS(2669),
    [sym_milestoneStartTag] = ACTIONS(2669),
    [sym_milestoneEndTag] = ACTIONS(2669),
    [sym_zSpaceTag] = ACTIONS(2669),
    [anon_sym_BSLASHesb] = ACTIONS(2669),
  },
  [383] = {
    [ts_builtin_sym_end] = ACTIONS(9),
    [aux_sym_text_token1] = ACTIONS(9),
    [anon_sym_BSLASHref] = ACTIONS(11),
    [anon_sym_BSLASHsts] = ACTIONS(11),
    [anon_sym_BSLASHrem] = ACTIONS(11),
    [anon_sym_BSLASHrestore] = ACTIONS(11),
    [anon_sym_BSLASHlit] = ACTIONS(11),
    [anon_sym_BSLASHiqt] = ACTIONS(11),
    [anon_sym_BSLASHip] = ACTIONS(11),
    [anon_sym_BSLASHiex] = ACTIONS(11),
    [anon_sym_BSLASHv] = ACTIONS(11),
    [anon_sym_BSLASHva] = ACTIONS(11),
    [anon_sym_BSLASHvp] = ACTIONS(11),
    [anon_sym_BSLASHc] = ACTIONS(11),
    [anon_sym_BSLASHcl] = ACTIONS(11),
    [anon_sym_BSLASHca] = ACTIONS(11),
    [anon_sym_BSLASHcp] = ACTIONS(11),
    [anon_sym_BSLASHcd] = ACTIONS(11),
    [anon_sym_BSLASHmte] = ACTIONS(11),
    [anon_sym_BSLASHms] = ACTIONS(11),
    [anon_sym_BSLASHmr] = ACTIONS(11),
    [anon_sym_BSLASHs] = ACTIONS(11),
    [anon_sym_BSLASHsr] = ACTIONS(11),
    [anon_sym_BSLASHr] = ACTIONS(11),
    [anon_sym_BSLASHsp] = ACTIONS(11),
    [anon_sym_BSLASHd] = ACTIONS(11),
    [anon_sym_BSLASHsd] = ACTIONS(11),
    [anon_sym_BSLASHp] = ACTIONS(11),
    [anon_sym_BSLASHm] = ACTIONS(11),
    [anon_sym_BSLASHpo] = ACTIONS(11),
    [anon_sym_BSLASHpr] = ACTIONS(11),
    [anon_sym_BSLASHcls] = ACTIONS(11),
    [anon_sym_BSLASHpmo] = ACTIONS(11),
    [anon_sym_BSLASHpm] = ACTIONS(11),
    [anon_sym_BSLASHpmc] = ACTIONS(11),
    [anon_sym_BSLASHpmr] = ACTIONS(11),
    [anon_sym_BSLASHpi] = ACTIONS(11),
    [anon_sym_BSLASHmi] = ACTIONS(11),
    [anon_sym_BSLASHnb] = ACTIONS(11),
    [anon_sym_BSLASHpc] = ACTIONS(11),
    [anon_sym_BSLASHph] = ACTIONS(11),
    [anon_sym_BSLASHb] = ACTIONS(11),
    [anon_sym_BSLASHq] = ACTIONS(11),
    [anon_sym_BSLASHqr] = ACTIONS(11),
    [anon_sym_BSLASHqc] = ACTIONS(11),
    [anon_sym_BSLASHqa] = ACTIONS(11),
    [anon_sym_BSLASHqm] = ACTIONS(11),
    [anon_sym_BSLASHqd] = ACTIONS(11),
    [anon_sym_BSLASHlh] = ACTIONS(11),
    [anon_sym_BSLASHlf] = ACTIONS(11),
    [anon_sym_BSLASHli] = ACTIONS(11),
    [anon_sym_BSLASHlim] = ACTIONS(11),
    [anon_sym_BSLASHliv] = ACTIONS(11),
    [anon_sym_BSLASHlik] = ACTIONS(11),
    [anon_sym_BSLASHlitl] = ACTIONS(11),
    [anon_sym_BSLASHtr] = ACTIONS(11),
    [anon_sym_BSLASHf] = ACTIONS(11),
    [anon_sym_BSLASHfe] = ACTIONS(11),
    [anon_sym_BSLASHef] = ACTIONS(11),
    [anon_sym_BSLASHfm] = ACTIONS(11),
    [anon_sym_BSLASHx] = ACTIONS(11),
    [anon_sym_BSLASHxt] = ACTIONS(11),
    [anon_sym_BSLASHrq] = ACTIONS(11),
    [anon_sym_BSLASHadd] = ACTIONS(11),
    [anon_sym_BSLASHbk] = ACTIONS(11),
    [anon_sym_BSLASHdc] = ACTIONS(11),
    [anon_sym_BSLASHk] = ACTIONS(11),
    [anon_sym_BSLASHnd] = ACTIONS(11),
    [anon_sym_BSLASHord] = ACTIONS(11),
    [anon_sym_BSLASHpn] = ACTIONS(11),
    [anon_sym_BSLASHpng] = ACTIONS(11),
    [anon_sym_BSLASHaddpn] = ACTIONS(11),
    [anon_sym_BSLASHqt] = ACTIONS(11),
    [anon_sym_BSLASHsig] = ACTIONS(11),
    [anon_sym_BSLASHsls] = ACTIONS(11),
    [anon_sym_BSLASHtl] = ACTIONS(11),
    [anon_sym_BSLASHwj] = ACTIONS(11),
    [anon_sym_BSLASHem] = ACTIONS(11),
    [anon_sym_BSLASHbd] = ACTIONS(11),
    [anon_sym_BSLASHit] = ACTIONS(11),
    [anon_sym_BSLASHbdit] = ACTIONS(11),
    [anon_sym_BSLASHno] = ACTIONS(11),
    [anon_sym_BSLASHsc] = ACTIONS(11),
    [anon_sym_BSLASHsup] = ACTIONS(11),
    [anon_sym_BSLASHndx] = ACTIONS(11),
    [anon_sym_BSLASHpro] = ACTIONS(11),
    [anon_sym_BSLASHrb] = ACTIONS(11),
    [anon_sym_BSLASHw] = ACTIONS(11),
    [anon_sym_BSLASHwg] = ACTIONS(11),
    [anon_sym_BSLASHwh] = ACTIONS(11),
    [anon_sym_BSLASHwa] = ACTIONS(11),
    [anon_sym_BSLASHfig] = ACTIONS(11),
    [anon_sym_BSLASHjmp] = ACTIONS(11),
    [anon_sym_BSLASHpb] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(11),
    [sym_milestoneStartTag] = ACTIONS(11),
    [sym_milestoneEndTag] = ACTIONS(11),
    [sym_zSpaceTag] = ACTIONS(11),
    [anon_sym_BSLASHesb] = ACTIONS(11),
  },
  [384] = {
    [sym_text] = STATE(345),
    [sym_ref] = STATE(345),
    [aux_sym__introText] = STATE(345),
    [sym_iqt] = STATE(345),
    [sym_xt_standalone] = STATE(345),
    [sym_add] = STATE(345),
    [sym_bk] = STATE(345),
    [sym_dc] = STATE(345),
    [sym_k] = STATE(345),
    [sym_nd] = STATE(345),
    [sym_ord] = STATE(345),
    [sym_pn] = STATE(345),
    [sym_png] = STATE(345),
    [sym_addpn] = STATE(345),
    [sym_qt] = STATE(345),
    [sym_sig] = STATE(345),
    [sym_sls] = STATE(345),
    [sym_tl] = STATE(345),
    [sym_wj] = STATE(345),
    [sym_em] = STATE(345),
    [sym_bd] = STATE(345),
    [sym_it] = STATE(345),
    [sym_bdit] = STATE(345),
    [sym_no] = STATE(345),
    [sym_sc] = STATE(345),
    [sym_sup] = STATE(345),
    [sym_ndx] = STATE(345),
    [sym_pro] = STATE(345),
    [sym_rb] = STATE(345),
    [sym_w] = STATE(345),
    [sym_wg] = STATE(345),
    [sym_wh] = STATE(345),
    [sym_wa] = STATE(345),
    [sym__characterMarker] = STATE(345),
    [sym_fig] = STATE(345),
    [sym_jmp] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(5298),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHsts] = ACTIONS(5300),
    [anon_sym_BSLASHrem] = ACTIONS(5300),
    [anon_sym_BSLASHrestore] = ACTIONS(5300),
    [anon_sym_BSLASHlit] = ACTIONS(5300),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHimt] = ACTIONS(5300),
    [anon_sym_BSLASHimte] = ACTIONS(5300),
    [anon_sym_BSLASHis] = ACTIONS(5300),
    [anon_sym_BSLASHio] = ACTIONS(5300),
    [anon_sym_BSLASHiot] = ACTIONS(5300),
    [anon_sym_BSLASHip] = ACTIONS(5300),
    [anon_sym_BSLASHim] = ACTIONS(5300),
    [anon_sym_BSLASHipi] = ACTIONS(5300),
    [anon_sym_BSLASHimi] = ACTIONS(5300),
    [anon_sym_BSLASHili] = ACTIONS(5300),
    [anon_sym_BSLASHipq] = ACTIONS(5300),
    [anon_sym_BSLASHimq] = ACTIONS(5300),
    [anon_sym_BSLASHipr] = ACTIONS(5300),
    [anon_sym_BSLASHib] = ACTIONS(5300),
    [anon_sym_BSLASHiq] = ACTIONS(5300),
    [anon_sym_BSLASHie] = ACTIONS(5300),
    [anon_sym_BSLASHiex] = ACTIONS(5300),
    [anon_sym_BSLASHc] = ACTIONS(5300),
    [anon_sym_BSLASHcl] = ACTIONS(5300),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
    [anon_sym_BSLASH] = ACTIONS(5300),
    [sym_milestoneStartTag] = ACTIONS(5300),
    [sym_milestoneEndTag] = ACTIONS(5300),
    [sym_zSpaceTag] = ACTIONS(5300),
    [anon_sym_BSLASHesb] = ACTIONS(5300),
  },
  [385] = {
    [ts_builtin_sym_end] = ACTIONS(2663),
    [aux_sym_text_token1] = ACTIONS(2663),
    [anon_sym_BSLASHref] = ACTIONS(2665),
    [anon_sym_BSLASHsts] = ACTIONS(2665),
    [anon_sym_BSLASHrem] = ACTIONS(2665),
    [anon_sym_BSLASHrestore] = ACTIONS(2665),
    [anon_sym_BSLASHlit] = ACTIONS(2665),
    [anon_sym_BSLASHiqt] = ACTIONS(2665),
    [anon_sym_BSLASHip] = ACTIONS(2665),
    [anon_sym_BSLASHiex] = ACTIONS(2665),
    [anon_sym_BSLASHv] = ACTIONS(2665),
    [anon_sym_BSLASHva] = ACTIONS(2665),
    [anon_sym_BSLASHvp] = ACTIONS(2665),
    [anon_sym_BSLASHc] = ACTIONS(2665),
    [anon_sym_BSLASHcl] = ACTIONS(2665),
    [anon_sym_BSLASHca] = ACTIONS(2665),
    [anon_sym_BSLASHcp] = ACTIONS(2665),
    [anon_sym_BSLASHcd] = ACTIONS(2665),
    [anon_sym_BSLASHmte] = ACTIONS(2665),
    [anon_sym_BSLASHms] = ACTIONS(2665),
    [anon_sym_BSLASHmr] = ACTIONS(2665),
    [anon_sym_BSLASHs] = ACTIONS(2665),
    [anon_sym_BSLASHsr] = ACTIONS(2665),
    [anon_sym_BSLASHr] = ACTIONS(2665),
    [anon_sym_BSLASHsp] = ACTIONS(2665),
    [anon_sym_BSLASHd] = ACTIONS(2665),
    [anon_sym_BSLASHsd] = ACTIONS(2665),
    [anon_sym_BSLASHp] = ACTIONS(2665),
    [anon_sym_BSLASHm] = ACTIONS(2665),
    [anon_sym_BSLASHpo] = ACTIONS(2665),
    [anon_sym_BSLASHpr] = ACTIONS(2665),
    [anon_sym_BSLASHcls] = ACTIONS(2665),
    [anon_sym_BSLASHpmo] = ACTIONS(2665),
    [anon_sym_BSLASHpm] = ACTIONS(2665),
    [anon_sym_BSLASHpmc] = ACTIONS(2665),
    [anon_sym_BSLASHpmr] = ACTIONS(2665),
    [anon_sym_BSLASHpi] = ACTIONS(2665),
    [anon_sym_BSLASHmi] = ACTIONS(2665),
    [anon_sym_BSLASHnb] = ACTIONS(2665),
    [anon_sym_BSLASHpc] = ACTIONS(2665),
    [anon_sym_BSLASHph] = ACTIONS(2665),
    [anon_sym_BSLASHb] = ACTIONS(2665),
    [anon_sym_BSLASHq] = ACTIONS(2665),
    [anon_sym_BSLASHqr] = ACTIONS(2665),
    [anon_sym_BSLASHqc] = ACTIONS(2665),
    [anon_sym_BSLASHqa] = ACTIONS(2665),
    [anon_sym_BSLASHqm] = ACTIONS(2665),
    [anon_sym_BSLASHqd] = ACTIONS(2665),
    [anon_sym_BSLASHlh] = ACTIONS(2665),
    [anon_sym_BSLASHlf] = ACTIONS(2665),
    [anon_sym_BSLASHli] = ACTIONS(2665),
    [anon_sym_BSLASHlim] = ACTIONS(2665),
    [anon_sym_BSLASHliv] = ACTIONS(2665),
    [anon_sym_BSLASHlik] = ACTIONS(2665),
    [anon_sym_BSLASHlitl] = ACTIONS(2665),
    [anon_sym_BSLASHtr] = ACTIONS(2665),
    [anon_sym_BSLASHf] = ACTIONS(2665),
    [anon_sym_BSLASHfe] = ACTIONS(2665),
    [anon_sym_BSLASHef] = ACTIONS(2665),
    [anon_sym_BSLASHfm] = ACTIONS(2665),
    [anon_sym_BSLASHx] = ACTIONS(2665),
    [anon_sym_BSLASHxt] = ACTIONS(2665),
    [anon_sym_BSLASHrq] = ACTIONS(2665),
    [anon_sym_BSLASHadd] = ACTIONS(2665),
    [anon_sym_BSLASHbk] = ACTIONS(2665),
    [anon_sym_BSLASHdc] = ACTIONS(2665),
    [anon_sym_BSLASHk] = ACTIONS(2665),
    [anon_sym_BSLASHnd] = ACTIONS(2665),
    [anon_sym_BSLASHord] = ACTIONS(2665),
    [anon_sym_BSLASHpn] = ACTIONS(2665),
    [anon_sym_BSLASHpng] = ACTIONS(2665),
    [anon_sym_BSLASHaddpn] = ACTIONS(2665),
    [anon_sym_BSLASHqt] = ACTIONS(2665),
    [anon_sym_BSLASHsig] = ACTIONS(2665),
    [anon_sym_BSLASHsls] = ACTIONS(2665),
    [anon_sym_BSLASHtl] = ACTIONS(2665),
    [anon_sym_BSLASHwj] = ACTIONS(2665),
    [anon_sym_BSLASHem] = ACTIONS(2665),
    [anon_sym_BSLASHbd] = ACTIONS(2665),
    [anon_sym_BSLASHit] = ACTIONS(2665),
    [anon_sym_BSLASHbdit] = ACTIONS(2665),
    [anon_sym_BSLASHno] = ACTIONS(2665),
    [anon_sym_BSLASHsc] = ACTIONS(2665),
    [anon_sym_BSLASHsup] = ACTIONS(2665),
    [anon_sym_BSLASHndx] = ACTIONS(2665),
    [anon_sym_BSLASHpro] = ACTIONS(2665),
    [anon_sym_BSLASHrb] = ACTIONS(2665),
    [anon_sym_BSLASHw] = ACTIONS(2665),
    [anon_sym_BSLASHwg] = ACTIONS(2665),
    [anon_sym_BSLASHwh] = ACTIONS(2665),
    [anon_sym_BSLASHwa] = ACTIONS(2665),
    [anon_sym_BSLASHfig] = ACTIONS(2665),
    [anon_sym_BSLASHjmp] = ACTIONS(2665),
    [anon_sym_BSLASHpb] = ACTIONS(2665),
    [anon_sym_BSLASH] = ACTIONS(2665),
    [sym_milestoneStartTag] = ACTIONS(2665),
    [sym_milestoneEndTag] = ACTIONS(2665),
    [sym_zSpaceTag] = ACTIONS(2665),
    [anon_sym_BSLASHesb] = ACTIONS(2665),
  },
  [386] = {
    [ts_builtin_sym_end] = ACTIONS(2731),
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHref] = ACTIONS(2733),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHiqt] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHiex] = ACTIONS(2733),
    [anon_sym_BSLASHv] = ACTIONS(2733),
    [anon_sym_BSLASHva] = ACTIONS(2733),
    [anon_sym_BSLASHvp] = ACTIONS(2733),
    [anon_sym_BSLASHc] = ACTIONS(2733),
    [anon_sym_BSLASHcl] = ACTIONS(2733),
    [anon_sym_BSLASHca] = ACTIONS(2733),
    [anon_sym_BSLASHcp] = ACTIONS(2733),
    [anon_sym_BSLASHcd] = ACTIONS(2733),
    [anon_sym_BSLASHmte] = ACTIONS(2733),
    [anon_sym_BSLASHms] = ACTIONS(2733),
    [anon_sym_BSLASHmr] = ACTIONS(2733),
    [anon_sym_BSLASHs] = ACTIONS(2733),
    [anon_sym_BSLASHsr] = ACTIONS(2733),
    [anon_sym_BSLASHr] = ACTIONS(2733),
    [anon_sym_BSLASHsp] = ACTIONS(2733),
    [anon_sym_BSLASHd] = ACTIONS(2733),
    [anon_sym_BSLASHsd] = ACTIONS(2733),
    [anon_sym_BSLASHp] = ACTIONS(2733),
    [anon_sym_BSLASHm] = ACTIONS(2733),
    [anon_sym_BSLASHpo] = ACTIONS(2733),
    [anon_sym_BSLASHpr] = ACTIONS(2733),
    [anon_sym_BSLASHcls] = ACTIONS(2733),
    [anon_sym_BSLASHpmo] = ACTIONS(2733),
    [anon_sym_BSLASHpm] = ACTIONS(2733),
    [anon_sym_BSLASHpmc] = ACTIONS(2733),
    [anon_sym_BSLASHpmr] = ACTIONS(2733),
    [anon_sym_BSLASHpi] = ACTIONS(2733),
    [anon_sym_BSLASHmi] = ACTIONS(2733),
    [anon_sym_BSLASHnb] = ACTIONS(2733),
    [anon_sym_BSLASHpc] = ACTIONS(2733),
    [anon_sym_BSLASHph] = ACTIONS(2733),
    [anon_sym_BSLASHb] = ACTIONS(2733),
    [anon_sym_BSLASHq] = ACTIONS(2733),
    [anon_sym_BSLASHqr] = ACTIONS(2733),
    [anon_sym_BSLASHqc] = ACTIONS(2733),
    [anon_sym_BSLASHqa] = ACTIONS(2733),
    [anon_sym_BSLASHqm] = ACTIONS(2733),
    [anon_sym_BSLASHqd] = ACTIONS(2733),
    [anon_sym_BSLASHlh] = ACTIONS(2733),
    [anon_sym_BSLASHlf] = ACTIONS(2733),
    [anon_sym_BSLASHli] = ACTIONS(2733),
    [anon_sym_BSLASHlim] = ACTIONS(2733),
    [anon_sym_BSLASHliv] = ACTIONS(2733),
    [anon_sym_BSLASHlik] = ACTIONS(2733),
    [anon_sym_BSLASHlitl] = ACTIONS(2733),
    [anon_sym_BSLASHtr] = ACTIONS(2733),
    [anon_sym_BSLASHf] = ACTIONS(2733),
    [anon_sym_BSLASHfe] = ACTIONS(2733),
    [anon_sym_BSLASHef] = ACTIONS(2733),
    [anon_sym_BSLASHfm] = ACTIONS(2733),
    [anon_sym_BSLASHx] = ACTIONS(2733),
    [anon_sym_BSLASHxt] = ACTIONS(2733),
    [anon_sym_BSLASHrq] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASHfig] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASHpb] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesb] = ACTIONS(2733),
  },
  [387] = {
    [sym_text] = STATE(345),
    [sym_ref] = STATE(345),
    [aux_sym__introText] = STATE(345),
    [sym_iqt] = STATE(345),
    [sym_xt_standalone] = STATE(345),
    [sym_add] = STATE(345),
    [sym_bk] = STATE(345),
    [sym_dc] = STATE(345),
    [sym_k] = STATE(345),
    [sym_nd] = STATE(345),
    [sym_ord] = STATE(345),
    [sym_pn] = STATE(345),
    [sym_png] = STATE(345),
    [sym_addpn] = STATE(345),
    [sym_qt] = STATE(345),
    [sym_sig] = STATE(345),
    [sym_sls] = STATE(345),
    [sym_tl] = STATE(345),
    [sym_wj] = STATE(345),
    [sym_em] = STATE(345),
    [sym_bd] = STATE(345),
    [sym_it] = STATE(345),
    [sym_bdit] = STATE(345),
    [sym_no] = STATE(345),
    [sym_sc] = STATE(345),
    [sym_sup] = STATE(345),
    [sym_ndx] = STATE(345),
    [sym_pro] = STATE(345),
    [sym_rb] = STATE(345),
    [sym_w] = STATE(345),
    [sym_wg] = STATE(345),
    [sym_wh] = STATE(345),
    [sym_wa] = STATE(345),
    [sym__characterMarker] = STATE(345),
    [sym_fig] = STATE(345),
    [sym_jmp] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(5302),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHsts] = ACTIONS(5304),
    [anon_sym_BSLASHrem] = ACTIONS(5304),
    [anon_sym_BSLASHrestore] = ACTIONS(5304),
    [anon_sym_BSLASHlit] = ACTIONS(5304),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHimt] = ACTIONS(5304),
    [anon_sym_BSLASHimte] = ACTIONS(5304),
    [anon_sym_BSLASHis] = ACTIONS(5304),
    [anon_sym_BSLASHio] = ACTIONS(5304),
    [anon_sym_BSLASHiot] = ACTIONS(5304),
    [anon_sym_BSLASHip] = ACTIONS(5304),
    [anon_sym_BSLASHim] = ACTIONS(5304),
    [anon_sym_BSLASHipi] = ACTIONS(5304),
    [anon_sym_BSLASHimi] = ACTIONS(5304),
    [anon_sym_BSLASHili] = ACTIONS(5304),
    [anon_sym_BSLASHipq] = ACTIONS(5304),
    [anon_sym_BSLASHimq] = ACTIONS(5304),
    [anon_sym_BSLASHipr] = ACTIONS(5304),
    [anon_sym_BSLASHib] = ACTIONS(5304),
    [anon_sym_BSLASHiq] = ACTIONS(5304),
    [anon_sym_BSLASHie] = ACTIONS(5304),
    [anon_sym_BSLASHiex] = ACTIONS(5304),
    [anon_sym_BSLASHc] = ACTIONS(5304),
    [anon_sym_BSLASHcl] = ACTIONS(5304),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
    [anon_sym_BSLASH] = ACTIONS(5304),
    [sym_milestoneStartTag] = ACTIONS(5304),
    [sym_milestoneEndTag] = ACTIONS(5304),
    [sym_zSpaceTag] = ACTIONS(5304),
    [anon_sym_BSLASHesb] = ACTIONS(5304),
  },
  [388] = {
    [ts_builtin_sym_end] = ACTIONS(2715),
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHref] = ACTIONS(2717),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHiqt] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHiex] = ACTIONS(2717),
    [anon_sym_BSLASHv] = ACTIONS(2717),
    [anon_sym_BSLASHva] = ACTIONS(2717),
    [anon_sym_BSLASHvp] = ACTIONS(2717),
    [anon_sym_BSLASHc] = ACTIONS(2717),
    [anon_sym_BSLASHcl] = ACTIONS(2717),
    [anon_sym_BSLASHca] = ACTIONS(2717),
    [anon_sym_BSLASHcp] = ACTIONS(2717),
    [anon_sym_BSLASHcd] = ACTIONS(2717),
    [anon_sym_BSLASHmte] = ACTIONS(2717),
    [anon_sym_BSLASHms] = ACTIONS(2717),
    [anon_sym_BSLASHmr] = ACTIONS(2717),
    [anon_sym_BSLASHs] = ACTIONS(2717),
    [anon_sym_BSLASHsr] = ACTIONS(2717),
    [anon_sym_BSLASHr] = ACTIONS(2717),
    [anon_sym_BSLASHsp] = ACTIONS(2717),
    [anon_sym_BSLASHd] = ACTIONS(2717),
    [anon_sym_BSLASHsd] = ACTIONS(2717),
    [anon_sym_BSLASHp] = ACTIONS(2717),
    [anon_sym_BSLASHm] = ACTIONS(2717),
    [anon_sym_BSLASHpo] = ACTIONS(2717),
    [anon_sym_BSLASHpr] = ACTIONS(2717),
    [anon_sym_BSLASHcls] = ACTIONS(2717),
    [anon_sym_BSLASHpmo] = ACTIONS(2717),
    [anon_sym_BSLASHpm] = ACTIONS(2717),
    [anon_sym_BSLASHpmc] = ACTIONS(2717),
    [anon_sym_BSLASHpmr] = ACTIONS(2717),
    [anon_sym_BSLASHpi] = ACTIONS(2717),
    [anon_sym_BSLASHmi] = ACTIONS(2717),
    [anon_sym_BSLASHnb] = ACTIONS(2717),
    [anon_sym_BSLASHpc] = ACTIONS(2717),
    [anon_sym_BSLASHph] = ACTIONS(2717),
    [anon_sym_BSLASHb] = ACTIONS(2717),
    [anon_sym_BSLASHq] = ACTIONS(2717),
    [anon_sym_BSLASHqr] = ACTIONS(2717),
    [anon_sym_BSLASHqc] = ACTIONS(2717),
    [anon_sym_BSLASHqa] = ACTIONS(2717),
    [anon_sym_BSLASHqm] = ACTIONS(2717),
    [anon_sym_BSLASHqd] = ACTIONS(2717),
    [anon_sym_BSLASHlh] = ACTIONS(2717),
    [anon_sym_BSLASHlf] = ACTIONS(2717),
    [anon_sym_BSLASHli] = ACTIONS(2717),
    [anon_sym_BSLASHlim] = ACTIONS(2717),
    [anon_sym_BSLASHliv] = ACTIONS(2717),
    [anon_sym_BSLASHlik] = ACTIONS(2717),
    [anon_sym_BSLASHlitl] = ACTIONS(2717),
    [anon_sym_BSLASHtr] = ACTIONS(2717),
    [anon_sym_BSLASHf] = ACTIONS(2717),
    [anon_sym_BSLASHfe] = ACTIONS(2717),
    [anon_sym_BSLASHef] = ACTIONS(2717),
    [anon_sym_BSLASHfm] = ACTIONS(2717),
    [anon_sym_BSLASHx] = ACTIONS(2717),
    [anon_sym_BSLASHxt] = ACTIONS(2717),
    [anon_sym_BSLASHrq] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASHfig] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASHpb] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesb] = ACTIONS(2717),
  },
  [389] = {
    [ts_builtin_sym_end] = ACTIONS(2655),
    [aux_sym_text_token1] = ACTIONS(2655),
    [anon_sym_BSLASHref] = ACTIONS(2657),
    [anon_sym_BSLASHsts] = ACTIONS(2657),
    [anon_sym_BSLASHrem] = ACTIONS(2657),
    [anon_sym_BSLASHrestore] = ACTIONS(2657),
    [anon_sym_BSLASHlit] = ACTIONS(2657),
    [anon_sym_BSLASHiqt] = ACTIONS(2657),
    [anon_sym_BSLASHip] = ACTIONS(2657),
    [anon_sym_BSLASHiex] = ACTIONS(2657),
    [anon_sym_BSLASHv] = ACTIONS(2657),
    [anon_sym_BSLASHva] = ACTIONS(2657),
    [anon_sym_BSLASHvp] = ACTIONS(2657),
    [anon_sym_BSLASHc] = ACTIONS(2657),
    [anon_sym_BSLASHcl] = ACTIONS(2657),
    [anon_sym_BSLASHca] = ACTIONS(2657),
    [anon_sym_BSLASHcp] = ACTIONS(2657),
    [anon_sym_BSLASHcd] = ACTIONS(2657),
    [anon_sym_BSLASHmte] = ACTIONS(2657),
    [anon_sym_BSLASHms] = ACTIONS(2657),
    [anon_sym_BSLASHmr] = ACTIONS(2657),
    [anon_sym_BSLASHs] = ACTIONS(2657),
    [anon_sym_BSLASHsr] = ACTIONS(2657),
    [anon_sym_BSLASHr] = ACTIONS(2657),
    [anon_sym_BSLASHsp] = ACTIONS(2657),
    [anon_sym_BSLASHd] = ACTIONS(2657),
    [anon_sym_BSLASHsd] = ACTIONS(2657),
    [anon_sym_BSLASHp] = ACTIONS(2657),
    [anon_sym_BSLASHm] = ACTIONS(2657),
    [anon_sym_BSLASHpo] = ACTIONS(2657),
    [anon_sym_BSLASHpr] = ACTIONS(2657),
    [anon_sym_BSLASHcls] = ACTIONS(2657),
    [anon_sym_BSLASHpmo] = ACTIONS(2657),
    [anon_sym_BSLASHpm] = ACTIONS(2657),
    [anon_sym_BSLASHpmc] = ACTIONS(2657),
    [anon_sym_BSLASHpmr] = ACTIONS(2657),
    [anon_sym_BSLASHpi] = ACTIONS(2657),
    [anon_sym_BSLASHmi] = ACTIONS(2657),
    [anon_sym_BSLASHnb] = ACTIONS(2657),
    [anon_sym_BSLASHpc] = ACTIONS(2657),
    [anon_sym_BSLASHph] = ACTIONS(2657),
    [anon_sym_BSLASHb] = ACTIONS(2657),
    [anon_sym_BSLASHq] = ACTIONS(2657),
    [anon_sym_BSLASHqr] = ACTIONS(2657),
    [anon_sym_BSLASHqc] = ACTIONS(2657),
    [anon_sym_BSLASHqa] = ACTIONS(2657),
    [anon_sym_BSLASHqm] = ACTIONS(2657),
    [anon_sym_BSLASHqd] = ACTIONS(2657),
    [anon_sym_BSLASHlh] = ACTIONS(2657),
    [anon_sym_BSLASHlf] = ACTIONS(2657),
    [anon_sym_BSLASHli] = ACTIONS(2657),
    [anon_sym_BSLASHlim] = ACTIONS(2657),
    [anon_sym_BSLASHliv] = ACTIONS(2657),
    [anon_sym_BSLASHlik] = ACTIONS(2657),
    [anon_sym_BSLASHlitl] = ACTIONS(2657),
    [anon_sym_BSLASHtr] = ACTIONS(2657),
    [anon_sym_BSLASHf] = ACTIONS(2657),
    [anon_sym_BSLASHfe] = ACTIONS(2657),
    [anon_sym_BSLASHef] = ACTIONS(2657),
    [anon_sym_BSLASHfm] = ACTIONS(2657),
    [anon_sym_BSLASHx] = ACTIONS(2657),
    [anon_sym_BSLASHxt] = ACTIONS(2657),
    [anon_sym_BSLASHrq] = ACTIONS(2657),
    [anon_sym_BSLASHadd] = ACTIONS(2657),
    [anon_sym_BSLASHbk] = ACTIONS(2657),
    [anon_sym_BSLASHdc] = ACTIONS(2657),
    [anon_sym_BSLASHk] = ACTIONS(2657),
    [anon_sym_BSLASHnd] = ACTIONS(2657),
    [anon_sym_BSLASHord] = ACTIONS(2657),
    [anon_sym_BSLASHpn] = ACTIONS(2657),
    [anon_sym_BSLASHpng] = ACTIONS(2657),
    [anon_sym_BSLASHaddpn] = ACTIONS(2657),
    [anon_sym_BSLASHqt] = ACTIONS(2657),
    [anon_sym_BSLASHsig] = ACTIONS(2657),
    [anon_sym_BSLASHsls] = ACTIONS(2657),
    [anon_sym_BSLASHtl] = ACTIONS(2657),
    [anon_sym_BSLASHwj] = ACTIONS(2657),
    [anon_sym_BSLASHem] = ACTIONS(2657),
    [anon_sym_BSLASHbd] = ACTIONS(2657),
    [anon_sym_BSLASHit] = ACTIONS(2657),
    [anon_sym_BSLASHbdit] = ACTIONS(2657),
    [anon_sym_BSLASHno] = ACTIONS(2657),
    [anon_sym_BSLASHsc] = ACTIONS(2657),
    [anon_sym_BSLASHsup] = ACTIONS(2657),
    [anon_sym_BSLASHndx] = ACTIONS(2657),
    [anon_sym_BSLASHpro] = ACTIONS(2657),
    [anon_sym_BSLASHrb] = ACTIONS(2657),
    [anon_sym_BSLASHw] = ACTIONS(2657),
    [anon_sym_BSLASHwg] = ACTIONS(2657),
    [anon_sym_BSLASHwh] = ACTIONS(2657),
    [anon_sym_BSLASHwa] = ACTIONS(2657),
    [anon_sym_BSLASHfig] = ACTIONS(2657),
    [anon_sym_BSLASHjmp] = ACTIONS(2657),
    [anon_sym_BSLASHpb] = ACTIONS(2657),
    [anon_sym_BSLASH] = ACTIONS(2657),
    [sym_milestoneStartTag] = ACTIONS(2657),
    [sym_milestoneEndTag] = ACTIONS(2657),
    [sym_zSpaceTag] = ACTIONS(2657),
    [anon_sym_BSLASHesb] = ACTIONS(2657),
  },
  [390] = {
    [ts_builtin_sym_end] = ACTIONS(2719),
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHref] = ACTIONS(2721),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHiqt] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHiex] = ACTIONS(2721),
    [anon_sym_BSLASHv] = ACTIONS(2721),
    [anon_sym_BSLASHva] = ACTIONS(2721),
    [anon_sym_BSLASHvp] = ACTIONS(2721),
    [anon_sym_BSLASHc] = ACTIONS(2721),
    [anon_sym_BSLASHcl] = ACTIONS(2721),
    [anon_sym_BSLASHca] = ACTIONS(2721),
    [anon_sym_BSLASHcp] = ACTIONS(2721),
    [anon_sym_BSLASHcd] = ACTIONS(2721),
    [anon_sym_BSLASHmte] = ACTIONS(2721),
    [anon_sym_BSLASHms] = ACTIONS(2721),
    [anon_sym_BSLASHmr] = ACTIONS(2721),
    [anon_sym_BSLASHs] = ACTIONS(2721),
    [anon_sym_BSLASHsr] = ACTIONS(2721),
    [anon_sym_BSLASHr] = ACTIONS(2721),
    [anon_sym_BSLASHsp] = ACTIONS(2721),
    [anon_sym_BSLASHd] = ACTIONS(2721),
    [anon_sym_BSLASHsd] = ACTIONS(2721),
    [anon_sym_BSLASHp] = ACTIONS(2721),
    [anon_sym_BSLASHm] = ACTIONS(2721),
    [anon_sym_BSLASHpo] = ACTIONS(2721),
    [anon_sym_BSLASHpr] = ACTIONS(2721),
    [anon_sym_BSLASHcls] = ACTIONS(2721),
    [anon_sym_BSLASHpmo] = ACTIONS(2721),
    [anon_sym_BSLASHpm] = ACTIONS(2721),
    [anon_sym_BSLASHpmc] = ACTIONS(2721),
    [anon_sym_BSLASHpmr] = ACTIONS(2721),
    [anon_sym_BSLASHpi] = ACTIONS(2721),
    [anon_sym_BSLASHmi] = ACTIONS(2721),
    [anon_sym_BSLASHnb] = ACTIONS(2721),
    [anon_sym_BSLASHpc] = ACTIONS(2721),
    [anon_sym_BSLASHph] = ACTIONS(2721),
    [anon_sym_BSLASHb] = ACTIONS(2721),
    [anon_sym_BSLASHq] = ACTIONS(2721),
    [anon_sym_BSLASHqr] = ACTIONS(2721),
    [anon_sym_BSLASHqc] = ACTIONS(2721),
    [anon_sym_BSLASHqa] = ACTIONS(2721),
    [anon_sym_BSLASHqm] = ACTIONS(2721),
    [anon_sym_BSLASHqd] = ACTIONS(2721),
    [anon_sym_BSLASHlh] = ACTIONS(2721),
    [anon_sym_BSLASHlf] = ACTIONS(2721),
    [anon_sym_BSLASHli] = ACTIONS(2721),
    [anon_sym_BSLASHlim] = ACTIONS(2721),
    [anon_sym_BSLASHliv] = ACTIONS(2721),
    [anon_sym_BSLASHlik] = ACTIONS(2721),
    [anon_sym_BSLASHlitl] = ACTIONS(2721),
    [anon_sym_BSLASHtr] = ACTIONS(2721),
    [anon_sym_BSLASHf] = ACTIONS(2721),
    [anon_sym_BSLASHfe] = ACTIONS(2721),
    [anon_sym_BSLASHef] = ACTIONS(2721),
    [anon_sym_BSLASHfm] = ACTIONS(2721),
    [anon_sym_BSLASHx] = ACTIONS(2721),
    [anon_sym_BSLASHxt] = ACTIONS(2721),
    [anon_sym_BSLASHrq] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASHfig] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASHpb] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesb] = ACTIONS(2721),
  },
  [391] = {
    [ts_builtin_sym_end] = ACTIONS(2651),
    [aux_sym_text_token1] = ACTIONS(2651),
    [anon_sym_BSLASHref] = ACTIONS(2653),
    [anon_sym_BSLASHsts] = ACTIONS(2653),
    [anon_sym_BSLASHrem] = ACTIONS(2653),
    [anon_sym_BSLASHrestore] = ACTIONS(2653),
    [anon_sym_BSLASHlit] = ACTIONS(2653),
    [anon_sym_BSLASHiqt] = ACTIONS(2653),
    [anon_sym_BSLASHip] = ACTIONS(2653),
    [anon_sym_BSLASHiex] = ACTIONS(2653),
    [anon_sym_BSLASHv] = ACTIONS(2653),
    [anon_sym_BSLASHva] = ACTIONS(2653),
    [anon_sym_BSLASHvp] = ACTIONS(2653),
    [anon_sym_BSLASHc] = ACTIONS(2653),
    [anon_sym_BSLASHcl] = ACTIONS(2653),
    [anon_sym_BSLASHca] = ACTIONS(2653),
    [anon_sym_BSLASHcp] = ACTIONS(2653),
    [anon_sym_BSLASHcd] = ACTIONS(2653),
    [anon_sym_BSLASHmte] = ACTIONS(2653),
    [anon_sym_BSLASHms] = ACTIONS(2653),
    [anon_sym_BSLASHmr] = ACTIONS(2653),
    [anon_sym_BSLASHs] = ACTIONS(2653),
    [anon_sym_BSLASHsr] = ACTIONS(2653),
    [anon_sym_BSLASHr] = ACTIONS(2653),
    [anon_sym_BSLASHsp] = ACTIONS(2653),
    [anon_sym_BSLASHd] = ACTIONS(2653),
    [anon_sym_BSLASHsd] = ACTIONS(2653),
    [anon_sym_BSLASHp] = ACTIONS(2653),
    [anon_sym_BSLASHm] = ACTIONS(2653),
    [anon_sym_BSLASHpo] = ACTIONS(2653),
    [anon_sym_BSLASHpr] = ACTIONS(2653),
    [anon_sym_BSLASHcls] = ACTIONS(2653),
    [anon_sym_BSLASHpmo] = ACTIONS(2653),
    [anon_sym_BSLASHpm] = ACTIONS(2653),
    [anon_sym_BSLASHpmc] = ACTIONS(2653),
    [anon_sym_BSLASHpmr] = ACTIONS(2653),
    [anon_sym_BSLASHpi] = ACTIONS(2653),
    [anon_sym_BSLASHmi] = ACTIONS(2653),
    [anon_sym_BSLASHnb] = ACTIONS(2653),
    [anon_sym_BSLASHpc] = ACTIONS(2653),
    [anon_sym_BSLASHph] = ACTIONS(2653),
    [anon_sym_BSLASHb] = ACTIONS(2653),
    [anon_sym_BSLASHq] = ACTIONS(2653),
    [anon_sym_BSLASHqr] = ACTIONS(2653),
    [anon_sym_BSLASHqc] = ACTIONS(2653),
    [anon_sym_BSLASHqa] = ACTIONS(2653),
    [anon_sym_BSLASHqm] = ACTIONS(2653),
    [anon_sym_BSLASHqd] = ACTIONS(2653),
    [anon_sym_BSLASHlh] = ACTIONS(2653),
    [anon_sym_BSLASHlf] = ACTIONS(2653),
    [anon_sym_BSLASHli] = ACTIONS(2653),
    [anon_sym_BSLASHlim] = ACTIONS(2653),
    [anon_sym_BSLASHliv] = ACTIONS(2653),
    [anon_sym_BSLASHlik] = ACTIONS(2653),
    [anon_sym_BSLASHlitl] = ACTIONS(2653),
    [anon_sym_BSLASHtr] = ACTIONS(2653),
    [anon_sym_BSLASHf] = ACTIONS(2653),
    [anon_sym_BSLASHfe] = ACTIONS(2653),
    [anon_sym_BSLASHef] = ACTIONS(2653),
    [anon_sym_BSLASHfm] = ACTIONS(2653),
    [anon_sym_BSLASHx] = ACTIONS(2653),
    [anon_sym_BSLASHxt] = ACTIONS(2653),
    [anon_sym_BSLASHrq] = ACTIONS(2653),
    [anon_sym_BSLASHadd] = ACTIONS(2653),
    [anon_sym_BSLASHbk] = ACTIONS(2653),
    [anon_sym_BSLASHdc] = ACTIONS(2653),
    [anon_sym_BSLASHk] = ACTIONS(2653),
    [anon_sym_BSLASHnd] = ACTIONS(2653),
    [anon_sym_BSLASHord] = ACTIONS(2653),
    [anon_sym_BSLASHpn] = ACTIONS(2653),
    [anon_sym_BSLASHpng] = ACTIONS(2653),
    [anon_sym_BSLASHaddpn] = ACTIONS(2653),
    [anon_sym_BSLASHqt] = ACTIONS(2653),
    [anon_sym_BSLASHsig] = ACTIONS(2653),
    [anon_sym_BSLASHsls] = ACTIONS(2653),
    [anon_sym_BSLASHtl] = ACTIONS(2653),
    [anon_sym_BSLASHwj] = ACTIONS(2653),
    [anon_sym_BSLASHem] = ACTIONS(2653),
    [anon_sym_BSLASHbd] = ACTIONS(2653),
    [anon_sym_BSLASHit] = ACTIONS(2653),
    [anon_sym_BSLASHbdit] = ACTIONS(2653),
    [anon_sym_BSLASHno] = ACTIONS(2653),
    [anon_sym_BSLASHsc] = ACTIONS(2653),
    [anon_sym_BSLASHsup] = ACTIONS(2653),
    [anon_sym_BSLASHndx] = ACTIONS(2653),
    [anon_sym_BSLASHpro] = ACTIONS(2653),
    [anon_sym_BSLASHrb] = ACTIONS(2653),
    [anon_sym_BSLASHw] = ACTIONS(2653),
    [anon_sym_BSLASHwg] = ACTIONS(2653),
    [anon_sym_BSLASHwh] = ACTIONS(2653),
    [anon_sym_BSLASHwa] = ACTIONS(2653),
    [anon_sym_BSLASHfig] = ACTIONS(2653),
    [anon_sym_BSLASHjmp] = ACTIONS(2653),
    [anon_sym_BSLASHpb] = ACTIONS(2653),
    [anon_sym_BSLASH] = ACTIONS(2653),
    [sym_milestoneStartTag] = ACTIONS(2653),
    [sym_milestoneEndTag] = ACTIONS(2653),
    [sym_zSpaceTag] = ACTIONS(2653),
    [anon_sym_BSLASHesb] = ACTIONS(2653),
  },
  [392] = {
    [ts_builtin_sym_end] = ACTIONS(2659),
    [aux_sym_text_token1] = ACTIONS(2659),
    [anon_sym_BSLASHref] = ACTIONS(2661),
    [anon_sym_BSLASHsts] = ACTIONS(2661),
    [anon_sym_BSLASHrem] = ACTIONS(2661),
    [anon_sym_BSLASHrestore] = ACTIONS(2661),
    [anon_sym_BSLASHlit] = ACTIONS(2661),
    [anon_sym_BSLASHiqt] = ACTIONS(2661),
    [anon_sym_BSLASHip] = ACTIONS(2661),
    [anon_sym_BSLASHiex] = ACTIONS(2661),
    [anon_sym_BSLASHv] = ACTIONS(2661),
    [anon_sym_BSLASHva] = ACTIONS(2661),
    [anon_sym_BSLASHvp] = ACTIONS(2661),
    [anon_sym_BSLASHc] = ACTIONS(2661),
    [anon_sym_BSLASHcl] = ACTIONS(2661),
    [anon_sym_BSLASHca] = ACTIONS(2661),
    [anon_sym_BSLASHcp] = ACTIONS(2661),
    [anon_sym_BSLASHcd] = ACTIONS(2661),
    [anon_sym_BSLASHmte] = ACTIONS(2661),
    [anon_sym_BSLASHms] = ACTIONS(2661),
    [anon_sym_BSLASHmr] = ACTIONS(2661),
    [anon_sym_BSLASHs] = ACTIONS(2661),
    [anon_sym_BSLASHsr] = ACTIONS(2661),
    [anon_sym_BSLASHr] = ACTIONS(2661),
    [anon_sym_BSLASHsp] = ACTIONS(2661),
    [anon_sym_BSLASHd] = ACTIONS(2661),
    [anon_sym_BSLASHsd] = ACTIONS(2661),
    [anon_sym_BSLASHp] = ACTIONS(2661),
    [anon_sym_BSLASHm] = ACTIONS(2661),
    [anon_sym_BSLASHpo] = ACTIONS(2661),
    [anon_sym_BSLASHpr] = ACTIONS(2661),
    [anon_sym_BSLASHcls] = ACTIONS(2661),
    [anon_sym_BSLASHpmo] = ACTIONS(2661),
    [anon_sym_BSLASHpm] = ACTIONS(2661),
    [anon_sym_BSLASHpmc] = ACTIONS(2661),
    [anon_sym_BSLASHpmr] = ACTIONS(2661),
    [anon_sym_BSLASHpi] = ACTIONS(2661),
    [anon_sym_BSLASHmi] = ACTIONS(2661),
    [anon_sym_BSLASHnb] = ACTIONS(2661),
    [anon_sym_BSLASHpc] = ACTIONS(2661),
    [anon_sym_BSLASHph] = ACTIONS(2661),
    [anon_sym_BSLASHb] = ACTIONS(2661),
    [anon_sym_BSLASHq] = ACTIONS(2661),
    [anon_sym_BSLASHqr] = ACTIONS(2661),
    [anon_sym_BSLASHqc] = ACTIONS(2661),
    [anon_sym_BSLASHqa] = ACTIONS(2661),
    [anon_sym_BSLASHqm] = ACTIONS(2661),
    [anon_sym_BSLASHqd] = ACTIONS(2661),
    [anon_sym_BSLASHlh] = ACTIONS(2661),
    [anon_sym_BSLASHlf] = ACTIONS(2661),
    [anon_sym_BSLASHli] = ACTIONS(2661),
    [anon_sym_BSLASHlim] = ACTIONS(2661),
    [anon_sym_BSLASHliv] = ACTIONS(2661),
    [anon_sym_BSLASHlik] = ACTIONS(2661),
    [anon_sym_BSLASHlitl] = ACTIONS(2661),
    [anon_sym_BSLASHtr] = ACTIONS(2661),
    [anon_sym_BSLASHf] = ACTIONS(2661),
    [anon_sym_BSLASHfe] = ACTIONS(2661),
    [anon_sym_BSLASHef] = ACTIONS(2661),
    [anon_sym_BSLASHfm] = ACTIONS(2661),
    [anon_sym_BSLASHx] = ACTIONS(2661),
    [anon_sym_BSLASHxt] = ACTIONS(2661),
    [anon_sym_BSLASHrq] = ACTIONS(2661),
    [anon_sym_BSLASHadd] = ACTIONS(2661),
    [anon_sym_BSLASHbk] = ACTIONS(2661),
    [anon_sym_BSLASHdc] = ACTIONS(2661),
    [anon_sym_BSLASHk] = ACTIONS(2661),
    [anon_sym_BSLASHnd] = ACTIONS(2661),
    [anon_sym_BSLASHord] = ACTIONS(2661),
    [anon_sym_BSLASHpn] = ACTIONS(2661),
    [anon_sym_BSLASHpng] = ACTIONS(2661),
    [anon_sym_BSLASHaddpn] = ACTIONS(2661),
    [anon_sym_BSLASHqt] = ACTIONS(2661),
    [anon_sym_BSLASHsig] = ACTIONS(2661),
    [anon_sym_BSLASHsls] = ACTIONS(2661),
    [anon_sym_BSLASHtl] = ACTIONS(2661),
    [anon_sym_BSLASHwj] = ACTIONS(2661),
    [anon_sym_BSLASHem] = ACTIONS(2661),
    [anon_sym_BSLASHbd] = ACTIONS(2661),
    [anon_sym_BSLASHit] = ACTIONS(2661),
    [anon_sym_BSLASHbdit] = ACTIONS(2661),
    [anon_sym_BSLASHno] = ACTIONS(2661),
    [anon_sym_BSLASHsc] = ACTIONS(2661),
    [anon_sym_BSLASHsup] = ACTIONS(2661),
    [anon_sym_BSLASHndx] = ACTIONS(2661),
    [anon_sym_BSLASHpro] = ACTIONS(2661),
    [anon_sym_BSLASHrb] = ACTIONS(2661),
    [anon_sym_BSLASHw] = ACTIONS(2661),
    [anon_sym_BSLASHwg] = ACTIONS(2661),
    [anon_sym_BSLASHwh] = ACTIONS(2661),
    [anon_sym_BSLASHwa] = ACTIONS(2661),
    [anon_sym_BSLASHfig] = ACTIONS(2661),
    [anon_sym_BSLASHjmp] = ACTIONS(2661),
    [anon_sym_BSLASHpb] = ACTIONS(2661),
    [anon_sym_BSLASH] = ACTIONS(2661),
    [sym_milestoneStartTag] = ACTIONS(2661),
    [sym_milestoneEndTag] = ACTIONS(2661),
    [sym_zSpaceTag] = ACTIONS(2661),
    [anon_sym_BSLASHesb] = ACTIONS(2661),
  },
  [393] = {
    [ts_builtin_sym_end] = ACTIONS(2711),
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHref] = ACTIONS(2713),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHiqt] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHiex] = ACTIONS(2713),
    [anon_sym_BSLASHv] = ACTIONS(2713),
    [anon_sym_BSLASHva] = ACTIONS(2713),
    [anon_sym_BSLASHvp] = ACTIONS(2713),
    [anon_sym_BSLASHc] = ACTIONS(2713),
    [anon_sym_BSLASHcl] = ACTIONS(2713),
    [anon_sym_BSLASHca] = ACTIONS(2713),
    [anon_sym_BSLASHcp] = ACTIONS(2713),
    [anon_sym_BSLASHcd] = ACTIONS(2713),
    [anon_sym_BSLASHmte] = ACTIONS(2713),
    [anon_sym_BSLASHms] = ACTIONS(2713),
    [anon_sym_BSLASHmr] = ACTIONS(2713),
    [anon_sym_BSLASHs] = ACTIONS(2713),
    [anon_sym_BSLASHsr] = ACTIONS(2713),
    [anon_sym_BSLASHr] = ACTIONS(2713),
    [anon_sym_BSLASHsp] = ACTIONS(2713),
    [anon_sym_BSLASHd] = ACTIONS(2713),
    [anon_sym_BSLASHsd] = ACTIONS(2713),
    [anon_sym_BSLASHp] = ACTIONS(2713),
    [anon_sym_BSLASHm] = ACTIONS(2713),
    [anon_sym_BSLASHpo] = ACTIONS(2713),
    [anon_sym_BSLASHpr] = ACTIONS(2713),
    [anon_sym_BSLASHcls] = ACTIONS(2713),
    [anon_sym_BSLASHpmo] = ACTIONS(2713),
    [anon_sym_BSLASHpm] = ACTIONS(2713),
    [anon_sym_BSLASHpmc] = ACTIONS(2713),
    [anon_sym_BSLASHpmr] = ACTIONS(2713),
    [anon_sym_BSLASHpi] = ACTIONS(2713),
    [anon_sym_BSLASHmi] = ACTIONS(2713),
    [anon_sym_BSLASHnb] = ACTIONS(2713),
    [anon_sym_BSLASHpc] = ACTIONS(2713),
    [anon_sym_BSLASHph] = ACTIONS(2713),
    [anon_sym_BSLASHb] = ACTIONS(2713),
    [anon_sym_BSLASHq] = ACTIONS(2713),
    [anon_sym_BSLASHqr] = ACTIONS(2713),
    [anon_sym_BSLASHqc] = ACTIONS(2713),
    [anon_sym_BSLASHqa] = ACTIONS(2713),
    [anon_sym_BSLASHqm] = ACTIONS(2713),
    [anon_sym_BSLASHqd] = ACTIONS(2713),
    [anon_sym_BSLASHlh] = ACTIONS(2713),
    [anon_sym_BSLASHlf] = ACTIONS(2713),
    [anon_sym_BSLASHli] = ACTIONS(2713),
    [anon_sym_BSLASHlim] = ACTIONS(2713),
    [anon_sym_BSLASHliv] = ACTIONS(2713),
    [anon_sym_BSLASHlik] = ACTIONS(2713),
    [anon_sym_BSLASHlitl] = ACTIONS(2713),
    [anon_sym_BSLASHtr] = ACTIONS(2713),
    [anon_sym_BSLASHf] = ACTIONS(2713),
    [anon_sym_BSLASHfe] = ACTIONS(2713),
    [anon_sym_BSLASHef] = ACTIONS(2713),
    [anon_sym_BSLASHfm] = ACTIONS(2713),
    [anon_sym_BSLASHx] = ACTIONS(2713),
    [anon_sym_BSLASHxt] = ACTIONS(2713),
    [anon_sym_BSLASHrq] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASHfig] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASHpb] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesb] = ACTIONS(2713),
  },
  [394] = {
    [ts_builtin_sym_end] = ACTIONS(2615),
    [aux_sym_text_token1] = ACTIONS(2615),
    [anon_sym_BSLASHref] = ACTIONS(2617),
    [anon_sym_BSLASHsts] = ACTIONS(2617),
    [anon_sym_BSLASHrem] = ACTIONS(2617),
    [anon_sym_BSLASHrestore] = ACTIONS(2617),
    [anon_sym_BSLASHlit] = ACTIONS(2617),
    [anon_sym_BSLASHiqt] = ACTIONS(2617),
    [anon_sym_BSLASHip] = ACTIONS(2617),
    [anon_sym_BSLASHiex] = ACTIONS(2617),
    [anon_sym_BSLASHv] = ACTIONS(2617),
    [anon_sym_BSLASHva] = ACTIONS(2617),
    [anon_sym_BSLASHvp] = ACTIONS(2617),
    [anon_sym_BSLASHc] = ACTIONS(2617),
    [anon_sym_BSLASHcl] = ACTIONS(2617),
    [anon_sym_BSLASHca] = ACTIONS(2617),
    [anon_sym_BSLASHcp] = ACTIONS(2617),
    [anon_sym_BSLASHcd] = ACTIONS(2617),
    [anon_sym_BSLASHmte] = ACTIONS(2617),
    [anon_sym_BSLASHms] = ACTIONS(2617),
    [anon_sym_BSLASHmr] = ACTIONS(2617),
    [anon_sym_BSLASHs] = ACTIONS(2617),
    [anon_sym_BSLASHsr] = ACTIONS(2617),
    [anon_sym_BSLASHr] = ACTIONS(2617),
    [anon_sym_BSLASHsp] = ACTIONS(2617),
    [anon_sym_BSLASHd] = ACTIONS(2617),
    [anon_sym_BSLASHsd] = ACTIONS(2617),
    [anon_sym_BSLASHp] = ACTIONS(2617),
    [anon_sym_BSLASHm] = ACTIONS(2617),
    [anon_sym_BSLASHpo] = ACTIONS(2617),
    [anon_sym_BSLASHpr] = ACTIONS(2617),
    [anon_sym_BSLASHcls] = ACTIONS(2617),
    [anon_sym_BSLASHpmo] = ACTIONS(2617),
    [anon_sym_BSLASHpm] = ACTIONS(2617),
    [anon_sym_BSLASHpmc] = ACTIONS(2617),
    [anon_sym_BSLASHpmr] = ACTIONS(2617),
    [anon_sym_BSLASHpi] = ACTIONS(2617),
    [anon_sym_BSLASHmi] = ACTIONS(2617),
    [anon_sym_BSLASHnb] = ACTIONS(2617),
    [anon_sym_BSLASHpc] = ACTIONS(2617),
    [anon_sym_BSLASHph] = ACTIONS(2617),
    [anon_sym_BSLASHb] = ACTIONS(2617),
    [anon_sym_BSLASHq] = ACTIONS(2617),
    [anon_sym_BSLASHqr] = ACTIONS(2617),
    [anon_sym_BSLASHqc] = ACTIONS(2617),
    [anon_sym_BSLASHqa] = ACTIONS(2617),
    [anon_sym_BSLASHqm] = ACTIONS(2617),
    [anon_sym_BSLASHqd] = ACTIONS(2617),
    [anon_sym_BSLASHlh] = ACTIONS(2617),
    [anon_sym_BSLASHlf] = ACTIONS(2617),
    [anon_sym_BSLASHli] = ACTIONS(2617),
    [anon_sym_BSLASHlim] = ACTIONS(2617),
    [anon_sym_BSLASHliv] = ACTIONS(2617),
    [anon_sym_BSLASHlik] = ACTIONS(2617),
    [anon_sym_BSLASHlitl] = ACTIONS(2617),
    [anon_sym_BSLASHtr] = ACTIONS(2617),
    [anon_sym_BSLASHf] = ACTIONS(2617),
    [anon_sym_BSLASHfe] = ACTIONS(2617),
    [anon_sym_BSLASHef] = ACTIONS(2617),
    [anon_sym_BSLASHfm] = ACTIONS(2617),
    [anon_sym_BSLASHx] = ACTIONS(2617),
    [anon_sym_BSLASHxt] = ACTIONS(2617),
    [anon_sym_BSLASHrq] = ACTIONS(2617),
    [anon_sym_BSLASHadd] = ACTIONS(2617),
    [anon_sym_BSLASHbk] = ACTIONS(2617),
    [anon_sym_BSLASHdc] = ACTIONS(2617),
    [anon_sym_BSLASHk] = ACTIONS(2617),
    [anon_sym_BSLASHnd] = ACTIONS(2617),
    [anon_sym_BSLASHord] = ACTIONS(2617),
    [anon_sym_BSLASHpn] = ACTIONS(2617),
    [anon_sym_BSLASHpng] = ACTIONS(2617),
    [anon_sym_BSLASHaddpn] = ACTIONS(2617),
    [anon_sym_BSLASHqt] = ACTIONS(2617),
    [anon_sym_BSLASHsig] = ACTIONS(2617),
    [anon_sym_BSLASHsls] = ACTIONS(2617),
    [anon_sym_BSLASHtl] = ACTIONS(2617),
    [anon_sym_BSLASHwj] = ACTIONS(2617),
    [anon_sym_BSLASHem] = ACTIONS(2617),
    [anon_sym_BSLASHbd] = ACTIONS(2617),
    [anon_sym_BSLASHit] = ACTIONS(2617),
    [anon_sym_BSLASHbdit] = ACTIONS(2617),
    [anon_sym_BSLASHno] = ACTIONS(2617),
    [anon_sym_BSLASHsc] = ACTIONS(2617),
    [anon_sym_BSLASHsup] = ACTIONS(2617),
    [anon_sym_BSLASHndx] = ACTIONS(2617),
    [anon_sym_BSLASHpro] = ACTIONS(2617),
    [anon_sym_BSLASHrb] = ACTIONS(2617),
    [anon_sym_BSLASHw] = ACTIONS(2617),
    [anon_sym_BSLASHwg] = ACTIONS(2617),
    [anon_sym_BSLASHwh] = ACTIONS(2617),
    [anon_sym_BSLASHwa] = ACTIONS(2617),
    [anon_sym_BSLASHfig] = ACTIONS(2617),
    [anon_sym_BSLASHjmp] = ACTIONS(2617),
    [anon_sym_BSLASHpb] = ACTIONS(2617),
    [anon_sym_BSLASH] = ACTIONS(2617),
    [sym_milestoneStartTag] = ACTIONS(2617),
    [sym_milestoneEndTag] = ACTIONS(2617),
    [sym_zSpaceTag] = ACTIONS(2617),
    [anon_sym_BSLASHesb] = ACTIONS(2617),
  },
  [395] = {
    [ts_builtin_sym_end] = ACTIONS(2739),
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHref] = ACTIONS(2741),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHiqt] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHiex] = ACTIONS(2741),
    [anon_sym_BSLASHv] = ACTIONS(2741),
    [anon_sym_BSLASHva] = ACTIONS(2741),
    [anon_sym_BSLASHvp] = ACTIONS(2741),
    [anon_sym_BSLASHc] = ACTIONS(2741),
    [anon_sym_BSLASHcl] = ACTIONS(2741),
    [anon_sym_BSLASHca] = ACTIONS(2741),
    [anon_sym_BSLASHcp] = ACTIONS(2741),
    [anon_sym_BSLASHcd] = ACTIONS(2741),
    [anon_sym_BSLASHmte] = ACTIONS(2741),
    [anon_sym_BSLASHms] = ACTIONS(2741),
    [anon_sym_BSLASHmr] = ACTIONS(2741),
    [anon_sym_BSLASHs] = ACTIONS(2741),
    [anon_sym_BSLASHsr] = ACTIONS(2741),
    [anon_sym_BSLASHr] = ACTIONS(2741),
    [anon_sym_BSLASHsp] = ACTIONS(2741),
    [anon_sym_BSLASHd] = ACTIONS(2741),
    [anon_sym_BSLASHsd] = ACTIONS(2741),
    [anon_sym_BSLASHp] = ACTIONS(2741),
    [anon_sym_BSLASHm] = ACTIONS(2741),
    [anon_sym_BSLASHpo] = ACTIONS(2741),
    [anon_sym_BSLASHpr] = ACTIONS(2741),
    [anon_sym_BSLASHcls] = ACTIONS(2741),
    [anon_sym_BSLASHpmo] = ACTIONS(2741),
    [anon_sym_BSLASHpm] = ACTIONS(2741),
    [anon_sym_BSLASHpmc] = ACTIONS(2741),
    [anon_sym_BSLASHpmr] = ACTIONS(2741),
    [anon_sym_BSLASHpi] = ACTIONS(2741),
    [anon_sym_BSLASHmi] = ACTIONS(2741),
    [anon_sym_BSLASHnb] = ACTIONS(2741),
    [anon_sym_BSLASHpc] = ACTIONS(2741),
    [anon_sym_BSLASHph] = ACTIONS(2741),
    [anon_sym_BSLASHb] = ACTIONS(2741),
    [anon_sym_BSLASHq] = ACTIONS(2741),
    [anon_sym_BSLASHqr] = ACTIONS(2741),
    [anon_sym_BSLASHqc] = ACTIONS(2741),
    [anon_sym_BSLASHqa] = ACTIONS(2741),
    [anon_sym_BSLASHqm] = ACTIONS(2741),
    [anon_sym_BSLASHqd] = ACTIONS(2741),
    [anon_sym_BSLASHlh] = ACTIONS(2741),
    [anon_sym_BSLASHlf] = ACTIONS(2741),
    [anon_sym_BSLASHli] = ACTIONS(2741),
    [anon_sym_BSLASHlim] = ACTIONS(2741),
    [anon_sym_BSLASHliv] = ACTIONS(2741),
    [anon_sym_BSLASHlik] = ACTIONS(2741),
    [anon_sym_BSLASHlitl] = ACTIONS(2741),
    [anon_sym_BSLASHtr] = ACTIONS(2741),
    [anon_sym_BSLASHf] = ACTIONS(2741),
    [anon_sym_BSLASHfe] = ACTIONS(2741),
    [anon_sym_BSLASHef] = ACTIONS(2741),
    [anon_sym_BSLASHfm] = ACTIONS(2741),
    [anon_sym_BSLASHx] = ACTIONS(2741),
    [anon_sym_BSLASHxt] = ACTIONS(2741),
    [anon_sym_BSLASHrq] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASHfig] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASHpb] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesb] = ACTIONS(2741),
  },
  [396] = {
    [ts_builtin_sym_end] = ACTIONS(2723),
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHref] = ACTIONS(2725),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHiqt] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHiex] = ACTIONS(2725),
    [anon_sym_BSLASHv] = ACTIONS(2725),
    [anon_sym_BSLASHva] = ACTIONS(2725),
    [anon_sym_BSLASHvp] = ACTIONS(2725),
    [anon_sym_BSLASHc] = ACTIONS(2725),
    [anon_sym_BSLASHcl] = ACTIONS(2725),
    [anon_sym_BSLASHca] = ACTIONS(2725),
    [anon_sym_BSLASHcp] = ACTIONS(2725),
    [anon_sym_BSLASHcd] = ACTIONS(2725),
    [anon_sym_BSLASHmte] = ACTIONS(2725),
    [anon_sym_BSLASHms] = ACTIONS(2725),
    [anon_sym_BSLASHmr] = ACTIONS(2725),
    [anon_sym_BSLASHs] = ACTIONS(2725),
    [anon_sym_BSLASHsr] = ACTIONS(2725),
    [anon_sym_BSLASHr] = ACTIONS(2725),
    [anon_sym_BSLASHsp] = ACTIONS(2725),
    [anon_sym_BSLASHd] = ACTIONS(2725),
    [anon_sym_BSLASHsd] = ACTIONS(2725),
    [anon_sym_BSLASHp] = ACTIONS(2725),
    [anon_sym_BSLASHm] = ACTIONS(2725),
    [anon_sym_BSLASHpo] = ACTIONS(2725),
    [anon_sym_BSLASHpr] = ACTIONS(2725),
    [anon_sym_BSLASHcls] = ACTIONS(2725),
    [anon_sym_BSLASHpmo] = ACTIONS(2725),
    [anon_sym_BSLASHpm] = ACTIONS(2725),
    [anon_sym_BSLASHpmc] = ACTIONS(2725),
    [anon_sym_BSLASHpmr] = ACTIONS(2725),
    [anon_sym_BSLASHpi] = ACTIONS(2725),
    [anon_sym_BSLASHmi] = ACTIONS(2725),
    [anon_sym_BSLASHnb] = ACTIONS(2725),
    [anon_sym_BSLASHpc] = ACTIONS(2725),
    [anon_sym_BSLASHph] = ACTIONS(2725),
    [anon_sym_BSLASHb] = ACTIONS(2725),
    [anon_sym_BSLASHq] = ACTIONS(2725),
    [anon_sym_BSLASHqr] = ACTIONS(2725),
    [anon_sym_BSLASHqc] = ACTIONS(2725),
    [anon_sym_BSLASHqa] = ACTIONS(2725),
    [anon_sym_BSLASHqm] = ACTIONS(2725),
    [anon_sym_BSLASHqd] = ACTIONS(2725),
    [anon_sym_BSLASHlh] = ACTIONS(2725),
    [anon_sym_BSLASHlf] = ACTIONS(2725),
    [anon_sym_BSLASHli] = ACTIONS(2725),
    [anon_sym_BSLASHlim] = ACTIONS(2725),
    [anon_sym_BSLASHliv] = ACTIONS(2725),
    [anon_sym_BSLASHlik] = ACTIONS(2725),
    [anon_sym_BSLASHlitl] = ACTIONS(2725),
    [anon_sym_BSLASHtr] = ACTIONS(2725),
    [anon_sym_BSLASHf] = ACTIONS(2725),
    [anon_sym_BSLASHfe] = ACTIONS(2725),
    [anon_sym_BSLASHef] = ACTIONS(2725),
    [anon_sym_BSLASHfm] = ACTIONS(2725),
    [anon_sym_BSLASHx] = ACTIONS(2725),
    [anon_sym_BSLASHxt] = ACTIONS(2725),
    [anon_sym_BSLASHrq] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASHfig] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASHpb] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesb] = ACTIONS(2725),
  },
  [397] = {
    [ts_builtin_sym_end] = ACTIONS(2647),
    [aux_sym_text_token1] = ACTIONS(2647),
    [anon_sym_BSLASHref] = ACTIONS(2649),
    [anon_sym_BSLASHsts] = ACTIONS(2649),
    [anon_sym_BSLASHrem] = ACTIONS(2649),
    [anon_sym_BSLASHrestore] = ACTIONS(2649),
    [anon_sym_BSLASHlit] = ACTIONS(2649),
    [anon_sym_BSLASHiqt] = ACTIONS(2649),
    [anon_sym_BSLASHip] = ACTIONS(2649),
    [anon_sym_BSLASHiex] = ACTIONS(2649),
    [anon_sym_BSLASHv] = ACTIONS(2649),
    [anon_sym_BSLASHva] = ACTIONS(2649),
    [anon_sym_BSLASHvp] = ACTIONS(2649),
    [anon_sym_BSLASHc] = ACTIONS(2649),
    [anon_sym_BSLASHcl] = ACTIONS(2649),
    [anon_sym_BSLASHca] = ACTIONS(2649),
    [anon_sym_BSLASHcp] = ACTIONS(2649),
    [anon_sym_BSLASHcd] = ACTIONS(2649),
    [anon_sym_BSLASHmte] = ACTIONS(2649),
    [anon_sym_BSLASHms] = ACTIONS(2649),
    [anon_sym_BSLASHmr] = ACTIONS(2649),
    [anon_sym_BSLASHs] = ACTIONS(2649),
    [anon_sym_BSLASHsr] = ACTIONS(2649),
    [anon_sym_BSLASHr] = ACTIONS(2649),
    [anon_sym_BSLASHsp] = ACTIONS(2649),
    [anon_sym_BSLASHd] = ACTIONS(2649),
    [anon_sym_BSLASHsd] = ACTIONS(2649),
    [anon_sym_BSLASHp] = ACTIONS(2649),
    [anon_sym_BSLASHm] = ACTIONS(2649),
    [anon_sym_BSLASHpo] = ACTIONS(2649),
    [anon_sym_BSLASHpr] = ACTIONS(2649),
    [anon_sym_BSLASHcls] = ACTIONS(2649),
    [anon_sym_BSLASHpmo] = ACTIONS(2649),
    [anon_sym_BSLASHpm] = ACTIONS(2649),
    [anon_sym_BSLASHpmc] = ACTIONS(2649),
    [anon_sym_BSLASHpmr] = ACTIONS(2649),
    [anon_sym_BSLASHpi] = ACTIONS(2649),
    [anon_sym_BSLASHmi] = ACTIONS(2649),
    [anon_sym_BSLASHnb] = ACTIONS(2649),
    [anon_sym_BSLASHpc] = ACTIONS(2649),
    [anon_sym_BSLASHph] = ACTIONS(2649),
    [anon_sym_BSLASHb] = ACTIONS(2649),
    [anon_sym_BSLASHq] = ACTIONS(2649),
    [anon_sym_BSLASHqr] = ACTIONS(2649),
    [anon_sym_BSLASHqc] = ACTIONS(2649),
    [anon_sym_BSLASHqa] = ACTIONS(2649),
    [anon_sym_BSLASHqm] = ACTIONS(2649),
    [anon_sym_BSLASHqd] = ACTIONS(2649),
    [anon_sym_BSLASHlh] = ACTIONS(2649),
    [anon_sym_BSLASHlf] = ACTIONS(2649),
    [anon_sym_BSLASHli] = ACTIONS(2649),
    [anon_sym_BSLASHlim] = ACTIONS(2649),
    [anon_sym_BSLASHliv] = ACTIONS(2649),
    [anon_sym_BSLASHlik] = ACTIONS(2649),
    [anon_sym_BSLASHlitl] = ACTIONS(2649),
    [anon_sym_BSLASHtr] = ACTIONS(2649),
    [anon_sym_BSLASHf] = ACTIONS(2649),
    [anon_sym_BSLASHfe] = ACTIONS(2649),
    [anon_sym_BSLASHef] = ACTIONS(2649),
    [anon_sym_BSLASHfm] = ACTIONS(2649),
    [anon_sym_BSLASHx] = ACTIONS(2649),
    [anon_sym_BSLASHxt] = ACTIONS(2649),
    [anon_sym_BSLASHrq] = ACTIONS(2649),
    [anon_sym_BSLASHadd] = ACTIONS(2649),
    [anon_sym_BSLASHbk] = ACTIONS(2649),
    [anon_sym_BSLASHdc] = ACTIONS(2649),
    [anon_sym_BSLASHk] = ACTIONS(2649),
    [anon_sym_BSLASHnd] = ACTIONS(2649),
    [anon_sym_BSLASHord] = ACTIONS(2649),
    [anon_sym_BSLASHpn] = ACTIONS(2649),
    [anon_sym_BSLASHpng] = ACTIONS(2649),
    [anon_sym_BSLASHaddpn] = ACTIONS(2649),
    [anon_sym_BSLASHqt] = ACTIONS(2649),
    [anon_sym_BSLASHsig] = ACTIONS(2649),
    [anon_sym_BSLASHsls] = ACTIONS(2649),
    [anon_sym_BSLASHtl] = ACTIONS(2649),
    [anon_sym_BSLASHwj] = ACTIONS(2649),
    [anon_sym_BSLASHem] = ACTIONS(2649),
    [anon_sym_BSLASHbd] = ACTIONS(2649),
    [anon_sym_BSLASHit] = ACTIONS(2649),
    [anon_sym_BSLASHbdit] = ACTIONS(2649),
    [anon_sym_BSLASHno] = ACTIONS(2649),
    [anon_sym_BSLASHsc] = ACTIONS(2649),
    [anon_sym_BSLASHsup] = ACTIONS(2649),
    [anon_sym_BSLASHndx] = ACTIONS(2649),
    [anon_sym_BSLASHpro] = ACTIONS(2649),
    [anon_sym_BSLASHrb] = ACTIONS(2649),
    [anon_sym_BSLASHw] = ACTIONS(2649),
    [anon_sym_BSLASHwg] = ACTIONS(2649),
    [anon_sym_BSLASHwh] = ACTIONS(2649),
    [anon_sym_BSLASHwa] = ACTIONS(2649),
    [anon_sym_BSLASHfig] = ACTIONS(2649),
    [anon_sym_BSLASHjmp] = ACTIONS(2649),
    [anon_sym_BSLASHpb] = ACTIONS(2649),
    [anon_sym_BSLASH] = ACTIONS(2649),
    [sym_milestoneStartTag] = ACTIONS(2649),
    [sym_milestoneEndTag] = ACTIONS(2649),
    [sym_zSpaceTag] = ACTIONS(2649),
    [anon_sym_BSLASHesb] = ACTIONS(2649),
  },
  [398] = {
    [ts_builtin_sym_end] = ACTIONS(2643),
    [aux_sym_text_token1] = ACTIONS(2643),
    [anon_sym_BSLASHref] = ACTIONS(2645),
    [anon_sym_BSLASHsts] = ACTIONS(2645),
    [anon_sym_BSLASHrem] = ACTIONS(2645),
    [anon_sym_BSLASHrestore] = ACTIONS(2645),
    [anon_sym_BSLASHlit] = ACTIONS(2645),
    [anon_sym_BSLASHiqt] = ACTIONS(2645),
    [anon_sym_BSLASHip] = ACTIONS(2645),
    [anon_sym_BSLASHiex] = ACTIONS(2645),
    [anon_sym_BSLASHv] = ACTIONS(2645),
    [anon_sym_BSLASHva] = ACTIONS(2645),
    [anon_sym_BSLASHvp] = ACTIONS(2645),
    [anon_sym_BSLASHc] = ACTIONS(2645),
    [anon_sym_BSLASHcl] = ACTIONS(2645),
    [anon_sym_BSLASHca] = ACTIONS(2645),
    [anon_sym_BSLASHcp] = ACTIONS(2645),
    [anon_sym_BSLASHcd] = ACTIONS(2645),
    [anon_sym_BSLASHmte] = ACTIONS(2645),
    [anon_sym_BSLASHms] = ACTIONS(2645),
    [anon_sym_BSLASHmr] = ACTIONS(2645),
    [anon_sym_BSLASHs] = ACTIONS(2645),
    [anon_sym_BSLASHsr] = ACTIONS(2645),
    [anon_sym_BSLASHr] = ACTIONS(2645),
    [anon_sym_BSLASHsp] = ACTIONS(2645),
    [anon_sym_BSLASHd] = ACTIONS(2645),
    [anon_sym_BSLASHsd] = ACTIONS(2645),
    [anon_sym_BSLASHp] = ACTIONS(2645),
    [anon_sym_BSLASHm] = ACTIONS(2645),
    [anon_sym_BSLASHpo] = ACTIONS(2645),
    [anon_sym_BSLASHpr] = ACTIONS(2645),
    [anon_sym_BSLASHcls] = ACTIONS(2645),
    [anon_sym_BSLASHpmo] = ACTIONS(2645),
    [anon_sym_BSLASHpm] = ACTIONS(2645),
    [anon_sym_BSLASHpmc] = ACTIONS(2645),
    [anon_sym_BSLASHpmr] = ACTIONS(2645),
    [anon_sym_BSLASHpi] = ACTIONS(2645),
    [anon_sym_BSLASHmi] = ACTIONS(2645),
    [anon_sym_BSLASHnb] = ACTIONS(2645),
    [anon_sym_BSLASHpc] = ACTIONS(2645),
    [anon_sym_BSLASHph] = ACTIONS(2645),
    [anon_sym_BSLASHb] = ACTIONS(2645),
    [anon_sym_BSLASHq] = ACTIONS(2645),
    [anon_sym_BSLASHqr] = ACTIONS(2645),
    [anon_sym_BSLASHqc] = ACTIONS(2645),
    [anon_sym_BSLASHqa] = ACTIONS(2645),
    [anon_sym_BSLASHqm] = ACTIONS(2645),
    [anon_sym_BSLASHqd] = ACTIONS(2645),
    [anon_sym_BSLASHlh] = ACTIONS(2645),
    [anon_sym_BSLASHlf] = ACTIONS(2645),
    [anon_sym_BSLASHli] = ACTIONS(2645),
    [anon_sym_BSLASHlim] = ACTIONS(2645),
    [anon_sym_BSLASHliv] = ACTIONS(2645),
    [anon_sym_BSLASHlik] = ACTIONS(2645),
    [anon_sym_BSLASHlitl] = ACTIONS(2645),
    [anon_sym_BSLASHtr] = ACTIONS(2645),
    [anon_sym_BSLASHf] = ACTIONS(2645),
    [anon_sym_BSLASHfe] = ACTIONS(2645),
    [anon_sym_BSLASHef] = ACTIONS(2645),
    [anon_sym_BSLASHfm] = ACTIONS(2645),
    [anon_sym_BSLASHx] = ACTIONS(2645),
    [anon_sym_BSLASHxt] = ACTIONS(2645),
    [anon_sym_BSLASHrq] = ACTIONS(2645),
    [anon_sym_BSLASHadd] = ACTIONS(2645),
    [anon_sym_BSLASHbk] = ACTIONS(2645),
    [anon_sym_BSLASHdc] = ACTIONS(2645),
    [anon_sym_BSLASHk] = ACTIONS(2645),
    [anon_sym_BSLASHnd] = ACTIONS(2645),
    [anon_sym_BSLASHord] = ACTIONS(2645),
    [anon_sym_BSLASHpn] = ACTIONS(2645),
    [anon_sym_BSLASHpng] = ACTIONS(2645),
    [anon_sym_BSLASHaddpn] = ACTIONS(2645),
    [anon_sym_BSLASHqt] = ACTIONS(2645),
    [anon_sym_BSLASHsig] = ACTIONS(2645),
    [anon_sym_BSLASHsls] = ACTIONS(2645),
    [anon_sym_BSLASHtl] = ACTIONS(2645),
    [anon_sym_BSLASHwj] = ACTIONS(2645),
    [anon_sym_BSLASHem] = ACTIONS(2645),
    [anon_sym_BSLASHbd] = ACTIONS(2645),
    [anon_sym_BSLASHit] = ACTIONS(2645),
    [anon_sym_BSLASHbdit] = ACTIONS(2645),
    [anon_sym_BSLASHno] = ACTIONS(2645),
    [anon_sym_BSLASHsc] = ACTIONS(2645),
    [anon_sym_BSLASHsup] = ACTIONS(2645),
    [anon_sym_BSLASHndx] = ACTIONS(2645),
    [anon_sym_BSLASHpro] = ACTIONS(2645),
    [anon_sym_BSLASHrb] = ACTIONS(2645),
    [anon_sym_BSLASHw] = ACTIONS(2645),
    [anon_sym_BSLASHwg] = ACTIONS(2645),
    [anon_sym_BSLASHwh] = ACTIONS(2645),
    [anon_sym_BSLASHwa] = ACTIONS(2645),
    [anon_sym_BSLASHfig] = ACTIONS(2645),
    [anon_sym_BSLASHjmp] = ACTIONS(2645),
    [anon_sym_BSLASHpb] = ACTIONS(2645),
    [anon_sym_BSLASH] = ACTIONS(2645),
    [sym_milestoneStartTag] = ACTIONS(2645),
    [sym_milestoneEndTag] = ACTIONS(2645),
    [sym_zSpaceTag] = ACTIONS(2645),
    [anon_sym_BSLASHesb] = ACTIONS(2645),
  },
  [399] = {
    [ts_builtin_sym_end] = ACTIONS(2639),
    [aux_sym_text_token1] = ACTIONS(2639),
    [anon_sym_BSLASHref] = ACTIONS(2641),
    [anon_sym_BSLASHsts] = ACTIONS(2641),
    [anon_sym_BSLASHrem] = ACTIONS(2641),
    [anon_sym_BSLASHrestore] = ACTIONS(2641),
    [anon_sym_BSLASHlit] = ACTIONS(2641),
    [anon_sym_BSLASHiqt] = ACTIONS(2641),
    [anon_sym_BSLASHip] = ACTIONS(2641),
    [anon_sym_BSLASHiex] = ACTIONS(2641),
    [anon_sym_BSLASHv] = ACTIONS(2641),
    [anon_sym_BSLASHva] = ACTIONS(2641),
    [anon_sym_BSLASHvp] = ACTIONS(2641),
    [anon_sym_BSLASHc] = ACTIONS(2641),
    [anon_sym_BSLASHcl] = ACTIONS(2641),
    [anon_sym_BSLASHca] = ACTIONS(2641),
    [anon_sym_BSLASHcp] = ACTIONS(2641),
    [anon_sym_BSLASHcd] = ACTIONS(2641),
    [anon_sym_BSLASHmte] = ACTIONS(2641),
    [anon_sym_BSLASHms] = ACTIONS(2641),
    [anon_sym_BSLASHmr] = ACTIONS(2641),
    [anon_sym_BSLASHs] = ACTIONS(2641),
    [anon_sym_BSLASHsr] = ACTIONS(2641),
    [anon_sym_BSLASHr] = ACTIONS(2641),
    [anon_sym_BSLASHsp] = ACTIONS(2641),
    [anon_sym_BSLASHd] = ACTIONS(2641),
    [anon_sym_BSLASHsd] = ACTIONS(2641),
    [anon_sym_BSLASHp] = ACTIONS(2641),
    [anon_sym_BSLASHm] = ACTIONS(2641),
    [anon_sym_BSLASHpo] = ACTIONS(2641),
    [anon_sym_BSLASHpr] = ACTIONS(2641),
    [anon_sym_BSLASHcls] = ACTIONS(2641),
    [anon_sym_BSLASHpmo] = ACTIONS(2641),
    [anon_sym_BSLASHpm] = ACTIONS(2641),
    [anon_sym_BSLASHpmc] = ACTIONS(2641),
    [anon_sym_BSLASHpmr] = ACTIONS(2641),
    [anon_sym_BSLASHpi] = ACTIONS(2641),
    [anon_sym_BSLASHmi] = ACTIONS(2641),
    [anon_sym_BSLASHnb] = ACTIONS(2641),
    [anon_sym_BSLASHpc] = ACTIONS(2641),
    [anon_sym_BSLASHph] = ACTIONS(2641),
    [anon_sym_BSLASHb] = ACTIONS(2641),
    [anon_sym_BSLASHq] = ACTIONS(2641),
    [anon_sym_BSLASHqr] = ACTIONS(2641),
    [anon_sym_BSLASHqc] = ACTIONS(2641),
    [anon_sym_BSLASHqa] = ACTIONS(2641),
    [anon_sym_BSLASHqm] = ACTIONS(2641),
    [anon_sym_BSLASHqd] = ACTIONS(2641),
    [anon_sym_BSLASHlh] = ACTIONS(2641),
    [anon_sym_BSLASHlf] = ACTIONS(2641),
    [anon_sym_BSLASHli] = ACTIONS(2641),
    [anon_sym_BSLASHlim] = ACTIONS(2641),
    [anon_sym_BSLASHliv] = ACTIONS(2641),
    [anon_sym_BSLASHlik] = ACTIONS(2641),
    [anon_sym_BSLASHlitl] = ACTIONS(2641),
    [anon_sym_BSLASHtr] = ACTIONS(2641),
    [anon_sym_BSLASHf] = ACTIONS(2641),
    [anon_sym_BSLASHfe] = ACTIONS(2641),
    [anon_sym_BSLASHef] = ACTIONS(2641),
    [anon_sym_BSLASHfm] = ACTIONS(2641),
    [anon_sym_BSLASHx] = ACTIONS(2641),
    [anon_sym_BSLASHxt] = ACTIONS(2641),
    [anon_sym_BSLASHrq] = ACTIONS(2641),
    [anon_sym_BSLASHadd] = ACTIONS(2641),
    [anon_sym_BSLASHbk] = ACTIONS(2641),
    [anon_sym_BSLASHdc] = ACTIONS(2641),
    [anon_sym_BSLASHk] = ACTIONS(2641),
    [anon_sym_BSLASHnd] = ACTIONS(2641),
    [anon_sym_BSLASHord] = ACTIONS(2641),
    [anon_sym_BSLASHpn] = ACTIONS(2641),
    [anon_sym_BSLASHpng] = ACTIONS(2641),
    [anon_sym_BSLASHaddpn] = ACTIONS(2641),
    [anon_sym_BSLASHqt] = ACTIONS(2641),
    [anon_sym_BSLASHsig] = ACTIONS(2641),
    [anon_sym_BSLASHsls] = ACTIONS(2641),
    [anon_sym_BSLASHtl] = ACTIONS(2641),
    [anon_sym_BSLASHwj] = ACTIONS(2641),
    [anon_sym_BSLASHem] = ACTIONS(2641),
    [anon_sym_BSLASHbd] = ACTIONS(2641),
    [anon_sym_BSLASHit] = ACTIONS(2641),
    [anon_sym_BSLASHbdit] = ACTIONS(2641),
    [anon_sym_BSLASHno] = ACTIONS(2641),
    [anon_sym_BSLASHsc] = ACTIONS(2641),
    [anon_sym_BSLASHsup] = ACTIONS(2641),
    [anon_sym_BSLASHndx] = ACTIONS(2641),
    [anon_sym_BSLASHpro] = ACTIONS(2641),
    [anon_sym_BSLASHrb] = ACTIONS(2641),
    [anon_sym_BSLASHw] = ACTIONS(2641),
    [anon_sym_BSLASHwg] = ACTIONS(2641),
    [anon_sym_BSLASHwh] = ACTIONS(2641),
    [anon_sym_BSLASHwa] = ACTIONS(2641),
    [anon_sym_BSLASHfig] = ACTIONS(2641),
    [anon_sym_BSLASHjmp] = ACTIONS(2641),
    [anon_sym_BSLASHpb] = ACTIONS(2641),
    [anon_sym_BSLASH] = ACTIONS(2641),
    [sym_milestoneStartTag] = ACTIONS(2641),
    [sym_milestoneEndTag] = ACTIONS(2641),
    [sym_zSpaceTag] = ACTIONS(2641),
    [anon_sym_BSLASHesb] = ACTIONS(2641),
  },
  [400] = {
    [ts_builtin_sym_end] = ACTIONS(2627),
    [aux_sym_text_token1] = ACTIONS(2627),
    [anon_sym_BSLASHref] = ACTIONS(2629),
    [anon_sym_BSLASHsts] = ACTIONS(2629),
    [anon_sym_BSLASHrem] = ACTIONS(2629),
    [anon_sym_BSLASHrestore] = ACTIONS(2629),
    [anon_sym_BSLASHlit] = ACTIONS(2629),
    [anon_sym_BSLASHiqt] = ACTIONS(2629),
    [anon_sym_BSLASHip] = ACTIONS(2629),
    [anon_sym_BSLASHiex] = ACTIONS(2629),
    [anon_sym_BSLASHv] = ACTIONS(2629),
    [anon_sym_BSLASHva] = ACTIONS(2629),
    [anon_sym_BSLASHvp] = ACTIONS(2629),
    [anon_sym_BSLASHc] = ACTIONS(2629),
    [anon_sym_BSLASHcl] = ACTIONS(2629),
    [anon_sym_BSLASHca] = ACTIONS(2629),
    [anon_sym_BSLASHcp] = ACTIONS(2629),
    [anon_sym_BSLASHcd] = ACTIONS(2629),
    [anon_sym_BSLASHmte] = ACTIONS(2629),
    [anon_sym_BSLASHms] = ACTIONS(2629),
    [anon_sym_BSLASHmr] = ACTIONS(2629),
    [anon_sym_BSLASHs] = ACTIONS(2629),
    [anon_sym_BSLASHsr] = ACTIONS(2629),
    [anon_sym_BSLASHr] = ACTIONS(2629),
    [anon_sym_BSLASHsp] = ACTIONS(2629),
    [anon_sym_BSLASHd] = ACTIONS(2629),
    [anon_sym_BSLASHsd] = ACTIONS(2629),
    [anon_sym_BSLASHp] = ACTIONS(2629),
    [anon_sym_BSLASHm] = ACTIONS(2629),
    [anon_sym_BSLASHpo] = ACTIONS(2629),
    [anon_sym_BSLASHpr] = ACTIONS(2629),
    [anon_sym_BSLASHcls] = ACTIONS(2629),
    [anon_sym_BSLASHpmo] = ACTIONS(2629),
    [anon_sym_BSLASHpm] = ACTIONS(2629),
    [anon_sym_BSLASHpmc] = ACTIONS(2629),
    [anon_sym_BSLASHpmr] = ACTIONS(2629),
    [anon_sym_BSLASHpi] = ACTIONS(2629),
    [anon_sym_BSLASHmi] = ACTIONS(2629),
    [anon_sym_BSLASHnb] = ACTIONS(2629),
    [anon_sym_BSLASHpc] = ACTIONS(2629),
    [anon_sym_BSLASHph] = ACTIONS(2629),
    [anon_sym_BSLASHb] = ACTIONS(2629),
    [anon_sym_BSLASHq] = ACTIONS(2629),
    [anon_sym_BSLASHqr] = ACTIONS(2629),
    [anon_sym_BSLASHqc] = ACTIONS(2629),
    [anon_sym_BSLASHqa] = ACTIONS(2629),
    [anon_sym_BSLASHqm] = ACTIONS(2629),
    [anon_sym_BSLASHqd] = ACTIONS(2629),
    [anon_sym_BSLASHlh] = ACTIONS(2629),
    [anon_sym_BSLASHlf] = ACTIONS(2629),
    [anon_sym_BSLASHli] = ACTIONS(2629),
    [anon_sym_BSLASHlim] = ACTIONS(2629),
    [anon_sym_BSLASHliv] = ACTIONS(2629),
    [anon_sym_BSLASHlik] = ACTIONS(2629),
    [anon_sym_BSLASHlitl] = ACTIONS(2629),
    [anon_sym_BSLASHtr] = ACTIONS(2629),
    [anon_sym_BSLASHf] = ACTIONS(2629),
    [anon_sym_BSLASHfe] = ACTIONS(2629),
    [anon_sym_BSLASHef] = ACTIONS(2629),
    [anon_sym_BSLASHfm] = ACTIONS(2629),
    [anon_sym_BSLASHx] = ACTIONS(2629),
    [anon_sym_BSLASHxt] = ACTIONS(2629),
    [anon_sym_BSLASHrq] = ACTIONS(2629),
    [anon_sym_BSLASHadd] = ACTIONS(2629),
    [anon_sym_BSLASHbk] = ACTIONS(2629),
    [anon_sym_BSLASHdc] = ACTIONS(2629),
    [anon_sym_BSLASHk] = ACTIONS(2629),
    [anon_sym_BSLASHnd] = ACTIONS(2629),
    [anon_sym_BSLASHord] = ACTIONS(2629),
    [anon_sym_BSLASHpn] = ACTIONS(2629),
    [anon_sym_BSLASHpng] = ACTIONS(2629),
    [anon_sym_BSLASHaddpn] = ACTIONS(2629),
    [anon_sym_BSLASHqt] = ACTIONS(2629),
    [anon_sym_BSLASHsig] = ACTIONS(2629),
    [anon_sym_BSLASHsls] = ACTIONS(2629),
    [anon_sym_BSLASHtl] = ACTIONS(2629),
    [anon_sym_BSLASHwj] = ACTIONS(2629),
    [anon_sym_BSLASHem] = ACTIONS(2629),
    [anon_sym_BSLASHbd] = ACTIONS(2629),
    [anon_sym_BSLASHit] = ACTIONS(2629),
    [anon_sym_BSLASHbdit] = ACTIONS(2629),
    [anon_sym_BSLASHno] = ACTIONS(2629),
    [anon_sym_BSLASHsc] = ACTIONS(2629),
    [anon_sym_BSLASHsup] = ACTIONS(2629),
    [anon_sym_BSLASHndx] = ACTIONS(2629),
    [anon_sym_BSLASHpro] = ACTIONS(2629),
    [anon_sym_BSLASHrb] = ACTIONS(2629),
    [anon_sym_BSLASHw] = ACTIONS(2629),
    [anon_sym_BSLASHwg] = ACTIONS(2629),
    [anon_sym_BSLASHwh] = ACTIONS(2629),
    [anon_sym_BSLASHwa] = ACTIONS(2629),
    [anon_sym_BSLASHfig] = ACTIONS(2629),
    [anon_sym_BSLASHjmp] = ACTIONS(2629),
    [anon_sym_BSLASHpb] = ACTIONS(2629),
    [anon_sym_BSLASH] = ACTIONS(2629),
    [sym_milestoneStartTag] = ACTIONS(2629),
    [sym_milestoneEndTag] = ACTIONS(2629),
    [sym_zSpaceTag] = ACTIONS(2629),
    [anon_sym_BSLASHesb] = ACTIONS(2629),
  },
  [401] = {
    [ts_builtin_sym_end] = ACTIONS(2727),
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHref] = ACTIONS(2729),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHiqt] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHiex] = ACTIONS(2729),
    [anon_sym_BSLASHv] = ACTIONS(2729),
    [anon_sym_BSLASHva] = ACTIONS(2729),
    [anon_sym_BSLASHvp] = ACTIONS(2729),
    [anon_sym_BSLASHc] = ACTIONS(2729),
    [anon_sym_BSLASHcl] = ACTIONS(2729),
    [anon_sym_BSLASHca] = ACTIONS(2729),
    [anon_sym_BSLASHcp] = ACTIONS(2729),
    [anon_sym_BSLASHcd] = ACTIONS(2729),
    [anon_sym_BSLASHmte] = ACTIONS(2729),
    [anon_sym_BSLASHms] = ACTIONS(2729),
    [anon_sym_BSLASHmr] = ACTIONS(2729),
    [anon_sym_BSLASHs] = ACTIONS(2729),
    [anon_sym_BSLASHsr] = ACTIONS(2729),
    [anon_sym_BSLASHr] = ACTIONS(2729),
    [anon_sym_BSLASHsp] = ACTIONS(2729),
    [anon_sym_BSLASHd] = ACTIONS(2729),
    [anon_sym_BSLASHsd] = ACTIONS(2729),
    [anon_sym_BSLASHp] = ACTIONS(2729),
    [anon_sym_BSLASHm] = ACTIONS(2729),
    [anon_sym_BSLASHpo] = ACTIONS(2729),
    [anon_sym_BSLASHpr] = ACTIONS(2729),
    [anon_sym_BSLASHcls] = ACTIONS(2729),
    [anon_sym_BSLASHpmo] = ACTIONS(2729),
    [anon_sym_BSLASHpm] = ACTIONS(2729),
    [anon_sym_BSLASHpmc] = ACTIONS(2729),
    [anon_sym_BSLASHpmr] = ACTIONS(2729),
    [anon_sym_BSLASHpi] = ACTIONS(2729),
    [anon_sym_BSLASHmi] = ACTIONS(2729),
    [anon_sym_BSLASHnb] = ACTIONS(2729),
    [anon_sym_BSLASHpc] = ACTIONS(2729),
    [anon_sym_BSLASHph] = ACTIONS(2729),
    [anon_sym_BSLASHb] = ACTIONS(2729),
    [anon_sym_BSLASHq] = ACTIONS(2729),
    [anon_sym_BSLASHqr] = ACTIONS(2729),
    [anon_sym_BSLASHqc] = ACTIONS(2729),
    [anon_sym_BSLASHqa] = ACTIONS(2729),
    [anon_sym_BSLASHqm] = ACTIONS(2729),
    [anon_sym_BSLASHqd] = ACTIONS(2729),
    [anon_sym_BSLASHlh] = ACTIONS(2729),
    [anon_sym_BSLASHlf] = ACTIONS(2729),
    [anon_sym_BSLASHli] = ACTIONS(2729),
    [anon_sym_BSLASHlim] = ACTIONS(2729),
    [anon_sym_BSLASHliv] = ACTIONS(2729),
    [anon_sym_BSLASHlik] = ACTIONS(2729),
    [anon_sym_BSLASHlitl] = ACTIONS(2729),
    [anon_sym_BSLASHtr] = ACTIONS(2729),
    [anon_sym_BSLASHf] = ACTIONS(2729),
    [anon_sym_BSLASHfe] = ACTIONS(2729),
    [anon_sym_BSLASHef] = ACTIONS(2729),
    [anon_sym_BSLASHfm] = ACTIONS(2729),
    [anon_sym_BSLASHx] = ACTIONS(2729),
    [anon_sym_BSLASHxt] = ACTIONS(2729),
    [anon_sym_BSLASHrq] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASHfig] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASHpb] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesb] = ACTIONS(2729),
  },
  [402] = {
    [ts_builtin_sym_end] = ACTIONS(2623),
    [aux_sym_text_token1] = ACTIONS(2623),
    [anon_sym_BSLASHref] = ACTIONS(2625),
    [anon_sym_BSLASHsts] = ACTIONS(2625),
    [anon_sym_BSLASHrem] = ACTIONS(2625),
    [anon_sym_BSLASHrestore] = ACTIONS(2625),
    [anon_sym_BSLASHlit] = ACTIONS(2625),
    [anon_sym_BSLASHiqt] = ACTIONS(2625),
    [anon_sym_BSLASHip] = ACTIONS(2625),
    [anon_sym_BSLASHiex] = ACTIONS(2625),
    [anon_sym_BSLASHv] = ACTIONS(2625),
    [anon_sym_BSLASHva] = ACTIONS(2625),
    [anon_sym_BSLASHvp] = ACTIONS(2625),
    [anon_sym_BSLASHc] = ACTIONS(2625),
    [anon_sym_BSLASHcl] = ACTIONS(2625),
    [anon_sym_BSLASHca] = ACTIONS(2625),
    [anon_sym_BSLASHcp] = ACTIONS(2625),
    [anon_sym_BSLASHcd] = ACTIONS(2625),
    [anon_sym_BSLASHmte] = ACTIONS(2625),
    [anon_sym_BSLASHms] = ACTIONS(2625),
    [anon_sym_BSLASHmr] = ACTIONS(2625),
    [anon_sym_BSLASHs] = ACTIONS(2625),
    [anon_sym_BSLASHsr] = ACTIONS(2625),
    [anon_sym_BSLASHr] = ACTIONS(2625),
    [anon_sym_BSLASHsp] = ACTIONS(2625),
    [anon_sym_BSLASHd] = ACTIONS(2625),
    [anon_sym_BSLASHsd] = ACTIONS(2625),
    [anon_sym_BSLASHp] = ACTIONS(2625),
    [anon_sym_BSLASHm] = ACTIONS(2625),
    [anon_sym_BSLASHpo] = ACTIONS(2625),
    [anon_sym_BSLASHpr] = ACTIONS(2625),
    [anon_sym_BSLASHcls] = ACTIONS(2625),
    [anon_sym_BSLASHpmo] = ACTIONS(2625),
    [anon_sym_BSLASHpm] = ACTIONS(2625),
    [anon_sym_BSLASHpmc] = ACTIONS(2625),
    [anon_sym_BSLASHpmr] = ACTIONS(2625),
    [anon_sym_BSLASHpi] = ACTIONS(2625),
    [anon_sym_BSLASHmi] = ACTIONS(2625),
    [anon_sym_BSLASHnb] = ACTIONS(2625),
    [anon_sym_BSLASHpc] = ACTIONS(2625),
    [anon_sym_BSLASHph] = ACTIONS(2625),
    [anon_sym_BSLASHb] = ACTIONS(2625),
    [anon_sym_BSLASHq] = ACTIONS(2625),
    [anon_sym_BSLASHqr] = ACTIONS(2625),
    [anon_sym_BSLASHqc] = ACTIONS(2625),
    [anon_sym_BSLASHqa] = ACTIONS(2625),
    [anon_sym_BSLASHqm] = ACTIONS(2625),
    [anon_sym_BSLASHqd] = ACTIONS(2625),
    [anon_sym_BSLASHlh] = ACTIONS(2625),
    [anon_sym_BSLASHlf] = ACTIONS(2625),
    [anon_sym_BSLASHli] = ACTIONS(2625),
    [anon_sym_BSLASHlim] = ACTIONS(2625),
    [anon_sym_BSLASHliv] = ACTIONS(2625),
    [anon_sym_BSLASHlik] = ACTIONS(2625),
    [anon_sym_BSLASHlitl] = ACTIONS(2625),
    [anon_sym_BSLASHtr] = ACTIONS(2625),
    [anon_sym_BSLASHf] = ACTIONS(2625),
    [anon_sym_BSLASHfe] = ACTIONS(2625),
    [anon_sym_BSLASHef] = ACTIONS(2625),
    [anon_sym_BSLASHfm] = ACTIONS(2625),
    [anon_sym_BSLASHx] = ACTIONS(2625),
    [anon_sym_BSLASHxt] = ACTIONS(2625),
    [anon_sym_BSLASHrq] = ACTIONS(2625),
    [anon_sym_BSLASHadd] = ACTIONS(2625),
    [anon_sym_BSLASHbk] = ACTIONS(2625),
    [anon_sym_BSLASHdc] = ACTIONS(2625),
    [anon_sym_BSLASHk] = ACTIONS(2625),
    [anon_sym_BSLASHnd] = ACTIONS(2625),
    [anon_sym_BSLASHord] = ACTIONS(2625),
    [anon_sym_BSLASHpn] = ACTIONS(2625),
    [anon_sym_BSLASHpng] = ACTIONS(2625),
    [anon_sym_BSLASHaddpn] = ACTIONS(2625),
    [anon_sym_BSLASHqt] = ACTIONS(2625),
    [anon_sym_BSLASHsig] = ACTIONS(2625),
    [anon_sym_BSLASHsls] = ACTIONS(2625),
    [anon_sym_BSLASHtl] = ACTIONS(2625),
    [anon_sym_BSLASHwj] = ACTIONS(2625),
    [anon_sym_BSLASHem] = ACTIONS(2625),
    [anon_sym_BSLASHbd] = ACTIONS(2625),
    [anon_sym_BSLASHit] = ACTIONS(2625),
    [anon_sym_BSLASHbdit] = ACTIONS(2625),
    [anon_sym_BSLASHno] = ACTIONS(2625),
    [anon_sym_BSLASHsc] = ACTIONS(2625),
    [anon_sym_BSLASHsup] = ACTIONS(2625),
    [anon_sym_BSLASHndx] = ACTIONS(2625),
    [anon_sym_BSLASHpro] = ACTIONS(2625),
    [anon_sym_BSLASHrb] = ACTIONS(2625),
    [anon_sym_BSLASHw] = ACTIONS(2625),
    [anon_sym_BSLASHwg] = ACTIONS(2625),
    [anon_sym_BSLASHwh] = ACTIONS(2625),
    [anon_sym_BSLASHwa] = ACTIONS(2625),
    [anon_sym_BSLASHfig] = ACTIONS(2625),
    [anon_sym_BSLASHjmp] = ACTIONS(2625),
    [anon_sym_BSLASHpb] = ACTIONS(2625),
    [anon_sym_BSLASH] = ACTIONS(2625),
    [sym_milestoneStartTag] = ACTIONS(2625),
    [sym_milestoneEndTag] = ACTIONS(2625),
    [sym_zSpaceTag] = ACTIONS(2625),
    [anon_sym_BSLASHesb] = ACTIONS(2625),
  },
  [403] = {
    [ts_builtin_sym_end] = ACTIONS(2683),
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHref] = ACTIONS(2685),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHiqt] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHiex] = ACTIONS(2685),
    [anon_sym_BSLASHv] = ACTIONS(2685),
    [anon_sym_BSLASHva] = ACTIONS(2685),
    [anon_sym_BSLASHvp] = ACTIONS(2685),
    [anon_sym_BSLASHc] = ACTIONS(2685),
    [anon_sym_BSLASHcl] = ACTIONS(2685),
    [anon_sym_BSLASHca] = ACTIONS(2685),
    [anon_sym_BSLASHcp] = ACTIONS(2685),
    [anon_sym_BSLASHcd] = ACTIONS(2685),
    [anon_sym_BSLASHmte] = ACTIONS(2685),
    [anon_sym_BSLASHms] = ACTIONS(2685),
    [anon_sym_BSLASHmr] = ACTIONS(2685),
    [anon_sym_BSLASHs] = ACTIONS(2685),
    [anon_sym_BSLASHsr] = ACTIONS(2685),
    [anon_sym_BSLASHr] = ACTIONS(2685),
    [anon_sym_BSLASHsp] = ACTIONS(2685),
    [anon_sym_BSLASHd] = ACTIONS(2685),
    [anon_sym_BSLASHsd] = ACTIONS(2685),
    [anon_sym_BSLASHp] = ACTIONS(2685),
    [anon_sym_BSLASHm] = ACTIONS(2685),
    [anon_sym_BSLASHpo] = ACTIONS(2685),
    [anon_sym_BSLASHpr] = ACTIONS(2685),
    [anon_sym_BSLASHcls] = ACTIONS(2685),
    [anon_sym_BSLASHpmo] = ACTIONS(2685),
    [anon_sym_BSLASHpm] = ACTIONS(2685),
    [anon_sym_BSLASHpmc] = ACTIONS(2685),
    [anon_sym_BSLASHpmr] = ACTIONS(2685),
    [anon_sym_BSLASHpi] = ACTIONS(2685),
    [anon_sym_BSLASHmi] = ACTIONS(2685),
    [anon_sym_BSLASHnb] = ACTIONS(2685),
    [anon_sym_BSLASHpc] = ACTIONS(2685),
    [anon_sym_BSLASHph] = ACTIONS(2685),
    [anon_sym_BSLASHb] = ACTIONS(2685),
    [anon_sym_BSLASHq] = ACTIONS(2685),
    [anon_sym_BSLASHqr] = ACTIONS(2685),
    [anon_sym_BSLASHqc] = ACTIONS(2685),
    [anon_sym_BSLASHqa] = ACTIONS(2685),
    [anon_sym_BSLASHqm] = ACTIONS(2685),
    [anon_sym_BSLASHqd] = ACTIONS(2685),
    [anon_sym_BSLASHlh] = ACTIONS(2685),
    [anon_sym_BSLASHlf] = ACTIONS(2685),
    [anon_sym_BSLASHli] = ACTIONS(2685),
    [anon_sym_BSLASHlim] = ACTIONS(2685),
    [anon_sym_BSLASHliv] = ACTIONS(2685),
    [anon_sym_BSLASHlik] = ACTIONS(2685),
    [anon_sym_BSLASHlitl] = ACTIONS(2685),
    [anon_sym_BSLASHtr] = ACTIONS(2685),
    [anon_sym_BSLASHf] = ACTIONS(2685),
    [anon_sym_BSLASHfe] = ACTIONS(2685),
    [anon_sym_BSLASHef] = ACTIONS(2685),
    [anon_sym_BSLASHfm] = ACTIONS(2685),
    [anon_sym_BSLASHx] = ACTIONS(2685),
    [anon_sym_BSLASHxt] = ACTIONS(2685),
    [anon_sym_BSLASHrq] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASHfig] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASHpb] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesb] = ACTIONS(2685),
  },
  [404] = {
    [ts_builtin_sym_end] = ACTIONS(3072),
    [aux_sym_text_token1] = ACTIONS(3072),
    [anon_sym_BSLASHref] = ACTIONS(3074),
    [anon_sym_BSLASHsts] = ACTIONS(3074),
    [anon_sym_BSLASHrem] = ACTIONS(3074),
    [anon_sym_BSLASHrestore] = ACTIONS(3074),
    [anon_sym_BSLASHlit] = ACTIONS(3074),
    [anon_sym_BSLASHip] = ACTIONS(3074),
    [anon_sym_BSLASHiex] = ACTIONS(3074),
    [anon_sym_BSLASHv] = ACTIONS(3074),
    [anon_sym_BSLASHva] = ACTIONS(3074),
    [anon_sym_BSLASHvp] = ACTIONS(3074),
    [anon_sym_BSLASHc] = ACTIONS(3074),
    [anon_sym_BSLASHcl] = ACTIONS(3074),
    [anon_sym_BSLASHca] = ACTIONS(3074),
    [anon_sym_BSLASHcp] = ACTIONS(3074),
    [anon_sym_BSLASHcd] = ACTIONS(3074),
    [anon_sym_BSLASHmte] = ACTIONS(3074),
    [anon_sym_BSLASHms] = ACTIONS(3074),
    [anon_sym_BSLASHmr] = ACTIONS(3074),
    [anon_sym_BSLASHs] = ACTIONS(3074),
    [anon_sym_BSLASHsr] = ACTIONS(3074),
    [anon_sym_BSLASHr] = ACTIONS(3074),
    [anon_sym_BSLASHsp] = ACTIONS(3074),
    [anon_sym_BSLASHd] = ACTIONS(3074),
    [anon_sym_BSLASHsd] = ACTIONS(3074),
    [anon_sym_BSLASHp] = ACTIONS(3074),
    [anon_sym_BSLASHm] = ACTIONS(3074),
    [anon_sym_BSLASHpo] = ACTIONS(3074),
    [anon_sym_BSLASHpr] = ACTIONS(3074),
    [anon_sym_BSLASHcls] = ACTIONS(3074),
    [anon_sym_BSLASHpmo] = ACTIONS(3074),
    [anon_sym_BSLASHpm] = ACTIONS(3074),
    [anon_sym_BSLASHpmc] = ACTIONS(3074),
    [anon_sym_BSLASHpmr] = ACTIONS(3074),
    [anon_sym_BSLASHpi] = ACTIONS(3074),
    [anon_sym_BSLASHmi] = ACTIONS(3074),
    [anon_sym_BSLASHnb] = ACTIONS(3074),
    [anon_sym_BSLASHpc] = ACTIONS(3074),
    [anon_sym_BSLASHph] = ACTIONS(3074),
    [anon_sym_BSLASHb] = ACTIONS(3074),
    [anon_sym_BSLASHq] = ACTIONS(3074),
    [anon_sym_BSLASHqr] = ACTIONS(3074),
    [anon_sym_BSLASHqc] = ACTIONS(3074),
    [anon_sym_BSLASHqa] = ACTIONS(3074),
    [anon_sym_BSLASHqm] = ACTIONS(3074),
    [anon_sym_BSLASHqd] = ACTIONS(3074),
    [anon_sym_BSLASHlh] = ACTIONS(3074),
    [anon_sym_BSLASHlf] = ACTIONS(3074),
    [anon_sym_BSLASHli] = ACTIONS(3074),
    [anon_sym_BSLASHlim] = ACTIONS(3074),
    [anon_sym_BSLASHliv] = ACTIONS(3074),
    [anon_sym_BSLASHlik] = ACTIONS(3074),
    [anon_sym_BSLASHlitl] = ACTIONS(3074),
    [anon_sym_BSLASHtr] = ACTIONS(3074),
    [anon_sym_BSLASHf] = ACTIONS(3074),
    [anon_sym_BSLASHfe] = ACTIONS(3074),
    [anon_sym_BSLASHef] = ACTIONS(3074),
    [anon_sym_BSLASHfm] = ACTIONS(3074),
    [anon_sym_BSLASHx] = ACTIONS(3074),
    [anon_sym_BSLASHxt] = ACTIONS(3074),
    [anon_sym_BSLASHrq] = ACTIONS(3074),
    [anon_sym_BSLASHadd] = ACTIONS(3074),
    [anon_sym_BSLASHbk] = ACTIONS(3074),
    [anon_sym_BSLASHdc] = ACTIONS(3074),
    [anon_sym_BSLASHk] = ACTIONS(3074),
    [anon_sym_BSLASHnd] = ACTIONS(3074),
    [anon_sym_BSLASHord] = ACTIONS(3074),
    [anon_sym_BSLASHpn] = ACTIONS(3074),
    [anon_sym_BSLASHpng] = ACTIONS(3074),
    [anon_sym_BSLASHaddpn] = ACTIONS(3074),
    [anon_sym_BSLASHqt] = ACTIONS(3074),
    [anon_sym_BSLASHsig] = ACTIONS(3074),
    [anon_sym_BSLASHsls] = ACTIONS(3074),
    [anon_sym_BSLASHtl] = ACTIONS(3074),
    [anon_sym_BSLASHwj] = ACTIONS(3074),
    [anon_sym_BSLASHem] = ACTIONS(3074),
    [anon_sym_BSLASHbd] = ACTIONS(3074),
    [anon_sym_BSLASHit] = ACTIONS(3074),
    [anon_sym_BSLASHbdit] = ACTIONS(3074),
    [anon_sym_BSLASHno] = ACTIONS(3074),
    [anon_sym_BSLASHsc] = ACTIONS(3074),
    [anon_sym_BSLASHsup] = ACTIONS(3074),
    [anon_sym_BSLASHndx] = ACTIONS(3074),
    [anon_sym_BSLASHpro] = ACTIONS(3074),
    [anon_sym_BSLASHrb] = ACTIONS(3074),
    [anon_sym_BSLASHw] = ACTIONS(3074),
    [anon_sym_BSLASHwg] = ACTIONS(3074),
    [anon_sym_BSLASHwh] = ACTIONS(3074),
    [anon_sym_BSLASHwa] = ACTIONS(3074),
    [anon_sym_BSLASHfig] = ACTIONS(3074),
    [anon_sym_BSLASHjmp] = ACTIONS(3074),
    [anon_sym_BSLASHpb] = ACTIONS(3074),
    [anon_sym_BSLASH] = ACTIONS(3074),
    [sym_milestoneStartTag] = ACTIONS(3074),
    [sym_milestoneEndTag] = ACTIONS(3074),
    [sym_zSpaceTag] = ACTIONS(3074),
    [anon_sym_BSLASHesb] = ACTIONS(3074),
  },
  [405] = {
    [ts_builtin_sym_end] = ACTIONS(3068),
    [aux_sym_text_token1] = ACTIONS(3068),
    [anon_sym_BSLASHref] = ACTIONS(3070),
    [anon_sym_BSLASHsts] = ACTIONS(3070),
    [anon_sym_BSLASHrem] = ACTIONS(3070),
    [anon_sym_BSLASHrestore] = ACTIONS(3070),
    [anon_sym_BSLASHlit] = ACTIONS(3070),
    [anon_sym_BSLASHip] = ACTIONS(3070),
    [anon_sym_BSLASHiex] = ACTIONS(3070),
    [anon_sym_BSLASHv] = ACTIONS(3070),
    [anon_sym_BSLASHva] = ACTIONS(3070),
    [anon_sym_BSLASHvp] = ACTIONS(3070),
    [anon_sym_BSLASHc] = ACTIONS(3070),
    [anon_sym_BSLASHcl] = ACTIONS(3070),
    [anon_sym_BSLASHca] = ACTIONS(3070),
    [anon_sym_BSLASHcp] = ACTIONS(3070),
    [anon_sym_BSLASHcd] = ACTIONS(3070),
    [anon_sym_BSLASHmte] = ACTIONS(3070),
    [anon_sym_BSLASHms] = ACTIONS(3070),
    [anon_sym_BSLASHmr] = ACTIONS(3070),
    [anon_sym_BSLASHs] = ACTIONS(3070),
    [anon_sym_BSLASHsr] = ACTIONS(3070),
    [anon_sym_BSLASHr] = ACTIONS(3070),
    [anon_sym_BSLASHsp] = ACTIONS(3070),
    [anon_sym_BSLASHd] = ACTIONS(3070),
    [anon_sym_BSLASHsd] = ACTIONS(3070),
    [anon_sym_BSLASHp] = ACTIONS(3070),
    [anon_sym_BSLASHm] = ACTIONS(3070),
    [anon_sym_BSLASHpo] = ACTIONS(3070),
    [anon_sym_BSLASHpr] = ACTIONS(3070),
    [anon_sym_BSLASHcls] = ACTIONS(3070),
    [anon_sym_BSLASHpmo] = ACTIONS(3070),
    [anon_sym_BSLASHpm] = ACTIONS(3070),
    [anon_sym_BSLASHpmc] = ACTIONS(3070),
    [anon_sym_BSLASHpmr] = ACTIONS(3070),
    [anon_sym_BSLASHpi] = ACTIONS(3070),
    [anon_sym_BSLASHmi] = ACTIONS(3070),
    [anon_sym_BSLASHnb] = ACTIONS(3070),
    [anon_sym_BSLASHpc] = ACTIONS(3070),
    [anon_sym_BSLASHph] = ACTIONS(3070),
    [anon_sym_BSLASHb] = ACTIONS(3070),
    [anon_sym_BSLASHq] = ACTIONS(3070),
    [anon_sym_BSLASHqr] = ACTIONS(3070),
    [anon_sym_BSLASHqc] = ACTIONS(3070),
    [anon_sym_BSLASHqa] = ACTIONS(3070),
    [anon_sym_BSLASHqm] = ACTIONS(3070),
    [anon_sym_BSLASHqd] = ACTIONS(3070),
    [anon_sym_BSLASHlh] = ACTIONS(3070),
    [anon_sym_BSLASHlf] = ACTIONS(3070),
    [anon_sym_BSLASHli] = ACTIONS(3070),
    [anon_sym_BSLASHlim] = ACTIONS(3070),
    [anon_sym_BSLASHliv] = ACTIONS(3070),
    [anon_sym_BSLASHlik] = ACTIONS(3070),
    [anon_sym_BSLASHlitl] = ACTIONS(3070),
    [anon_sym_BSLASHtr] = ACTIONS(3070),
    [anon_sym_BSLASHf] = ACTIONS(3070),
    [anon_sym_BSLASHfe] = ACTIONS(3070),
    [anon_sym_BSLASHef] = ACTIONS(3070),
    [anon_sym_BSLASHfm] = ACTIONS(3070),
    [anon_sym_BSLASHx] = ACTIONS(3070),
    [anon_sym_BSLASHxt] = ACTIONS(3070),
    [anon_sym_BSLASHrq] = ACTIONS(3070),
    [anon_sym_BSLASHadd] = ACTIONS(3070),
    [anon_sym_BSLASHbk] = ACTIONS(3070),
    [anon_sym_BSLASHdc] = ACTIONS(3070),
    [anon_sym_BSLASHk] = ACTIONS(3070),
    [anon_sym_BSLASHnd] = ACTIONS(3070),
    [anon_sym_BSLASHord] = ACTIONS(3070),
    [anon_sym_BSLASHpn] = ACTIONS(3070),
    [anon_sym_BSLASHpng] = ACTIONS(3070),
    [anon_sym_BSLASHaddpn] = ACTIONS(3070),
    [anon_sym_BSLASHqt] = ACTIONS(3070),
    [anon_sym_BSLASHsig] = ACTIONS(3070),
    [anon_sym_BSLASHsls] = ACTIONS(3070),
    [anon_sym_BSLASHtl] = ACTIONS(3070),
    [anon_sym_BSLASHwj] = ACTIONS(3070),
    [anon_sym_BSLASHem] = ACTIONS(3070),
    [anon_sym_BSLASHbd] = ACTIONS(3070),
    [anon_sym_BSLASHit] = ACTIONS(3070),
    [anon_sym_BSLASHbdit] = ACTIONS(3070),
    [anon_sym_BSLASHno] = ACTIONS(3070),
    [anon_sym_BSLASHsc] = ACTIONS(3070),
    [anon_sym_BSLASHsup] = ACTIONS(3070),
    [anon_sym_BSLASHndx] = ACTIONS(3070),
    [anon_sym_BSLASHpro] = ACTIONS(3070),
    [anon_sym_BSLASHrb] = ACTIONS(3070),
    [anon_sym_BSLASHw] = ACTIONS(3070),
    [anon_sym_BSLASHwg] = ACTIONS(3070),
    [anon_sym_BSLASHwh] = ACTIONS(3070),
    [anon_sym_BSLASHwa] = ACTIONS(3070),
    [anon_sym_BSLASHfig] = ACTIONS(3070),
    [anon_sym_BSLASHjmp] = ACTIONS(3070),
    [anon_sym_BSLASHpb] = ACTIONS(3070),
    [anon_sym_BSLASH] = ACTIONS(3070),
    [sym_milestoneStartTag] = ACTIONS(3070),
    [sym_milestoneEndTag] = ACTIONS(3070),
    [sym_zSpaceTag] = ACTIONS(3070),
    [anon_sym_BSLASHesb] = ACTIONS(3070),
  },
  [406] = {
    [ts_builtin_sym_end] = ACTIONS(3076),
    [aux_sym_text_token1] = ACTIONS(3076),
    [anon_sym_BSLASHref] = ACTIONS(3078),
    [anon_sym_BSLASHsts] = ACTIONS(3078),
    [anon_sym_BSLASHrem] = ACTIONS(3078),
    [anon_sym_BSLASHrestore] = ACTIONS(3078),
    [anon_sym_BSLASHlit] = ACTIONS(3078),
    [anon_sym_BSLASHip] = ACTIONS(3078),
    [anon_sym_BSLASHiex] = ACTIONS(3078),
    [anon_sym_BSLASHv] = ACTIONS(3078),
    [anon_sym_BSLASHva] = ACTIONS(3078),
    [anon_sym_BSLASHvp] = ACTIONS(3078),
    [anon_sym_BSLASHc] = ACTIONS(3078),
    [anon_sym_BSLASHcl] = ACTIONS(3078),
    [anon_sym_BSLASHca] = ACTIONS(3078),
    [anon_sym_BSLASHcp] = ACTIONS(3078),
    [anon_sym_BSLASHcd] = ACTIONS(3078),
    [anon_sym_BSLASHmte] = ACTIONS(3078),
    [anon_sym_BSLASHms] = ACTIONS(3078),
    [anon_sym_BSLASHmr] = ACTIONS(3078),
    [anon_sym_BSLASHs] = ACTIONS(3078),
    [anon_sym_BSLASHsr] = ACTIONS(3078),
    [anon_sym_BSLASHr] = ACTIONS(3078),
    [anon_sym_BSLASHsp] = ACTIONS(3078),
    [anon_sym_BSLASHd] = ACTIONS(3078),
    [anon_sym_BSLASHsd] = ACTIONS(3078),
    [anon_sym_BSLASHp] = ACTIONS(3078),
    [anon_sym_BSLASHm] = ACTIONS(3078),
    [anon_sym_BSLASHpo] = ACTIONS(3078),
    [anon_sym_BSLASHpr] = ACTIONS(3078),
    [anon_sym_BSLASHcls] = ACTIONS(3078),
    [anon_sym_BSLASHpmo] = ACTIONS(3078),
    [anon_sym_BSLASHpm] = ACTIONS(3078),
    [anon_sym_BSLASHpmc] = ACTIONS(3078),
    [anon_sym_BSLASHpmr] = ACTIONS(3078),
    [anon_sym_BSLASHpi] = ACTIONS(3078),
    [anon_sym_BSLASHmi] = ACTIONS(3078),
    [anon_sym_BSLASHnb] = ACTIONS(3078),
    [anon_sym_BSLASHpc] = ACTIONS(3078),
    [anon_sym_BSLASHph] = ACTIONS(3078),
    [anon_sym_BSLASHb] = ACTIONS(3078),
    [anon_sym_BSLASHq] = ACTIONS(3078),
    [anon_sym_BSLASHqr] = ACTIONS(3078),
    [anon_sym_BSLASHqc] = ACTIONS(3078),
    [anon_sym_BSLASHqa] = ACTIONS(3078),
    [anon_sym_BSLASHqm] = ACTIONS(3078),
    [anon_sym_BSLASHqd] = ACTIONS(3078),
    [anon_sym_BSLASHlh] = ACTIONS(3078),
    [anon_sym_BSLASHlf] = ACTIONS(3078),
    [anon_sym_BSLASHli] = ACTIONS(3078),
    [anon_sym_BSLASHlim] = ACTIONS(3078),
    [anon_sym_BSLASHliv] = ACTIONS(3078),
    [anon_sym_BSLASHlik] = ACTIONS(3078),
    [anon_sym_BSLASHlitl] = ACTIONS(3078),
    [anon_sym_BSLASHtr] = ACTIONS(3078),
    [anon_sym_BSLASHf] = ACTIONS(3078),
    [anon_sym_BSLASHfe] = ACTIONS(3078),
    [anon_sym_BSLASHef] = ACTIONS(3078),
    [anon_sym_BSLASHfm] = ACTIONS(3078),
    [anon_sym_BSLASHx] = ACTIONS(3078),
    [anon_sym_BSLASHxt] = ACTIONS(3078),
    [anon_sym_BSLASHrq] = ACTIONS(3078),
    [anon_sym_BSLASHadd] = ACTIONS(3078),
    [anon_sym_BSLASHbk] = ACTIONS(3078),
    [anon_sym_BSLASHdc] = ACTIONS(3078),
    [anon_sym_BSLASHk] = ACTIONS(3078),
    [anon_sym_BSLASHnd] = ACTIONS(3078),
    [anon_sym_BSLASHord] = ACTIONS(3078),
    [anon_sym_BSLASHpn] = ACTIONS(3078),
    [anon_sym_BSLASHpng] = ACTIONS(3078),
    [anon_sym_BSLASHaddpn] = ACTIONS(3078),
    [anon_sym_BSLASHqt] = ACTIONS(3078),
    [anon_sym_BSLASHsig] = ACTIONS(3078),
    [anon_sym_BSLASHsls] = ACTIONS(3078),
    [anon_sym_BSLASHtl] = ACTIONS(3078),
    [anon_sym_BSLASHwj] = ACTIONS(3078),
    [anon_sym_BSLASHem] = ACTIONS(3078),
    [anon_sym_BSLASHbd] = ACTIONS(3078),
    [anon_sym_BSLASHit] = ACTIONS(3078),
    [anon_sym_BSLASHbdit] = ACTIONS(3078),
    [anon_sym_BSLASHno] = ACTIONS(3078),
    [anon_sym_BSLASHsc] = ACTIONS(3078),
    [anon_sym_BSLASHsup] = ACTIONS(3078),
    [anon_sym_BSLASHndx] = ACTIONS(3078),
    [anon_sym_BSLASHpro] = ACTIONS(3078),
    [anon_sym_BSLASHrb] = ACTIONS(3078),
    [anon_sym_BSLASHw] = ACTIONS(3078),
    [anon_sym_BSLASHwg] = ACTIONS(3078),
    [anon_sym_BSLASHwh] = ACTIONS(3078),
    [anon_sym_BSLASHwa] = ACTIONS(3078),
    [anon_sym_BSLASHfig] = ACTIONS(3078),
    [anon_sym_BSLASHjmp] = ACTIONS(3078),
    [anon_sym_BSLASHpb] = ACTIONS(3078),
    [anon_sym_BSLASH] = ACTIONS(3078),
    [sym_milestoneStartTag] = ACTIONS(3078),
    [sym_milestoneEndTag] = ACTIONS(3078),
    [sym_zSpaceTag] = ACTIONS(3078),
    [anon_sym_BSLASHesb] = ACTIONS(3078),
  },
  [407] = {
    [sym__verseMeta] = STATE(407),
    [sym_va] = STATE(407),
    [sym_vp] = STATE(407),
    [aux_sym_v_repeat1] = STATE(407),
    [ts_builtin_sym_end] = ACTIONS(5246),
    [aux_sym_text_token1] = ACTIONS(5246),
    [anon_sym_BSLASHref] = ACTIONS(5248),
    [anon_sym_BSLASHsts] = ACTIONS(5248),
    [anon_sym_BSLASHrem] = ACTIONS(5248),
    [anon_sym_BSLASHrestore] = ACTIONS(5248),
    [anon_sym_BSLASHlit] = ACTIONS(5248),
    [anon_sym_BSLASHip] = ACTIONS(5248),
    [anon_sym_BSLASHiex] = ACTIONS(5248),
    [anon_sym_BSLASHv] = ACTIONS(5248),
    [anon_sym_BSLASHva] = ACTIONS(5306),
    [anon_sym_BSLASHvp] = ACTIONS(5309),
    [anon_sym_BSLASHc] = ACTIONS(5248),
    [anon_sym_BSLASHcl] = ACTIONS(5248),
    [anon_sym_BSLASHca] = ACTIONS(5248),
    [anon_sym_BSLASHcp] = ACTIONS(5248),
    [anon_sym_BSLASHcd] = ACTIONS(5248),
    [anon_sym_BSLASHmte] = ACTIONS(5248),
    [anon_sym_BSLASHms] = ACTIONS(5248),
    [anon_sym_BSLASHs] = ACTIONS(5248),
    [anon_sym_BSLASHr] = ACTIONS(5248),
    [anon_sym_BSLASHsp] = ACTIONS(5248),
    [anon_sym_BSLASHd] = ACTIONS(5248),
    [anon_sym_BSLASHsd] = ACTIONS(5248),
    [anon_sym_BSLASHp] = ACTIONS(5248),
    [anon_sym_BSLASHm] = ACTIONS(5248),
    [anon_sym_BSLASHpo] = ACTIONS(5248),
    [anon_sym_BSLASHpr] = ACTIONS(5248),
    [anon_sym_BSLASHcls] = ACTIONS(5248),
    [anon_sym_BSLASHpmo] = ACTIONS(5248),
    [anon_sym_BSLASHpm] = ACTIONS(5248),
    [anon_sym_BSLASHpmc] = ACTIONS(5248),
    [anon_sym_BSLASHpmr] = ACTIONS(5248),
    [anon_sym_BSLASHpi] = ACTIONS(5248),
    [anon_sym_BSLASHmi] = ACTIONS(5248),
    [anon_sym_BSLASHnb] = ACTIONS(5248),
    [anon_sym_BSLASHpc] = ACTIONS(5248),
    [anon_sym_BSLASHph] = ACTIONS(5248),
    [anon_sym_BSLASHb] = ACTIONS(5248),
    [anon_sym_BSLASHq] = ACTIONS(5248),
    [anon_sym_BSLASHqr] = ACTIONS(5248),
    [anon_sym_BSLASHqc] = ACTIONS(5248),
    [anon_sym_BSLASHqs] = ACTIONS(5248),
    [anon_sym_BSLASHqa] = ACTIONS(5248),
    [anon_sym_BSLASHqac] = ACTIONS(5248),
    [anon_sym_BSLASHqm] = ACTIONS(5248),
    [anon_sym_BSLASHqd] = ACTIONS(5248),
    [anon_sym_BSLASHlh] = ACTIONS(5248),
    [anon_sym_BSLASHli] = ACTIONS(5248),
    [anon_sym_BSLASHlim] = ACTIONS(5248),
    [anon_sym_BSLASHtr] = ACTIONS(5248),
    [anon_sym_BSLASHf] = ACTIONS(5248),
    [anon_sym_BSLASHfe] = ACTIONS(5248),
    [anon_sym_BSLASHef] = ACTIONS(5248),
    [anon_sym_BSLASHfm] = ACTIONS(5248),
    [anon_sym_BSLASHx] = ACTIONS(5248),
    [anon_sym_BSLASHxt] = ACTIONS(5248),
    [anon_sym_BSLASHrq] = ACTIONS(5248),
    [anon_sym_BSLASHadd] = ACTIONS(5248),
    [anon_sym_BSLASHbk] = ACTIONS(5248),
    [anon_sym_BSLASHdc] = ACTIONS(5248),
    [anon_sym_BSLASHk] = ACTIONS(5248),
    [anon_sym_BSLASHnd] = ACTIONS(5248),
    [anon_sym_BSLASHord] = ACTIONS(5248),
    [anon_sym_BSLASHpn] = ACTIONS(5248),
    [anon_sym_BSLASHpng] = ACTIONS(5248),
    [anon_sym_BSLASHaddpn] = ACTIONS(5248),
    [anon_sym_BSLASHqt] = ACTIONS(5248),
    [anon_sym_BSLASHsig] = ACTIONS(5248),
    [anon_sym_BSLASHsls] = ACTIONS(5248),
    [anon_sym_BSLASHtl] = ACTIONS(5248),
    [anon_sym_BSLASHwj] = ACTIONS(5248),
    [anon_sym_BSLASHem] = ACTIONS(5248),
    [anon_sym_BSLASHbd] = ACTIONS(5248),
    [anon_sym_BSLASHit] = ACTIONS(5248),
    [anon_sym_BSLASHbdit] = ACTIONS(5248),
    [anon_sym_BSLASHno] = ACTIONS(5248),
    [anon_sym_BSLASHsc] = ACTIONS(5248),
    [anon_sym_BSLASHsup] = ACTIONS(5248),
    [anon_sym_BSLASHndx] = ACTIONS(5248),
    [anon_sym_BSLASHpro] = ACTIONS(5248),
    [anon_sym_BSLASHrb] = ACTIONS(5248),
    [anon_sym_BSLASHw] = ACTIONS(5248),
    [anon_sym_BSLASHwg] = ACTIONS(5248),
    [anon_sym_BSLASHwh] = ACTIONS(5248),
    [anon_sym_BSLASHwa] = ACTIONS(5248),
    [anon_sym_BSLASHfig] = ACTIONS(5248),
    [anon_sym_BSLASHjmp] = ACTIONS(5248),
    [anon_sym_BSLASHpb] = ACTIONS(5248),
    [anon_sym_BSLASH] = ACTIONS(5248),
    [sym_milestoneStartTag] = ACTIONS(5248),
    [sym_milestoneEndTag] = ACTIONS(5248),
    [sym_zSpaceTag] = ACTIONS(5248),
    [anon_sym_BSLASHesb] = ACTIONS(5248),
  },
  [408] = {
    [ts_builtin_sym_end] = ACTIONS(3104),
    [aux_sym_text_token1] = ACTIONS(3104),
    [anon_sym_BSLASHref] = ACTIONS(3106),
    [anon_sym_BSLASHsts] = ACTIONS(3106),
    [anon_sym_BSLASHrem] = ACTIONS(3106),
    [anon_sym_BSLASHrestore] = ACTIONS(3106),
    [anon_sym_BSLASHlit] = ACTIONS(3106),
    [anon_sym_BSLASHip] = ACTIONS(3106),
    [anon_sym_BSLASHiex] = ACTIONS(3106),
    [anon_sym_BSLASHv] = ACTIONS(3106),
    [anon_sym_BSLASHva] = ACTIONS(3106),
    [anon_sym_BSLASHvp] = ACTIONS(3106),
    [anon_sym_BSLASHc] = ACTIONS(3106),
    [anon_sym_BSLASHcl] = ACTIONS(3106),
    [anon_sym_BSLASHca] = ACTIONS(3106),
    [anon_sym_BSLASHcp] = ACTIONS(3106),
    [anon_sym_BSLASHcd] = ACTIONS(3106),
    [anon_sym_BSLASHmte] = ACTIONS(3106),
    [anon_sym_BSLASHms] = ACTIONS(3106),
    [anon_sym_BSLASHmr] = ACTIONS(3106),
    [anon_sym_BSLASHs] = ACTIONS(3106),
    [anon_sym_BSLASHsr] = ACTIONS(3106),
    [anon_sym_BSLASHr] = ACTIONS(3106),
    [anon_sym_BSLASHsp] = ACTIONS(3106),
    [anon_sym_BSLASHd] = ACTIONS(3106),
    [anon_sym_BSLASHsd] = ACTIONS(3106),
    [anon_sym_BSLASHp] = ACTIONS(3106),
    [anon_sym_BSLASHm] = ACTIONS(3106),
    [anon_sym_BSLASHpo] = ACTIONS(3106),
    [anon_sym_BSLASHpr] = ACTIONS(3106),
    [anon_sym_BSLASHcls] = ACTIONS(3106),
    [anon_sym_BSLASHpmo] = ACTIONS(3106),
    [anon_sym_BSLASHpm] = ACTIONS(3106),
    [anon_sym_BSLASHpmc] = ACTIONS(3106),
    [anon_sym_BSLASHpmr] = ACTIONS(3106),
    [anon_sym_BSLASHpi] = ACTIONS(3106),
    [anon_sym_BSLASHmi] = ACTIONS(3106),
    [anon_sym_BSLASHnb] = ACTIONS(3106),
    [anon_sym_BSLASHpc] = ACTIONS(3106),
    [anon_sym_BSLASHph] = ACTIONS(3106),
    [anon_sym_BSLASHb] = ACTIONS(3106),
    [anon_sym_BSLASHq] = ACTIONS(3106),
    [anon_sym_BSLASHqr] = ACTIONS(3106),
    [anon_sym_BSLASHqc] = ACTIONS(3106),
    [anon_sym_BSLASHqa] = ACTIONS(3106),
    [anon_sym_BSLASHqm] = ACTIONS(3106),
    [anon_sym_BSLASHqd] = ACTIONS(3106),
    [anon_sym_BSLASHlh] = ACTIONS(3106),
    [anon_sym_BSLASHlf] = ACTIONS(3106),
    [anon_sym_BSLASHli] = ACTIONS(3106),
    [anon_sym_BSLASHlim] = ACTIONS(3106),
    [anon_sym_BSLASHliv] = ACTIONS(3106),
    [anon_sym_BSLASHlik] = ACTIONS(3106),
    [anon_sym_BSLASHlitl] = ACTIONS(3106),
    [anon_sym_BSLASHtr] = ACTIONS(3106),
    [anon_sym_BSLASHf] = ACTIONS(3106),
    [anon_sym_BSLASHfe] = ACTIONS(3106),
    [anon_sym_BSLASHef] = ACTIONS(3106),
    [anon_sym_BSLASHfm] = ACTIONS(3106),
    [anon_sym_BSLASHx] = ACTIONS(3106),
    [anon_sym_BSLASHxt] = ACTIONS(3106),
    [anon_sym_BSLASHrq] = ACTIONS(3106),
    [anon_sym_BSLASHadd] = ACTIONS(3106),
    [anon_sym_BSLASHbk] = ACTIONS(3106),
    [anon_sym_BSLASHdc] = ACTIONS(3106),
    [anon_sym_BSLASHk] = ACTIONS(3106),
    [anon_sym_BSLASHnd] = ACTIONS(3106),
    [anon_sym_BSLASHord] = ACTIONS(3106),
    [anon_sym_BSLASHpn] = ACTIONS(3106),
    [anon_sym_BSLASHpng] = ACTIONS(3106),
    [anon_sym_BSLASHaddpn] = ACTIONS(3106),
    [anon_sym_BSLASHqt] = ACTIONS(3106),
    [anon_sym_BSLASHsig] = ACTIONS(3106),
    [anon_sym_BSLASHsls] = ACTIONS(3106),
    [anon_sym_BSLASHtl] = ACTIONS(3106),
    [anon_sym_BSLASHwj] = ACTIONS(3106),
    [anon_sym_BSLASHem] = ACTIONS(3106),
    [anon_sym_BSLASHbd] = ACTIONS(3106),
    [anon_sym_BSLASHit] = ACTIONS(3106),
    [anon_sym_BSLASHbdit] = ACTIONS(3106),
    [anon_sym_BSLASHno] = ACTIONS(3106),
    [anon_sym_BSLASHsc] = ACTIONS(3106),
    [anon_sym_BSLASHsup] = ACTIONS(3106),
    [anon_sym_BSLASHndx] = ACTIONS(3106),
    [anon_sym_BSLASHpro] = ACTIONS(3106),
    [anon_sym_BSLASHrb] = ACTIONS(3106),
    [anon_sym_BSLASHw] = ACTIONS(3106),
    [anon_sym_BSLASHwg] = ACTIONS(3106),
    [anon_sym_BSLASHwh] = ACTIONS(3106),
    [anon_sym_BSLASHwa] = ACTIONS(3106),
    [anon_sym_BSLASHfig] = ACTIONS(3106),
    [anon_sym_BSLASHjmp] = ACTIONS(3106),
    [anon_sym_BSLASHpb] = ACTIONS(3106),
    [anon_sym_BSLASH] = ACTIONS(3106),
    [sym_milestoneStartTag] = ACTIONS(3106),
    [sym_milestoneEndTag] = ACTIONS(3106),
    [sym_zSpaceTag] = ACTIONS(3106),
    [anon_sym_BSLASHesb] = ACTIONS(3106),
  },
  [409] = {
    [sym__milestoneAttributes] = STATE(2070),
    [ts_builtin_sym_end] = ACTIONS(5234),
    [aux_sym_text_token1] = ACTIONS(5234),
    [anon_sym_BSLASHref] = ACTIONS(5236),
    [anon_sym_BSLASHsts] = ACTIONS(5236),
    [anon_sym_BSLASHrem] = ACTIONS(5236),
    [anon_sym_BSLASHrestore] = ACTIONS(5236),
    [anon_sym_BSLASHlit] = ACTIONS(5236),
    [anon_sym_BSLASHip] = ACTIONS(5236),
    [anon_sym_BSLASHiex] = ACTIONS(5236),
    [anon_sym_BSLASHv] = ACTIONS(5236),
    [anon_sym_BSLASHva] = ACTIONS(5236),
    [anon_sym_BSLASHvp] = ACTIONS(5236),
    [anon_sym_BSLASHc] = ACTIONS(5236),
    [anon_sym_BSLASHcl] = ACTIONS(5236),
    [anon_sym_BSLASHca] = ACTIONS(5236),
    [anon_sym_BSLASHcp] = ACTIONS(5236),
    [anon_sym_BSLASHcd] = ACTIONS(5236),
    [anon_sym_BSLASHmte] = ACTIONS(5236),
    [anon_sym_BSLASHms] = ACTIONS(5236),
    [anon_sym_BSLASHs] = ACTIONS(5236),
    [anon_sym_BSLASHr] = ACTIONS(5236),
    [anon_sym_BSLASHsp] = ACTIONS(5236),
    [anon_sym_BSLASHd] = ACTIONS(5236),
    [anon_sym_BSLASHsd] = ACTIONS(5236),
    [anon_sym_BSLASHp] = ACTIONS(5236),
    [anon_sym_BSLASHm] = ACTIONS(5236),
    [anon_sym_BSLASHpo] = ACTIONS(5236),
    [anon_sym_BSLASHpr] = ACTIONS(5236),
    [anon_sym_BSLASHcls] = ACTIONS(5236),
    [anon_sym_BSLASHpmo] = ACTIONS(5236),
    [anon_sym_BSLASHpm] = ACTIONS(5236),
    [anon_sym_BSLASHpmc] = ACTIONS(5236),
    [anon_sym_BSLASHpmr] = ACTIONS(5236),
    [anon_sym_BSLASHpi] = ACTIONS(5236),
    [anon_sym_BSLASHmi] = ACTIONS(5236),
    [anon_sym_BSLASHnb] = ACTIONS(5236),
    [anon_sym_BSLASHpc] = ACTIONS(5236),
    [anon_sym_BSLASHph] = ACTIONS(5236),
    [anon_sym_BSLASHb] = ACTIONS(5236),
    [anon_sym_BSLASHq] = ACTIONS(5236),
    [anon_sym_BSLASHqr] = ACTIONS(5236),
    [anon_sym_BSLASHqc] = ACTIONS(5236),
    [anon_sym_BSLASHqs] = ACTIONS(5236),
    [anon_sym_BSLASHqa] = ACTIONS(5236),
    [anon_sym_BSLASHqac] = ACTIONS(5236),
    [anon_sym_BSLASHqm] = ACTIONS(5236),
    [anon_sym_BSLASHqd] = ACTIONS(5236),
    [anon_sym_BSLASHlh] = ACTIONS(5236),
    [anon_sym_BSLASHli] = ACTIONS(5236),
    [anon_sym_BSLASHlim] = ACTIONS(5236),
    [anon_sym_BSLASHtr] = ACTIONS(5236),
    [anon_sym_BSLASHf] = ACTIONS(5236),
    [anon_sym_BSLASHfe] = ACTIONS(5236),
    [anon_sym_BSLASHef] = ACTIONS(5236),
    [anon_sym_BSLASHfm] = ACTIONS(5236),
    [anon_sym_BSLASHx] = ACTIONS(5236),
    [anon_sym_BSLASHxt] = ACTIONS(5236),
    [anon_sym_BSLASHrq] = ACTIONS(5236),
    [anon_sym_BSLASHadd] = ACTIONS(5236),
    [anon_sym_BSLASHbk] = ACTIONS(5236),
    [anon_sym_BSLASHdc] = ACTIONS(5236),
    [anon_sym_BSLASHk] = ACTIONS(5236),
    [anon_sym_BSLASHnd] = ACTIONS(5236),
    [anon_sym_BSLASHord] = ACTIONS(5236),
    [anon_sym_BSLASHpn] = ACTIONS(5236),
    [anon_sym_BSLASHpng] = ACTIONS(5236),
    [anon_sym_BSLASHaddpn] = ACTIONS(5236),
    [anon_sym_BSLASHqt] = ACTIONS(5236),
    [anon_sym_BSLASHsig] = ACTIONS(5236),
    [anon_sym_BSLASHsls] = ACTIONS(5236),
    [anon_sym_BSLASHtl] = ACTIONS(5236),
    [anon_sym_BSLASHwj] = ACTIONS(5236),
    [anon_sym_BSLASHem] = ACTIONS(5236),
    [anon_sym_BSLASHbd] = ACTIONS(5236),
    [anon_sym_BSLASHit] = ACTIONS(5236),
    [anon_sym_BSLASHbdit] = ACTIONS(5236),
    [anon_sym_BSLASHno] = ACTIONS(5236),
    [anon_sym_BSLASHsc] = ACTIONS(5236),
    [anon_sym_BSLASHsup] = ACTIONS(5236),
    [anon_sym_BSLASHndx] = ACTIONS(5236),
    [anon_sym_BSLASHpro] = ACTIONS(5236),
    [anon_sym_BSLASHrb] = ACTIONS(5236),
    [anon_sym_BSLASHw] = ACTIONS(5236),
    [anon_sym_BSLASHwg] = ACTIONS(5236),
    [anon_sym_BSLASHwh] = ACTIONS(5236),
    [anon_sym_BSLASHwa] = ACTIONS(5236),
    [anon_sym_BSLASHfig] = ACTIONS(5236),
    [anon_sym_BSLASHjmp] = ACTIONS(5236),
    [anon_sym_BSLASHpb] = ACTIONS(5236),
    [anon_sym_BSLASH] = ACTIONS(5236),
    [anon_sym_BSLASH_STAR] = ACTIONS(5312),
    [sym_milestoneStartTag] = ACTIONS(5236),
    [sym_milestoneEndTag] = ACTIONS(5236),
    [sym_zSpaceTag] = ACTIONS(5236),
    [sym__zSpaceClose] = ACTIONS(5314),
    [anon_sym_BSLASHesb] = ACTIONS(5236),
    [anon_sym_PIPE] = ACTIONS(5052),
  },
  [410] = {
    [ts_builtin_sym_end] = ACTIONS(3100),
    [aux_sym_text_token1] = ACTIONS(3100),
    [anon_sym_BSLASHref] = ACTIONS(3102),
    [anon_sym_BSLASHsts] = ACTIONS(3102),
    [anon_sym_BSLASHrem] = ACTIONS(3102),
    [anon_sym_BSLASHrestore] = ACTIONS(3102),
    [anon_sym_BSLASHlit] = ACTIONS(3102),
    [anon_sym_BSLASHip] = ACTIONS(3102),
    [anon_sym_BSLASHiex] = ACTIONS(3102),
    [anon_sym_BSLASHv] = ACTIONS(3102),
    [anon_sym_BSLASHva] = ACTIONS(3102),
    [anon_sym_BSLASHvp] = ACTIONS(3102),
    [anon_sym_BSLASHc] = ACTIONS(3102),
    [anon_sym_BSLASHcl] = ACTIONS(3102),
    [anon_sym_BSLASHca] = ACTIONS(3102),
    [anon_sym_BSLASHcp] = ACTIONS(3102),
    [anon_sym_BSLASHcd] = ACTIONS(3102),
    [anon_sym_BSLASHmte] = ACTIONS(3102),
    [anon_sym_BSLASHms] = ACTIONS(3102),
    [anon_sym_BSLASHmr] = ACTIONS(3102),
    [anon_sym_BSLASHs] = ACTIONS(3102),
    [anon_sym_BSLASHsr] = ACTIONS(3102),
    [anon_sym_BSLASHr] = ACTIONS(3102),
    [anon_sym_BSLASHsp] = ACTIONS(3102),
    [anon_sym_BSLASHd] = ACTIONS(3102),
    [anon_sym_BSLASHsd] = ACTIONS(3102),
    [anon_sym_BSLASHp] = ACTIONS(3102),
    [anon_sym_BSLASHm] = ACTIONS(3102),
    [anon_sym_BSLASHpo] = ACTIONS(3102),
    [anon_sym_BSLASHpr] = ACTIONS(3102),
    [anon_sym_BSLASHcls] = ACTIONS(3102),
    [anon_sym_BSLASHpmo] = ACTIONS(3102),
    [anon_sym_BSLASHpm] = ACTIONS(3102),
    [anon_sym_BSLASHpmc] = ACTIONS(3102),
    [anon_sym_BSLASHpmr] = ACTIONS(3102),
    [anon_sym_BSLASHpi] = ACTIONS(3102),
    [anon_sym_BSLASHmi] = ACTIONS(3102),
    [anon_sym_BSLASHnb] = ACTIONS(3102),
    [anon_sym_BSLASHpc] = ACTIONS(3102),
    [anon_sym_BSLASHph] = ACTIONS(3102),
    [anon_sym_BSLASHb] = ACTIONS(3102),
    [anon_sym_BSLASHq] = ACTIONS(3102),
    [anon_sym_BSLASHqr] = ACTIONS(3102),
    [anon_sym_BSLASHqc] = ACTIONS(3102),
    [anon_sym_BSLASHqa] = ACTIONS(3102),
    [anon_sym_BSLASHqm] = ACTIONS(3102),
    [anon_sym_BSLASHqd] = ACTIONS(3102),
    [anon_sym_BSLASHlh] = ACTIONS(3102),
    [anon_sym_BSLASHlf] = ACTIONS(3102),
    [anon_sym_BSLASHli] = ACTIONS(3102),
    [anon_sym_BSLASHlim] = ACTIONS(3102),
    [anon_sym_BSLASHliv] = ACTIONS(3102),
    [anon_sym_BSLASHlik] = ACTIONS(3102),
    [anon_sym_BSLASHlitl] = ACTIONS(3102),
    [anon_sym_BSLASHtr] = ACTIONS(3102),
    [anon_sym_BSLASHf] = ACTIONS(3102),
    [anon_sym_BSLASHfe] = ACTIONS(3102),
    [anon_sym_BSLASHef] = ACTIONS(3102),
    [anon_sym_BSLASHfm] = ACTIONS(3102),
    [anon_sym_BSLASHx] = ACTIONS(3102),
    [anon_sym_BSLASHxt] = ACTIONS(3102),
    [anon_sym_BSLASHrq] = ACTIONS(3102),
    [anon_sym_BSLASHadd] = ACTIONS(3102),
    [anon_sym_BSLASHbk] = ACTIONS(3102),
    [anon_sym_BSLASHdc] = ACTIONS(3102),
    [anon_sym_BSLASHk] = ACTIONS(3102),
    [anon_sym_BSLASHnd] = ACTIONS(3102),
    [anon_sym_BSLASHord] = ACTIONS(3102),
    [anon_sym_BSLASHpn] = ACTIONS(3102),
    [anon_sym_BSLASHpng] = ACTIONS(3102),
    [anon_sym_BSLASHaddpn] = ACTIONS(3102),
    [anon_sym_BSLASHqt] = ACTIONS(3102),
    [anon_sym_BSLASHsig] = ACTIONS(3102),
    [anon_sym_BSLASHsls] = ACTIONS(3102),
    [anon_sym_BSLASHtl] = ACTIONS(3102),
    [anon_sym_BSLASHwj] = ACTIONS(3102),
    [anon_sym_BSLASHem] = ACTIONS(3102),
    [anon_sym_BSLASHbd] = ACTIONS(3102),
    [anon_sym_BSLASHit] = ACTIONS(3102),
    [anon_sym_BSLASHbdit] = ACTIONS(3102),
    [anon_sym_BSLASHno] = ACTIONS(3102),
    [anon_sym_BSLASHsc] = ACTIONS(3102),
    [anon_sym_BSLASHsup] = ACTIONS(3102),
    [anon_sym_BSLASHndx] = ACTIONS(3102),
    [anon_sym_BSLASHpro] = ACTIONS(3102),
    [anon_sym_BSLASHrb] = ACTIONS(3102),
    [anon_sym_BSLASHw] = ACTIONS(3102),
    [anon_sym_BSLASHwg] = ACTIONS(3102),
    [anon_sym_BSLASHwh] = ACTIONS(3102),
    [anon_sym_BSLASHwa] = ACTIONS(3102),
    [anon_sym_BSLASHfig] = ACTIONS(3102),
    [anon_sym_BSLASHjmp] = ACTIONS(3102),
    [anon_sym_BSLASHpb] = ACTIONS(3102),
    [anon_sym_BSLASH] = ACTIONS(3102),
    [sym_milestoneStartTag] = ACTIONS(3102),
    [sym_milestoneEndTag] = ACTIONS(3102),
    [sym_zSpaceTag] = ACTIONS(3102),
    [anon_sym_BSLASHesb] = ACTIONS(3102),
  },
  [411] = {
    [sym__verseMeta] = STATE(407),
    [sym_va] = STATE(407),
    [sym_vp] = STATE(407),
    [aux_sym_v_repeat1] = STATE(407),
    [ts_builtin_sym_end] = ACTIONS(5242),
    [aux_sym_text_token1] = ACTIONS(5242),
    [anon_sym_BSLASHref] = ACTIONS(5244),
    [anon_sym_BSLASHsts] = ACTIONS(5244),
    [anon_sym_BSLASHrem] = ACTIONS(5244),
    [anon_sym_BSLASHrestore] = ACTIONS(5244),
    [anon_sym_BSLASHlit] = ACTIONS(5244),
    [anon_sym_BSLASHip] = ACTIONS(5244),
    [anon_sym_BSLASHiex] = ACTIONS(5244),
    [anon_sym_BSLASHv] = ACTIONS(5244),
    [anon_sym_BSLASHva] = ACTIONS(476),
    [anon_sym_BSLASHvp] = ACTIONS(478),
    [anon_sym_BSLASHc] = ACTIONS(5244),
    [anon_sym_BSLASHcl] = ACTIONS(5244),
    [anon_sym_BSLASHca] = ACTIONS(5244),
    [anon_sym_BSLASHcp] = ACTIONS(5244),
    [anon_sym_BSLASHcd] = ACTIONS(5244),
    [anon_sym_BSLASHmte] = ACTIONS(5244),
    [anon_sym_BSLASHms] = ACTIONS(5244),
    [anon_sym_BSLASHs] = ACTIONS(5244),
    [anon_sym_BSLASHr] = ACTIONS(5244),
    [anon_sym_BSLASHsp] = ACTIONS(5244),
    [anon_sym_BSLASHd] = ACTIONS(5244),
    [anon_sym_BSLASHsd] = ACTIONS(5244),
    [anon_sym_BSLASHp] = ACTIONS(5244),
    [anon_sym_BSLASHm] = ACTIONS(5244),
    [anon_sym_BSLASHpo] = ACTIONS(5244),
    [anon_sym_BSLASHpr] = ACTIONS(5244),
    [anon_sym_BSLASHcls] = ACTIONS(5244),
    [anon_sym_BSLASHpmo] = ACTIONS(5244),
    [anon_sym_BSLASHpm] = ACTIONS(5244),
    [anon_sym_BSLASHpmc] = ACTIONS(5244),
    [anon_sym_BSLASHpmr] = ACTIONS(5244),
    [anon_sym_BSLASHpi] = ACTIONS(5244),
    [anon_sym_BSLASHmi] = ACTIONS(5244),
    [anon_sym_BSLASHnb] = ACTIONS(5244),
    [anon_sym_BSLASHpc] = ACTIONS(5244),
    [anon_sym_BSLASHph] = ACTIONS(5244),
    [anon_sym_BSLASHb] = ACTIONS(5244),
    [anon_sym_BSLASHq] = ACTIONS(5244),
    [anon_sym_BSLASHqr] = ACTIONS(5244),
    [anon_sym_BSLASHqc] = ACTIONS(5244),
    [anon_sym_BSLASHqs] = ACTIONS(5244),
    [anon_sym_BSLASHqa] = ACTIONS(5244),
    [anon_sym_BSLASHqac] = ACTIONS(5244),
    [anon_sym_BSLASHqm] = ACTIONS(5244),
    [anon_sym_BSLASHqd] = ACTIONS(5244),
    [anon_sym_BSLASHlh] = ACTIONS(5244),
    [anon_sym_BSLASHli] = ACTIONS(5244),
    [anon_sym_BSLASHlim] = ACTIONS(5244),
    [anon_sym_BSLASHtr] = ACTIONS(5244),
    [anon_sym_BSLASHf] = ACTIONS(5244),
    [anon_sym_BSLASHfe] = ACTIONS(5244),
    [anon_sym_BSLASHef] = ACTIONS(5244),
    [anon_sym_BSLASHfm] = ACTIONS(5244),
    [anon_sym_BSLASHx] = ACTIONS(5244),
    [anon_sym_BSLASHxt] = ACTIONS(5244),
    [anon_sym_BSLASHrq] = ACTIONS(5244),
    [anon_sym_BSLASHadd] = ACTIONS(5244),
    [anon_sym_BSLASHbk] = ACTIONS(5244),
    [anon_sym_BSLASHdc] = ACTIONS(5244),
    [anon_sym_BSLASHk] = ACTIONS(5244),
    [anon_sym_BSLASHnd] = ACTIONS(5244),
    [anon_sym_BSLASHord] = ACTIONS(5244),
    [anon_sym_BSLASHpn] = ACTIONS(5244),
    [anon_sym_BSLASHpng] = ACTIONS(5244),
    [anon_sym_BSLASHaddpn] = ACTIONS(5244),
    [anon_sym_BSLASHqt] = ACTIONS(5244),
    [anon_sym_BSLASHsig] = ACTIONS(5244),
    [anon_sym_BSLASHsls] = ACTIONS(5244),
    [anon_sym_BSLASHtl] = ACTIONS(5244),
    [anon_sym_BSLASHwj] = ACTIONS(5244),
    [anon_sym_BSLASHem] = ACTIONS(5244),
    [anon_sym_BSLASHbd] = ACTIONS(5244),
    [anon_sym_BSLASHit] = ACTIONS(5244),
    [anon_sym_BSLASHbdit] = ACTIONS(5244),
    [anon_sym_BSLASHno] = ACTIONS(5244),
    [anon_sym_BSLASHsc] = ACTIONS(5244),
    [anon_sym_BSLASHsup] = ACTIONS(5244),
    [anon_sym_BSLASHndx] = ACTIONS(5244),
    [anon_sym_BSLASHpro] = ACTIONS(5244),
    [anon_sym_BSLASHrb] = ACTIONS(5244),
    [anon_sym_BSLASHw] = ACTIONS(5244),
    [anon_sym_BSLASHwg] = ACTIONS(5244),
    [anon_sym_BSLASHwh] = ACTIONS(5244),
    [anon_sym_BSLASHwa] = ACTIONS(5244),
    [anon_sym_BSLASHfig] = ACTIONS(5244),
    [anon_sym_BSLASHjmp] = ACTIONS(5244),
    [anon_sym_BSLASHpb] = ACTIONS(5244),
    [anon_sym_BSLASH] = ACTIONS(5244),
    [sym_milestoneStartTag] = ACTIONS(5244),
    [sym_milestoneEndTag] = ACTIONS(5244),
    [sym_zSpaceTag] = ACTIONS(5244),
    [anon_sym_BSLASHesb] = ACTIONS(5244),
  },
  [412] = {
    [sym__verseMeta] = STATE(411),
    [sym_va] = STATE(411),
    [sym_vp] = STATE(411),
    [aux_sym_v_repeat1] = STATE(411),
    [ts_builtin_sym_end] = ACTIONS(5128),
    [aux_sym_text_token1] = ACTIONS(5128),
    [anon_sym_BSLASHref] = ACTIONS(5130),
    [anon_sym_BSLASHsts] = ACTIONS(5130),
    [anon_sym_BSLASHrem] = ACTIONS(5130),
    [anon_sym_BSLASHrestore] = ACTIONS(5130),
    [anon_sym_BSLASHlit] = ACTIONS(5130),
    [anon_sym_BSLASHip] = ACTIONS(5130),
    [anon_sym_BSLASHiex] = ACTIONS(5130),
    [anon_sym_BSLASHv] = ACTIONS(5130),
    [anon_sym_BSLASHva] = ACTIONS(476),
    [anon_sym_BSLASHvp] = ACTIONS(478),
    [anon_sym_BSLASHc] = ACTIONS(5130),
    [anon_sym_BSLASHcl] = ACTIONS(5130),
    [anon_sym_BSLASHca] = ACTIONS(5130),
    [anon_sym_BSLASHcp] = ACTIONS(5130),
    [anon_sym_BSLASHcd] = ACTIONS(5130),
    [anon_sym_BSLASHmte] = ACTIONS(5130),
    [anon_sym_BSLASHms] = ACTIONS(5130),
    [anon_sym_BSLASHs] = ACTIONS(5130),
    [anon_sym_BSLASHr] = ACTIONS(5130),
    [anon_sym_BSLASHsp] = ACTIONS(5130),
    [anon_sym_BSLASHd] = ACTIONS(5130),
    [anon_sym_BSLASHsd] = ACTIONS(5130),
    [anon_sym_BSLASHp] = ACTIONS(5130),
    [anon_sym_BSLASHm] = ACTIONS(5130),
    [anon_sym_BSLASHpo] = ACTIONS(5130),
    [anon_sym_BSLASHpr] = ACTIONS(5130),
    [anon_sym_BSLASHcls] = ACTIONS(5130),
    [anon_sym_BSLASHpmo] = ACTIONS(5130),
    [anon_sym_BSLASHpm] = ACTIONS(5130),
    [anon_sym_BSLASHpmc] = ACTIONS(5130),
    [anon_sym_BSLASHpmr] = ACTIONS(5130),
    [anon_sym_BSLASHpi] = ACTIONS(5130),
    [anon_sym_BSLASHmi] = ACTIONS(5130),
    [anon_sym_BSLASHnb] = ACTIONS(5130),
    [anon_sym_BSLASHpc] = ACTIONS(5130),
    [anon_sym_BSLASHph] = ACTIONS(5130),
    [anon_sym_BSLASHb] = ACTIONS(5130),
    [anon_sym_BSLASHq] = ACTIONS(5130),
    [anon_sym_BSLASHqr] = ACTIONS(5130),
    [anon_sym_BSLASHqc] = ACTIONS(5130),
    [anon_sym_BSLASHqs] = ACTIONS(5130),
    [anon_sym_BSLASHqa] = ACTIONS(5130),
    [anon_sym_BSLASHqac] = ACTIONS(5130),
    [anon_sym_BSLASHqm] = ACTIONS(5130),
    [anon_sym_BSLASHqd] = ACTIONS(5130),
    [anon_sym_BSLASHlh] = ACTIONS(5130),
    [anon_sym_BSLASHli] = ACTIONS(5130),
    [anon_sym_BSLASHlim] = ACTIONS(5130),
    [anon_sym_BSLASHtr] = ACTIONS(5130),
    [anon_sym_BSLASHf] = ACTIONS(5130),
    [anon_sym_BSLASHfe] = ACTIONS(5130),
    [anon_sym_BSLASHef] = ACTIONS(5130),
    [anon_sym_BSLASHfm] = ACTIONS(5130),
    [anon_sym_BSLASHx] = ACTIONS(5130),
    [anon_sym_BSLASHxt] = ACTIONS(5130),
    [anon_sym_BSLASHrq] = ACTIONS(5130),
    [anon_sym_BSLASHadd] = ACTIONS(5130),
    [anon_sym_BSLASHbk] = ACTIONS(5130),
    [anon_sym_BSLASHdc] = ACTIONS(5130),
    [anon_sym_BSLASHk] = ACTIONS(5130),
    [anon_sym_BSLASHnd] = ACTIONS(5130),
    [anon_sym_BSLASHord] = ACTIONS(5130),
    [anon_sym_BSLASHpn] = ACTIONS(5130),
    [anon_sym_BSLASHpng] = ACTIONS(5130),
    [anon_sym_BSLASHaddpn] = ACTIONS(5130),
    [anon_sym_BSLASHqt] = ACTIONS(5130),
    [anon_sym_BSLASHsig] = ACTIONS(5130),
    [anon_sym_BSLASHsls] = ACTIONS(5130),
    [anon_sym_BSLASHtl] = ACTIONS(5130),
    [anon_sym_BSLASHwj] = ACTIONS(5130),
    [anon_sym_BSLASHem] = ACTIONS(5130),
    [anon_sym_BSLASHbd] = ACTIONS(5130),
    [anon_sym_BSLASHit] = ACTIONS(5130),
    [anon_sym_BSLASHbdit] = ACTIONS(5130),
    [anon_sym_BSLASHno] = ACTIONS(5130),
    [anon_sym_BSLASHsc] = ACTIONS(5130),
    [anon_sym_BSLASHsup] = ACTIONS(5130),
    [anon_sym_BSLASHndx] = ACTIONS(5130),
    [anon_sym_BSLASHpro] = ACTIONS(5130),
    [anon_sym_BSLASHrb] = ACTIONS(5130),
    [anon_sym_BSLASHw] = ACTIONS(5130),
    [anon_sym_BSLASHwg] = ACTIONS(5130),
    [anon_sym_BSLASHwh] = ACTIONS(5130),
    [anon_sym_BSLASHwa] = ACTIONS(5130),
    [anon_sym_BSLASHfig] = ACTIONS(5130),
    [anon_sym_BSLASHjmp] = ACTIONS(5130),
    [anon_sym_BSLASHpb] = ACTIONS(5130),
    [anon_sym_BSLASH] = ACTIONS(5130),
    [sym_milestoneStartTag] = ACTIONS(5130),
    [sym_milestoneEndTag] = ACTIONS(5130),
    [sym_zSpaceTag] = ACTIONS(5130),
    [anon_sym_BSLASHesb] = ACTIONS(5130),
  },
  [413] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [aux_sym_text_token1] = ACTIONS(3096),
    [anon_sym_BSLASHref] = ACTIONS(3098),
    [anon_sym_BSLASHsts] = ACTIONS(3098),
    [anon_sym_BSLASHrem] = ACTIONS(3098),
    [anon_sym_BSLASHrestore] = ACTIONS(3098),
    [anon_sym_BSLASHlit] = ACTIONS(3098),
    [anon_sym_BSLASHip] = ACTIONS(3098),
    [anon_sym_BSLASHiex] = ACTIONS(3098),
    [anon_sym_BSLASHv] = ACTIONS(3098),
    [anon_sym_BSLASHva] = ACTIONS(3098),
    [anon_sym_BSLASHvp] = ACTIONS(3098),
    [anon_sym_BSLASHc] = ACTIONS(3098),
    [anon_sym_BSLASHcl] = ACTIONS(3098),
    [anon_sym_BSLASHca] = ACTIONS(3098),
    [anon_sym_BSLASHcp] = ACTIONS(3098),
    [anon_sym_BSLASHcd] = ACTIONS(3098),
    [anon_sym_BSLASHmte] = ACTIONS(3098),
    [anon_sym_BSLASHms] = ACTIONS(3098),
    [anon_sym_BSLASHmr] = ACTIONS(3098),
    [anon_sym_BSLASHs] = ACTIONS(3098),
    [anon_sym_BSLASHsr] = ACTIONS(3098),
    [anon_sym_BSLASHr] = ACTIONS(3098),
    [anon_sym_BSLASHsp] = ACTIONS(3098),
    [anon_sym_BSLASHd] = ACTIONS(3098),
    [anon_sym_BSLASHsd] = ACTIONS(3098),
    [anon_sym_BSLASHp] = ACTIONS(3098),
    [anon_sym_BSLASHm] = ACTIONS(3098),
    [anon_sym_BSLASHpo] = ACTIONS(3098),
    [anon_sym_BSLASHpr] = ACTIONS(3098),
    [anon_sym_BSLASHcls] = ACTIONS(3098),
    [anon_sym_BSLASHpmo] = ACTIONS(3098),
    [anon_sym_BSLASHpm] = ACTIONS(3098),
    [anon_sym_BSLASHpmc] = ACTIONS(3098),
    [anon_sym_BSLASHpmr] = ACTIONS(3098),
    [anon_sym_BSLASHpi] = ACTIONS(3098),
    [anon_sym_BSLASHmi] = ACTIONS(3098),
    [anon_sym_BSLASHnb] = ACTIONS(3098),
    [anon_sym_BSLASHpc] = ACTIONS(3098),
    [anon_sym_BSLASHph] = ACTIONS(3098),
    [anon_sym_BSLASHb] = ACTIONS(3098),
    [anon_sym_BSLASHq] = ACTIONS(3098),
    [anon_sym_BSLASHqr] = ACTIONS(3098),
    [anon_sym_BSLASHqc] = ACTIONS(3098),
    [anon_sym_BSLASHqa] = ACTIONS(3098),
    [anon_sym_BSLASHqm] = ACTIONS(3098),
    [anon_sym_BSLASHqd] = ACTIONS(3098),
    [anon_sym_BSLASHlh] = ACTIONS(3098),
    [anon_sym_BSLASHlf] = ACTIONS(3098),
    [anon_sym_BSLASHli] = ACTIONS(3098),
    [anon_sym_BSLASHlim] = ACTIONS(3098),
    [anon_sym_BSLASHliv] = ACTIONS(3098),
    [anon_sym_BSLASHlik] = ACTIONS(3098),
    [anon_sym_BSLASHlitl] = ACTIONS(3098),
    [anon_sym_BSLASHtr] = ACTIONS(3098),
    [anon_sym_BSLASHf] = ACTIONS(3098),
    [anon_sym_BSLASHfe] = ACTIONS(3098),
    [anon_sym_BSLASHef] = ACTIONS(3098),
    [anon_sym_BSLASHfm] = ACTIONS(3098),
    [anon_sym_BSLASHx] = ACTIONS(3098),
    [anon_sym_BSLASHxt] = ACTIONS(3098),
    [anon_sym_BSLASHrq] = ACTIONS(3098),
    [anon_sym_BSLASHadd] = ACTIONS(3098),
    [anon_sym_BSLASHbk] = ACTIONS(3098),
    [anon_sym_BSLASHdc] = ACTIONS(3098),
    [anon_sym_BSLASHk] = ACTIONS(3098),
    [anon_sym_BSLASHnd] = ACTIONS(3098),
    [anon_sym_BSLASHord] = ACTIONS(3098),
    [anon_sym_BSLASHpn] = ACTIONS(3098),
    [anon_sym_BSLASHpng] = ACTIONS(3098),
    [anon_sym_BSLASHaddpn] = ACTIONS(3098),
    [anon_sym_BSLASHqt] = ACTIONS(3098),
    [anon_sym_BSLASHsig] = ACTIONS(3098),
    [anon_sym_BSLASHsls] = ACTIONS(3098),
    [anon_sym_BSLASHtl] = ACTIONS(3098),
    [anon_sym_BSLASHwj] = ACTIONS(3098),
    [anon_sym_BSLASHem] = ACTIONS(3098),
    [anon_sym_BSLASHbd] = ACTIONS(3098),
    [anon_sym_BSLASHit] = ACTIONS(3098),
    [anon_sym_BSLASHbdit] = ACTIONS(3098),
    [anon_sym_BSLASHno] = ACTIONS(3098),
    [anon_sym_BSLASHsc] = ACTIONS(3098),
    [anon_sym_BSLASHsup] = ACTIONS(3098),
    [anon_sym_BSLASHndx] = ACTIONS(3098),
    [anon_sym_BSLASHpro] = ACTIONS(3098),
    [anon_sym_BSLASHrb] = ACTIONS(3098),
    [anon_sym_BSLASHw] = ACTIONS(3098),
    [anon_sym_BSLASHwg] = ACTIONS(3098),
    [anon_sym_BSLASHwh] = ACTIONS(3098),
    [anon_sym_BSLASHwa] = ACTIONS(3098),
    [anon_sym_BSLASHfig] = ACTIONS(3098),
    [anon_sym_BSLASHjmp] = ACTIONS(3098),
    [anon_sym_BSLASHpb] = ACTIONS(3098),
    [anon_sym_BSLASH] = ACTIONS(3098),
    [sym_milestoneStartTag] = ACTIONS(3098),
    [sym_milestoneEndTag] = ACTIONS(3098),
    [sym_zSpaceTag] = ACTIONS(3098),
    [anon_sym_BSLASHesb] = ACTIONS(3098),
  },
  [414] = {
    [ts_builtin_sym_end] = ACTIONS(3064),
    [aux_sym_text_token1] = ACTIONS(3064),
    [anon_sym_BSLASHref] = ACTIONS(3066),
    [anon_sym_BSLASHsts] = ACTIONS(3066),
    [anon_sym_BSLASHrem] = ACTIONS(3066),
    [anon_sym_BSLASHrestore] = ACTIONS(3066),
    [anon_sym_BSLASHlit] = ACTIONS(3066),
    [anon_sym_BSLASHip] = ACTIONS(3066),
    [anon_sym_BSLASHiex] = ACTIONS(3066),
    [anon_sym_BSLASHv] = ACTIONS(3066),
    [anon_sym_BSLASHva] = ACTIONS(3066),
    [anon_sym_BSLASHvp] = ACTIONS(3066),
    [anon_sym_BSLASHc] = ACTIONS(3066),
    [anon_sym_BSLASHcl] = ACTIONS(3066),
    [anon_sym_BSLASHca] = ACTIONS(3066),
    [anon_sym_BSLASHcp] = ACTIONS(3066),
    [anon_sym_BSLASHcd] = ACTIONS(3066),
    [anon_sym_BSLASHmte] = ACTIONS(3066),
    [anon_sym_BSLASHms] = ACTIONS(3066),
    [anon_sym_BSLASHmr] = ACTIONS(3066),
    [anon_sym_BSLASHs] = ACTIONS(3066),
    [anon_sym_BSLASHsr] = ACTIONS(3066),
    [anon_sym_BSLASHr] = ACTIONS(3066),
    [anon_sym_BSLASHsp] = ACTIONS(3066),
    [anon_sym_BSLASHd] = ACTIONS(3066),
    [anon_sym_BSLASHsd] = ACTIONS(3066),
    [anon_sym_BSLASHp] = ACTIONS(3066),
    [anon_sym_BSLASHm] = ACTIONS(3066),
    [anon_sym_BSLASHpo] = ACTIONS(3066),
    [anon_sym_BSLASHpr] = ACTIONS(3066),
    [anon_sym_BSLASHcls] = ACTIONS(3066),
    [anon_sym_BSLASHpmo] = ACTIONS(3066),
    [anon_sym_BSLASHpm] = ACTIONS(3066),
    [anon_sym_BSLASHpmc] = ACTIONS(3066),
    [anon_sym_BSLASHpmr] = ACTIONS(3066),
    [anon_sym_BSLASHpi] = ACTIONS(3066),
    [anon_sym_BSLASHmi] = ACTIONS(3066),
    [anon_sym_BSLASHnb] = ACTIONS(3066),
    [anon_sym_BSLASHpc] = ACTIONS(3066),
    [anon_sym_BSLASHph] = ACTIONS(3066),
    [anon_sym_BSLASHb] = ACTIONS(3066),
    [anon_sym_BSLASHq] = ACTIONS(3066),
    [anon_sym_BSLASHqr] = ACTIONS(3066),
    [anon_sym_BSLASHqc] = ACTIONS(3066),
    [anon_sym_BSLASHqa] = ACTIONS(3066),
    [anon_sym_BSLASHqm] = ACTIONS(3066),
    [anon_sym_BSLASHqd] = ACTIONS(3066),
    [anon_sym_BSLASHlh] = ACTIONS(3066),
    [anon_sym_BSLASHlf] = ACTIONS(3066),
    [anon_sym_BSLASHli] = ACTIONS(3066),
    [anon_sym_BSLASHlim] = ACTIONS(3066),
    [anon_sym_BSLASHliv] = ACTIONS(3066),
    [anon_sym_BSLASHlik] = ACTIONS(3066),
    [anon_sym_BSLASHlitl] = ACTIONS(3066),
    [anon_sym_BSLASHtr] = ACTIONS(3066),
    [anon_sym_BSLASHf] = ACTIONS(3066),
    [anon_sym_BSLASHfe] = ACTIONS(3066),
    [anon_sym_BSLASHef] = ACTIONS(3066),
    [anon_sym_BSLASHfm] = ACTIONS(3066),
    [anon_sym_BSLASHx] = ACTIONS(3066),
    [anon_sym_BSLASHxt] = ACTIONS(3066),
    [anon_sym_BSLASHrq] = ACTIONS(3066),
    [anon_sym_BSLASHadd] = ACTIONS(3066),
    [anon_sym_BSLASHbk] = ACTIONS(3066),
    [anon_sym_BSLASHdc] = ACTIONS(3066),
    [anon_sym_BSLASHk] = ACTIONS(3066),
    [anon_sym_BSLASHnd] = ACTIONS(3066),
    [anon_sym_BSLASHord] = ACTIONS(3066),
    [anon_sym_BSLASHpn] = ACTIONS(3066),
    [anon_sym_BSLASHpng] = ACTIONS(3066),
    [anon_sym_BSLASHaddpn] = ACTIONS(3066),
    [anon_sym_BSLASHqt] = ACTIONS(3066),
    [anon_sym_BSLASHsig] = ACTIONS(3066),
    [anon_sym_BSLASHsls] = ACTIONS(3066),
    [anon_sym_BSLASHtl] = ACTIONS(3066),
    [anon_sym_BSLASHwj] = ACTIONS(3066),
    [anon_sym_BSLASHem] = ACTIONS(3066),
    [anon_sym_BSLASHbd] = ACTIONS(3066),
    [anon_sym_BSLASHit] = ACTIONS(3066),
    [anon_sym_BSLASHbdit] = ACTIONS(3066),
    [anon_sym_BSLASHno] = ACTIONS(3066),
    [anon_sym_BSLASHsc] = ACTIONS(3066),
    [anon_sym_BSLASHsup] = ACTIONS(3066),
    [anon_sym_BSLASHndx] = ACTIONS(3066),
    [anon_sym_BSLASHpro] = ACTIONS(3066),
    [anon_sym_BSLASHrb] = ACTIONS(3066),
    [anon_sym_BSLASHw] = ACTIONS(3066),
    [anon_sym_BSLASHwg] = ACTIONS(3066),
    [anon_sym_BSLASHwh] = ACTIONS(3066),
    [anon_sym_BSLASHwa] = ACTIONS(3066),
    [anon_sym_BSLASHfig] = ACTIONS(3066),
    [anon_sym_BSLASHjmp] = ACTIONS(3066),
    [anon_sym_BSLASHpb] = ACTIONS(3066),
    [anon_sym_BSLASH] = ACTIONS(3066),
    [sym_milestoneStartTag] = ACTIONS(3066),
    [sym_milestoneEndTag] = ACTIONS(3066),
    [sym_zSpaceTag] = ACTIONS(3066),
    [anon_sym_BSLASHesb] = ACTIONS(3066),
  },
  [415] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [aux_sym_text_token1] = ACTIONS(3092),
    [anon_sym_BSLASHref] = ACTIONS(3094),
    [anon_sym_BSLASHsts] = ACTIONS(3094),
    [anon_sym_BSLASHrem] = ACTIONS(3094),
    [anon_sym_BSLASHrestore] = ACTIONS(3094),
    [anon_sym_BSLASHlit] = ACTIONS(3094),
    [anon_sym_BSLASHip] = ACTIONS(3094),
    [anon_sym_BSLASHiex] = ACTIONS(3094),
    [anon_sym_BSLASHv] = ACTIONS(3094),
    [anon_sym_BSLASHva] = ACTIONS(3094),
    [anon_sym_BSLASHvp] = ACTIONS(3094),
    [anon_sym_BSLASHc] = ACTIONS(3094),
    [anon_sym_BSLASHcl] = ACTIONS(3094),
    [anon_sym_BSLASHca] = ACTIONS(3094),
    [anon_sym_BSLASHcp] = ACTIONS(3094),
    [anon_sym_BSLASHcd] = ACTIONS(3094),
    [anon_sym_BSLASHmte] = ACTIONS(3094),
    [anon_sym_BSLASHms] = ACTIONS(3094),
    [anon_sym_BSLASHmr] = ACTIONS(3094),
    [anon_sym_BSLASHs] = ACTIONS(3094),
    [anon_sym_BSLASHsr] = ACTIONS(3094),
    [anon_sym_BSLASHr] = ACTIONS(3094),
    [anon_sym_BSLASHsp] = ACTIONS(3094),
    [anon_sym_BSLASHd] = ACTIONS(3094),
    [anon_sym_BSLASHsd] = ACTIONS(3094),
    [anon_sym_BSLASHp] = ACTIONS(3094),
    [anon_sym_BSLASHm] = ACTIONS(3094),
    [anon_sym_BSLASHpo] = ACTIONS(3094),
    [anon_sym_BSLASHpr] = ACTIONS(3094),
    [anon_sym_BSLASHcls] = ACTIONS(3094),
    [anon_sym_BSLASHpmo] = ACTIONS(3094),
    [anon_sym_BSLASHpm] = ACTIONS(3094),
    [anon_sym_BSLASHpmc] = ACTIONS(3094),
    [anon_sym_BSLASHpmr] = ACTIONS(3094),
    [anon_sym_BSLASHpi] = ACTIONS(3094),
    [anon_sym_BSLASHmi] = ACTIONS(3094),
    [anon_sym_BSLASHnb] = ACTIONS(3094),
    [anon_sym_BSLASHpc] = ACTIONS(3094),
    [anon_sym_BSLASHph] = ACTIONS(3094),
    [anon_sym_BSLASHb] = ACTIONS(3094),
    [anon_sym_BSLASHq] = ACTIONS(3094),
    [anon_sym_BSLASHqr] = ACTIONS(3094),
    [anon_sym_BSLASHqc] = ACTIONS(3094),
    [anon_sym_BSLASHqa] = ACTIONS(3094),
    [anon_sym_BSLASHqm] = ACTIONS(3094),
    [anon_sym_BSLASHqd] = ACTIONS(3094),
    [anon_sym_BSLASHlh] = ACTIONS(3094),
    [anon_sym_BSLASHlf] = ACTIONS(3094),
    [anon_sym_BSLASHli] = ACTIONS(3094),
    [anon_sym_BSLASHlim] = ACTIONS(3094),
    [anon_sym_BSLASHliv] = ACTIONS(3094),
    [anon_sym_BSLASHlik] = ACTIONS(3094),
    [anon_sym_BSLASHlitl] = ACTIONS(3094),
    [anon_sym_BSLASHtr] = ACTIONS(3094),
    [anon_sym_BSLASHf] = ACTIONS(3094),
    [anon_sym_BSLASHfe] = ACTIONS(3094),
    [anon_sym_BSLASHef] = ACTIONS(3094),
    [anon_sym_BSLASHfm] = ACTIONS(3094),
    [anon_sym_BSLASHx] = ACTIONS(3094),
    [anon_sym_BSLASHxt] = ACTIONS(3094),
    [anon_sym_BSLASHrq] = ACTIONS(3094),
    [anon_sym_BSLASHadd] = ACTIONS(3094),
    [anon_sym_BSLASHbk] = ACTIONS(3094),
    [anon_sym_BSLASHdc] = ACTIONS(3094),
    [anon_sym_BSLASHk] = ACTIONS(3094),
    [anon_sym_BSLASHnd] = ACTIONS(3094),
    [anon_sym_BSLASHord] = ACTIONS(3094),
    [anon_sym_BSLASHpn] = ACTIONS(3094),
    [anon_sym_BSLASHpng] = ACTIONS(3094),
    [anon_sym_BSLASHaddpn] = ACTIONS(3094),
    [anon_sym_BSLASHqt] = ACTIONS(3094),
    [anon_sym_BSLASHsig] = ACTIONS(3094),
    [anon_sym_BSLASHsls] = ACTIONS(3094),
    [anon_sym_BSLASHtl] = ACTIONS(3094),
    [anon_sym_BSLASHwj] = ACTIONS(3094),
    [anon_sym_BSLASHem] = ACTIONS(3094),
    [anon_sym_BSLASHbd] = ACTIONS(3094),
    [anon_sym_BSLASHit] = ACTIONS(3094),
    [anon_sym_BSLASHbdit] = ACTIONS(3094),
    [anon_sym_BSLASHno] = ACTIONS(3094),
    [anon_sym_BSLASHsc] = ACTIONS(3094),
    [anon_sym_BSLASHsup] = ACTIONS(3094),
    [anon_sym_BSLASHndx] = ACTIONS(3094),
    [anon_sym_BSLASHpro] = ACTIONS(3094),
    [anon_sym_BSLASHrb] = ACTIONS(3094),
    [anon_sym_BSLASHw] = ACTIONS(3094),
    [anon_sym_BSLASHwg] = ACTIONS(3094),
    [anon_sym_BSLASHwh] = ACTIONS(3094),
    [anon_sym_BSLASHwa] = ACTIONS(3094),
    [anon_sym_BSLASHfig] = ACTIONS(3094),
    [anon_sym_BSLASHjmp] = ACTIONS(3094),
    [anon_sym_BSLASHpb] = ACTIONS(3094),
    [anon_sym_BSLASH] = ACTIONS(3094),
    [sym_milestoneStartTag] = ACTIONS(3094),
    [sym_milestoneEndTag] = ACTIONS(3094),
    [sym_zSpaceTag] = ACTIONS(3094),
    [anon_sym_BSLASHesb] = ACTIONS(3094),
  },
  [416] = {
    [ts_builtin_sym_end] = ACTIONS(3088),
    [aux_sym_text_token1] = ACTIONS(3088),
    [anon_sym_BSLASHref] = ACTIONS(3090),
    [anon_sym_BSLASHsts] = ACTIONS(3090),
    [anon_sym_BSLASHrem] = ACTIONS(3090),
    [anon_sym_BSLASHrestore] = ACTIONS(3090),
    [anon_sym_BSLASHlit] = ACTIONS(3090),
    [anon_sym_BSLASHip] = ACTIONS(3090),
    [anon_sym_BSLASHiex] = ACTIONS(3090),
    [anon_sym_BSLASHv] = ACTIONS(3090),
    [anon_sym_BSLASHva] = ACTIONS(3090),
    [anon_sym_BSLASHvp] = ACTIONS(3090),
    [anon_sym_BSLASHc] = ACTIONS(3090),
    [anon_sym_BSLASHcl] = ACTIONS(3090),
    [anon_sym_BSLASHca] = ACTIONS(3090),
    [anon_sym_BSLASHcp] = ACTIONS(3090),
    [anon_sym_BSLASHcd] = ACTIONS(3090),
    [anon_sym_BSLASHmte] = ACTIONS(3090),
    [anon_sym_BSLASHms] = ACTIONS(3090),
    [anon_sym_BSLASHmr] = ACTIONS(3090),
    [anon_sym_BSLASHs] = ACTIONS(3090),
    [anon_sym_BSLASHsr] = ACTIONS(3090),
    [anon_sym_BSLASHr] = ACTIONS(3090),
    [anon_sym_BSLASHsp] = ACTIONS(3090),
    [anon_sym_BSLASHd] = ACTIONS(3090),
    [anon_sym_BSLASHsd] = ACTIONS(3090),
    [anon_sym_BSLASHp] = ACTIONS(3090),
    [anon_sym_BSLASHm] = ACTIONS(3090),
    [anon_sym_BSLASHpo] = ACTIONS(3090),
    [anon_sym_BSLASHpr] = ACTIONS(3090),
    [anon_sym_BSLASHcls] = ACTIONS(3090),
    [anon_sym_BSLASHpmo] = ACTIONS(3090),
    [anon_sym_BSLASHpm] = ACTIONS(3090),
    [anon_sym_BSLASHpmc] = ACTIONS(3090),
    [anon_sym_BSLASHpmr] = ACTIONS(3090),
    [anon_sym_BSLASHpi] = ACTIONS(3090),
    [anon_sym_BSLASHmi] = ACTIONS(3090),
    [anon_sym_BSLASHnb] = ACTIONS(3090),
    [anon_sym_BSLASHpc] = ACTIONS(3090),
    [anon_sym_BSLASHph] = ACTIONS(3090),
    [anon_sym_BSLASHb] = ACTIONS(3090),
    [anon_sym_BSLASHq] = ACTIONS(3090),
    [anon_sym_BSLASHqr] = ACTIONS(3090),
    [anon_sym_BSLASHqc] = ACTIONS(3090),
    [anon_sym_BSLASHqa] = ACTIONS(3090),
    [anon_sym_BSLASHqm] = ACTIONS(3090),
    [anon_sym_BSLASHqd] = ACTIONS(3090),
    [anon_sym_BSLASHlh] = ACTIONS(3090),
    [anon_sym_BSLASHlf] = ACTIONS(3090),
    [anon_sym_BSLASHli] = ACTIONS(3090),
    [anon_sym_BSLASHlim] = ACTIONS(3090),
    [anon_sym_BSLASHliv] = ACTIONS(3090),
    [anon_sym_BSLASHlik] = ACTIONS(3090),
    [anon_sym_BSLASHlitl] = ACTIONS(3090),
    [anon_sym_BSLASHtr] = ACTIONS(3090),
    [anon_sym_BSLASHf] = ACTIONS(3090),
    [anon_sym_BSLASHfe] = ACTIONS(3090),
    [anon_sym_BSLASHef] = ACTIONS(3090),
    [anon_sym_BSLASHfm] = ACTIONS(3090),
    [anon_sym_BSLASHx] = ACTIONS(3090),
    [anon_sym_BSLASHxt] = ACTIONS(3090),
    [anon_sym_BSLASHrq] = ACTIONS(3090),
    [anon_sym_BSLASHadd] = ACTIONS(3090),
    [anon_sym_BSLASHbk] = ACTIONS(3090),
    [anon_sym_BSLASHdc] = ACTIONS(3090),
    [anon_sym_BSLASHk] = ACTIONS(3090),
    [anon_sym_BSLASHnd] = ACTIONS(3090),
    [anon_sym_BSLASHord] = ACTIONS(3090),
    [anon_sym_BSLASHpn] = ACTIONS(3090),
    [anon_sym_BSLASHpng] = ACTIONS(3090),
    [anon_sym_BSLASHaddpn] = ACTIONS(3090),
    [anon_sym_BSLASHqt] = ACTIONS(3090),
    [anon_sym_BSLASHsig] = ACTIONS(3090),
    [anon_sym_BSLASHsls] = ACTIONS(3090),
    [anon_sym_BSLASHtl] = ACTIONS(3090),
    [anon_sym_BSLASHwj] = ACTIONS(3090),
    [anon_sym_BSLASHem] = ACTIONS(3090),
    [anon_sym_BSLASHbd] = ACTIONS(3090),
    [anon_sym_BSLASHit] = ACTIONS(3090),
    [anon_sym_BSLASHbdit] = ACTIONS(3090),
    [anon_sym_BSLASHno] = ACTIONS(3090),
    [anon_sym_BSLASHsc] = ACTIONS(3090),
    [anon_sym_BSLASHsup] = ACTIONS(3090),
    [anon_sym_BSLASHndx] = ACTIONS(3090),
    [anon_sym_BSLASHpro] = ACTIONS(3090),
    [anon_sym_BSLASHrb] = ACTIONS(3090),
    [anon_sym_BSLASHw] = ACTIONS(3090),
    [anon_sym_BSLASHwg] = ACTIONS(3090),
    [anon_sym_BSLASHwh] = ACTIONS(3090),
    [anon_sym_BSLASHwa] = ACTIONS(3090),
    [anon_sym_BSLASHfig] = ACTIONS(3090),
    [anon_sym_BSLASHjmp] = ACTIONS(3090),
    [anon_sym_BSLASHpb] = ACTIONS(3090),
    [anon_sym_BSLASH] = ACTIONS(3090),
    [sym_milestoneStartTag] = ACTIONS(3090),
    [sym_milestoneEndTag] = ACTIONS(3090),
    [sym_zSpaceTag] = ACTIONS(3090),
    [anon_sym_BSLASHesb] = ACTIONS(3090),
  },
  [417] = {
    [ts_builtin_sym_end] = ACTIONS(3084),
    [aux_sym_text_token1] = ACTIONS(3084),
    [anon_sym_BSLASHref] = ACTIONS(3086),
    [anon_sym_BSLASHsts] = ACTIONS(3086),
    [anon_sym_BSLASHrem] = ACTIONS(3086),
    [anon_sym_BSLASHrestore] = ACTIONS(3086),
    [anon_sym_BSLASHlit] = ACTIONS(3086),
    [anon_sym_BSLASHip] = ACTIONS(3086),
    [anon_sym_BSLASHiex] = ACTIONS(3086),
    [anon_sym_BSLASHv] = ACTIONS(3086),
    [anon_sym_BSLASHva] = ACTIONS(3086),
    [anon_sym_BSLASHvp] = ACTIONS(3086),
    [anon_sym_BSLASHc] = ACTIONS(3086),
    [anon_sym_BSLASHcl] = ACTIONS(3086),
    [anon_sym_BSLASHca] = ACTIONS(3086),
    [anon_sym_BSLASHcp] = ACTIONS(3086),
    [anon_sym_BSLASHcd] = ACTIONS(3086),
    [anon_sym_BSLASHmte] = ACTIONS(3086),
    [anon_sym_BSLASHms] = ACTIONS(3086),
    [anon_sym_BSLASHmr] = ACTIONS(3086),
    [anon_sym_BSLASHs] = ACTIONS(3086),
    [anon_sym_BSLASHsr] = ACTIONS(3086),
    [anon_sym_BSLASHr] = ACTIONS(3086),
    [anon_sym_BSLASHsp] = ACTIONS(3086),
    [anon_sym_BSLASHd] = ACTIONS(3086),
    [anon_sym_BSLASHsd] = ACTIONS(3086),
    [anon_sym_BSLASHp] = ACTIONS(3086),
    [anon_sym_BSLASHm] = ACTIONS(3086),
    [anon_sym_BSLASHpo] = ACTIONS(3086),
    [anon_sym_BSLASHpr] = ACTIONS(3086),
    [anon_sym_BSLASHcls] = ACTIONS(3086),
    [anon_sym_BSLASHpmo] = ACTIONS(3086),
    [anon_sym_BSLASHpm] = ACTIONS(3086),
    [anon_sym_BSLASHpmc] = ACTIONS(3086),
    [anon_sym_BSLASHpmr] = ACTIONS(3086),
    [anon_sym_BSLASHpi] = ACTIONS(3086),
    [anon_sym_BSLASHmi] = ACTIONS(3086),
    [anon_sym_BSLASHnb] = ACTIONS(3086),
    [anon_sym_BSLASHpc] = ACTIONS(3086),
    [anon_sym_BSLASHph] = ACTIONS(3086),
    [anon_sym_BSLASHb] = ACTIONS(3086),
    [anon_sym_BSLASHq] = ACTIONS(3086),
    [anon_sym_BSLASHqr] = ACTIONS(3086),
    [anon_sym_BSLASHqc] = ACTIONS(3086),
    [anon_sym_BSLASHqa] = ACTIONS(3086),
    [anon_sym_BSLASHqm] = ACTIONS(3086),
    [anon_sym_BSLASHqd] = ACTIONS(3086),
    [anon_sym_BSLASHlh] = ACTIONS(3086),
    [anon_sym_BSLASHlf] = ACTIONS(3086),
    [anon_sym_BSLASHli] = ACTIONS(3086),
    [anon_sym_BSLASHlim] = ACTIONS(3086),
    [anon_sym_BSLASHliv] = ACTIONS(3086),
    [anon_sym_BSLASHlik] = ACTIONS(3086),
    [anon_sym_BSLASHlitl] = ACTIONS(3086),
    [anon_sym_BSLASHtr] = ACTIONS(3086),
    [anon_sym_BSLASHf] = ACTIONS(3086),
    [anon_sym_BSLASHfe] = ACTIONS(3086),
    [anon_sym_BSLASHef] = ACTIONS(3086),
    [anon_sym_BSLASHfm] = ACTIONS(3086),
    [anon_sym_BSLASHx] = ACTIONS(3086),
    [anon_sym_BSLASHxt] = ACTIONS(3086),
    [anon_sym_BSLASHrq] = ACTIONS(3086),
    [anon_sym_BSLASHadd] = ACTIONS(3086),
    [anon_sym_BSLASHbk] = ACTIONS(3086),
    [anon_sym_BSLASHdc] = ACTIONS(3086),
    [anon_sym_BSLASHk] = ACTIONS(3086),
    [anon_sym_BSLASHnd] = ACTIONS(3086),
    [anon_sym_BSLASHord] = ACTIONS(3086),
    [anon_sym_BSLASHpn] = ACTIONS(3086),
    [anon_sym_BSLASHpng] = ACTIONS(3086),
    [anon_sym_BSLASHaddpn] = ACTIONS(3086),
    [anon_sym_BSLASHqt] = ACTIONS(3086),
    [anon_sym_BSLASHsig] = ACTIONS(3086),
    [anon_sym_BSLASHsls] = ACTIONS(3086),
    [anon_sym_BSLASHtl] = ACTIONS(3086),
    [anon_sym_BSLASHwj] = ACTIONS(3086),
    [anon_sym_BSLASHem] = ACTIONS(3086),
    [anon_sym_BSLASHbd] = ACTIONS(3086),
    [anon_sym_BSLASHit] = ACTIONS(3086),
    [anon_sym_BSLASHbdit] = ACTIONS(3086),
    [anon_sym_BSLASHno] = ACTIONS(3086),
    [anon_sym_BSLASHsc] = ACTIONS(3086),
    [anon_sym_BSLASHsup] = ACTIONS(3086),
    [anon_sym_BSLASHndx] = ACTIONS(3086),
    [anon_sym_BSLASHpro] = ACTIONS(3086),
    [anon_sym_BSLASHrb] = ACTIONS(3086),
    [anon_sym_BSLASHw] = ACTIONS(3086),
    [anon_sym_BSLASHwg] = ACTIONS(3086),
    [anon_sym_BSLASHwh] = ACTIONS(3086),
    [anon_sym_BSLASHwa] = ACTIONS(3086),
    [anon_sym_BSLASHfig] = ACTIONS(3086),
    [anon_sym_BSLASHjmp] = ACTIONS(3086),
    [anon_sym_BSLASHpb] = ACTIONS(3086),
    [anon_sym_BSLASH] = ACTIONS(3086),
    [sym_milestoneStartTag] = ACTIONS(3086),
    [sym_milestoneEndTag] = ACTIONS(3086),
    [sym_zSpaceTag] = ACTIONS(3086),
    [anon_sym_BSLASHesb] = ACTIONS(3086),
  },
  [418] = {
    [ts_builtin_sym_end] = ACTIONS(3080),
    [aux_sym_text_token1] = ACTIONS(3080),
    [anon_sym_BSLASHref] = ACTIONS(3082),
    [anon_sym_BSLASHsts] = ACTIONS(3082),
    [anon_sym_BSLASHrem] = ACTIONS(3082),
    [anon_sym_BSLASHrestore] = ACTIONS(3082),
    [anon_sym_BSLASHlit] = ACTIONS(3082),
    [anon_sym_BSLASHip] = ACTIONS(3082),
    [anon_sym_BSLASHiex] = ACTIONS(3082),
    [anon_sym_BSLASHv] = ACTIONS(3082),
    [anon_sym_BSLASHva] = ACTIONS(3082),
    [anon_sym_BSLASHvp] = ACTIONS(3082),
    [anon_sym_BSLASHc] = ACTIONS(3082),
    [anon_sym_BSLASHcl] = ACTIONS(3082),
    [anon_sym_BSLASHca] = ACTIONS(3082),
    [anon_sym_BSLASHcp] = ACTIONS(3082),
    [anon_sym_BSLASHcd] = ACTIONS(3082),
    [anon_sym_BSLASHmte] = ACTIONS(3082),
    [anon_sym_BSLASHms] = ACTIONS(3082),
    [anon_sym_BSLASHmr] = ACTIONS(3082),
    [anon_sym_BSLASHs] = ACTIONS(3082),
    [anon_sym_BSLASHsr] = ACTIONS(3082),
    [anon_sym_BSLASHr] = ACTIONS(3082),
    [anon_sym_BSLASHsp] = ACTIONS(3082),
    [anon_sym_BSLASHd] = ACTIONS(3082),
    [anon_sym_BSLASHsd] = ACTIONS(3082),
    [anon_sym_BSLASHp] = ACTIONS(3082),
    [anon_sym_BSLASHm] = ACTIONS(3082),
    [anon_sym_BSLASHpo] = ACTIONS(3082),
    [anon_sym_BSLASHpr] = ACTIONS(3082),
    [anon_sym_BSLASHcls] = ACTIONS(3082),
    [anon_sym_BSLASHpmo] = ACTIONS(3082),
    [anon_sym_BSLASHpm] = ACTIONS(3082),
    [anon_sym_BSLASHpmc] = ACTIONS(3082),
    [anon_sym_BSLASHpmr] = ACTIONS(3082),
    [anon_sym_BSLASHpi] = ACTIONS(3082),
    [anon_sym_BSLASHmi] = ACTIONS(3082),
    [anon_sym_BSLASHnb] = ACTIONS(3082),
    [anon_sym_BSLASHpc] = ACTIONS(3082),
    [anon_sym_BSLASHph] = ACTIONS(3082),
    [anon_sym_BSLASHb] = ACTIONS(3082),
    [anon_sym_BSLASHq] = ACTIONS(3082),
    [anon_sym_BSLASHqr] = ACTIONS(3082),
    [anon_sym_BSLASHqc] = ACTIONS(3082),
    [anon_sym_BSLASHqa] = ACTIONS(3082),
    [anon_sym_BSLASHqm] = ACTIONS(3082),
    [anon_sym_BSLASHqd] = ACTIONS(3082),
    [anon_sym_BSLASHlh] = ACTIONS(3082),
    [anon_sym_BSLASHlf] = ACTIONS(3082),
    [anon_sym_BSLASHli] = ACTIONS(3082),
    [anon_sym_BSLASHlim] = ACTIONS(3082),
    [anon_sym_BSLASHliv] = ACTIONS(3082),
    [anon_sym_BSLASHlik] = ACTIONS(3082),
    [anon_sym_BSLASHlitl] = ACTIONS(3082),
    [anon_sym_BSLASHtr] = ACTIONS(3082),
    [anon_sym_BSLASHf] = ACTIONS(3082),
    [anon_sym_BSLASHfe] = ACTIONS(3082),
    [anon_sym_BSLASHef] = ACTIONS(3082),
    [anon_sym_BSLASHfm] = ACTIONS(3082),
    [anon_sym_BSLASHx] = ACTIONS(3082),
    [anon_sym_BSLASHxt] = ACTIONS(3082),
    [anon_sym_BSLASHrq] = ACTIONS(3082),
    [anon_sym_BSLASHadd] = ACTIONS(3082),
    [anon_sym_BSLASHbk] = ACTIONS(3082),
    [anon_sym_BSLASHdc] = ACTIONS(3082),
    [anon_sym_BSLASHk] = ACTIONS(3082),
    [anon_sym_BSLASHnd] = ACTIONS(3082),
    [anon_sym_BSLASHord] = ACTIONS(3082),
    [anon_sym_BSLASHpn] = ACTIONS(3082),
    [anon_sym_BSLASHpng] = ACTIONS(3082),
    [anon_sym_BSLASHaddpn] = ACTIONS(3082),
    [anon_sym_BSLASHqt] = ACTIONS(3082),
    [anon_sym_BSLASHsig] = ACTIONS(3082),
    [anon_sym_BSLASHsls] = ACTIONS(3082),
    [anon_sym_BSLASHtl] = ACTIONS(3082),
    [anon_sym_BSLASHwj] = ACTIONS(3082),
    [anon_sym_BSLASHem] = ACTIONS(3082),
    [anon_sym_BSLASHbd] = ACTIONS(3082),
    [anon_sym_BSLASHit] = ACTIONS(3082),
    [anon_sym_BSLASHbdit] = ACTIONS(3082),
    [anon_sym_BSLASHno] = ACTIONS(3082),
    [anon_sym_BSLASHsc] = ACTIONS(3082),
    [anon_sym_BSLASHsup] = ACTIONS(3082),
    [anon_sym_BSLASHndx] = ACTIONS(3082),
    [anon_sym_BSLASHpro] = ACTIONS(3082),
    [anon_sym_BSLASHrb] = ACTIONS(3082),
    [anon_sym_BSLASHw] = ACTIONS(3082),
    [anon_sym_BSLASHwg] = ACTIONS(3082),
    [anon_sym_BSLASHwh] = ACTIONS(3082),
    [anon_sym_BSLASHwa] = ACTIONS(3082),
    [anon_sym_BSLASHfig] = ACTIONS(3082),
    [anon_sym_BSLASHjmp] = ACTIONS(3082),
    [anon_sym_BSLASHpb] = ACTIONS(3082),
    [anon_sym_BSLASH] = ACTIONS(3082),
    [sym_milestoneStartTag] = ACTIONS(3082),
    [sym_milestoneEndTag] = ACTIONS(3082),
    [sym_zSpaceTag] = ACTIONS(3082),
    [anon_sym_BSLASHesb] = ACTIONS(3082),
  },
  [419] = {
    [ts_builtin_sym_end] = ACTIONS(3060),
    [aux_sym_text_token1] = ACTIONS(3060),
    [anon_sym_BSLASHref] = ACTIONS(3062),
    [anon_sym_BSLASHsts] = ACTIONS(3062),
    [anon_sym_BSLASHrem] = ACTIONS(3062),
    [anon_sym_BSLASHrestore] = ACTIONS(3062),
    [anon_sym_BSLASHlit] = ACTIONS(3062),
    [anon_sym_BSLASHip] = ACTIONS(3062),
    [anon_sym_BSLASHiex] = ACTIONS(3062),
    [anon_sym_BSLASHv] = ACTIONS(3062),
    [anon_sym_BSLASHva] = ACTIONS(3062),
    [anon_sym_BSLASHvp] = ACTIONS(3062),
    [anon_sym_BSLASHc] = ACTIONS(3062),
    [anon_sym_BSLASHcl] = ACTIONS(3062),
    [anon_sym_BSLASHca] = ACTIONS(3062),
    [anon_sym_BSLASHcp] = ACTIONS(3062),
    [anon_sym_BSLASHcd] = ACTIONS(3062),
    [anon_sym_BSLASHmte] = ACTIONS(3062),
    [anon_sym_BSLASHms] = ACTIONS(3062),
    [anon_sym_BSLASHmr] = ACTIONS(3062),
    [anon_sym_BSLASHs] = ACTIONS(3062),
    [anon_sym_BSLASHsr] = ACTIONS(3062),
    [anon_sym_BSLASHr] = ACTIONS(3062),
    [anon_sym_BSLASHsp] = ACTIONS(3062),
    [anon_sym_BSLASHd] = ACTIONS(3062),
    [anon_sym_BSLASHsd] = ACTIONS(3062),
    [anon_sym_BSLASHp] = ACTIONS(3062),
    [anon_sym_BSLASHm] = ACTIONS(3062),
    [anon_sym_BSLASHpo] = ACTIONS(3062),
    [anon_sym_BSLASHpr] = ACTIONS(3062),
    [anon_sym_BSLASHcls] = ACTIONS(3062),
    [anon_sym_BSLASHpmo] = ACTIONS(3062),
    [anon_sym_BSLASHpm] = ACTIONS(3062),
    [anon_sym_BSLASHpmc] = ACTIONS(3062),
    [anon_sym_BSLASHpmr] = ACTIONS(3062),
    [anon_sym_BSLASHpi] = ACTIONS(3062),
    [anon_sym_BSLASHmi] = ACTIONS(3062),
    [anon_sym_BSLASHnb] = ACTIONS(3062),
    [anon_sym_BSLASHpc] = ACTIONS(3062),
    [anon_sym_BSLASHph] = ACTIONS(3062),
    [anon_sym_BSLASHb] = ACTIONS(3062),
    [anon_sym_BSLASHq] = ACTIONS(3062),
    [anon_sym_BSLASHqr] = ACTIONS(3062),
    [anon_sym_BSLASHqc] = ACTIONS(3062),
    [anon_sym_BSLASHqa] = ACTIONS(3062),
    [anon_sym_BSLASHqm] = ACTIONS(3062),
    [anon_sym_BSLASHqd] = ACTIONS(3062),
    [anon_sym_BSLASHlh] = ACTIONS(3062),
    [anon_sym_BSLASHlf] = ACTIONS(3062),
    [anon_sym_BSLASHli] = ACTIONS(3062),
    [anon_sym_BSLASHlim] = ACTIONS(3062),
    [anon_sym_BSLASHliv] = ACTIONS(3062),
    [anon_sym_BSLASHlik] = ACTIONS(3062),
    [anon_sym_BSLASHlitl] = ACTIONS(3062),
    [anon_sym_BSLASHtr] = ACTIONS(3062),
    [anon_sym_BSLASHf] = ACTIONS(3062),
    [anon_sym_BSLASHfe] = ACTIONS(3062),
    [anon_sym_BSLASHef] = ACTIONS(3062),
    [anon_sym_BSLASHfm] = ACTIONS(3062),
    [anon_sym_BSLASHx] = ACTIONS(3062),
    [anon_sym_BSLASHxt] = ACTIONS(3062),
    [anon_sym_BSLASHrq] = ACTIONS(3062),
    [anon_sym_BSLASHadd] = ACTIONS(3062),
    [anon_sym_BSLASHbk] = ACTIONS(3062),
    [anon_sym_BSLASHdc] = ACTIONS(3062),
    [anon_sym_BSLASHk] = ACTIONS(3062),
    [anon_sym_BSLASHnd] = ACTIONS(3062),
    [anon_sym_BSLASHord] = ACTIONS(3062),
    [anon_sym_BSLASHpn] = ACTIONS(3062),
    [anon_sym_BSLASHpng] = ACTIONS(3062),
    [anon_sym_BSLASHaddpn] = ACTIONS(3062),
    [anon_sym_BSLASHqt] = ACTIONS(3062),
    [anon_sym_BSLASHsig] = ACTIONS(3062),
    [anon_sym_BSLASHsls] = ACTIONS(3062),
    [anon_sym_BSLASHtl] = ACTIONS(3062),
    [anon_sym_BSLASHwj] = ACTIONS(3062),
    [anon_sym_BSLASHem] = ACTIONS(3062),
    [anon_sym_BSLASHbd] = ACTIONS(3062),
    [anon_sym_BSLASHit] = ACTIONS(3062),
    [anon_sym_BSLASHbdit] = ACTIONS(3062),
    [anon_sym_BSLASHno] = ACTIONS(3062),
    [anon_sym_BSLASHsc] = ACTIONS(3062),
    [anon_sym_BSLASHsup] = ACTIONS(3062),
    [anon_sym_BSLASHndx] = ACTIONS(3062),
    [anon_sym_BSLASHpro] = ACTIONS(3062),
    [anon_sym_BSLASHrb] = ACTIONS(3062),
    [anon_sym_BSLASHw] = ACTIONS(3062),
    [anon_sym_BSLASHwg] = ACTIONS(3062),
    [anon_sym_BSLASHwh] = ACTIONS(3062),
    [anon_sym_BSLASHwa] = ACTIONS(3062),
    [anon_sym_BSLASHfig] = ACTIONS(3062),
    [anon_sym_BSLASHjmp] = ACTIONS(3062),
    [anon_sym_BSLASHpb] = ACTIONS(3062),
    [anon_sym_BSLASH] = ACTIONS(3062),
    [sym_milestoneStartTag] = ACTIONS(3062),
    [sym_milestoneEndTag] = ACTIONS(3062),
    [sym_zSpaceTag] = ACTIONS(3062),
    [anon_sym_BSLASHesb] = ACTIONS(3062),
  },
  [420] = {
    [aux_sym_text_token1] = ACTIONS(5316),
    [anon_sym_BSLASHref] = ACTIONS(5316),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfr] = ACTIONS(5316),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfq] = ACTIONS(5316),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfqa] = ACTIONS(5316),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfk] = ACTIONS(5316),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfl] = ACTIONS(5316),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfw] = ACTIONS(5316),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfp] = ACTIONS(5316),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHft] = ACTIONS(5316),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfdc] = ACTIONS(5316),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfv] = ACTIONS(5316),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHxt] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHadd] = ACTIONS(5316),
    [anon_sym_BSLASHbk] = ACTIONS(5316),
    [anon_sym_BSLASHdc] = ACTIONS(5316),
    [anon_sym_BSLASHk] = ACTIONS(5316),
    [anon_sym_BSLASHnd] = ACTIONS(5316),
    [anon_sym_BSLASHord] = ACTIONS(5316),
    [anon_sym_BSLASHpn] = ACTIONS(5316),
    [anon_sym_BSLASHpng] = ACTIONS(5316),
    [anon_sym_BSLASHaddpn] = ACTIONS(5316),
    [anon_sym_BSLASHqt] = ACTIONS(5316),
    [anon_sym_BSLASHsig] = ACTIONS(5316),
    [anon_sym_BSLASHsls] = ACTIONS(5316),
    [anon_sym_BSLASHtl] = ACTIONS(5316),
    [anon_sym_BSLASHwj] = ACTIONS(5316),
    [anon_sym_BSLASHem] = ACTIONS(5316),
    [anon_sym_BSLASHbd] = ACTIONS(5316),
    [anon_sym_BSLASHit] = ACTIONS(5316),
    [anon_sym_BSLASHbdit] = ACTIONS(5316),
    [anon_sym_BSLASHno] = ACTIONS(5316),
    [anon_sym_BSLASHsc] = ACTIONS(5316),
    [anon_sym_BSLASHsup] = ACTIONS(5316),
    [anon_sym_BSLASHndx] = ACTIONS(5316),
    [anon_sym_BSLASHpro] = ACTIONS(5316),
    [anon_sym_BSLASHrb] = ACTIONS(5316),
    [anon_sym_BSLASHw] = ACTIONS(5316),
    [anon_sym_BSLASHwg] = ACTIONS(5316),
    [anon_sym_BSLASHwh] = ACTIONS(5316),
    [anon_sym_BSLASHwa] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5316),
    [anon_sym_BSLASHfig] = ACTIONS(5316),
    [anon_sym_BSLASHjmp] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5316),
    [anon_sym_BSLASHcat] = ACTIONS(5316),
    [sym_customAttributeName] = ACTIONS(5316),
    [anon_sym_PIPE] = ACTIONS(5316),
    [anon_sym_link_DASHhref] = ACTIONS(5316),
    [anon_sym_link_DASHtitle] = ACTIONS(5316),
    [anon_sym_link_DASHid] = ACTIONS(5316),
    [anon_sym_href] = ACTIONS(5316),
    [anon_sym_title] = ACTIONS(5316),
    [anon_sym_id] = ACTIONS(5316),
    [anon_sym_x_DASH] = ACTIONS(5316),
  },
  [421] = {
    [aux_sym_text_token1] = ACTIONS(5318),
    [anon_sym_BSLASHref] = ACTIONS(5318),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfr] = ACTIONS(5318),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfq] = ACTIONS(5318),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfqa] = ACTIONS(5318),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfk] = ACTIONS(5318),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfl] = ACTIONS(5318),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfw] = ACTIONS(5318),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfp] = ACTIONS(5318),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHft] = ACTIONS(5318),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfdc] = ACTIONS(5318),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfv] = ACTIONS(5318),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHxt] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHadd] = ACTIONS(5318),
    [anon_sym_BSLASHbk] = ACTIONS(5318),
    [anon_sym_BSLASHdc] = ACTIONS(5318),
    [anon_sym_BSLASHk] = ACTIONS(5318),
    [anon_sym_BSLASHnd] = ACTIONS(5318),
    [anon_sym_BSLASHord] = ACTIONS(5318),
    [anon_sym_BSLASHpn] = ACTIONS(5318),
    [anon_sym_BSLASHpng] = ACTIONS(5318),
    [anon_sym_BSLASHaddpn] = ACTIONS(5318),
    [anon_sym_BSLASHqt] = ACTIONS(5318),
    [anon_sym_BSLASHsig] = ACTIONS(5318),
    [anon_sym_BSLASHsls] = ACTIONS(5318),
    [anon_sym_BSLASHtl] = ACTIONS(5318),
    [anon_sym_BSLASHwj] = ACTIONS(5318),
    [anon_sym_BSLASHem] = ACTIONS(5318),
    [anon_sym_BSLASHbd] = ACTIONS(5318),
    [anon_sym_BSLASHit] = ACTIONS(5318),
    [anon_sym_BSLASHbdit] = ACTIONS(5318),
    [anon_sym_BSLASHno] = ACTIONS(5318),
    [anon_sym_BSLASHsc] = ACTIONS(5318),
    [anon_sym_BSLASHsup] = ACTIONS(5318),
    [anon_sym_BSLASHndx] = ACTIONS(5318),
    [anon_sym_BSLASHpro] = ACTIONS(5318),
    [anon_sym_BSLASHrb] = ACTIONS(5318),
    [anon_sym_BSLASHw] = ACTIONS(5318),
    [anon_sym_BSLASHwg] = ACTIONS(5318),
    [anon_sym_BSLASHwh] = ACTIONS(5318),
    [anon_sym_BSLASHwa] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5318),
    [anon_sym_BSLASHfig] = ACTIONS(5318),
    [anon_sym_BSLASHjmp] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5318),
    [anon_sym_BSLASHcat] = ACTIONS(5318),
    [sym_customAttributeName] = ACTIONS(5318),
    [anon_sym_PIPE] = ACTIONS(5318),
    [anon_sym_link_DASHhref] = ACTIONS(5318),
    [anon_sym_link_DASHtitle] = ACTIONS(5318),
    [anon_sym_link_DASHid] = ACTIONS(5318),
    [anon_sym_href] = ACTIONS(5318),
    [anon_sym_title] = ACTIONS(5318),
    [anon_sym_id] = ACTIONS(5318),
    [anon_sym_x_DASH] = ACTIONS(5318),
  },
  [422] = {
    [ts_builtin_sym_end] = ACTIONS(450),
    [aux_sym_text_token1] = ACTIONS(450),
    [anon_sym_BSLASHref] = ACTIONS(452),
    [anon_sym_BSLASHsts] = ACTIONS(452),
    [anon_sym_BSLASHrem] = ACTIONS(452),
    [anon_sym_BSLASHrestore] = ACTIONS(452),
    [anon_sym_BSLASHlit] = ACTIONS(452),
    [anon_sym_BSLASHiqt] = ACTIONS(452),
    [anon_sym_BSLASHip] = ACTIONS(452),
    [anon_sym_BSLASHiex] = ACTIONS(452),
    [anon_sym_BSLASHv] = ACTIONS(452),
    [anon_sym_BSLASHva] = ACTIONS(452),
    [anon_sym_BSLASHvp] = ACTIONS(452),
    [anon_sym_BSLASHc] = ACTIONS(452),
    [anon_sym_BSLASHcl] = ACTIONS(452),
    [anon_sym_BSLASHca] = ACTIONS(452),
    [anon_sym_BSLASHcp] = ACTIONS(452),
    [anon_sym_BSLASHcd] = ACTIONS(452),
    [anon_sym_BSLASHmte] = ACTIONS(452),
    [anon_sym_BSLASHms] = ACTIONS(452),
    [anon_sym_BSLASHs] = ACTIONS(452),
    [anon_sym_BSLASHr] = ACTIONS(452),
    [anon_sym_BSLASHsp] = ACTIONS(452),
    [anon_sym_BSLASHd] = ACTIONS(452),
    [anon_sym_BSLASHsd] = ACTIONS(452),
    [anon_sym_BSLASHp] = ACTIONS(452),
    [anon_sym_BSLASHm] = ACTIONS(452),
    [anon_sym_BSLASHpo] = ACTIONS(452),
    [anon_sym_BSLASHpr] = ACTIONS(452),
    [anon_sym_BSLASHcls] = ACTIONS(452),
    [anon_sym_BSLASHpmo] = ACTIONS(452),
    [anon_sym_BSLASHpm] = ACTIONS(452),
    [anon_sym_BSLASHpmc] = ACTIONS(452),
    [anon_sym_BSLASHpmr] = ACTIONS(452),
    [anon_sym_BSLASHpi] = ACTIONS(452),
    [anon_sym_BSLASHmi] = ACTIONS(452),
    [anon_sym_BSLASHnb] = ACTIONS(452),
    [anon_sym_BSLASHpc] = ACTIONS(452),
    [anon_sym_BSLASHph] = ACTIONS(452),
    [anon_sym_BSLASHb] = ACTIONS(452),
    [anon_sym_BSLASHq] = ACTIONS(452),
    [anon_sym_BSLASHqr] = ACTIONS(452),
    [anon_sym_BSLASHqc] = ACTIONS(452),
    [anon_sym_BSLASHqa] = ACTIONS(452),
    [anon_sym_BSLASHqm] = ACTIONS(452),
    [anon_sym_BSLASHqd] = ACTIONS(452),
    [anon_sym_BSLASHlh] = ACTIONS(452),
    [anon_sym_BSLASHlf] = ACTIONS(452),
    [anon_sym_BSLASHli] = ACTIONS(452),
    [anon_sym_BSLASHlim] = ACTIONS(452),
    [anon_sym_BSLASHliv] = ACTIONS(452),
    [anon_sym_BSLASHlik] = ACTIONS(452),
    [anon_sym_BSLASHlitl] = ACTIONS(452),
    [anon_sym_BSLASHtr] = ACTIONS(452),
    [anon_sym_BSLASHf] = ACTIONS(452),
    [anon_sym_BSLASHfe] = ACTIONS(452),
    [anon_sym_BSLASHef] = ACTIONS(452),
    [anon_sym_BSLASHfm] = ACTIONS(452),
    [anon_sym_BSLASHx] = ACTIONS(452),
    [anon_sym_BSLASHxt] = ACTIONS(452),
    [anon_sym_BSLASHrq] = ACTIONS(452),
    [anon_sym_BSLASHadd] = ACTIONS(452),
    [anon_sym_BSLASHbk] = ACTIONS(452),
    [anon_sym_BSLASHdc] = ACTIONS(452),
    [anon_sym_BSLASHk] = ACTIONS(452),
    [anon_sym_BSLASHnd] = ACTIONS(452),
    [anon_sym_BSLASHord] = ACTIONS(452),
    [anon_sym_BSLASHpn] = ACTIONS(452),
    [anon_sym_BSLASHpng] = ACTIONS(452),
    [anon_sym_BSLASHaddpn] = ACTIONS(452),
    [anon_sym_BSLASHqt] = ACTIONS(452),
    [anon_sym_BSLASHsig] = ACTIONS(452),
    [anon_sym_BSLASHsls] = ACTIONS(452),
    [anon_sym_BSLASHtl] = ACTIONS(452),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(452),
    [anon_sym_BSLASHbd] = ACTIONS(452),
    [anon_sym_BSLASHit] = ACTIONS(452),
    [anon_sym_BSLASHbdit] = ACTIONS(452),
    [anon_sym_BSLASHno] = ACTIONS(452),
    [anon_sym_BSLASHsc] = ACTIONS(452),
    [anon_sym_BSLASHsup] = ACTIONS(452),
    [anon_sym_BSLASHndx] = ACTIONS(452),
    [anon_sym_BSLASHpro] = ACTIONS(452),
    [anon_sym_BSLASHrb] = ACTIONS(452),
    [anon_sym_BSLASHw] = ACTIONS(452),
    [anon_sym_BSLASHwg] = ACTIONS(452),
    [anon_sym_BSLASHwh] = ACTIONS(452),
    [anon_sym_BSLASHwa] = ACTIONS(452),
    [anon_sym_BSLASHfig] = ACTIONS(452),
    [anon_sym_BSLASHjmp] = ACTIONS(452),
    [anon_sym_BSLASHpb] = ACTIONS(452),
    [anon_sym_BSLASH] = ACTIONS(452),
    [sym_milestoneStartTag] = ACTIONS(452),
    [sym_milestoneEndTag] = ACTIONS(452),
    [sym_zSpaceTag] = ACTIONS(452),
    [anon_sym_BSLASHesb] = ACTIONS(452),
  },
  [423] = {
    [aux_sym_text_token1] = ACTIONS(5320),
    [anon_sym_BSLASHref] = ACTIONS(5320),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfr] = ACTIONS(5320),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfq] = ACTIONS(5320),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfqa] = ACTIONS(5320),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfk] = ACTIONS(5320),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfl] = ACTIONS(5320),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfw] = ACTIONS(5320),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfp] = ACTIONS(5320),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHft] = ACTIONS(5320),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfdc] = ACTIONS(5320),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfv] = ACTIONS(5320),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHxt] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHadd] = ACTIONS(5320),
    [anon_sym_BSLASHbk] = ACTIONS(5320),
    [anon_sym_BSLASHdc] = ACTIONS(5320),
    [anon_sym_BSLASHk] = ACTIONS(5320),
    [anon_sym_BSLASHnd] = ACTIONS(5320),
    [anon_sym_BSLASHord] = ACTIONS(5320),
    [anon_sym_BSLASHpn] = ACTIONS(5320),
    [anon_sym_BSLASHpng] = ACTIONS(5320),
    [anon_sym_BSLASHaddpn] = ACTIONS(5320),
    [anon_sym_BSLASHqt] = ACTIONS(5320),
    [anon_sym_BSLASHsig] = ACTIONS(5320),
    [anon_sym_BSLASHsls] = ACTIONS(5320),
    [anon_sym_BSLASHtl] = ACTIONS(5320),
    [anon_sym_BSLASHwj] = ACTIONS(5320),
    [anon_sym_BSLASHem] = ACTIONS(5320),
    [anon_sym_BSLASHbd] = ACTIONS(5320),
    [anon_sym_BSLASHit] = ACTIONS(5320),
    [anon_sym_BSLASHbdit] = ACTIONS(5320),
    [anon_sym_BSLASHno] = ACTIONS(5320),
    [anon_sym_BSLASHsc] = ACTIONS(5320),
    [anon_sym_BSLASHsup] = ACTIONS(5320),
    [anon_sym_BSLASHndx] = ACTIONS(5320),
    [anon_sym_BSLASHpro] = ACTIONS(5320),
    [anon_sym_BSLASHrb] = ACTIONS(5320),
    [anon_sym_BSLASHw] = ACTIONS(5320),
    [anon_sym_BSLASHwg] = ACTIONS(5320),
    [anon_sym_BSLASHwh] = ACTIONS(5320),
    [anon_sym_BSLASHwa] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5320),
    [anon_sym_BSLASHfig] = ACTIONS(5320),
    [anon_sym_BSLASHjmp] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5320),
    [anon_sym_BSLASHcat] = ACTIONS(5320),
    [sym_customAttributeName] = ACTIONS(5320),
    [anon_sym_PIPE] = ACTIONS(5320),
    [anon_sym_link_DASHhref] = ACTIONS(5320),
    [anon_sym_link_DASHtitle] = ACTIONS(5320),
    [anon_sym_link_DASHid] = ACTIONS(5320),
    [anon_sym_href] = ACTIONS(5320),
    [anon_sym_title] = ACTIONS(5320),
    [anon_sym_id] = ACTIONS(5320),
    [anon_sym_x_DASH] = ACTIONS(5320),
  },
  [424] = {
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHiex] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHc] = ACTIONS(7),
    [anon_sym_BSLASHcl] = ACTIONS(7),
    [anon_sym_BSLASHca] = ACTIONS(7),
    [anon_sym_BSLASHcp] = ACTIONS(7),
    [anon_sym_BSLASHcd] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqs] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqac] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_BSLASH_STAR] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [sym__zSpaceClose] = ACTIONS(7),
    [anon_sym_BSLASHesb] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
  },
  [425] = {
    [aux_sym_text_token1] = ACTIONS(5322),
    [anon_sym_BSLASHref] = ACTIONS(5322),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5322),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5322),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5322),
    [anon_sym_BSLASHfr] = ACTIONS(5322),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5322),
    [anon_sym_BSLASHfq] = ACTIONS(5322),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5322),
    [anon_sym_BSLASHfqa] = ACTIONS(5322),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5322),
    [anon_sym_BSLASHfk] = ACTIONS(5322),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5322),
    [anon_sym_BSLASHfl] = ACTIONS(5322),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5322),
    [anon_sym_BSLASHfw] = ACTIONS(5322),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5322),
    [anon_sym_BSLASHfp] = ACTIONS(5322),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5322),
    [anon_sym_BSLASHft] = ACTIONS(5322),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5322),
    [anon_sym_BSLASHfdc] = ACTIONS(5322),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5322),
    [anon_sym_BSLASHfv] = ACTIONS(5322),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5322),
    [anon_sym_BSLASHxt] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5322),
    [anon_sym_BSLASHadd] = ACTIONS(5322),
    [anon_sym_BSLASHbk] = ACTIONS(5322),
    [anon_sym_BSLASHdc] = ACTIONS(5322),
    [anon_sym_BSLASHk] = ACTIONS(5322),
    [anon_sym_BSLASHnd] = ACTIONS(5322),
    [anon_sym_BSLASHord] = ACTIONS(5322),
    [anon_sym_BSLASHpn] = ACTIONS(5322),
    [anon_sym_BSLASHpng] = ACTIONS(5322),
    [anon_sym_BSLASHaddpn] = ACTIONS(5322),
    [anon_sym_BSLASHqt] = ACTIONS(5322),
    [anon_sym_BSLASHsig] = ACTIONS(5322),
    [anon_sym_BSLASHsls] = ACTIONS(5322),
    [anon_sym_BSLASHtl] = ACTIONS(5322),
    [anon_sym_BSLASHwj] = ACTIONS(5322),
    [anon_sym_BSLASHem] = ACTIONS(5322),
    [anon_sym_BSLASHbd] = ACTIONS(5322),
    [anon_sym_BSLASHit] = ACTIONS(5322),
    [anon_sym_BSLASHbdit] = ACTIONS(5322),
    [anon_sym_BSLASHno] = ACTIONS(5322),
    [anon_sym_BSLASHsc] = ACTIONS(5322),
    [anon_sym_BSLASHsup] = ACTIONS(5322),
    [anon_sym_BSLASHndx] = ACTIONS(5322),
    [anon_sym_BSLASHpro] = ACTIONS(5322),
    [anon_sym_BSLASHrb] = ACTIONS(5322),
    [anon_sym_BSLASHw] = ACTIONS(5322),
    [anon_sym_BSLASHwg] = ACTIONS(5322),
    [anon_sym_BSLASHwh] = ACTIONS(5322),
    [anon_sym_BSLASHwa] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5322),
    [anon_sym_BSLASHfig] = ACTIONS(5322),
    [anon_sym_BSLASHjmp] = ACTIONS(5322),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5322),
    [anon_sym_BSLASHcat] = ACTIONS(5322),
    [sym_customAttributeName] = ACTIONS(5322),
    [anon_sym_PIPE] = ACTIONS(5322),
    [anon_sym_link_DASHhref] = ACTIONS(5322),
    [anon_sym_link_DASHtitle] = ACTIONS(5322),
    [anon_sym_link_DASHid] = ACTIONS(5322),
    [anon_sym_href] = ACTIONS(5322),
    [anon_sym_title] = ACTIONS(5322),
    [anon_sym_id] = ACTIONS(5322),
    [anon_sym_x_DASH] = ACTIONS(5322),
  },
  [426] = {
    [ts_builtin_sym_end] = ACTIONS(454),
    [aux_sym_text_token1] = ACTIONS(454),
    [anon_sym_BSLASHref] = ACTIONS(456),
    [anon_sym_BSLASHsts] = ACTIONS(456),
    [anon_sym_BSLASHrem] = ACTIONS(456),
    [anon_sym_BSLASHrestore] = ACTIONS(456),
    [anon_sym_BSLASHlit] = ACTIONS(456),
    [anon_sym_BSLASHiqt] = ACTIONS(456),
    [anon_sym_BSLASHip] = ACTIONS(456),
    [anon_sym_BSLASHiex] = ACTIONS(456),
    [anon_sym_BSLASHv] = ACTIONS(456),
    [anon_sym_BSLASHva] = ACTIONS(456),
    [anon_sym_BSLASHvp] = ACTIONS(456),
    [anon_sym_BSLASHc] = ACTIONS(456),
    [anon_sym_BSLASHcl] = ACTIONS(456),
    [anon_sym_BSLASHca] = ACTIONS(456),
    [anon_sym_BSLASHcp] = ACTIONS(456),
    [anon_sym_BSLASHcd] = ACTIONS(456),
    [anon_sym_BSLASHmte] = ACTIONS(456),
    [anon_sym_BSLASHms] = ACTIONS(456),
    [anon_sym_BSLASHs] = ACTIONS(456),
    [anon_sym_BSLASHr] = ACTIONS(456),
    [anon_sym_BSLASHsp] = ACTIONS(456),
    [anon_sym_BSLASHd] = ACTIONS(456),
    [anon_sym_BSLASHsd] = ACTIONS(456),
    [anon_sym_BSLASHp] = ACTIONS(456),
    [anon_sym_BSLASHm] = ACTIONS(456),
    [anon_sym_BSLASHpo] = ACTIONS(456),
    [anon_sym_BSLASHpr] = ACTIONS(456),
    [anon_sym_BSLASHcls] = ACTIONS(456),
    [anon_sym_BSLASHpmo] = ACTIONS(456),
    [anon_sym_BSLASHpm] = ACTIONS(456),
    [anon_sym_BSLASHpmc] = ACTIONS(456),
    [anon_sym_BSLASHpmr] = ACTIONS(456),
    [anon_sym_BSLASHpi] = ACTIONS(456),
    [anon_sym_BSLASHmi] = ACTIONS(456),
    [anon_sym_BSLASHnb] = ACTIONS(456),
    [anon_sym_BSLASHpc] = ACTIONS(456),
    [anon_sym_BSLASHph] = ACTIONS(456),
    [anon_sym_BSLASHb] = ACTIONS(456),
    [anon_sym_BSLASHq] = ACTIONS(456),
    [anon_sym_BSLASHqr] = ACTIONS(456),
    [anon_sym_BSLASHqc] = ACTIONS(456),
    [anon_sym_BSLASHqa] = ACTIONS(456),
    [anon_sym_BSLASHqm] = ACTIONS(456),
    [anon_sym_BSLASHqd] = ACTIONS(456),
    [anon_sym_BSLASHlh] = ACTIONS(456),
    [anon_sym_BSLASHlf] = ACTIONS(456),
    [anon_sym_BSLASHli] = ACTIONS(456),
    [anon_sym_BSLASHlim] = ACTIONS(456),
    [anon_sym_BSLASHliv] = ACTIONS(456),
    [anon_sym_BSLASHlik] = ACTIONS(456),
    [anon_sym_BSLASHlitl] = ACTIONS(456),
    [anon_sym_BSLASHtr] = ACTIONS(456),
    [anon_sym_BSLASHf] = ACTIONS(456),
    [anon_sym_BSLASHfe] = ACTIONS(456),
    [anon_sym_BSLASHef] = ACTIONS(456),
    [anon_sym_BSLASHfm] = ACTIONS(456),
    [anon_sym_BSLASHx] = ACTIONS(456),
    [anon_sym_BSLASHxt] = ACTIONS(456),
    [anon_sym_BSLASHrq] = ACTIONS(456),
    [anon_sym_BSLASHadd] = ACTIONS(456),
    [anon_sym_BSLASHbk] = ACTIONS(456),
    [anon_sym_BSLASHdc] = ACTIONS(456),
    [anon_sym_BSLASHk] = ACTIONS(456),
    [anon_sym_BSLASHnd] = ACTIONS(456),
    [anon_sym_BSLASHord] = ACTIONS(456),
    [anon_sym_BSLASHpn] = ACTIONS(456),
    [anon_sym_BSLASHpng] = ACTIONS(456),
    [anon_sym_BSLASHaddpn] = ACTIONS(456),
    [anon_sym_BSLASHqt] = ACTIONS(456),
    [anon_sym_BSLASHsig] = ACTIONS(456),
    [anon_sym_BSLASHsls] = ACTIONS(456),
    [anon_sym_BSLASHtl] = ACTIONS(456),
    [anon_sym_BSLASHwj] = ACTIONS(456),
    [anon_sym_BSLASHem] = ACTIONS(456),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(456),
    [anon_sym_BSLASHbdit] = ACTIONS(456),
    [anon_sym_BSLASHno] = ACTIONS(456),
    [anon_sym_BSLASHsc] = ACTIONS(456),
    [anon_sym_BSLASHsup] = ACTIONS(456),
    [anon_sym_BSLASHndx] = ACTIONS(456),
    [anon_sym_BSLASHpro] = ACTIONS(456),
    [anon_sym_BSLASHrb] = ACTIONS(456),
    [anon_sym_BSLASHw] = ACTIONS(456),
    [anon_sym_BSLASHwg] = ACTIONS(456),
    [anon_sym_BSLASHwh] = ACTIONS(456),
    [anon_sym_BSLASHwa] = ACTIONS(456),
    [anon_sym_BSLASHfig] = ACTIONS(456),
    [anon_sym_BSLASHjmp] = ACTIONS(456),
    [anon_sym_BSLASHpb] = ACTIONS(456),
    [anon_sym_BSLASH] = ACTIONS(456),
    [sym_milestoneStartTag] = ACTIONS(456),
    [sym_milestoneEndTag] = ACTIONS(456),
    [sym_zSpaceTag] = ACTIONS(456),
    [anon_sym_BSLASHesb] = ACTIONS(456),
  },
  [427] = {
    [aux_sym_text_token1] = ACTIONS(5324),
    [anon_sym_BSLASHref] = ACTIONS(5324),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfr] = ACTIONS(5324),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfq] = ACTIONS(5324),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfqa] = ACTIONS(5324),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfk] = ACTIONS(5324),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfl] = ACTIONS(5324),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfw] = ACTIONS(5324),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfp] = ACTIONS(5324),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHft] = ACTIONS(5324),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfdc] = ACTIONS(5324),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfv] = ACTIONS(5324),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHxt] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHadd] = ACTIONS(5324),
    [anon_sym_BSLASHbk] = ACTIONS(5324),
    [anon_sym_BSLASHdc] = ACTIONS(5324),
    [anon_sym_BSLASHk] = ACTIONS(5324),
    [anon_sym_BSLASHnd] = ACTIONS(5324),
    [anon_sym_BSLASHord] = ACTIONS(5324),
    [anon_sym_BSLASHpn] = ACTIONS(5324),
    [anon_sym_BSLASHpng] = ACTIONS(5324),
    [anon_sym_BSLASHaddpn] = ACTIONS(5324),
    [anon_sym_BSLASHqt] = ACTIONS(5324),
    [anon_sym_BSLASHsig] = ACTIONS(5324),
    [anon_sym_BSLASHsls] = ACTIONS(5324),
    [anon_sym_BSLASHtl] = ACTIONS(5324),
    [anon_sym_BSLASHwj] = ACTIONS(5324),
    [anon_sym_BSLASHem] = ACTIONS(5324),
    [anon_sym_BSLASHbd] = ACTIONS(5324),
    [anon_sym_BSLASHit] = ACTIONS(5324),
    [anon_sym_BSLASHbdit] = ACTIONS(5324),
    [anon_sym_BSLASHno] = ACTIONS(5324),
    [anon_sym_BSLASHsc] = ACTIONS(5324),
    [anon_sym_BSLASHsup] = ACTIONS(5324),
    [anon_sym_BSLASHndx] = ACTIONS(5324),
    [anon_sym_BSLASHpro] = ACTIONS(5324),
    [anon_sym_BSLASHrb] = ACTIONS(5324),
    [anon_sym_BSLASHw] = ACTIONS(5324),
    [anon_sym_BSLASHwg] = ACTIONS(5324),
    [anon_sym_BSLASHwh] = ACTIONS(5324),
    [anon_sym_BSLASHwa] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5324),
    [anon_sym_BSLASHfig] = ACTIONS(5324),
    [anon_sym_BSLASHjmp] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5324),
    [anon_sym_BSLASHcat] = ACTIONS(5324),
    [sym_customAttributeName] = ACTIONS(5324),
    [anon_sym_PIPE] = ACTIONS(5324),
    [anon_sym_link_DASHhref] = ACTIONS(5324),
    [anon_sym_link_DASHtitle] = ACTIONS(5324),
    [anon_sym_link_DASHid] = ACTIONS(5324),
    [anon_sym_href] = ACTIONS(5324),
    [anon_sym_title] = ACTIONS(5324),
    [anon_sym_id] = ACTIONS(5324),
    [anon_sym_x_DASH] = ACTIONS(5324),
  },
  [428] = {
    [aux_sym_text_token1] = ACTIONS(5326),
    [anon_sym_BSLASHref] = ACTIONS(5326),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5326),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5326),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5326),
    [anon_sym_BSLASHfr] = ACTIONS(5326),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5326),
    [anon_sym_BSLASHfq] = ACTIONS(5326),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5326),
    [anon_sym_BSLASHfqa] = ACTIONS(5326),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5326),
    [anon_sym_BSLASHfk] = ACTIONS(5326),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5326),
    [anon_sym_BSLASHfl] = ACTIONS(5326),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5326),
    [anon_sym_BSLASHfw] = ACTIONS(5326),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5326),
    [anon_sym_BSLASHfp] = ACTIONS(5326),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5326),
    [anon_sym_BSLASHft] = ACTIONS(5326),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5326),
    [anon_sym_BSLASHfdc] = ACTIONS(5326),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5326),
    [anon_sym_BSLASHfv] = ACTIONS(5326),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5326),
    [anon_sym_BSLASHxt] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5326),
    [anon_sym_BSLASHadd] = ACTIONS(5326),
    [anon_sym_BSLASHbk] = ACTIONS(5326),
    [anon_sym_BSLASHdc] = ACTIONS(5326),
    [anon_sym_BSLASHk] = ACTIONS(5326),
    [anon_sym_BSLASHnd] = ACTIONS(5326),
    [anon_sym_BSLASHord] = ACTIONS(5326),
    [anon_sym_BSLASHpn] = ACTIONS(5326),
    [anon_sym_BSLASHpng] = ACTIONS(5326),
    [anon_sym_BSLASHaddpn] = ACTIONS(5326),
    [anon_sym_BSLASHqt] = ACTIONS(5326),
    [anon_sym_BSLASHsig] = ACTIONS(5326),
    [anon_sym_BSLASHsls] = ACTIONS(5326),
    [anon_sym_BSLASHtl] = ACTIONS(5326),
    [anon_sym_BSLASHwj] = ACTIONS(5326),
    [anon_sym_BSLASHem] = ACTIONS(5326),
    [anon_sym_BSLASHbd] = ACTIONS(5326),
    [anon_sym_BSLASHit] = ACTIONS(5326),
    [anon_sym_BSLASHbdit] = ACTIONS(5326),
    [anon_sym_BSLASHno] = ACTIONS(5326),
    [anon_sym_BSLASHsc] = ACTIONS(5326),
    [anon_sym_BSLASHsup] = ACTIONS(5326),
    [anon_sym_BSLASHndx] = ACTIONS(5326),
    [anon_sym_BSLASHpro] = ACTIONS(5326),
    [anon_sym_BSLASHrb] = ACTIONS(5326),
    [anon_sym_BSLASHw] = ACTIONS(5326),
    [anon_sym_BSLASHwg] = ACTIONS(5326),
    [anon_sym_BSLASHwh] = ACTIONS(5326),
    [anon_sym_BSLASHwa] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5326),
    [anon_sym_BSLASHfig] = ACTIONS(5326),
    [anon_sym_BSLASHjmp] = ACTIONS(5326),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5326),
    [anon_sym_BSLASHcat] = ACTIONS(5326),
    [sym_customAttributeName] = ACTIONS(5326),
    [anon_sym_PIPE] = ACTIONS(5326),
    [anon_sym_link_DASHhref] = ACTIONS(5326),
    [anon_sym_link_DASHtitle] = ACTIONS(5326),
    [anon_sym_link_DASHid] = ACTIONS(5326),
    [anon_sym_href] = ACTIONS(5326),
    [anon_sym_title] = ACTIONS(5326),
    [anon_sym_id] = ACTIONS(5326),
    [anon_sym_x_DASH] = ACTIONS(5326),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(5328),
    [aux_sym_text_token1] = ACTIONS(5328),
    [anon_sym_BSLASHref] = ACTIONS(5330),
    [anon_sym_BSLASHsts] = ACTIONS(5330),
    [anon_sym_BSLASHrem] = ACTIONS(5330),
    [anon_sym_BSLASHrestore] = ACTIONS(5330),
    [anon_sym_BSLASHlit] = ACTIONS(5330),
    [anon_sym_BSLASHip] = ACTIONS(5330),
    [anon_sym_BSLASHiex] = ACTIONS(5330),
    [anon_sym_BSLASHv] = ACTIONS(5330),
    [anon_sym_BSLASHva] = ACTIONS(5330),
    [anon_sym_BSLASHvp] = ACTIONS(5330),
    [anon_sym_BSLASHc] = ACTIONS(5330),
    [anon_sym_BSLASHcl] = ACTIONS(5330),
    [anon_sym_BSLASHca] = ACTIONS(5330),
    [anon_sym_BSLASHcp] = ACTIONS(5330),
    [anon_sym_BSLASHcd] = ACTIONS(5330),
    [anon_sym_BSLASHmte] = ACTIONS(5330),
    [anon_sym_BSLASHms] = ACTIONS(5330),
    [anon_sym_BSLASHs] = ACTIONS(5330),
    [anon_sym_BSLASHr] = ACTIONS(5330),
    [anon_sym_BSLASHsp] = ACTIONS(5330),
    [anon_sym_BSLASHd] = ACTIONS(5330),
    [anon_sym_BSLASHsd] = ACTIONS(5330),
    [anon_sym_BSLASHp] = ACTIONS(5330),
    [anon_sym_BSLASHm] = ACTIONS(5330),
    [anon_sym_BSLASHpo] = ACTIONS(5330),
    [anon_sym_BSLASHpr] = ACTIONS(5330),
    [anon_sym_BSLASHcls] = ACTIONS(5330),
    [anon_sym_BSLASHpmo] = ACTIONS(5330),
    [anon_sym_BSLASHpm] = ACTIONS(5330),
    [anon_sym_BSLASHpmc] = ACTIONS(5330),
    [anon_sym_BSLASHpmr] = ACTIONS(5330),
    [anon_sym_BSLASHpi] = ACTIONS(5330),
    [anon_sym_BSLASHmi] = ACTIONS(5330),
    [anon_sym_BSLASHnb] = ACTIONS(5330),
    [anon_sym_BSLASHpc] = ACTIONS(5330),
    [anon_sym_BSLASHph] = ACTIONS(5330),
    [anon_sym_BSLASHb] = ACTIONS(5330),
    [anon_sym_BSLASHq] = ACTIONS(5330),
    [anon_sym_BSLASHqr] = ACTIONS(5330),
    [anon_sym_BSLASHqc] = ACTIONS(5330),
    [anon_sym_BSLASHqa] = ACTIONS(5330),
    [anon_sym_BSLASHqm] = ACTIONS(5330),
    [anon_sym_BSLASHqd] = ACTIONS(5330),
    [anon_sym_BSLASHlh] = ACTIONS(5330),
    [anon_sym_BSLASHlf] = ACTIONS(5330),
    [anon_sym_BSLASHli] = ACTIONS(5330),
    [anon_sym_BSLASHlim] = ACTIONS(5330),
    [anon_sym_BSLASHliv] = ACTIONS(5330),
    [anon_sym_BSLASHlik] = ACTIONS(5330),
    [anon_sym_BSLASHlitl] = ACTIONS(5330),
    [anon_sym_BSLASHtr] = ACTIONS(5330),
    [anon_sym_BSLASHf] = ACTIONS(5330),
    [anon_sym_BSLASHfe] = ACTIONS(5330),
    [anon_sym_BSLASHef] = ACTIONS(5330),
    [anon_sym_BSLASHfm] = ACTIONS(5330),
    [anon_sym_BSLASHx] = ACTIONS(5330),
    [anon_sym_BSLASHxt] = ACTIONS(5330),
    [anon_sym_BSLASHrq] = ACTIONS(5330),
    [anon_sym_BSLASHadd] = ACTIONS(5330),
    [anon_sym_BSLASHbk] = ACTIONS(5330),
    [anon_sym_BSLASHdc] = ACTIONS(5330),
    [anon_sym_BSLASHk] = ACTIONS(5330),
    [anon_sym_BSLASHnd] = ACTIONS(5330),
    [anon_sym_BSLASHord] = ACTIONS(5330),
    [anon_sym_BSLASHpn] = ACTIONS(5330),
    [anon_sym_BSLASHpng] = ACTIONS(5330),
    [anon_sym_BSLASHaddpn] = ACTIONS(5330),
    [anon_sym_BSLASHqt] = ACTIONS(5330),
    [anon_sym_BSLASHsig] = ACTIONS(5330),
    [anon_sym_BSLASHsls] = ACTIONS(5330),
    [anon_sym_BSLASHtl] = ACTIONS(5330),
    [anon_sym_BSLASHwj] = ACTIONS(5330),
    [anon_sym_BSLASHem] = ACTIONS(5330),
    [anon_sym_BSLASHbd] = ACTIONS(5330),
    [anon_sym_BSLASHit] = ACTIONS(5330),
    [anon_sym_BSLASHbdit] = ACTIONS(5330),
    [anon_sym_BSLASHno] = ACTIONS(5330),
    [anon_sym_BSLASHsc] = ACTIONS(5330),
    [anon_sym_BSLASHsup] = ACTIONS(5330),
    [anon_sym_BSLASHndx] = ACTIONS(5330),
    [anon_sym_BSLASHpro] = ACTIONS(5330),
    [anon_sym_BSLASHrb] = ACTIONS(5330),
    [anon_sym_BSLASHw] = ACTIONS(5330),
    [anon_sym_BSLASHwg] = ACTIONS(5330),
    [anon_sym_BSLASHwh] = ACTIONS(5330),
    [anon_sym_BSLASHwa] = ACTIONS(5330),
    [anon_sym_BSLASHfig] = ACTIONS(5330),
    [anon_sym_BSLASHjmp] = ACTIONS(5330),
    [anon_sym_BSLASHpb] = ACTIONS(5330),
    [anon_sym_BSLASH] = ACTIONS(5330),
    [sym_milestoneStartTag] = ACTIONS(5330),
    [sym_milestoneEndTag] = ACTIONS(5330),
    [sym_zSpaceTag] = ACTIONS(5330),
    [anon_sym_BSLASHesb] = ACTIONS(5330),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(5332),
    [aux_sym_text_token1] = ACTIONS(5332),
    [anon_sym_BSLASHref] = ACTIONS(5334),
    [anon_sym_BSLASHsts] = ACTIONS(5334),
    [anon_sym_BSLASHrem] = ACTIONS(5334),
    [anon_sym_BSLASHrestore] = ACTIONS(5334),
    [anon_sym_BSLASHlit] = ACTIONS(5334),
    [anon_sym_BSLASHip] = ACTIONS(5334),
    [anon_sym_BSLASHiex] = ACTIONS(5334),
    [anon_sym_BSLASHv] = ACTIONS(5334),
    [anon_sym_BSLASHva] = ACTIONS(5334),
    [anon_sym_BSLASHvp] = ACTIONS(5334),
    [anon_sym_BSLASHc] = ACTIONS(5334),
    [anon_sym_BSLASHcl] = ACTIONS(5334),
    [anon_sym_BSLASHca] = ACTIONS(5334),
    [anon_sym_BSLASHcp] = ACTIONS(5334),
    [anon_sym_BSLASHcd] = ACTIONS(5334),
    [anon_sym_BSLASHmte] = ACTIONS(5334),
    [anon_sym_BSLASHms] = ACTIONS(5334),
    [anon_sym_BSLASHs] = ACTIONS(5334),
    [anon_sym_BSLASHr] = ACTIONS(5334),
    [anon_sym_BSLASHsp] = ACTIONS(5334),
    [anon_sym_BSLASHd] = ACTIONS(5334),
    [anon_sym_BSLASHsd] = ACTIONS(5334),
    [anon_sym_BSLASHp] = ACTIONS(5334),
    [anon_sym_BSLASHm] = ACTIONS(5334),
    [anon_sym_BSLASHpo] = ACTIONS(5334),
    [anon_sym_BSLASHpr] = ACTIONS(5334),
    [anon_sym_BSLASHcls] = ACTIONS(5334),
    [anon_sym_BSLASHpmo] = ACTIONS(5334),
    [anon_sym_BSLASHpm] = ACTIONS(5334),
    [anon_sym_BSLASHpmc] = ACTIONS(5334),
    [anon_sym_BSLASHpmr] = ACTIONS(5334),
    [anon_sym_BSLASHpi] = ACTIONS(5334),
    [anon_sym_BSLASHmi] = ACTIONS(5334),
    [anon_sym_BSLASHnb] = ACTIONS(5334),
    [anon_sym_BSLASHpc] = ACTIONS(5334),
    [anon_sym_BSLASHph] = ACTIONS(5334),
    [anon_sym_BSLASHb] = ACTIONS(5334),
    [anon_sym_BSLASHq] = ACTIONS(5334),
    [anon_sym_BSLASHqr] = ACTIONS(5334),
    [anon_sym_BSLASHqc] = ACTIONS(5334),
    [anon_sym_BSLASHqa] = ACTIONS(5334),
    [anon_sym_BSLASHqm] = ACTIONS(5334),
    [anon_sym_BSLASHqd] = ACTIONS(5334),
    [anon_sym_BSLASHlh] = ACTIONS(5334),
    [anon_sym_BSLASHlf] = ACTIONS(5334),
    [anon_sym_BSLASHli] = ACTIONS(5334),
    [anon_sym_BSLASHlim] = ACTIONS(5334),
    [anon_sym_BSLASHliv] = ACTIONS(5334),
    [anon_sym_BSLASHlik] = ACTIONS(5334),
    [anon_sym_BSLASHlitl] = ACTIONS(5334),
    [anon_sym_BSLASHtr] = ACTIONS(5334),
    [anon_sym_BSLASHf] = ACTIONS(5334),
    [anon_sym_BSLASHfe] = ACTIONS(5334),
    [anon_sym_BSLASHef] = ACTIONS(5334),
    [anon_sym_BSLASHfm] = ACTIONS(5334),
    [anon_sym_BSLASHx] = ACTIONS(5334),
    [anon_sym_BSLASHxt] = ACTIONS(5334),
    [anon_sym_BSLASHrq] = ACTIONS(5334),
    [anon_sym_BSLASHadd] = ACTIONS(5334),
    [anon_sym_BSLASHbk] = ACTIONS(5334),
    [anon_sym_BSLASHdc] = ACTIONS(5334),
    [anon_sym_BSLASHk] = ACTIONS(5334),
    [anon_sym_BSLASHnd] = ACTIONS(5334),
    [anon_sym_BSLASHord] = ACTIONS(5334),
    [anon_sym_BSLASHpn] = ACTIONS(5334),
    [anon_sym_BSLASHpng] = ACTIONS(5334),
    [anon_sym_BSLASHaddpn] = ACTIONS(5334),
    [anon_sym_BSLASHqt] = ACTIONS(5334),
    [anon_sym_BSLASHsig] = ACTIONS(5334),
    [anon_sym_BSLASHsls] = ACTIONS(5334),
    [anon_sym_BSLASHtl] = ACTIONS(5334),
    [anon_sym_BSLASHwj] = ACTIONS(5334),
    [anon_sym_BSLASHem] = ACTIONS(5334),
    [anon_sym_BSLASHbd] = ACTIONS(5334),
    [anon_sym_BSLASHit] = ACTIONS(5334),
    [anon_sym_BSLASHbdit] = ACTIONS(5334),
    [anon_sym_BSLASHno] = ACTIONS(5334),
    [anon_sym_BSLASHsc] = ACTIONS(5334),
    [anon_sym_BSLASHsup] = ACTIONS(5334),
    [anon_sym_BSLASHndx] = ACTIONS(5334),
    [anon_sym_BSLASHpro] = ACTIONS(5334),
    [anon_sym_BSLASHrb] = ACTIONS(5334),
    [anon_sym_BSLASHw] = ACTIONS(5334),
    [anon_sym_BSLASHwg] = ACTIONS(5334),
    [anon_sym_BSLASHwh] = ACTIONS(5334),
    [anon_sym_BSLASHwa] = ACTIONS(5334),
    [anon_sym_BSLASHfig] = ACTIONS(5334),
    [anon_sym_BSLASHjmp] = ACTIONS(5334),
    [anon_sym_BSLASHpb] = ACTIONS(5334),
    [anon_sym_BSLASH] = ACTIONS(5334),
    [sym_milestoneStartTag] = ACTIONS(5334),
    [sym_milestoneEndTag] = ACTIONS(5334),
    [sym_zSpaceTag] = ACTIONS(5334),
    [anon_sym_BSLASHesb] = ACTIONS(5334),
  },
  [431] = {
    [ts_builtin_sym_end] = ACTIONS(5336),
    [aux_sym_text_token1] = ACTIONS(5336),
    [anon_sym_BSLASHref] = ACTIONS(5338),
    [anon_sym_BSLASHsts] = ACTIONS(5338),
    [anon_sym_BSLASHrem] = ACTIONS(5338),
    [anon_sym_BSLASHrestore] = ACTIONS(5338),
    [anon_sym_BSLASHlit] = ACTIONS(5338),
    [anon_sym_BSLASHip] = ACTIONS(5338),
    [anon_sym_BSLASHiex] = ACTIONS(5338),
    [anon_sym_BSLASHv] = ACTIONS(5338),
    [anon_sym_BSLASHva] = ACTIONS(5338),
    [anon_sym_BSLASHvp] = ACTIONS(5338),
    [anon_sym_BSLASHc] = ACTIONS(5338),
    [anon_sym_BSLASHcl] = ACTIONS(5338),
    [anon_sym_BSLASHca] = ACTIONS(5338),
    [anon_sym_BSLASHcp] = ACTIONS(5338),
    [anon_sym_BSLASHcd] = ACTIONS(5338),
    [anon_sym_BSLASHmte] = ACTIONS(5338),
    [anon_sym_BSLASHms] = ACTIONS(5338),
    [anon_sym_BSLASHs] = ACTIONS(5338),
    [anon_sym_BSLASHr] = ACTIONS(5338),
    [anon_sym_BSLASHsp] = ACTIONS(5338),
    [anon_sym_BSLASHd] = ACTIONS(5338),
    [anon_sym_BSLASHsd] = ACTIONS(5338),
    [anon_sym_BSLASHp] = ACTIONS(5338),
    [anon_sym_BSLASHm] = ACTIONS(5338),
    [anon_sym_BSLASHpo] = ACTIONS(5338),
    [anon_sym_BSLASHpr] = ACTIONS(5338),
    [anon_sym_BSLASHcls] = ACTIONS(5338),
    [anon_sym_BSLASHpmo] = ACTIONS(5338),
    [anon_sym_BSLASHpm] = ACTIONS(5338),
    [anon_sym_BSLASHpmc] = ACTIONS(5338),
    [anon_sym_BSLASHpmr] = ACTIONS(5338),
    [anon_sym_BSLASHpi] = ACTIONS(5338),
    [anon_sym_BSLASHmi] = ACTIONS(5338),
    [anon_sym_BSLASHnb] = ACTIONS(5338),
    [anon_sym_BSLASHpc] = ACTIONS(5338),
    [anon_sym_BSLASHph] = ACTIONS(5338),
    [anon_sym_BSLASHb] = ACTIONS(5338),
    [anon_sym_BSLASHq] = ACTIONS(5338),
    [anon_sym_BSLASHqr] = ACTIONS(5338),
    [anon_sym_BSLASHqc] = ACTIONS(5338),
    [anon_sym_BSLASHqa] = ACTIONS(5338),
    [anon_sym_BSLASHqm] = ACTIONS(5338),
    [anon_sym_BSLASHqd] = ACTIONS(5338),
    [anon_sym_BSLASHlh] = ACTIONS(5338),
    [anon_sym_BSLASHlf] = ACTIONS(5338),
    [anon_sym_BSLASHli] = ACTIONS(5338),
    [anon_sym_BSLASHlim] = ACTIONS(5338),
    [anon_sym_BSLASHliv] = ACTIONS(5338),
    [anon_sym_BSLASHlik] = ACTIONS(5338),
    [anon_sym_BSLASHlitl] = ACTIONS(5338),
    [anon_sym_BSLASHtr] = ACTIONS(5338),
    [anon_sym_BSLASHf] = ACTIONS(5338),
    [anon_sym_BSLASHfe] = ACTIONS(5338),
    [anon_sym_BSLASHef] = ACTIONS(5338),
    [anon_sym_BSLASHfm] = ACTIONS(5338),
    [anon_sym_BSLASHx] = ACTIONS(5338),
    [anon_sym_BSLASHxt] = ACTIONS(5338),
    [anon_sym_BSLASHrq] = ACTIONS(5338),
    [anon_sym_BSLASHadd] = ACTIONS(5338),
    [anon_sym_BSLASHbk] = ACTIONS(5338),
    [anon_sym_BSLASHdc] = ACTIONS(5338),
    [anon_sym_BSLASHk] = ACTIONS(5338),
    [anon_sym_BSLASHnd] = ACTIONS(5338),
    [anon_sym_BSLASHord] = ACTIONS(5338),
    [anon_sym_BSLASHpn] = ACTIONS(5338),
    [anon_sym_BSLASHpng] = ACTIONS(5338),
    [anon_sym_BSLASHaddpn] = ACTIONS(5338),
    [anon_sym_BSLASHqt] = ACTIONS(5338),
    [anon_sym_BSLASHsig] = ACTIONS(5338),
    [anon_sym_BSLASHsls] = ACTIONS(5338),
    [anon_sym_BSLASHtl] = ACTIONS(5338),
    [anon_sym_BSLASHwj] = ACTIONS(5338),
    [anon_sym_BSLASHem] = ACTIONS(5338),
    [anon_sym_BSLASHbd] = ACTIONS(5338),
    [anon_sym_BSLASHit] = ACTIONS(5338),
    [anon_sym_BSLASHbdit] = ACTIONS(5338),
    [anon_sym_BSLASHno] = ACTIONS(5338),
    [anon_sym_BSLASHsc] = ACTIONS(5338),
    [anon_sym_BSLASHsup] = ACTIONS(5338),
    [anon_sym_BSLASHndx] = ACTIONS(5338),
    [anon_sym_BSLASHpro] = ACTIONS(5338),
    [anon_sym_BSLASHrb] = ACTIONS(5338),
    [anon_sym_BSLASHw] = ACTIONS(5338),
    [anon_sym_BSLASHwg] = ACTIONS(5338),
    [anon_sym_BSLASHwh] = ACTIONS(5338),
    [anon_sym_BSLASHwa] = ACTIONS(5338),
    [anon_sym_BSLASHfig] = ACTIONS(5338),
    [anon_sym_BSLASHjmp] = ACTIONS(5338),
    [anon_sym_BSLASHpb] = ACTIONS(5338),
    [anon_sym_BSLASH] = ACTIONS(5338),
    [sym_milestoneStartTag] = ACTIONS(5338),
    [sym_milestoneEndTag] = ACTIONS(5338),
    [sym_zSpaceTag] = ACTIONS(5338),
    [anon_sym_BSLASHesb] = ACTIONS(5338),
  },
  [432] = {
    [ts_builtin_sym_end] = ACTIONS(5340),
    [aux_sym_text_token1] = ACTIONS(5340),
    [anon_sym_BSLASHref] = ACTIONS(5342),
    [anon_sym_BSLASHsts] = ACTIONS(5342),
    [anon_sym_BSLASHrem] = ACTIONS(5342),
    [anon_sym_BSLASHrestore] = ACTIONS(5342),
    [anon_sym_BSLASHlit] = ACTIONS(5342),
    [anon_sym_BSLASHip] = ACTIONS(5342),
    [anon_sym_BSLASHiex] = ACTIONS(5342),
    [anon_sym_BSLASHv] = ACTIONS(5342),
    [anon_sym_BSLASHva] = ACTIONS(5342),
    [anon_sym_BSLASHvp] = ACTIONS(5342),
    [anon_sym_BSLASHc] = ACTIONS(5342),
    [anon_sym_BSLASHcl] = ACTIONS(5342),
    [anon_sym_BSLASHca] = ACTIONS(5342),
    [anon_sym_BSLASHcp] = ACTIONS(5342),
    [anon_sym_BSLASHcd] = ACTIONS(5342),
    [anon_sym_BSLASHmte] = ACTIONS(5342),
    [anon_sym_BSLASHms] = ACTIONS(5342),
    [anon_sym_BSLASHs] = ACTIONS(5342),
    [anon_sym_BSLASHr] = ACTIONS(5342),
    [anon_sym_BSLASHsp] = ACTIONS(5342),
    [anon_sym_BSLASHd] = ACTIONS(5342),
    [anon_sym_BSLASHsd] = ACTIONS(5342),
    [anon_sym_BSLASHp] = ACTIONS(5342),
    [anon_sym_BSLASHm] = ACTIONS(5342),
    [anon_sym_BSLASHpo] = ACTIONS(5342),
    [anon_sym_BSLASHpr] = ACTIONS(5342),
    [anon_sym_BSLASHcls] = ACTIONS(5342),
    [anon_sym_BSLASHpmo] = ACTIONS(5342),
    [anon_sym_BSLASHpm] = ACTIONS(5342),
    [anon_sym_BSLASHpmc] = ACTIONS(5342),
    [anon_sym_BSLASHpmr] = ACTIONS(5342),
    [anon_sym_BSLASHpi] = ACTIONS(5342),
    [anon_sym_BSLASHmi] = ACTIONS(5342),
    [anon_sym_BSLASHnb] = ACTIONS(5342),
    [anon_sym_BSLASHpc] = ACTIONS(5342),
    [anon_sym_BSLASHph] = ACTIONS(5342),
    [anon_sym_BSLASHb] = ACTIONS(5342),
    [anon_sym_BSLASHq] = ACTIONS(5342),
    [anon_sym_BSLASHqr] = ACTIONS(5342),
    [anon_sym_BSLASHqc] = ACTIONS(5342),
    [anon_sym_BSLASHqa] = ACTIONS(5342),
    [anon_sym_BSLASHqm] = ACTIONS(5342),
    [anon_sym_BSLASHqd] = ACTIONS(5342),
    [anon_sym_BSLASHlh] = ACTIONS(5342),
    [anon_sym_BSLASHlf] = ACTIONS(5342),
    [anon_sym_BSLASHli] = ACTIONS(5342),
    [anon_sym_BSLASHlim] = ACTIONS(5342),
    [anon_sym_BSLASHliv] = ACTIONS(5342),
    [anon_sym_BSLASHlik] = ACTIONS(5342),
    [anon_sym_BSLASHlitl] = ACTIONS(5342),
    [anon_sym_BSLASHtr] = ACTIONS(5342),
    [anon_sym_BSLASHf] = ACTIONS(5342),
    [anon_sym_BSLASHfe] = ACTIONS(5342),
    [anon_sym_BSLASHef] = ACTIONS(5342),
    [anon_sym_BSLASHfm] = ACTIONS(5342),
    [anon_sym_BSLASHx] = ACTIONS(5342),
    [anon_sym_BSLASHxt] = ACTIONS(5342),
    [anon_sym_BSLASHrq] = ACTIONS(5342),
    [anon_sym_BSLASHadd] = ACTIONS(5342),
    [anon_sym_BSLASHbk] = ACTIONS(5342),
    [anon_sym_BSLASHdc] = ACTIONS(5342),
    [anon_sym_BSLASHk] = ACTIONS(5342),
    [anon_sym_BSLASHnd] = ACTIONS(5342),
    [anon_sym_BSLASHord] = ACTIONS(5342),
    [anon_sym_BSLASHpn] = ACTIONS(5342),
    [anon_sym_BSLASHpng] = ACTIONS(5342),
    [anon_sym_BSLASHaddpn] = ACTIONS(5342),
    [anon_sym_BSLASHqt] = ACTIONS(5342),
    [anon_sym_BSLASHsig] = ACTIONS(5342),
    [anon_sym_BSLASHsls] = ACTIONS(5342),
    [anon_sym_BSLASHtl] = ACTIONS(5342),
    [anon_sym_BSLASHwj] = ACTIONS(5342),
    [anon_sym_BSLASHem] = ACTIONS(5342),
    [anon_sym_BSLASHbd] = ACTIONS(5342),
    [anon_sym_BSLASHit] = ACTIONS(5342),
    [anon_sym_BSLASHbdit] = ACTIONS(5342),
    [anon_sym_BSLASHno] = ACTIONS(5342),
    [anon_sym_BSLASHsc] = ACTIONS(5342),
    [anon_sym_BSLASHsup] = ACTIONS(5342),
    [anon_sym_BSLASHndx] = ACTIONS(5342),
    [anon_sym_BSLASHpro] = ACTIONS(5342),
    [anon_sym_BSLASHrb] = ACTIONS(5342),
    [anon_sym_BSLASHw] = ACTIONS(5342),
    [anon_sym_BSLASHwg] = ACTIONS(5342),
    [anon_sym_BSLASHwh] = ACTIONS(5342),
    [anon_sym_BSLASHwa] = ACTIONS(5342),
    [anon_sym_BSLASHfig] = ACTIONS(5342),
    [anon_sym_BSLASHjmp] = ACTIONS(5342),
    [anon_sym_BSLASHpb] = ACTIONS(5342),
    [anon_sym_BSLASH] = ACTIONS(5342),
    [sym_milestoneStartTag] = ACTIONS(5342),
    [sym_milestoneEndTag] = ACTIONS(5342),
    [sym_zSpaceTag] = ACTIONS(5342),
    [anon_sym_BSLASHesb] = ACTIONS(5342),
  },
  [433] = {
    [ts_builtin_sym_end] = ACTIONS(5344),
    [aux_sym_text_token1] = ACTIONS(5344),
    [anon_sym_BSLASHref] = ACTIONS(5346),
    [anon_sym_BSLASHsts] = ACTIONS(5346),
    [anon_sym_BSLASHrem] = ACTIONS(5346),
    [anon_sym_BSLASHrestore] = ACTIONS(5346),
    [anon_sym_BSLASHlit] = ACTIONS(5346),
    [anon_sym_BSLASHip] = ACTIONS(5346),
    [anon_sym_BSLASHiex] = ACTIONS(5346),
    [anon_sym_BSLASHv] = ACTIONS(5346),
    [anon_sym_BSLASHva] = ACTIONS(5346),
    [anon_sym_BSLASHvp] = ACTIONS(5346),
    [anon_sym_BSLASHc] = ACTIONS(5346),
    [anon_sym_BSLASHcl] = ACTIONS(5346),
    [anon_sym_BSLASHca] = ACTIONS(5346),
    [anon_sym_BSLASHcp] = ACTIONS(5346),
    [anon_sym_BSLASHcd] = ACTIONS(5346),
    [anon_sym_BSLASHmte] = ACTIONS(5346),
    [anon_sym_BSLASHms] = ACTIONS(5346),
    [anon_sym_BSLASHs] = ACTIONS(5346),
    [anon_sym_BSLASHr] = ACTIONS(5346),
    [anon_sym_BSLASHsp] = ACTIONS(5346),
    [anon_sym_BSLASHd] = ACTIONS(5346),
    [anon_sym_BSLASHsd] = ACTIONS(5346),
    [anon_sym_BSLASHp] = ACTIONS(5346),
    [anon_sym_BSLASHm] = ACTIONS(5346),
    [anon_sym_BSLASHpo] = ACTIONS(5346),
    [anon_sym_BSLASHpr] = ACTIONS(5346),
    [anon_sym_BSLASHcls] = ACTIONS(5346),
    [anon_sym_BSLASHpmo] = ACTIONS(5346),
    [anon_sym_BSLASHpm] = ACTIONS(5346),
    [anon_sym_BSLASHpmc] = ACTIONS(5346),
    [anon_sym_BSLASHpmr] = ACTIONS(5346),
    [anon_sym_BSLASHpi] = ACTIONS(5346),
    [anon_sym_BSLASHmi] = ACTIONS(5346),
    [anon_sym_BSLASHnb] = ACTIONS(5346),
    [anon_sym_BSLASHpc] = ACTIONS(5346),
    [anon_sym_BSLASHph] = ACTIONS(5346),
    [anon_sym_BSLASHb] = ACTIONS(5346),
    [anon_sym_BSLASHq] = ACTIONS(5346),
    [anon_sym_BSLASHqr] = ACTIONS(5346),
    [anon_sym_BSLASHqc] = ACTIONS(5346),
    [anon_sym_BSLASHqa] = ACTIONS(5346),
    [anon_sym_BSLASHqm] = ACTIONS(5346),
    [anon_sym_BSLASHqd] = ACTIONS(5346),
    [anon_sym_BSLASHlh] = ACTIONS(5346),
    [anon_sym_BSLASHlf] = ACTIONS(5346),
    [anon_sym_BSLASHli] = ACTIONS(5346),
    [anon_sym_BSLASHlim] = ACTIONS(5346),
    [anon_sym_BSLASHliv] = ACTIONS(5346),
    [anon_sym_BSLASHlik] = ACTIONS(5346),
    [anon_sym_BSLASHlitl] = ACTIONS(5346),
    [anon_sym_BSLASHtr] = ACTIONS(5346),
    [anon_sym_BSLASHf] = ACTIONS(5346),
    [anon_sym_BSLASHfe] = ACTIONS(5346),
    [anon_sym_BSLASHef] = ACTIONS(5346),
    [anon_sym_BSLASHfm] = ACTIONS(5346),
    [anon_sym_BSLASHx] = ACTIONS(5346),
    [anon_sym_BSLASHxt] = ACTIONS(5346),
    [anon_sym_BSLASHrq] = ACTIONS(5346),
    [anon_sym_BSLASHadd] = ACTIONS(5346),
    [anon_sym_BSLASHbk] = ACTIONS(5346),
    [anon_sym_BSLASHdc] = ACTIONS(5346),
    [anon_sym_BSLASHk] = ACTIONS(5346),
    [anon_sym_BSLASHnd] = ACTIONS(5346),
    [anon_sym_BSLASHord] = ACTIONS(5346),
    [anon_sym_BSLASHpn] = ACTIONS(5346),
    [anon_sym_BSLASHpng] = ACTIONS(5346),
    [anon_sym_BSLASHaddpn] = ACTIONS(5346),
    [anon_sym_BSLASHqt] = ACTIONS(5346),
    [anon_sym_BSLASHsig] = ACTIONS(5346),
    [anon_sym_BSLASHsls] = ACTIONS(5346),
    [anon_sym_BSLASHtl] = ACTIONS(5346),
    [anon_sym_BSLASHwj] = ACTIONS(5346),
    [anon_sym_BSLASHem] = ACTIONS(5346),
    [anon_sym_BSLASHbd] = ACTIONS(5346),
    [anon_sym_BSLASHit] = ACTIONS(5346),
    [anon_sym_BSLASHbdit] = ACTIONS(5346),
    [anon_sym_BSLASHno] = ACTIONS(5346),
    [anon_sym_BSLASHsc] = ACTIONS(5346),
    [anon_sym_BSLASHsup] = ACTIONS(5346),
    [anon_sym_BSLASHndx] = ACTIONS(5346),
    [anon_sym_BSLASHpro] = ACTIONS(5346),
    [anon_sym_BSLASHrb] = ACTIONS(5346),
    [anon_sym_BSLASHw] = ACTIONS(5346),
    [anon_sym_BSLASHwg] = ACTIONS(5346),
    [anon_sym_BSLASHwh] = ACTIONS(5346),
    [anon_sym_BSLASHwa] = ACTIONS(5346),
    [anon_sym_BSLASHfig] = ACTIONS(5346),
    [anon_sym_BSLASHjmp] = ACTIONS(5346),
    [anon_sym_BSLASHpb] = ACTIONS(5346),
    [anon_sym_BSLASH] = ACTIONS(5346),
    [sym_milestoneStartTag] = ACTIONS(5346),
    [sym_milestoneEndTag] = ACTIONS(5346),
    [sym_zSpaceTag] = ACTIONS(5346),
    [anon_sym_BSLASHesb] = ACTIONS(5346),
  },
  [434] = {
    [ts_builtin_sym_end] = ACTIONS(5348),
    [aux_sym_text_token1] = ACTIONS(5348),
    [anon_sym_BSLASHref] = ACTIONS(5350),
    [anon_sym_BSLASHsts] = ACTIONS(5350),
    [anon_sym_BSLASHrem] = ACTIONS(5350),
    [anon_sym_BSLASHrestore] = ACTIONS(5350),
    [anon_sym_BSLASHlit] = ACTIONS(5350),
    [anon_sym_BSLASHip] = ACTIONS(5350),
    [anon_sym_BSLASHiex] = ACTIONS(5350),
    [anon_sym_BSLASHv] = ACTIONS(5350),
    [anon_sym_BSLASHva] = ACTIONS(5350),
    [anon_sym_BSLASHvp] = ACTIONS(5350),
    [anon_sym_BSLASHc] = ACTIONS(5350),
    [anon_sym_BSLASHcl] = ACTIONS(5350),
    [anon_sym_BSLASHca] = ACTIONS(5350),
    [anon_sym_BSLASHcp] = ACTIONS(5350),
    [anon_sym_BSLASHcd] = ACTIONS(5350),
    [anon_sym_BSLASHmte] = ACTIONS(5350),
    [anon_sym_BSLASHms] = ACTIONS(5350),
    [anon_sym_BSLASHs] = ACTIONS(5350),
    [anon_sym_BSLASHr] = ACTIONS(5350),
    [anon_sym_BSLASHsp] = ACTIONS(5350),
    [anon_sym_BSLASHd] = ACTIONS(5350),
    [anon_sym_BSLASHsd] = ACTIONS(5350),
    [anon_sym_BSLASHp] = ACTIONS(5350),
    [anon_sym_BSLASHm] = ACTIONS(5350),
    [anon_sym_BSLASHpo] = ACTIONS(5350),
    [anon_sym_BSLASHpr] = ACTIONS(5350),
    [anon_sym_BSLASHcls] = ACTIONS(5350),
    [anon_sym_BSLASHpmo] = ACTIONS(5350),
    [anon_sym_BSLASHpm] = ACTIONS(5350),
    [anon_sym_BSLASHpmc] = ACTIONS(5350),
    [anon_sym_BSLASHpmr] = ACTIONS(5350),
    [anon_sym_BSLASHpi] = ACTIONS(5350),
    [anon_sym_BSLASHmi] = ACTIONS(5350),
    [anon_sym_BSLASHnb] = ACTIONS(5350),
    [anon_sym_BSLASHpc] = ACTIONS(5350),
    [anon_sym_BSLASHph] = ACTIONS(5350),
    [anon_sym_BSLASHb] = ACTIONS(5350),
    [anon_sym_BSLASHq] = ACTIONS(5350),
    [anon_sym_BSLASHqr] = ACTIONS(5350),
    [anon_sym_BSLASHqc] = ACTIONS(5350),
    [anon_sym_BSLASHqa] = ACTIONS(5350),
    [anon_sym_BSLASHqm] = ACTIONS(5350),
    [anon_sym_BSLASHqd] = ACTIONS(5350),
    [anon_sym_BSLASHlh] = ACTIONS(5350),
    [anon_sym_BSLASHlf] = ACTIONS(5350),
    [anon_sym_BSLASHli] = ACTIONS(5350),
    [anon_sym_BSLASHlim] = ACTIONS(5350),
    [anon_sym_BSLASHliv] = ACTIONS(5350),
    [anon_sym_BSLASHlik] = ACTIONS(5350),
    [anon_sym_BSLASHlitl] = ACTIONS(5350),
    [anon_sym_BSLASHtr] = ACTIONS(5350),
    [anon_sym_BSLASHf] = ACTIONS(5350),
    [anon_sym_BSLASHfe] = ACTIONS(5350),
    [anon_sym_BSLASHef] = ACTIONS(5350),
    [anon_sym_BSLASHfm] = ACTIONS(5350),
    [anon_sym_BSLASHx] = ACTIONS(5350),
    [anon_sym_BSLASHxt] = ACTIONS(5350),
    [anon_sym_BSLASHrq] = ACTIONS(5350),
    [anon_sym_BSLASHadd] = ACTIONS(5350),
    [anon_sym_BSLASHbk] = ACTIONS(5350),
    [anon_sym_BSLASHdc] = ACTIONS(5350),
    [anon_sym_BSLASHk] = ACTIONS(5350),
    [anon_sym_BSLASHnd] = ACTIONS(5350),
    [anon_sym_BSLASHord] = ACTIONS(5350),
    [anon_sym_BSLASHpn] = ACTIONS(5350),
    [anon_sym_BSLASHpng] = ACTIONS(5350),
    [anon_sym_BSLASHaddpn] = ACTIONS(5350),
    [anon_sym_BSLASHqt] = ACTIONS(5350),
    [anon_sym_BSLASHsig] = ACTIONS(5350),
    [anon_sym_BSLASHsls] = ACTIONS(5350),
    [anon_sym_BSLASHtl] = ACTIONS(5350),
    [anon_sym_BSLASHwj] = ACTIONS(5350),
    [anon_sym_BSLASHem] = ACTIONS(5350),
    [anon_sym_BSLASHbd] = ACTIONS(5350),
    [anon_sym_BSLASHit] = ACTIONS(5350),
    [anon_sym_BSLASHbdit] = ACTIONS(5350),
    [anon_sym_BSLASHno] = ACTIONS(5350),
    [anon_sym_BSLASHsc] = ACTIONS(5350),
    [anon_sym_BSLASHsup] = ACTIONS(5350),
    [anon_sym_BSLASHndx] = ACTIONS(5350),
    [anon_sym_BSLASHpro] = ACTIONS(5350),
    [anon_sym_BSLASHrb] = ACTIONS(5350),
    [anon_sym_BSLASHw] = ACTIONS(5350),
    [anon_sym_BSLASHwg] = ACTIONS(5350),
    [anon_sym_BSLASHwh] = ACTIONS(5350),
    [anon_sym_BSLASHwa] = ACTIONS(5350),
    [anon_sym_BSLASHfig] = ACTIONS(5350),
    [anon_sym_BSLASHjmp] = ACTIONS(5350),
    [anon_sym_BSLASHpb] = ACTIONS(5350),
    [anon_sym_BSLASH] = ACTIONS(5350),
    [sym_milestoneStartTag] = ACTIONS(5350),
    [sym_milestoneEndTag] = ACTIONS(5350),
    [sym_zSpaceTag] = ACTIONS(5350),
    [anon_sym_BSLASHesb] = ACTIONS(5350),
  },
  [435] = {
    [ts_builtin_sym_end] = ACTIONS(5352),
    [aux_sym_text_token1] = ACTIONS(5352),
    [anon_sym_BSLASHref] = ACTIONS(5354),
    [anon_sym_BSLASHsts] = ACTIONS(5354),
    [anon_sym_BSLASHrem] = ACTIONS(5354),
    [anon_sym_BSLASHrestore] = ACTIONS(5354),
    [anon_sym_BSLASHlit] = ACTIONS(5354),
    [anon_sym_BSLASHip] = ACTIONS(5354),
    [anon_sym_BSLASHiex] = ACTIONS(5354),
    [anon_sym_BSLASHv] = ACTIONS(5354),
    [anon_sym_BSLASHva] = ACTIONS(5354),
    [anon_sym_BSLASHvp] = ACTIONS(5354),
    [anon_sym_BSLASHc] = ACTIONS(5354),
    [anon_sym_BSLASHcl] = ACTIONS(5354),
    [anon_sym_BSLASHca] = ACTIONS(5354),
    [anon_sym_BSLASHcp] = ACTIONS(5354),
    [anon_sym_BSLASHcd] = ACTIONS(5354),
    [anon_sym_BSLASHmte] = ACTIONS(5354),
    [anon_sym_BSLASHms] = ACTIONS(5354),
    [anon_sym_BSLASHs] = ACTIONS(5354),
    [anon_sym_BSLASHr] = ACTIONS(5354),
    [anon_sym_BSLASHsp] = ACTIONS(5354),
    [anon_sym_BSLASHd] = ACTIONS(5354),
    [anon_sym_BSLASHsd] = ACTIONS(5354),
    [anon_sym_BSLASHp] = ACTIONS(5354),
    [anon_sym_BSLASHm] = ACTIONS(5354),
    [anon_sym_BSLASHpo] = ACTIONS(5354),
    [anon_sym_BSLASHpr] = ACTIONS(5354),
    [anon_sym_BSLASHcls] = ACTIONS(5354),
    [anon_sym_BSLASHpmo] = ACTIONS(5354),
    [anon_sym_BSLASHpm] = ACTIONS(5354),
    [anon_sym_BSLASHpmc] = ACTIONS(5354),
    [anon_sym_BSLASHpmr] = ACTIONS(5354),
    [anon_sym_BSLASHpi] = ACTIONS(5354),
    [anon_sym_BSLASHmi] = ACTIONS(5354),
    [anon_sym_BSLASHnb] = ACTIONS(5354),
    [anon_sym_BSLASHpc] = ACTIONS(5354),
    [anon_sym_BSLASHph] = ACTIONS(5354),
    [anon_sym_BSLASHb] = ACTIONS(5354),
    [anon_sym_BSLASHq] = ACTIONS(5354),
    [anon_sym_BSLASHqr] = ACTIONS(5354),
    [anon_sym_BSLASHqc] = ACTIONS(5354),
    [anon_sym_BSLASHqa] = ACTIONS(5354),
    [anon_sym_BSLASHqm] = ACTIONS(5354),
    [anon_sym_BSLASHqd] = ACTIONS(5354),
    [anon_sym_BSLASHlh] = ACTIONS(5354),
    [anon_sym_BSLASHlf] = ACTIONS(5354),
    [anon_sym_BSLASHli] = ACTIONS(5354),
    [anon_sym_BSLASHlim] = ACTIONS(5354),
    [anon_sym_BSLASHliv] = ACTIONS(5354),
    [anon_sym_BSLASHlik] = ACTIONS(5354),
    [anon_sym_BSLASHlitl] = ACTIONS(5354),
    [anon_sym_BSLASHtr] = ACTIONS(5354),
    [anon_sym_BSLASHf] = ACTIONS(5354),
    [anon_sym_BSLASHfe] = ACTIONS(5354),
    [anon_sym_BSLASHef] = ACTIONS(5354),
    [anon_sym_BSLASHfm] = ACTIONS(5354),
    [anon_sym_BSLASHx] = ACTIONS(5354),
    [anon_sym_BSLASHxt] = ACTIONS(5354),
    [anon_sym_BSLASHrq] = ACTIONS(5354),
    [anon_sym_BSLASHadd] = ACTIONS(5354),
    [anon_sym_BSLASHbk] = ACTIONS(5354),
    [anon_sym_BSLASHdc] = ACTIONS(5354),
    [anon_sym_BSLASHk] = ACTIONS(5354),
    [anon_sym_BSLASHnd] = ACTIONS(5354),
    [anon_sym_BSLASHord] = ACTIONS(5354),
    [anon_sym_BSLASHpn] = ACTIONS(5354),
    [anon_sym_BSLASHpng] = ACTIONS(5354),
    [anon_sym_BSLASHaddpn] = ACTIONS(5354),
    [anon_sym_BSLASHqt] = ACTIONS(5354),
    [anon_sym_BSLASHsig] = ACTIONS(5354),
    [anon_sym_BSLASHsls] = ACTIONS(5354),
    [anon_sym_BSLASHtl] = ACTIONS(5354),
    [anon_sym_BSLASHwj] = ACTIONS(5354),
    [anon_sym_BSLASHem] = ACTIONS(5354),
    [anon_sym_BSLASHbd] = ACTIONS(5354),
    [anon_sym_BSLASHit] = ACTIONS(5354),
    [anon_sym_BSLASHbdit] = ACTIONS(5354),
    [anon_sym_BSLASHno] = ACTIONS(5354),
    [anon_sym_BSLASHsc] = ACTIONS(5354),
    [anon_sym_BSLASHsup] = ACTIONS(5354),
    [anon_sym_BSLASHndx] = ACTIONS(5354),
    [anon_sym_BSLASHpro] = ACTIONS(5354),
    [anon_sym_BSLASHrb] = ACTIONS(5354),
    [anon_sym_BSLASHw] = ACTIONS(5354),
    [anon_sym_BSLASHwg] = ACTIONS(5354),
    [anon_sym_BSLASHwh] = ACTIONS(5354),
    [anon_sym_BSLASHwa] = ACTIONS(5354),
    [anon_sym_BSLASHfig] = ACTIONS(5354),
    [anon_sym_BSLASHjmp] = ACTIONS(5354),
    [anon_sym_BSLASHpb] = ACTIONS(5354),
    [anon_sym_BSLASH] = ACTIONS(5354),
    [sym_milestoneStartTag] = ACTIONS(5354),
    [sym_milestoneEndTag] = ACTIONS(5354),
    [sym_zSpaceTag] = ACTIONS(5354),
    [anon_sym_BSLASHesb] = ACTIONS(5354),
  },
  [436] = {
    [ts_builtin_sym_end] = ACTIONS(5356),
    [aux_sym_text_token1] = ACTIONS(5356),
    [anon_sym_BSLASHref] = ACTIONS(5358),
    [anon_sym_BSLASHsts] = ACTIONS(5358),
    [anon_sym_BSLASHrem] = ACTIONS(5358),
    [anon_sym_BSLASHrestore] = ACTIONS(5358),
    [anon_sym_BSLASHlit] = ACTIONS(5358),
    [anon_sym_BSLASHip] = ACTIONS(5358),
    [anon_sym_BSLASHiex] = ACTIONS(5358),
    [anon_sym_BSLASHv] = ACTIONS(5358),
    [anon_sym_BSLASHva] = ACTIONS(5358),
    [anon_sym_BSLASHvp] = ACTIONS(5358),
    [anon_sym_BSLASHc] = ACTIONS(5358),
    [anon_sym_BSLASHcl] = ACTIONS(5358),
    [anon_sym_BSLASHca] = ACTIONS(5358),
    [anon_sym_BSLASHcp] = ACTIONS(5358),
    [anon_sym_BSLASHcd] = ACTIONS(5358),
    [anon_sym_BSLASHmte] = ACTIONS(5358),
    [anon_sym_BSLASHms] = ACTIONS(5358),
    [anon_sym_BSLASHs] = ACTIONS(5358),
    [anon_sym_BSLASHr] = ACTIONS(5358),
    [anon_sym_BSLASHsp] = ACTIONS(5358),
    [anon_sym_BSLASHd] = ACTIONS(5358),
    [anon_sym_BSLASHsd] = ACTIONS(5358),
    [anon_sym_BSLASHp] = ACTIONS(5358),
    [anon_sym_BSLASHm] = ACTIONS(5358),
    [anon_sym_BSLASHpo] = ACTIONS(5358),
    [anon_sym_BSLASHpr] = ACTIONS(5358),
    [anon_sym_BSLASHcls] = ACTIONS(5358),
    [anon_sym_BSLASHpmo] = ACTIONS(5358),
    [anon_sym_BSLASHpm] = ACTIONS(5358),
    [anon_sym_BSLASHpmc] = ACTIONS(5358),
    [anon_sym_BSLASHpmr] = ACTIONS(5358),
    [anon_sym_BSLASHpi] = ACTIONS(5358),
    [anon_sym_BSLASHmi] = ACTIONS(5358),
    [anon_sym_BSLASHnb] = ACTIONS(5358),
    [anon_sym_BSLASHpc] = ACTIONS(5358),
    [anon_sym_BSLASHph] = ACTIONS(5358),
    [anon_sym_BSLASHb] = ACTIONS(5358),
    [anon_sym_BSLASHq] = ACTIONS(5358),
    [anon_sym_BSLASHqr] = ACTIONS(5358),
    [anon_sym_BSLASHqc] = ACTIONS(5358),
    [anon_sym_BSLASHqa] = ACTIONS(5358),
    [anon_sym_BSLASHqm] = ACTIONS(5358),
    [anon_sym_BSLASHqd] = ACTIONS(5358),
    [anon_sym_BSLASHlh] = ACTIONS(5358),
    [anon_sym_BSLASHlf] = ACTIONS(5358),
    [anon_sym_BSLASHli] = ACTIONS(5358),
    [anon_sym_BSLASHlim] = ACTIONS(5358),
    [anon_sym_BSLASHliv] = ACTIONS(5358),
    [anon_sym_BSLASHlik] = ACTIONS(5358),
    [anon_sym_BSLASHlitl] = ACTIONS(5358),
    [anon_sym_BSLASHtr] = ACTIONS(5358),
    [anon_sym_BSLASHf] = ACTIONS(5358),
    [anon_sym_BSLASHfe] = ACTIONS(5358),
    [anon_sym_BSLASHef] = ACTIONS(5358),
    [anon_sym_BSLASHfm] = ACTIONS(5358),
    [anon_sym_BSLASHx] = ACTIONS(5358),
    [anon_sym_BSLASHxt] = ACTIONS(5358),
    [anon_sym_BSLASHrq] = ACTIONS(5358),
    [anon_sym_BSLASHadd] = ACTIONS(5358),
    [anon_sym_BSLASHbk] = ACTIONS(5358),
    [anon_sym_BSLASHdc] = ACTIONS(5358),
    [anon_sym_BSLASHk] = ACTIONS(5358),
    [anon_sym_BSLASHnd] = ACTIONS(5358),
    [anon_sym_BSLASHord] = ACTIONS(5358),
    [anon_sym_BSLASHpn] = ACTIONS(5358),
    [anon_sym_BSLASHpng] = ACTIONS(5358),
    [anon_sym_BSLASHaddpn] = ACTIONS(5358),
    [anon_sym_BSLASHqt] = ACTIONS(5358),
    [anon_sym_BSLASHsig] = ACTIONS(5358),
    [anon_sym_BSLASHsls] = ACTIONS(5358),
    [anon_sym_BSLASHtl] = ACTIONS(5358),
    [anon_sym_BSLASHwj] = ACTIONS(5358),
    [anon_sym_BSLASHem] = ACTIONS(5358),
    [anon_sym_BSLASHbd] = ACTIONS(5358),
    [anon_sym_BSLASHit] = ACTIONS(5358),
    [anon_sym_BSLASHbdit] = ACTIONS(5358),
    [anon_sym_BSLASHno] = ACTIONS(5358),
    [anon_sym_BSLASHsc] = ACTIONS(5358),
    [anon_sym_BSLASHsup] = ACTIONS(5358),
    [anon_sym_BSLASHndx] = ACTIONS(5358),
    [anon_sym_BSLASHpro] = ACTIONS(5358),
    [anon_sym_BSLASHrb] = ACTIONS(5358),
    [anon_sym_BSLASHw] = ACTIONS(5358),
    [anon_sym_BSLASHwg] = ACTIONS(5358),
    [anon_sym_BSLASHwh] = ACTIONS(5358),
    [anon_sym_BSLASHwa] = ACTIONS(5358),
    [anon_sym_BSLASHfig] = ACTIONS(5358),
    [anon_sym_BSLASHjmp] = ACTIONS(5358),
    [anon_sym_BSLASHpb] = ACTIONS(5358),
    [anon_sym_BSLASH] = ACTIONS(5358),
    [sym_milestoneStartTag] = ACTIONS(5358),
    [sym_milestoneEndTag] = ACTIONS(5358),
    [sym_zSpaceTag] = ACTIONS(5358),
    [anon_sym_BSLASHesb] = ACTIONS(5358),
  },
  [437] = {
    [ts_builtin_sym_end] = ACTIONS(5360),
    [aux_sym_text_token1] = ACTIONS(5360),
    [anon_sym_BSLASHref] = ACTIONS(5362),
    [anon_sym_BSLASHsts] = ACTIONS(5362),
    [anon_sym_BSLASHrem] = ACTIONS(5362),
    [anon_sym_BSLASHrestore] = ACTIONS(5362),
    [anon_sym_BSLASHlit] = ACTIONS(5362),
    [anon_sym_BSLASHip] = ACTIONS(5362),
    [anon_sym_BSLASHiex] = ACTIONS(5362),
    [anon_sym_BSLASHv] = ACTIONS(5362),
    [anon_sym_BSLASHva] = ACTIONS(5362),
    [anon_sym_BSLASHvp] = ACTIONS(5362),
    [anon_sym_BSLASHc] = ACTIONS(5362),
    [anon_sym_BSLASHcl] = ACTIONS(5362),
    [anon_sym_BSLASHca] = ACTIONS(5362),
    [anon_sym_BSLASHcp] = ACTIONS(5362),
    [anon_sym_BSLASHcd] = ACTIONS(5362),
    [anon_sym_BSLASHmte] = ACTIONS(5362),
    [anon_sym_BSLASHms] = ACTIONS(5362),
    [anon_sym_BSLASHs] = ACTIONS(5362),
    [anon_sym_BSLASHr] = ACTIONS(5362),
    [anon_sym_BSLASHsp] = ACTIONS(5362),
    [anon_sym_BSLASHd] = ACTIONS(5362),
    [anon_sym_BSLASHsd] = ACTIONS(5362),
    [anon_sym_BSLASHp] = ACTIONS(5362),
    [anon_sym_BSLASHm] = ACTIONS(5362),
    [anon_sym_BSLASHpo] = ACTIONS(5362),
    [anon_sym_BSLASHpr] = ACTIONS(5362),
    [anon_sym_BSLASHcls] = ACTIONS(5362),
    [anon_sym_BSLASHpmo] = ACTIONS(5362),
    [anon_sym_BSLASHpm] = ACTIONS(5362),
    [anon_sym_BSLASHpmc] = ACTIONS(5362),
    [anon_sym_BSLASHpmr] = ACTIONS(5362),
    [anon_sym_BSLASHpi] = ACTIONS(5362),
    [anon_sym_BSLASHmi] = ACTIONS(5362),
    [anon_sym_BSLASHnb] = ACTIONS(5362),
    [anon_sym_BSLASHpc] = ACTIONS(5362),
    [anon_sym_BSLASHph] = ACTIONS(5362),
    [anon_sym_BSLASHb] = ACTIONS(5362),
    [anon_sym_BSLASHq] = ACTIONS(5362),
    [anon_sym_BSLASHqr] = ACTIONS(5362),
    [anon_sym_BSLASHqc] = ACTIONS(5362),
    [anon_sym_BSLASHqa] = ACTIONS(5362),
    [anon_sym_BSLASHqm] = ACTIONS(5362),
    [anon_sym_BSLASHqd] = ACTIONS(5362),
    [anon_sym_BSLASHlh] = ACTIONS(5362),
    [anon_sym_BSLASHlf] = ACTIONS(5362),
    [anon_sym_BSLASHli] = ACTIONS(5362),
    [anon_sym_BSLASHlim] = ACTIONS(5362),
    [anon_sym_BSLASHliv] = ACTIONS(5362),
    [anon_sym_BSLASHlik] = ACTIONS(5362),
    [anon_sym_BSLASHlitl] = ACTIONS(5362),
    [anon_sym_BSLASHtr] = ACTIONS(5362),
    [anon_sym_BSLASHf] = ACTIONS(5362),
    [anon_sym_BSLASHfe] = ACTIONS(5362),
    [anon_sym_BSLASHef] = ACTIONS(5362),
    [anon_sym_BSLASHfm] = ACTIONS(5362),
    [anon_sym_BSLASHx] = ACTIONS(5362),
    [anon_sym_BSLASHxt] = ACTIONS(5362),
    [anon_sym_BSLASHrq] = ACTIONS(5362),
    [anon_sym_BSLASHadd] = ACTIONS(5362),
    [anon_sym_BSLASHbk] = ACTIONS(5362),
    [anon_sym_BSLASHdc] = ACTIONS(5362),
    [anon_sym_BSLASHk] = ACTIONS(5362),
    [anon_sym_BSLASHnd] = ACTIONS(5362),
    [anon_sym_BSLASHord] = ACTIONS(5362),
    [anon_sym_BSLASHpn] = ACTIONS(5362),
    [anon_sym_BSLASHpng] = ACTIONS(5362),
    [anon_sym_BSLASHaddpn] = ACTIONS(5362),
    [anon_sym_BSLASHqt] = ACTIONS(5362),
    [anon_sym_BSLASHsig] = ACTIONS(5362),
    [anon_sym_BSLASHsls] = ACTIONS(5362),
    [anon_sym_BSLASHtl] = ACTIONS(5362),
    [anon_sym_BSLASHwj] = ACTIONS(5362),
    [anon_sym_BSLASHem] = ACTIONS(5362),
    [anon_sym_BSLASHbd] = ACTIONS(5362),
    [anon_sym_BSLASHit] = ACTIONS(5362),
    [anon_sym_BSLASHbdit] = ACTIONS(5362),
    [anon_sym_BSLASHno] = ACTIONS(5362),
    [anon_sym_BSLASHsc] = ACTIONS(5362),
    [anon_sym_BSLASHsup] = ACTIONS(5362),
    [anon_sym_BSLASHndx] = ACTIONS(5362),
    [anon_sym_BSLASHpro] = ACTIONS(5362),
    [anon_sym_BSLASHrb] = ACTIONS(5362),
    [anon_sym_BSLASHw] = ACTIONS(5362),
    [anon_sym_BSLASHwg] = ACTIONS(5362),
    [anon_sym_BSLASHwh] = ACTIONS(5362),
    [anon_sym_BSLASHwa] = ACTIONS(5362),
    [anon_sym_BSLASHfig] = ACTIONS(5362),
    [anon_sym_BSLASHjmp] = ACTIONS(5362),
    [anon_sym_BSLASHpb] = ACTIONS(5362),
    [anon_sym_BSLASH] = ACTIONS(5362),
    [sym_milestoneStartTag] = ACTIONS(5362),
    [sym_milestoneEndTag] = ACTIONS(5362),
    [sym_zSpaceTag] = ACTIONS(5362),
    [anon_sym_BSLASHesb] = ACTIONS(5362),
  },
  [438] = {
    [ts_builtin_sym_end] = ACTIONS(5364),
    [aux_sym_text_token1] = ACTIONS(5364),
    [anon_sym_BSLASHref] = ACTIONS(5366),
    [anon_sym_BSLASHsts] = ACTIONS(5366),
    [anon_sym_BSLASHrem] = ACTIONS(5366),
    [anon_sym_BSLASHrestore] = ACTIONS(5366),
    [anon_sym_BSLASHlit] = ACTIONS(5366),
    [anon_sym_BSLASHip] = ACTIONS(5366),
    [anon_sym_BSLASHiex] = ACTIONS(5366),
    [anon_sym_BSLASHv] = ACTIONS(5366),
    [anon_sym_BSLASHva] = ACTIONS(5366),
    [anon_sym_BSLASHvp] = ACTIONS(5366),
    [anon_sym_BSLASHc] = ACTIONS(5366),
    [anon_sym_BSLASHcl] = ACTIONS(5366),
    [anon_sym_BSLASHca] = ACTIONS(5366),
    [anon_sym_BSLASHcp] = ACTIONS(5366),
    [anon_sym_BSLASHcd] = ACTIONS(5366),
    [anon_sym_BSLASHmte] = ACTIONS(5366),
    [anon_sym_BSLASHms] = ACTIONS(5366),
    [anon_sym_BSLASHs] = ACTIONS(5366),
    [anon_sym_BSLASHr] = ACTIONS(5366),
    [anon_sym_BSLASHsp] = ACTIONS(5366),
    [anon_sym_BSLASHd] = ACTIONS(5366),
    [anon_sym_BSLASHsd] = ACTIONS(5366),
    [anon_sym_BSLASHp] = ACTIONS(5366),
    [anon_sym_BSLASHm] = ACTIONS(5366),
    [anon_sym_BSLASHpo] = ACTIONS(5366),
    [anon_sym_BSLASHpr] = ACTIONS(5366),
    [anon_sym_BSLASHcls] = ACTIONS(5366),
    [anon_sym_BSLASHpmo] = ACTIONS(5366),
    [anon_sym_BSLASHpm] = ACTIONS(5366),
    [anon_sym_BSLASHpmc] = ACTIONS(5366),
    [anon_sym_BSLASHpmr] = ACTIONS(5366),
    [anon_sym_BSLASHpi] = ACTIONS(5366),
    [anon_sym_BSLASHmi] = ACTIONS(5366),
    [anon_sym_BSLASHnb] = ACTIONS(5366),
    [anon_sym_BSLASHpc] = ACTIONS(5366),
    [anon_sym_BSLASHph] = ACTIONS(5366),
    [anon_sym_BSLASHb] = ACTIONS(5366),
    [anon_sym_BSLASHq] = ACTIONS(5366),
    [anon_sym_BSLASHqr] = ACTIONS(5366),
    [anon_sym_BSLASHqc] = ACTIONS(5366),
    [anon_sym_BSLASHqa] = ACTIONS(5366),
    [anon_sym_BSLASHqm] = ACTIONS(5366),
    [anon_sym_BSLASHqd] = ACTIONS(5366),
    [anon_sym_BSLASHlh] = ACTIONS(5366),
    [anon_sym_BSLASHlf] = ACTIONS(5366),
    [anon_sym_BSLASHli] = ACTIONS(5366),
    [anon_sym_BSLASHlim] = ACTIONS(5366),
    [anon_sym_BSLASHliv] = ACTIONS(5366),
    [anon_sym_BSLASHlik] = ACTIONS(5366),
    [anon_sym_BSLASHlitl] = ACTIONS(5366),
    [anon_sym_BSLASHtr] = ACTIONS(5366),
    [anon_sym_BSLASHf] = ACTIONS(5366),
    [anon_sym_BSLASHfe] = ACTIONS(5366),
    [anon_sym_BSLASHef] = ACTIONS(5366),
    [anon_sym_BSLASHfm] = ACTIONS(5366),
    [anon_sym_BSLASHx] = ACTIONS(5366),
    [anon_sym_BSLASHxt] = ACTIONS(5366),
    [anon_sym_BSLASHrq] = ACTIONS(5366),
    [anon_sym_BSLASHadd] = ACTIONS(5366),
    [anon_sym_BSLASHbk] = ACTIONS(5366),
    [anon_sym_BSLASHdc] = ACTIONS(5366),
    [anon_sym_BSLASHk] = ACTIONS(5366),
    [anon_sym_BSLASHnd] = ACTIONS(5366),
    [anon_sym_BSLASHord] = ACTIONS(5366),
    [anon_sym_BSLASHpn] = ACTIONS(5366),
    [anon_sym_BSLASHpng] = ACTIONS(5366),
    [anon_sym_BSLASHaddpn] = ACTIONS(5366),
    [anon_sym_BSLASHqt] = ACTIONS(5366),
    [anon_sym_BSLASHsig] = ACTIONS(5366),
    [anon_sym_BSLASHsls] = ACTIONS(5366),
    [anon_sym_BSLASHtl] = ACTIONS(5366),
    [anon_sym_BSLASHwj] = ACTIONS(5366),
    [anon_sym_BSLASHem] = ACTIONS(5366),
    [anon_sym_BSLASHbd] = ACTIONS(5366),
    [anon_sym_BSLASHit] = ACTIONS(5366),
    [anon_sym_BSLASHbdit] = ACTIONS(5366),
    [anon_sym_BSLASHno] = ACTIONS(5366),
    [anon_sym_BSLASHsc] = ACTIONS(5366),
    [anon_sym_BSLASHsup] = ACTIONS(5366),
    [anon_sym_BSLASHndx] = ACTIONS(5366),
    [anon_sym_BSLASHpro] = ACTIONS(5366),
    [anon_sym_BSLASHrb] = ACTIONS(5366),
    [anon_sym_BSLASHw] = ACTIONS(5366),
    [anon_sym_BSLASHwg] = ACTIONS(5366),
    [anon_sym_BSLASHwh] = ACTIONS(5366),
    [anon_sym_BSLASHwa] = ACTIONS(5366),
    [anon_sym_BSLASHfig] = ACTIONS(5366),
    [anon_sym_BSLASHjmp] = ACTIONS(5366),
    [anon_sym_BSLASHpb] = ACTIONS(5366),
    [anon_sym_BSLASH] = ACTIONS(5366),
    [sym_milestoneStartTag] = ACTIONS(5366),
    [sym_milestoneEndTag] = ACTIONS(5366),
    [sym_zSpaceTag] = ACTIONS(5366),
    [anon_sym_BSLASHesb] = ACTIONS(5366),
  },
  [439] = {
    [ts_builtin_sym_end] = ACTIONS(5368),
    [aux_sym_text_token1] = ACTIONS(5368),
    [anon_sym_BSLASHref] = ACTIONS(5370),
    [anon_sym_BSLASHsts] = ACTIONS(5370),
    [anon_sym_BSLASHrem] = ACTIONS(5370),
    [anon_sym_BSLASHrestore] = ACTIONS(5370),
    [anon_sym_BSLASHlit] = ACTIONS(5370),
    [anon_sym_BSLASHip] = ACTIONS(5370),
    [anon_sym_BSLASHiex] = ACTIONS(5370),
    [anon_sym_BSLASHv] = ACTIONS(5370),
    [anon_sym_BSLASHva] = ACTIONS(5370),
    [anon_sym_BSLASHvp] = ACTIONS(5370),
    [anon_sym_BSLASHc] = ACTIONS(5370),
    [anon_sym_BSLASHcl] = ACTIONS(5370),
    [anon_sym_BSLASHca] = ACTIONS(5370),
    [anon_sym_BSLASHcp] = ACTIONS(5370),
    [anon_sym_BSLASHcd] = ACTIONS(5370),
    [anon_sym_BSLASHmte] = ACTIONS(5370),
    [anon_sym_BSLASHms] = ACTIONS(5370),
    [anon_sym_BSLASHs] = ACTIONS(5370),
    [anon_sym_BSLASHr] = ACTIONS(5370),
    [anon_sym_BSLASHsp] = ACTIONS(5370),
    [anon_sym_BSLASHd] = ACTIONS(5370),
    [anon_sym_BSLASHsd] = ACTIONS(5370),
    [anon_sym_BSLASHp] = ACTIONS(5370),
    [anon_sym_BSLASHm] = ACTIONS(5370),
    [anon_sym_BSLASHpo] = ACTIONS(5370),
    [anon_sym_BSLASHpr] = ACTIONS(5370),
    [anon_sym_BSLASHcls] = ACTIONS(5370),
    [anon_sym_BSLASHpmo] = ACTIONS(5370),
    [anon_sym_BSLASHpm] = ACTIONS(5370),
    [anon_sym_BSLASHpmc] = ACTIONS(5370),
    [anon_sym_BSLASHpmr] = ACTIONS(5370),
    [anon_sym_BSLASHpi] = ACTIONS(5370),
    [anon_sym_BSLASHmi] = ACTIONS(5370),
    [anon_sym_BSLASHnb] = ACTIONS(5370),
    [anon_sym_BSLASHpc] = ACTIONS(5370),
    [anon_sym_BSLASHph] = ACTIONS(5370),
    [anon_sym_BSLASHb] = ACTIONS(5370),
    [anon_sym_BSLASHq] = ACTIONS(5370),
    [anon_sym_BSLASHqr] = ACTIONS(5370),
    [anon_sym_BSLASHqc] = ACTIONS(5370),
    [anon_sym_BSLASHqa] = ACTIONS(5370),
    [anon_sym_BSLASHqm] = ACTIONS(5370),
    [anon_sym_BSLASHqd] = ACTIONS(5370),
    [anon_sym_BSLASHlh] = ACTIONS(5370),
    [anon_sym_BSLASHlf] = ACTIONS(5370),
    [anon_sym_BSLASHli] = ACTIONS(5370),
    [anon_sym_BSLASHlim] = ACTIONS(5370),
    [anon_sym_BSLASHliv] = ACTIONS(5370),
    [anon_sym_BSLASHlik] = ACTIONS(5370),
    [anon_sym_BSLASHlitl] = ACTIONS(5370),
    [anon_sym_BSLASHtr] = ACTIONS(5370),
    [anon_sym_BSLASHf] = ACTIONS(5370),
    [anon_sym_BSLASHfe] = ACTIONS(5370),
    [anon_sym_BSLASHef] = ACTIONS(5370),
    [anon_sym_BSLASHfm] = ACTIONS(5370),
    [anon_sym_BSLASHx] = ACTIONS(5370),
    [anon_sym_BSLASHxt] = ACTIONS(5370),
    [anon_sym_BSLASHrq] = ACTIONS(5370),
    [anon_sym_BSLASHadd] = ACTIONS(5370),
    [anon_sym_BSLASHbk] = ACTIONS(5370),
    [anon_sym_BSLASHdc] = ACTIONS(5370),
    [anon_sym_BSLASHk] = ACTIONS(5370),
    [anon_sym_BSLASHnd] = ACTIONS(5370),
    [anon_sym_BSLASHord] = ACTIONS(5370),
    [anon_sym_BSLASHpn] = ACTIONS(5370),
    [anon_sym_BSLASHpng] = ACTIONS(5370),
    [anon_sym_BSLASHaddpn] = ACTIONS(5370),
    [anon_sym_BSLASHqt] = ACTIONS(5370),
    [anon_sym_BSLASHsig] = ACTIONS(5370),
    [anon_sym_BSLASHsls] = ACTIONS(5370),
    [anon_sym_BSLASHtl] = ACTIONS(5370),
    [anon_sym_BSLASHwj] = ACTIONS(5370),
    [anon_sym_BSLASHem] = ACTIONS(5370),
    [anon_sym_BSLASHbd] = ACTIONS(5370),
    [anon_sym_BSLASHit] = ACTIONS(5370),
    [anon_sym_BSLASHbdit] = ACTIONS(5370),
    [anon_sym_BSLASHno] = ACTIONS(5370),
    [anon_sym_BSLASHsc] = ACTIONS(5370),
    [anon_sym_BSLASHsup] = ACTIONS(5370),
    [anon_sym_BSLASHndx] = ACTIONS(5370),
    [anon_sym_BSLASHpro] = ACTIONS(5370),
    [anon_sym_BSLASHrb] = ACTIONS(5370),
    [anon_sym_BSLASHw] = ACTIONS(5370),
    [anon_sym_BSLASHwg] = ACTIONS(5370),
    [anon_sym_BSLASHwh] = ACTIONS(5370),
    [anon_sym_BSLASHwa] = ACTIONS(5370),
    [anon_sym_BSLASHfig] = ACTIONS(5370),
    [anon_sym_BSLASHjmp] = ACTIONS(5370),
    [anon_sym_BSLASHpb] = ACTIONS(5370),
    [anon_sym_BSLASH] = ACTIONS(5370),
    [sym_milestoneStartTag] = ACTIONS(5370),
    [sym_milestoneEndTag] = ACTIONS(5370),
    [sym_zSpaceTag] = ACTIONS(5370),
    [anon_sym_BSLASHesb] = ACTIONS(5370),
  },
  [440] = {
    [ts_builtin_sym_end] = ACTIONS(5372),
    [aux_sym_text_token1] = ACTIONS(5372),
    [anon_sym_BSLASHref] = ACTIONS(5374),
    [anon_sym_BSLASHsts] = ACTIONS(5374),
    [anon_sym_BSLASHrem] = ACTIONS(5374),
    [anon_sym_BSLASHrestore] = ACTIONS(5374),
    [anon_sym_BSLASHlit] = ACTIONS(5374),
    [anon_sym_BSLASHip] = ACTIONS(5374),
    [anon_sym_BSLASHiex] = ACTIONS(5374),
    [anon_sym_BSLASHv] = ACTIONS(5374),
    [anon_sym_BSLASHva] = ACTIONS(5374),
    [anon_sym_BSLASHvp] = ACTIONS(5374),
    [anon_sym_BSLASHc] = ACTIONS(5374),
    [anon_sym_BSLASHcl] = ACTIONS(5374),
    [anon_sym_BSLASHca] = ACTIONS(5374),
    [anon_sym_BSLASHcp] = ACTIONS(5374),
    [anon_sym_BSLASHcd] = ACTIONS(5374),
    [anon_sym_BSLASHmte] = ACTIONS(5374),
    [anon_sym_BSLASHms] = ACTIONS(5374),
    [anon_sym_BSLASHs] = ACTIONS(5374),
    [anon_sym_BSLASHr] = ACTIONS(5374),
    [anon_sym_BSLASHsp] = ACTIONS(5374),
    [anon_sym_BSLASHd] = ACTIONS(5374),
    [anon_sym_BSLASHsd] = ACTIONS(5374),
    [anon_sym_BSLASHp] = ACTIONS(5374),
    [anon_sym_BSLASHm] = ACTIONS(5374),
    [anon_sym_BSLASHpo] = ACTIONS(5374),
    [anon_sym_BSLASHpr] = ACTIONS(5374),
    [anon_sym_BSLASHcls] = ACTIONS(5374),
    [anon_sym_BSLASHpmo] = ACTIONS(5374),
    [anon_sym_BSLASHpm] = ACTIONS(5374),
    [anon_sym_BSLASHpmc] = ACTIONS(5374),
    [anon_sym_BSLASHpmr] = ACTIONS(5374),
    [anon_sym_BSLASHpi] = ACTIONS(5374),
    [anon_sym_BSLASHmi] = ACTIONS(5374),
    [anon_sym_BSLASHnb] = ACTIONS(5374),
    [anon_sym_BSLASHpc] = ACTIONS(5374),
    [anon_sym_BSLASHph] = ACTIONS(5374),
    [anon_sym_BSLASHb] = ACTIONS(5374),
    [anon_sym_BSLASHq] = ACTIONS(5374),
    [anon_sym_BSLASHqr] = ACTIONS(5374),
    [anon_sym_BSLASHqc] = ACTIONS(5374),
    [anon_sym_BSLASHqa] = ACTIONS(5374),
    [anon_sym_BSLASHqm] = ACTIONS(5374),
    [anon_sym_BSLASHqd] = ACTIONS(5374),
    [anon_sym_BSLASHlh] = ACTIONS(5374),
    [anon_sym_BSLASHlf] = ACTIONS(5374),
    [anon_sym_BSLASHli] = ACTIONS(5374),
    [anon_sym_BSLASHlim] = ACTIONS(5374),
    [anon_sym_BSLASHliv] = ACTIONS(5374),
    [anon_sym_BSLASHlik] = ACTIONS(5374),
    [anon_sym_BSLASHlitl] = ACTIONS(5374),
    [anon_sym_BSLASHtr] = ACTIONS(5374),
    [anon_sym_BSLASHf] = ACTIONS(5374),
    [anon_sym_BSLASHfe] = ACTIONS(5374),
    [anon_sym_BSLASHef] = ACTIONS(5374),
    [anon_sym_BSLASHfm] = ACTIONS(5374),
    [anon_sym_BSLASHx] = ACTIONS(5374),
    [anon_sym_BSLASHxt] = ACTIONS(5374),
    [anon_sym_BSLASHrq] = ACTIONS(5374),
    [anon_sym_BSLASHadd] = ACTIONS(5374),
    [anon_sym_BSLASHbk] = ACTIONS(5374),
    [anon_sym_BSLASHdc] = ACTIONS(5374),
    [anon_sym_BSLASHk] = ACTIONS(5374),
    [anon_sym_BSLASHnd] = ACTIONS(5374),
    [anon_sym_BSLASHord] = ACTIONS(5374),
    [anon_sym_BSLASHpn] = ACTIONS(5374),
    [anon_sym_BSLASHpng] = ACTIONS(5374),
    [anon_sym_BSLASHaddpn] = ACTIONS(5374),
    [anon_sym_BSLASHqt] = ACTIONS(5374),
    [anon_sym_BSLASHsig] = ACTIONS(5374),
    [anon_sym_BSLASHsls] = ACTIONS(5374),
    [anon_sym_BSLASHtl] = ACTIONS(5374),
    [anon_sym_BSLASHwj] = ACTIONS(5374),
    [anon_sym_BSLASHem] = ACTIONS(5374),
    [anon_sym_BSLASHbd] = ACTIONS(5374),
    [anon_sym_BSLASHit] = ACTIONS(5374),
    [anon_sym_BSLASHbdit] = ACTIONS(5374),
    [anon_sym_BSLASHno] = ACTIONS(5374),
    [anon_sym_BSLASHsc] = ACTIONS(5374),
    [anon_sym_BSLASHsup] = ACTIONS(5374),
    [anon_sym_BSLASHndx] = ACTIONS(5374),
    [anon_sym_BSLASHpro] = ACTIONS(5374),
    [anon_sym_BSLASHrb] = ACTIONS(5374),
    [anon_sym_BSLASHw] = ACTIONS(5374),
    [anon_sym_BSLASHwg] = ACTIONS(5374),
    [anon_sym_BSLASHwh] = ACTIONS(5374),
    [anon_sym_BSLASHwa] = ACTIONS(5374),
    [anon_sym_BSLASHfig] = ACTIONS(5374),
    [anon_sym_BSLASHjmp] = ACTIONS(5374),
    [anon_sym_BSLASHpb] = ACTIONS(5374),
    [anon_sym_BSLASH] = ACTIONS(5374),
    [sym_milestoneStartTag] = ACTIONS(5374),
    [sym_milestoneEndTag] = ACTIONS(5374),
    [sym_zSpaceTag] = ACTIONS(5374),
    [anon_sym_BSLASHesb] = ACTIONS(5374),
  },
  [441] = {
    [ts_builtin_sym_end] = ACTIONS(5376),
    [aux_sym_text_token1] = ACTIONS(5376),
    [anon_sym_BSLASHref] = ACTIONS(5378),
    [anon_sym_BSLASHsts] = ACTIONS(5378),
    [anon_sym_BSLASHrem] = ACTIONS(5378),
    [anon_sym_BSLASHrestore] = ACTIONS(5378),
    [anon_sym_BSLASHlit] = ACTIONS(5378),
    [anon_sym_BSLASHip] = ACTIONS(5378),
    [anon_sym_BSLASHiex] = ACTIONS(5378),
    [anon_sym_BSLASHv] = ACTIONS(5378),
    [anon_sym_BSLASHva] = ACTIONS(5378),
    [anon_sym_BSLASHvp] = ACTIONS(5378),
    [anon_sym_BSLASHc] = ACTIONS(5378),
    [anon_sym_BSLASHcl] = ACTIONS(5378),
    [anon_sym_BSLASHca] = ACTIONS(5378),
    [anon_sym_BSLASHcp] = ACTIONS(5378),
    [anon_sym_BSLASHcd] = ACTIONS(5378),
    [anon_sym_BSLASHmte] = ACTIONS(5378),
    [anon_sym_BSLASHms] = ACTIONS(5378),
    [anon_sym_BSLASHs] = ACTIONS(5378),
    [anon_sym_BSLASHr] = ACTIONS(5378),
    [anon_sym_BSLASHsp] = ACTIONS(5378),
    [anon_sym_BSLASHd] = ACTIONS(5378),
    [anon_sym_BSLASHsd] = ACTIONS(5378),
    [anon_sym_BSLASHp] = ACTIONS(5378),
    [anon_sym_BSLASHm] = ACTIONS(5378),
    [anon_sym_BSLASHpo] = ACTIONS(5378),
    [anon_sym_BSLASHpr] = ACTIONS(5378),
    [anon_sym_BSLASHcls] = ACTIONS(5378),
    [anon_sym_BSLASHpmo] = ACTIONS(5378),
    [anon_sym_BSLASHpm] = ACTIONS(5378),
    [anon_sym_BSLASHpmc] = ACTIONS(5378),
    [anon_sym_BSLASHpmr] = ACTIONS(5378),
    [anon_sym_BSLASHpi] = ACTIONS(5378),
    [anon_sym_BSLASHmi] = ACTIONS(5378),
    [anon_sym_BSLASHnb] = ACTIONS(5378),
    [anon_sym_BSLASHpc] = ACTIONS(5378),
    [anon_sym_BSLASHph] = ACTIONS(5378),
    [anon_sym_BSLASHb] = ACTIONS(5378),
    [anon_sym_BSLASHq] = ACTIONS(5378),
    [anon_sym_BSLASHqr] = ACTIONS(5378),
    [anon_sym_BSLASHqc] = ACTIONS(5378),
    [anon_sym_BSLASHqa] = ACTIONS(5378),
    [anon_sym_BSLASHqm] = ACTIONS(5378),
    [anon_sym_BSLASHqd] = ACTIONS(5378),
    [anon_sym_BSLASHlh] = ACTIONS(5378),
    [anon_sym_BSLASHlf] = ACTIONS(5378),
    [anon_sym_BSLASHli] = ACTIONS(5378),
    [anon_sym_BSLASHlim] = ACTIONS(5378),
    [anon_sym_BSLASHliv] = ACTIONS(5378),
    [anon_sym_BSLASHlik] = ACTIONS(5378),
    [anon_sym_BSLASHlitl] = ACTIONS(5378),
    [anon_sym_BSLASHtr] = ACTIONS(5378),
    [anon_sym_BSLASHf] = ACTIONS(5378),
    [anon_sym_BSLASHfe] = ACTIONS(5378),
    [anon_sym_BSLASHef] = ACTIONS(5378),
    [anon_sym_BSLASHfm] = ACTIONS(5378),
    [anon_sym_BSLASHx] = ACTIONS(5378),
    [anon_sym_BSLASHxt] = ACTIONS(5378),
    [anon_sym_BSLASHrq] = ACTIONS(5378),
    [anon_sym_BSLASHadd] = ACTIONS(5378),
    [anon_sym_BSLASHbk] = ACTIONS(5378),
    [anon_sym_BSLASHdc] = ACTIONS(5378),
    [anon_sym_BSLASHk] = ACTIONS(5378),
    [anon_sym_BSLASHnd] = ACTIONS(5378),
    [anon_sym_BSLASHord] = ACTIONS(5378),
    [anon_sym_BSLASHpn] = ACTIONS(5378),
    [anon_sym_BSLASHpng] = ACTIONS(5378),
    [anon_sym_BSLASHaddpn] = ACTIONS(5378),
    [anon_sym_BSLASHqt] = ACTIONS(5378),
    [anon_sym_BSLASHsig] = ACTIONS(5378),
    [anon_sym_BSLASHsls] = ACTIONS(5378),
    [anon_sym_BSLASHtl] = ACTIONS(5378),
    [anon_sym_BSLASHwj] = ACTIONS(5378),
    [anon_sym_BSLASHem] = ACTIONS(5378),
    [anon_sym_BSLASHbd] = ACTIONS(5378),
    [anon_sym_BSLASHit] = ACTIONS(5378),
    [anon_sym_BSLASHbdit] = ACTIONS(5378),
    [anon_sym_BSLASHno] = ACTIONS(5378),
    [anon_sym_BSLASHsc] = ACTIONS(5378),
    [anon_sym_BSLASHsup] = ACTIONS(5378),
    [anon_sym_BSLASHndx] = ACTIONS(5378),
    [anon_sym_BSLASHpro] = ACTIONS(5378),
    [anon_sym_BSLASHrb] = ACTIONS(5378),
    [anon_sym_BSLASHw] = ACTIONS(5378),
    [anon_sym_BSLASHwg] = ACTIONS(5378),
    [anon_sym_BSLASHwh] = ACTIONS(5378),
    [anon_sym_BSLASHwa] = ACTIONS(5378),
    [anon_sym_BSLASHfig] = ACTIONS(5378),
    [anon_sym_BSLASHjmp] = ACTIONS(5378),
    [anon_sym_BSLASHpb] = ACTIONS(5378),
    [anon_sym_BSLASH] = ACTIONS(5378),
    [sym_milestoneStartTag] = ACTIONS(5378),
    [sym_milestoneEndTag] = ACTIONS(5378),
    [sym_zSpaceTag] = ACTIONS(5378),
    [anon_sym_BSLASHesb] = ACTIONS(5378),
  },
  [442] = {
    [ts_builtin_sym_end] = ACTIONS(5380),
    [aux_sym_text_token1] = ACTIONS(5380),
    [anon_sym_BSLASHref] = ACTIONS(5382),
    [anon_sym_BSLASHsts] = ACTIONS(5382),
    [anon_sym_BSLASHrem] = ACTIONS(5382),
    [anon_sym_BSLASHrestore] = ACTIONS(5382),
    [anon_sym_BSLASHlit] = ACTIONS(5382),
    [anon_sym_BSLASHip] = ACTIONS(5382),
    [anon_sym_BSLASHiex] = ACTIONS(5382),
    [anon_sym_BSLASHv] = ACTIONS(5382),
    [anon_sym_BSLASHva] = ACTIONS(5382),
    [anon_sym_BSLASHvp] = ACTIONS(5382),
    [anon_sym_BSLASHc] = ACTIONS(5382),
    [anon_sym_BSLASHcl] = ACTIONS(5382),
    [anon_sym_BSLASHca] = ACTIONS(5382),
    [anon_sym_BSLASHcp] = ACTIONS(5382),
    [anon_sym_BSLASHcd] = ACTIONS(5382),
    [anon_sym_BSLASHmte] = ACTIONS(5382),
    [anon_sym_BSLASHms] = ACTIONS(5382),
    [anon_sym_BSLASHs] = ACTIONS(5382),
    [anon_sym_BSLASHr] = ACTIONS(5382),
    [anon_sym_BSLASHsp] = ACTIONS(5382),
    [anon_sym_BSLASHd] = ACTIONS(5382),
    [anon_sym_BSLASHsd] = ACTIONS(5382),
    [anon_sym_BSLASHp] = ACTIONS(5382),
    [anon_sym_BSLASHm] = ACTIONS(5382),
    [anon_sym_BSLASHpo] = ACTIONS(5382),
    [anon_sym_BSLASHpr] = ACTIONS(5382),
    [anon_sym_BSLASHcls] = ACTIONS(5382),
    [anon_sym_BSLASHpmo] = ACTIONS(5382),
    [anon_sym_BSLASHpm] = ACTIONS(5382),
    [anon_sym_BSLASHpmc] = ACTIONS(5382),
    [anon_sym_BSLASHpmr] = ACTIONS(5382),
    [anon_sym_BSLASHpi] = ACTIONS(5382),
    [anon_sym_BSLASHmi] = ACTIONS(5382),
    [anon_sym_BSLASHnb] = ACTIONS(5382),
    [anon_sym_BSLASHpc] = ACTIONS(5382),
    [anon_sym_BSLASHph] = ACTIONS(5382),
    [anon_sym_BSLASHb] = ACTIONS(5382),
    [anon_sym_BSLASHq] = ACTIONS(5382),
    [anon_sym_BSLASHqr] = ACTIONS(5382),
    [anon_sym_BSLASHqc] = ACTIONS(5382),
    [anon_sym_BSLASHqa] = ACTIONS(5382),
    [anon_sym_BSLASHqm] = ACTIONS(5382),
    [anon_sym_BSLASHqd] = ACTIONS(5382),
    [anon_sym_BSLASHlh] = ACTIONS(5382),
    [anon_sym_BSLASHlf] = ACTIONS(5382),
    [anon_sym_BSLASHli] = ACTIONS(5382),
    [anon_sym_BSLASHlim] = ACTIONS(5382),
    [anon_sym_BSLASHliv] = ACTIONS(5382),
    [anon_sym_BSLASHlik] = ACTIONS(5382),
    [anon_sym_BSLASHlitl] = ACTIONS(5382),
    [anon_sym_BSLASHtr] = ACTIONS(5382),
    [anon_sym_BSLASHf] = ACTIONS(5382),
    [anon_sym_BSLASHfe] = ACTIONS(5382),
    [anon_sym_BSLASHef] = ACTIONS(5382),
    [anon_sym_BSLASHfm] = ACTIONS(5382),
    [anon_sym_BSLASHx] = ACTIONS(5382),
    [anon_sym_BSLASHxt] = ACTIONS(5382),
    [anon_sym_BSLASHrq] = ACTIONS(5382),
    [anon_sym_BSLASHadd] = ACTIONS(5382),
    [anon_sym_BSLASHbk] = ACTIONS(5382),
    [anon_sym_BSLASHdc] = ACTIONS(5382),
    [anon_sym_BSLASHk] = ACTIONS(5382),
    [anon_sym_BSLASHnd] = ACTIONS(5382),
    [anon_sym_BSLASHord] = ACTIONS(5382),
    [anon_sym_BSLASHpn] = ACTIONS(5382),
    [anon_sym_BSLASHpng] = ACTIONS(5382),
    [anon_sym_BSLASHaddpn] = ACTIONS(5382),
    [anon_sym_BSLASHqt] = ACTIONS(5382),
    [anon_sym_BSLASHsig] = ACTIONS(5382),
    [anon_sym_BSLASHsls] = ACTIONS(5382),
    [anon_sym_BSLASHtl] = ACTIONS(5382),
    [anon_sym_BSLASHwj] = ACTIONS(5382),
    [anon_sym_BSLASHem] = ACTIONS(5382),
    [anon_sym_BSLASHbd] = ACTIONS(5382),
    [anon_sym_BSLASHit] = ACTIONS(5382),
    [anon_sym_BSLASHbdit] = ACTIONS(5382),
    [anon_sym_BSLASHno] = ACTIONS(5382),
    [anon_sym_BSLASHsc] = ACTIONS(5382),
    [anon_sym_BSLASHsup] = ACTIONS(5382),
    [anon_sym_BSLASHndx] = ACTIONS(5382),
    [anon_sym_BSLASHpro] = ACTIONS(5382),
    [anon_sym_BSLASHrb] = ACTIONS(5382),
    [anon_sym_BSLASHw] = ACTIONS(5382),
    [anon_sym_BSLASHwg] = ACTIONS(5382),
    [anon_sym_BSLASHwh] = ACTIONS(5382),
    [anon_sym_BSLASHwa] = ACTIONS(5382),
    [anon_sym_BSLASHfig] = ACTIONS(5382),
    [anon_sym_BSLASHjmp] = ACTIONS(5382),
    [anon_sym_BSLASHpb] = ACTIONS(5382),
    [anon_sym_BSLASH] = ACTIONS(5382),
    [sym_milestoneStartTag] = ACTIONS(5382),
    [sym_milestoneEndTag] = ACTIONS(5382),
    [sym_zSpaceTag] = ACTIONS(5382),
    [anon_sym_BSLASHesb] = ACTIONS(5382),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(5384),
    [aux_sym_text_token1] = ACTIONS(5384),
    [anon_sym_BSLASHref] = ACTIONS(5386),
    [anon_sym_BSLASHsts] = ACTIONS(5386),
    [anon_sym_BSLASHrem] = ACTIONS(5386),
    [anon_sym_BSLASHrestore] = ACTIONS(5386),
    [anon_sym_BSLASHlit] = ACTIONS(5386),
    [anon_sym_BSLASHip] = ACTIONS(5386),
    [anon_sym_BSLASHiex] = ACTIONS(5386),
    [anon_sym_BSLASHv] = ACTIONS(5386),
    [anon_sym_BSLASHva] = ACTIONS(5386),
    [anon_sym_BSLASHvp] = ACTIONS(5386),
    [anon_sym_BSLASHc] = ACTIONS(5386),
    [anon_sym_BSLASHcl] = ACTIONS(5386),
    [anon_sym_BSLASHca] = ACTIONS(5386),
    [anon_sym_BSLASHcp] = ACTIONS(5386),
    [anon_sym_BSLASHcd] = ACTIONS(5386),
    [anon_sym_BSLASHmte] = ACTIONS(5386),
    [anon_sym_BSLASHms] = ACTIONS(5386),
    [anon_sym_BSLASHs] = ACTIONS(5386),
    [anon_sym_BSLASHr] = ACTIONS(5386),
    [anon_sym_BSLASHsp] = ACTIONS(5386),
    [anon_sym_BSLASHd] = ACTIONS(5386),
    [anon_sym_BSLASHsd] = ACTIONS(5386),
    [anon_sym_BSLASHp] = ACTIONS(5386),
    [anon_sym_BSLASHm] = ACTIONS(5386),
    [anon_sym_BSLASHpo] = ACTIONS(5386),
    [anon_sym_BSLASHpr] = ACTIONS(5386),
    [anon_sym_BSLASHcls] = ACTIONS(5386),
    [anon_sym_BSLASHpmo] = ACTIONS(5386),
    [anon_sym_BSLASHpm] = ACTIONS(5386),
    [anon_sym_BSLASHpmc] = ACTIONS(5386),
    [anon_sym_BSLASHpmr] = ACTIONS(5386),
    [anon_sym_BSLASHpi] = ACTIONS(5386),
    [anon_sym_BSLASHmi] = ACTIONS(5386),
    [anon_sym_BSLASHnb] = ACTIONS(5386),
    [anon_sym_BSLASHpc] = ACTIONS(5386),
    [anon_sym_BSLASHph] = ACTIONS(5386),
    [anon_sym_BSLASHb] = ACTIONS(5386),
    [anon_sym_BSLASHq] = ACTIONS(5386),
    [anon_sym_BSLASHqr] = ACTIONS(5386),
    [anon_sym_BSLASHqc] = ACTIONS(5386),
    [anon_sym_BSLASHqa] = ACTIONS(5386),
    [anon_sym_BSLASHqm] = ACTIONS(5386),
    [anon_sym_BSLASHqd] = ACTIONS(5386),
    [anon_sym_BSLASHlh] = ACTIONS(5386),
    [anon_sym_BSLASHlf] = ACTIONS(5386),
    [anon_sym_BSLASHli] = ACTIONS(5386),
    [anon_sym_BSLASHlim] = ACTIONS(5386),
    [anon_sym_BSLASHliv] = ACTIONS(5386),
    [anon_sym_BSLASHlik] = ACTIONS(5386),
    [anon_sym_BSLASHlitl] = ACTIONS(5386),
    [anon_sym_BSLASHtr] = ACTIONS(5386),
    [anon_sym_BSLASHf] = ACTIONS(5386),
    [anon_sym_BSLASHfe] = ACTIONS(5386),
    [anon_sym_BSLASHef] = ACTIONS(5386),
    [anon_sym_BSLASHfm] = ACTIONS(5386),
    [anon_sym_BSLASHx] = ACTIONS(5386),
    [anon_sym_BSLASHxt] = ACTIONS(5386),
    [anon_sym_BSLASHrq] = ACTIONS(5386),
    [anon_sym_BSLASHadd] = ACTIONS(5386),
    [anon_sym_BSLASHbk] = ACTIONS(5386),
    [anon_sym_BSLASHdc] = ACTIONS(5386),
    [anon_sym_BSLASHk] = ACTIONS(5386),
    [anon_sym_BSLASHnd] = ACTIONS(5386),
    [anon_sym_BSLASHord] = ACTIONS(5386),
    [anon_sym_BSLASHpn] = ACTIONS(5386),
    [anon_sym_BSLASHpng] = ACTIONS(5386),
    [anon_sym_BSLASHaddpn] = ACTIONS(5386),
    [anon_sym_BSLASHqt] = ACTIONS(5386),
    [anon_sym_BSLASHsig] = ACTIONS(5386),
    [anon_sym_BSLASHsls] = ACTIONS(5386),
    [anon_sym_BSLASHtl] = ACTIONS(5386),
    [anon_sym_BSLASHwj] = ACTIONS(5386),
    [anon_sym_BSLASHem] = ACTIONS(5386),
    [anon_sym_BSLASHbd] = ACTIONS(5386),
    [anon_sym_BSLASHit] = ACTIONS(5386),
    [anon_sym_BSLASHbdit] = ACTIONS(5386),
    [anon_sym_BSLASHno] = ACTIONS(5386),
    [anon_sym_BSLASHsc] = ACTIONS(5386),
    [anon_sym_BSLASHsup] = ACTIONS(5386),
    [anon_sym_BSLASHndx] = ACTIONS(5386),
    [anon_sym_BSLASHpro] = ACTIONS(5386),
    [anon_sym_BSLASHrb] = ACTIONS(5386),
    [anon_sym_BSLASHw] = ACTIONS(5386),
    [anon_sym_BSLASHwg] = ACTIONS(5386),
    [anon_sym_BSLASHwh] = ACTIONS(5386),
    [anon_sym_BSLASHwa] = ACTIONS(5386),
    [anon_sym_BSLASHfig] = ACTIONS(5386),
    [anon_sym_BSLASHjmp] = ACTIONS(5386),
    [anon_sym_BSLASHpb] = ACTIONS(5386),
    [anon_sym_BSLASH] = ACTIONS(5386),
    [sym_milestoneStartTag] = ACTIONS(5386),
    [sym_milestoneEndTag] = ACTIONS(5386),
    [sym_zSpaceTag] = ACTIONS(5386),
    [anon_sym_BSLASHesb] = ACTIONS(5386),
  },
  [444] = {
    [ts_builtin_sym_end] = ACTIONS(5388),
    [aux_sym_text_token1] = ACTIONS(5388),
    [anon_sym_BSLASHref] = ACTIONS(5390),
    [anon_sym_BSLASHsts] = ACTIONS(5390),
    [anon_sym_BSLASHrem] = ACTIONS(5390),
    [anon_sym_BSLASHrestore] = ACTIONS(5390),
    [anon_sym_BSLASHlit] = ACTIONS(5390),
    [anon_sym_BSLASHip] = ACTIONS(5390),
    [anon_sym_BSLASHiex] = ACTIONS(5390),
    [anon_sym_BSLASHv] = ACTIONS(5390),
    [anon_sym_BSLASHva] = ACTIONS(5390),
    [anon_sym_BSLASHvp] = ACTIONS(5390),
    [anon_sym_BSLASHc] = ACTIONS(5390),
    [anon_sym_BSLASHcl] = ACTIONS(5390),
    [anon_sym_BSLASHca] = ACTIONS(5390),
    [anon_sym_BSLASHcp] = ACTIONS(5390),
    [anon_sym_BSLASHcd] = ACTIONS(5390),
    [anon_sym_BSLASHmte] = ACTIONS(5390),
    [anon_sym_BSLASHms] = ACTIONS(5390),
    [anon_sym_BSLASHs] = ACTIONS(5390),
    [anon_sym_BSLASHr] = ACTIONS(5390),
    [anon_sym_BSLASHsp] = ACTIONS(5390),
    [anon_sym_BSLASHd] = ACTIONS(5390),
    [anon_sym_BSLASHsd] = ACTIONS(5390),
    [anon_sym_BSLASHp] = ACTIONS(5390),
    [anon_sym_BSLASHm] = ACTIONS(5390),
    [anon_sym_BSLASHpo] = ACTIONS(5390),
    [anon_sym_BSLASHpr] = ACTIONS(5390),
    [anon_sym_BSLASHcls] = ACTIONS(5390),
    [anon_sym_BSLASHpmo] = ACTIONS(5390),
    [anon_sym_BSLASHpm] = ACTIONS(5390),
    [anon_sym_BSLASHpmc] = ACTIONS(5390),
    [anon_sym_BSLASHpmr] = ACTIONS(5390),
    [anon_sym_BSLASHpi] = ACTIONS(5390),
    [anon_sym_BSLASHmi] = ACTIONS(5390),
    [anon_sym_BSLASHnb] = ACTIONS(5390),
    [anon_sym_BSLASHpc] = ACTIONS(5390),
    [anon_sym_BSLASHph] = ACTIONS(5390),
    [anon_sym_BSLASHb] = ACTIONS(5390),
    [anon_sym_BSLASHq] = ACTIONS(5390),
    [anon_sym_BSLASHqr] = ACTIONS(5390),
    [anon_sym_BSLASHqc] = ACTIONS(5390),
    [anon_sym_BSLASHqa] = ACTIONS(5390),
    [anon_sym_BSLASHqm] = ACTIONS(5390),
    [anon_sym_BSLASHqd] = ACTIONS(5390),
    [anon_sym_BSLASHlh] = ACTIONS(5390),
    [anon_sym_BSLASHlf] = ACTIONS(5390),
    [anon_sym_BSLASHli] = ACTIONS(5390),
    [anon_sym_BSLASHlim] = ACTIONS(5390),
    [anon_sym_BSLASHliv] = ACTIONS(5390),
    [anon_sym_BSLASHlik] = ACTIONS(5390),
    [anon_sym_BSLASHlitl] = ACTIONS(5390),
    [anon_sym_BSLASHtr] = ACTIONS(5390),
    [anon_sym_BSLASHf] = ACTIONS(5390),
    [anon_sym_BSLASHfe] = ACTIONS(5390),
    [anon_sym_BSLASHef] = ACTIONS(5390),
    [anon_sym_BSLASHfm] = ACTIONS(5390),
    [anon_sym_BSLASHx] = ACTIONS(5390),
    [anon_sym_BSLASHxt] = ACTIONS(5390),
    [anon_sym_BSLASHrq] = ACTIONS(5390),
    [anon_sym_BSLASHadd] = ACTIONS(5390),
    [anon_sym_BSLASHbk] = ACTIONS(5390),
    [anon_sym_BSLASHdc] = ACTIONS(5390),
    [anon_sym_BSLASHk] = ACTIONS(5390),
    [anon_sym_BSLASHnd] = ACTIONS(5390),
    [anon_sym_BSLASHord] = ACTIONS(5390),
    [anon_sym_BSLASHpn] = ACTIONS(5390),
    [anon_sym_BSLASHpng] = ACTIONS(5390),
    [anon_sym_BSLASHaddpn] = ACTIONS(5390),
    [anon_sym_BSLASHqt] = ACTIONS(5390),
    [anon_sym_BSLASHsig] = ACTIONS(5390),
    [anon_sym_BSLASHsls] = ACTIONS(5390),
    [anon_sym_BSLASHtl] = ACTIONS(5390),
    [anon_sym_BSLASHwj] = ACTIONS(5390),
    [anon_sym_BSLASHem] = ACTIONS(5390),
    [anon_sym_BSLASHbd] = ACTIONS(5390),
    [anon_sym_BSLASHit] = ACTIONS(5390),
    [anon_sym_BSLASHbdit] = ACTIONS(5390),
    [anon_sym_BSLASHno] = ACTIONS(5390),
    [anon_sym_BSLASHsc] = ACTIONS(5390),
    [anon_sym_BSLASHsup] = ACTIONS(5390),
    [anon_sym_BSLASHndx] = ACTIONS(5390),
    [anon_sym_BSLASHpro] = ACTIONS(5390),
    [anon_sym_BSLASHrb] = ACTIONS(5390),
    [anon_sym_BSLASHw] = ACTIONS(5390),
    [anon_sym_BSLASHwg] = ACTIONS(5390),
    [anon_sym_BSLASHwh] = ACTIONS(5390),
    [anon_sym_BSLASHwa] = ACTIONS(5390),
    [anon_sym_BSLASHfig] = ACTIONS(5390),
    [anon_sym_BSLASHjmp] = ACTIONS(5390),
    [anon_sym_BSLASHpb] = ACTIONS(5390),
    [anon_sym_BSLASH] = ACTIONS(5390),
    [sym_milestoneStartTag] = ACTIONS(5390),
    [sym_milestoneEndTag] = ACTIONS(5390),
    [sym_zSpaceTag] = ACTIONS(5390),
    [anon_sym_BSLASHesb] = ACTIONS(5390),
  },
  [445] = {
    [ts_builtin_sym_end] = ACTIONS(5392),
    [aux_sym_text_token1] = ACTIONS(5392),
    [anon_sym_BSLASHref] = ACTIONS(5394),
    [anon_sym_BSLASHsts] = ACTIONS(5394),
    [anon_sym_BSLASHrem] = ACTIONS(5394),
    [anon_sym_BSLASHrestore] = ACTIONS(5394),
    [anon_sym_BSLASHlit] = ACTIONS(5394),
    [anon_sym_BSLASHip] = ACTIONS(5394),
    [anon_sym_BSLASHiex] = ACTIONS(5394),
    [anon_sym_BSLASHv] = ACTIONS(5394),
    [anon_sym_BSLASHva] = ACTIONS(5394),
    [anon_sym_BSLASHvp] = ACTIONS(5394),
    [anon_sym_BSLASHc] = ACTIONS(5394),
    [anon_sym_BSLASHcl] = ACTIONS(5394),
    [anon_sym_BSLASHca] = ACTIONS(5394),
    [anon_sym_BSLASHcp] = ACTIONS(5394),
    [anon_sym_BSLASHcd] = ACTIONS(5394),
    [anon_sym_BSLASHmte] = ACTIONS(5394),
    [anon_sym_BSLASHms] = ACTIONS(5394),
    [anon_sym_BSLASHs] = ACTIONS(5394),
    [anon_sym_BSLASHr] = ACTIONS(5394),
    [anon_sym_BSLASHsp] = ACTIONS(5394),
    [anon_sym_BSLASHd] = ACTIONS(5394),
    [anon_sym_BSLASHsd] = ACTIONS(5394),
    [anon_sym_BSLASHp] = ACTIONS(5394),
    [anon_sym_BSLASHm] = ACTIONS(5394),
    [anon_sym_BSLASHpo] = ACTIONS(5394),
    [anon_sym_BSLASHpr] = ACTIONS(5394),
    [anon_sym_BSLASHcls] = ACTIONS(5394),
    [anon_sym_BSLASHpmo] = ACTIONS(5394),
    [anon_sym_BSLASHpm] = ACTIONS(5394),
    [anon_sym_BSLASHpmc] = ACTIONS(5394),
    [anon_sym_BSLASHpmr] = ACTIONS(5394),
    [anon_sym_BSLASHpi] = ACTIONS(5394),
    [anon_sym_BSLASHmi] = ACTIONS(5394),
    [anon_sym_BSLASHnb] = ACTIONS(5394),
    [anon_sym_BSLASHpc] = ACTIONS(5394),
    [anon_sym_BSLASHph] = ACTIONS(5394),
    [anon_sym_BSLASHb] = ACTIONS(5394),
    [anon_sym_BSLASHq] = ACTIONS(5394),
    [anon_sym_BSLASHqr] = ACTIONS(5394),
    [anon_sym_BSLASHqc] = ACTIONS(5394),
    [anon_sym_BSLASHqa] = ACTIONS(5394),
    [anon_sym_BSLASHqm] = ACTIONS(5394),
    [anon_sym_BSLASHqd] = ACTIONS(5394),
    [anon_sym_BSLASHlh] = ACTIONS(5394),
    [anon_sym_BSLASHlf] = ACTIONS(5394),
    [anon_sym_BSLASHli] = ACTIONS(5394),
    [anon_sym_BSLASHlim] = ACTIONS(5394),
    [anon_sym_BSLASHliv] = ACTIONS(5394),
    [anon_sym_BSLASHlik] = ACTIONS(5394),
    [anon_sym_BSLASHlitl] = ACTIONS(5394),
    [anon_sym_BSLASHtr] = ACTIONS(5394),
    [anon_sym_BSLASHf] = ACTIONS(5394),
    [anon_sym_BSLASHfe] = ACTIONS(5394),
    [anon_sym_BSLASHef] = ACTIONS(5394),
    [anon_sym_BSLASHfm] = ACTIONS(5394),
    [anon_sym_BSLASHx] = ACTIONS(5394),
    [anon_sym_BSLASHxt] = ACTIONS(5394),
    [anon_sym_BSLASHrq] = ACTIONS(5394),
    [anon_sym_BSLASHadd] = ACTIONS(5394),
    [anon_sym_BSLASHbk] = ACTIONS(5394),
    [anon_sym_BSLASHdc] = ACTIONS(5394),
    [anon_sym_BSLASHk] = ACTIONS(5394),
    [anon_sym_BSLASHnd] = ACTIONS(5394),
    [anon_sym_BSLASHord] = ACTIONS(5394),
    [anon_sym_BSLASHpn] = ACTIONS(5394),
    [anon_sym_BSLASHpng] = ACTIONS(5394),
    [anon_sym_BSLASHaddpn] = ACTIONS(5394),
    [anon_sym_BSLASHqt] = ACTIONS(5394),
    [anon_sym_BSLASHsig] = ACTIONS(5394),
    [anon_sym_BSLASHsls] = ACTIONS(5394),
    [anon_sym_BSLASHtl] = ACTIONS(5394),
    [anon_sym_BSLASHwj] = ACTIONS(5394),
    [anon_sym_BSLASHem] = ACTIONS(5394),
    [anon_sym_BSLASHbd] = ACTIONS(5394),
    [anon_sym_BSLASHit] = ACTIONS(5394),
    [anon_sym_BSLASHbdit] = ACTIONS(5394),
    [anon_sym_BSLASHno] = ACTIONS(5394),
    [anon_sym_BSLASHsc] = ACTIONS(5394),
    [anon_sym_BSLASHsup] = ACTIONS(5394),
    [anon_sym_BSLASHndx] = ACTIONS(5394),
    [anon_sym_BSLASHpro] = ACTIONS(5394),
    [anon_sym_BSLASHrb] = ACTIONS(5394),
    [anon_sym_BSLASHw] = ACTIONS(5394),
    [anon_sym_BSLASHwg] = ACTIONS(5394),
    [anon_sym_BSLASHwh] = ACTIONS(5394),
    [anon_sym_BSLASHwa] = ACTIONS(5394),
    [anon_sym_BSLASHfig] = ACTIONS(5394),
    [anon_sym_BSLASHjmp] = ACTIONS(5394),
    [anon_sym_BSLASHpb] = ACTIONS(5394),
    [anon_sym_BSLASH] = ACTIONS(5394),
    [sym_milestoneStartTag] = ACTIONS(5394),
    [sym_milestoneEndTag] = ACTIONS(5394),
    [sym_zSpaceTag] = ACTIONS(5394),
    [anon_sym_BSLASHesb] = ACTIONS(5394),
  },
  [446] = {
    [ts_builtin_sym_end] = ACTIONS(5396),
    [aux_sym_text_token1] = ACTIONS(5396),
    [anon_sym_BSLASHref] = ACTIONS(5398),
    [anon_sym_BSLASHsts] = ACTIONS(5398),
    [anon_sym_BSLASHrem] = ACTIONS(5398),
    [anon_sym_BSLASHrestore] = ACTIONS(5398),
    [anon_sym_BSLASHlit] = ACTIONS(5398),
    [anon_sym_BSLASHip] = ACTIONS(5398),
    [anon_sym_BSLASHiex] = ACTIONS(5398),
    [anon_sym_BSLASHv] = ACTIONS(5398),
    [anon_sym_BSLASHva] = ACTIONS(5398),
    [anon_sym_BSLASHvp] = ACTIONS(5398),
    [anon_sym_BSLASHc] = ACTIONS(5398),
    [anon_sym_BSLASHcl] = ACTIONS(5398),
    [anon_sym_BSLASHca] = ACTIONS(5398),
    [anon_sym_BSLASHcp] = ACTIONS(5398),
    [anon_sym_BSLASHcd] = ACTIONS(5398),
    [anon_sym_BSLASHmte] = ACTIONS(5398),
    [anon_sym_BSLASHms] = ACTIONS(5398),
    [anon_sym_BSLASHs] = ACTIONS(5398),
    [anon_sym_BSLASHr] = ACTIONS(5398),
    [anon_sym_BSLASHsp] = ACTIONS(5398),
    [anon_sym_BSLASHd] = ACTIONS(5398),
    [anon_sym_BSLASHsd] = ACTIONS(5398),
    [anon_sym_BSLASHp] = ACTIONS(5398),
    [anon_sym_BSLASHm] = ACTIONS(5398),
    [anon_sym_BSLASHpo] = ACTIONS(5398),
    [anon_sym_BSLASHpr] = ACTIONS(5398),
    [anon_sym_BSLASHcls] = ACTIONS(5398),
    [anon_sym_BSLASHpmo] = ACTIONS(5398),
    [anon_sym_BSLASHpm] = ACTIONS(5398),
    [anon_sym_BSLASHpmc] = ACTIONS(5398),
    [anon_sym_BSLASHpmr] = ACTIONS(5398),
    [anon_sym_BSLASHpi] = ACTIONS(5398),
    [anon_sym_BSLASHmi] = ACTIONS(5398),
    [anon_sym_BSLASHnb] = ACTIONS(5398),
    [anon_sym_BSLASHpc] = ACTIONS(5398),
    [anon_sym_BSLASHph] = ACTIONS(5398),
    [anon_sym_BSLASHb] = ACTIONS(5398),
    [anon_sym_BSLASHq] = ACTIONS(5398),
    [anon_sym_BSLASHqr] = ACTIONS(5398),
    [anon_sym_BSLASHqc] = ACTIONS(5398),
    [anon_sym_BSLASHqa] = ACTIONS(5398),
    [anon_sym_BSLASHqm] = ACTIONS(5398),
    [anon_sym_BSLASHqd] = ACTIONS(5398),
    [anon_sym_BSLASHlh] = ACTIONS(5398),
    [anon_sym_BSLASHlf] = ACTIONS(5398),
    [anon_sym_BSLASHli] = ACTIONS(5398),
    [anon_sym_BSLASHlim] = ACTIONS(5398),
    [anon_sym_BSLASHliv] = ACTIONS(5398),
    [anon_sym_BSLASHlik] = ACTIONS(5398),
    [anon_sym_BSLASHlitl] = ACTIONS(5398),
    [anon_sym_BSLASHtr] = ACTIONS(5398),
    [anon_sym_BSLASHf] = ACTIONS(5398),
    [anon_sym_BSLASHfe] = ACTIONS(5398),
    [anon_sym_BSLASHef] = ACTIONS(5398),
    [anon_sym_BSLASHfm] = ACTIONS(5398),
    [anon_sym_BSLASHx] = ACTIONS(5398),
    [anon_sym_BSLASHxt] = ACTIONS(5398),
    [anon_sym_BSLASHrq] = ACTIONS(5398),
    [anon_sym_BSLASHadd] = ACTIONS(5398),
    [anon_sym_BSLASHbk] = ACTIONS(5398),
    [anon_sym_BSLASHdc] = ACTIONS(5398),
    [anon_sym_BSLASHk] = ACTIONS(5398),
    [anon_sym_BSLASHnd] = ACTIONS(5398),
    [anon_sym_BSLASHord] = ACTIONS(5398),
    [anon_sym_BSLASHpn] = ACTIONS(5398),
    [anon_sym_BSLASHpng] = ACTIONS(5398),
    [anon_sym_BSLASHaddpn] = ACTIONS(5398),
    [anon_sym_BSLASHqt] = ACTIONS(5398),
    [anon_sym_BSLASHsig] = ACTIONS(5398),
    [anon_sym_BSLASHsls] = ACTIONS(5398),
    [anon_sym_BSLASHtl] = ACTIONS(5398),
    [anon_sym_BSLASHwj] = ACTIONS(5398),
    [anon_sym_BSLASHem] = ACTIONS(5398),
    [anon_sym_BSLASHbd] = ACTIONS(5398),
    [anon_sym_BSLASHit] = ACTIONS(5398),
    [anon_sym_BSLASHbdit] = ACTIONS(5398),
    [anon_sym_BSLASHno] = ACTIONS(5398),
    [anon_sym_BSLASHsc] = ACTIONS(5398),
    [anon_sym_BSLASHsup] = ACTIONS(5398),
    [anon_sym_BSLASHndx] = ACTIONS(5398),
    [anon_sym_BSLASHpro] = ACTIONS(5398),
    [anon_sym_BSLASHrb] = ACTIONS(5398),
    [anon_sym_BSLASHw] = ACTIONS(5398),
    [anon_sym_BSLASHwg] = ACTIONS(5398),
    [anon_sym_BSLASHwh] = ACTIONS(5398),
    [anon_sym_BSLASHwa] = ACTIONS(5398),
    [anon_sym_BSLASHfig] = ACTIONS(5398),
    [anon_sym_BSLASHjmp] = ACTIONS(5398),
    [anon_sym_BSLASHpb] = ACTIONS(5398),
    [anon_sym_BSLASH] = ACTIONS(5398),
    [sym_milestoneStartTag] = ACTIONS(5398),
    [sym_milestoneEndTag] = ACTIONS(5398),
    [sym_zSpaceTag] = ACTIONS(5398),
    [anon_sym_BSLASHesb] = ACTIONS(5398),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(5400),
    [aux_sym_text_token1] = ACTIONS(5400),
    [anon_sym_BSLASHref] = ACTIONS(5402),
    [anon_sym_BSLASHsts] = ACTIONS(5402),
    [anon_sym_BSLASHrem] = ACTIONS(5402),
    [anon_sym_BSLASHrestore] = ACTIONS(5402),
    [anon_sym_BSLASHlit] = ACTIONS(5402),
    [anon_sym_BSLASHip] = ACTIONS(5402),
    [anon_sym_BSLASHiex] = ACTIONS(5402),
    [anon_sym_BSLASHv] = ACTIONS(5402),
    [anon_sym_BSLASHva] = ACTIONS(5402),
    [anon_sym_BSLASHvp] = ACTIONS(5402),
    [anon_sym_BSLASHc] = ACTIONS(5402),
    [anon_sym_BSLASHcl] = ACTIONS(5402),
    [anon_sym_BSLASHca] = ACTIONS(5402),
    [anon_sym_BSLASHcp] = ACTIONS(5402),
    [anon_sym_BSLASHcd] = ACTIONS(5402),
    [anon_sym_BSLASHmte] = ACTIONS(5402),
    [anon_sym_BSLASHms] = ACTIONS(5402),
    [anon_sym_BSLASHs] = ACTIONS(5402),
    [anon_sym_BSLASHr] = ACTIONS(5402),
    [anon_sym_BSLASHsp] = ACTIONS(5402),
    [anon_sym_BSLASHd] = ACTIONS(5402),
    [anon_sym_BSLASHsd] = ACTIONS(5402),
    [anon_sym_BSLASHp] = ACTIONS(5402),
    [anon_sym_BSLASHm] = ACTIONS(5402),
    [anon_sym_BSLASHpo] = ACTIONS(5402),
    [anon_sym_BSLASHpr] = ACTIONS(5402),
    [anon_sym_BSLASHcls] = ACTIONS(5402),
    [anon_sym_BSLASHpmo] = ACTIONS(5402),
    [anon_sym_BSLASHpm] = ACTIONS(5402),
    [anon_sym_BSLASHpmc] = ACTIONS(5402),
    [anon_sym_BSLASHpmr] = ACTIONS(5402),
    [anon_sym_BSLASHpi] = ACTIONS(5402),
    [anon_sym_BSLASHmi] = ACTIONS(5402),
    [anon_sym_BSLASHnb] = ACTIONS(5402),
    [anon_sym_BSLASHpc] = ACTIONS(5402),
    [anon_sym_BSLASHph] = ACTIONS(5402),
    [anon_sym_BSLASHb] = ACTIONS(5402),
    [anon_sym_BSLASHq] = ACTIONS(5402),
    [anon_sym_BSLASHqr] = ACTIONS(5402),
    [anon_sym_BSLASHqc] = ACTIONS(5402),
    [anon_sym_BSLASHqa] = ACTIONS(5402),
    [anon_sym_BSLASHqm] = ACTIONS(5402),
    [anon_sym_BSLASHqd] = ACTIONS(5402),
    [anon_sym_BSLASHlh] = ACTIONS(5402),
    [anon_sym_BSLASHlf] = ACTIONS(5402),
    [anon_sym_BSLASHli] = ACTIONS(5402),
    [anon_sym_BSLASHlim] = ACTIONS(5402),
    [anon_sym_BSLASHliv] = ACTIONS(5402),
    [anon_sym_BSLASHlik] = ACTIONS(5402),
    [anon_sym_BSLASHlitl] = ACTIONS(5402),
    [anon_sym_BSLASHtr] = ACTIONS(5402),
    [anon_sym_BSLASHf] = ACTIONS(5402),
    [anon_sym_BSLASHfe] = ACTIONS(5402),
    [anon_sym_BSLASHef] = ACTIONS(5402),
    [anon_sym_BSLASHfm] = ACTIONS(5402),
    [anon_sym_BSLASHx] = ACTIONS(5402),
    [anon_sym_BSLASHxt] = ACTIONS(5402),
    [anon_sym_BSLASHrq] = ACTIONS(5402),
    [anon_sym_BSLASHadd] = ACTIONS(5402),
    [anon_sym_BSLASHbk] = ACTIONS(5402),
    [anon_sym_BSLASHdc] = ACTIONS(5402),
    [anon_sym_BSLASHk] = ACTIONS(5402),
    [anon_sym_BSLASHnd] = ACTIONS(5402),
    [anon_sym_BSLASHord] = ACTIONS(5402),
    [anon_sym_BSLASHpn] = ACTIONS(5402),
    [anon_sym_BSLASHpng] = ACTIONS(5402),
    [anon_sym_BSLASHaddpn] = ACTIONS(5402),
    [anon_sym_BSLASHqt] = ACTIONS(5402),
    [anon_sym_BSLASHsig] = ACTIONS(5402),
    [anon_sym_BSLASHsls] = ACTIONS(5402),
    [anon_sym_BSLASHtl] = ACTIONS(5402),
    [anon_sym_BSLASHwj] = ACTIONS(5402),
    [anon_sym_BSLASHem] = ACTIONS(5402),
    [anon_sym_BSLASHbd] = ACTIONS(5402),
    [anon_sym_BSLASHit] = ACTIONS(5402),
    [anon_sym_BSLASHbdit] = ACTIONS(5402),
    [anon_sym_BSLASHno] = ACTIONS(5402),
    [anon_sym_BSLASHsc] = ACTIONS(5402),
    [anon_sym_BSLASHsup] = ACTIONS(5402),
    [anon_sym_BSLASHndx] = ACTIONS(5402),
    [anon_sym_BSLASHpro] = ACTIONS(5402),
    [anon_sym_BSLASHrb] = ACTIONS(5402),
    [anon_sym_BSLASHw] = ACTIONS(5402),
    [anon_sym_BSLASHwg] = ACTIONS(5402),
    [anon_sym_BSLASHwh] = ACTIONS(5402),
    [anon_sym_BSLASHwa] = ACTIONS(5402),
    [anon_sym_BSLASHfig] = ACTIONS(5402),
    [anon_sym_BSLASHjmp] = ACTIONS(5402),
    [anon_sym_BSLASHpb] = ACTIONS(5402),
    [anon_sym_BSLASH] = ACTIONS(5402),
    [sym_milestoneStartTag] = ACTIONS(5402),
    [sym_milestoneEndTag] = ACTIONS(5402),
    [sym_zSpaceTag] = ACTIONS(5402),
    [anon_sym_BSLASHesb] = ACTIONS(5402),
  },
  [448] = {
    [ts_builtin_sym_end] = ACTIONS(5404),
    [aux_sym_text_token1] = ACTIONS(5404),
    [anon_sym_BSLASHref] = ACTIONS(5406),
    [anon_sym_BSLASHsts] = ACTIONS(5406),
    [anon_sym_BSLASHrem] = ACTIONS(5406),
    [anon_sym_BSLASHrestore] = ACTIONS(5406),
    [anon_sym_BSLASHlit] = ACTIONS(5406),
    [anon_sym_BSLASHip] = ACTIONS(5406),
    [anon_sym_BSLASHiex] = ACTIONS(5406),
    [anon_sym_BSLASHv] = ACTIONS(5406),
    [anon_sym_BSLASHva] = ACTIONS(5406),
    [anon_sym_BSLASHvp] = ACTIONS(5406),
    [anon_sym_BSLASHc] = ACTIONS(5406),
    [anon_sym_BSLASHcl] = ACTIONS(5406),
    [anon_sym_BSLASHca] = ACTIONS(5406),
    [anon_sym_BSLASHcp] = ACTIONS(5406),
    [anon_sym_BSLASHcd] = ACTIONS(5406),
    [anon_sym_BSLASHmte] = ACTIONS(5406),
    [anon_sym_BSLASHms] = ACTIONS(5406),
    [anon_sym_BSLASHs] = ACTIONS(5406),
    [anon_sym_BSLASHr] = ACTIONS(5406),
    [anon_sym_BSLASHsp] = ACTIONS(5406),
    [anon_sym_BSLASHd] = ACTIONS(5406),
    [anon_sym_BSLASHsd] = ACTIONS(5406),
    [anon_sym_BSLASHp] = ACTIONS(5406),
    [anon_sym_BSLASHm] = ACTIONS(5406),
    [anon_sym_BSLASHpo] = ACTIONS(5406),
    [anon_sym_BSLASHpr] = ACTIONS(5406),
    [anon_sym_BSLASHcls] = ACTIONS(5406),
    [anon_sym_BSLASHpmo] = ACTIONS(5406),
    [anon_sym_BSLASHpm] = ACTIONS(5406),
    [anon_sym_BSLASHpmc] = ACTIONS(5406),
    [anon_sym_BSLASHpmr] = ACTIONS(5406),
    [anon_sym_BSLASHpi] = ACTIONS(5406),
    [anon_sym_BSLASHmi] = ACTIONS(5406),
    [anon_sym_BSLASHnb] = ACTIONS(5406),
    [anon_sym_BSLASHpc] = ACTIONS(5406),
    [anon_sym_BSLASHph] = ACTIONS(5406),
    [anon_sym_BSLASHb] = ACTIONS(5406),
    [anon_sym_BSLASHq] = ACTIONS(5406),
    [anon_sym_BSLASHqr] = ACTIONS(5406),
    [anon_sym_BSLASHqc] = ACTIONS(5406),
    [anon_sym_BSLASHqa] = ACTIONS(5406),
    [anon_sym_BSLASHqm] = ACTIONS(5406),
    [anon_sym_BSLASHqd] = ACTIONS(5406),
    [anon_sym_BSLASHlh] = ACTIONS(5406),
    [anon_sym_BSLASHlf] = ACTIONS(5406),
    [anon_sym_BSLASHli] = ACTIONS(5406),
    [anon_sym_BSLASHlim] = ACTIONS(5406),
    [anon_sym_BSLASHliv] = ACTIONS(5406),
    [anon_sym_BSLASHlik] = ACTIONS(5406),
    [anon_sym_BSLASHlitl] = ACTIONS(5406),
    [anon_sym_BSLASHtr] = ACTIONS(5406),
    [anon_sym_BSLASHf] = ACTIONS(5406),
    [anon_sym_BSLASHfe] = ACTIONS(5406),
    [anon_sym_BSLASHef] = ACTIONS(5406),
    [anon_sym_BSLASHfm] = ACTIONS(5406),
    [anon_sym_BSLASHx] = ACTIONS(5406),
    [anon_sym_BSLASHxt] = ACTIONS(5406),
    [anon_sym_BSLASHrq] = ACTIONS(5406),
    [anon_sym_BSLASHadd] = ACTIONS(5406),
    [anon_sym_BSLASHbk] = ACTIONS(5406),
    [anon_sym_BSLASHdc] = ACTIONS(5406),
    [anon_sym_BSLASHk] = ACTIONS(5406),
    [anon_sym_BSLASHnd] = ACTIONS(5406),
    [anon_sym_BSLASHord] = ACTIONS(5406),
    [anon_sym_BSLASHpn] = ACTIONS(5406),
    [anon_sym_BSLASHpng] = ACTIONS(5406),
    [anon_sym_BSLASHaddpn] = ACTIONS(5406),
    [anon_sym_BSLASHqt] = ACTIONS(5406),
    [anon_sym_BSLASHsig] = ACTIONS(5406),
    [anon_sym_BSLASHsls] = ACTIONS(5406),
    [anon_sym_BSLASHtl] = ACTIONS(5406),
    [anon_sym_BSLASHwj] = ACTIONS(5406),
    [anon_sym_BSLASHem] = ACTIONS(5406),
    [anon_sym_BSLASHbd] = ACTIONS(5406),
    [anon_sym_BSLASHit] = ACTIONS(5406),
    [anon_sym_BSLASHbdit] = ACTIONS(5406),
    [anon_sym_BSLASHno] = ACTIONS(5406),
    [anon_sym_BSLASHsc] = ACTIONS(5406),
    [anon_sym_BSLASHsup] = ACTIONS(5406),
    [anon_sym_BSLASHndx] = ACTIONS(5406),
    [anon_sym_BSLASHpro] = ACTIONS(5406),
    [anon_sym_BSLASHrb] = ACTIONS(5406),
    [anon_sym_BSLASHw] = ACTIONS(5406),
    [anon_sym_BSLASHwg] = ACTIONS(5406),
    [anon_sym_BSLASHwh] = ACTIONS(5406),
    [anon_sym_BSLASHwa] = ACTIONS(5406),
    [anon_sym_BSLASHfig] = ACTIONS(5406),
    [anon_sym_BSLASHjmp] = ACTIONS(5406),
    [anon_sym_BSLASHpb] = ACTIONS(5406),
    [anon_sym_BSLASH] = ACTIONS(5406),
    [sym_milestoneStartTag] = ACTIONS(5406),
    [sym_milestoneEndTag] = ACTIONS(5406),
    [sym_zSpaceTag] = ACTIONS(5406),
    [anon_sym_BSLASHesb] = ACTIONS(5406),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(5408),
    [aux_sym_text_token1] = ACTIONS(5408),
    [anon_sym_BSLASHref] = ACTIONS(5410),
    [anon_sym_BSLASHsts] = ACTIONS(5410),
    [anon_sym_BSLASHrem] = ACTIONS(5410),
    [anon_sym_BSLASHrestore] = ACTIONS(5410),
    [anon_sym_BSLASHlit] = ACTIONS(5410),
    [anon_sym_BSLASHip] = ACTIONS(5410),
    [anon_sym_BSLASHiex] = ACTIONS(5410),
    [anon_sym_BSLASHv] = ACTIONS(5410),
    [anon_sym_BSLASHva] = ACTIONS(5410),
    [anon_sym_BSLASHvp] = ACTIONS(5410),
    [anon_sym_BSLASHc] = ACTIONS(5410),
    [anon_sym_BSLASHcl] = ACTIONS(5410),
    [anon_sym_BSLASHca] = ACTIONS(5410),
    [anon_sym_BSLASHcp] = ACTIONS(5410),
    [anon_sym_BSLASHcd] = ACTIONS(5410),
    [anon_sym_BSLASHmte] = ACTIONS(5410),
    [anon_sym_BSLASHms] = ACTIONS(5410),
    [anon_sym_BSLASHs] = ACTIONS(5410),
    [anon_sym_BSLASHr] = ACTIONS(5410),
    [anon_sym_BSLASHsp] = ACTIONS(5410),
    [anon_sym_BSLASHd] = ACTIONS(5410),
    [anon_sym_BSLASHsd] = ACTIONS(5410),
    [anon_sym_BSLASHp] = ACTIONS(5410),
    [anon_sym_BSLASHm] = ACTIONS(5410),
    [anon_sym_BSLASHpo] = ACTIONS(5410),
    [anon_sym_BSLASHpr] = ACTIONS(5410),
    [anon_sym_BSLASHcls] = ACTIONS(5410),
    [anon_sym_BSLASHpmo] = ACTIONS(5410),
    [anon_sym_BSLASHpm] = ACTIONS(5410),
    [anon_sym_BSLASHpmc] = ACTIONS(5410),
    [anon_sym_BSLASHpmr] = ACTIONS(5410),
    [anon_sym_BSLASHpi] = ACTIONS(5410),
    [anon_sym_BSLASHmi] = ACTIONS(5410),
    [anon_sym_BSLASHnb] = ACTIONS(5410),
    [anon_sym_BSLASHpc] = ACTIONS(5410),
    [anon_sym_BSLASHph] = ACTIONS(5410),
    [anon_sym_BSLASHb] = ACTIONS(5410),
    [anon_sym_BSLASHq] = ACTIONS(5410),
    [anon_sym_BSLASHqr] = ACTIONS(5410),
    [anon_sym_BSLASHqc] = ACTIONS(5410),
    [anon_sym_BSLASHqa] = ACTIONS(5410),
    [anon_sym_BSLASHqm] = ACTIONS(5410),
    [anon_sym_BSLASHqd] = ACTIONS(5410),
    [anon_sym_BSLASHlh] = ACTIONS(5410),
    [anon_sym_BSLASHlf] = ACTIONS(5410),
    [anon_sym_BSLASHli] = ACTIONS(5410),
    [anon_sym_BSLASHlim] = ACTIONS(5410),
    [anon_sym_BSLASHliv] = ACTIONS(5410),
    [anon_sym_BSLASHlik] = ACTIONS(5410),
    [anon_sym_BSLASHlitl] = ACTIONS(5410),
    [anon_sym_BSLASHtr] = ACTIONS(5410),
    [anon_sym_BSLASHf] = ACTIONS(5410),
    [anon_sym_BSLASHfe] = ACTIONS(5410),
    [anon_sym_BSLASHef] = ACTIONS(5410),
    [anon_sym_BSLASHfm] = ACTIONS(5410),
    [anon_sym_BSLASHx] = ACTIONS(5410),
    [anon_sym_BSLASHxt] = ACTIONS(5410),
    [anon_sym_BSLASHrq] = ACTIONS(5410),
    [anon_sym_BSLASHadd] = ACTIONS(5410),
    [anon_sym_BSLASHbk] = ACTIONS(5410),
    [anon_sym_BSLASHdc] = ACTIONS(5410),
    [anon_sym_BSLASHk] = ACTIONS(5410),
    [anon_sym_BSLASHnd] = ACTIONS(5410),
    [anon_sym_BSLASHord] = ACTIONS(5410),
    [anon_sym_BSLASHpn] = ACTIONS(5410),
    [anon_sym_BSLASHpng] = ACTIONS(5410),
    [anon_sym_BSLASHaddpn] = ACTIONS(5410),
    [anon_sym_BSLASHqt] = ACTIONS(5410),
    [anon_sym_BSLASHsig] = ACTIONS(5410),
    [anon_sym_BSLASHsls] = ACTIONS(5410),
    [anon_sym_BSLASHtl] = ACTIONS(5410),
    [anon_sym_BSLASHwj] = ACTIONS(5410),
    [anon_sym_BSLASHem] = ACTIONS(5410),
    [anon_sym_BSLASHbd] = ACTIONS(5410),
    [anon_sym_BSLASHit] = ACTIONS(5410),
    [anon_sym_BSLASHbdit] = ACTIONS(5410),
    [anon_sym_BSLASHno] = ACTIONS(5410),
    [anon_sym_BSLASHsc] = ACTIONS(5410),
    [anon_sym_BSLASHsup] = ACTIONS(5410),
    [anon_sym_BSLASHndx] = ACTIONS(5410),
    [anon_sym_BSLASHpro] = ACTIONS(5410),
    [anon_sym_BSLASHrb] = ACTIONS(5410),
    [anon_sym_BSLASHw] = ACTIONS(5410),
    [anon_sym_BSLASHwg] = ACTIONS(5410),
    [anon_sym_BSLASHwh] = ACTIONS(5410),
    [anon_sym_BSLASHwa] = ACTIONS(5410),
    [anon_sym_BSLASHfig] = ACTIONS(5410),
    [anon_sym_BSLASHjmp] = ACTIONS(5410),
    [anon_sym_BSLASHpb] = ACTIONS(5410),
    [anon_sym_BSLASH] = ACTIONS(5410),
    [sym_milestoneStartTag] = ACTIONS(5410),
    [sym_milestoneEndTag] = ACTIONS(5410),
    [sym_zSpaceTag] = ACTIONS(5410),
    [anon_sym_BSLASHesb] = ACTIONS(5410),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(5412),
    [aux_sym_text_token1] = ACTIONS(5412),
    [anon_sym_BSLASHref] = ACTIONS(5414),
    [anon_sym_BSLASHsts] = ACTIONS(5414),
    [anon_sym_BSLASHrem] = ACTIONS(5414),
    [anon_sym_BSLASHrestore] = ACTIONS(5414),
    [anon_sym_BSLASHlit] = ACTIONS(5414),
    [anon_sym_BSLASHip] = ACTIONS(5414),
    [anon_sym_BSLASHiex] = ACTIONS(5414),
    [anon_sym_BSLASHv] = ACTIONS(5414),
    [anon_sym_BSLASHva] = ACTIONS(5414),
    [anon_sym_BSLASHvp] = ACTIONS(5414),
    [anon_sym_BSLASHc] = ACTIONS(5414),
    [anon_sym_BSLASHcl] = ACTIONS(5414),
    [anon_sym_BSLASHca] = ACTIONS(5414),
    [anon_sym_BSLASHcp] = ACTIONS(5414),
    [anon_sym_BSLASHcd] = ACTIONS(5414),
    [anon_sym_BSLASHmte] = ACTIONS(5414),
    [anon_sym_BSLASHms] = ACTIONS(5414),
    [anon_sym_BSLASHs] = ACTIONS(5414),
    [anon_sym_BSLASHr] = ACTIONS(5414),
    [anon_sym_BSLASHsp] = ACTIONS(5414),
    [anon_sym_BSLASHd] = ACTIONS(5414),
    [anon_sym_BSLASHsd] = ACTIONS(5414),
    [anon_sym_BSLASHp] = ACTIONS(5414),
    [anon_sym_BSLASHm] = ACTIONS(5414),
    [anon_sym_BSLASHpo] = ACTIONS(5414),
    [anon_sym_BSLASHpr] = ACTIONS(5414),
    [anon_sym_BSLASHcls] = ACTIONS(5414),
    [anon_sym_BSLASHpmo] = ACTIONS(5414),
    [anon_sym_BSLASHpm] = ACTIONS(5414),
    [anon_sym_BSLASHpmc] = ACTIONS(5414),
    [anon_sym_BSLASHpmr] = ACTIONS(5414),
    [anon_sym_BSLASHpi] = ACTIONS(5414),
    [anon_sym_BSLASHmi] = ACTIONS(5414),
    [anon_sym_BSLASHnb] = ACTIONS(5414),
    [anon_sym_BSLASHpc] = ACTIONS(5414),
    [anon_sym_BSLASHph] = ACTIONS(5414),
    [anon_sym_BSLASHb] = ACTIONS(5414),
    [anon_sym_BSLASHq] = ACTIONS(5414),
    [anon_sym_BSLASHqr] = ACTIONS(5414),
    [anon_sym_BSLASHqc] = ACTIONS(5414),
    [anon_sym_BSLASHqa] = ACTIONS(5414),
    [anon_sym_BSLASHqm] = ACTIONS(5414),
    [anon_sym_BSLASHqd] = ACTIONS(5414),
    [anon_sym_BSLASHlh] = ACTIONS(5414),
    [anon_sym_BSLASHlf] = ACTIONS(5414),
    [anon_sym_BSLASHli] = ACTIONS(5414),
    [anon_sym_BSLASHlim] = ACTIONS(5414),
    [anon_sym_BSLASHliv] = ACTIONS(5414),
    [anon_sym_BSLASHlik] = ACTIONS(5414),
    [anon_sym_BSLASHlitl] = ACTIONS(5414),
    [anon_sym_BSLASHtr] = ACTIONS(5414),
    [anon_sym_BSLASHf] = ACTIONS(5414),
    [anon_sym_BSLASHfe] = ACTIONS(5414),
    [anon_sym_BSLASHef] = ACTIONS(5414),
    [anon_sym_BSLASHfm] = ACTIONS(5414),
    [anon_sym_BSLASHx] = ACTIONS(5414),
    [anon_sym_BSLASHxt] = ACTIONS(5414),
    [anon_sym_BSLASHrq] = ACTIONS(5414),
    [anon_sym_BSLASHadd] = ACTIONS(5414),
    [anon_sym_BSLASHbk] = ACTIONS(5414),
    [anon_sym_BSLASHdc] = ACTIONS(5414),
    [anon_sym_BSLASHk] = ACTIONS(5414),
    [anon_sym_BSLASHnd] = ACTIONS(5414),
    [anon_sym_BSLASHord] = ACTIONS(5414),
    [anon_sym_BSLASHpn] = ACTIONS(5414),
    [anon_sym_BSLASHpng] = ACTIONS(5414),
    [anon_sym_BSLASHaddpn] = ACTIONS(5414),
    [anon_sym_BSLASHqt] = ACTIONS(5414),
    [anon_sym_BSLASHsig] = ACTIONS(5414),
    [anon_sym_BSLASHsls] = ACTIONS(5414),
    [anon_sym_BSLASHtl] = ACTIONS(5414),
    [anon_sym_BSLASHwj] = ACTIONS(5414),
    [anon_sym_BSLASHem] = ACTIONS(5414),
    [anon_sym_BSLASHbd] = ACTIONS(5414),
    [anon_sym_BSLASHit] = ACTIONS(5414),
    [anon_sym_BSLASHbdit] = ACTIONS(5414),
    [anon_sym_BSLASHno] = ACTIONS(5414),
    [anon_sym_BSLASHsc] = ACTIONS(5414),
    [anon_sym_BSLASHsup] = ACTIONS(5414),
    [anon_sym_BSLASHndx] = ACTIONS(5414),
    [anon_sym_BSLASHpro] = ACTIONS(5414),
    [anon_sym_BSLASHrb] = ACTIONS(5414),
    [anon_sym_BSLASHw] = ACTIONS(5414),
    [anon_sym_BSLASHwg] = ACTIONS(5414),
    [anon_sym_BSLASHwh] = ACTIONS(5414),
    [anon_sym_BSLASHwa] = ACTIONS(5414),
    [anon_sym_BSLASHfig] = ACTIONS(5414),
    [anon_sym_BSLASHjmp] = ACTIONS(5414),
    [anon_sym_BSLASHpb] = ACTIONS(5414),
    [anon_sym_BSLASH] = ACTIONS(5414),
    [sym_milestoneStartTag] = ACTIONS(5414),
    [sym_milestoneEndTag] = ACTIONS(5414),
    [sym_zSpaceTag] = ACTIONS(5414),
    [anon_sym_BSLASHesb] = ACTIONS(5414),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(5416),
    [aux_sym_text_token1] = ACTIONS(5416),
    [anon_sym_BSLASHref] = ACTIONS(5418),
    [anon_sym_BSLASHsts] = ACTIONS(5418),
    [anon_sym_BSLASHrem] = ACTIONS(5418),
    [anon_sym_BSLASHrestore] = ACTIONS(5418),
    [anon_sym_BSLASHlit] = ACTIONS(5418),
    [anon_sym_BSLASHip] = ACTIONS(5418),
    [anon_sym_BSLASHiex] = ACTIONS(5418),
    [anon_sym_BSLASHv] = ACTIONS(5418),
    [anon_sym_BSLASHva] = ACTIONS(5418),
    [anon_sym_BSLASHvp] = ACTIONS(5418),
    [anon_sym_BSLASHc] = ACTIONS(5418),
    [anon_sym_BSLASHcl] = ACTIONS(5418),
    [anon_sym_BSLASHca] = ACTIONS(5418),
    [anon_sym_BSLASHcp] = ACTIONS(5418),
    [anon_sym_BSLASHcd] = ACTIONS(5418),
    [anon_sym_BSLASHmte] = ACTIONS(5418),
    [anon_sym_BSLASHms] = ACTIONS(5418),
    [anon_sym_BSLASHs] = ACTIONS(5418),
    [anon_sym_BSLASHr] = ACTIONS(5418),
    [anon_sym_BSLASHsp] = ACTIONS(5418),
    [anon_sym_BSLASHd] = ACTIONS(5418),
    [anon_sym_BSLASHsd] = ACTIONS(5418),
    [anon_sym_BSLASHp] = ACTIONS(5418),
    [anon_sym_BSLASHm] = ACTIONS(5418),
    [anon_sym_BSLASHpo] = ACTIONS(5418),
    [anon_sym_BSLASHpr] = ACTIONS(5418),
    [anon_sym_BSLASHcls] = ACTIONS(5418),
    [anon_sym_BSLASHpmo] = ACTIONS(5418),
    [anon_sym_BSLASHpm] = ACTIONS(5418),
    [anon_sym_BSLASHpmc] = ACTIONS(5418),
    [anon_sym_BSLASHpmr] = ACTIONS(5418),
    [anon_sym_BSLASHpi] = ACTIONS(5418),
    [anon_sym_BSLASHmi] = ACTIONS(5418),
    [anon_sym_BSLASHnb] = ACTIONS(5418),
    [anon_sym_BSLASHpc] = ACTIONS(5418),
    [anon_sym_BSLASHph] = ACTIONS(5418),
    [anon_sym_BSLASHb] = ACTIONS(5418),
    [anon_sym_BSLASHq] = ACTIONS(5418),
    [anon_sym_BSLASHqr] = ACTIONS(5418),
    [anon_sym_BSLASHqc] = ACTIONS(5418),
    [anon_sym_BSLASHqa] = ACTIONS(5418),
    [anon_sym_BSLASHqm] = ACTIONS(5418),
    [anon_sym_BSLASHqd] = ACTIONS(5418),
    [anon_sym_BSLASHlh] = ACTIONS(5418),
    [anon_sym_BSLASHlf] = ACTIONS(5418),
    [anon_sym_BSLASHli] = ACTIONS(5418),
    [anon_sym_BSLASHlim] = ACTIONS(5418),
    [anon_sym_BSLASHliv] = ACTIONS(5418),
    [anon_sym_BSLASHlik] = ACTIONS(5418),
    [anon_sym_BSLASHlitl] = ACTIONS(5418),
    [anon_sym_BSLASHtr] = ACTIONS(5418),
    [anon_sym_BSLASHf] = ACTIONS(5418),
    [anon_sym_BSLASHfe] = ACTIONS(5418),
    [anon_sym_BSLASHef] = ACTIONS(5418),
    [anon_sym_BSLASHfm] = ACTIONS(5418),
    [anon_sym_BSLASHx] = ACTIONS(5418),
    [anon_sym_BSLASHxt] = ACTIONS(5418),
    [anon_sym_BSLASHrq] = ACTIONS(5418),
    [anon_sym_BSLASHadd] = ACTIONS(5418),
    [anon_sym_BSLASHbk] = ACTIONS(5418),
    [anon_sym_BSLASHdc] = ACTIONS(5418),
    [anon_sym_BSLASHk] = ACTIONS(5418),
    [anon_sym_BSLASHnd] = ACTIONS(5418),
    [anon_sym_BSLASHord] = ACTIONS(5418),
    [anon_sym_BSLASHpn] = ACTIONS(5418),
    [anon_sym_BSLASHpng] = ACTIONS(5418),
    [anon_sym_BSLASHaddpn] = ACTIONS(5418),
    [anon_sym_BSLASHqt] = ACTIONS(5418),
    [anon_sym_BSLASHsig] = ACTIONS(5418),
    [anon_sym_BSLASHsls] = ACTIONS(5418),
    [anon_sym_BSLASHtl] = ACTIONS(5418),
    [anon_sym_BSLASHwj] = ACTIONS(5418),
    [anon_sym_BSLASHem] = ACTIONS(5418),
    [anon_sym_BSLASHbd] = ACTIONS(5418),
    [anon_sym_BSLASHit] = ACTIONS(5418),
    [anon_sym_BSLASHbdit] = ACTIONS(5418),
    [anon_sym_BSLASHno] = ACTIONS(5418),
    [anon_sym_BSLASHsc] = ACTIONS(5418),
    [anon_sym_BSLASHsup] = ACTIONS(5418),
    [anon_sym_BSLASHndx] = ACTIONS(5418),
    [anon_sym_BSLASHpro] = ACTIONS(5418),
    [anon_sym_BSLASHrb] = ACTIONS(5418),
    [anon_sym_BSLASHw] = ACTIONS(5418),
    [anon_sym_BSLASHwg] = ACTIONS(5418),
    [anon_sym_BSLASHwh] = ACTIONS(5418),
    [anon_sym_BSLASHwa] = ACTIONS(5418),
    [anon_sym_BSLASHfig] = ACTIONS(5418),
    [anon_sym_BSLASHjmp] = ACTIONS(5418),
    [anon_sym_BSLASHpb] = ACTIONS(5418),
    [anon_sym_BSLASH] = ACTIONS(5418),
    [sym_milestoneStartTag] = ACTIONS(5418),
    [sym_milestoneEndTag] = ACTIONS(5418),
    [sym_zSpaceTag] = ACTIONS(5418),
    [anon_sym_BSLASHesb] = ACTIONS(5418),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(5420),
    [aux_sym_text_token1] = ACTIONS(5420),
    [anon_sym_BSLASHref] = ACTIONS(5422),
    [anon_sym_BSLASHsts] = ACTIONS(5422),
    [anon_sym_BSLASHrem] = ACTIONS(5422),
    [anon_sym_BSLASHrestore] = ACTIONS(5422),
    [anon_sym_BSLASHlit] = ACTIONS(5422),
    [anon_sym_BSLASHip] = ACTIONS(5422),
    [anon_sym_BSLASHiex] = ACTIONS(5422),
    [anon_sym_BSLASHv] = ACTIONS(5422),
    [anon_sym_BSLASHva] = ACTIONS(5422),
    [anon_sym_BSLASHvp] = ACTIONS(5422),
    [anon_sym_BSLASHc] = ACTIONS(5422),
    [anon_sym_BSLASHcl] = ACTIONS(5422),
    [anon_sym_BSLASHca] = ACTIONS(5422),
    [anon_sym_BSLASHcp] = ACTIONS(5422),
    [anon_sym_BSLASHcd] = ACTIONS(5422),
    [anon_sym_BSLASHmte] = ACTIONS(5422),
    [anon_sym_BSLASHms] = ACTIONS(5422),
    [anon_sym_BSLASHs] = ACTIONS(5422),
    [anon_sym_BSLASHr] = ACTIONS(5422),
    [anon_sym_BSLASHsp] = ACTIONS(5422),
    [anon_sym_BSLASHd] = ACTIONS(5422),
    [anon_sym_BSLASHsd] = ACTIONS(5422),
    [anon_sym_BSLASHp] = ACTIONS(5422),
    [anon_sym_BSLASHm] = ACTIONS(5422),
    [anon_sym_BSLASHpo] = ACTIONS(5422),
    [anon_sym_BSLASHpr] = ACTIONS(5422),
    [anon_sym_BSLASHcls] = ACTIONS(5422),
    [anon_sym_BSLASHpmo] = ACTIONS(5422),
    [anon_sym_BSLASHpm] = ACTIONS(5422),
    [anon_sym_BSLASHpmc] = ACTIONS(5422),
    [anon_sym_BSLASHpmr] = ACTIONS(5422),
    [anon_sym_BSLASHpi] = ACTIONS(5422),
    [anon_sym_BSLASHmi] = ACTIONS(5422),
    [anon_sym_BSLASHnb] = ACTIONS(5422),
    [anon_sym_BSLASHpc] = ACTIONS(5422),
    [anon_sym_BSLASHph] = ACTIONS(5422),
    [anon_sym_BSLASHb] = ACTIONS(5422),
    [anon_sym_BSLASHq] = ACTIONS(5422),
    [anon_sym_BSLASHqr] = ACTIONS(5422),
    [anon_sym_BSLASHqc] = ACTIONS(5422),
    [anon_sym_BSLASHqa] = ACTIONS(5422),
    [anon_sym_BSLASHqm] = ACTIONS(5422),
    [anon_sym_BSLASHqd] = ACTIONS(5422),
    [anon_sym_BSLASHlh] = ACTIONS(5422),
    [anon_sym_BSLASHlf] = ACTIONS(5422),
    [anon_sym_BSLASHli] = ACTIONS(5422),
    [anon_sym_BSLASHlim] = ACTIONS(5422),
    [anon_sym_BSLASHliv] = ACTIONS(5422),
    [anon_sym_BSLASHlik] = ACTIONS(5422),
    [anon_sym_BSLASHlitl] = ACTIONS(5422),
    [anon_sym_BSLASHtr] = ACTIONS(5422),
    [anon_sym_BSLASHf] = ACTIONS(5422),
    [anon_sym_BSLASHfe] = ACTIONS(5422),
    [anon_sym_BSLASHef] = ACTIONS(5422),
    [anon_sym_BSLASHfm] = ACTIONS(5422),
    [anon_sym_BSLASHx] = ACTIONS(5422),
    [anon_sym_BSLASHxt] = ACTIONS(5422),
    [anon_sym_BSLASHrq] = ACTIONS(5422),
    [anon_sym_BSLASHadd] = ACTIONS(5422),
    [anon_sym_BSLASHbk] = ACTIONS(5422),
    [anon_sym_BSLASHdc] = ACTIONS(5422),
    [anon_sym_BSLASHk] = ACTIONS(5422),
    [anon_sym_BSLASHnd] = ACTIONS(5422),
    [anon_sym_BSLASHord] = ACTIONS(5422),
    [anon_sym_BSLASHpn] = ACTIONS(5422),
    [anon_sym_BSLASHpng] = ACTIONS(5422),
    [anon_sym_BSLASHaddpn] = ACTIONS(5422),
    [anon_sym_BSLASHqt] = ACTIONS(5422),
    [anon_sym_BSLASHsig] = ACTIONS(5422),
    [anon_sym_BSLASHsls] = ACTIONS(5422),
    [anon_sym_BSLASHtl] = ACTIONS(5422),
    [anon_sym_BSLASHwj] = ACTIONS(5422),
    [anon_sym_BSLASHem] = ACTIONS(5422),
    [anon_sym_BSLASHbd] = ACTIONS(5422),
    [anon_sym_BSLASHit] = ACTIONS(5422),
    [anon_sym_BSLASHbdit] = ACTIONS(5422),
    [anon_sym_BSLASHno] = ACTIONS(5422),
    [anon_sym_BSLASHsc] = ACTIONS(5422),
    [anon_sym_BSLASHsup] = ACTIONS(5422),
    [anon_sym_BSLASHndx] = ACTIONS(5422),
    [anon_sym_BSLASHpro] = ACTIONS(5422),
    [anon_sym_BSLASHrb] = ACTIONS(5422),
    [anon_sym_BSLASHw] = ACTIONS(5422),
    [anon_sym_BSLASHwg] = ACTIONS(5422),
    [anon_sym_BSLASHwh] = ACTIONS(5422),
    [anon_sym_BSLASHwa] = ACTIONS(5422),
    [anon_sym_BSLASHfig] = ACTIONS(5422),
    [anon_sym_BSLASHjmp] = ACTIONS(5422),
    [anon_sym_BSLASHpb] = ACTIONS(5422),
    [anon_sym_BSLASH] = ACTIONS(5422),
    [sym_milestoneStartTag] = ACTIONS(5422),
    [sym_milestoneEndTag] = ACTIONS(5422),
    [sym_zSpaceTag] = ACTIONS(5422),
    [anon_sym_BSLASHesb] = ACTIONS(5422),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(5424),
    [aux_sym_text_token1] = ACTIONS(5424),
    [anon_sym_BSLASHref] = ACTIONS(5426),
    [anon_sym_BSLASHsts] = ACTIONS(5426),
    [anon_sym_BSLASHrem] = ACTIONS(5426),
    [anon_sym_BSLASHrestore] = ACTIONS(5426),
    [anon_sym_BSLASHlit] = ACTIONS(5426),
    [anon_sym_BSLASHip] = ACTIONS(5426),
    [anon_sym_BSLASHiex] = ACTIONS(5426),
    [anon_sym_BSLASHv] = ACTIONS(5426),
    [anon_sym_BSLASHva] = ACTIONS(5426),
    [anon_sym_BSLASHvp] = ACTIONS(5426),
    [anon_sym_BSLASHc] = ACTIONS(5426),
    [anon_sym_BSLASHcl] = ACTIONS(5426),
    [anon_sym_BSLASHca] = ACTIONS(5426),
    [anon_sym_BSLASHcp] = ACTIONS(5426),
    [anon_sym_BSLASHcd] = ACTIONS(5426),
    [anon_sym_BSLASHmte] = ACTIONS(5426),
    [anon_sym_BSLASHms] = ACTIONS(5426),
    [anon_sym_BSLASHs] = ACTIONS(5426),
    [anon_sym_BSLASHr] = ACTIONS(5426),
    [anon_sym_BSLASHsp] = ACTIONS(5426),
    [anon_sym_BSLASHd] = ACTIONS(5426),
    [anon_sym_BSLASHsd] = ACTIONS(5426),
    [anon_sym_BSLASHp] = ACTIONS(5426),
    [anon_sym_BSLASHm] = ACTIONS(5426),
    [anon_sym_BSLASHpo] = ACTIONS(5426),
    [anon_sym_BSLASHpr] = ACTIONS(5426),
    [anon_sym_BSLASHcls] = ACTIONS(5426),
    [anon_sym_BSLASHpmo] = ACTIONS(5426),
    [anon_sym_BSLASHpm] = ACTIONS(5426),
    [anon_sym_BSLASHpmc] = ACTIONS(5426),
    [anon_sym_BSLASHpmr] = ACTIONS(5426),
    [anon_sym_BSLASHpi] = ACTIONS(5426),
    [anon_sym_BSLASHmi] = ACTIONS(5426),
    [anon_sym_BSLASHnb] = ACTIONS(5426),
    [anon_sym_BSLASHpc] = ACTIONS(5426),
    [anon_sym_BSLASHph] = ACTIONS(5426),
    [anon_sym_BSLASHb] = ACTIONS(5426),
    [anon_sym_BSLASHq] = ACTIONS(5426),
    [anon_sym_BSLASHqr] = ACTIONS(5426),
    [anon_sym_BSLASHqc] = ACTIONS(5426),
    [anon_sym_BSLASHqa] = ACTIONS(5426),
    [anon_sym_BSLASHqm] = ACTIONS(5426),
    [anon_sym_BSLASHqd] = ACTIONS(5426),
    [anon_sym_BSLASHlh] = ACTIONS(5426),
    [anon_sym_BSLASHlf] = ACTIONS(5426),
    [anon_sym_BSLASHli] = ACTIONS(5426),
    [anon_sym_BSLASHlim] = ACTIONS(5426),
    [anon_sym_BSLASHliv] = ACTIONS(5426),
    [anon_sym_BSLASHlik] = ACTIONS(5426),
    [anon_sym_BSLASHlitl] = ACTIONS(5426),
    [anon_sym_BSLASHtr] = ACTIONS(5426),
    [anon_sym_BSLASHf] = ACTIONS(5426),
    [anon_sym_BSLASHfe] = ACTIONS(5426),
    [anon_sym_BSLASHef] = ACTIONS(5426),
    [anon_sym_BSLASHfm] = ACTIONS(5426),
    [anon_sym_BSLASHx] = ACTIONS(5426),
    [anon_sym_BSLASHxt] = ACTIONS(5426),
    [anon_sym_BSLASHrq] = ACTIONS(5426),
    [anon_sym_BSLASHadd] = ACTIONS(5426),
    [anon_sym_BSLASHbk] = ACTIONS(5426),
    [anon_sym_BSLASHdc] = ACTIONS(5426),
    [anon_sym_BSLASHk] = ACTIONS(5426),
    [anon_sym_BSLASHnd] = ACTIONS(5426),
    [anon_sym_BSLASHord] = ACTIONS(5426),
    [anon_sym_BSLASHpn] = ACTIONS(5426),
    [anon_sym_BSLASHpng] = ACTIONS(5426),
    [anon_sym_BSLASHaddpn] = ACTIONS(5426),
    [anon_sym_BSLASHqt] = ACTIONS(5426),
    [anon_sym_BSLASHsig] = ACTIONS(5426),
    [anon_sym_BSLASHsls] = ACTIONS(5426),
    [anon_sym_BSLASHtl] = ACTIONS(5426),
    [anon_sym_BSLASHwj] = ACTIONS(5426),
    [anon_sym_BSLASHem] = ACTIONS(5426),
    [anon_sym_BSLASHbd] = ACTIONS(5426),
    [anon_sym_BSLASHit] = ACTIONS(5426),
    [anon_sym_BSLASHbdit] = ACTIONS(5426),
    [anon_sym_BSLASHno] = ACTIONS(5426),
    [anon_sym_BSLASHsc] = ACTIONS(5426),
    [anon_sym_BSLASHsup] = ACTIONS(5426),
    [anon_sym_BSLASHndx] = ACTIONS(5426),
    [anon_sym_BSLASHpro] = ACTIONS(5426),
    [anon_sym_BSLASHrb] = ACTIONS(5426),
    [anon_sym_BSLASHw] = ACTIONS(5426),
    [anon_sym_BSLASHwg] = ACTIONS(5426),
    [anon_sym_BSLASHwh] = ACTIONS(5426),
    [anon_sym_BSLASHwa] = ACTIONS(5426),
    [anon_sym_BSLASHfig] = ACTIONS(5426),
    [anon_sym_BSLASHjmp] = ACTIONS(5426),
    [anon_sym_BSLASHpb] = ACTIONS(5426),
    [anon_sym_BSLASH] = ACTIONS(5426),
    [sym_milestoneStartTag] = ACTIONS(5426),
    [sym_milestoneEndTag] = ACTIONS(5426),
    [sym_zSpaceTag] = ACTIONS(5426),
    [anon_sym_BSLASHesb] = ACTIONS(5426),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(5428),
    [aux_sym_text_token1] = ACTIONS(5428),
    [anon_sym_BSLASHref] = ACTIONS(5430),
    [anon_sym_BSLASHsts] = ACTIONS(5430),
    [anon_sym_BSLASHrem] = ACTIONS(5430),
    [anon_sym_BSLASHrestore] = ACTIONS(5430),
    [anon_sym_BSLASHlit] = ACTIONS(5430),
    [anon_sym_BSLASHip] = ACTIONS(5430),
    [anon_sym_BSLASHiex] = ACTIONS(5430),
    [anon_sym_BSLASHv] = ACTIONS(5430),
    [anon_sym_BSLASHva] = ACTIONS(5430),
    [anon_sym_BSLASHvp] = ACTIONS(5430),
    [anon_sym_BSLASHc] = ACTIONS(5430),
    [anon_sym_BSLASHcl] = ACTIONS(5430),
    [anon_sym_BSLASHca] = ACTIONS(5430),
    [anon_sym_BSLASHcp] = ACTIONS(5430),
    [anon_sym_BSLASHcd] = ACTIONS(5430),
    [anon_sym_BSLASHmte] = ACTIONS(5430),
    [anon_sym_BSLASHms] = ACTIONS(5430),
    [anon_sym_BSLASHs] = ACTIONS(5430),
    [anon_sym_BSLASHr] = ACTIONS(5430),
    [anon_sym_BSLASHsp] = ACTIONS(5430),
    [anon_sym_BSLASHd] = ACTIONS(5430),
    [anon_sym_BSLASHsd] = ACTIONS(5430),
    [anon_sym_BSLASHp] = ACTIONS(5430),
    [anon_sym_BSLASHm] = ACTIONS(5430),
    [anon_sym_BSLASHpo] = ACTIONS(5430),
    [anon_sym_BSLASHpr] = ACTIONS(5430),
    [anon_sym_BSLASHcls] = ACTIONS(5430),
    [anon_sym_BSLASHpmo] = ACTIONS(5430),
    [anon_sym_BSLASHpm] = ACTIONS(5430),
    [anon_sym_BSLASHpmc] = ACTIONS(5430),
    [anon_sym_BSLASHpmr] = ACTIONS(5430),
    [anon_sym_BSLASHpi] = ACTIONS(5430),
    [anon_sym_BSLASHmi] = ACTIONS(5430),
    [anon_sym_BSLASHnb] = ACTIONS(5430),
    [anon_sym_BSLASHpc] = ACTIONS(5430),
    [anon_sym_BSLASHph] = ACTIONS(5430),
    [anon_sym_BSLASHb] = ACTIONS(5430),
    [anon_sym_BSLASHq] = ACTIONS(5430),
    [anon_sym_BSLASHqr] = ACTIONS(5430),
    [anon_sym_BSLASHqc] = ACTIONS(5430),
    [anon_sym_BSLASHqa] = ACTIONS(5430),
    [anon_sym_BSLASHqm] = ACTIONS(5430),
    [anon_sym_BSLASHqd] = ACTIONS(5430),
    [anon_sym_BSLASHlh] = ACTIONS(5430),
    [anon_sym_BSLASHlf] = ACTIONS(5430),
    [anon_sym_BSLASHli] = ACTIONS(5430),
    [anon_sym_BSLASHlim] = ACTIONS(5430),
    [anon_sym_BSLASHliv] = ACTIONS(5430),
    [anon_sym_BSLASHlik] = ACTIONS(5430),
    [anon_sym_BSLASHlitl] = ACTIONS(5430),
    [anon_sym_BSLASHtr] = ACTIONS(5430),
    [anon_sym_BSLASHf] = ACTIONS(5430),
    [anon_sym_BSLASHfe] = ACTIONS(5430),
    [anon_sym_BSLASHef] = ACTIONS(5430),
    [anon_sym_BSLASHfm] = ACTIONS(5430),
    [anon_sym_BSLASHx] = ACTIONS(5430),
    [anon_sym_BSLASHxt] = ACTIONS(5430),
    [anon_sym_BSLASHrq] = ACTIONS(5430),
    [anon_sym_BSLASHadd] = ACTIONS(5430),
    [anon_sym_BSLASHbk] = ACTIONS(5430),
    [anon_sym_BSLASHdc] = ACTIONS(5430),
    [anon_sym_BSLASHk] = ACTIONS(5430),
    [anon_sym_BSLASHnd] = ACTIONS(5430),
    [anon_sym_BSLASHord] = ACTIONS(5430),
    [anon_sym_BSLASHpn] = ACTIONS(5430),
    [anon_sym_BSLASHpng] = ACTIONS(5430),
    [anon_sym_BSLASHaddpn] = ACTIONS(5430),
    [anon_sym_BSLASHqt] = ACTIONS(5430),
    [anon_sym_BSLASHsig] = ACTIONS(5430),
    [anon_sym_BSLASHsls] = ACTIONS(5430),
    [anon_sym_BSLASHtl] = ACTIONS(5430),
    [anon_sym_BSLASHwj] = ACTIONS(5430),
    [anon_sym_BSLASHem] = ACTIONS(5430),
    [anon_sym_BSLASHbd] = ACTIONS(5430),
    [anon_sym_BSLASHit] = ACTIONS(5430),
    [anon_sym_BSLASHbdit] = ACTIONS(5430),
    [anon_sym_BSLASHno] = ACTIONS(5430),
    [anon_sym_BSLASHsc] = ACTIONS(5430),
    [anon_sym_BSLASHsup] = ACTIONS(5430),
    [anon_sym_BSLASHndx] = ACTIONS(5430),
    [anon_sym_BSLASHpro] = ACTIONS(5430),
    [anon_sym_BSLASHrb] = ACTIONS(5430),
    [anon_sym_BSLASHw] = ACTIONS(5430),
    [anon_sym_BSLASHwg] = ACTIONS(5430),
    [anon_sym_BSLASHwh] = ACTIONS(5430),
    [anon_sym_BSLASHwa] = ACTIONS(5430),
    [anon_sym_BSLASHfig] = ACTIONS(5430),
    [anon_sym_BSLASHjmp] = ACTIONS(5430),
    [anon_sym_BSLASHpb] = ACTIONS(5430),
    [anon_sym_BSLASH] = ACTIONS(5430),
    [sym_milestoneStartTag] = ACTIONS(5430),
    [sym_milestoneEndTag] = ACTIONS(5430),
    [sym_zSpaceTag] = ACTIONS(5430),
    [anon_sym_BSLASHesb] = ACTIONS(5430),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(5432),
    [aux_sym_text_token1] = ACTIONS(5432),
    [anon_sym_BSLASHref] = ACTIONS(5434),
    [anon_sym_BSLASHsts] = ACTIONS(5434),
    [anon_sym_BSLASHrem] = ACTIONS(5434),
    [anon_sym_BSLASHrestore] = ACTIONS(5434),
    [anon_sym_BSLASHlit] = ACTIONS(5434),
    [anon_sym_BSLASHip] = ACTIONS(5434),
    [anon_sym_BSLASHiex] = ACTIONS(5434),
    [anon_sym_BSLASHv] = ACTIONS(5434),
    [anon_sym_BSLASHva] = ACTIONS(5434),
    [anon_sym_BSLASHvp] = ACTIONS(5434),
    [anon_sym_BSLASHc] = ACTIONS(5434),
    [anon_sym_BSLASHcl] = ACTIONS(5434),
    [anon_sym_BSLASHca] = ACTIONS(5434),
    [anon_sym_BSLASHcp] = ACTIONS(5434),
    [anon_sym_BSLASHcd] = ACTIONS(5434),
    [anon_sym_BSLASHmte] = ACTIONS(5434),
    [anon_sym_BSLASHms] = ACTIONS(5434),
    [anon_sym_BSLASHs] = ACTIONS(5434),
    [anon_sym_BSLASHr] = ACTIONS(5434),
    [anon_sym_BSLASHsp] = ACTIONS(5434),
    [anon_sym_BSLASHd] = ACTIONS(5434),
    [anon_sym_BSLASHsd] = ACTIONS(5434),
    [anon_sym_BSLASHp] = ACTIONS(5434),
    [anon_sym_BSLASHm] = ACTIONS(5434),
    [anon_sym_BSLASHpo] = ACTIONS(5434),
    [anon_sym_BSLASHpr] = ACTIONS(5434),
    [anon_sym_BSLASHcls] = ACTIONS(5434),
    [anon_sym_BSLASHpmo] = ACTIONS(5434),
    [anon_sym_BSLASHpm] = ACTIONS(5434),
    [anon_sym_BSLASHpmc] = ACTIONS(5434),
    [anon_sym_BSLASHpmr] = ACTIONS(5434),
    [anon_sym_BSLASHpi] = ACTIONS(5434),
    [anon_sym_BSLASHmi] = ACTIONS(5434),
    [anon_sym_BSLASHnb] = ACTIONS(5434),
    [anon_sym_BSLASHpc] = ACTIONS(5434),
    [anon_sym_BSLASHph] = ACTIONS(5434),
    [anon_sym_BSLASHb] = ACTIONS(5434),
    [anon_sym_BSLASHq] = ACTIONS(5434),
    [anon_sym_BSLASHqr] = ACTIONS(5434),
    [anon_sym_BSLASHqc] = ACTIONS(5434),
    [anon_sym_BSLASHqa] = ACTIONS(5434),
    [anon_sym_BSLASHqm] = ACTIONS(5434),
    [anon_sym_BSLASHqd] = ACTIONS(5434),
    [anon_sym_BSLASHlh] = ACTIONS(5434),
    [anon_sym_BSLASHlf] = ACTIONS(5434),
    [anon_sym_BSLASHli] = ACTIONS(5434),
    [anon_sym_BSLASHlim] = ACTIONS(5434),
    [anon_sym_BSLASHliv] = ACTIONS(5434),
    [anon_sym_BSLASHlik] = ACTIONS(5434),
    [anon_sym_BSLASHlitl] = ACTIONS(5434),
    [anon_sym_BSLASHtr] = ACTIONS(5434),
    [anon_sym_BSLASHf] = ACTIONS(5434),
    [anon_sym_BSLASHfe] = ACTIONS(5434),
    [anon_sym_BSLASHef] = ACTIONS(5434),
    [anon_sym_BSLASHfm] = ACTIONS(5434),
    [anon_sym_BSLASHx] = ACTIONS(5434),
    [anon_sym_BSLASHxt] = ACTIONS(5434),
    [anon_sym_BSLASHrq] = ACTIONS(5434),
    [anon_sym_BSLASHadd] = ACTIONS(5434),
    [anon_sym_BSLASHbk] = ACTIONS(5434),
    [anon_sym_BSLASHdc] = ACTIONS(5434),
    [anon_sym_BSLASHk] = ACTIONS(5434),
    [anon_sym_BSLASHnd] = ACTIONS(5434),
    [anon_sym_BSLASHord] = ACTIONS(5434),
    [anon_sym_BSLASHpn] = ACTIONS(5434),
    [anon_sym_BSLASHpng] = ACTIONS(5434),
    [anon_sym_BSLASHaddpn] = ACTIONS(5434),
    [anon_sym_BSLASHqt] = ACTIONS(5434),
    [anon_sym_BSLASHsig] = ACTIONS(5434),
    [anon_sym_BSLASHsls] = ACTIONS(5434),
    [anon_sym_BSLASHtl] = ACTIONS(5434),
    [anon_sym_BSLASHwj] = ACTIONS(5434),
    [anon_sym_BSLASHem] = ACTIONS(5434),
    [anon_sym_BSLASHbd] = ACTIONS(5434),
    [anon_sym_BSLASHit] = ACTIONS(5434),
    [anon_sym_BSLASHbdit] = ACTIONS(5434),
    [anon_sym_BSLASHno] = ACTIONS(5434),
    [anon_sym_BSLASHsc] = ACTIONS(5434),
    [anon_sym_BSLASHsup] = ACTIONS(5434),
    [anon_sym_BSLASHndx] = ACTIONS(5434),
    [anon_sym_BSLASHpro] = ACTIONS(5434),
    [anon_sym_BSLASHrb] = ACTIONS(5434),
    [anon_sym_BSLASHw] = ACTIONS(5434),
    [anon_sym_BSLASHwg] = ACTIONS(5434),
    [anon_sym_BSLASHwh] = ACTIONS(5434),
    [anon_sym_BSLASHwa] = ACTIONS(5434),
    [anon_sym_BSLASHfig] = ACTIONS(5434),
    [anon_sym_BSLASHjmp] = ACTIONS(5434),
    [anon_sym_BSLASHpb] = ACTIONS(5434),
    [anon_sym_BSLASH] = ACTIONS(5434),
    [sym_milestoneStartTag] = ACTIONS(5434),
    [sym_milestoneEndTag] = ACTIONS(5434),
    [sym_zSpaceTag] = ACTIONS(5434),
    [anon_sym_BSLASHesb] = ACTIONS(5434),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(5436),
    [aux_sym_text_token1] = ACTIONS(5436),
    [anon_sym_BSLASHref] = ACTIONS(5438),
    [anon_sym_BSLASHsts] = ACTIONS(5438),
    [anon_sym_BSLASHrem] = ACTIONS(5438),
    [anon_sym_BSLASHrestore] = ACTIONS(5438),
    [anon_sym_BSLASHlit] = ACTIONS(5438),
    [anon_sym_BSLASHip] = ACTIONS(5438),
    [anon_sym_BSLASHiex] = ACTIONS(5438),
    [anon_sym_BSLASHv] = ACTIONS(5438),
    [anon_sym_BSLASHva] = ACTIONS(5438),
    [anon_sym_BSLASHvp] = ACTIONS(5438),
    [anon_sym_BSLASHc] = ACTIONS(5438),
    [anon_sym_BSLASHcl] = ACTIONS(5438),
    [anon_sym_BSLASHca] = ACTIONS(5438),
    [anon_sym_BSLASHcp] = ACTIONS(5438),
    [anon_sym_BSLASHcd] = ACTIONS(5438),
    [anon_sym_BSLASHmte] = ACTIONS(5438),
    [anon_sym_BSLASHms] = ACTIONS(5438),
    [anon_sym_BSLASHs] = ACTIONS(5438),
    [anon_sym_BSLASHr] = ACTIONS(5438),
    [anon_sym_BSLASHsp] = ACTIONS(5438),
    [anon_sym_BSLASHd] = ACTIONS(5438),
    [anon_sym_BSLASHsd] = ACTIONS(5438),
    [anon_sym_BSLASHp] = ACTIONS(5438),
    [anon_sym_BSLASHm] = ACTIONS(5438),
    [anon_sym_BSLASHpo] = ACTIONS(5438),
    [anon_sym_BSLASHpr] = ACTIONS(5438),
    [anon_sym_BSLASHcls] = ACTIONS(5438),
    [anon_sym_BSLASHpmo] = ACTIONS(5438),
    [anon_sym_BSLASHpm] = ACTIONS(5438),
    [anon_sym_BSLASHpmc] = ACTIONS(5438),
    [anon_sym_BSLASHpmr] = ACTIONS(5438),
    [anon_sym_BSLASHpi] = ACTIONS(5438),
    [anon_sym_BSLASHmi] = ACTIONS(5438),
    [anon_sym_BSLASHnb] = ACTIONS(5438),
    [anon_sym_BSLASHpc] = ACTIONS(5438),
    [anon_sym_BSLASHph] = ACTIONS(5438),
    [anon_sym_BSLASHb] = ACTIONS(5438),
    [anon_sym_BSLASHq] = ACTIONS(5438),
    [anon_sym_BSLASHqr] = ACTIONS(5438),
    [anon_sym_BSLASHqc] = ACTIONS(5438),
    [anon_sym_BSLASHqa] = ACTIONS(5438),
    [anon_sym_BSLASHqm] = ACTIONS(5438),
    [anon_sym_BSLASHqd] = ACTIONS(5438),
    [anon_sym_BSLASHlh] = ACTIONS(5438),
    [anon_sym_BSLASHlf] = ACTIONS(5438),
    [anon_sym_BSLASHli] = ACTIONS(5438),
    [anon_sym_BSLASHlim] = ACTIONS(5438),
    [anon_sym_BSLASHliv] = ACTIONS(5438),
    [anon_sym_BSLASHlik] = ACTIONS(5438),
    [anon_sym_BSLASHlitl] = ACTIONS(5438),
    [anon_sym_BSLASHtr] = ACTIONS(5438),
    [anon_sym_BSLASHf] = ACTIONS(5438),
    [anon_sym_BSLASHfe] = ACTIONS(5438),
    [anon_sym_BSLASHef] = ACTIONS(5438),
    [anon_sym_BSLASHfm] = ACTIONS(5438),
    [anon_sym_BSLASHx] = ACTIONS(5438),
    [anon_sym_BSLASHxt] = ACTIONS(5438),
    [anon_sym_BSLASHrq] = ACTIONS(5438),
    [anon_sym_BSLASHadd] = ACTIONS(5438),
    [anon_sym_BSLASHbk] = ACTIONS(5438),
    [anon_sym_BSLASHdc] = ACTIONS(5438),
    [anon_sym_BSLASHk] = ACTIONS(5438),
    [anon_sym_BSLASHnd] = ACTIONS(5438),
    [anon_sym_BSLASHord] = ACTIONS(5438),
    [anon_sym_BSLASHpn] = ACTIONS(5438),
    [anon_sym_BSLASHpng] = ACTIONS(5438),
    [anon_sym_BSLASHaddpn] = ACTIONS(5438),
    [anon_sym_BSLASHqt] = ACTIONS(5438),
    [anon_sym_BSLASHsig] = ACTIONS(5438),
    [anon_sym_BSLASHsls] = ACTIONS(5438),
    [anon_sym_BSLASHtl] = ACTIONS(5438),
    [anon_sym_BSLASHwj] = ACTIONS(5438),
    [anon_sym_BSLASHem] = ACTIONS(5438),
    [anon_sym_BSLASHbd] = ACTIONS(5438),
    [anon_sym_BSLASHit] = ACTIONS(5438),
    [anon_sym_BSLASHbdit] = ACTIONS(5438),
    [anon_sym_BSLASHno] = ACTIONS(5438),
    [anon_sym_BSLASHsc] = ACTIONS(5438),
    [anon_sym_BSLASHsup] = ACTIONS(5438),
    [anon_sym_BSLASHndx] = ACTIONS(5438),
    [anon_sym_BSLASHpro] = ACTIONS(5438),
    [anon_sym_BSLASHrb] = ACTIONS(5438),
    [anon_sym_BSLASHw] = ACTIONS(5438),
    [anon_sym_BSLASHwg] = ACTIONS(5438),
    [anon_sym_BSLASHwh] = ACTIONS(5438),
    [anon_sym_BSLASHwa] = ACTIONS(5438),
    [anon_sym_BSLASHfig] = ACTIONS(5438),
    [anon_sym_BSLASHjmp] = ACTIONS(5438),
    [anon_sym_BSLASHpb] = ACTIONS(5438),
    [anon_sym_BSLASH] = ACTIONS(5438),
    [sym_milestoneStartTag] = ACTIONS(5438),
    [sym_milestoneEndTag] = ACTIONS(5438),
    [sym_zSpaceTag] = ACTIONS(5438),
    [anon_sym_BSLASHesb] = ACTIONS(5438),
  },
  [457] = {
    [sym_text] = STATE(527),
    [sym__milestoneAttributes] = STATE(2036),
    [aux_sym_text_token1] = ACTIONS(5440),
    [anon_sym_BSLASHref] = ACTIONS(5046),
    [anon_sym_BSLASHsts] = ACTIONS(5046),
    [anon_sym_BSLASHrem] = ACTIONS(5046),
    [anon_sym_BSLASHrestore] = ACTIONS(5046),
    [anon_sym_BSLASHlit] = ACTIONS(5046),
    [anon_sym_BSLASHip] = ACTIONS(5046),
    [anon_sym_BSLASHv] = ACTIONS(5046),
    [anon_sym_BSLASHva] = ACTIONS(5046),
    [anon_sym_BSLASHvp] = ACTIONS(5046),
    [anon_sym_BSLASHmte] = ACTIONS(5046),
    [anon_sym_BSLASHms] = ACTIONS(5046),
    [anon_sym_BSLASHs] = ACTIONS(5046),
    [anon_sym_BSLASHr] = ACTIONS(5046),
    [anon_sym_BSLASHsp] = ACTIONS(5046),
    [anon_sym_BSLASHd] = ACTIONS(5046),
    [anon_sym_BSLASHsd] = ACTIONS(5046),
    [anon_sym_BSLASHp] = ACTIONS(5046),
    [anon_sym_BSLASHm] = ACTIONS(5046),
    [anon_sym_BSLASHpo] = ACTIONS(5046),
    [anon_sym_BSLASHpr] = ACTIONS(5046),
    [anon_sym_BSLASHcls] = ACTIONS(5046),
    [anon_sym_BSLASHpmo] = ACTIONS(5046),
    [anon_sym_BSLASHpm] = ACTIONS(5046),
    [anon_sym_BSLASHpmc] = ACTIONS(5046),
    [anon_sym_BSLASHpmr] = ACTIONS(5046),
    [anon_sym_BSLASHpi] = ACTIONS(5046),
    [anon_sym_BSLASHmi] = ACTIONS(5046),
    [anon_sym_BSLASHnb] = ACTIONS(5046),
    [anon_sym_BSLASHpc] = ACTIONS(5046),
    [anon_sym_BSLASHph] = ACTIONS(5046),
    [anon_sym_BSLASHb] = ACTIONS(5046),
    [anon_sym_BSLASHq] = ACTIONS(5046),
    [anon_sym_BSLASHqr] = ACTIONS(5046),
    [anon_sym_BSLASHqc] = ACTIONS(5046),
    [anon_sym_BSLASHqa] = ACTIONS(5046),
    [anon_sym_BSLASHqm] = ACTIONS(5046),
    [anon_sym_BSLASHqd] = ACTIONS(5046),
    [anon_sym_BSLASHlh] = ACTIONS(5046),
    [anon_sym_BSLASHlf] = ACTIONS(5046),
    [anon_sym_BSLASHli] = ACTIONS(5046),
    [anon_sym_BSLASHlim] = ACTIONS(5046),
    [anon_sym_BSLASHliv] = ACTIONS(5046),
    [anon_sym_BSLASHlik] = ACTIONS(5046),
    [anon_sym_BSLASHlitl] = ACTIONS(5046),
    [anon_sym_BSLASHtr] = ACTIONS(5046),
    [anon_sym_BSLASHf] = ACTIONS(5046),
    [anon_sym_BSLASHfe] = ACTIONS(5046),
    [anon_sym_BSLASHef] = ACTIONS(5046),
    [anon_sym_BSLASHfm] = ACTIONS(5046),
    [anon_sym_BSLASHx] = ACTIONS(5046),
    [anon_sym_BSLASHxt] = ACTIONS(5046),
    [anon_sym_BSLASHrq] = ACTIONS(5046),
    [anon_sym_BSLASHadd] = ACTIONS(5046),
    [anon_sym_BSLASHbk] = ACTIONS(5046),
    [anon_sym_BSLASHdc] = ACTIONS(5046),
    [anon_sym_BSLASHk] = ACTIONS(5046),
    [anon_sym_BSLASHnd] = ACTIONS(5046),
    [anon_sym_BSLASHord] = ACTIONS(5046),
    [anon_sym_BSLASHpn] = ACTIONS(5046),
    [anon_sym_BSLASHpng] = ACTIONS(5046),
    [anon_sym_BSLASHaddpn] = ACTIONS(5046),
    [anon_sym_BSLASHqt] = ACTIONS(5046),
    [anon_sym_BSLASHsig] = ACTIONS(5046),
    [anon_sym_BSLASHsls] = ACTIONS(5046),
    [anon_sym_BSLASHtl] = ACTIONS(5046),
    [anon_sym_BSLASHwj] = ACTIONS(5046),
    [anon_sym_BSLASHem] = ACTIONS(5046),
    [anon_sym_BSLASHbd] = ACTIONS(5046),
    [anon_sym_BSLASHit] = ACTIONS(5046),
    [anon_sym_BSLASHbdit] = ACTIONS(5046),
    [anon_sym_BSLASHno] = ACTIONS(5046),
    [anon_sym_BSLASHsc] = ACTIONS(5046),
    [anon_sym_BSLASHsup] = ACTIONS(5046),
    [anon_sym_BSLASHndx] = ACTIONS(5046),
    [anon_sym_BSLASHpro] = ACTIONS(5046),
    [anon_sym_BSLASHrb] = ACTIONS(5046),
    [anon_sym_BSLASHw] = ACTIONS(5046),
    [anon_sym_BSLASHwg] = ACTIONS(5046),
    [anon_sym_BSLASHwh] = ACTIONS(5046),
    [anon_sym_BSLASHwa] = ACTIONS(5046),
    [anon_sym_BSLASHfig] = ACTIONS(5046),
    [anon_sym_BSLASHjmp] = ACTIONS(5046),
    [anon_sym_BSLASHpb] = ACTIONS(5046),
    [anon_sym_BSLASH] = ACTIONS(5046),
    [anon_sym_BSLASH_STAR] = ACTIONS(5442),
    [sym_milestoneStartTag] = ACTIONS(5046),
    [sym_milestoneEndTag] = ACTIONS(5046),
    [sym_zSpaceTag] = ACTIONS(5046),
    [sym__zSpaceClose] = ACTIONS(5444),
    [anon_sym_BSLASHesbe] = ACTIONS(5046),
    [anon_sym_BSLASHcat] = ACTIONS(5046),
    [anon_sym_PIPE] = ACTIONS(5052),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(2743),
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHref] = ACTIONS(2745),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHiex] = ACTIONS(2745),
    [anon_sym_BSLASHv] = ACTIONS(2745),
    [anon_sym_BSLASHva] = ACTIONS(2745),
    [anon_sym_BSLASHvp] = ACTIONS(2745),
    [anon_sym_BSLASHc] = ACTIONS(2745),
    [anon_sym_BSLASHcl] = ACTIONS(2745),
    [anon_sym_BSLASHca] = ACTIONS(2745),
    [anon_sym_BSLASHcp] = ACTIONS(2745),
    [anon_sym_BSLASHcd] = ACTIONS(2745),
    [anon_sym_BSLASHmte] = ACTIONS(2745),
    [anon_sym_BSLASHms] = ACTIONS(2745),
    [anon_sym_BSLASHs] = ACTIONS(2745),
    [anon_sym_BSLASHr] = ACTIONS(2745),
    [anon_sym_BSLASHsp] = ACTIONS(2745),
    [anon_sym_BSLASHd] = ACTIONS(2745),
    [anon_sym_BSLASHsd] = ACTIONS(2745),
    [anon_sym_BSLASHp] = ACTIONS(2745),
    [anon_sym_BSLASHm] = ACTIONS(2745),
    [anon_sym_BSLASHpo] = ACTIONS(2745),
    [anon_sym_BSLASHpr] = ACTIONS(2745),
    [anon_sym_BSLASHcls] = ACTIONS(2745),
    [anon_sym_BSLASHpmo] = ACTIONS(2745),
    [anon_sym_BSLASHpm] = ACTIONS(2745),
    [anon_sym_BSLASHpmc] = ACTIONS(2745),
    [anon_sym_BSLASHpmr] = ACTIONS(2745),
    [anon_sym_BSLASHpi] = ACTIONS(2745),
    [anon_sym_BSLASHmi] = ACTIONS(2745),
    [anon_sym_BSLASHnb] = ACTIONS(2745),
    [anon_sym_BSLASHpc] = ACTIONS(2745),
    [anon_sym_BSLASHph] = ACTIONS(2745),
    [anon_sym_BSLASHb] = ACTIONS(2745),
    [anon_sym_BSLASHq] = ACTIONS(2745),
    [anon_sym_BSLASHqr] = ACTIONS(2745),
    [anon_sym_BSLASHqc] = ACTIONS(2745),
    [anon_sym_BSLASHqs] = ACTIONS(2745),
    [anon_sym_BSLASHqa] = ACTIONS(2745),
    [anon_sym_BSLASHqac] = ACTIONS(2745),
    [anon_sym_BSLASHqm] = ACTIONS(2745),
    [anon_sym_BSLASHqd] = ACTIONS(2745),
    [anon_sym_BSLASHlh] = ACTIONS(2745),
    [anon_sym_BSLASHli] = ACTIONS(2745),
    [anon_sym_BSLASHlim] = ACTIONS(2745),
    [anon_sym_BSLASHtr] = ACTIONS(2745),
    [anon_sym_BSLASHf] = ACTIONS(2745),
    [anon_sym_BSLASHfe] = ACTIONS(2745),
    [anon_sym_BSLASHef] = ACTIONS(2745),
    [anon_sym_BSLASHfm] = ACTIONS(2745),
    [anon_sym_BSLASHx] = ACTIONS(2745),
    [anon_sym_BSLASHxt] = ACTIONS(2745),
    [anon_sym_BSLASHrq] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASHfig] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASHpb] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesb] = ACTIONS(2745),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHiex] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHc] = ACTIONS(7),
    [anon_sym_BSLASHcl] = ACTIONS(7),
    [anon_sym_BSLASHca] = ACTIONS(7),
    [anon_sym_BSLASHcp] = ACTIONS(7),
    [anon_sym_BSLASHcd] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqs] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqac] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesb] = ACTIONS(7),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(2719),
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHref] = ACTIONS(2721),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHiex] = ACTIONS(2721),
    [anon_sym_BSLASHv] = ACTIONS(2721),
    [anon_sym_BSLASHva] = ACTIONS(2721),
    [anon_sym_BSLASHvp] = ACTIONS(2721),
    [anon_sym_BSLASHc] = ACTIONS(2721),
    [anon_sym_BSLASHcl] = ACTIONS(2721),
    [anon_sym_BSLASHca] = ACTIONS(2721),
    [anon_sym_BSLASHcp] = ACTIONS(2721),
    [anon_sym_BSLASHcd] = ACTIONS(2721),
    [anon_sym_BSLASHmte] = ACTIONS(2721),
    [anon_sym_BSLASHms] = ACTIONS(2721),
    [anon_sym_BSLASHs] = ACTIONS(2721),
    [anon_sym_BSLASHr] = ACTIONS(2721),
    [anon_sym_BSLASHsp] = ACTIONS(2721),
    [anon_sym_BSLASHd] = ACTIONS(2721),
    [anon_sym_BSLASHsd] = ACTIONS(2721),
    [anon_sym_BSLASHp] = ACTIONS(2721),
    [anon_sym_BSLASHm] = ACTIONS(2721),
    [anon_sym_BSLASHpo] = ACTIONS(2721),
    [anon_sym_BSLASHpr] = ACTIONS(2721),
    [anon_sym_BSLASHcls] = ACTIONS(2721),
    [anon_sym_BSLASHpmo] = ACTIONS(2721),
    [anon_sym_BSLASHpm] = ACTIONS(2721),
    [anon_sym_BSLASHpmc] = ACTIONS(2721),
    [anon_sym_BSLASHpmr] = ACTIONS(2721),
    [anon_sym_BSLASHpi] = ACTIONS(2721),
    [anon_sym_BSLASHmi] = ACTIONS(2721),
    [anon_sym_BSLASHnb] = ACTIONS(2721),
    [anon_sym_BSLASHpc] = ACTIONS(2721),
    [anon_sym_BSLASHph] = ACTIONS(2721),
    [anon_sym_BSLASHb] = ACTIONS(2721),
    [anon_sym_BSLASHq] = ACTIONS(2721),
    [anon_sym_BSLASHqr] = ACTIONS(2721),
    [anon_sym_BSLASHqc] = ACTIONS(2721),
    [anon_sym_BSLASHqs] = ACTIONS(2721),
    [anon_sym_BSLASHqa] = ACTIONS(2721),
    [anon_sym_BSLASHqac] = ACTIONS(2721),
    [anon_sym_BSLASHqm] = ACTIONS(2721),
    [anon_sym_BSLASHqd] = ACTIONS(2721),
    [anon_sym_BSLASHlh] = ACTIONS(2721),
    [anon_sym_BSLASHli] = ACTIONS(2721),
    [anon_sym_BSLASHlim] = ACTIONS(2721),
    [anon_sym_BSLASHtr] = ACTIONS(2721),
    [anon_sym_BSLASHf] = ACTIONS(2721),
    [anon_sym_BSLASHfe] = ACTIONS(2721),
    [anon_sym_BSLASHef] = ACTIONS(2721),
    [anon_sym_BSLASHfm] = ACTIONS(2721),
    [anon_sym_BSLASHx] = ACTIONS(2721),
    [anon_sym_BSLASHxt] = ACTIONS(2721),
    [anon_sym_BSLASHrq] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASHfig] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASHpb] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesb] = ACTIONS(2721),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(5446),
    [aux_sym_text_token1] = ACTIONS(5446),
    [anon_sym_BSLASHref] = ACTIONS(5448),
    [anon_sym_BSLASHsts] = ACTIONS(5448),
    [anon_sym_BSLASHrem] = ACTIONS(5448),
    [anon_sym_BSLASHrestore] = ACTIONS(5448),
    [anon_sym_BSLASHlit] = ACTIONS(5448),
    [anon_sym_BSLASHip] = ACTIONS(5448),
    [anon_sym_BSLASHiex] = ACTIONS(5448),
    [anon_sym_BSLASHv] = ACTIONS(5448),
    [anon_sym_BSLASHva] = ACTIONS(5448),
    [anon_sym_BSLASHvp] = ACTIONS(5448),
    [anon_sym_BSLASHc] = ACTIONS(5448),
    [anon_sym_BSLASHcl] = ACTIONS(5448),
    [anon_sym_BSLASHca] = ACTIONS(5448),
    [anon_sym_BSLASHcp] = ACTIONS(5448),
    [anon_sym_BSLASHcd] = ACTIONS(5448),
    [anon_sym_BSLASHmte] = ACTIONS(5448),
    [anon_sym_BSLASHms] = ACTIONS(5448),
    [anon_sym_BSLASHs] = ACTIONS(5448),
    [anon_sym_BSLASHr] = ACTIONS(5448),
    [anon_sym_BSLASHsp] = ACTIONS(5448),
    [anon_sym_BSLASHd] = ACTIONS(5448),
    [anon_sym_BSLASHsd] = ACTIONS(5448),
    [anon_sym_BSLASHp] = ACTIONS(5448),
    [anon_sym_BSLASHm] = ACTIONS(5448),
    [anon_sym_BSLASHpo] = ACTIONS(5448),
    [anon_sym_BSLASHpr] = ACTIONS(5448),
    [anon_sym_BSLASHcls] = ACTIONS(5448),
    [anon_sym_BSLASHpmo] = ACTIONS(5448),
    [anon_sym_BSLASHpm] = ACTIONS(5448),
    [anon_sym_BSLASHpmc] = ACTIONS(5448),
    [anon_sym_BSLASHpmr] = ACTIONS(5448),
    [anon_sym_BSLASHpi] = ACTIONS(5448),
    [anon_sym_BSLASHmi] = ACTIONS(5448),
    [anon_sym_BSLASHnb] = ACTIONS(5448),
    [anon_sym_BSLASHpc] = ACTIONS(5448),
    [anon_sym_BSLASHph] = ACTIONS(5448),
    [anon_sym_BSLASHb] = ACTIONS(5448),
    [anon_sym_BSLASHq] = ACTIONS(5448),
    [anon_sym_BSLASHqr] = ACTIONS(5448),
    [anon_sym_BSLASHqc] = ACTIONS(5448),
    [anon_sym_BSLASHqs] = ACTIONS(5448),
    [anon_sym_BSLASHqa] = ACTIONS(5448),
    [anon_sym_BSLASHqac] = ACTIONS(5448),
    [anon_sym_BSLASHqm] = ACTIONS(5448),
    [anon_sym_BSLASHqd] = ACTIONS(5448),
    [anon_sym_BSLASHlh] = ACTIONS(5448),
    [anon_sym_BSLASHli] = ACTIONS(5448),
    [anon_sym_BSLASHlim] = ACTIONS(5448),
    [anon_sym_BSLASHtr] = ACTIONS(5448),
    [anon_sym_BSLASHf] = ACTIONS(5448),
    [anon_sym_BSLASHfe] = ACTIONS(5448),
    [anon_sym_BSLASHef] = ACTIONS(5448),
    [anon_sym_BSLASHfm] = ACTIONS(5448),
    [anon_sym_BSLASHx] = ACTIONS(5448),
    [anon_sym_BSLASHxt] = ACTIONS(5448),
    [anon_sym_BSLASHrq] = ACTIONS(5448),
    [anon_sym_BSLASHadd] = ACTIONS(5448),
    [anon_sym_BSLASHbk] = ACTIONS(5448),
    [anon_sym_BSLASHdc] = ACTIONS(5448),
    [anon_sym_BSLASHk] = ACTIONS(5448),
    [anon_sym_BSLASHnd] = ACTIONS(5448),
    [anon_sym_BSLASHord] = ACTIONS(5448),
    [anon_sym_BSLASHpn] = ACTIONS(5448),
    [anon_sym_BSLASHpng] = ACTIONS(5448),
    [anon_sym_BSLASHaddpn] = ACTIONS(5448),
    [anon_sym_BSLASHqt] = ACTIONS(5448),
    [anon_sym_BSLASHsig] = ACTIONS(5448),
    [anon_sym_BSLASHsls] = ACTIONS(5448),
    [anon_sym_BSLASHtl] = ACTIONS(5448),
    [anon_sym_BSLASHwj] = ACTIONS(5448),
    [anon_sym_BSLASHem] = ACTIONS(5448),
    [anon_sym_BSLASHbd] = ACTIONS(5448),
    [anon_sym_BSLASHit] = ACTIONS(5448),
    [anon_sym_BSLASHbdit] = ACTIONS(5448),
    [anon_sym_BSLASHno] = ACTIONS(5448),
    [anon_sym_BSLASHsc] = ACTIONS(5448),
    [anon_sym_BSLASHsup] = ACTIONS(5448),
    [anon_sym_BSLASHndx] = ACTIONS(5448),
    [anon_sym_BSLASHpro] = ACTIONS(5448),
    [anon_sym_BSLASHrb] = ACTIONS(5448),
    [anon_sym_BSLASHw] = ACTIONS(5448),
    [anon_sym_BSLASHwg] = ACTIONS(5448),
    [anon_sym_BSLASHwh] = ACTIONS(5448),
    [anon_sym_BSLASHwa] = ACTIONS(5448),
    [anon_sym_BSLASHfig] = ACTIONS(5448),
    [anon_sym_BSLASHjmp] = ACTIONS(5448),
    [anon_sym_BSLASHpb] = ACTIONS(5448),
    [anon_sym_BSLASH] = ACTIONS(5448),
    [sym_milestoneStartTag] = ACTIONS(5448),
    [sym_milestoneEndTag] = ACTIONS(5448),
    [sym_zSpaceTag] = ACTIONS(5448),
    [anon_sym_BSLASHesb] = ACTIONS(5448),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(2711),
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHref] = ACTIONS(2713),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHiex] = ACTIONS(2713),
    [anon_sym_BSLASHv] = ACTIONS(2713),
    [anon_sym_BSLASHva] = ACTIONS(2713),
    [anon_sym_BSLASHvp] = ACTIONS(2713),
    [anon_sym_BSLASHc] = ACTIONS(2713),
    [anon_sym_BSLASHcl] = ACTIONS(2713),
    [anon_sym_BSLASHca] = ACTIONS(2713),
    [anon_sym_BSLASHcp] = ACTIONS(2713),
    [anon_sym_BSLASHcd] = ACTIONS(2713),
    [anon_sym_BSLASHmte] = ACTIONS(2713),
    [anon_sym_BSLASHms] = ACTIONS(2713),
    [anon_sym_BSLASHs] = ACTIONS(2713),
    [anon_sym_BSLASHr] = ACTIONS(2713),
    [anon_sym_BSLASHsp] = ACTIONS(2713),
    [anon_sym_BSLASHd] = ACTIONS(2713),
    [anon_sym_BSLASHsd] = ACTIONS(2713),
    [anon_sym_BSLASHp] = ACTIONS(2713),
    [anon_sym_BSLASHm] = ACTIONS(2713),
    [anon_sym_BSLASHpo] = ACTIONS(2713),
    [anon_sym_BSLASHpr] = ACTIONS(2713),
    [anon_sym_BSLASHcls] = ACTIONS(2713),
    [anon_sym_BSLASHpmo] = ACTIONS(2713),
    [anon_sym_BSLASHpm] = ACTIONS(2713),
    [anon_sym_BSLASHpmc] = ACTIONS(2713),
    [anon_sym_BSLASHpmr] = ACTIONS(2713),
    [anon_sym_BSLASHpi] = ACTIONS(2713),
    [anon_sym_BSLASHmi] = ACTIONS(2713),
    [anon_sym_BSLASHnb] = ACTIONS(2713),
    [anon_sym_BSLASHpc] = ACTIONS(2713),
    [anon_sym_BSLASHph] = ACTIONS(2713),
    [anon_sym_BSLASHb] = ACTIONS(2713),
    [anon_sym_BSLASHq] = ACTIONS(2713),
    [anon_sym_BSLASHqr] = ACTIONS(2713),
    [anon_sym_BSLASHqc] = ACTIONS(2713),
    [anon_sym_BSLASHqs] = ACTIONS(2713),
    [anon_sym_BSLASHqa] = ACTIONS(2713),
    [anon_sym_BSLASHqac] = ACTIONS(2713),
    [anon_sym_BSLASHqm] = ACTIONS(2713),
    [anon_sym_BSLASHqd] = ACTIONS(2713),
    [anon_sym_BSLASHlh] = ACTIONS(2713),
    [anon_sym_BSLASHli] = ACTIONS(2713),
    [anon_sym_BSLASHlim] = ACTIONS(2713),
    [anon_sym_BSLASHtr] = ACTIONS(2713),
    [anon_sym_BSLASHf] = ACTIONS(2713),
    [anon_sym_BSLASHfe] = ACTIONS(2713),
    [anon_sym_BSLASHef] = ACTIONS(2713),
    [anon_sym_BSLASHfm] = ACTIONS(2713),
    [anon_sym_BSLASHx] = ACTIONS(2713),
    [anon_sym_BSLASHxt] = ACTIONS(2713),
    [anon_sym_BSLASHrq] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASHfig] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASHpb] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesb] = ACTIONS(2713),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(5450),
    [aux_sym_text_token1] = ACTIONS(5450),
    [anon_sym_BSLASHref] = ACTIONS(5452),
    [anon_sym_BSLASHsts] = ACTIONS(5452),
    [anon_sym_BSLASHrem] = ACTIONS(5452),
    [anon_sym_BSLASHrestore] = ACTIONS(5452),
    [anon_sym_BSLASHlit] = ACTIONS(5452),
    [anon_sym_BSLASHip] = ACTIONS(5452),
    [anon_sym_BSLASHiex] = ACTIONS(5452),
    [anon_sym_BSLASHv] = ACTIONS(5452),
    [anon_sym_BSLASHva] = ACTIONS(5452),
    [anon_sym_BSLASHvp] = ACTIONS(5452),
    [anon_sym_BSLASHc] = ACTIONS(5452),
    [anon_sym_BSLASHcl] = ACTIONS(5452),
    [anon_sym_BSLASHca] = ACTIONS(5452),
    [anon_sym_BSLASHcp] = ACTIONS(5452),
    [anon_sym_BSLASHcd] = ACTIONS(5452),
    [anon_sym_BSLASHmte] = ACTIONS(5452),
    [anon_sym_BSLASHms] = ACTIONS(5452),
    [anon_sym_BSLASHs] = ACTIONS(5452),
    [anon_sym_BSLASHr] = ACTIONS(5452),
    [anon_sym_BSLASHsp] = ACTIONS(5452),
    [anon_sym_BSLASHd] = ACTIONS(5452),
    [anon_sym_BSLASHsd] = ACTIONS(5452),
    [anon_sym_BSLASHp] = ACTIONS(5452),
    [anon_sym_BSLASHm] = ACTIONS(5452),
    [anon_sym_BSLASHpo] = ACTIONS(5452),
    [anon_sym_BSLASHpr] = ACTIONS(5452),
    [anon_sym_BSLASHcls] = ACTIONS(5452),
    [anon_sym_BSLASHpmo] = ACTIONS(5452),
    [anon_sym_BSLASHpm] = ACTIONS(5452),
    [anon_sym_BSLASHpmc] = ACTIONS(5452),
    [anon_sym_BSLASHpmr] = ACTIONS(5452),
    [anon_sym_BSLASHpi] = ACTIONS(5452),
    [anon_sym_BSLASHmi] = ACTIONS(5452),
    [anon_sym_BSLASHnb] = ACTIONS(5452),
    [anon_sym_BSLASHpc] = ACTIONS(5452),
    [anon_sym_BSLASHph] = ACTIONS(5452),
    [anon_sym_BSLASHb] = ACTIONS(5452),
    [anon_sym_BSLASHq] = ACTIONS(5452),
    [anon_sym_BSLASHqr] = ACTIONS(5452),
    [anon_sym_BSLASHqc] = ACTIONS(5452),
    [anon_sym_BSLASHqs] = ACTIONS(5452),
    [anon_sym_BSLASHqa] = ACTIONS(5452),
    [anon_sym_BSLASHqac] = ACTIONS(5452),
    [anon_sym_BSLASHqm] = ACTIONS(5452),
    [anon_sym_BSLASHqd] = ACTIONS(5452),
    [anon_sym_BSLASHlh] = ACTIONS(5452),
    [anon_sym_BSLASHli] = ACTIONS(5452),
    [anon_sym_BSLASHlim] = ACTIONS(5452),
    [anon_sym_BSLASHtr] = ACTIONS(5452),
    [anon_sym_BSLASHf] = ACTIONS(5452),
    [anon_sym_BSLASHfe] = ACTIONS(5452),
    [anon_sym_BSLASHef] = ACTIONS(5452),
    [anon_sym_BSLASHfm] = ACTIONS(5452),
    [anon_sym_BSLASHx] = ACTIONS(5452),
    [anon_sym_BSLASHxt] = ACTIONS(5452),
    [anon_sym_BSLASHrq] = ACTIONS(5452),
    [anon_sym_BSLASHadd] = ACTIONS(5452),
    [anon_sym_BSLASHbk] = ACTIONS(5452),
    [anon_sym_BSLASHdc] = ACTIONS(5452),
    [anon_sym_BSLASHk] = ACTIONS(5452),
    [anon_sym_BSLASHnd] = ACTIONS(5452),
    [anon_sym_BSLASHord] = ACTIONS(5452),
    [anon_sym_BSLASHpn] = ACTIONS(5452),
    [anon_sym_BSLASHpng] = ACTIONS(5452),
    [anon_sym_BSLASHaddpn] = ACTIONS(5452),
    [anon_sym_BSLASHqt] = ACTIONS(5452),
    [anon_sym_BSLASHsig] = ACTIONS(5452),
    [anon_sym_BSLASHsls] = ACTIONS(5452),
    [anon_sym_BSLASHtl] = ACTIONS(5452),
    [anon_sym_BSLASHwj] = ACTIONS(5452),
    [anon_sym_BSLASHem] = ACTIONS(5452),
    [anon_sym_BSLASHbd] = ACTIONS(5452),
    [anon_sym_BSLASHit] = ACTIONS(5452),
    [anon_sym_BSLASHbdit] = ACTIONS(5452),
    [anon_sym_BSLASHno] = ACTIONS(5452),
    [anon_sym_BSLASHsc] = ACTIONS(5452),
    [anon_sym_BSLASHsup] = ACTIONS(5452),
    [anon_sym_BSLASHndx] = ACTIONS(5452),
    [anon_sym_BSLASHpro] = ACTIONS(5452),
    [anon_sym_BSLASHrb] = ACTIONS(5452),
    [anon_sym_BSLASHw] = ACTIONS(5452),
    [anon_sym_BSLASHwg] = ACTIONS(5452),
    [anon_sym_BSLASHwh] = ACTIONS(5452),
    [anon_sym_BSLASHwa] = ACTIONS(5452),
    [anon_sym_BSLASHfig] = ACTIONS(5452),
    [anon_sym_BSLASHjmp] = ACTIONS(5452),
    [anon_sym_BSLASHpb] = ACTIONS(5452),
    [anon_sym_BSLASH] = ACTIONS(5452),
    [sym_milestoneStartTag] = ACTIONS(5452),
    [sym_milestoneEndTag] = ACTIONS(5452),
    [sym_zSpaceTag] = ACTIONS(5452),
    [anon_sym_BSLASHesb] = ACTIONS(5452),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(5332),
    [aux_sym_text_token1] = ACTIONS(5332),
    [anon_sym_BSLASHref] = ACTIONS(5334),
    [anon_sym_BSLASHsts] = ACTIONS(5334),
    [anon_sym_BSLASHrem] = ACTIONS(5334),
    [anon_sym_BSLASHrestore] = ACTIONS(5334),
    [anon_sym_BSLASHlit] = ACTIONS(5334),
    [anon_sym_BSLASHip] = ACTIONS(5334),
    [anon_sym_BSLASHiex] = ACTIONS(5334),
    [anon_sym_BSLASHv] = ACTIONS(5334),
    [anon_sym_BSLASHva] = ACTIONS(5334),
    [anon_sym_BSLASHvp] = ACTIONS(5334),
    [anon_sym_BSLASHc] = ACTIONS(5334),
    [anon_sym_BSLASHcl] = ACTIONS(5334),
    [anon_sym_BSLASHca] = ACTIONS(5334),
    [anon_sym_BSLASHcp] = ACTIONS(5334),
    [anon_sym_BSLASHcd] = ACTIONS(5334),
    [anon_sym_BSLASHmte] = ACTIONS(5334),
    [anon_sym_BSLASHms] = ACTIONS(5334),
    [anon_sym_BSLASHs] = ACTIONS(5334),
    [anon_sym_BSLASHr] = ACTIONS(5334),
    [anon_sym_BSLASHsp] = ACTIONS(5334),
    [anon_sym_BSLASHd] = ACTIONS(5334),
    [anon_sym_BSLASHsd] = ACTIONS(5334),
    [anon_sym_BSLASHp] = ACTIONS(5334),
    [anon_sym_BSLASHm] = ACTIONS(5334),
    [anon_sym_BSLASHpo] = ACTIONS(5334),
    [anon_sym_BSLASHpr] = ACTIONS(5334),
    [anon_sym_BSLASHcls] = ACTIONS(5334),
    [anon_sym_BSLASHpmo] = ACTIONS(5334),
    [anon_sym_BSLASHpm] = ACTIONS(5334),
    [anon_sym_BSLASHpmc] = ACTIONS(5334),
    [anon_sym_BSLASHpmr] = ACTIONS(5334),
    [anon_sym_BSLASHpi] = ACTIONS(5334),
    [anon_sym_BSLASHmi] = ACTIONS(5334),
    [anon_sym_BSLASHnb] = ACTIONS(5334),
    [anon_sym_BSLASHpc] = ACTIONS(5334),
    [anon_sym_BSLASHph] = ACTIONS(5334),
    [anon_sym_BSLASHb] = ACTIONS(5334),
    [anon_sym_BSLASHq] = ACTIONS(5334),
    [anon_sym_BSLASHqr] = ACTIONS(5334),
    [anon_sym_BSLASHqc] = ACTIONS(5334),
    [anon_sym_BSLASHqs] = ACTIONS(5334),
    [anon_sym_BSLASHqa] = ACTIONS(5334),
    [anon_sym_BSLASHqac] = ACTIONS(5334),
    [anon_sym_BSLASHqm] = ACTIONS(5334),
    [anon_sym_BSLASHqd] = ACTIONS(5334),
    [anon_sym_BSLASHlh] = ACTIONS(5334),
    [anon_sym_BSLASHli] = ACTIONS(5334),
    [anon_sym_BSLASHlim] = ACTIONS(5334),
    [anon_sym_BSLASHtr] = ACTIONS(5334),
    [anon_sym_BSLASHf] = ACTIONS(5334),
    [anon_sym_BSLASHfe] = ACTIONS(5334),
    [anon_sym_BSLASHef] = ACTIONS(5334),
    [anon_sym_BSLASHfm] = ACTIONS(5334),
    [anon_sym_BSLASHx] = ACTIONS(5334),
    [anon_sym_BSLASHxt] = ACTIONS(5334),
    [anon_sym_BSLASHrq] = ACTIONS(5334),
    [anon_sym_BSLASHadd] = ACTIONS(5334),
    [anon_sym_BSLASHbk] = ACTIONS(5334),
    [anon_sym_BSLASHdc] = ACTIONS(5334),
    [anon_sym_BSLASHk] = ACTIONS(5334),
    [anon_sym_BSLASHnd] = ACTIONS(5334),
    [anon_sym_BSLASHord] = ACTIONS(5334),
    [anon_sym_BSLASHpn] = ACTIONS(5334),
    [anon_sym_BSLASHpng] = ACTIONS(5334),
    [anon_sym_BSLASHaddpn] = ACTIONS(5334),
    [anon_sym_BSLASHqt] = ACTIONS(5334),
    [anon_sym_BSLASHsig] = ACTIONS(5334),
    [anon_sym_BSLASHsls] = ACTIONS(5334),
    [anon_sym_BSLASHtl] = ACTIONS(5334),
    [anon_sym_BSLASHwj] = ACTIONS(5334),
    [anon_sym_BSLASHem] = ACTIONS(5334),
    [anon_sym_BSLASHbd] = ACTIONS(5334),
    [anon_sym_BSLASHit] = ACTIONS(5334),
    [anon_sym_BSLASHbdit] = ACTIONS(5334),
    [anon_sym_BSLASHno] = ACTIONS(5334),
    [anon_sym_BSLASHsc] = ACTIONS(5334),
    [anon_sym_BSLASHsup] = ACTIONS(5334),
    [anon_sym_BSLASHndx] = ACTIONS(5334),
    [anon_sym_BSLASHpro] = ACTIONS(5334),
    [anon_sym_BSLASHrb] = ACTIONS(5334),
    [anon_sym_BSLASHw] = ACTIONS(5334),
    [anon_sym_BSLASHwg] = ACTIONS(5334),
    [anon_sym_BSLASHwh] = ACTIONS(5334),
    [anon_sym_BSLASHwa] = ACTIONS(5334),
    [anon_sym_BSLASHfig] = ACTIONS(5334),
    [anon_sym_BSLASHjmp] = ACTIONS(5334),
    [anon_sym_BSLASHpb] = ACTIONS(5334),
    [anon_sym_BSLASH] = ACTIONS(5334),
    [sym_milestoneStartTag] = ACTIONS(5334),
    [sym_milestoneEndTag] = ACTIONS(5334),
    [sym_zSpaceTag] = ACTIONS(5334),
    [anon_sym_BSLASHesb] = ACTIONS(5334),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(5420),
    [aux_sym_text_token1] = ACTIONS(5420),
    [anon_sym_BSLASHref] = ACTIONS(5422),
    [anon_sym_BSLASHsts] = ACTIONS(5422),
    [anon_sym_BSLASHrem] = ACTIONS(5422),
    [anon_sym_BSLASHrestore] = ACTIONS(5422),
    [anon_sym_BSLASHlit] = ACTIONS(5422),
    [anon_sym_BSLASHip] = ACTIONS(5422),
    [anon_sym_BSLASHiex] = ACTIONS(5422),
    [anon_sym_BSLASHv] = ACTIONS(5422),
    [anon_sym_BSLASHva] = ACTIONS(5422),
    [anon_sym_BSLASHvp] = ACTIONS(5422),
    [anon_sym_BSLASHc] = ACTIONS(5422),
    [anon_sym_BSLASHcl] = ACTIONS(5422),
    [anon_sym_BSLASHca] = ACTIONS(5422),
    [anon_sym_BSLASHcp] = ACTIONS(5422),
    [anon_sym_BSLASHcd] = ACTIONS(5422),
    [anon_sym_BSLASHmte] = ACTIONS(5422),
    [anon_sym_BSLASHms] = ACTIONS(5422),
    [anon_sym_BSLASHs] = ACTIONS(5422),
    [anon_sym_BSLASHr] = ACTIONS(5422),
    [anon_sym_BSLASHsp] = ACTIONS(5422),
    [anon_sym_BSLASHd] = ACTIONS(5422),
    [anon_sym_BSLASHsd] = ACTIONS(5422),
    [anon_sym_BSLASHp] = ACTIONS(5422),
    [anon_sym_BSLASHm] = ACTIONS(5422),
    [anon_sym_BSLASHpo] = ACTIONS(5422),
    [anon_sym_BSLASHpr] = ACTIONS(5422),
    [anon_sym_BSLASHcls] = ACTIONS(5422),
    [anon_sym_BSLASHpmo] = ACTIONS(5422),
    [anon_sym_BSLASHpm] = ACTIONS(5422),
    [anon_sym_BSLASHpmc] = ACTIONS(5422),
    [anon_sym_BSLASHpmr] = ACTIONS(5422),
    [anon_sym_BSLASHpi] = ACTIONS(5422),
    [anon_sym_BSLASHmi] = ACTIONS(5422),
    [anon_sym_BSLASHnb] = ACTIONS(5422),
    [anon_sym_BSLASHpc] = ACTIONS(5422),
    [anon_sym_BSLASHph] = ACTIONS(5422),
    [anon_sym_BSLASHb] = ACTIONS(5422),
    [anon_sym_BSLASHq] = ACTIONS(5422),
    [anon_sym_BSLASHqr] = ACTIONS(5422),
    [anon_sym_BSLASHqc] = ACTIONS(5422),
    [anon_sym_BSLASHqs] = ACTIONS(5422),
    [anon_sym_BSLASHqa] = ACTIONS(5422),
    [anon_sym_BSLASHqac] = ACTIONS(5422),
    [anon_sym_BSLASHqm] = ACTIONS(5422),
    [anon_sym_BSLASHqd] = ACTIONS(5422),
    [anon_sym_BSLASHlh] = ACTIONS(5422),
    [anon_sym_BSLASHli] = ACTIONS(5422),
    [anon_sym_BSLASHlim] = ACTIONS(5422),
    [anon_sym_BSLASHtr] = ACTIONS(5422),
    [anon_sym_BSLASHf] = ACTIONS(5422),
    [anon_sym_BSLASHfe] = ACTIONS(5422),
    [anon_sym_BSLASHef] = ACTIONS(5422),
    [anon_sym_BSLASHfm] = ACTIONS(5422),
    [anon_sym_BSLASHx] = ACTIONS(5422),
    [anon_sym_BSLASHxt] = ACTIONS(5422),
    [anon_sym_BSLASHrq] = ACTIONS(5422),
    [anon_sym_BSLASHadd] = ACTIONS(5422),
    [anon_sym_BSLASHbk] = ACTIONS(5422),
    [anon_sym_BSLASHdc] = ACTIONS(5422),
    [anon_sym_BSLASHk] = ACTIONS(5422),
    [anon_sym_BSLASHnd] = ACTIONS(5422),
    [anon_sym_BSLASHord] = ACTIONS(5422),
    [anon_sym_BSLASHpn] = ACTIONS(5422),
    [anon_sym_BSLASHpng] = ACTIONS(5422),
    [anon_sym_BSLASHaddpn] = ACTIONS(5422),
    [anon_sym_BSLASHqt] = ACTIONS(5422),
    [anon_sym_BSLASHsig] = ACTIONS(5422),
    [anon_sym_BSLASHsls] = ACTIONS(5422),
    [anon_sym_BSLASHtl] = ACTIONS(5422),
    [anon_sym_BSLASHwj] = ACTIONS(5422),
    [anon_sym_BSLASHem] = ACTIONS(5422),
    [anon_sym_BSLASHbd] = ACTIONS(5422),
    [anon_sym_BSLASHit] = ACTIONS(5422),
    [anon_sym_BSLASHbdit] = ACTIONS(5422),
    [anon_sym_BSLASHno] = ACTIONS(5422),
    [anon_sym_BSLASHsc] = ACTIONS(5422),
    [anon_sym_BSLASHsup] = ACTIONS(5422),
    [anon_sym_BSLASHndx] = ACTIONS(5422),
    [anon_sym_BSLASHpro] = ACTIONS(5422),
    [anon_sym_BSLASHrb] = ACTIONS(5422),
    [anon_sym_BSLASHw] = ACTIONS(5422),
    [anon_sym_BSLASHwg] = ACTIONS(5422),
    [anon_sym_BSLASHwh] = ACTIONS(5422),
    [anon_sym_BSLASHwa] = ACTIONS(5422),
    [anon_sym_BSLASHfig] = ACTIONS(5422),
    [anon_sym_BSLASHjmp] = ACTIONS(5422),
    [anon_sym_BSLASHpb] = ACTIONS(5422),
    [anon_sym_BSLASH] = ACTIONS(5422),
    [sym_milestoneStartTag] = ACTIONS(5422),
    [sym_milestoneEndTag] = ACTIONS(5422),
    [sym_zSpaceTag] = ACTIONS(5422),
    [anon_sym_BSLASHesb] = ACTIONS(5422),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(2707),
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHref] = ACTIONS(2709),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHiex] = ACTIONS(2709),
    [anon_sym_BSLASHv] = ACTIONS(2709),
    [anon_sym_BSLASHva] = ACTIONS(2709),
    [anon_sym_BSLASHvp] = ACTIONS(2709),
    [anon_sym_BSLASHc] = ACTIONS(2709),
    [anon_sym_BSLASHcl] = ACTIONS(2709),
    [anon_sym_BSLASHca] = ACTIONS(2709),
    [anon_sym_BSLASHcp] = ACTIONS(2709),
    [anon_sym_BSLASHcd] = ACTIONS(2709),
    [anon_sym_BSLASHmte] = ACTIONS(2709),
    [anon_sym_BSLASHms] = ACTIONS(2709),
    [anon_sym_BSLASHs] = ACTIONS(2709),
    [anon_sym_BSLASHr] = ACTIONS(2709),
    [anon_sym_BSLASHsp] = ACTIONS(2709),
    [anon_sym_BSLASHd] = ACTIONS(2709),
    [anon_sym_BSLASHsd] = ACTIONS(2709),
    [anon_sym_BSLASHp] = ACTIONS(2709),
    [anon_sym_BSLASHm] = ACTIONS(2709),
    [anon_sym_BSLASHpo] = ACTIONS(2709),
    [anon_sym_BSLASHpr] = ACTIONS(2709),
    [anon_sym_BSLASHcls] = ACTIONS(2709),
    [anon_sym_BSLASHpmo] = ACTIONS(2709),
    [anon_sym_BSLASHpm] = ACTIONS(2709),
    [anon_sym_BSLASHpmc] = ACTIONS(2709),
    [anon_sym_BSLASHpmr] = ACTIONS(2709),
    [anon_sym_BSLASHpi] = ACTIONS(2709),
    [anon_sym_BSLASHmi] = ACTIONS(2709),
    [anon_sym_BSLASHnb] = ACTIONS(2709),
    [anon_sym_BSLASHpc] = ACTIONS(2709),
    [anon_sym_BSLASHph] = ACTIONS(2709),
    [anon_sym_BSLASHb] = ACTIONS(2709),
    [anon_sym_BSLASHq] = ACTIONS(2709),
    [anon_sym_BSLASHqr] = ACTIONS(2709),
    [anon_sym_BSLASHqc] = ACTIONS(2709),
    [anon_sym_BSLASHqs] = ACTIONS(2709),
    [anon_sym_BSLASHqa] = ACTIONS(2709),
    [anon_sym_BSLASHqac] = ACTIONS(2709),
    [anon_sym_BSLASHqm] = ACTIONS(2709),
    [anon_sym_BSLASHqd] = ACTIONS(2709),
    [anon_sym_BSLASHlh] = ACTIONS(2709),
    [anon_sym_BSLASHli] = ACTIONS(2709),
    [anon_sym_BSLASHlim] = ACTIONS(2709),
    [anon_sym_BSLASHtr] = ACTIONS(2709),
    [anon_sym_BSLASHf] = ACTIONS(2709),
    [anon_sym_BSLASHfe] = ACTIONS(2709),
    [anon_sym_BSLASHef] = ACTIONS(2709),
    [anon_sym_BSLASHfm] = ACTIONS(2709),
    [anon_sym_BSLASHx] = ACTIONS(2709),
    [anon_sym_BSLASHxt] = ACTIONS(2709),
    [anon_sym_BSLASHrq] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASHfig] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASHpb] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesb] = ACTIONS(2709),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(5396),
    [aux_sym_text_token1] = ACTIONS(5396),
    [anon_sym_BSLASHref] = ACTIONS(5398),
    [anon_sym_BSLASHsts] = ACTIONS(5398),
    [anon_sym_BSLASHrem] = ACTIONS(5398),
    [anon_sym_BSLASHrestore] = ACTIONS(5398),
    [anon_sym_BSLASHlit] = ACTIONS(5398),
    [anon_sym_BSLASHip] = ACTIONS(5398),
    [anon_sym_BSLASHiex] = ACTIONS(5398),
    [anon_sym_BSLASHv] = ACTIONS(5398),
    [anon_sym_BSLASHva] = ACTIONS(5398),
    [anon_sym_BSLASHvp] = ACTIONS(5398),
    [anon_sym_BSLASHc] = ACTIONS(5398),
    [anon_sym_BSLASHcl] = ACTIONS(5398),
    [anon_sym_BSLASHca] = ACTIONS(5398),
    [anon_sym_BSLASHcp] = ACTIONS(5398),
    [anon_sym_BSLASHcd] = ACTIONS(5398),
    [anon_sym_BSLASHmte] = ACTIONS(5398),
    [anon_sym_BSLASHms] = ACTIONS(5398),
    [anon_sym_BSLASHs] = ACTIONS(5398),
    [anon_sym_BSLASHr] = ACTIONS(5398),
    [anon_sym_BSLASHsp] = ACTIONS(5398),
    [anon_sym_BSLASHd] = ACTIONS(5398),
    [anon_sym_BSLASHsd] = ACTIONS(5398),
    [anon_sym_BSLASHp] = ACTIONS(5398),
    [anon_sym_BSLASHm] = ACTIONS(5398),
    [anon_sym_BSLASHpo] = ACTIONS(5398),
    [anon_sym_BSLASHpr] = ACTIONS(5398),
    [anon_sym_BSLASHcls] = ACTIONS(5398),
    [anon_sym_BSLASHpmo] = ACTIONS(5398),
    [anon_sym_BSLASHpm] = ACTIONS(5398),
    [anon_sym_BSLASHpmc] = ACTIONS(5398),
    [anon_sym_BSLASHpmr] = ACTIONS(5398),
    [anon_sym_BSLASHpi] = ACTIONS(5398),
    [anon_sym_BSLASHmi] = ACTIONS(5398),
    [anon_sym_BSLASHnb] = ACTIONS(5398),
    [anon_sym_BSLASHpc] = ACTIONS(5398),
    [anon_sym_BSLASHph] = ACTIONS(5398),
    [anon_sym_BSLASHb] = ACTIONS(5398),
    [anon_sym_BSLASHq] = ACTIONS(5398),
    [anon_sym_BSLASHqr] = ACTIONS(5398),
    [anon_sym_BSLASHqc] = ACTIONS(5398),
    [anon_sym_BSLASHqs] = ACTIONS(5398),
    [anon_sym_BSLASHqa] = ACTIONS(5398),
    [anon_sym_BSLASHqac] = ACTIONS(5398),
    [anon_sym_BSLASHqm] = ACTIONS(5398),
    [anon_sym_BSLASHqd] = ACTIONS(5398),
    [anon_sym_BSLASHlh] = ACTIONS(5398),
    [anon_sym_BSLASHli] = ACTIONS(5398),
    [anon_sym_BSLASHlim] = ACTIONS(5398),
    [anon_sym_BSLASHtr] = ACTIONS(5398),
    [anon_sym_BSLASHf] = ACTIONS(5398),
    [anon_sym_BSLASHfe] = ACTIONS(5398),
    [anon_sym_BSLASHef] = ACTIONS(5398),
    [anon_sym_BSLASHfm] = ACTIONS(5398),
    [anon_sym_BSLASHx] = ACTIONS(5398),
    [anon_sym_BSLASHxt] = ACTIONS(5398),
    [anon_sym_BSLASHrq] = ACTIONS(5398),
    [anon_sym_BSLASHadd] = ACTIONS(5398),
    [anon_sym_BSLASHbk] = ACTIONS(5398),
    [anon_sym_BSLASHdc] = ACTIONS(5398),
    [anon_sym_BSLASHk] = ACTIONS(5398),
    [anon_sym_BSLASHnd] = ACTIONS(5398),
    [anon_sym_BSLASHord] = ACTIONS(5398),
    [anon_sym_BSLASHpn] = ACTIONS(5398),
    [anon_sym_BSLASHpng] = ACTIONS(5398),
    [anon_sym_BSLASHaddpn] = ACTIONS(5398),
    [anon_sym_BSLASHqt] = ACTIONS(5398),
    [anon_sym_BSLASHsig] = ACTIONS(5398),
    [anon_sym_BSLASHsls] = ACTIONS(5398),
    [anon_sym_BSLASHtl] = ACTIONS(5398),
    [anon_sym_BSLASHwj] = ACTIONS(5398),
    [anon_sym_BSLASHem] = ACTIONS(5398),
    [anon_sym_BSLASHbd] = ACTIONS(5398),
    [anon_sym_BSLASHit] = ACTIONS(5398),
    [anon_sym_BSLASHbdit] = ACTIONS(5398),
    [anon_sym_BSLASHno] = ACTIONS(5398),
    [anon_sym_BSLASHsc] = ACTIONS(5398),
    [anon_sym_BSLASHsup] = ACTIONS(5398),
    [anon_sym_BSLASHndx] = ACTIONS(5398),
    [anon_sym_BSLASHpro] = ACTIONS(5398),
    [anon_sym_BSLASHrb] = ACTIONS(5398),
    [anon_sym_BSLASHw] = ACTIONS(5398),
    [anon_sym_BSLASHwg] = ACTIONS(5398),
    [anon_sym_BSLASHwh] = ACTIONS(5398),
    [anon_sym_BSLASHwa] = ACTIONS(5398),
    [anon_sym_BSLASHfig] = ACTIONS(5398),
    [anon_sym_BSLASHjmp] = ACTIONS(5398),
    [anon_sym_BSLASHpb] = ACTIONS(5398),
    [anon_sym_BSLASH] = ACTIONS(5398),
    [sym_milestoneStartTag] = ACTIONS(5398),
    [sym_milestoneEndTag] = ACTIONS(5398),
    [sym_zSpaceTag] = ACTIONS(5398),
    [anon_sym_BSLASHesb] = ACTIONS(5398),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(5454),
    [aux_sym_text_token1] = ACTIONS(5454),
    [anon_sym_BSLASHref] = ACTIONS(5456),
    [anon_sym_BSLASHsts] = ACTIONS(5456),
    [anon_sym_BSLASHrem] = ACTIONS(5456),
    [anon_sym_BSLASHrestore] = ACTIONS(5456),
    [anon_sym_BSLASHlit] = ACTIONS(5456),
    [anon_sym_BSLASHip] = ACTIONS(5456),
    [anon_sym_BSLASHiex] = ACTIONS(5456),
    [anon_sym_BSLASHv] = ACTIONS(5456),
    [anon_sym_BSLASHva] = ACTIONS(5456),
    [anon_sym_BSLASHvp] = ACTIONS(5456),
    [anon_sym_BSLASHc] = ACTIONS(5456),
    [anon_sym_BSLASHcl] = ACTIONS(5456),
    [anon_sym_BSLASHca] = ACTIONS(5456),
    [anon_sym_BSLASHcp] = ACTIONS(5456),
    [anon_sym_BSLASHcd] = ACTIONS(5456),
    [anon_sym_BSLASHmte] = ACTIONS(5456),
    [anon_sym_BSLASHms] = ACTIONS(5456),
    [anon_sym_BSLASHs] = ACTIONS(5456),
    [anon_sym_BSLASHr] = ACTIONS(5456),
    [anon_sym_BSLASHsp] = ACTIONS(5456),
    [anon_sym_BSLASHd] = ACTIONS(5456),
    [anon_sym_BSLASHsd] = ACTIONS(5456),
    [anon_sym_BSLASHp] = ACTIONS(5456),
    [anon_sym_BSLASHm] = ACTIONS(5456),
    [anon_sym_BSLASHpo] = ACTIONS(5456),
    [anon_sym_BSLASHpr] = ACTIONS(5456),
    [anon_sym_BSLASHcls] = ACTIONS(5456),
    [anon_sym_BSLASHpmo] = ACTIONS(5456),
    [anon_sym_BSLASHpm] = ACTIONS(5456),
    [anon_sym_BSLASHpmc] = ACTIONS(5456),
    [anon_sym_BSLASHpmr] = ACTIONS(5456),
    [anon_sym_BSLASHpi] = ACTIONS(5456),
    [anon_sym_BSLASHmi] = ACTIONS(5456),
    [anon_sym_BSLASHnb] = ACTIONS(5456),
    [anon_sym_BSLASHpc] = ACTIONS(5456),
    [anon_sym_BSLASHph] = ACTIONS(5456),
    [anon_sym_BSLASHb] = ACTIONS(5456),
    [anon_sym_BSLASHq] = ACTIONS(5456),
    [anon_sym_BSLASHqr] = ACTIONS(5456),
    [anon_sym_BSLASHqc] = ACTIONS(5456),
    [anon_sym_BSLASHqs] = ACTIONS(5456),
    [anon_sym_BSLASHqa] = ACTIONS(5456),
    [anon_sym_BSLASHqac] = ACTIONS(5456),
    [anon_sym_BSLASHqm] = ACTIONS(5456),
    [anon_sym_BSLASHqd] = ACTIONS(5456),
    [anon_sym_BSLASHlh] = ACTIONS(5456),
    [anon_sym_BSLASHli] = ACTIONS(5456),
    [anon_sym_BSLASHlim] = ACTIONS(5456),
    [anon_sym_BSLASHtr] = ACTIONS(5456),
    [anon_sym_BSLASHf] = ACTIONS(5456),
    [anon_sym_BSLASHfe] = ACTIONS(5456),
    [anon_sym_BSLASHef] = ACTIONS(5456),
    [anon_sym_BSLASHfm] = ACTIONS(5456),
    [anon_sym_BSLASHx] = ACTIONS(5456),
    [anon_sym_BSLASHxt] = ACTIONS(5456),
    [anon_sym_BSLASHrq] = ACTIONS(5456),
    [anon_sym_BSLASHadd] = ACTIONS(5456),
    [anon_sym_BSLASHbk] = ACTIONS(5456),
    [anon_sym_BSLASHdc] = ACTIONS(5456),
    [anon_sym_BSLASHk] = ACTIONS(5456),
    [anon_sym_BSLASHnd] = ACTIONS(5456),
    [anon_sym_BSLASHord] = ACTIONS(5456),
    [anon_sym_BSLASHpn] = ACTIONS(5456),
    [anon_sym_BSLASHpng] = ACTIONS(5456),
    [anon_sym_BSLASHaddpn] = ACTIONS(5456),
    [anon_sym_BSLASHqt] = ACTIONS(5456),
    [anon_sym_BSLASHsig] = ACTIONS(5456),
    [anon_sym_BSLASHsls] = ACTIONS(5456),
    [anon_sym_BSLASHtl] = ACTIONS(5456),
    [anon_sym_BSLASHwj] = ACTIONS(5456),
    [anon_sym_BSLASHem] = ACTIONS(5456),
    [anon_sym_BSLASHbd] = ACTIONS(5456),
    [anon_sym_BSLASHit] = ACTIONS(5456),
    [anon_sym_BSLASHbdit] = ACTIONS(5456),
    [anon_sym_BSLASHno] = ACTIONS(5456),
    [anon_sym_BSLASHsc] = ACTIONS(5456),
    [anon_sym_BSLASHsup] = ACTIONS(5456),
    [anon_sym_BSLASHndx] = ACTIONS(5456),
    [anon_sym_BSLASHpro] = ACTIONS(5456),
    [anon_sym_BSLASHrb] = ACTIONS(5456),
    [anon_sym_BSLASHw] = ACTIONS(5456),
    [anon_sym_BSLASHwg] = ACTIONS(5456),
    [anon_sym_BSLASHwh] = ACTIONS(5456),
    [anon_sym_BSLASHwa] = ACTIONS(5456),
    [anon_sym_BSLASHfig] = ACTIONS(5456),
    [anon_sym_BSLASHjmp] = ACTIONS(5456),
    [anon_sym_BSLASHpb] = ACTIONS(5456),
    [anon_sym_BSLASH] = ACTIONS(5456),
    [sym_milestoneStartTag] = ACTIONS(5456),
    [sym_milestoneEndTag] = ACTIONS(5456),
    [sym_zSpaceTag] = ACTIONS(5456),
    [anon_sym_BSLASHesb] = ACTIONS(5456),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(3072),
    [aux_sym_text_token1] = ACTIONS(3072),
    [anon_sym_BSLASHref] = ACTIONS(3074),
    [anon_sym_BSLASHsts] = ACTIONS(3074),
    [anon_sym_BSLASHrem] = ACTIONS(3074),
    [anon_sym_BSLASHrestore] = ACTIONS(3074),
    [anon_sym_BSLASHlit] = ACTIONS(3074),
    [anon_sym_BSLASHip] = ACTIONS(3074),
    [anon_sym_BSLASHiex] = ACTIONS(3074),
    [anon_sym_BSLASHv] = ACTIONS(3074),
    [anon_sym_BSLASHva] = ACTIONS(3074),
    [anon_sym_BSLASHvp] = ACTIONS(3074),
    [anon_sym_BSLASHc] = ACTIONS(3074),
    [anon_sym_BSLASHcl] = ACTIONS(3074),
    [anon_sym_BSLASHca] = ACTIONS(3074),
    [anon_sym_BSLASHcp] = ACTIONS(3074),
    [anon_sym_BSLASHcd] = ACTIONS(3074),
    [anon_sym_BSLASHmte] = ACTIONS(3074),
    [anon_sym_BSLASHms] = ACTIONS(3074),
    [anon_sym_BSLASHs] = ACTIONS(3074),
    [anon_sym_BSLASHr] = ACTIONS(3074),
    [anon_sym_BSLASHsp] = ACTIONS(3074),
    [anon_sym_BSLASHd] = ACTIONS(3074),
    [anon_sym_BSLASHsd] = ACTIONS(3074),
    [anon_sym_BSLASHp] = ACTIONS(3074),
    [anon_sym_BSLASHm] = ACTIONS(3074),
    [anon_sym_BSLASHpo] = ACTIONS(3074),
    [anon_sym_BSLASHpr] = ACTIONS(3074),
    [anon_sym_BSLASHcls] = ACTIONS(3074),
    [anon_sym_BSLASHpmo] = ACTIONS(3074),
    [anon_sym_BSLASHpm] = ACTIONS(3074),
    [anon_sym_BSLASHpmc] = ACTIONS(3074),
    [anon_sym_BSLASHpmr] = ACTIONS(3074),
    [anon_sym_BSLASHpi] = ACTIONS(3074),
    [anon_sym_BSLASHmi] = ACTIONS(3074),
    [anon_sym_BSLASHnb] = ACTIONS(3074),
    [anon_sym_BSLASHpc] = ACTIONS(3074),
    [anon_sym_BSLASHph] = ACTIONS(3074),
    [anon_sym_BSLASHb] = ACTIONS(3074),
    [anon_sym_BSLASHq] = ACTIONS(3074),
    [anon_sym_BSLASHqr] = ACTIONS(3074),
    [anon_sym_BSLASHqc] = ACTIONS(3074),
    [anon_sym_BSLASHqs] = ACTIONS(3074),
    [anon_sym_BSLASHqa] = ACTIONS(3074),
    [anon_sym_BSLASHqac] = ACTIONS(3074),
    [anon_sym_BSLASHqm] = ACTIONS(3074),
    [anon_sym_BSLASHqd] = ACTIONS(3074),
    [anon_sym_BSLASHlh] = ACTIONS(3074),
    [anon_sym_BSLASHli] = ACTIONS(3074),
    [anon_sym_BSLASHlim] = ACTIONS(3074),
    [anon_sym_BSLASHtr] = ACTIONS(3074),
    [anon_sym_BSLASHf] = ACTIONS(3074),
    [anon_sym_BSLASHfe] = ACTIONS(3074),
    [anon_sym_BSLASHef] = ACTIONS(3074),
    [anon_sym_BSLASHfm] = ACTIONS(3074),
    [anon_sym_BSLASHx] = ACTIONS(3074),
    [anon_sym_BSLASHxt] = ACTIONS(3074),
    [anon_sym_BSLASHrq] = ACTIONS(3074),
    [anon_sym_BSLASHadd] = ACTIONS(3074),
    [anon_sym_BSLASHbk] = ACTIONS(3074),
    [anon_sym_BSLASHdc] = ACTIONS(3074),
    [anon_sym_BSLASHk] = ACTIONS(3074),
    [anon_sym_BSLASHnd] = ACTIONS(3074),
    [anon_sym_BSLASHord] = ACTIONS(3074),
    [anon_sym_BSLASHpn] = ACTIONS(3074),
    [anon_sym_BSLASHpng] = ACTIONS(3074),
    [anon_sym_BSLASHaddpn] = ACTIONS(3074),
    [anon_sym_BSLASHqt] = ACTIONS(3074),
    [anon_sym_BSLASHsig] = ACTIONS(3074),
    [anon_sym_BSLASHsls] = ACTIONS(3074),
    [anon_sym_BSLASHtl] = ACTIONS(3074),
    [anon_sym_BSLASHwj] = ACTIONS(3074),
    [anon_sym_BSLASHem] = ACTIONS(3074),
    [anon_sym_BSLASHbd] = ACTIONS(3074),
    [anon_sym_BSLASHit] = ACTIONS(3074),
    [anon_sym_BSLASHbdit] = ACTIONS(3074),
    [anon_sym_BSLASHno] = ACTIONS(3074),
    [anon_sym_BSLASHsc] = ACTIONS(3074),
    [anon_sym_BSLASHsup] = ACTIONS(3074),
    [anon_sym_BSLASHndx] = ACTIONS(3074),
    [anon_sym_BSLASHpro] = ACTIONS(3074),
    [anon_sym_BSLASHrb] = ACTIONS(3074),
    [anon_sym_BSLASHw] = ACTIONS(3074),
    [anon_sym_BSLASHwg] = ACTIONS(3074),
    [anon_sym_BSLASHwh] = ACTIONS(3074),
    [anon_sym_BSLASHwa] = ACTIONS(3074),
    [anon_sym_BSLASHfig] = ACTIONS(3074),
    [anon_sym_BSLASHjmp] = ACTIONS(3074),
    [anon_sym_BSLASHpb] = ACTIONS(3074),
    [anon_sym_BSLASH] = ACTIONS(3074),
    [sym_milestoneStartTag] = ACTIONS(3074),
    [sym_milestoneEndTag] = ACTIONS(3074),
    [sym_zSpaceTag] = ACTIONS(3074),
    [anon_sym_BSLASHesb] = ACTIONS(3074),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(5458),
    [aux_sym_text_token1] = ACTIONS(5458),
    [anon_sym_BSLASHref] = ACTIONS(5460),
    [anon_sym_BSLASHsts] = ACTIONS(5460),
    [anon_sym_BSLASHrem] = ACTIONS(5460),
    [anon_sym_BSLASHrestore] = ACTIONS(5460),
    [anon_sym_BSLASHlit] = ACTIONS(5460),
    [anon_sym_BSLASHip] = ACTIONS(5460),
    [anon_sym_BSLASHiex] = ACTIONS(5460),
    [anon_sym_BSLASHv] = ACTIONS(5460),
    [anon_sym_BSLASHva] = ACTIONS(5460),
    [anon_sym_BSLASHvp] = ACTIONS(5460),
    [anon_sym_BSLASHc] = ACTIONS(5460),
    [anon_sym_BSLASHcl] = ACTIONS(5460),
    [anon_sym_BSLASHca] = ACTIONS(5460),
    [anon_sym_BSLASHcp] = ACTIONS(5460),
    [anon_sym_BSLASHcd] = ACTIONS(5460),
    [anon_sym_BSLASHmte] = ACTIONS(5460),
    [anon_sym_BSLASHms] = ACTIONS(5460),
    [anon_sym_BSLASHs] = ACTIONS(5460),
    [anon_sym_BSLASHr] = ACTIONS(5460),
    [anon_sym_BSLASHsp] = ACTIONS(5460),
    [anon_sym_BSLASHd] = ACTIONS(5460),
    [anon_sym_BSLASHsd] = ACTIONS(5460),
    [anon_sym_BSLASHp] = ACTIONS(5460),
    [anon_sym_BSLASHm] = ACTIONS(5460),
    [anon_sym_BSLASHpo] = ACTIONS(5460),
    [anon_sym_BSLASHpr] = ACTIONS(5460),
    [anon_sym_BSLASHcls] = ACTIONS(5460),
    [anon_sym_BSLASHpmo] = ACTIONS(5460),
    [anon_sym_BSLASHpm] = ACTIONS(5460),
    [anon_sym_BSLASHpmc] = ACTIONS(5460),
    [anon_sym_BSLASHpmr] = ACTIONS(5460),
    [anon_sym_BSLASHpi] = ACTIONS(5460),
    [anon_sym_BSLASHmi] = ACTIONS(5460),
    [anon_sym_BSLASHnb] = ACTIONS(5460),
    [anon_sym_BSLASHpc] = ACTIONS(5460),
    [anon_sym_BSLASHph] = ACTIONS(5460),
    [anon_sym_BSLASHb] = ACTIONS(5460),
    [anon_sym_BSLASHq] = ACTIONS(5460),
    [anon_sym_BSLASHqr] = ACTIONS(5460),
    [anon_sym_BSLASHqc] = ACTIONS(5460),
    [anon_sym_BSLASHqs] = ACTIONS(5460),
    [anon_sym_BSLASHqa] = ACTIONS(5460),
    [anon_sym_BSLASHqac] = ACTIONS(5460),
    [anon_sym_BSLASHqm] = ACTIONS(5460),
    [anon_sym_BSLASHqd] = ACTIONS(5460),
    [anon_sym_BSLASHlh] = ACTIONS(5460),
    [anon_sym_BSLASHli] = ACTIONS(5460),
    [anon_sym_BSLASHlim] = ACTIONS(5460),
    [anon_sym_BSLASHtr] = ACTIONS(5460),
    [anon_sym_BSLASHf] = ACTIONS(5460),
    [anon_sym_BSLASHfe] = ACTIONS(5460),
    [anon_sym_BSLASHef] = ACTIONS(5460),
    [anon_sym_BSLASHfm] = ACTIONS(5460),
    [anon_sym_BSLASHx] = ACTIONS(5460),
    [anon_sym_BSLASHxt] = ACTIONS(5460),
    [anon_sym_BSLASHrq] = ACTIONS(5460),
    [anon_sym_BSLASHadd] = ACTIONS(5460),
    [anon_sym_BSLASHbk] = ACTIONS(5460),
    [anon_sym_BSLASHdc] = ACTIONS(5460),
    [anon_sym_BSLASHk] = ACTIONS(5460),
    [anon_sym_BSLASHnd] = ACTIONS(5460),
    [anon_sym_BSLASHord] = ACTIONS(5460),
    [anon_sym_BSLASHpn] = ACTIONS(5460),
    [anon_sym_BSLASHpng] = ACTIONS(5460),
    [anon_sym_BSLASHaddpn] = ACTIONS(5460),
    [anon_sym_BSLASHqt] = ACTIONS(5460),
    [anon_sym_BSLASHsig] = ACTIONS(5460),
    [anon_sym_BSLASHsls] = ACTIONS(5460),
    [anon_sym_BSLASHtl] = ACTIONS(5460),
    [anon_sym_BSLASHwj] = ACTIONS(5460),
    [anon_sym_BSLASHem] = ACTIONS(5460),
    [anon_sym_BSLASHbd] = ACTIONS(5460),
    [anon_sym_BSLASHit] = ACTIONS(5460),
    [anon_sym_BSLASHbdit] = ACTIONS(5460),
    [anon_sym_BSLASHno] = ACTIONS(5460),
    [anon_sym_BSLASHsc] = ACTIONS(5460),
    [anon_sym_BSLASHsup] = ACTIONS(5460),
    [anon_sym_BSLASHndx] = ACTIONS(5460),
    [anon_sym_BSLASHpro] = ACTIONS(5460),
    [anon_sym_BSLASHrb] = ACTIONS(5460),
    [anon_sym_BSLASHw] = ACTIONS(5460),
    [anon_sym_BSLASHwg] = ACTIONS(5460),
    [anon_sym_BSLASHwh] = ACTIONS(5460),
    [anon_sym_BSLASHwa] = ACTIONS(5460),
    [anon_sym_BSLASHfig] = ACTIONS(5460),
    [anon_sym_BSLASHjmp] = ACTIONS(5460),
    [anon_sym_BSLASHpb] = ACTIONS(5460),
    [anon_sym_BSLASH] = ACTIONS(5460),
    [sym_milestoneStartTag] = ACTIONS(5460),
    [sym_milestoneEndTag] = ACTIONS(5460),
    [sym_zSpaceTag] = ACTIONS(5460),
    [anon_sym_BSLASHesb] = ACTIONS(5460),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(2703),
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHref] = ACTIONS(2705),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHiex] = ACTIONS(2705),
    [anon_sym_BSLASHv] = ACTIONS(2705),
    [anon_sym_BSLASHva] = ACTIONS(2705),
    [anon_sym_BSLASHvp] = ACTIONS(2705),
    [anon_sym_BSLASHc] = ACTIONS(2705),
    [anon_sym_BSLASHcl] = ACTIONS(2705),
    [anon_sym_BSLASHca] = ACTIONS(2705),
    [anon_sym_BSLASHcp] = ACTIONS(2705),
    [anon_sym_BSLASHcd] = ACTIONS(2705),
    [anon_sym_BSLASHmte] = ACTIONS(2705),
    [anon_sym_BSLASHms] = ACTIONS(2705),
    [anon_sym_BSLASHs] = ACTIONS(2705),
    [anon_sym_BSLASHr] = ACTIONS(2705),
    [anon_sym_BSLASHsp] = ACTIONS(2705),
    [anon_sym_BSLASHd] = ACTIONS(2705),
    [anon_sym_BSLASHsd] = ACTIONS(2705),
    [anon_sym_BSLASHp] = ACTIONS(2705),
    [anon_sym_BSLASHm] = ACTIONS(2705),
    [anon_sym_BSLASHpo] = ACTIONS(2705),
    [anon_sym_BSLASHpr] = ACTIONS(2705),
    [anon_sym_BSLASHcls] = ACTIONS(2705),
    [anon_sym_BSLASHpmo] = ACTIONS(2705),
    [anon_sym_BSLASHpm] = ACTIONS(2705),
    [anon_sym_BSLASHpmc] = ACTIONS(2705),
    [anon_sym_BSLASHpmr] = ACTIONS(2705),
    [anon_sym_BSLASHpi] = ACTIONS(2705),
    [anon_sym_BSLASHmi] = ACTIONS(2705),
    [anon_sym_BSLASHnb] = ACTIONS(2705),
    [anon_sym_BSLASHpc] = ACTIONS(2705),
    [anon_sym_BSLASHph] = ACTIONS(2705),
    [anon_sym_BSLASHb] = ACTIONS(2705),
    [anon_sym_BSLASHq] = ACTIONS(2705),
    [anon_sym_BSLASHqr] = ACTIONS(2705),
    [anon_sym_BSLASHqc] = ACTIONS(2705),
    [anon_sym_BSLASHqs] = ACTIONS(2705),
    [anon_sym_BSLASHqa] = ACTIONS(2705),
    [anon_sym_BSLASHqac] = ACTIONS(2705),
    [anon_sym_BSLASHqm] = ACTIONS(2705),
    [anon_sym_BSLASHqd] = ACTIONS(2705),
    [anon_sym_BSLASHlh] = ACTIONS(2705),
    [anon_sym_BSLASHli] = ACTIONS(2705),
    [anon_sym_BSLASHlim] = ACTIONS(2705),
    [anon_sym_BSLASHtr] = ACTIONS(2705),
    [anon_sym_BSLASHf] = ACTIONS(2705),
    [anon_sym_BSLASHfe] = ACTIONS(2705),
    [anon_sym_BSLASHef] = ACTIONS(2705),
    [anon_sym_BSLASHfm] = ACTIONS(2705),
    [anon_sym_BSLASHx] = ACTIONS(2705),
    [anon_sym_BSLASHxt] = ACTIONS(2705),
    [anon_sym_BSLASHrq] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASHfig] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASHpb] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesb] = ACTIONS(2705),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(2699),
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHref] = ACTIONS(2701),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHiex] = ACTIONS(2701),
    [anon_sym_BSLASHv] = ACTIONS(2701),
    [anon_sym_BSLASHva] = ACTIONS(2701),
    [anon_sym_BSLASHvp] = ACTIONS(2701),
    [anon_sym_BSLASHc] = ACTIONS(2701),
    [anon_sym_BSLASHcl] = ACTIONS(2701),
    [anon_sym_BSLASHca] = ACTIONS(2701),
    [anon_sym_BSLASHcp] = ACTIONS(2701),
    [anon_sym_BSLASHcd] = ACTIONS(2701),
    [anon_sym_BSLASHmte] = ACTIONS(2701),
    [anon_sym_BSLASHms] = ACTIONS(2701),
    [anon_sym_BSLASHs] = ACTIONS(2701),
    [anon_sym_BSLASHr] = ACTIONS(2701),
    [anon_sym_BSLASHsp] = ACTIONS(2701),
    [anon_sym_BSLASHd] = ACTIONS(2701),
    [anon_sym_BSLASHsd] = ACTIONS(2701),
    [anon_sym_BSLASHp] = ACTIONS(2701),
    [anon_sym_BSLASHm] = ACTIONS(2701),
    [anon_sym_BSLASHpo] = ACTIONS(2701),
    [anon_sym_BSLASHpr] = ACTIONS(2701),
    [anon_sym_BSLASHcls] = ACTIONS(2701),
    [anon_sym_BSLASHpmo] = ACTIONS(2701),
    [anon_sym_BSLASHpm] = ACTIONS(2701),
    [anon_sym_BSLASHpmc] = ACTIONS(2701),
    [anon_sym_BSLASHpmr] = ACTIONS(2701),
    [anon_sym_BSLASHpi] = ACTIONS(2701),
    [anon_sym_BSLASHmi] = ACTIONS(2701),
    [anon_sym_BSLASHnb] = ACTIONS(2701),
    [anon_sym_BSLASHpc] = ACTIONS(2701),
    [anon_sym_BSLASHph] = ACTIONS(2701),
    [anon_sym_BSLASHb] = ACTIONS(2701),
    [anon_sym_BSLASHq] = ACTIONS(2701),
    [anon_sym_BSLASHqr] = ACTIONS(2701),
    [anon_sym_BSLASHqc] = ACTIONS(2701),
    [anon_sym_BSLASHqs] = ACTIONS(2701),
    [anon_sym_BSLASHqa] = ACTIONS(2701),
    [anon_sym_BSLASHqac] = ACTIONS(2701),
    [anon_sym_BSLASHqm] = ACTIONS(2701),
    [anon_sym_BSLASHqd] = ACTIONS(2701),
    [anon_sym_BSLASHlh] = ACTIONS(2701),
    [anon_sym_BSLASHli] = ACTIONS(2701),
    [anon_sym_BSLASHlim] = ACTIONS(2701),
    [anon_sym_BSLASHtr] = ACTIONS(2701),
    [anon_sym_BSLASHf] = ACTIONS(2701),
    [anon_sym_BSLASHfe] = ACTIONS(2701),
    [anon_sym_BSLASHef] = ACTIONS(2701),
    [anon_sym_BSLASHfm] = ACTIONS(2701),
    [anon_sym_BSLASHx] = ACTIONS(2701),
    [anon_sym_BSLASHxt] = ACTIONS(2701),
    [anon_sym_BSLASHrq] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASHfig] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASHpb] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesb] = ACTIONS(2701),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(2695),
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHref] = ACTIONS(2697),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHiex] = ACTIONS(2697),
    [anon_sym_BSLASHv] = ACTIONS(2697),
    [anon_sym_BSLASHva] = ACTIONS(2697),
    [anon_sym_BSLASHvp] = ACTIONS(2697),
    [anon_sym_BSLASHc] = ACTIONS(2697),
    [anon_sym_BSLASHcl] = ACTIONS(2697),
    [anon_sym_BSLASHca] = ACTIONS(2697),
    [anon_sym_BSLASHcp] = ACTIONS(2697),
    [anon_sym_BSLASHcd] = ACTIONS(2697),
    [anon_sym_BSLASHmte] = ACTIONS(2697),
    [anon_sym_BSLASHms] = ACTIONS(2697),
    [anon_sym_BSLASHs] = ACTIONS(2697),
    [anon_sym_BSLASHr] = ACTIONS(2697),
    [anon_sym_BSLASHsp] = ACTIONS(2697),
    [anon_sym_BSLASHd] = ACTIONS(2697),
    [anon_sym_BSLASHsd] = ACTIONS(2697),
    [anon_sym_BSLASHp] = ACTIONS(2697),
    [anon_sym_BSLASHm] = ACTIONS(2697),
    [anon_sym_BSLASHpo] = ACTIONS(2697),
    [anon_sym_BSLASHpr] = ACTIONS(2697),
    [anon_sym_BSLASHcls] = ACTIONS(2697),
    [anon_sym_BSLASHpmo] = ACTIONS(2697),
    [anon_sym_BSLASHpm] = ACTIONS(2697),
    [anon_sym_BSLASHpmc] = ACTIONS(2697),
    [anon_sym_BSLASHpmr] = ACTIONS(2697),
    [anon_sym_BSLASHpi] = ACTIONS(2697),
    [anon_sym_BSLASHmi] = ACTIONS(2697),
    [anon_sym_BSLASHnb] = ACTIONS(2697),
    [anon_sym_BSLASHpc] = ACTIONS(2697),
    [anon_sym_BSLASHph] = ACTIONS(2697),
    [anon_sym_BSLASHb] = ACTIONS(2697),
    [anon_sym_BSLASHq] = ACTIONS(2697),
    [anon_sym_BSLASHqr] = ACTIONS(2697),
    [anon_sym_BSLASHqc] = ACTIONS(2697),
    [anon_sym_BSLASHqs] = ACTIONS(2697),
    [anon_sym_BSLASHqa] = ACTIONS(2697),
    [anon_sym_BSLASHqac] = ACTIONS(2697),
    [anon_sym_BSLASHqm] = ACTIONS(2697),
    [anon_sym_BSLASHqd] = ACTIONS(2697),
    [anon_sym_BSLASHlh] = ACTIONS(2697),
    [anon_sym_BSLASHli] = ACTIONS(2697),
    [anon_sym_BSLASHlim] = ACTIONS(2697),
    [anon_sym_BSLASHtr] = ACTIONS(2697),
    [anon_sym_BSLASHf] = ACTIONS(2697),
    [anon_sym_BSLASHfe] = ACTIONS(2697),
    [anon_sym_BSLASHef] = ACTIONS(2697),
    [anon_sym_BSLASHfm] = ACTIONS(2697),
    [anon_sym_BSLASHx] = ACTIONS(2697),
    [anon_sym_BSLASHxt] = ACTIONS(2697),
    [anon_sym_BSLASHrq] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASHfig] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASHpb] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesb] = ACTIONS(2697),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(5384),
    [aux_sym_text_token1] = ACTIONS(5384),
    [anon_sym_BSLASHref] = ACTIONS(5386),
    [anon_sym_BSLASHsts] = ACTIONS(5386),
    [anon_sym_BSLASHrem] = ACTIONS(5386),
    [anon_sym_BSLASHrestore] = ACTIONS(5386),
    [anon_sym_BSLASHlit] = ACTIONS(5386),
    [anon_sym_BSLASHip] = ACTIONS(5386),
    [anon_sym_BSLASHiex] = ACTIONS(5386),
    [anon_sym_BSLASHv] = ACTIONS(5386),
    [anon_sym_BSLASHva] = ACTIONS(5386),
    [anon_sym_BSLASHvp] = ACTIONS(5386),
    [anon_sym_BSLASHc] = ACTIONS(5386),
    [anon_sym_BSLASHcl] = ACTIONS(5386),
    [anon_sym_BSLASHca] = ACTIONS(5386),
    [anon_sym_BSLASHcp] = ACTIONS(5386),
    [anon_sym_BSLASHcd] = ACTIONS(5386),
    [anon_sym_BSLASHmte] = ACTIONS(5386),
    [anon_sym_BSLASHms] = ACTIONS(5386),
    [anon_sym_BSLASHs] = ACTIONS(5386),
    [anon_sym_BSLASHr] = ACTIONS(5386),
    [anon_sym_BSLASHsp] = ACTIONS(5386),
    [anon_sym_BSLASHd] = ACTIONS(5386),
    [anon_sym_BSLASHsd] = ACTIONS(5386),
    [anon_sym_BSLASHp] = ACTIONS(5386),
    [anon_sym_BSLASHm] = ACTIONS(5386),
    [anon_sym_BSLASHpo] = ACTIONS(5386),
    [anon_sym_BSLASHpr] = ACTIONS(5386),
    [anon_sym_BSLASHcls] = ACTIONS(5386),
    [anon_sym_BSLASHpmo] = ACTIONS(5386),
    [anon_sym_BSLASHpm] = ACTIONS(5386),
    [anon_sym_BSLASHpmc] = ACTIONS(5386),
    [anon_sym_BSLASHpmr] = ACTIONS(5386),
    [anon_sym_BSLASHpi] = ACTIONS(5386),
    [anon_sym_BSLASHmi] = ACTIONS(5386),
    [anon_sym_BSLASHnb] = ACTIONS(5386),
    [anon_sym_BSLASHpc] = ACTIONS(5386),
    [anon_sym_BSLASHph] = ACTIONS(5386),
    [anon_sym_BSLASHb] = ACTIONS(5386),
    [anon_sym_BSLASHq] = ACTIONS(5386),
    [anon_sym_BSLASHqr] = ACTIONS(5386),
    [anon_sym_BSLASHqc] = ACTIONS(5386),
    [anon_sym_BSLASHqs] = ACTIONS(5386),
    [anon_sym_BSLASHqa] = ACTIONS(5386),
    [anon_sym_BSLASHqac] = ACTIONS(5386),
    [anon_sym_BSLASHqm] = ACTIONS(5386),
    [anon_sym_BSLASHqd] = ACTIONS(5386),
    [anon_sym_BSLASHlh] = ACTIONS(5386),
    [anon_sym_BSLASHli] = ACTIONS(5386),
    [anon_sym_BSLASHlim] = ACTIONS(5386),
    [anon_sym_BSLASHtr] = ACTIONS(5386),
    [anon_sym_BSLASHf] = ACTIONS(5386),
    [anon_sym_BSLASHfe] = ACTIONS(5386),
    [anon_sym_BSLASHef] = ACTIONS(5386),
    [anon_sym_BSLASHfm] = ACTIONS(5386),
    [anon_sym_BSLASHx] = ACTIONS(5386),
    [anon_sym_BSLASHxt] = ACTIONS(5386),
    [anon_sym_BSLASHrq] = ACTIONS(5386),
    [anon_sym_BSLASHadd] = ACTIONS(5386),
    [anon_sym_BSLASHbk] = ACTIONS(5386),
    [anon_sym_BSLASHdc] = ACTIONS(5386),
    [anon_sym_BSLASHk] = ACTIONS(5386),
    [anon_sym_BSLASHnd] = ACTIONS(5386),
    [anon_sym_BSLASHord] = ACTIONS(5386),
    [anon_sym_BSLASHpn] = ACTIONS(5386),
    [anon_sym_BSLASHpng] = ACTIONS(5386),
    [anon_sym_BSLASHaddpn] = ACTIONS(5386),
    [anon_sym_BSLASHqt] = ACTIONS(5386),
    [anon_sym_BSLASHsig] = ACTIONS(5386),
    [anon_sym_BSLASHsls] = ACTIONS(5386),
    [anon_sym_BSLASHtl] = ACTIONS(5386),
    [anon_sym_BSLASHwj] = ACTIONS(5386),
    [anon_sym_BSLASHem] = ACTIONS(5386),
    [anon_sym_BSLASHbd] = ACTIONS(5386),
    [anon_sym_BSLASHit] = ACTIONS(5386),
    [anon_sym_BSLASHbdit] = ACTIONS(5386),
    [anon_sym_BSLASHno] = ACTIONS(5386),
    [anon_sym_BSLASHsc] = ACTIONS(5386),
    [anon_sym_BSLASHsup] = ACTIONS(5386),
    [anon_sym_BSLASHndx] = ACTIONS(5386),
    [anon_sym_BSLASHpro] = ACTIONS(5386),
    [anon_sym_BSLASHrb] = ACTIONS(5386),
    [anon_sym_BSLASHw] = ACTIONS(5386),
    [anon_sym_BSLASHwg] = ACTIONS(5386),
    [anon_sym_BSLASHwh] = ACTIONS(5386),
    [anon_sym_BSLASHwa] = ACTIONS(5386),
    [anon_sym_BSLASHfig] = ACTIONS(5386),
    [anon_sym_BSLASHjmp] = ACTIONS(5386),
    [anon_sym_BSLASHpb] = ACTIONS(5386),
    [anon_sym_BSLASH] = ACTIONS(5386),
    [sym_milestoneStartTag] = ACTIONS(5386),
    [sym_milestoneEndTag] = ACTIONS(5386),
    [sym_zSpaceTag] = ACTIONS(5386),
    [anon_sym_BSLASHesb] = ACTIONS(5386),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(5380),
    [aux_sym_text_token1] = ACTIONS(5380),
    [anon_sym_BSLASHref] = ACTIONS(5382),
    [anon_sym_BSLASHsts] = ACTIONS(5382),
    [anon_sym_BSLASHrem] = ACTIONS(5382),
    [anon_sym_BSLASHrestore] = ACTIONS(5382),
    [anon_sym_BSLASHlit] = ACTIONS(5382),
    [anon_sym_BSLASHip] = ACTIONS(5382),
    [anon_sym_BSLASHiex] = ACTIONS(5382),
    [anon_sym_BSLASHv] = ACTIONS(5382),
    [anon_sym_BSLASHva] = ACTIONS(5382),
    [anon_sym_BSLASHvp] = ACTIONS(5382),
    [anon_sym_BSLASHc] = ACTIONS(5382),
    [anon_sym_BSLASHcl] = ACTIONS(5382),
    [anon_sym_BSLASHca] = ACTIONS(5382),
    [anon_sym_BSLASHcp] = ACTIONS(5382),
    [anon_sym_BSLASHcd] = ACTIONS(5382),
    [anon_sym_BSLASHmte] = ACTIONS(5382),
    [anon_sym_BSLASHms] = ACTIONS(5382),
    [anon_sym_BSLASHs] = ACTIONS(5382),
    [anon_sym_BSLASHr] = ACTIONS(5382),
    [anon_sym_BSLASHsp] = ACTIONS(5382),
    [anon_sym_BSLASHd] = ACTIONS(5382),
    [anon_sym_BSLASHsd] = ACTIONS(5382),
    [anon_sym_BSLASHp] = ACTIONS(5382),
    [anon_sym_BSLASHm] = ACTIONS(5382),
    [anon_sym_BSLASHpo] = ACTIONS(5382),
    [anon_sym_BSLASHpr] = ACTIONS(5382),
    [anon_sym_BSLASHcls] = ACTIONS(5382),
    [anon_sym_BSLASHpmo] = ACTIONS(5382),
    [anon_sym_BSLASHpm] = ACTIONS(5382),
    [anon_sym_BSLASHpmc] = ACTIONS(5382),
    [anon_sym_BSLASHpmr] = ACTIONS(5382),
    [anon_sym_BSLASHpi] = ACTIONS(5382),
    [anon_sym_BSLASHmi] = ACTIONS(5382),
    [anon_sym_BSLASHnb] = ACTIONS(5382),
    [anon_sym_BSLASHpc] = ACTIONS(5382),
    [anon_sym_BSLASHph] = ACTIONS(5382),
    [anon_sym_BSLASHb] = ACTIONS(5382),
    [anon_sym_BSLASHq] = ACTIONS(5382),
    [anon_sym_BSLASHqr] = ACTIONS(5382),
    [anon_sym_BSLASHqc] = ACTIONS(5382),
    [anon_sym_BSLASHqs] = ACTIONS(5382),
    [anon_sym_BSLASHqa] = ACTIONS(5382),
    [anon_sym_BSLASHqac] = ACTIONS(5382),
    [anon_sym_BSLASHqm] = ACTIONS(5382),
    [anon_sym_BSLASHqd] = ACTIONS(5382),
    [anon_sym_BSLASHlh] = ACTIONS(5382),
    [anon_sym_BSLASHli] = ACTIONS(5382),
    [anon_sym_BSLASHlim] = ACTIONS(5382),
    [anon_sym_BSLASHtr] = ACTIONS(5382),
    [anon_sym_BSLASHf] = ACTIONS(5382),
    [anon_sym_BSLASHfe] = ACTIONS(5382),
    [anon_sym_BSLASHef] = ACTIONS(5382),
    [anon_sym_BSLASHfm] = ACTIONS(5382),
    [anon_sym_BSLASHx] = ACTIONS(5382),
    [anon_sym_BSLASHxt] = ACTIONS(5382),
    [anon_sym_BSLASHrq] = ACTIONS(5382),
    [anon_sym_BSLASHadd] = ACTIONS(5382),
    [anon_sym_BSLASHbk] = ACTIONS(5382),
    [anon_sym_BSLASHdc] = ACTIONS(5382),
    [anon_sym_BSLASHk] = ACTIONS(5382),
    [anon_sym_BSLASHnd] = ACTIONS(5382),
    [anon_sym_BSLASHord] = ACTIONS(5382),
    [anon_sym_BSLASHpn] = ACTIONS(5382),
    [anon_sym_BSLASHpng] = ACTIONS(5382),
    [anon_sym_BSLASHaddpn] = ACTIONS(5382),
    [anon_sym_BSLASHqt] = ACTIONS(5382),
    [anon_sym_BSLASHsig] = ACTIONS(5382),
    [anon_sym_BSLASHsls] = ACTIONS(5382),
    [anon_sym_BSLASHtl] = ACTIONS(5382),
    [anon_sym_BSLASHwj] = ACTIONS(5382),
    [anon_sym_BSLASHem] = ACTIONS(5382),
    [anon_sym_BSLASHbd] = ACTIONS(5382),
    [anon_sym_BSLASHit] = ACTIONS(5382),
    [anon_sym_BSLASHbdit] = ACTIONS(5382),
    [anon_sym_BSLASHno] = ACTIONS(5382),
    [anon_sym_BSLASHsc] = ACTIONS(5382),
    [anon_sym_BSLASHsup] = ACTIONS(5382),
    [anon_sym_BSLASHndx] = ACTIONS(5382),
    [anon_sym_BSLASHpro] = ACTIONS(5382),
    [anon_sym_BSLASHrb] = ACTIONS(5382),
    [anon_sym_BSLASHw] = ACTIONS(5382),
    [anon_sym_BSLASHwg] = ACTIONS(5382),
    [anon_sym_BSLASHwh] = ACTIONS(5382),
    [anon_sym_BSLASHwa] = ACTIONS(5382),
    [anon_sym_BSLASHfig] = ACTIONS(5382),
    [anon_sym_BSLASHjmp] = ACTIONS(5382),
    [anon_sym_BSLASHpb] = ACTIONS(5382),
    [anon_sym_BSLASH] = ACTIONS(5382),
    [sym_milestoneStartTag] = ACTIONS(5382),
    [sym_milestoneEndTag] = ACTIONS(5382),
    [sym_zSpaceTag] = ACTIONS(5382),
    [anon_sym_BSLASHesb] = ACTIONS(5382),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(5462),
    [aux_sym_text_token1] = ACTIONS(5462),
    [anon_sym_BSLASHref] = ACTIONS(5464),
    [anon_sym_BSLASHsts] = ACTIONS(5464),
    [anon_sym_BSLASHrem] = ACTIONS(5464),
    [anon_sym_BSLASHrestore] = ACTIONS(5464),
    [anon_sym_BSLASHlit] = ACTIONS(5464),
    [anon_sym_BSLASHip] = ACTIONS(5464),
    [anon_sym_BSLASHiex] = ACTIONS(5464),
    [anon_sym_BSLASHv] = ACTIONS(5464),
    [anon_sym_BSLASHva] = ACTIONS(5464),
    [anon_sym_BSLASHvp] = ACTIONS(5464),
    [anon_sym_BSLASHc] = ACTIONS(5464),
    [anon_sym_BSLASHcl] = ACTIONS(5464),
    [anon_sym_BSLASHca] = ACTIONS(5464),
    [anon_sym_BSLASHcp] = ACTIONS(5464),
    [anon_sym_BSLASHcd] = ACTIONS(5464),
    [anon_sym_BSLASHmte] = ACTIONS(5464),
    [anon_sym_BSLASHms] = ACTIONS(5464),
    [anon_sym_BSLASHs] = ACTIONS(5464),
    [anon_sym_BSLASHr] = ACTIONS(5464),
    [anon_sym_BSLASHsp] = ACTIONS(5464),
    [anon_sym_BSLASHd] = ACTIONS(5464),
    [anon_sym_BSLASHsd] = ACTIONS(5464),
    [anon_sym_BSLASHp] = ACTIONS(5464),
    [anon_sym_BSLASHm] = ACTIONS(5464),
    [anon_sym_BSLASHpo] = ACTIONS(5464),
    [anon_sym_BSLASHpr] = ACTIONS(5464),
    [anon_sym_BSLASHcls] = ACTIONS(5464),
    [anon_sym_BSLASHpmo] = ACTIONS(5464),
    [anon_sym_BSLASHpm] = ACTIONS(5464),
    [anon_sym_BSLASHpmc] = ACTIONS(5464),
    [anon_sym_BSLASHpmr] = ACTIONS(5464),
    [anon_sym_BSLASHpi] = ACTIONS(5464),
    [anon_sym_BSLASHmi] = ACTIONS(5464),
    [anon_sym_BSLASHnb] = ACTIONS(5464),
    [anon_sym_BSLASHpc] = ACTIONS(5464),
    [anon_sym_BSLASHph] = ACTIONS(5464),
    [anon_sym_BSLASHb] = ACTIONS(5464),
    [anon_sym_BSLASHq] = ACTIONS(5464),
    [anon_sym_BSLASHqr] = ACTIONS(5464),
    [anon_sym_BSLASHqc] = ACTIONS(5464),
    [anon_sym_BSLASHqs] = ACTIONS(5464),
    [anon_sym_BSLASHqa] = ACTIONS(5464),
    [anon_sym_BSLASHqac] = ACTIONS(5464),
    [anon_sym_BSLASHqm] = ACTIONS(5464),
    [anon_sym_BSLASHqd] = ACTIONS(5464),
    [anon_sym_BSLASHlh] = ACTIONS(5464),
    [anon_sym_BSLASHli] = ACTIONS(5464),
    [anon_sym_BSLASHlim] = ACTIONS(5464),
    [anon_sym_BSLASHtr] = ACTIONS(5464),
    [anon_sym_BSLASHf] = ACTIONS(5464),
    [anon_sym_BSLASHfe] = ACTIONS(5464),
    [anon_sym_BSLASHef] = ACTIONS(5464),
    [anon_sym_BSLASHfm] = ACTIONS(5464),
    [anon_sym_BSLASHx] = ACTIONS(5464),
    [anon_sym_BSLASHxt] = ACTIONS(5464),
    [anon_sym_BSLASHrq] = ACTIONS(5464),
    [anon_sym_BSLASHadd] = ACTIONS(5464),
    [anon_sym_BSLASHbk] = ACTIONS(5464),
    [anon_sym_BSLASHdc] = ACTIONS(5464),
    [anon_sym_BSLASHk] = ACTIONS(5464),
    [anon_sym_BSLASHnd] = ACTIONS(5464),
    [anon_sym_BSLASHord] = ACTIONS(5464),
    [anon_sym_BSLASHpn] = ACTIONS(5464),
    [anon_sym_BSLASHpng] = ACTIONS(5464),
    [anon_sym_BSLASHaddpn] = ACTIONS(5464),
    [anon_sym_BSLASHqt] = ACTIONS(5464),
    [anon_sym_BSLASHsig] = ACTIONS(5464),
    [anon_sym_BSLASHsls] = ACTIONS(5464),
    [anon_sym_BSLASHtl] = ACTIONS(5464),
    [anon_sym_BSLASHwj] = ACTIONS(5464),
    [anon_sym_BSLASHem] = ACTIONS(5464),
    [anon_sym_BSLASHbd] = ACTIONS(5464),
    [anon_sym_BSLASHit] = ACTIONS(5464),
    [anon_sym_BSLASHbdit] = ACTIONS(5464),
    [anon_sym_BSLASHno] = ACTIONS(5464),
    [anon_sym_BSLASHsc] = ACTIONS(5464),
    [anon_sym_BSLASHsup] = ACTIONS(5464),
    [anon_sym_BSLASHndx] = ACTIONS(5464),
    [anon_sym_BSLASHpro] = ACTIONS(5464),
    [anon_sym_BSLASHrb] = ACTIONS(5464),
    [anon_sym_BSLASHw] = ACTIONS(5464),
    [anon_sym_BSLASHwg] = ACTIONS(5464),
    [anon_sym_BSLASHwh] = ACTIONS(5464),
    [anon_sym_BSLASHwa] = ACTIONS(5464),
    [anon_sym_BSLASHfig] = ACTIONS(5464),
    [anon_sym_BSLASHjmp] = ACTIONS(5464),
    [anon_sym_BSLASHpb] = ACTIONS(5464),
    [anon_sym_BSLASH] = ACTIONS(5464),
    [sym_milestoneStartTag] = ACTIONS(5464),
    [sym_milestoneEndTag] = ACTIONS(5464),
    [sym_zSpaceTag] = ACTIONS(5464),
    [anon_sym_BSLASHesb] = ACTIONS(5464),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(9),
    [aux_sym_text_token1] = ACTIONS(9),
    [anon_sym_BSLASHref] = ACTIONS(11),
    [anon_sym_BSLASHsts] = ACTIONS(11),
    [anon_sym_BSLASHrem] = ACTIONS(11),
    [anon_sym_BSLASHrestore] = ACTIONS(11),
    [anon_sym_BSLASHlit] = ACTIONS(11),
    [anon_sym_BSLASHip] = ACTIONS(11),
    [anon_sym_BSLASHiex] = ACTIONS(11),
    [anon_sym_BSLASHv] = ACTIONS(11),
    [anon_sym_BSLASHva] = ACTIONS(11),
    [anon_sym_BSLASHvp] = ACTIONS(11),
    [anon_sym_BSLASHc] = ACTIONS(11),
    [anon_sym_BSLASHcl] = ACTIONS(11),
    [anon_sym_BSLASHca] = ACTIONS(11),
    [anon_sym_BSLASHcp] = ACTIONS(11),
    [anon_sym_BSLASHcd] = ACTIONS(11),
    [anon_sym_BSLASHmte] = ACTIONS(11),
    [anon_sym_BSLASHms] = ACTIONS(11),
    [anon_sym_BSLASHs] = ACTIONS(11),
    [anon_sym_BSLASHr] = ACTIONS(11),
    [anon_sym_BSLASHsp] = ACTIONS(11),
    [anon_sym_BSLASHd] = ACTIONS(11),
    [anon_sym_BSLASHsd] = ACTIONS(11),
    [anon_sym_BSLASHp] = ACTIONS(11),
    [anon_sym_BSLASHm] = ACTIONS(11),
    [anon_sym_BSLASHpo] = ACTIONS(11),
    [anon_sym_BSLASHpr] = ACTIONS(11),
    [anon_sym_BSLASHcls] = ACTIONS(11),
    [anon_sym_BSLASHpmo] = ACTIONS(11),
    [anon_sym_BSLASHpm] = ACTIONS(11),
    [anon_sym_BSLASHpmc] = ACTIONS(11),
    [anon_sym_BSLASHpmr] = ACTIONS(11),
    [anon_sym_BSLASHpi] = ACTIONS(11),
    [anon_sym_BSLASHmi] = ACTIONS(11),
    [anon_sym_BSLASHnb] = ACTIONS(11),
    [anon_sym_BSLASHpc] = ACTIONS(11),
    [anon_sym_BSLASHph] = ACTIONS(11),
    [anon_sym_BSLASHb] = ACTIONS(11),
    [anon_sym_BSLASHq] = ACTIONS(11),
    [anon_sym_BSLASHqr] = ACTIONS(11),
    [anon_sym_BSLASHqc] = ACTIONS(11),
    [anon_sym_BSLASHqs] = ACTIONS(11),
    [anon_sym_BSLASHqa] = ACTIONS(11),
    [anon_sym_BSLASHqac] = ACTIONS(11),
    [anon_sym_BSLASHqm] = ACTIONS(11),
    [anon_sym_BSLASHqd] = ACTIONS(11),
    [anon_sym_BSLASHlh] = ACTIONS(11),
    [anon_sym_BSLASHli] = ACTIONS(11),
    [anon_sym_BSLASHlim] = ACTIONS(11),
    [anon_sym_BSLASHtr] = ACTIONS(11),
    [anon_sym_BSLASHf] = ACTIONS(11),
    [anon_sym_BSLASHfe] = ACTIONS(11),
    [anon_sym_BSLASHef] = ACTIONS(11),
    [anon_sym_BSLASHfm] = ACTIONS(11),
    [anon_sym_BSLASHx] = ACTIONS(11),
    [anon_sym_BSLASHxt] = ACTIONS(11),
    [anon_sym_BSLASHrq] = ACTIONS(11),
    [anon_sym_BSLASHadd] = ACTIONS(11),
    [anon_sym_BSLASHbk] = ACTIONS(11),
    [anon_sym_BSLASHdc] = ACTIONS(11),
    [anon_sym_BSLASHk] = ACTIONS(11),
    [anon_sym_BSLASHnd] = ACTIONS(11),
    [anon_sym_BSLASHord] = ACTIONS(11),
    [anon_sym_BSLASHpn] = ACTIONS(11),
    [anon_sym_BSLASHpng] = ACTIONS(11),
    [anon_sym_BSLASHaddpn] = ACTIONS(11),
    [anon_sym_BSLASHqt] = ACTIONS(11),
    [anon_sym_BSLASHsig] = ACTIONS(11),
    [anon_sym_BSLASHsls] = ACTIONS(11),
    [anon_sym_BSLASHtl] = ACTIONS(11),
    [anon_sym_BSLASHwj] = ACTIONS(11),
    [anon_sym_BSLASHem] = ACTIONS(11),
    [anon_sym_BSLASHbd] = ACTIONS(11),
    [anon_sym_BSLASHit] = ACTIONS(11),
    [anon_sym_BSLASHbdit] = ACTIONS(11),
    [anon_sym_BSLASHno] = ACTIONS(11),
    [anon_sym_BSLASHsc] = ACTIONS(11),
    [anon_sym_BSLASHsup] = ACTIONS(11),
    [anon_sym_BSLASHndx] = ACTIONS(11),
    [anon_sym_BSLASHpro] = ACTIONS(11),
    [anon_sym_BSLASHrb] = ACTIONS(11),
    [anon_sym_BSLASHw] = ACTIONS(11),
    [anon_sym_BSLASHwg] = ACTIONS(11),
    [anon_sym_BSLASHwh] = ACTIONS(11),
    [anon_sym_BSLASHwa] = ACTIONS(11),
    [anon_sym_BSLASHfig] = ACTIONS(11),
    [anon_sym_BSLASHjmp] = ACTIONS(11),
    [anon_sym_BSLASHpb] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(11),
    [sym_milestoneStartTag] = ACTIONS(11),
    [sym_milestoneEndTag] = ACTIONS(11),
    [sym_zSpaceTag] = ACTIONS(11),
    [anon_sym_BSLASHesb] = ACTIONS(11),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(2691),
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHref] = ACTIONS(2693),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHiex] = ACTIONS(2693),
    [anon_sym_BSLASHv] = ACTIONS(2693),
    [anon_sym_BSLASHva] = ACTIONS(2693),
    [anon_sym_BSLASHvp] = ACTIONS(2693),
    [anon_sym_BSLASHc] = ACTIONS(2693),
    [anon_sym_BSLASHcl] = ACTIONS(2693),
    [anon_sym_BSLASHca] = ACTIONS(2693),
    [anon_sym_BSLASHcp] = ACTIONS(2693),
    [anon_sym_BSLASHcd] = ACTIONS(2693),
    [anon_sym_BSLASHmte] = ACTIONS(2693),
    [anon_sym_BSLASHms] = ACTIONS(2693),
    [anon_sym_BSLASHs] = ACTIONS(2693),
    [anon_sym_BSLASHr] = ACTIONS(2693),
    [anon_sym_BSLASHsp] = ACTIONS(2693),
    [anon_sym_BSLASHd] = ACTIONS(2693),
    [anon_sym_BSLASHsd] = ACTIONS(2693),
    [anon_sym_BSLASHp] = ACTIONS(2693),
    [anon_sym_BSLASHm] = ACTIONS(2693),
    [anon_sym_BSLASHpo] = ACTIONS(2693),
    [anon_sym_BSLASHpr] = ACTIONS(2693),
    [anon_sym_BSLASHcls] = ACTIONS(2693),
    [anon_sym_BSLASHpmo] = ACTIONS(2693),
    [anon_sym_BSLASHpm] = ACTIONS(2693),
    [anon_sym_BSLASHpmc] = ACTIONS(2693),
    [anon_sym_BSLASHpmr] = ACTIONS(2693),
    [anon_sym_BSLASHpi] = ACTIONS(2693),
    [anon_sym_BSLASHmi] = ACTIONS(2693),
    [anon_sym_BSLASHnb] = ACTIONS(2693),
    [anon_sym_BSLASHpc] = ACTIONS(2693),
    [anon_sym_BSLASHph] = ACTIONS(2693),
    [anon_sym_BSLASHb] = ACTIONS(2693),
    [anon_sym_BSLASHq] = ACTIONS(2693),
    [anon_sym_BSLASHqr] = ACTIONS(2693),
    [anon_sym_BSLASHqc] = ACTIONS(2693),
    [anon_sym_BSLASHqs] = ACTIONS(2693),
    [anon_sym_BSLASHqa] = ACTIONS(2693),
    [anon_sym_BSLASHqac] = ACTIONS(2693),
    [anon_sym_BSLASHqm] = ACTIONS(2693),
    [anon_sym_BSLASHqd] = ACTIONS(2693),
    [anon_sym_BSLASHlh] = ACTIONS(2693),
    [anon_sym_BSLASHli] = ACTIONS(2693),
    [anon_sym_BSLASHlim] = ACTIONS(2693),
    [anon_sym_BSLASHtr] = ACTIONS(2693),
    [anon_sym_BSLASHf] = ACTIONS(2693),
    [anon_sym_BSLASHfe] = ACTIONS(2693),
    [anon_sym_BSLASHef] = ACTIONS(2693),
    [anon_sym_BSLASHfm] = ACTIONS(2693),
    [anon_sym_BSLASHx] = ACTIONS(2693),
    [anon_sym_BSLASHxt] = ACTIONS(2693),
    [anon_sym_BSLASHrq] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASHfig] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASHpb] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesb] = ACTIONS(2693),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(2687),
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHref] = ACTIONS(2689),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHiex] = ACTIONS(2689),
    [anon_sym_BSLASHv] = ACTIONS(2689),
    [anon_sym_BSLASHva] = ACTIONS(2689),
    [anon_sym_BSLASHvp] = ACTIONS(2689),
    [anon_sym_BSLASHc] = ACTIONS(2689),
    [anon_sym_BSLASHcl] = ACTIONS(2689),
    [anon_sym_BSLASHca] = ACTIONS(2689),
    [anon_sym_BSLASHcp] = ACTIONS(2689),
    [anon_sym_BSLASHcd] = ACTIONS(2689),
    [anon_sym_BSLASHmte] = ACTIONS(2689),
    [anon_sym_BSLASHms] = ACTIONS(2689),
    [anon_sym_BSLASHs] = ACTIONS(2689),
    [anon_sym_BSLASHr] = ACTIONS(2689),
    [anon_sym_BSLASHsp] = ACTIONS(2689),
    [anon_sym_BSLASHd] = ACTIONS(2689),
    [anon_sym_BSLASHsd] = ACTIONS(2689),
    [anon_sym_BSLASHp] = ACTIONS(2689),
    [anon_sym_BSLASHm] = ACTIONS(2689),
    [anon_sym_BSLASHpo] = ACTIONS(2689),
    [anon_sym_BSLASHpr] = ACTIONS(2689),
    [anon_sym_BSLASHcls] = ACTIONS(2689),
    [anon_sym_BSLASHpmo] = ACTIONS(2689),
    [anon_sym_BSLASHpm] = ACTIONS(2689),
    [anon_sym_BSLASHpmc] = ACTIONS(2689),
    [anon_sym_BSLASHpmr] = ACTIONS(2689),
    [anon_sym_BSLASHpi] = ACTIONS(2689),
    [anon_sym_BSLASHmi] = ACTIONS(2689),
    [anon_sym_BSLASHnb] = ACTIONS(2689),
    [anon_sym_BSLASHpc] = ACTIONS(2689),
    [anon_sym_BSLASHph] = ACTIONS(2689),
    [anon_sym_BSLASHb] = ACTIONS(2689),
    [anon_sym_BSLASHq] = ACTIONS(2689),
    [anon_sym_BSLASHqr] = ACTIONS(2689),
    [anon_sym_BSLASHqc] = ACTIONS(2689),
    [anon_sym_BSLASHqs] = ACTIONS(2689),
    [anon_sym_BSLASHqa] = ACTIONS(2689),
    [anon_sym_BSLASHqac] = ACTIONS(2689),
    [anon_sym_BSLASHqm] = ACTIONS(2689),
    [anon_sym_BSLASHqd] = ACTIONS(2689),
    [anon_sym_BSLASHlh] = ACTIONS(2689),
    [anon_sym_BSLASHli] = ACTIONS(2689),
    [anon_sym_BSLASHlim] = ACTIONS(2689),
    [anon_sym_BSLASHtr] = ACTIONS(2689),
    [anon_sym_BSLASHf] = ACTIONS(2689),
    [anon_sym_BSLASHfe] = ACTIONS(2689),
    [anon_sym_BSLASHef] = ACTIONS(2689),
    [anon_sym_BSLASHfm] = ACTIONS(2689),
    [anon_sym_BSLASHx] = ACTIONS(2689),
    [anon_sym_BSLASHxt] = ACTIONS(2689),
    [anon_sym_BSLASHrq] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASHfig] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASHpb] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesb] = ACTIONS(2689),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(2619),
    [aux_sym_text_token1] = ACTIONS(2619),
    [anon_sym_BSLASHref] = ACTIONS(2621),
    [anon_sym_BSLASHsts] = ACTIONS(2621),
    [anon_sym_BSLASHrem] = ACTIONS(2621),
    [anon_sym_BSLASHrestore] = ACTIONS(2621),
    [anon_sym_BSLASHlit] = ACTIONS(2621),
    [anon_sym_BSLASHip] = ACTIONS(2621),
    [anon_sym_BSLASHiex] = ACTIONS(2621),
    [anon_sym_BSLASHv] = ACTIONS(2621),
    [anon_sym_BSLASHva] = ACTIONS(2621),
    [anon_sym_BSLASHvp] = ACTIONS(2621),
    [anon_sym_BSLASHc] = ACTIONS(2621),
    [anon_sym_BSLASHcl] = ACTIONS(2621),
    [anon_sym_BSLASHca] = ACTIONS(2621),
    [anon_sym_BSLASHcp] = ACTIONS(2621),
    [anon_sym_BSLASHcd] = ACTIONS(2621),
    [anon_sym_BSLASHmte] = ACTIONS(2621),
    [anon_sym_BSLASHms] = ACTIONS(2621),
    [anon_sym_BSLASHs] = ACTIONS(2621),
    [anon_sym_BSLASHr] = ACTIONS(2621),
    [anon_sym_BSLASHsp] = ACTIONS(2621),
    [anon_sym_BSLASHd] = ACTIONS(2621),
    [anon_sym_BSLASHsd] = ACTIONS(2621),
    [anon_sym_BSLASHp] = ACTIONS(2621),
    [anon_sym_BSLASHm] = ACTIONS(2621),
    [anon_sym_BSLASHpo] = ACTIONS(2621),
    [anon_sym_BSLASHpr] = ACTIONS(2621),
    [anon_sym_BSLASHcls] = ACTIONS(2621),
    [anon_sym_BSLASHpmo] = ACTIONS(2621),
    [anon_sym_BSLASHpm] = ACTIONS(2621),
    [anon_sym_BSLASHpmc] = ACTIONS(2621),
    [anon_sym_BSLASHpmr] = ACTIONS(2621),
    [anon_sym_BSLASHpi] = ACTIONS(2621),
    [anon_sym_BSLASHmi] = ACTIONS(2621),
    [anon_sym_BSLASHnb] = ACTIONS(2621),
    [anon_sym_BSLASHpc] = ACTIONS(2621),
    [anon_sym_BSLASHph] = ACTIONS(2621),
    [anon_sym_BSLASHb] = ACTIONS(2621),
    [anon_sym_BSLASHq] = ACTIONS(2621),
    [anon_sym_BSLASHqr] = ACTIONS(2621),
    [anon_sym_BSLASHqc] = ACTIONS(2621),
    [anon_sym_BSLASHqs] = ACTIONS(2621),
    [anon_sym_BSLASHqa] = ACTIONS(2621),
    [anon_sym_BSLASHqac] = ACTIONS(2621),
    [anon_sym_BSLASHqm] = ACTIONS(2621),
    [anon_sym_BSLASHqd] = ACTIONS(2621),
    [anon_sym_BSLASHlh] = ACTIONS(2621),
    [anon_sym_BSLASHli] = ACTIONS(2621),
    [anon_sym_BSLASHlim] = ACTIONS(2621),
    [anon_sym_BSLASHtr] = ACTIONS(2621),
    [anon_sym_BSLASHf] = ACTIONS(2621),
    [anon_sym_BSLASHfe] = ACTIONS(2621),
    [anon_sym_BSLASHef] = ACTIONS(2621),
    [anon_sym_BSLASHfm] = ACTIONS(2621),
    [anon_sym_BSLASHx] = ACTIONS(2621),
    [anon_sym_BSLASHxt] = ACTIONS(2621),
    [anon_sym_BSLASHrq] = ACTIONS(2621),
    [anon_sym_BSLASHadd] = ACTIONS(2621),
    [anon_sym_BSLASHbk] = ACTIONS(2621),
    [anon_sym_BSLASHdc] = ACTIONS(2621),
    [anon_sym_BSLASHk] = ACTIONS(2621),
    [anon_sym_BSLASHnd] = ACTIONS(2621),
    [anon_sym_BSLASHord] = ACTIONS(2621),
    [anon_sym_BSLASHpn] = ACTIONS(2621),
    [anon_sym_BSLASHpng] = ACTIONS(2621),
    [anon_sym_BSLASHaddpn] = ACTIONS(2621),
    [anon_sym_BSLASHqt] = ACTIONS(2621),
    [anon_sym_BSLASHsig] = ACTIONS(2621),
    [anon_sym_BSLASHsls] = ACTIONS(2621),
    [anon_sym_BSLASHtl] = ACTIONS(2621),
    [anon_sym_BSLASHwj] = ACTIONS(2621),
    [anon_sym_BSLASHem] = ACTIONS(2621),
    [anon_sym_BSLASHbd] = ACTIONS(2621),
    [anon_sym_BSLASHit] = ACTIONS(2621),
    [anon_sym_BSLASHbdit] = ACTIONS(2621),
    [anon_sym_BSLASHno] = ACTIONS(2621),
    [anon_sym_BSLASHsc] = ACTIONS(2621),
    [anon_sym_BSLASHsup] = ACTIONS(2621),
    [anon_sym_BSLASHndx] = ACTIONS(2621),
    [anon_sym_BSLASHpro] = ACTIONS(2621),
    [anon_sym_BSLASHrb] = ACTIONS(2621),
    [anon_sym_BSLASHw] = ACTIONS(2621),
    [anon_sym_BSLASHwg] = ACTIONS(2621),
    [anon_sym_BSLASHwh] = ACTIONS(2621),
    [anon_sym_BSLASHwa] = ACTIONS(2621),
    [anon_sym_BSLASHfig] = ACTIONS(2621),
    [anon_sym_BSLASHjmp] = ACTIONS(2621),
    [anon_sym_BSLASHpb] = ACTIONS(2621),
    [anon_sym_BSLASH] = ACTIONS(2621),
    [sym_milestoneStartTag] = ACTIONS(2621),
    [sym_milestoneEndTag] = ACTIONS(2621),
    [sym_zSpaceTag] = ACTIONS(2621),
    [anon_sym_BSLASHesb] = ACTIONS(2621),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(5376),
    [aux_sym_text_token1] = ACTIONS(5376),
    [anon_sym_BSLASHref] = ACTIONS(5378),
    [anon_sym_BSLASHsts] = ACTIONS(5378),
    [anon_sym_BSLASHrem] = ACTIONS(5378),
    [anon_sym_BSLASHrestore] = ACTIONS(5378),
    [anon_sym_BSLASHlit] = ACTIONS(5378),
    [anon_sym_BSLASHip] = ACTIONS(5378),
    [anon_sym_BSLASHiex] = ACTIONS(5378),
    [anon_sym_BSLASHv] = ACTIONS(5378),
    [anon_sym_BSLASHva] = ACTIONS(5378),
    [anon_sym_BSLASHvp] = ACTIONS(5378),
    [anon_sym_BSLASHc] = ACTIONS(5378),
    [anon_sym_BSLASHcl] = ACTIONS(5378),
    [anon_sym_BSLASHca] = ACTIONS(5378),
    [anon_sym_BSLASHcp] = ACTIONS(5378),
    [anon_sym_BSLASHcd] = ACTIONS(5378),
    [anon_sym_BSLASHmte] = ACTIONS(5378),
    [anon_sym_BSLASHms] = ACTIONS(5378),
    [anon_sym_BSLASHs] = ACTIONS(5378),
    [anon_sym_BSLASHr] = ACTIONS(5378),
    [anon_sym_BSLASHsp] = ACTIONS(5378),
    [anon_sym_BSLASHd] = ACTIONS(5378),
    [anon_sym_BSLASHsd] = ACTIONS(5378),
    [anon_sym_BSLASHp] = ACTIONS(5378),
    [anon_sym_BSLASHm] = ACTIONS(5378),
    [anon_sym_BSLASHpo] = ACTIONS(5378),
    [anon_sym_BSLASHpr] = ACTIONS(5378),
    [anon_sym_BSLASHcls] = ACTIONS(5378),
    [anon_sym_BSLASHpmo] = ACTIONS(5378),
    [anon_sym_BSLASHpm] = ACTIONS(5378),
    [anon_sym_BSLASHpmc] = ACTIONS(5378),
    [anon_sym_BSLASHpmr] = ACTIONS(5378),
    [anon_sym_BSLASHpi] = ACTIONS(5378),
    [anon_sym_BSLASHmi] = ACTIONS(5378),
    [anon_sym_BSLASHnb] = ACTIONS(5378),
    [anon_sym_BSLASHpc] = ACTIONS(5378),
    [anon_sym_BSLASHph] = ACTIONS(5378),
    [anon_sym_BSLASHb] = ACTIONS(5378),
    [anon_sym_BSLASHq] = ACTIONS(5378),
    [anon_sym_BSLASHqr] = ACTIONS(5378),
    [anon_sym_BSLASHqc] = ACTIONS(5378),
    [anon_sym_BSLASHqs] = ACTIONS(5378),
    [anon_sym_BSLASHqa] = ACTIONS(5378),
    [anon_sym_BSLASHqac] = ACTIONS(5378),
    [anon_sym_BSLASHqm] = ACTIONS(5378),
    [anon_sym_BSLASHqd] = ACTIONS(5378),
    [anon_sym_BSLASHlh] = ACTIONS(5378),
    [anon_sym_BSLASHli] = ACTIONS(5378),
    [anon_sym_BSLASHlim] = ACTIONS(5378),
    [anon_sym_BSLASHtr] = ACTIONS(5378),
    [anon_sym_BSLASHf] = ACTIONS(5378),
    [anon_sym_BSLASHfe] = ACTIONS(5378),
    [anon_sym_BSLASHef] = ACTIONS(5378),
    [anon_sym_BSLASHfm] = ACTIONS(5378),
    [anon_sym_BSLASHx] = ACTIONS(5378),
    [anon_sym_BSLASHxt] = ACTIONS(5378),
    [anon_sym_BSLASHrq] = ACTIONS(5378),
    [anon_sym_BSLASHadd] = ACTIONS(5378),
    [anon_sym_BSLASHbk] = ACTIONS(5378),
    [anon_sym_BSLASHdc] = ACTIONS(5378),
    [anon_sym_BSLASHk] = ACTIONS(5378),
    [anon_sym_BSLASHnd] = ACTIONS(5378),
    [anon_sym_BSLASHord] = ACTIONS(5378),
    [anon_sym_BSLASHpn] = ACTIONS(5378),
    [anon_sym_BSLASHpng] = ACTIONS(5378),
    [anon_sym_BSLASHaddpn] = ACTIONS(5378),
    [anon_sym_BSLASHqt] = ACTIONS(5378),
    [anon_sym_BSLASHsig] = ACTIONS(5378),
    [anon_sym_BSLASHsls] = ACTIONS(5378),
    [anon_sym_BSLASHtl] = ACTIONS(5378),
    [anon_sym_BSLASHwj] = ACTIONS(5378),
    [anon_sym_BSLASHem] = ACTIONS(5378),
    [anon_sym_BSLASHbd] = ACTIONS(5378),
    [anon_sym_BSLASHit] = ACTIONS(5378),
    [anon_sym_BSLASHbdit] = ACTIONS(5378),
    [anon_sym_BSLASHno] = ACTIONS(5378),
    [anon_sym_BSLASHsc] = ACTIONS(5378),
    [anon_sym_BSLASHsup] = ACTIONS(5378),
    [anon_sym_BSLASHndx] = ACTIONS(5378),
    [anon_sym_BSLASHpro] = ACTIONS(5378),
    [anon_sym_BSLASHrb] = ACTIONS(5378),
    [anon_sym_BSLASHw] = ACTIONS(5378),
    [anon_sym_BSLASHwg] = ACTIONS(5378),
    [anon_sym_BSLASHwh] = ACTIONS(5378),
    [anon_sym_BSLASHwa] = ACTIONS(5378),
    [anon_sym_BSLASHfig] = ACTIONS(5378),
    [anon_sym_BSLASHjmp] = ACTIONS(5378),
    [anon_sym_BSLASHpb] = ACTIONS(5378),
    [anon_sym_BSLASH] = ACTIONS(5378),
    [sym_milestoneStartTag] = ACTIONS(5378),
    [sym_milestoneEndTag] = ACTIONS(5378),
    [sym_zSpaceTag] = ACTIONS(5378),
    [anon_sym_BSLASHesb] = ACTIONS(5378),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(3088),
    [aux_sym_text_token1] = ACTIONS(3088),
    [anon_sym_BSLASHref] = ACTIONS(3090),
    [anon_sym_BSLASHsts] = ACTIONS(3090),
    [anon_sym_BSLASHrem] = ACTIONS(3090),
    [anon_sym_BSLASHrestore] = ACTIONS(3090),
    [anon_sym_BSLASHlit] = ACTIONS(3090),
    [anon_sym_BSLASHip] = ACTIONS(3090),
    [anon_sym_BSLASHiex] = ACTIONS(3090),
    [anon_sym_BSLASHv] = ACTIONS(3090),
    [anon_sym_BSLASHva] = ACTIONS(3090),
    [anon_sym_BSLASHvp] = ACTIONS(3090),
    [anon_sym_BSLASHc] = ACTIONS(3090),
    [anon_sym_BSLASHcl] = ACTIONS(3090),
    [anon_sym_BSLASHca] = ACTIONS(3090),
    [anon_sym_BSLASHcp] = ACTIONS(3090),
    [anon_sym_BSLASHcd] = ACTIONS(3090),
    [anon_sym_BSLASHmte] = ACTIONS(3090),
    [anon_sym_BSLASHms] = ACTIONS(3090),
    [anon_sym_BSLASHs] = ACTIONS(3090),
    [anon_sym_BSLASHr] = ACTIONS(3090),
    [anon_sym_BSLASHsp] = ACTIONS(3090),
    [anon_sym_BSLASHd] = ACTIONS(3090),
    [anon_sym_BSLASHsd] = ACTIONS(3090),
    [anon_sym_BSLASHp] = ACTIONS(3090),
    [anon_sym_BSLASHm] = ACTIONS(3090),
    [anon_sym_BSLASHpo] = ACTIONS(3090),
    [anon_sym_BSLASHpr] = ACTIONS(3090),
    [anon_sym_BSLASHcls] = ACTIONS(3090),
    [anon_sym_BSLASHpmo] = ACTIONS(3090),
    [anon_sym_BSLASHpm] = ACTIONS(3090),
    [anon_sym_BSLASHpmc] = ACTIONS(3090),
    [anon_sym_BSLASHpmr] = ACTIONS(3090),
    [anon_sym_BSLASHpi] = ACTIONS(3090),
    [anon_sym_BSLASHmi] = ACTIONS(3090),
    [anon_sym_BSLASHnb] = ACTIONS(3090),
    [anon_sym_BSLASHpc] = ACTIONS(3090),
    [anon_sym_BSLASHph] = ACTIONS(3090),
    [anon_sym_BSLASHb] = ACTIONS(3090),
    [anon_sym_BSLASHq] = ACTIONS(3090),
    [anon_sym_BSLASHqr] = ACTIONS(3090),
    [anon_sym_BSLASHqc] = ACTIONS(3090),
    [anon_sym_BSLASHqs] = ACTIONS(3090),
    [anon_sym_BSLASHqa] = ACTIONS(3090),
    [anon_sym_BSLASHqac] = ACTIONS(3090),
    [anon_sym_BSLASHqm] = ACTIONS(3090),
    [anon_sym_BSLASHqd] = ACTIONS(3090),
    [anon_sym_BSLASHlh] = ACTIONS(3090),
    [anon_sym_BSLASHli] = ACTIONS(3090),
    [anon_sym_BSLASHlim] = ACTIONS(3090),
    [anon_sym_BSLASHtr] = ACTIONS(3090),
    [anon_sym_BSLASHf] = ACTIONS(3090),
    [anon_sym_BSLASHfe] = ACTIONS(3090),
    [anon_sym_BSLASHef] = ACTIONS(3090),
    [anon_sym_BSLASHfm] = ACTIONS(3090),
    [anon_sym_BSLASHx] = ACTIONS(3090),
    [anon_sym_BSLASHxt] = ACTIONS(3090),
    [anon_sym_BSLASHrq] = ACTIONS(3090),
    [anon_sym_BSLASHadd] = ACTIONS(3090),
    [anon_sym_BSLASHbk] = ACTIONS(3090),
    [anon_sym_BSLASHdc] = ACTIONS(3090),
    [anon_sym_BSLASHk] = ACTIONS(3090),
    [anon_sym_BSLASHnd] = ACTIONS(3090),
    [anon_sym_BSLASHord] = ACTIONS(3090),
    [anon_sym_BSLASHpn] = ACTIONS(3090),
    [anon_sym_BSLASHpng] = ACTIONS(3090),
    [anon_sym_BSLASHaddpn] = ACTIONS(3090),
    [anon_sym_BSLASHqt] = ACTIONS(3090),
    [anon_sym_BSLASHsig] = ACTIONS(3090),
    [anon_sym_BSLASHsls] = ACTIONS(3090),
    [anon_sym_BSLASHtl] = ACTIONS(3090),
    [anon_sym_BSLASHwj] = ACTIONS(3090),
    [anon_sym_BSLASHem] = ACTIONS(3090),
    [anon_sym_BSLASHbd] = ACTIONS(3090),
    [anon_sym_BSLASHit] = ACTIONS(3090),
    [anon_sym_BSLASHbdit] = ACTIONS(3090),
    [anon_sym_BSLASHno] = ACTIONS(3090),
    [anon_sym_BSLASHsc] = ACTIONS(3090),
    [anon_sym_BSLASHsup] = ACTIONS(3090),
    [anon_sym_BSLASHndx] = ACTIONS(3090),
    [anon_sym_BSLASHpro] = ACTIONS(3090),
    [anon_sym_BSLASHrb] = ACTIONS(3090),
    [anon_sym_BSLASHw] = ACTIONS(3090),
    [anon_sym_BSLASHwg] = ACTIONS(3090),
    [anon_sym_BSLASHwh] = ACTIONS(3090),
    [anon_sym_BSLASHwa] = ACTIONS(3090),
    [anon_sym_BSLASHfig] = ACTIONS(3090),
    [anon_sym_BSLASHjmp] = ACTIONS(3090),
    [anon_sym_BSLASHpb] = ACTIONS(3090),
    [anon_sym_BSLASH] = ACTIONS(3090),
    [sym_milestoneStartTag] = ACTIONS(3090),
    [sym_milestoneEndTag] = ACTIONS(3090),
    [sym_zSpaceTag] = ACTIONS(3090),
    [anon_sym_BSLASHesb] = ACTIONS(3090),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(3064),
    [aux_sym_text_token1] = ACTIONS(3064),
    [anon_sym_BSLASHref] = ACTIONS(3066),
    [anon_sym_BSLASHsts] = ACTIONS(3066),
    [anon_sym_BSLASHrem] = ACTIONS(3066),
    [anon_sym_BSLASHrestore] = ACTIONS(3066),
    [anon_sym_BSLASHlit] = ACTIONS(3066),
    [anon_sym_BSLASHip] = ACTIONS(3066),
    [anon_sym_BSLASHiex] = ACTIONS(3066),
    [anon_sym_BSLASHv] = ACTIONS(3066),
    [anon_sym_BSLASHva] = ACTIONS(3066),
    [anon_sym_BSLASHvp] = ACTIONS(3066),
    [anon_sym_BSLASHc] = ACTIONS(3066),
    [anon_sym_BSLASHcl] = ACTIONS(3066),
    [anon_sym_BSLASHca] = ACTIONS(3066),
    [anon_sym_BSLASHcp] = ACTIONS(3066),
    [anon_sym_BSLASHcd] = ACTIONS(3066),
    [anon_sym_BSLASHmte] = ACTIONS(3066),
    [anon_sym_BSLASHms] = ACTIONS(3066),
    [anon_sym_BSLASHs] = ACTIONS(3066),
    [anon_sym_BSLASHr] = ACTIONS(3066),
    [anon_sym_BSLASHsp] = ACTIONS(3066),
    [anon_sym_BSLASHd] = ACTIONS(3066),
    [anon_sym_BSLASHsd] = ACTIONS(3066),
    [anon_sym_BSLASHp] = ACTIONS(3066),
    [anon_sym_BSLASHm] = ACTIONS(3066),
    [anon_sym_BSLASHpo] = ACTIONS(3066),
    [anon_sym_BSLASHpr] = ACTIONS(3066),
    [anon_sym_BSLASHcls] = ACTIONS(3066),
    [anon_sym_BSLASHpmo] = ACTIONS(3066),
    [anon_sym_BSLASHpm] = ACTIONS(3066),
    [anon_sym_BSLASHpmc] = ACTIONS(3066),
    [anon_sym_BSLASHpmr] = ACTIONS(3066),
    [anon_sym_BSLASHpi] = ACTIONS(3066),
    [anon_sym_BSLASHmi] = ACTIONS(3066),
    [anon_sym_BSLASHnb] = ACTIONS(3066),
    [anon_sym_BSLASHpc] = ACTIONS(3066),
    [anon_sym_BSLASHph] = ACTIONS(3066),
    [anon_sym_BSLASHb] = ACTIONS(3066),
    [anon_sym_BSLASHq] = ACTIONS(3066),
    [anon_sym_BSLASHqr] = ACTIONS(3066),
    [anon_sym_BSLASHqc] = ACTIONS(3066),
    [anon_sym_BSLASHqs] = ACTIONS(3066),
    [anon_sym_BSLASHqa] = ACTIONS(3066),
    [anon_sym_BSLASHqac] = ACTIONS(3066),
    [anon_sym_BSLASHqm] = ACTIONS(3066),
    [anon_sym_BSLASHqd] = ACTIONS(3066),
    [anon_sym_BSLASHlh] = ACTIONS(3066),
    [anon_sym_BSLASHli] = ACTIONS(3066),
    [anon_sym_BSLASHlim] = ACTIONS(3066),
    [anon_sym_BSLASHtr] = ACTIONS(3066),
    [anon_sym_BSLASHf] = ACTIONS(3066),
    [anon_sym_BSLASHfe] = ACTIONS(3066),
    [anon_sym_BSLASHef] = ACTIONS(3066),
    [anon_sym_BSLASHfm] = ACTIONS(3066),
    [anon_sym_BSLASHx] = ACTIONS(3066),
    [anon_sym_BSLASHxt] = ACTIONS(3066),
    [anon_sym_BSLASHrq] = ACTIONS(3066),
    [anon_sym_BSLASHadd] = ACTIONS(3066),
    [anon_sym_BSLASHbk] = ACTIONS(3066),
    [anon_sym_BSLASHdc] = ACTIONS(3066),
    [anon_sym_BSLASHk] = ACTIONS(3066),
    [anon_sym_BSLASHnd] = ACTIONS(3066),
    [anon_sym_BSLASHord] = ACTIONS(3066),
    [anon_sym_BSLASHpn] = ACTIONS(3066),
    [anon_sym_BSLASHpng] = ACTIONS(3066),
    [anon_sym_BSLASHaddpn] = ACTIONS(3066),
    [anon_sym_BSLASHqt] = ACTIONS(3066),
    [anon_sym_BSLASHsig] = ACTIONS(3066),
    [anon_sym_BSLASHsls] = ACTIONS(3066),
    [anon_sym_BSLASHtl] = ACTIONS(3066),
    [anon_sym_BSLASHwj] = ACTIONS(3066),
    [anon_sym_BSLASHem] = ACTIONS(3066),
    [anon_sym_BSLASHbd] = ACTIONS(3066),
    [anon_sym_BSLASHit] = ACTIONS(3066),
    [anon_sym_BSLASHbdit] = ACTIONS(3066),
    [anon_sym_BSLASHno] = ACTIONS(3066),
    [anon_sym_BSLASHsc] = ACTIONS(3066),
    [anon_sym_BSLASHsup] = ACTIONS(3066),
    [anon_sym_BSLASHndx] = ACTIONS(3066),
    [anon_sym_BSLASHpro] = ACTIONS(3066),
    [anon_sym_BSLASHrb] = ACTIONS(3066),
    [anon_sym_BSLASHw] = ACTIONS(3066),
    [anon_sym_BSLASHwg] = ACTIONS(3066),
    [anon_sym_BSLASHwh] = ACTIONS(3066),
    [anon_sym_BSLASHwa] = ACTIONS(3066),
    [anon_sym_BSLASHfig] = ACTIONS(3066),
    [anon_sym_BSLASHjmp] = ACTIONS(3066),
    [anon_sym_BSLASHpb] = ACTIONS(3066),
    [anon_sym_BSLASH] = ACTIONS(3066),
    [sym_milestoneStartTag] = ACTIONS(3066),
    [sym_milestoneEndTag] = ACTIONS(3066),
    [sym_zSpaceTag] = ACTIONS(3066),
    [anon_sym_BSLASHesb] = ACTIONS(3066),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(5372),
    [aux_sym_text_token1] = ACTIONS(5372),
    [anon_sym_BSLASHref] = ACTIONS(5374),
    [anon_sym_BSLASHsts] = ACTIONS(5374),
    [anon_sym_BSLASHrem] = ACTIONS(5374),
    [anon_sym_BSLASHrestore] = ACTIONS(5374),
    [anon_sym_BSLASHlit] = ACTIONS(5374),
    [anon_sym_BSLASHip] = ACTIONS(5374),
    [anon_sym_BSLASHiex] = ACTIONS(5374),
    [anon_sym_BSLASHv] = ACTIONS(5374),
    [anon_sym_BSLASHva] = ACTIONS(5374),
    [anon_sym_BSLASHvp] = ACTIONS(5374),
    [anon_sym_BSLASHc] = ACTIONS(5374),
    [anon_sym_BSLASHcl] = ACTIONS(5374),
    [anon_sym_BSLASHca] = ACTIONS(5374),
    [anon_sym_BSLASHcp] = ACTIONS(5374),
    [anon_sym_BSLASHcd] = ACTIONS(5374),
    [anon_sym_BSLASHmte] = ACTIONS(5374),
    [anon_sym_BSLASHms] = ACTIONS(5374),
    [anon_sym_BSLASHs] = ACTIONS(5374),
    [anon_sym_BSLASHr] = ACTIONS(5374),
    [anon_sym_BSLASHsp] = ACTIONS(5374),
    [anon_sym_BSLASHd] = ACTIONS(5374),
    [anon_sym_BSLASHsd] = ACTIONS(5374),
    [anon_sym_BSLASHp] = ACTIONS(5374),
    [anon_sym_BSLASHm] = ACTIONS(5374),
    [anon_sym_BSLASHpo] = ACTIONS(5374),
    [anon_sym_BSLASHpr] = ACTIONS(5374),
    [anon_sym_BSLASHcls] = ACTIONS(5374),
    [anon_sym_BSLASHpmo] = ACTIONS(5374),
    [anon_sym_BSLASHpm] = ACTIONS(5374),
    [anon_sym_BSLASHpmc] = ACTIONS(5374),
    [anon_sym_BSLASHpmr] = ACTIONS(5374),
    [anon_sym_BSLASHpi] = ACTIONS(5374),
    [anon_sym_BSLASHmi] = ACTIONS(5374),
    [anon_sym_BSLASHnb] = ACTIONS(5374),
    [anon_sym_BSLASHpc] = ACTIONS(5374),
    [anon_sym_BSLASHph] = ACTIONS(5374),
    [anon_sym_BSLASHb] = ACTIONS(5374),
    [anon_sym_BSLASHq] = ACTIONS(5374),
    [anon_sym_BSLASHqr] = ACTIONS(5374),
    [anon_sym_BSLASHqc] = ACTIONS(5374),
    [anon_sym_BSLASHqs] = ACTIONS(5374),
    [anon_sym_BSLASHqa] = ACTIONS(5374),
    [anon_sym_BSLASHqac] = ACTIONS(5374),
    [anon_sym_BSLASHqm] = ACTIONS(5374),
    [anon_sym_BSLASHqd] = ACTIONS(5374),
    [anon_sym_BSLASHlh] = ACTIONS(5374),
    [anon_sym_BSLASHli] = ACTIONS(5374),
    [anon_sym_BSLASHlim] = ACTIONS(5374),
    [anon_sym_BSLASHtr] = ACTIONS(5374),
    [anon_sym_BSLASHf] = ACTIONS(5374),
    [anon_sym_BSLASHfe] = ACTIONS(5374),
    [anon_sym_BSLASHef] = ACTIONS(5374),
    [anon_sym_BSLASHfm] = ACTIONS(5374),
    [anon_sym_BSLASHx] = ACTIONS(5374),
    [anon_sym_BSLASHxt] = ACTIONS(5374),
    [anon_sym_BSLASHrq] = ACTIONS(5374),
    [anon_sym_BSLASHadd] = ACTIONS(5374),
    [anon_sym_BSLASHbk] = ACTIONS(5374),
    [anon_sym_BSLASHdc] = ACTIONS(5374),
    [anon_sym_BSLASHk] = ACTIONS(5374),
    [anon_sym_BSLASHnd] = ACTIONS(5374),
    [anon_sym_BSLASHord] = ACTIONS(5374),
    [anon_sym_BSLASHpn] = ACTIONS(5374),
    [anon_sym_BSLASHpng] = ACTIONS(5374),
    [anon_sym_BSLASHaddpn] = ACTIONS(5374),
    [anon_sym_BSLASHqt] = ACTIONS(5374),
    [anon_sym_BSLASHsig] = ACTIONS(5374),
    [anon_sym_BSLASHsls] = ACTIONS(5374),
    [anon_sym_BSLASHtl] = ACTIONS(5374),
    [anon_sym_BSLASHwj] = ACTIONS(5374),
    [anon_sym_BSLASHem] = ACTIONS(5374),
    [anon_sym_BSLASHbd] = ACTIONS(5374),
    [anon_sym_BSLASHit] = ACTIONS(5374),
    [anon_sym_BSLASHbdit] = ACTIONS(5374),
    [anon_sym_BSLASHno] = ACTIONS(5374),
    [anon_sym_BSLASHsc] = ACTIONS(5374),
    [anon_sym_BSLASHsup] = ACTIONS(5374),
    [anon_sym_BSLASHndx] = ACTIONS(5374),
    [anon_sym_BSLASHpro] = ACTIONS(5374),
    [anon_sym_BSLASHrb] = ACTIONS(5374),
    [anon_sym_BSLASHw] = ACTIONS(5374),
    [anon_sym_BSLASHwg] = ACTIONS(5374),
    [anon_sym_BSLASHwh] = ACTIONS(5374),
    [anon_sym_BSLASHwa] = ACTIONS(5374),
    [anon_sym_BSLASHfig] = ACTIONS(5374),
    [anon_sym_BSLASHjmp] = ACTIONS(5374),
    [anon_sym_BSLASHpb] = ACTIONS(5374),
    [anon_sym_BSLASH] = ACTIONS(5374),
    [sym_milestoneStartTag] = ACTIONS(5374),
    [sym_milestoneEndTag] = ACTIONS(5374),
    [sym_zSpaceTag] = ACTIONS(5374),
    [anon_sym_BSLASHesb] = ACTIONS(5374),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(21),
    [aux_sym_text_token1] = ACTIONS(21),
    [anon_sym_BSLASHref] = ACTIONS(23),
    [anon_sym_BSLASHsts] = ACTIONS(23),
    [anon_sym_BSLASHrem] = ACTIONS(23),
    [anon_sym_BSLASHrestore] = ACTIONS(23),
    [anon_sym_BSLASHlit] = ACTIONS(23),
    [anon_sym_BSLASHip] = ACTIONS(23),
    [anon_sym_BSLASHiex] = ACTIONS(23),
    [anon_sym_BSLASHv] = ACTIONS(23),
    [anon_sym_BSLASHva] = ACTIONS(23),
    [anon_sym_BSLASHvp] = ACTIONS(23),
    [anon_sym_BSLASHc] = ACTIONS(23),
    [anon_sym_BSLASHcl] = ACTIONS(23),
    [anon_sym_BSLASHca] = ACTIONS(23),
    [anon_sym_BSLASHcp] = ACTIONS(23),
    [anon_sym_BSLASHcd] = ACTIONS(23),
    [anon_sym_BSLASHmte] = ACTIONS(23),
    [anon_sym_BSLASHms] = ACTIONS(23),
    [anon_sym_BSLASHs] = ACTIONS(23),
    [anon_sym_BSLASHr] = ACTIONS(23),
    [anon_sym_BSLASHsp] = ACTIONS(23),
    [anon_sym_BSLASHd] = ACTIONS(23),
    [anon_sym_BSLASHsd] = ACTIONS(23),
    [anon_sym_BSLASHp] = ACTIONS(23),
    [anon_sym_BSLASHm] = ACTIONS(23),
    [anon_sym_BSLASHpo] = ACTIONS(23),
    [anon_sym_BSLASHpr] = ACTIONS(23),
    [anon_sym_BSLASHcls] = ACTIONS(23),
    [anon_sym_BSLASHpmo] = ACTIONS(23),
    [anon_sym_BSLASHpm] = ACTIONS(23),
    [anon_sym_BSLASHpmc] = ACTIONS(23),
    [anon_sym_BSLASHpmr] = ACTIONS(23),
    [anon_sym_BSLASHpi] = ACTIONS(23),
    [anon_sym_BSLASHmi] = ACTIONS(23),
    [anon_sym_BSLASHnb] = ACTIONS(23),
    [anon_sym_BSLASHpc] = ACTIONS(23),
    [anon_sym_BSLASHph] = ACTIONS(23),
    [anon_sym_BSLASHb] = ACTIONS(23),
    [anon_sym_BSLASHq] = ACTIONS(23),
    [anon_sym_BSLASHqr] = ACTIONS(23),
    [anon_sym_BSLASHqc] = ACTIONS(23),
    [anon_sym_BSLASHqs] = ACTIONS(23),
    [anon_sym_BSLASHqa] = ACTIONS(23),
    [anon_sym_BSLASHqac] = ACTIONS(23),
    [anon_sym_BSLASHqm] = ACTIONS(23),
    [anon_sym_BSLASHqd] = ACTIONS(23),
    [anon_sym_BSLASHlh] = ACTIONS(23),
    [anon_sym_BSLASHli] = ACTIONS(23),
    [anon_sym_BSLASHlim] = ACTIONS(23),
    [anon_sym_BSLASHtr] = ACTIONS(23),
    [anon_sym_BSLASHf] = ACTIONS(23),
    [anon_sym_BSLASHfe] = ACTIONS(23),
    [anon_sym_BSLASHef] = ACTIONS(23),
    [anon_sym_BSLASHfm] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(23),
    [anon_sym_BSLASHxt] = ACTIONS(23),
    [anon_sym_BSLASHrq] = ACTIONS(23),
    [anon_sym_BSLASHadd] = ACTIONS(23),
    [anon_sym_BSLASHbk] = ACTIONS(23),
    [anon_sym_BSLASHdc] = ACTIONS(23),
    [anon_sym_BSLASHk] = ACTIONS(23),
    [anon_sym_BSLASHnd] = ACTIONS(23),
    [anon_sym_BSLASHord] = ACTIONS(23),
    [anon_sym_BSLASHpn] = ACTIONS(23),
    [anon_sym_BSLASHpng] = ACTIONS(23),
    [anon_sym_BSLASHaddpn] = ACTIONS(23),
    [anon_sym_BSLASHqt] = ACTIONS(23),
    [anon_sym_BSLASHsig] = ACTIONS(23),
    [anon_sym_BSLASHsls] = ACTIONS(23),
    [anon_sym_BSLASHtl] = ACTIONS(23),
    [anon_sym_BSLASHwj] = ACTIONS(23),
    [anon_sym_BSLASHem] = ACTIONS(23),
    [anon_sym_BSLASHbd] = ACTIONS(23),
    [anon_sym_BSLASHit] = ACTIONS(23),
    [anon_sym_BSLASHbdit] = ACTIONS(23),
    [anon_sym_BSLASHno] = ACTIONS(23),
    [anon_sym_BSLASHsc] = ACTIONS(23),
    [anon_sym_BSLASHsup] = ACTIONS(23),
    [anon_sym_BSLASHndx] = ACTIONS(23),
    [anon_sym_BSLASHpro] = ACTIONS(23),
    [anon_sym_BSLASHrb] = ACTIONS(23),
    [anon_sym_BSLASHw] = ACTIONS(23),
    [anon_sym_BSLASHwg] = ACTIONS(23),
    [anon_sym_BSLASHwh] = ACTIONS(23),
    [anon_sym_BSLASHwa] = ACTIONS(23),
    [anon_sym_BSLASHfig] = ACTIONS(23),
    [anon_sym_BSLASHjmp] = ACTIONS(23),
    [anon_sym_BSLASHpb] = ACTIONS(23),
    [anon_sym_BSLASH] = ACTIONS(23),
    [sym_milestoneStartTag] = ACTIONS(23),
    [sym_milestoneEndTag] = ACTIONS(23),
    [sym_zSpaceTag] = ACTIONS(23),
    [anon_sym_BSLASHesb] = ACTIONS(23),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(5436),
    [aux_sym_text_token1] = ACTIONS(5436),
    [anon_sym_BSLASHref] = ACTIONS(5438),
    [anon_sym_BSLASHsts] = ACTIONS(5438),
    [anon_sym_BSLASHrem] = ACTIONS(5438),
    [anon_sym_BSLASHrestore] = ACTIONS(5438),
    [anon_sym_BSLASHlit] = ACTIONS(5438),
    [anon_sym_BSLASHip] = ACTIONS(5438),
    [anon_sym_BSLASHiex] = ACTIONS(5438),
    [anon_sym_BSLASHv] = ACTIONS(5438),
    [anon_sym_BSLASHva] = ACTIONS(5438),
    [anon_sym_BSLASHvp] = ACTIONS(5438),
    [anon_sym_BSLASHc] = ACTIONS(5438),
    [anon_sym_BSLASHcl] = ACTIONS(5438),
    [anon_sym_BSLASHca] = ACTIONS(5438),
    [anon_sym_BSLASHcp] = ACTIONS(5438),
    [anon_sym_BSLASHcd] = ACTIONS(5438),
    [anon_sym_BSLASHmte] = ACTIONS(5438),
    [anon_sym_BSLASHms] = ACTIONS(5438),
    [anon_sym_BSLASHs] = ACTIONS(5438),
    [anon_sym_BSLASHr] = ACTIONS(5438),
    [anon_sym_BSLASHsp] = ACTIONS(5438),
    [anon_sym_BSLASHd] = ACTIONS(5438),
    [anon_sym_BSLASHsd] = ACTIONS(5438),
    [anon_sym_BSLASHp] = ACTIONS(5438),
    [anon_sym_BSLASHm] = ACTIONS(5438),
    [anon_sym_BSLASHpo] = ACTIONS(5438),
    [anon_sym_BSLASHpr] = ACTIONS(5438),
    [anon_sym_BSLASHcls] = ACTIONS(5438),
    [anon_sym_BSLASHpmo] = ACTIONS(5438),
    [anon_sym_BSLASHpm] = ACTIONS(5438),
    [anon_sym_BSLASHpmc] = ACTIONS(5438),
    [anon_sym_BSLASHpmr] = ACTIONS(5438),
    [anon_sym_BSLASHpi] = ACTIONS(5438),
    [anon_sym_BSLASHmi] = ACTIONS(5438),
    [anon_sym_BSLASHnb] = ACTIONS(5438),
    [anon_sym_BSLASHpc] = ACTIONS(5438),
    [anon_sym_BSLASHph] = ACTIONS(5438),
    [anon_sym_BSLASHb] = ACTIONS(5438),
    [anon_sym_BSLASHq] = ACTIONS(5438),
    [anon_sym_BSLASHqr] = ACTIONS(5438),
    [anon_sym_BSLASHqc] = ACTIONS(5438),
    [anon_sym_BSLASHqs] = ACTIONS(5438),
    [anon_sym_BSLASHqa] = ACTIONS(5438),
    [anon_sym_BSLASHqac] = ACTIONS(5438),
    [anon_sym_BSLASHqm] = ACTIONS(5438),
    [anon_sym_BSLASHqd] = ACTIONS(5438),
    [anon_sym_BSLASHlh] = ACTIONS(5438),
    [anon_sym_BSLASHli] = ACTIONS(5438),
    [anon_sym_BSLASHlim] = ACTIONS(5438),
    [anon_sym_BSLASHtr] = ACTIONS(5438),
    [anon_sym_BSLASHf] = ACTIONS(5438),
    [anon_sym_BSLASHfe] = ACTIONS(5438),
    [anon_sym_BSLASHef] = ACTIONS(5438),
    [anon_sym_BSLASHfm] = ACTIONS(5438),
    [anon_sym_BSLASHx] = ACTIONS(5438),
    [anon_sym_BSLASHxt] = ACTIONS(5438),
    [anon_sym_BSLASHrq] = ACTIONS(5438),
    [anon_sym_BSLASHadd] = ACTIONS(5438),
    [anon_sym_BSLASHbk] = ACTIONS(5438),
    [anon_sym_BSLASHdc] = ACTIONS(5438),
    [anon_sym_BSLASHk] = ACTIONS(5438),
    [anon_sym_BSLASHnd] = ACTIONS(5438),
    [anon_sym_BSLASHord] = ACTIONS(5438),
    [anon_sym_BSLASHpn] = ACTIONS(5438),
    [anon_sym_BSLASHpng] = ACTIONS(5438),
    [anon_sym_BSLASHaddpn] = ACTIONS(5438),
    [anon_sym_BSLASHqt] = ACTIONS(5438),
    [anon_sym_BSLASHsig] = ACTIONS(5438),
    [anon_sym_BSLASHsls] = ACTIONS(5438),
    [anon_sym_BSLASHtl] = ACTIONS(5438),
    [anon_sym_BSLASHwj] = ACTIONS(5438),
    [anon_sym_BSLASHem] = ACTIONS(5438),
    [anon_sym_BSLASHbd] = ACTIONS(5438),
    [anon_sym_BSLASHit] = ACTIONS(5438),
    [anon_sym_BSLASHbdit] = ACTIONS(5438),
    [anon_sym_BSLASHno] = ACTIONS(5438),
    [anon_sym_BSLASHsc] = ACTIONS(5438),
    [anon_sym_BSLASHsup] = ACTIONS(5438),
    [anon_sym_BSLASHndx] = ACTIONS(5438),
    [anon_sym_BSLASHpro] = ACTIONS(5438),
    [anon_sym_BSLASHrb] = ACTIONS(5438),
    [anon_sym_BSLASHw] = ACTIONS(5438),
    [anon_sym_BSLASHwg] = ACTIONS(5438),
    [anon_sym_BSLASHwh] = ACTIONS(5438),
    [anon_sym_BSLASHwa] = ACTIONS(5438),
    [anon_sym_BSLASHfig] = ACTIONS(5438),
    [anon_sym_BSLASHjmp] = ACTIONS(5438),
    [anon_sym_BSLASHpb] = ACTIONS(5438),
    [anon_sym_BSLASH] = ACTIONS(5438),
    [sym_milestoneStartTag] = ACTIONS(5438),
    [sym_milestoneEndTag] = ACTIONS(5438),
    [sym_zSpaceTag] = ACTIONS(5438),
    [anon_sym_BSLASHesb] = ACTIONS(5438),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(5392),
    [aux_sym_text_token1] = ACTIONS(5392),
    [anon_sym_BSLASHref] = ACTIONS(5394),
    [anon_sym_BSLASHsts] = ACTIONS(5394),
    [anon_sym_BSLASHrem] = ACTIONS(5394),
    [anon_sym_BSLASHrestore] = ACTIONS(5394),
    [anon_sym_BSLASHlit] = ACTIONS(5394),
    [anon_sym_BSLASHip] = ACTIONS(5394),
    [anon_sym_BSLASHiex] = ACTIONS(5394),
    [anon_sym_BSLASHv] = ACTIONS(5394),
    [anon_sym_BSLASHva] = ACTIONS(5394),
    [anon_sym_BSLASHvp] = ACTIONS(5394),
    [anon_sym_BSLASHc] = ACTIONS(5394),
    [anon_sym_BSLASHcl] = ACTIONS(5394),
    [anon_sym_BSLASHca] = ACTIONS(5394),
    [anon_sym_BSLASHcp] = ACTIONS(5394),
    [anon_sym_BSLASHcd] = ACTIONS(5394),
    [anon_sym_BSLASHmte] = ACTIONS(5394),
    [anon_sym_BSLASHms] = ACTIONS(5394),
    [anon_sym_BSLASHs] = ACTIONS(5394),
    [anon_sym_BSLASHr] = ACTIONS(5394),
    [anon_sym_BSLASHsp] = ACTIONS(5394),
    [anon_sym_BSLASHd] = ACTIONS(5394),
    [anon_sym_BSLASHsd] = ACTIONS(5394),
    [anon_sym_BSLASHp] = ACTIONS(5394),
    [anon_sym_BSLASHm] = ACTIONS(5394),
    [anon_sym_BSLASHpo] = ACTIONS(5394),
    [anon_sym_BSLASHpr] = ACTIONS(5394),
    [anon_sym_BSLASHcls] = ACTIONS(5394),
    [anon_sym_BSLASHpmo] = ACTIONS(5394),
    [anon_sym_BSLASHpm] = ACTIONS(5394),
    [anon_sym_BSLASHpmc] = ACTIONS(5394),
    [anon_sym_BSLASHpmr] = ACTIONS(5394),
    [anon_sym_BSLASHpi] = ACTIONS(5394),
    [anon_sym_BSLASHmi] = ACTIONS(5394),
    [anon_sym_BSLASHnb] = ACTIONS(5394),
    [anon_sym_BSLASHpc] = ACTIONS(5394),
    [anon_sym_BSLASHph] = ACTIONS(5394),
    [anon_sym_BSLASHb] = ACTIONS(5394),
    [anon_sym_BSLASHq] = ACTIONS(5394),
    [anon_sym_BSLASHqr] = ACTIONS(5394),
    [anon_sym_BSLASHqc] = ACTIONS(5394),
    [anon_sym_BSLASHqs] = ACTIONS(5394),
    [anon_sym_BSLASHqa] = ACTIONS(5394),
    [anon_sym_BSLASHqac] = ACTIONS(5394),
    [anon_sym_BSLASHqm] = ACTIONS(5394),
    [anon_sym_BSLASHqd] = ACTIONS(5394),
    [anon_sym_BSLASHlh] = ACTIONS(5394),
    [anon_sym_BSLASHli] = ACTIONS(5394),
    [anon_sym_BSLASHlim] = ACTIONS(5394),
    [anon_sym_BSLASHtr] = ACTIONS(5394),
    [anon_sym_BSLASHf] = ACTIONS(5394),
    [anon_sym_BSLASHfe] = ACTIONS(5394),
    [anon_sym_BSLASHef] = ACTIONS(5394),
    [anon_sym_BSLASHfm] = ACTIONS(5394),
    [anon_sym_BSLASHx] = ACTIONS(5394),
    [anon_sym_BSLASHxt] = ACTIONS(5394),
    [anon_sym_BSLASHrq] = ACTIONS(5394),
    [anon_sym_BSLASHadd] = ACTIONS(5394),
    [anon_sym_BSLASHbk] = ACTIONS(5394),
    [anon_sym_BSLASHdc] = ACTIONS(5394),
    [anon_sym_BSLASHk] = ACTIONS(5394),
    [anon_sym_BSLASHnd] = ACTIONS(5394),
    [anon_sym_BSLASHord] = ACTIONS(5394),
    [anon_sym_BSLASHpn] = ACTIONS(5394),
    [anon_sym_BSLASHpng] = ACTIONS(5394),
    [anon_sym_BSLASHaddpn] = ACTIONS(5394),
    [anon_sym_BSLASHqt] = ACTIONS(5394),
    [anon_sym_BSLASHsig] = ACTIONS(5394),
    [anon_sym_BSLASHsls] = ACTIONS(5394),
    [anon_sym_BSLASHtl] = ACTIONS(5394),
    [anon_sym_BSLASHwj] = ACTIONS(5394),
    [anon_sym_BSLASHem] = ACTIONS(5394),
    [anon_sym_BSLASHbd] = ACTIONS(5394),
    [anon_sym_BSLASHit] = ACTIONS(5394),
    [anon_sym_BSLASHbdit] = ACTIONS(5394),
    [anon_sym_BSLASHno] = ACTIONS(5394),
    [anon_sym_BSLASHsc] = ACTIONS(5394),
    [anon_sym_BSLASHsup] = ACTIONS(5394),
    [anon_sym_BSLASHndx] = ACTIONS(5394),
    [anon_sym_BSLASHpro] = ACTIONS(5394),
    [anon_sym_BSLASHrb] = ACTIONS(5394),
    [anon_sym_BSLASHw] = ACTIONS(5394),
    [anon_sym_BSLASHwg] = ACTIONS(5394),
    [anon_sym_BSLASHwh] = ACTIONS(5394),
    [anon_sym_BSLASHwa] = ACTIONS(5394),
    [anon_sym_BSLASHfig] = ACTIONS(5394),
    [anon_sym_BSLASHjmp] = ACTIONS(5394),
    [anon_sym_BSLASHpb] = ACTIONS(5394),
    [anon_sym_BSLASH] = ACTIONS(5394),
    [sym_milestoneStartTag] = ACTIONS(5394),
    [sym_milestoneEndTag] = ACTIONS(5394),
    [sym_zSpaceTag] = ACTIONS(5394),
    [anon_sym_BSLASHesb] = ACTIONS(5394),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(5368),
    [aux_sym_text_token1] = ACTIONS(5368),
    [anon_sym_BSLASHref] = ACTIONS(5370),
    [anon_sym_BSLASHsts] = ACTIONS(5370),
    [anon_sym_BSLASHrem] = ACTIONS(5370),
    [anon_sym_BSLASHrestore] = ACTIONS(5370),
    [anon_sym_BSLASHlit] = ACTIONS(5370),
    [anon_sym_BSLASHip] = ACTIONS(5370),
    [anon_sym_BSLASHiex] = ACTIONS(5370),
    [anon_sym_BSLASHv] = ACTIONS(5370),
    [anon_sym_BSLASHva] = ACTIONS(5370),
    [anon_sym_BSLASHvp] = ACTIONS(5370),
    [anon_sym_BSLASHc] = ACTIONS(5370),
    [anon_sym_BSLASHcl] = ACTIONS(5370),
    [anon_sym_BSLASHca] = ACTIONS(5370),
    [anon_sym_BSLASHcp] = ACTIONS(5370),
    [anon_sym_BSLASHcd] = ACTIONS(5370),
    [anon_sym_BSLASHmte] = ACTIONS(5370),
    [anon_sym_BSLASHms] = ACTIONS(5370),
    [anon_sym_BSLASHs] = ACTIONS(5370),
    [anon_sym_BSLASHr] = ACTIONS(5370),
    [anon_sym_BSLASHsp] = ACTIONS(5370),
    [anon_sym_BSLASHd] = ACTIONS(5370),
    [anon_sym_BSLASHsd] = ACTIONS(5370),
    [anon_sym_BSLASHp] = ACTIONS(5370),
    [anon_sym_BSLASHm] = ACTIONS(5370),
    [anon_sym_BSLASHpo] = ACTIONS(5370),
    [anon_sym_BSLASHpr] = ACTIONS(5370),
    [anon_sym_BSLASHcls] = ACTIONS(5370),
    [anon_sym_BSLASHpmo] = ACTIONS(5370),
    [anon_sym_BSLASHpm] = ACTIONS(5370),
    [anon_sym_BSLASHpmc] = ACTIONS(5370),
    [anon_sym_BSLASHpmr] = ACTIONS(5370),
    [anon_sym_BSLASHpi] = ACTIONS(5370),
    [anon_sym_BSLASHmi] = ACTIONS(5370),
    [anon_sym_BSLASHnb] = ACTIONS(5370),
    [anon_sym_BSLASHpc] = ACTIONS(5370),
    [anon_sym_BSLASHph] = ACTIONS(5370),
    [anon_sym_BSLASHb] = ACTIONS(5370),
    [anon_sym_BSLASHq] = ACTIONS(5370),
    [anon_sym_BSLASHqr] = ACTIONS(5370),
    [anon_sym_BSLASHqc] = ACTIONS(5370),
    [anon_sym_BSLASHqs] = ACTIONS(5370),
    [anon_sym_BSLASHqa] = ACTIONS(5370),
    [anon_sym_BSLASHqac] = ACTIONS(5370),
    [anon_sym_BSLASHqm] = ACTIONS(5370),
    [anon_sym_BSLASHqd] = ACTIONS(5370),
    [anon_sym_BSLASHlh] = ACTIONS(5370),
    [anon_sym_BSLASHli] = ACTIONS(5370),
    [anon_sym_BSLASHlim] = ACTIONS(5370),
    [anon_sym_BSLASHtr] = ACTIONS(5370),
    [anon_sym_BSLASHf] = ACTIONS(5370),
    [anon_sym_BSLASHfe] = ACTIONS(5370),
    [anon_sym_BSLASHef] = ACTIONS(5370),
    [anon_sym_BSLASHfm] = ACTIONS(5370),
    [anon_sym_BSLASHx] = ACTIONS(5370),
    [anon_sym_BSLASHxt] = ACTIONS(5370),
    [anon_sym_BSLASHrq] = ACTIONS(5370),
    [anon_sym_BSLASHadd] = ACTIONS(5370),
    [anon_sym_BSLASHbk] = ACTIONS(5370),
    [anon_sym_BSLASHdc] = ACTIONS(5370),
    [anon_sym_BSLASHk] = ACTIONS(5370),
    [anon_sym_BSLASHnd] = ACTIONS(5370),
    [anon_sym_BSLASHord] = ACTIONS(5370),
    [anon_sym_BSLASHpn] = ACTIONS(5370),
    [anon_sym_BSLASHpng] = ACTIONS(5370),
    [anon_sym_BSLASHaddpn] = ACTIONS(5370),
    [anon_sym_BSLASHqt] = ACTIONS(5370),
    [anon_sym_BSLASHsig] = ACTIONS(5370),
    [anon_sym_BSLASHsls] = ACTIONS(5370),
    [anon_sym_BSLASHtl] = ACTIONS(5370),
    [anon_sym_BSLASHwj] = ACTIONS(5370),
    [anon_sym_BSLASHem] = ACTIONS(5370),
    [anon_sym_BSLASHbd] = ACTIONS(5370),
    [anon_sym_BSLASHit] = ACTIONS(5370),
    [anon_sym_BSLASHbdit] = ACTIONS(5370),
    [anon_sym_BSLASHno] = ACTIONS(5370),
    [anon_sym_BSLASHsc] = ACTIONS(5370),
    [anon_sym_BSLASHsup] = ACTIONS(5370),
    [anon_sym_BSLASHndx] = ACTIONS(5370),
    [anon_sym_BSLASHpro] = ACTIONS(5370),
    [anon_sym_BSLASHrb] = ACTIONS(5370),
    [anon_sym_BSLASHw] = ACTIONS(5370),
    [anon_sym_BSLASHwg] = ACTIONS(5370),
    [anon_sym_BSLASHwh] = ACTIONS(5370),
    [anon_sym_BSLASHwa] = ACTIONS(5370),
    [anon_sym_BSLASHfig] = ACTIONS(5370),
    [anon_sym_BSLASHjmp] = ACTIONS(5370),
    [anon_sym_BSLASHpb] = ACTIONS(5370),
    [anon_sym_BSLASH] = ACTIONS(5370),
    [sym_milestoneStartTag] = ACTIONS(5370),
    [sym_milestoneEndTag] = ACTIONS(5370),
    [sym_zSpaceTag] = ACTIONS(5370),
    [anon_sym_BSLASHesb] = ACTIONS(5370),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(5364),
    [aux_sym_text_token1] = ACTIONS(5364),
    [anon_sym_BSLASHref] = ACTIONS(5366),
    [anon_sym_BSLASHsts] = ACTIONS(5366),
    [anon_sym_BSLASHrem] = ACTIONS(5366),
    [anon_sym_BSLASHrestore] = ACTIONS(5366),
    [anon_sym_BSLASHlit] = ACTIONS(5366),
    [anon_sym_BSLASHip] = ACTIONS(5366),
    [anon_sym_BSLASHiex] = ACTIONS(5366),
    [anon_sym_BSLASHv] = ACTIONS(5366),
    [anon_sym_BSLASHva] = ACTIONS(5366),
    [anon_sym_BSLASHvp] = ACTIONS(5366),
    [anon_sym_BSLASHc] = ACTIONS(5366),
    [anon_sym_BSLASHcl] = ACTIONS(5366),
    [anon_sym_BSLASHca] = ACTIONS(5366),
    [anon_sym_BSLASHcp] = ACTIONS(5366),
    [anon_sym_BSLASHcd] = ACTIONS(5366),
    [anon_sym_BSLASHmte] = ACTIONS(5366),
    [anon_sym_BSLASHms] = ACTIONS(5366),
    [anon_sym_BSLASHs] = ACTIONS(5366),
    [anon_sym_BSLASHr] = ACTIONS(5366),
    [anon_sym_BSLASHsp] = ACTIONS(5366),
    [anon_sym_BSLASHd] = ACTIONS(5366),
    [anon_sym_BSLASHsd] = ACTIONS(5366),
    [anon_sym_BSLASHp] = ACTIONS(5366),
    [anon_sym_BSLASHm] = ACTIONS(5366),
    [anon_sym_BSLASHpo] = ACTIONS(5366),
    [anon_sym_BSLASHpr] = ACTIONS(5366),
    [anon_sym_BSLASHcls] = ACTIONS(5366),
    [anon_sym_BSLASHpmo] = ACTIONS(5366),
    [anon_sym_BSLASHpm] = ACTIONS(5366),
    [anon_sym_BSLASHpmc] = ACTIONS(5366),
    [anon_sym_BSLASHpmr] = ACTIONS(5366),
    [anon_sym_BSLASHpi] = ACTIONS(5366),
    [anon_sym_BSLASHmi] = ACTIONS(5366),
    [anon_sym_BSLASHnb] = ACTIONS(5366),
    [anon_sym_BSLASHpc] = ACTIONS(5366),
    [anon_sym_BSLASHph] = ACTIONS(5366),
    [anon_sym_BSLASHb] = ACTIONS(5366),
    [anon_sym_BSLASHq] = ACTIONS(5366),
    [anon_sym_BSLASHqr] = ACTIONS(5366),
    [anon_sym_BSLASHqc] = ACTIONS(5366),
    [anon_sym_BSLASHqs] = ACTIONS(5366),
    [anon_sym_BSLASHqa] = ACTIONS(5366),
    [anon_sym_BSLASHqac] = ACTIONS(5366),
    [anon_sym_BSLASHqm] = ACTIONS(5366),
    [anon_sym_BSLASHqd] = ACTIONS(5366),
    [anon_sym_BSLASHlh] = ACTIONS(5366),
    [anon_sym_BSLASHli] = ACTIONS(5366),
    [anon_sym_BSLASHlim] = ACTIONS(5366),
    [anon_sym_BSLASHtr] = ACTIONS(5366),
    [anon_sym_BSLASHf] = ACTIONS(5366),
    [anon_sym_BSLASHfe] = ACTIONS(5366),
    [anon_sym_BSLASHef] = ACTIONS(5366),
    [anon_sym_BSLASHfm] = ACTIONS(5366),
    [anon_sym_BSLASHx] = ACTIONS(5366),
    [anon_sym_BSLASHxt] = ACTIONS(5366),
    [anon_sym_BSLASHrq] = ACTIONS(5366),
    [anon_sym_BSLASHadd] = ACTIONS(5366),
    [anon_sym_BSLASHbk] = ACTIONS(5366),
    [anon_sym_BSLASHdc] = ACTIONS(5366),
    [anon_sym_BSLASHk] = ACTIONS(5366),
    [anon_sym_BSLASHnd] = ACTIONS(5366),
    [anon_sym_BSLASHord] = ACTIONS(5366),
    [anon_sym_BSLASHpn] = ACTIONS(5366),
    [anon_sym_BSLASHpng] = ACTIONS(5366),
    [anon_sym_BSLASHaddpn] = ACTIONS(5366),
    [anon_sym_BSLASHqt] = ACTIONS(5366),
    [anon_sym_BSLASHsig] = ACTIONS(5366),
    [anon_sym_BSLASHsls] = ACTIONS(5366),
    [anon_sym_BSLASHtl] = ACTIONS(5366),
    [anon_sym_BSLASHwj] = ACTIONS(5366),
    [anon_sym_BSLASHem] = ACTIONS(5366),
    [anon_sym_BSLASHbd] = ACTIONS(5366),
    [anon_sym_BSLASHit] = ACTIONS(5366),
    [anon_sym_BSLASHbdit] = ACTIONS(5366),
    [anon_sym_BSLASHno] = ACTIONS(5366),
    [anon_sym_BSLASHsc] = ACTIONS(5366),
    [anon_sym_BSLASHsup] = ACTIONS(5366),
    [anon_sym_BSLASHndx] = ACTIONS(5366),
    [anon_sym_BSLASHpro] = ACTIONS(5366),
    [anon_sym_BSLASHrb] = ACTIONS(5366),
    [anon_sym_BSLASHw] = ACTIONS(5366),
    [anon_sym_BSLASHwg] = ACTIONS(5366),
    [anon_sym_BSLASHwh] = ACTIONS(5366),
    [anon_sym_BSLASHwa] = ACTIONS(5366),
    [anon_sym_BSLASHfig] = ACTIONS(5366),
    [anon_sym_BSLASHjmp] = ACTIONS(5366),
    [anon_sym_BSLASHpb] = ACTIONS(5366),
    [anon_sym_BSLASH] = ACTIONS(5366),
    [sym_milestoneStartTag] = ACTIONS(5366),
    [sym_milestoneEndTag] = ACTIONS(5366),
    [sym_zSpaceTag] = ACTIONS(5366),
    [anon_sym_BSLASHesb] = ACTIONS(5366),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(3060),
    [aux_sym_text_token1] = ACTIONS(3060),
    [anon_sym_BSLASHref] = ACTIONS(3062),
    [anon_sym_BSLASHsts] = ACTIONS(3062),
    [anon_sym_BSLASHrem] = ACTIONS(3062),
    [anon_sym_BSLASHrestore] = ACTIONS(3062),
    [anon_sym_BSLASHlit] = ACTIONS(3062),
    [anon_sym_BSLASHip] = ACTIONS(3062),
    [anon_sym_BSLASHiex] = ACTIONS(3062),
    [anon_sym_BSLASHv] = ACTIONS(3062),
    [anon_sym_BSLASHva] = ACTIONS(3062),
    [anon_sym_BSLASHvp] = ACTIONS(3062),
    [anon_sym_BSLASHc] = ACTIONS(3062),
    [anon_sym_BSLASHcl] = ACTIONS(3062),
    [anon_sym_BSLASHca] = ACTIONS(3062),
    [anon_sym_BSLASHcp] = ACTIONS(3062),
    [anon_sym_BSLASHcd] = ACTIONS(3062),
    [anon_sym_BSLASHmte] = ACTIONS(3062),
    [anon_sym_BSLASHms] = ACTIONS(3062),
    [anon_sym_BSLASHs] = ACTIONS(3062),
    [anon_sym_BSLASHr] = ACTIONS(3062),
    [anon_sym_BSLASHsp] = ACTIONS(3062),
    [anon_sym_BSLASHd] = ACTIONS(3062),
    [anon_sym_BSLASHsd] = ACTIONS(3062),
    [anon_sym_BSLASHp] = ACTIONS(3062),
    [anon_sym_BSLASHm] = ACTIONS(3062),
    [anon_sym_BSLASHpo] = ACTIONS(3062),
    [anon_sym_BSLASHpr] = ACTIONS(3062),
    [anon_sym_BSLASHcls] = ACTIONS(3062),
    [anon_sym_BSLASHpmo] = ACTIONS(3062),
    [anon_sym_BSLASHpm] = ACTIONS(3062),
    [anon_sym_BSLASHpmc] = ACTIONS(3062),
    [anon_sym_BSLASHpmr] = ACTIONS(3062),
    [anon_sym_BSLASHpi] = ACTIONS(3062),
    [anon_sym_BSLASHmi] = ACTIONS(3062),
    [anon_sym_BSLASHnb] = ACTIONS(3062),
    [anon_sym_BSLASHpc] = ACTIONS(3062),
    [anon_sym_BSLASHph] = ACTIONS(3062),
    [anon_sym_BSLASHb] = ACTIONS(3062),
    [anon_sym_BSLASHq] = ACTIONS(3062),
    [anon_sym_BSLASHqr] = ACTIONS(3062),
    [anon_sym_BSLASHqc] = ACTIONS(3062),
    [anon_sym_BSLASHqs] = ACTIONS(3062),
    [anon_sym_BSLASHqa] = ACTIONS(3062),
    [anon_sym_BSLASHqac] = ACTIONS(3062),
    [anon_sym_BSLASHqm] = ACTIONS(3062),
    [anon_sym_BSLASHqd] = ACTIONS(3062),
    [anon_sym_BSLASHlh] = ACTIONS(3062),
    [anon_sym_BSLASHli] = ACTIONS(3062),
    [anon_sym_BSLASHlim] = ACTIONS(3062),
    [anon_sym_BSLASHtr] = ACTIONS(3062),
    [anon_sym_BSLASHf] = ACTIONS(3062),
    [anon_sym_BSLASHfe] = ACTIONS(3062),
    [anon_sym_BSLASHef] = ACTIONS(3062),
    [anon_sym_BSLASHfm] = ACTIONS(3062),
    [anon_sym_BSLASHx] = ACTIONS(3062),
    [anon_sym_BSLASHxt] = ACTIONS(3062),
    [anon_sym_BSLASHrq] = ACTIONS(3062),
    [anon_sym_BSLASHadd] = ACTIONS(3062),
    [anon_sym_BSLASHbk] = ACTIONS(3062),
    [anon_sym_BSLASHdc] = ACTIONS(3062),
    [anon_sym_BSLASHk] = ACTIONS(3062),
    [anon_sym_BSLASHnd] = ACTIONS(3062),
    [anon_sym_BSLASHord] = ACTIONS(3062),
    [anon_sym_BSLASHpn] = ACTIONS(3062),
    [anon_sym_BSLASHpng] = ACTIONS(3062),
    [anon_sym_BSLASHaddpn] = ACTIONS(3062),
    [anon_sym_BSLASHqt] = ACTIONS(3062),
    [anon_sym_BSLASHsig] = ACTIONS(3062),
    [anon_sym_BSLASHsls] = ACTIONS(3062),
    [anon_sym_BSLASHtl] = ACTIONS(3062),
    [anon_sym_BSLASHwj] = ACTIONS(3062),
    [anon_sym_BSLASHem] = ACTIONS(3062),
    [anon_sym_BSLASHbd] = ACTIONS(3062),
    [anon_sym_BSLASHit] = ACTIONS(3062),
    [anon_sym_BSLASHbdit] = ACTIONS(3062),
    [anon_sym_BSLASHno] = ACTIONS(3062),
    [anon_sym_BSLASHsc] = ACTIONS(3062),
    [anon_sym_BSLASHsup] = ACTIONS(3062),
    [anon_sym_BSLASHndx] = ACTIONS(3062),
    [anon_sym_BSLASHpro] = ACTIONS(3062),
    [anon_sym_BSLASHrb] = ACTIONS(3062),
    [anon_sym_BSLASHw] = ACTIONS(3062),
    [anon_sym_BSLASHwg] = ACTIONS(3062),
    [anon_sym_BSLASHwh] = ACTIONS(3062),
    [anon_sym_BSLASHwa] = ACTIONS(3062),
    [anon_sym_BSLASHfig] = ACTIONS(3062),
    [anon_sym_BSLASHjmp] = ACTIONS(3062),
    [anon_sym_BSLASHpb] = ACTIONS(3062),
    [anon_sym_BSLASH] = ACTIONS(3062),
    [sym_milestoneStartTag] = ACTIONS(3062),
    [sym_milestoneEndTag] = ACTIONS(3062),
    [sym_zSpaceTag] = ACTIONS(3062),
    [anon_sym_BSLASHesb] = ACTIONS(3062),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(3076),
    [aux_sym_text_token1] = ACTIONS(3076),
    [anon_sym_BSLASHref] = ACTIONS(3078),
    [anon_sym_BSLASHsts] = ACTIONS(3078),
    [anon_sym_BSLASHrem] = ACTIONS(3078),
    [anon_sym_BSLASHrestore] = ACTIONS(3078),
    [anon_sym_BSLASHlit] = ACTIONS(3078),
    [anon_sym_BSLASHip] = ACTIONS(3078),
    [anon_sym_BSLASHiex] = ACTIONS(3078),
    [anon_sym_BSLASHv] = ACTIONS(3078),
    [anon_sym_BSLASHva] = ACTIONS(3078),
    [anon_sym_BSLASHvp] = ACTIONS(3078),
    [anon_sym_BSLASHc] = ACTIONS(3078),
    [anon_sym_BSLASHcl] = ACTIONS(3078),
    [anon_sym_BSLASHca] = ACTIONS(3078),
    [anon_sym_BSLASHcp] = ACTIONS(3078),
    [anon_sym_BSLASHcd] = ACTIONS(3078),
    [anon_sym_BSLASHmte] = ACTIONS(3078),
    [anon_sym_BSLASHms] = ACTIONS(3078),
    [anon_sym_BSLASHs] = ACTIONS(3078),
    [anon_sym_BSLASHr] = ACTIONS(3078),
    [anon_sym_BSLASHsp] = ACTIONS(3078),
    [anon_sym_BSLASHd] = ACTIONS(3078),
    [anon_sym_BSLASHsd] = ACTIONS(3078),
    [anon_sym_BSLASHp] = ACTIONS(3078),
    [anon_sym_BSLASHm] = ACTIONS(3078),
    [anon_sym_BSLASHpo] = ACTIONS(3078),
    [anon_sym_BSLASHpr] = ACTIONS(3078),
    [anon_sym_BSLASHcls] = ACTIONS(3078),
    [anon_sym_BSLASHpmo] = ACTIONS(3078),
    [anon_sym_BSLASHpm] = ACTIONS(3078),
    [anon_sym_BSLASHpmc] = ACTIONS(3078),
    [anon_sym_BSLASHpmr] = ACTIONS(3078),
    [anon_sym_BSLASHpi] = ACTIONS(3078),
    [anon_sym_BSLASHmi] = ACTIONS(3078),
    [anon_sym_BSLASHnb] = ACTIONS(3078),
    [anon_sym_BSLASHpc] = ACTIONS(3078),
    [anon_sym_BSLASHph] = ACTIONS(3078),
    [anon_sym_BSLASHb] = ACTIONS(3078),
    [anon_sym_BSLASHq] = ACTIONS(3078),
    [anon_sym_BSLASHqr] = ACTIONS(3078),
    [anon_sym_BSLASHqc] = ACTIONS(3078),
    [anon_sym_BSLASHqs] = ACTIONS(3078),
    [anon_sym_BSLASHqa] = ACTIONS(3078),
    [anon_sym_BSLASHqac] = ACTIONS(3078),
    [anon_sym_BSLASHqm] = ACTIONS(3078),
    [anon_sym_BSLASHqd] = ACTIONS(3078),
    [anon_sym_BSLASHlh] = ACTIONS(3078),
    [anon_sym_BSLASHli] = ACTIONS(3078),
    [anon_sym_BSLASHlim] = ACTIONS(3078),
    [anon_sym_BSLASHtr] = ACTIONS(3078),
    [anon_sym_BSLASHf] = ACTIONS(3078),
    [anon_sym_BSLASHfe] = ACTIONS(3078),
    [anon_sym_BSLASHef] = ACTIONS(3078),
    [anon_sym_BSLASHfm] = ACTIONS(3078),
    [anon_sym_BSLASHx] = ACTIONS(3078),
    [anon_sym_BSLASHxt] = ACTIONS(3078),
    [anon_sym_BSLASHrq] = ACTIONS(3078),
    [anon_sym_BSLASHadd] = ACTIONS(3078),
    [anon_sym_BSLASHbk] = ACTIONS(3078),
    [anon_sym_BSLASHdc] = ACTIONS(3078),
    [anon_sym_BSLASHk] = ACTIONS(3078),
    [anon_sym_BSLASHnd] = ACTIONS(3078),
    [anon_sym_BSLASHord] = ACTIONS(3078),
    [anon_sym_BSLASHpn] = ACTIONS(3078),
    [anon_sym_BSLASHpng] = ACTIONS(3078),
    [anon_sym_BSLASHaddpn] = ACTIONS(3078),
    [anon_sym_BSLASHqt] = ACTIONS(3078),
    [anon_sym_BSLASHsig] = ACTIONS(3078),
    [anon_sym_BSLASHsls] = ACTIONS(3078),
    [anon_sym_BSLASHtl] = ACTIONS(3078),
    [anon_sym_BSLASHwj] = ACTIONS(3078),
    [anon_sym_BSLASHem] = ACTIONS(3078),
    [anon_sym_BSLASHbd] = ACTIONS(3078),
    [anon_sym_BSLASHit] = ACTIONS(3078),
    [anon_sym_BSLASHbdit] = ACTIONS(3078),
    [anon_sym_BSLASHno] = ACTIONS(3078),
    [anon_sym_BSLASHsc] = ACTIONS(3078),
    [anon_sym_BSLASHsup] = ACTIONS(3078),
    [anon_sym_BSLASHndx] = ACTIONS(3078),
    [anon_sym_BSLASHpro] = ACTIONS(3078),
    [anon_sym_BSLASHrb] = ACTIONS(3078),
    [anon_sym_BSLASHw] = ACTIONS(3078),
    [anon_sym_BSLASHwg] = ACTIONS(3078),
    [anon_sym_BSLASHwh] = ACTIONS(3078),
    [anon_sym_BSLASHwa] = ACTIONS(3078),
    [anon_sym_BSLASHfig] = ACTIONS(3078),
    [anon_sym_BSLASHjmp] = ACTIONS(3078),
    [anon_sym_BSLASHpb] = ACTIONS(3078),
    [anon_sym_BSLASH] = ACTIONS(3078),
    [sym_milestoneStartTag] = ACTIONS(3078),
    [sym_milestoneEndTag] = ACTIONS(3078),
    [sym_zSpaceTag] = ACTIONS(3078),
    [anon_sym_BSLASHesb] = ACTIONS(3078),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(3068),
    [aux_sym_text_token1] = ACTIONS(3068),
    [anon_sym_BSLASHref] = ACTIONS(3070),
    [anon_sym_BSLASHsts] = ACTIONS(3070),
    [anon_sym_BSLASHrem] = ACTIONS(3070),
    [anon_sym_BSLASHrestore] = ACTIONS(3070),
    [anon_sym_BSLASHlit] = ACTIONS(3070),
    [anon_sym_BSLASHip] = ACTIONS(3070),
    [anon_sym_BSLASHiex] = ACTIONS(3070),
    [anon_sym_BSLASHv] = ACTIONS(3070),
    [anon_sym_BSLASHva] = ACTIONS(3070),
    [anon_sym_BSLASHvp] = ACTIONS(3070),
    [anon_sym_BSLASHc] = ACTIONS(3070),
    [anon_sym_BSLASHcl] = ACTIONS(3070),
    [anon_sym_BSLASHca] = ACTIONS(3070),
    [anon_sym_BSLASHcp] = ACTIONS(3070),
    [anon_sym_BSLASHcd] = ACTIONS(3070),
    [anon_sym_BSLASHmte] = ACTIONS(3070),
    [anon_sym_BSLASHms] = ACTIONS(3070),
    [anon_sym_BSLASHs] = ACTIONS(3070),
    [anon_sym_BSLASHr] = ACTIONS(3070),
    [anon_sym_BSLASHsp] = ACTIONS(3070),
    [anon_sym_BSLASHd] = ACTIONS(3070),
    [anon_sym_BSLASHsd] = ACTIONS(3070),
    [anon_sym_BSLASHp] = ACTIONS(3070),
    [anon_sym_BSLASHm] = ACTIONS(3070),
    [anon_sym_BSLASHpo] = ACTIONS(3070),
    [anon_sym_BSLASHpr] = ACTIONS(3070),
    [anon_sym_BSLASHcls] = ACTIONS(3070),
    [anon_sym_BSLASHpmo] = ACTIONS(3070),
    [anon_sym_BSLASHpm] = ACTIONS(3070),
    [anon_sym_BSLASHpmc] = ACTIONS(3070),
    [anon_sym_BSLASHpmr] = ACTIONS(3070),
    [anon_sym_BSLASHpi] = ACTIONS(3070),
    [anon_sym_BSLASHmi] = ACTIONS(3070),
    [anon_sym_BSLASHnb] = ACTIONS(3070),
    [anon_sym_BSLASHpc] = ACTIONS(3070),
    [anon_sym_BSLASHph] = ACTIONS(3070),
    [anon_sym_BSLASHb] = ACTIONS(3070),
    [anon_sym_BSLASHq] = ACTIONS(3070),
    [anon_sym_BSLASHqr] = ACTIONS(3070),
    [anon_sym_BSLASHqc] = ACTIONS(3070),
    [anon_sym_BSLASHqs] = ACTIONS(3070),
    [anon_sym_BSLASHqa] = ACTIONS(3070),
    [anon_sym_BSLASHqac] = ACTIONS(3070),
    [anon_sym_BSLASHqm] = ACTIONS(3070),
    [anon_sym_BSLASHqd] = ACTIONS(3070),
    [anon_sym_BSLASHlh] = ACTIONS(3070),
    [anon_sym_BSLASHli] = ACTIONS(3070),
    [anon_sym_BSLASHlim] = ACTIONS(3070),
    [anon_sym_BSLASHtr] = ACTIONS(3070),
    [anon_sym_BSLASHf] = ACTIONS(3070),
    [anon_sym_BSLASHfe] = ACTIONS(3070),
    [anon_sym_BSLASHef] = ACTIONS(3070),
    [anon_sym_BSLASHfm] = ACTIONS(3070),
    [anon_sym_BSLASHx] = ACTIONS(3070),
    [anon_sym_BSLASHxt] = ACTIONS(3070),
    [anon_sym_BSLASHrq] = ACTIONS(3070),
    [anon_sym_BSLASHadd] = ACTIONS(3070),
    [anon_sym_BSLASHbk] = ACTIONS(3070),
    [anon_sym_BSLASHdc] = ACTIONS(3070),
    [anon_sym_BSLASHk] = ACTIONS(3070),
    [anon_sym_BSLASHnd] = ACTIONS(3070),
    [anon_sym_BSLASHord] = ACTIONS(3070),
    [anon_sym_BSLASHpn] = ACTIONS(3070),
    [anon_sym_BSLASHpng] = ACTIONS(3070),
    [anon_sym_BSLASHaddpn] = ACTIONS(3070),
    [anon_sym_BSLASHqt] = ACTIONS(3070),
    [anon_sym_BSLASHsig] = ACTIONS(3070),
    [anon_sym_BSLASHsls] = ACTIONS(3070),
    [anon_sym_BSLASHtl] = ACTIONS(3070),
    [anon_sym_BSLASHwj] = ACTIONS(3070),
    [anon_sym_BSLASHem] = ACTIONS(3070),
    [anon_sym_BSLASHbd] = ACTIONS(3070),
    [anon_sym_BSLASHit] = ACTIONS(3070),
    [anon_sym_BSLASHbdit] = ACTIONS(3070),
    [anon_sym_BSLASHno] = ACTIONS(3070),
    [anon_sym_BSLASHsc] = ACTIONS(3070),
    [anon_sym_BSLASHsup] = ACTIONS(3070),
    [anon_sym_BSLASHndx] = ACTIONS(3070),
    [anon_sym_BSLASHpro] = ACTIONS(3070),
    [anon_sym_BSLASHrb] = ACTIONS(3070),
    [anon_sym_BSLASHw] = ACTIONS(3070),
    [anon_sym_BSLASHwg] = ACTIONS(3070),
    [anon_sym_BSLASHwh] = ACTIONS(3070),
    [anon_sym_BSLASHwa] = ACTIONS(3070),
    [anon_sym_BSLASHfig] = ACTIONS(3070),
    [anon_sym_BSLASHjmp] = ACTIONS(3070),
    [anon_sym_BSLASHpb] = ACTIONS(3070),
    [anon_sym_BSLASH] = ACTIONS(3070),
    [sym_milestoneStartTag] = ACTIONS(3070),
    [sym_milestoneEndTag] = ACTIONS(3070),
    [sym_zSpaceTag] = ACTIONS(3070),
    [anon_sym_BSLASHesb] = ACTIONS(3070),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(5360),
    [aux_sym_text_token1] = ACTIONS(5360),
    [anon_sym_BSLASHref] = ACTIONS(5362),
    [anon_sym_BSLASHsts] = ACTIONS(5362),
    [anon_sym_BSLASHrem] = ACTIONS(5362),
    [anon_sym_BSLASHrestore] = ACTIONS(5362),
    [anon_sym_BSLASHlit] = ACTIONS(5362),
    [anon_sym_BSLASHip] = ACTIONS(5362),
    [anon_sym_BSLASHiex] = ACTIONS(5362),
    [anon_sym_BSLASHv] = ACTIONS(5362),
    [anon_sym_BSLASHva] = ACTIONS(5362),
    [anon_sym_BSLASHvp] = ACTIONS(5362),
    [anon_sym_BSLASHc] = ACTIONS(5362),
    [anon_sym_BSLASHcl] = ACTIONS(5362),
    [anon_sym_BSLASHca] = ACTIONS(5362),
    [anon_sym_BSLASHcp] = ACTIONS(5362),
    [anon_sym_BSLASHcd] = ACTIONS(5362),
    [anon_sym_BSLASHmte] = ACTIONS(5362),
    [anon_sym_BSLASHms] = ACTIONS(5362),
    [anon_sym_BSLASHs] = ACTIONS(5362),
    [anon_sym_BSLASHr] = ACTIONS(5362),
    [anon_sym_BSLASHsp] = ACTIONS(5362),
    [anon_sym_BSLASHd] = ACTIONS(5362),
    [anon_sym_BSLASHsd] = ACTIONS(5362),
    [anon_sym_BSLASHp] = ACTIONS(5362),
    [anon_sym_BSLASHm] = ACTIONS(5362),
    [anon_sym_BSLASHpo] = ACTIONS(5362),
    [anon_sym_BSLASHpr] = ACTIONS(5362),
    [anon_sym_BSLASHcls] = ACTIONS(5362),
    [anon_sym_BSLASHpmo] = ACTIONS(5362),
    [anon_sym_BSLASHpm] = ACTIONS(5362),
    [anon_sym_BSLASHpmc] = ACTIONS(5362),
    [anon_sym_BSLASHpmr] = ACTIONS(5362),
    [anon_sym_BSLASHpi] = ACTIONS(5362),
    [anon_sym_BSLASHmi] = ACTIONS(5362),
    [anon_sym_BSLASHnb] = ACTIONS(5362),
    [anon_sym_BSLASHpc] = ACTIONS(5362),
    [anon_sym_BSLASHph] = ACTIONS(5362),
    [anon_sym_BSLASHb] = ACTIONS(5362),
    [anon_sym_BSLASHq] = ACTIONS(5362),
    [anon_sym_BSLASHqr] = ACTIONS(5362),
    [anon_sym_BSLASHqc] = ACTIONS(5362),
    [anon_sym_BSLASHqs] = ACTIONS(5362),
    [anon_sym_BSLASHqa] = ACTIONS(5362),
    [anon_sym_BSLASHqac] = ACTIONS(5362),
    [anon_sym_BSLASHqm] = ACTIONS(5362),
    [anon_sym_BSLASHqd] = ACTIONS(5362),
    [anon_sym_BSLASHlh] = ACTIONS(5362),
    [anon_sym_BSLASHli] = ACTIONS(5362),
    [anon_sym_BSLASHlim] = ACTIONS(5362),
    [anon_sym_BSLASHtr] = ACTIONS(5362),
    [anon_sym_BSLASHf] = ACTIONS(5362),
    [anon_sym_BSLASHfe] = ACTIONS(5362),
    [anon_sym_BSLASHef] = ACTIONS(5362),
    [anon_sym_BSLASHfm] = ACTIONS(5362),
    [anon_sym_BSLASHx] = ACTIONS(5362),
    [anon_sym_BSLASHxt] = ACTIONS(5362),
    [anon_sym_BSLASHrq] = ACTIONS(5362),
    [anon_sym_BSLASHadd] = ACTIONS(5362),
    [anon_sym_BSLASHbk] = ACTIONS(5362),
    [anon_sym_BSLASHdc] = ACTIONS(5362),
    [anon_sym_BSLASHk] = ACTIONS(5362),
    [anon_sym_BSLASHnd] = ACTIONS(5362),
    [anon_sym_BSLASHord] = ACTIONS(5362),
    [anon_sym_BSLASHpn] = ACTIONS(5362),
    [anon_sym_BSLASHpng] = ACTIONS(5362),
    [anon_sym_BSLASHaddpn] = ACTIONS(5362),
    [anon_sym_BSLASHqt] = ACTIONS(5362),
    [anon_sym_BSLASHsig] = ACTIONS(5362),
    [anon_sym_BSLASHsls] = ACTIONS(5362),
    [anon_sym_BSLASHtl] = ACTIONS(5362),
    [anon_sym_BSLASHwj] = ACTIONS(5362),
    [anon_sym_BSLASHem] = ACTIONS(5362),
    [anon_sym_BSLASHbd] = ACTIONS(5362),
    [anon_sym_BSLASHit] = ACTIONS(5362),
    [anon_sym_BSLASHbdit] = ACTIONS(5362),
    [anon_sym_BSLASHno] = ACTIONS(5362),
    [anon_sym_BSLASHsc] = ACTIONS(5362),
    [anon_sym_BSLASHsup] = ACTIONS(5362),
    [anon_sym_BSLASHndx] = ACTIONS(5362),
    [anon_sym_BSLASHpro] = ACTIONS(5362),
    [anon_sym_BSLASHrb] = ACTIONS(5362),
    [anon_sym_BSLASHw] = ACTIONS(5362),
    [anon_sym_BSLASHwg] = ACTIONS(5362),
    [anon_sym_BSLASHwh] = ACTIONS(5362),
    [anon_sym_BSLASHwa] = ACTIONS(5362),
    [anon_sym_BSLASHfig] = ACTIONS(5362),
    [anon_sym_BSLASHjmp] = ACTIONS(5362),
    [anon_sym_BSLASHpb] = ACTIONS(5362),
    [anon_sym_BSLASH] = ACTIONS(5362),
    [sym_milestoneStartTag] = ACTIONS(5362),
    [sym_milestoneEndTag] = ACTIONS(5362),
    [sym_zSpaceTag] = ACTIONS(5362),
    [anon_sym_BSLASHesb] = ACTIONS(5362),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(5466),
    [aux_sym_text_token1] = ACTIONS(5466),
    [anon_sym_BSLASHref] = ACTIONS(5468),
    [anon_sym_BSLASHsts] = ACTIONS(5468),
    [anon_sym_BSLASHrem] = ACTIONS(5468),
    [anon_sym_BSLASHrestore] = ACTIONS(5468),
    [anon_sym_BSLASHlit] = ACTIONS(5468),
    [anon_sym_BSLASHip] = ACTIONS(5468),
    [anon_sym_BSLASHiex] = ACTIONS(5468),
    [anon_sym_BSLASHv] = ACTIONS(5468),
    [anon_sym_BSLASHva] = ACTIONS(5468),
    [anon_sym_BSLASHvp] = ACTIONS(5468),
    [anon_sym_BSLASHc] = ACTIONS(5468),
    [anon_sym_BSLASHcl] = ACTIONS(5468),
    [anon_sym_BSLASHca] = ACTIONS(5468),
    [anon_sym_BSLASHcp] = ACTIONS(5468),
    [anon_sym_BSLASHcd] = ACTIONS(5468),
    [anon_sym_BSLASHmte] = ACTIONS(5468),
    [anon_sym_BSLASHms] = ACTIONS(5468),
    [anon_sym_BSLASHs] = ACTIONS(5468),
    [anon_sym_BSLASHr] = ACTIONS(5468),
    [anon_sym_BSLASHsp] = ACTIONS(5468),
    [anon_sym_BSLASHd] = ACTIONS(5468),
    [anon_sym_BSLASHsd] = ACTIONS(5468),
    [anon_sym_BSLASHp] = ACTIONS(5468),
    [anon_sym_BSLASHm] = ACTIONS(5468),
    [anon_sym_BSLASHpo] = ACTIONS(5468),
    [anon_sym_BSLASHpr] = ACTIONS(5468),
    [anon_sym_BSLASHcls] = ACTIONS(5468),
    [anon_sym_BSLASHpmo] = ACTIONS(5468),
    [anon_sym_BSLASHpm] = ACTIONS(5468),
    [anon_sym_BSLASHpmc] = ACTIONS(5468),
    [anon_sym_BSLASHpmr] = ACTIONS(5468),
    [anon_sym_BSLASHpi] = ACTIONS(5468),
    [anon_sym_BSLASHmi] = ACTIONS(5468),
    [anon_sym_BSLASHnb] = ACTIONS(5468),
    [anon_sym_BSLASHpc] = ACTIONS(5468),
    [anon_sym_BSLASHph] = ACTIONS(5468),
    [anon_sym_BSLASHb] = ACTIONS(5468),
    [anon_sym_BSLASHq] = ACTIONS(5468),
    [anon_sym_BSLASHqr] = ACTIONS(5468),
    [anon_sym_BSLASHqc] = ACTIONS(5468),
    [anon_sym_BSLASHqs] = ACTIONS(5468),
    [anon_sym_BSLASHqa] = ACTIONS(5468),
    [anon_sym_BSLASHqac] = ACTIONS(5468),
    [anon_sym_BSLASHqm] = ACTIONS(5468),
    [anon_sym_BSLASHqd] = ACTIONS(5468),
    [anon_sym_BSLASHlh] = ACTIONS(5468),
    [anon_sym_BSLASHli] = ACTIONS(5468),
    [anon_sym_BSLASHlim] = ACTIONS(5468),
    [anon_sym_BSLASHtr] = ACTIONS(5468),
    [anon_sym_BSLASHf] = ACTIONS(5468),
    [anon_sym_BSLASHfe] = ACTIONS(5468),
    [anon_sym_BSLASHef] = ACTIONS(5468),
    [anon_sym_BSLASHfm] = ACTIONS(5468),
    [anon_sym_BSLASHx] = ACTIONS(5468),
    [anon_sym_BSLASHxt] = ACTIONS(5468),
    [anon_sym_BSLASHrq] = ACTIONS(5468),
    [anon_sym_BSLASHadd] = ACTIONS(5468),
    [anon_sym_BSLASHbk] = ACTIONS(5468),
    [anon_sym_BSLASHdc] = ACTIONS(5468),
    [anon_sym_BSLASHk] = ACTIONS(5468),
    [anon_sym_BSLASHnd] = ACTIONS(5468),
    [anon_sym_BSLASHord] = ACTIONS(5468),
    [anon_sym_BSLASHpn] = ACTIONS(5468),
    [anon_sym_BSLASHpng] = ACTIONS(5468),
    [anon_sym_BSLASHaddpn] = ACTIONS(5468),
    [anon_sym_BSLASHqt] = ACTIONS(5468),
    [anon_sym_BSLASHsig] = ACTIONS(5468),
    [anon_sym_BSLASHsls] = ACTIONS(5468),
    [anon_sym_BSLASHtl] = ACTIONS(5468),
    [anon_sym_BSLASHwj] = ACTIONS(5468),
    [anon_sym_BSLASHem] = ACTIONS(5468),
    [anon_sym_BSLASHbd] = ACTIONS(5468),
    [anon_sym_BSLASHit] = ACTIONS(5468),
    [anon_sym_BSLASHbdit] = ACTIONS(5468),
    [anon_sym_BSLASHno] = ACTIONS(5468),
    [anon_sym_BSLASHsc] = ACTIONS(5468),
    [anon_sym_BSLASHsup] = ACTIONS(5468),
    [anon_sym_BSLASHndx] = ACTIONS(5468),
    [anon_sym_BSLASHpro] = ACTIONS(5468),
    [anon_sym_BSLASHrb] = ACTIONS(5468),
    [anon_sym_BSLASHw] = ACTIONS(5468),
    [anon_sym_BSLASHwg] = ACTIONS(5468),
    [anon_sym_BSLASHwh] = ACTIONS(5468),
    [anon_sym_BSLASHwa] = ACTIONS(5468),
    [anon_sym_BSLASHfig] = ACTIONS(5468),
    [anon_sym_BSLASHjmp] = ACTIONS(5468),
    [anon_sym_BSLASHpb] = ACTIONS(5468),
    [anon_sym_BSLASH] = ACTIONS(5468),
    [sym_milestoneStartTag] = ACTIONS(5468),
    [sym_milestoneEndTag] = ACTIONS(5468),
    [sym_zSpaceTag] = ACTIONS(5468),
    [anon_sym_BSLASHesb] = ACTIONS(5468),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(5356),
    [aux_sym_text_token1] = ACTIONS(5356),
    [anon_sym_BSLASHref] = ACTIONS(5358),
    [anon_sym_BSLASHsts] = ACTIONS(5358),
    [anon_sym_BSLASHrem] = ACTIONS(5358),
    [anon_sym_BSLASHrestore] = ACTIONS(5358),
    [anon_sym_BSLASHlit] = ACTIONS(5358),
    [anon_sym_BSLASHip] = ACTIONS(5358),
    [anon_sym_BSLASHiex] = ACTIONS(5358),
    [anon_sym_BSLASHv] = ACTIONS(5358),
    [anon_sym_BSLASHva] = ACTIONS(5358),
    [anon_sym_BSLASHvp] = ACTIONS(5358),
    [anon_sym_BSLASHc] = ACTIONS(5358),
    [anon_sym_BSLASHcl] = ACTIONS(5358),
    [anon_sym_BSLASHca] = ACTIONS(5358),
    [anon_sym_BSLASHcp] = ACTIONS(5358),
    [anon_sym_BSLASHcd] = ACTIONS(5358),
    [anon_sym_BSLASHmte] = ACTIONS(5358),
    [anon_sym_BSLASHms] = ACTIONS(5358),
    [anon_sym_BSLASHs] = ACTIONS(5358),
    [anon_sym_BSLASHr] = ACTIONS(5358),
    [anon_sym_BSLASHsp] = ACTIONS(5358),
    [anon_sym_BSLASHd] = ACTIONS(5358),
    [anon_sym_BSLASHsd] = ACTIONS(5358),
    [anon_sym_BSLASHp] = ACTIONS(5358),
    [anon_sym_BSLASHm] = ACTIONS(5358),
    [anon_sym_BSLASHpo] = ACTIONS(5358),
    [anon_sym_BSLASHpr] = ACTIONS(5358),
    [anon_sym_BSLASHcls] = ACTIONS(5358),
    [anon_sym_BSLASHpmo] = ACTIONS(5358),
    [anon_sym_BSLASHpm] = ACTIONS(5358),
    [anon_sym_BSLASHpmc] = ACTIONS(5358),
    [anon_sym_BSLASHpmr] = ACTIONS(5358),
    [anon_sym_BSLASHpi] = ACTIONS(5358),
    [anon_sym_BSLASHmi] = ACTIONS(5358),
    [anon_sym_BSLASHnb] = ACTIONS(5358),
    [anon_sym_BSLASHpc] = ACTIONS(5358),
    [anon_sym_BSLASHph] = ACTIONS(5358),
    [anon_sym_BSLASHb] = ACTIONS(5358),
    [anon_sym_BSLASHq] = ACTIONS(5358),
    [anon_sym_BSLASHqr] = ACTIONS(5358),
    [anon_sym_BSLASHqc] = ACTIONS(5358),
    [anon_sym_BSLASHqs] = ACTIONS(5358),
    [anon_sym_BSLASHqa] = ACTIONS(5358),
    [anon_sym_BSLASHqac] = ACTIONS(5358),
    [anon_sym_BSLASHqm] = ACTIONS(5358),
    [anon_sym_BSLASHqd] = ACTIONS(5358),
    [anon_sym_BSLASHlh] = ACTIONS(5358),
    [anon_sym_BSLASHli] = ACTIONS(5358),
    [anon_sym_BSLASHlim] = ACTIONS(5358),
    [anon_sym_BSLASHtr] = ACTIONS(5358),
    [anon_sym_BSLASHf] = ACTIONS(5358),
    [anon_sym_BSLASHfe] = ACTIONS(5358),
    [anon_sym_BSLASHef] = ACTIONS(5358),
    [anon_sym_BSLASHfm] = ACTIONS(5358),
    [anon_sym_BSLASHx] = ACTIONS(5358),
    [anon_sym_BSLASHxt] = ACTIONS(5358),
    [anon_sym_BSLASHrq] = ACTIONS(5358),
    [anon_sym_BSLASHadd] = ACTIONS(5358),
    [anon_sym_BSLASHbk] = ACTIONS(5358),
    [anon_sym_BSLASHdc] = ACTIONS(5358),
    [anon_sym_BSLASHk] = ACTIONS(5358),
    [anon_sym_BSLASHnd] = ACTIONS(5358),
    [anon_sym_BSLASHord] = ACTIONS(5358),
    [anon_sym_BSLASHpn] = ACTIONS(5358),
    [anon_sym_BSLASHpng] = ACTIONS(5358),
    [anon_sym_BSLASHaddpn] = ACTIONS(5358),
    [anon_sym_BSLASHqt] = ACTIONS(5358),
    [anon_sym_BSLASHsig] = ACTIONS(5358),
    [anon_sym_BSLASHsls] = ACTIONS(5358),
    [anon_sym_BSLASHtl] = ACTIONS(5358),
    [anon_sym_BSLASHwj] = ACTIONS(5358),
    [anon_sym_BSLASHem] = ACTIONS(5358),
    [anon_sym_BSLASHbd] = ACTIONS(5358),
    [anon_sym_BSLASHit] = ACTIONS(5358),
    [anon_sym_BSLASHbdit] = ACTIONS(5358),
    [anon_sym_BSLASHno] = ACTIONS(5358),
    [anon_sym_BSLASHsc] = ACTIONS(5358),
    [anon_sym_BSLASHsup] = ACTIONS(5358),
    [anon_sym_BSLASHndx] = ACTIONS(5358),
    [anon_sym_BSLASHpro] = ACTIONS(5358),
    [anon_sym_BSLASHrb] = ACTIONS(5358),
    [anon_sym_BSLASHw] = ACTIONS(5358),
    [anon_sym_BSLASHwg] = ACTIONS(5358),
    [anon_sym_BSLASHwh] = ACTIONS(5358),
    [anon_sym_BSLASHwa] = ACTIONS(5358),
    [anon_sym_BSLASHfig] = ACTIONS(5358),
    [anon_sym_BSLASHjmp] = ACTIONS(5358),
    [anon_sym_BSLASHpb] = ACTIONS(5358),
    [anon_sym_BSLASH] = ACTIONS(5358),
    [sym_milestoneStartTag] = ACTIONS(5358),
    [sym_milestoneEndTag] = ACTIONS(5358),
    [sym_zSpaceTag] = ACTIONS(5358),
    [anon_sym_BSLASHesb] = ACTIONS(5358),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(3084),
    [aux_sym_text_token1] = ACTIONS(3084),
    [anon_sym_BSLASHref] = ACTIONS(3086),
    [anon_sym_BSLASHsts] = ACTIONS(3086),
    [anon_sym_BSLASHrem] = ACTIONS(3086),
    [anon_sym_BSLASHrestore] = ACTIONS(3086),
    [anon_sym_BSLASHlit] = ACTIONS(3086),
    [anon_sym_BSLASHip] = ACTIONS(3086),
    [anon_sym_BSLASHiex] = ACTIONS(3086),
    [anon_sym_BSLASHv] = ACTIONS(3086),
    [anon_sym_BSLASHva] = ACTIONS(3086),
    [anon_sym_BSLASHvp] = ACTIONS(3086),
    [anon_sym_BSLASHc] = ACTIONS(3086),
    [anon_sym_BSLASHcl] = ACTIONS(3086),
    [anon_sym_BSLASHca] = ACTIONS(3086),
    [anon_sym_BSLASHcp] = ACTIONS(3086),
    [anon_sym_BSLASHcd] = ACTIONS(3086),
    [anon_sym_BSLASHmte] = ACTIONS(3086),
    [anon_sym_BSLASHms] = ACTIONS(3086),
    [anon_sym_BSLASHs] = ACTIONS(3086),
    [anon_sym_BSLASHr] = ACTIONS(3086),
    [anon_sym_BSLASHsp] = ACTIONS(3086),
    [anon_sym_BSLASHd] = ACTIONS(3086),
    [anon_sym_BSLASHsd] = ACTIONS(3086),
    [anon_sym_BSLASHp] = ACTIONS(3086),
    [anon_sym_BSLASHm] = ACTIONS(3086),
    [anon_sym_BSLASHpo] = ACTIONS(3086),
    [anon_sym_BSLASHpr] = ACTIONS(3086),
    [anon_sym_BSLASHcls] = ACTIONS(3086),
    [anon_sym_BSLASHpmo] = ACTIONS(3086),
    [anon_sym_BSLASHpm] = ACTIONS(3086),
    [anon_sym_BSLASHpmc] = ACTIONS(3086),
    [anon_sym_BSLASHpmr] = ACTIONS(3086),
    [anon_sym_BSLASHpi] = ACTIONS(3086),
    [anon_sym_BSLASHmi] = ACTIONS(3086),
    [anon_sym_BSLASHnb] = ACTIONS(3086),
    [anon_sym_BSLASHpc] = ACTIONS(3086),
    [anon_sym_BSLASHph] = ACTIONS(3086),
    [anon_sym_BSLASHb] = ACTIONS(3086),
    [anon_sym_BSLASHq] = ACTIONS(3086),
    [anon_sym_BSLASHqr] = ACTIONS(3086),
    [anon_sym_BSLASHqc] = ACTIONS(3086),
    [anon_sym_BSLASHqs] = ACTIONS(3086),
    [anon_sym_BSLASHqa] = ACTIONS(3086),
    [anon_sym_BSLASHqac] = ACTIONS(3086),
    [anon_sym_BSLASHqm] = ACTIONS(3086),
    [anon_sym_BSLASHqd] = ACTIONS(3086),
    [anon_sym_BSLASHlh] = ACTIONS(3086),
    [anon_sym_BSLASHli] = ACTIONS(3086),
    [anon_sym_BSLASHlim] = ACTIONS(3086),
    [anon_sym_BSLASHtr] = ACTIONS(3086),
    [anon_sym_BSLASHf] = ACTIONS(3086),
    [anon_sym_BSLASHfe] = ACTIONS(3086),
    [anon_sym_BSLASHef] = ACTIONS(3086),
    [anon_sym_BSLASHfm] = ACTIONS(3086),
    [anon_sym_BSLASHx] = ACTIONS(3086),
    [anon_sym_BSLASHxt] = ACTIONS(3086),
    [anon_sym_BSLASHrq] = ACTIONS(3086),
    [anon_sym_BSLASHadd] = ACTIONS(3086),
    [anon_sym_BSLASHbk] = ACTIONS(3086),
    [anon_sym_BSLASHdc] = ACTIONS(3086),
    [anon_sym_BSLASHk] = ACTIONS(3086),
    [anon_sym_BSLASHnd] = ACTIONS(3086),
    [anon_sym_BSLASHord] = ACTIONS(3086),
    [anon_sym_BSLASHpn] = ACTIONS(3086),
    [anon_sym_BSLASHpng] = ACTIONS(3086),
    [anon_sym_BSLASHaddpn] = ACTIONS(3086),
    [anon_sym_BSLASHqt] = ACTIONS(3086),
    [anon_sym_BSLASHsig] = ACTIONS(3086),
    [anon_sym_BSLASHsls] = ACTIONS(3086),
    [anon_sym_BSLASHtl] = ACTIONS(3086),
    [anon_sym_BSLASHwj] = ACTIONS(3086),
    [anon_sym_BSLASHem] = ACTIONS(3086),
    [anon_sym_BSLASHbd] = ACTIONS(3086),
    [anon_sym_BSLASHit] = ACTIONS(3086),
    [anon_sym_BSLASHbdit] = ACTIONS(3086),
    [anon_sym_BSLASHno] = ACTIONS(3086),
    [anon_sym_BSLASHsc] = ACTIONS(3086),
    [anon_sym_BSLASHsup] = ACTIONS(3086),
    [anon_sym_BSLASHndx] = ACTIONS(3086),
    [anon_sym_BSLASHpro] = ACTIONS(3086),
    [anon_sym_BSLASHrb] = ACTIONS(3086),
    [anon_sym_BSLASHw] = ACTIONS(3086),
    [anon_sym_BSLASHwg] = ACTIONS(3086),
    [anon_sym_BSLASHwh] = ACTIONS(3086),
    [anon_sym_BSLASHwa] = ACTIONS(3086),
    [anon_sym_BSLASHfig] = ACTIONS(3086),
    [anon_sym_BSLASHjmp] = ACTIONS(3086),
    [anon_sym_BSLASHpb] = ACTIONS(3086),
    [anon_sym_BSLASH] = ACTIONS(3086),
    [sym_milestoneStartTag] = ACTIONS(3086),
    [sym_milestoneEndTag] = ACTIONS(3086),
    [sym_zSpaceTag] = ACTIONS(3086),
    [anon_sym_BSLASHesb] = ACTIONS(3086),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(5352),
    [aux_sym_text_token1] = ACTIONS(5352),
    [anon_sym_BSLASHref] = ACTIONS(5354),
    [anon_sym_BSLASHsts] = ACTIONS(5354),
    [anon_sym_BSLASHrem] = ACTIONS(5354),
    [anon_sym_BSLASHrestore] = ACTIONS(5354),
    [anon_sym_BSLASHlit] = ACTIONS(5354),
    [anon_sym_BSLASHip] = ACTIONS(5354),
    [anon_sym_BSLASHiex] = ACTIONS(5354),
    [anon_sym_BSLASHv] = ACTIONS(5354),
    [anon_sym_BSLASHva] = ACTIONS(5354),
    [anon_sym_BSLASHvp] = ACTIONS(5354),
    [anon_sym_BSLASHc] = ACTIONS(5354),
    [anon_sym_BSLASHcl] = ACTIONS(5354),
    [anon_sym_BSLASHca] = ACTIONS(5354),
    [anon_sym_BSLASHcp] = ACTIONS(5354),
    [anon_sym_BSLASHcd] = ACTIONS(5354),
    [anon_sym_BSLASHmte] = ACTIONS(5354),
    [anon_sym_BSLASHms] = ACTIONS(5354),
    [anon_sym_BSLASHs] = ACTIONS(5354),
    [anon_sym_BSLASHr] = ACTIONS(5354),
    [anon_sym_BSLASHsp] = ACTIONS(5354),
    [anon_sym_BSLASHd] = ACTIONS(5354),
    [anon_sym_BSLASHsd] = ACTIONS(5354),
    [anon_sym_BSLASHp] = ACTIONS(5354),
    [anon_sym_BSLASHm] = ACTIONS(5354),
    [anon_sym_BSLASHpo] = ACTIONS(5354),
    [anon_sym_BSLASHpr] = ACTIONS(5354),
    [anon_sym_BSLASHcls] = ACTIONS(5354),
    [anon_sym_BSLASHpmo] = ACTIONS(5354),
    [anon_sym_BSLASHpm] = ACTIONS(5354),
    [anon_sym_BSLASHpmc] = ACTIONS(5354),
    [anon_sym_BSLASHpmr] = ACTIONS(5354),
    [anon_sym_BSLASHpi] = ACTIONS(5354),
    [anon_sym_BSLASHmi] = ACTIONS(5354),
    [anon_sym_BSLASHnb] = ACTIONS(5354),
    [anon_sym_BSLASHpc] = ACTIONS(5354),
    [anon_sym_BSLASHph] = ACTIONS(5354),
    [anon_sym_BSLASHb] = ACTIONS(5354),
    [anon_sym_BSLASHq] = ACTIONS(5354),
    [anon_sym_BSLASHqr] = ACTIONS(5354),
    [anon_sym_BSLASHqc] = ACTIONS(5354),
    [anon_sym_BSLASHqs] = ACTIONS(5354),
    [anon_sym_BSLASHqa] = ACTIONS(5354),
    [anon_sym_BSLASHqac] = ACTIONS(5354),
    [anon_sym_BSLASHqm] = ACTIONS(5354),
    [anon_sym_BSLASHqd] = ACTIONS(5354),
    [anon_sym_BSLASHlh] = ACTIONS(5354),
    [anon_sym_BSLASHli] = ACTIONS(5354),
    [anon_sym_BSLASHlim] = ACTIONS(5354),
    [anon_sym_BSLASHtr] = ACTIONS(5354),
    [anon_sym_BSLASHf] = ACTIONS(5354),
    [anon_sym_BSLASHfe] = ACTIONS(5354),
    [anon_sym_BSLASHef] = ACTIONS(5354),
    [anon_sym_BSLASHfm] = ACTIONS(5354),
    [anon_sym_BSLASHx] = ACTIONS(5354),
    [anon_sym_BSLASHxt] = ACTIONS(5354),
    [anon_sym_BSLASHrq] = ACTIONS(5354),
    [anon_sym_BSLASHadd] = ACTIONS(5354),
    [anon_sym_BSLASHbk] = ACTIONS(5354),
    [anon_sym_BSLASHdc] = ACTIONS(5354),
    [anon_sym_BSLASHk] = ACTIONS(5354),
    [anon_sym_BSLASHnd] = ACTIONS(5354),
    [anon_sym_BSLASHord] = ACTIONS(5354),
    [anon_sym_BSLASHpn] = ACTIONS(5354),
    [anon_sym_BSLASHpng] = ACTIONS(5354),
    [anon_sym_BSLASHaddpn] = ACTIONS(5354),
    [anon_sym_BSLASHqt] = ACTIONS(5354),
    [anon_sym_BSLASHsig] = ACTIONS(5354),
    [anon_sym_BSLASHsls] = ACTIONS(5354),
    [anon_sym_BSLASHtl] = ACTIONS(5354),
    [anon_sym_BSLASHwj] = ACTIONS(5354),
    [anon_sym_BSLASHem] = ACTIONS(5354),
    [anon_sym_BSLASHbd] = ACTIONS(5354),
    [anon_sym_BSLASHit] = ACTIONS(5354),
    [anon_sym_BSLASHbdit] = ACTIONS(5354),
    [anon_sym_BSLASHno] = ACTIONS(5354),
    [anon_sym_BSLASHsc] = ACTIONS(5354),
    [anon_sym_BSLASHsup] = ACTIONS(5354),
    [anon_sym_BSLASHndx] = ACTIONS(5354),
    [anon_sym_BSLASHpro] = ACTIONS(5354),
    [anon_sym_BSLASHrb] = ACTIONS(5354),
    [anon_sym_BSLASHw] = ACTIONS(5354),
    [anon_sym_BSLASHwg] = ACTIONS(5354),
    [anon_sym_BSLASHwh] = ACTIONS(5354),
    [anon_sym_BSLASHwa] = ACTIONS(5354),
    [anon_sym_BSLASHfig] = ACTIONS(5354),
    [anon_sym_BSLASHjmp] = ACTIONS(5354),
    [anon_sym_BSLASHpb] = ACTIONS(5354),
    [anon_sym_BSLASH] = ACTIONS(5354),
    [sym_milestoneStartTag] = ACTIONS(5354),
    [sym_milestoneEndTag] = ACTIONS(5354),
    [sym_zSpaceTag] = ACTIONS(5354),
    [anon_sym_BSLASHesb] = ACTIONS(5354),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(5348),
    [aux_sym_text_token1] = ACTIONS(5348),
    [anon_sym_BSLASHref] = ACTIONS(5350),
    [anon_sym_BSLASHsts] = ACTIONS(5350),
    [anon_sym_BSLASHrem] = ACTIONS(5350),
    [anon_sym_BSLASHrestore] = ACTIONS(5350),
    [anon_sym_BSLASHlit] = ACTIONS(5350),
    [anon_sym_BSLASHip] = ACTIONS(5350),
    [anon_sym_BSLASHiex] = ACTIONS(5350),
    [anon_sym_BSLASHv] = ACTIONS(5350),
    [anon_sym_BSLASHva] = ACTIONS(5350),
    [anon_sym_BSLASHvp] = ACTIONS(5350),
    [anon_sym_BSLASHc] = ACTIONS(5350),
    [anon_sym_BSLASHcl] = ACTIONS(5350),
    [anon_sym_BSLASHca] = ACTIONS(5350),
    [anon_sym_BSLASHcp] = ACTIONS(5350),
    [anon_sym_BSLASHcd] = ACTIONS(5350),
    [anon_sym_BSLASHmte] = ACTIONS(5350),
    [anon_sym_BSLASHms] = ACTIONS(5350),
    [anon_sym_BSLASHs] = ACTIONS(5350),
    [anon_sym_BSLASHr] = ACTIONS(5350),
    [anon_sym_BSLASHsp] = ACTIONS(5350),
    [anon_sym_BSLASHd] = ACTIONS(5350),
    [anon_sym_BSLASHsd] = ACTIONS(5350),
    [anon_sym_BSLASHp] = ACTIONS(5350),
    [anon_sym_BSLASHm] = ACTIONS(5350),
    [anon_sym_BSLASHpo] = ACTIONS(5350),
    [anon_sym_BSLASHpr] = ACTIONS(5350),
    [anon_sym_BSLASHcls] = ACTIONS(5350),
    [anon_sym_BSLASHpmo] = ACTIONS(5350),
    [anon_sym_BSLASHpm] = ACTIONS(5350),
    [anon_sym_BSLASHpmc] = ACTIONS(5350),
    [anon_sym_BSLASHpmr] = ACTIONS(5350),
    [anon_sym_BSLASHpi] = ACTIONS(5350),
    [anon_sym_BSLASHmi] = ACTIONS(5350),
    [anon_sym_BSLASHnb] = ACTIONS(5350),
    [anon_sym_BSLASHpc] = ACTIONS(5350),
    [anon_sym_BSLASHph] = ACTIONS(5350),
    [anon_sym_BSLASHb] = ACTIONS(5350),
    [anon_sym_BSLASHq] = ACTIONS(5350),
    [anon_sym_BSLASHqr] = ACTIONS(5350),
    [anon_sym_BSLASHqc] = ACTIONS(5350),
    [anon_sym_BSLASHqs] = ACTIONS(5350),
    [anon_sym_BSLASHqa] = ACTIONS(5350),
    [anon_sym_BSLASHqac] = ACTIONS(5350),
    [anon_sym_BSLASHqm] = ACTIONS(5350),
    [anon_sym_BSLASHqd] = ACTIONS(5350),
    [anon_sym_BSLASHlh] = ACTIONS(5350),
    [anon_sym_BSLASHli] = ACTIONS(5350),
    [anon_sym_BSLASHlim] = ACTIONS(5350),
    [anon_sym_BSLASHtr] = ACTIONS(5350),
    [anon_sym_BSLASHf] = ACTIONS(5350),
    [anon_sym_BSLASHfe] = ACTIONS(5350),
    [anon_sym_BSLASHef] = ACTIONS(5350),
    [anon_sym_BSLASHfm] = ACTIONS(5350),
    [anon_sym_BSLASHx] = ACTIONS(5350),
    [anon_sym_BSLASHxt] = ACTIONS(5350),
    [anon_sym_BSLASHrq] = ACTIONS(5350),
    [anon_sym_BSLASHadd] = ACTIONS(5350),
    [anon_sym_BSLASHbk] = ACTIONS(5350),
    [anon_sym_BSLASHdc] = ACTIONS(5350),
    [anon_sym_BSLASHk] = ACTIONS(5350),
    [anon_sym_BSLASHnd] = ACTIONS(5350),
    [anon_sym_BSLASHord] = ACTIONS(5350),
    [anon_sym_BSLASHpn] = ACTIONS(5350),
    [anon_sym_BSLASHpng] = ACTIONS(5350),
    [anon_sym_BSLASHaddpn] = ACTIONS(5350),
    [anon_sym_BSLASHqt] = ACTIONS(5350),
    [anon_sym_BSLASHsig] = ACTIONS(5350),
    [anon_sym_BSLASHsls] = ACTIONS(5350),
    [anon_sym_BSLASHtl] = ACTIONS(5350),
    [anon_sym_BSLASHwj] = ACTIONS(5350),
    [anon_sym_BSLASHem] = ACTIONS(5350),
    [anon_sym_BSLASHbd] = ACTIONS(5350),
    [anon_sym_BSLASHit] = ACTIONS(5350),
    [anon_sym_BSLASHbdit] = ACTIONS(5350),
    [anon_sym_BSLASHno] = ACTIONS(5350),
    [anon_sym_BSLASHsc] = ACTIONS(5350),
    [anon_sym_BSLASHsup] = ACTIONS(5350),
    [anon_sym_BSLASHndx] = ACTIONS(5350),
    [anon_sym_BSLASHpro] = ACTIONS(5350),
    [anon_sym_BSLASHrb] = ACTIONS(5350),
    [anon_sym_BSLASHw] = ACTIONS(5350),
    [anon_sym_BSLASHwg] = ACTIONS(5350),
    [anon_sym_BSLASHwh] = ACTIONS(5350),
    [anon_sym_BSLASHwa] = ACTIONS(5350),
    [anon_sym_BSLASHfig] = ACTIONS(5350),
    [anon_sym_BSLASHjmp] = ACTIONS(5350),
    [anon_sym_BSLASHpb] = ACTIONS(5350),
    [anon_sym_BSLASH] = ACTIONS(5350),
    [sym_milestoneStartTag] = ACTIONS(5350),
    [sym_milestoneEndTag] = ACTIONS(5350),
    [sym_zSpaceTag] = ACTIONS(5350),
    [anon_sym_BSLASHesb] = ACTIONS(5350),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(25),
    [aux_sym_text_token1] = ACTIONS(25),
    [anon_sym_BSLASHref] = ACTIONS(27),
    [anon_sym_BSLASHsts] = ACTIONS(27),
    [anon_sym_BSLASHrem] = ACTIONS(27),
    [anon_sym_BSLASHrestore] = ACTIONS(27),
    [anon_sym_BSLASHlit] = ACTIONS(27),
    [anon_sym_BSLASHip] = ACTIONS(27),
    [anon_sym_BSLASHiex] = ACTIONS(27),
    [anon_sym_BSLASHv] = ACTIONS(27),
    [anon_sym_BSLASHva] = ACTIONS(27),
    [anon_sym_BSLASHvp] = ACTIONS(27),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [anon_sym_BSLASHcl] = ACTIONS(27),
    [anon_sym_BSLASHca] = ACTIONS(27),
    [anon_sym_BSLASHcp] = ACTIONS(27),
    [anon_sym_BSLASHcd] = ACTIONS(27),
    [anon_sym_BSLASHmte] = ACTIONS(27),
    [anon_sym_BSLASHms] = ACTIONS(27),
    [anon_sym_BSLASHs] = ACTIONS(27),
    [anon_sym_BSLASHr] = ACTIONS(27),
    [anon_sym_BSLASHsp] = ACTIONS(27),
    [anon_sym_BSLASHd] = ACTIONS(27),
    [anon_sym_BSLASHsd] = ACTIONS(27),
    [anon_sym_BSLASHp] = ACTIONS(27),
    [anon_sym_BSLASHm] = ACTIONS(27),
    [anon_sym_BSLASHpo] = ACTIONS(27),
    [anon_sym_BSLASHpr] = ACTIONS(27),
    [anon_sym_BSLASHcls] = ACTIONS(27),
    [anon_sym_BSLASHpmo] = ACTIONS(27),
    [anon_sym_BSLASHpm] = ACTIONS(27),
    [anon_sym_BSLASHpmc] = ACTIONS(27),
    [anon_sym_BSLASHpmr] = ACTIONS(27),
    [anon_sym_BSLASHpi] = ACTIONS(27),
    [anon_sym_BSLASHmi] = ACTIONS(27),
    [anon_sym_BSLASHnb] = ACTIONS(27),
    [anon_sym_BSLASHpc] = ACTIONS(27),
    [anon_sym_BSLASHph] = ACTIONS(27),
    [anon_sym_BSLASHb] = ACTIONS(27),
    [anon_sym_BSLASHq] = ACTIONS(27),
    [anon_sym_BSLASHqr] = ACTIONS(27),
    [anon_sym_BSLASHqc] = ACTIONS(27),
    [anon_sym_BSLASHqs] = ACTIONS(27),
    [anon_sym_BSLASHqa] = ACTIONS(27),
    [anon_sym_BSLASHqac] = ACTIONS(27),
    [anon_sym_BSLASHqm] = ACTIONS(27),
    [anon_sym_BSLASHqd] = ACTIONS(27),
    [anon_sym_BSLASHlh] = ACTIONS(27),
    [anon_sym_BSLASHli] = ACTIONS(27),
    [anon_sym_BSLASHlim] = ACTIONS(27),
    [anon_sym_BSLASHtr] = ACTIONS(27),
    [anon_sym_BSLASHf] = ACTIONS(27),
    [anon_sym_BSLASHfe] = ACTIONS(27),
    [anon_sym_BSLASHef] = ACTIONS(27),
    [anon_sym_BSLASHfm] = ACTIONS(27),
    [anon_sym_BSLASHx] = ACTIONS(27),
    [anon_sym_BSLASHxt] = ACTIONS(27),
    [anon_sym_BSLASHrq] = ACTIONS(27),
    [anon_sym_BSLASHadd] = ACTIONS(27),
    [anon_sym_BSLASHbk] = ACTIONS(27),
    [anon_sym_BSLASHdc] = ACTIONS(27),
    [anon_sym_BSLASHk] = ACTIONS(27),
    [anon_sym_BSLASHnd] = ACTIONS(27),
    [anon_sym_BSLASHord] = ACTIONS(27),
    [anon_sym_BSLASHpn] = ACTIONS(27),
    [anon_sym_BSLASHpng] = ACTIONS(27),
    [anon_sym_BSLASHaddpn] = ACTIONS(27),
    [anon_sym_BSLASHqt] = ACTIONS(27),
    [anon_sym_BSLASHsig] = ACTIONS(27),
    [anon_sym_BSLASHsls] = ACTIONS(27),
    [anon_sym_BSLASHtl] = ACTIONS(27),
    [anon_sym_BSLASHwj] = ACTIONS(27),
    [anon_sym_BSLASHem] = ACTIONS(27),
    [anon_sym_BSLASHbd] = ACTIONS(27),
    [anon_sym_BSLASHit] = ACTIONS(27),
    [anon_sym_BSLASHbdit] = ACTIONS(27),
    [anon_sym_BSLASHno] = ACTIONS(27),
    [anon_sym_BSLASHsc] = ACTIONS(27),
    [anon_sym_BSLASHsup] = ACTIONS(27),
    [anon_sym_BSLASHndx] = ACTIONS(27),
    [anon_sym_BSLASHpro] = ACTIONS(27),
    [anon_sym_BSLASHrb] = ACTIONS(27),
    [anon_sym_BSLASHw] = ACTIONS(27),
    [anon_sym_BSLASHwg] = ACTIONS(27),
    [anon_sym_BSLASHwh] = ACTIONS(27),
    [anon_sym_BSLASHwa] = ACTIONS(27),
    [anon_sym_BSLASHfig] = ACTIONS(27),
    [anon_sym_BSLASHjmp] = ACTIONS(27),
    [anon_sym_BSLASHpb] = ACTIONS(27),
    [anon_sym_BSLASH] = ACTIONS(27),
    [sym_milestoneStartTag] = ACTIONS(27),
    [sym_milestoneEndTag] = ACTIONS(27),
    [sym_zSpaceTag] = ACTIONS(27),
    [anon_sym_BSLASHesb] = ACTIONS(27),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(5416),
    [aux_sym_text_token1] = ACTIONS(5416),
    [anon_sym_BSLASHref] = ACTIONS(5418),
    [anon_sym_BSLASHsts] = ACTIONS(5418),
    [anon_sym_BSLASHrem] = ACTIONS(5418),
    [anon_sym_BSLASHrestore] = ACTIONS(5418),
    [anon_sym_BSLASHlit] = ACTIONS(5418),
    [anon_sym_BSLASHip] = ACTIONS(5418),
    [anon_sym_BSLASHiex] = ACTIONS(5418),
    [anon_sym_BSLASHv] = ACTIONS(5418),
    [anon_sym_BSLASHva] = ACTIONS(5418),
    [anon_sym_BSLASHvp] = ACTIONS(5418),
    [anon_sym_BSLASHc] = ACTIONS(5418),
    [anon_sym_BSLASHcl] = ACTIONS(5418),
    [anon_sym_BSLASHca] = ACTIONS(5418),
    [anon_sym_BSLASHcp] = ACTIONS(5418),
    [anon_sym_BSLASHcd] = ACTIONS(5418),
    [anon_sym_BSLASHmte] = ACTIONS(5418),
    [anon_sym_BSLASHms] = ACTIONS(5418),
    [anon_sym_BSLASHs] = ACTIONS(5418),
    [anon_sym_BSLASHr] = ACTIONS(5418),
    [anon_sym_BSLASHsp] = ACTIONS(5418),
    [anon_sym_BSLASHd] = ACTIONS(5418),
    [anon_sym_BSLASHsd] = ACTIONS(5418),
    [anon_sym_BSLASHp] = ACTIONS(5418),
    [anon_sym_BSLASHm] = ACTIONS(5418),
    [anon_sym_BSLASHpo] = ACTIONS(5418),
    [anon_sym_BSLASHpr] = ACTIONS(5418),
    [anon_sym_BSLASHcls] = ACTIONS(5418),
    [anon_sym_BSLASHpmo] = ACTIONS(5418),
    [anon_sym_BSLASHpm] = ACTIONS(5418),
    [anon_sym_BSLASHpmc] = ACTIONS(5418),
    [anon_sym_BSLASHpmr] = ACTIONS(5418),
    [anon_sym_BSLASHpi] = ACTIONS(5418),
    [anon_sym_BSLASHmi] = ACTIONS(5418),
    [anon_sym_BSLASHnb] = ACTIONS(5418),
    [anon_sym_BSLASHpc] = ACTIONS(5418),
    [anon_sym_BSLASHph] = ACTIONS(5418),
    [anon_sym_BSLASHb] = ACTIONS(5418),
    [anon_sym_BSLASHq] = ACTIONS(5418),
    [anon_sym_BSLASHqr] = ACTIONS(5418),
    [anon_sym_BSLASHqc] = ACTIONS(5418),
    [anon_sym_BSLASHqs] = ACTIONS(5418),
    [anon_sym_BSLASHqa] = ACTIONS(5418),
    [anon_sym_BSLASHqac] = ACTIONS(5418),
    [anon_sym_BSLASHqm] = ACTIONS(5418),
    [anon_sym_BSLASHqd] = ACTIONS(5418),
    [anon_sym_BSLASHlh] = ACTIONS(5418),
    [anon_sym_BSLASHli] = ACTIONS(5418),
    [anon_sym_BSLASHlim] = ACTIONS(5418),
    [anon_sym_BSLASHtr] = ACTIONS(5418),
    [anon_sym_BSLASHf] = ACTIONS(5418),
    [anon_sym_BSLASHfe] = ACTIONS(5418),
    [anon_sym_BSLASHef] = ACTIONS(5418),
    [anon_sym_BSLASHfm] = ACTIONS(5418),
    [anon_sym_BSLASHx] = ACTIONS(5418),
    [anon_sym_BSLASHxt] = ACTIONS(5418),
    [anon_sym_BSLASHrq] = ACTIONS(5418),
    [anon_sym_BSLASHadd] = ACTIONS(5418),
    [anon_sym_BSLASHbk] = ACTIONS(5418),
    [anon_sym_BSLASHdc] = ACTIONS(5418),
    [anon_sym_BSLASHk] = ACTIONS(5418),
    [anon_sym_BSLASHnd] = ACTIONS(5418),
    [anon_sym_BSLASHord] = ACTIONS(5418),
    [anon_sym_BSLASHpn] = ACTIONS(5418),
    [anon_sym_BSLASHpng] = ACTIONS(5418),
    [anon_sym_BSLASHaddpn] = ACTIONS(5418),
    [anon_sym_BSLASHqt] = ACTIONS(5418),
    [anon_sym_BSLASHsig] = ACTIONS(5418),
    [anon_sym_BSLASHsls] = ACTIONS(5418),
    [anon_sym_BSLASHtl] = ACTIONS(5418),
    [anon_sym_BSLASHwj] = ACTIONS(5418),
    [anon_sym_BSLASHem] = ACTIONS(5418),
    [anon_sym_BSLASHbd] = ACTIONS(5418),
    [anon_sym_BSLASHit] = ACTIONS(5418),
    [anon_sym_BSLASHbdit] = ACTIONS(5418),
    [anon_sym_BSLASHno] = ACTIONS(5418),
    [anon_sym_BSLASHsc] = ACTIONS(5418),
    [anon_sym_BSLASHsup] = ACTIONS(5418),
    [anon_sym_BSLASHndx] = ACTIONS(5418),
    [anon_sym_BSLASHpro] = ACTIONS(5418),
    [anon_sym_BSLASHrb] = ACTIONS(5418),
    [anon_sym_BSLASHw] = ACTIONS(5418),
    [anon_sym_BSLASHwg] = ACTIONS(5418),
    [anon_sym_BSLASHwh] = ACTIONS(5418),
    [anon_sym_BSLASHwa] = ACTIONS(5418),
    [anon_sym_BSLASHfig] = ACTIONS(5418),
    [anon_sym_BSLASHjmp] = ACTIONS(5418),
    [anon_sym_BSLASHpb] = ACTIONS(5418),
    [anon_sym_BSLASH] = ACTIONS(5418),
    [sym_milestoneStartTag] = ACTIONS(5418),
    [sym_milestoneEndTag] = ACTIONS(5418),
    [sym_zSpaceTag] = ACTIONS(5418),
    [anon_sym_BSLASHesb] = ACTIONS(5418),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(2679),
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHref] = ACTIONS(2681),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHiex] = ACTIONS(2681),
    [anon_sym_BSLASHv] = ACTIONS(2681),
    [anon_sym_BSLASHva] = ACTIONS(2681),
    [anon_sym_BSLASHvp] = ACTIONS(2681),
    [anon_sym_BSLASHc] = ACTIONS(2681),
    [anon_sym_BSLASHcl] = ACTIONS(2681),
    [anon_sym_BSLASHca] = ACTIONS(2681),
    [anon_sym_BSLASHcp] = ACTIONS(2681),
    [anon_sym_BSLASHcd] = ACTIONS(2681),
    [anon_sym_BSLASHmte] = ACTIONS(2681),
    [anon_sym_BSLASHms] = ACTIONS(2681),
    [anon_sym_BSLASHs] = ACTIONS(2681),
    [anon_sym_BSLASHr] = ACTIONS(2681),
    [anon_sym_BSLASHsp] = ACTIONS(2681),
    [anon_sym_BSLASHd] = ACTIONS(2681),
    [anon_sym_BSLASHsd] = ACTIONS(2681),
    [anon_sym_BSLASHp] = ACTIONS(2681),
    [anon_sym_BSLASHm] = ACTIONS(2681),
    [anon_sym_BSLASHpo] = ACTIONS(2681),
    [anon_sym_BSLASHpr] = ACTIONS(2681),
    [anon_sym_BSLASHcls] = ACTIONS(2681),
    [anon_sym_BSLASHpmo] = ACTIONS(2681),
    [anon_sym_BSLASHpm] = ACTIONS(2681),
    [anon_sym_BSLASHpmc] = ACTIONS(2681),
    [anon_sym_BSLASHpmr] = ACTIONS(2681),
    [anon_sym_BSLASHpi] = ACTIONS(2681),
    [anon_sym_BSLASHmi] = ACTIONS(2681),
    [anon_sym_BSLASHnb] = ACTIONS(2681),
    [anon_sym_BSLASHpc] = ACTIONS(2681),
    [anon_sym_BSLASHph] = ACTIONS(2681),
    [anon_sym_BSLASHb] = ACTIONS(2681),
    [anon_sym_BSLASHq] = ACTIONS(2681),
    [anon_sym_BSLASHqr] = ACTIONS(2681),
    [anon_sym_BSLASHqc] = ACTIONS(2681),
    [anon_sym_BSLASHqs] = ACTIONS(2681),
    [anon_sym_BSLASHqa] = ACTIONS(2681),
    [anon_sym_BSLASHqac] = ACTIONS(2681),
    [anon_sym_BSLASHqm] = ACTIONS(2681),
    [anon_sym_BSLASHqd] = ACTIONS(2681),
    [anon_sym_BSLASHlh] = ACTIONS(2681),
    [anon_sym_BSLASHli] = ACTIONS(2681),
    [anon_sym_BSLASHlim] = ACTIONS(2681),
    [anon_sym_BSLASHtr] = ACTIONS(2681),
    [anon_sym_BSLASHf] = ACTIONS(2681),
    [anon_sym_BSLASHfe] = ACTIONS(2681),
    [anon_sym_BSLASHef] = ACTIONS(2681),
    [anon_sym_BSLASHfm] = ACTIONS(2681),
    [anon_sym_BSLASHx] = ACTIONS(2681),
    [anon_sym_BSLASHxt] = ACTIONS(2681),
    [anon_sym_BSLASHrq] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASHfig] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASHpb] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesb] = ACTIONS(2681),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(2675),
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHref] = ACTIONS(2677),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHiex] = ACTIONS(2677),
    [anon_sym_BSLASHv] = ACTIONS(2677),
    [anon_sym_BSLASHva] = ACTIONS(2677),
    [anon_sym_BSLASHvp] = ACTIONS(2677),
    [anon_sym_BSLASHc] = ACTIONS(2677),
    [anon_sym_BSLASHcl] = ACTIONS(2677),
    [anon_sym_BSLASHca] = ACTIONS(2677),
    [anon_sym_BSLASHcp] = ACTIONS(2677),
    [anon_sym_BSLASHcd] = ACTIONS(2677),
    [anon_sym_BSLASHmte] = ACTIONS(2677),
    [anon_sym_BSLASHms] = ACTIONS(2677),
    [anon_sym_BSLASHs] = ACTIONS(2677),
    [anon_sym_BSLASHr] = ACTIONS(2677),
    [anon_sym_BSLASHsp] = ACTIONS(2677),
    [anon_sym_BSLASHd] = ACTIONS(2677),
    [anon_sym_BSLASHsd] = ACTIONS(2677),
    [anon_sym_BSLASHp] = ACTIONS(2677),
    [anon_sym_BSLASHm] = ACTIONS(2677),
    [anon_sym_BSLASHpo] = ACTIONS(2677),
    [anon_sym_BSLASHpr] = ACTIONS(2677),
    [anon_sym_BSLASHcls] = ACTIONS(2677),
    [anon_sym_BSLASHpmo] = ACTIONS(2677),
    [anon_sym_BSLASHpm] = ACTIONS(2677),
    [anon_sym_BSLASHpmc] = ACTIONS(2677),
    [anon_sym_BSLASHpmr] = ACTIONS(2677),
    [anon_sym_BSLASHpi] = ACTIONS(2677),
    [anon_sym_BSLASHmi] = ACTIONS(2677),
    [anon_sym_BSLASHnb] = ACTIONS(2677),
    [anon_sym_BSLASHpc] = ACTIONS(2677),
    [anon_sym_BSLASHph] = ACTIONS(2677),
    [anon_sym_BSLASHb] = ACTIONS(2677),
    [anon_sym_BSLASHq] = ACTIONS(2677),
    [anon_sym_BSLASHqr] = ACTIONS(2677),
    [anon_sym_BSLASHqc] = ACTIONS(2677),
    [anon_sym_BSLASHqs] = ACTIONS(2677),
    [anon_sym_BSLASHqa] = ACTIONS(2677),
    [anon_sym_BSLASHqac] = ACTIONS(2677),
    [anon_sym_BSLASHqm] = ACTIONS(2677),
    [anon_sym_BSLASHqd] = ACTIONS(2677),
    [anon_sym_BSLASHlh] = ACTIONS(2677),
    [anon_sym_BSLASHli] = ACTIONS(2677),
    [anon_sym_BSLASHlim] = ACTIONS(2677),
    [anon_sym_BSLASHtr] = ACTIONS(2677),
    [anon_sym_BSLASHf] = ACTIONS(2677),
    [anon_sym_BSLASHfe] = ACTIONS(2677),
    [anon_sym_BSLASHef] = ACTIONS(2677),
    [anon_sym_BSLASHfm] = ACTIONS(2677),
    [anon_sym_BSLASHx] = ACTIONS(2677),
    [anon_sym_BSLASHxt] = ACTIONS(2677),
    [anon_sym_BSLASHrq] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASHfig] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASHpb] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesb] = ACTIONS(2677),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(5340),
    [aux_sym_text_token1] = ACTIONS(5340),
    [anon_sym_BSLASHref] = ACTIONS(5342),
    [anon_sym_BSLASHsts] = ACTIONS(5342),
    [anon_sym_BSLASHrem] = ACTIONS(5342),
    [anon_sym_BSLASHrestore] = ACTIONS(5342),
    [anon_sym_BSLASHlit] = ACTIONS(5342),
    [anon_sym_BSLASHip] = ACTIONS(5342),
    [anon_sym_BSLASHiex] = ACTIONS(5342),
    [anon_sym_BSLASHv] = ACTIONS(5342),
    [anon_sym_BSLASHva] = ACTIONS(5342),
    [anon_sym_BSLASHvp] = ACTIONS(5342),
    [anon_sym_BSLASHc] = ACTIONS(5342),
    [anon_sym_BSLASHcl] = ACTIONS(5342),
    [anon_sym_BSLASHca] = ACTIONS(5342),
    [anon_sym_BSLASHcp] = ACTIONS(5342),
    [anon_sym_BSLASHcd] = ACTIONS(5342),
    [anon_sym_BSLASHmte] = ACTIONS(5342),
    [anon_sym_BSLASHms] = ACTIONS(5342),
    [anon_sym_BSLASHs] = ACTIONS(5342),
    [anon_sym_BSLASHr] = ACTIONS(5342),
    [anon_sym_BSLASHsp] = ACTIONS(5342),
    [anon_sym_BSLASHd] = ACTIONS(5342),
    [anon_sym_BSLASHsd] = ACTIONS(5342),
    [anon_sym_BSLASHp] = ACTIONS(5342),
    [anon_sym_BSLASHm] = ACTIONS(5342),
    [anon_sym_BSLASHpo] = ACTIONS(5342),
    [anon_sym_BSLASHpr] = ACTIONS(5342),
    [anon_sym_BSLASHcls] = ACTIONS(5342),
    [anon_sym_BSLASHpmo] = ACTIONS(5342),
    [anon_sym_BSLASHpm] = ACTIONS(5342),
    [anon_sym_BSLASHpmc] = ACTIONS(5342),
    [anon_sym_BSLASHpmr] = ACTIONS(5342),
    [anon_sym_BSLASHpi] = ACTIONS(5342),
    [anon_sym_BSLASHmi] = ACTIONS(5342),
    [anon_sym_BSLASHnb] = ACTIONS(5342),
    [anon_sym_BSLASHpc] = ACTIONS(5342),
    [anon_sym_BSLASHph] = ACTIONS(5342),
    [anon_sym_BSLASHb] = ACTIONS(5342),
    [anon_sym_BSLASHq] = ACTIONS(5342),
    [anon_sym_BSLASHqr] = ACTIONS(5342),
    [anon_sym_BSLASHqc] = ACTIONS(5342),
    [anon_sym_BSLASHqs] = ACTIONS(5342),
    [anon_sym_BSLASHqa] = ACTIONS(5342),
    [anon_sym_BSLASHqac] = ACTIONS(5342),
    [anon_sym_BSLASHqm] = ACTIONS(5342),
    [anon_sym_BSLASHqd] = ACTIONS(5342),
    [anon_sym_BSLASHlh] = ACTIONS(5342),
    [anon_sym_BSLASHli] = ACTIONS(5342),
    [anon_sym_BSLASHlim] = ACTIONS(5342),
    [anon_sym_BSLASHtr] = ACTIONS(5342),
    [anon_sym_BSLASHf] = ACTIONS(5342),
    [anon_sym_BSLASHfe] = ACTIONS(5342),
    [anon_sym_BSLASHef] = ACTIONS(5342),
    [anon_sym_BSLASHfm] = ACTIONS(5342),
    [anon_sym_BSLASHx] = ACTIONS(5342),
    [anon_sym_BSLASHxt] = ACTIONS(5342),
    [anon_sym_BSLASHrq] = ACTIONS(5342),
    [anon_sym_BSLASHadd] = ACTIONS(5342),
    [anon_sym_BSLASHbk] = ACTIONS(5342),
    [anon_sym_BSLASHdc] = ACTIONS(5342),
    [anon_sym_BSLASHk] = ACTIONS(5342),
    [anon_sym_BSLASHnd] = ACTIONS(5342),
    [anon_sym_BSLASHord] = ACTIONS(5342),
    [anon_sym_BSLASHpn] = ACTIONS(5342),
    [anon_sym_BSLASHpng] = ACTIONS(5342),
    [anon_sym_BSLASHaddpn] = ACTIONS(5342),
    [anon_sym_BSLASHqt] = ACTIONS(5342),
    [anon_sym_BSLASHsig] = ACTIONS(5342),
    [anon_sym_BSLASHsls] = ACTIONS(5342),
    [anon_sym_BSLASHtl] = ACTIONS(5342),
    [anon_sym_BSLASHwj] = ACTIONS(5342),
    [anon_sym_BSLASHem] = ACTIONS(5342),
    [anon_sym_BSLASHbd] = ACTIONS(5342),
    [anon_sym_BSLASHit] = ACTIONS(5342),
    [anon_sym_BSLASHbdit] = ACTIONS(5342),
    [anon_sym_BSLASHno] = ACTIONS(5342),
    [anon_sym_BSLASHsc] = ACTIONS(5342),
    [anon_sym_BSLASHsup] = ACTIONS(5342),
    [anon_sym_BSLASHndx] = ACTIONS(5342),
    [anon_sym_BSLASHpro] = ACTIONS(5342),
    [anon_sym_BSLASHrb] = ACTIONS(5342),
    [anon_sym_BSLASHw] = ACTIONS(5342),
    [anon_sym_BSLASHwg] = ACTIONS(5342),
    [anon_sym_BSLASHwh] = ACTIONS(5342),
    [anon_sym_BSLASHwa] = ACTIONS(5342),
    [anon_sym_BSLASHfig] = ACTIONS(5342),
    [anon_sym_BSLASHjmp] = ACTIONS(5342),
    [anon_sym_BSLASHpb] = ACTIONS(5342),
    [anon_sym_BSLASH] = ACTIONS(5342),
    [sym_milestoneStartTag] = ACTIONS(5342),
    [sym_milestoneEndTag] = ACTIONS(5342),
    [sym_zSpaceTag] = ACTIONS(5342),
    [anon_sym_BSLASHesb] = ACTIONS(5342),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(5344),
    [aux_sym_text_token1] = ACTIONS(5344),
    [anon_sym_BSLASHref] = ACTIONS(5346),
    [anon_sym_BSLASHsts] = ACTIONS(5346),
    [anon_sym_BSLASHrem] = ACTIONS(5346),
    [anon_sym_BSLASHrestore] = ACTIONS(5346),
    [anon_sym_BSLASHlit] = ACTIONS(5346),
    [anon_sym_BSLASHip] = ACTIONS(5346),
    [anon_sym_BSLASHiex] = ACTIONS(5346),
    [anon_sym_BSLASHv] = ACTIONS(5346),
    [anon_sym_BSLASHva] = ACTIONS(5346),
    [anon_sym_BSLASHvp] = ACTIONS(5346),
    [anon_sym_BSLASHc] = ACTIONS(5346),
    [anon_sym_BSLASHcl] = ACTIONS(5346),
    [anon_sym_BSLASHca] = ACTIONS(5346),
    [anon_sym_BSLASHcp] = ACTIONS(5346),
    [anon_sym_BSLASHcd] = ACTIONS(5346),
    [anon_sym_BSLASHmte] = ACTIONS(5346),
    [anon_sym_BSLASHms] = ACTIONS(5346),
    [anon_sym_BSLASHs] = ACTIONS(5346),
    [anon_sym_BSLASHr] = ACTIONS(5346),
    [anon_sym_BSLASHsp] = ACTIONS(5346),
    [anon_sym_BSLASHd] = ACTIONS(5346),
    [anon_sym_BSLASHsd] = ACTIONS(5346),
    [anon_sym_BSLASHp] = ACTIONS(5346),
    [anon_sym_BSLASHm] = ACTIONS(5346),
    [anon_sym_BSLASHpo] = ACTIONS(5346),
    [anon_sym_BSLASHpr] = ACTIONS(5346),
    [anon_sym_BSLASHcls] = ACTIONS(5346),
    [anon_sym_BSLASHpmo] = ACTIONS(5346),
    [anon_sym_BSLASHpm] = ACTIONS(5346),
    [anon_sym_BSLASHpmc] = ACTIONS(5346),
    [anon_sym_BSLASHpmr] = ACTIONS(5346),
    [anon_sym_BSLASHpi] = ACTIONS(5346),
    [anon_sym_BSLASHmi] = ACTIONS(5346),
    [anon_sym_BSLASHnb] = ACTIONS(5346),
    [anon_sym_BSLASHpc] = ACTIONS(5346),
    [anon_sym_BSLASHph] = ACTIONS(5346),
    [anon_sym_BSLASHb] = ACTIONS(5346),
    [anon_sym_BSLASHq] = ACTIONS(5346),
    [anon_sym_BSLASHqr] = ACTIONS(5346),
    [anon_sym_BSLASHqc] = ACTIONS(5346),
    [anon_sym_BSLASHqs] = ACTIONS(5346),
    [anon_sym_BSLASHqa] = ACTIONS(5346),
    [anon_sym_BSLASHqac] = ACTIONS(5346),
    [anon_sym_BSLASHqm] = ACTIONS(5346),
    [anon_sym_BSLASHqd] = ACTIONS(5346),
    [anon_sym_BSLASHlh] = ACTIONS(5346),
    [anon_sym_BSLASHli] = ACTIONS(5346),
    [anon_sym_BSLASHlim] = ACTIONS(5346),
    [anon_sym_BSLASHtr] = ACTIONS(5346),
    [anon_sym_BSLASHf] = ACTIONS(5346),
    [anon_sym_BSLASHfe] = ACTIONS(5346),
    [anon_sym_BSLASHef] = ACTIONS(5346),
    [anon_sym_BSLASHfm] = ACTIONS(5346),
    [anon_sym_BSLASHx] = ACTIONS(5346),
    [anon_sym_BSLASHxt] = ACTIONS(5346),
    [anon_sym_BSLASHrq] = ACTIONS(5346),
    [anon_sym_BSLASHadd] = ACTIONS(5346),
    [anon_sym_BSLASHbk] = ACTIONS(5346),
    [anon_sym_BSLASHdc] = ACTIONS(5346),
    [anon_sym_BSLASHk] = ACTIONS(5346),
    [anon_sym_BSLASHnd] = ACTIONS(5346),
    [anon_sym_BSLASHord] = ACTIONS(5346),
    [anon_sym_BSLASHpn] = ACTIONS(5346),
    [anon_sym_BSLASHpng] = ACTIONS(5346),
    [anon_sym_BSLASHaddpn] = ACTIONS(5346),
    [anon_sym_BSLASHqt] = ACTIONS(5346),
    [anon_sym_BSLASHsig] = ACTIONS(5346),
    [anon_sym_BSLASHsls] = ACTIONS(5346),
    [anon_sym_BSLASHtl] = ACTIONS(5346),
    [anon_sym_BSLASHwj] = ACTIONS(5346),
    [anon_sym_BSLASHem] = ACTIONS(5346),
    [anon_sym_BSLASHbd] = ACTIONS(5346),
    [anon_sym_BSLASHit] = ACTIONS(5346),
    [anon_sym_BSLASHbdit] = ACTIONS(5346),
    [anon_sym_BSLASHno] = ACTIONS(5346),
    [anon_sym_BSLASHsc] = ACTIONS(5346),
    [anon_sym_BSLASHsup] = ACTIONS(5346),
    [anon_sym_BSLASHndx] = ACTIONS(5346),
    [anon_sym_BSLASHpro] = ACTIONS(5346),
    [anon_sym_BSLASHrb] = ACTIONS(5346),
    [anon_sym_BSLASHw] = ACTIONS(5346),
    [anon_sym_BSLASHwg] = ACTIONS(5346),
    [anon_sym_BSLASHwh] = ACTIONS(5346),
    [anon_sym_BSLASHwa] = ACTIONS(5346),
    [anon_sym_BSLASHfig] = ACTIONS(5346),
    [anon_sym_BSLASHjmp] = ACTIONS(5346),
    [anon_sym_BSLASHpb] = ACTIONS(5346),
    [anon_sym_BSLASH] = ACTIONS(5346),
    [sym_milestoneStartTag] = ACTIONS(5346),
    [sym_milestoneEndTag] = ACTIONS(5346),
    [sym_zSpaceTag] = ACTIONS(5346),
    [anon_sym_BSLASHesb] = ACTIONS(5346),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(5328),
    [aux_sym_text_token1] = ACTIONS(5328),
    [anon_sym_BSLASHref] = ACTIONS(5330),
    [anon_sym_BSLASHsts] = ACTIONS(5330),
    [anon_sym_BSLASHrem] = ACTIONS(5330),
    [anon_sym_BSLASHrestore] = ACTIONS(5330),
    [anon_sym_BSLASHlit] = ACTIONS(5330),
    [anon_sym_BSLASHip] = ACTIONS(5330),
    [anon_sym_BSLASHiex] = ACTIONS(5330),
    [anon_sym_BSLASHv] = ACTIONS(5330),
    [anon_sym_BSLASHva] = ACTIONS(5330),
    [anon_sym_BSLASHvp] = ACTIONS(5330),
    [anon_sym_BSLASHc] = ACTIONS(5330),
    [anon_sym_BSLASHcl] = ACTIONS(5330),
    [anon_sym_BSLASHca] = ACTIONS(5330),
    [anon_sym_BSLASHcp] = ACTIONS(5330),
    [anon_sym_BSLASHcd] = ACTIONS(5330),
    [anon_sym_BSLASHmte] = ACTIONS(5330),
    [anon_sym_BSLASHms] = ACTIONS(5330),
    [anon_sym_BSLASHs] = ACTIONS(5330),
    [anon_sym_BSLASHr] = ACTIONS(5330),
    [anon_sym_BSLASHsp] = ACTIONS(5330),
    [anon_sym_BSLASHd] = ACTIONS(5330),
    [anon_sym_BSLASHsd] = ACTIONS(5330),
    [anon_sym_BSLASHp] = ACTIONS(5330),
    [anon_sym_BSLASHm] = ACTIONS(5330),
    [anon_sym_BSLASHpo] = ACTIONS(5330),
    [anon_sym_BSLASHpr] = ACTIONS(5330),
    [anon_sym_BSLASHcls] = ACTIONS(5330),
    [anon_sym_BSLASHpmo] = ACTIONS(5330),
    [anon_sym_BSLASHpm] = ACTIONS(5330),
    [anon_sym_BSLASHpmc] = ACTIONS(5330),
    [anon_sym_BSLASHpmr] = ACTIONS(5330),
    [anon_sym_BSLASHpi] = ACTIONS(5330),
    [anon_sym_BSLASHmi] = ACTIONS(5330),
    [anon_sym_BSLASHnb] = ACTIONS(5330),
    [anon_sym_BSLASHpc] = ACTIONS(5330),
    [anon_sym_BSLASHph] = ACTIONS(5330),
    [anon_sym_BSLASHb] = ACTIONS(5330),
    [anon_sym_BSLASHq] = ACTIONS(5330),
    [anon_sym_BSLASHqr] = ACTIONS(5330),
    [anon_sym_BSLASHqc] = ACTIONS(5330),
    [anon_sym_BSLASHqs] = ACTIONS(5330),
    [anon_sym_BSLASHqa] = ACTIONS(5330),
    [anon_sym_BSLASHqac] = ACTIONS(5330),
    [anon_sym_BSLASHqm] = ACTIONS(5330),
    [anon_sym_BSLASHqd] = ACTIONS(5330),
    [anon_sym_BSLASHlh] = ACTIONS(5330),
    [anon_sym_BSLASHli] = ACTIONS(5330),
    [anon_sym_BSLASHlim] = ACTIONS(5330),
    [anon_sym_BSLASHtr] = ACTIONS(5330),
    [anon_sym_BSLASHf] = ACTIONS(5330),
    [anon_sym_BSLASHfe] = ACTIONS(5330),
    [anon_sym_BSLASHef] = ACTIONS(5330),
    [anon_sym_BSLASHfm] = ACTIONS(5330),
    [anon_sym_BSLASHx] = ACTIONS(5330),
    [anon_sym_BSLASHxt] = ACTIONS(5330),
    [anon_sym_BSLASHrq] = ACTIONS(5330),
    [anon_sym_BSLASHadd] = ACTIONS(5330),
    [anon_sym_BSLASHbk] = ACTIONS(5330),
    [anon_sym_BSLASHdc] = ACTIONS(5330),
    [anon_sym_BSLASHk] = ACTIONS(5330),
    [anon_sym_BSLASHnd] = ACTIONS(5330),
    [anon_sym_BSLASHord] = ACTIONS(5330),
    [anon_sym_BSLASHpn] = ACTIONS(5330),
    [anon_sym_BSLASHpng] = ACTIONS(5330),
    [anon_sym_BSLASHaddpn] = ACTIONS(5330),
    [anon_sym_BSLASHqt] = ACTIONS(5330),
    [anon_sym_BSLASHsig] = ACTIONS(5330),
    [anon_sym_BSLASHsls] = ACTIONS(5330),
    [anon_sym_BSLASHtl] = ACTIONS(5330),
    [anon_sym_BSLASHwj] = ACTIONS(5330),
    [anon_sym_BSLASHem] = ACTIONS(5330),
    [anon_sym_BSLASHbd] = ACTIONS(5330),
    [anon_sym_BSLASHit] = ACTIONS(5330),
    [anon_sym_BSLASHbdit] = ACTIONS(5330),
    [anon_sym_BSLASHno] = ACTIONS(5330),
    [anon_sym_BSLASHsc] = ACTIONS(5330),
    [anon_sym_BSLASHsup] = ACTIONS(5330),
    [anon_sym_BSLASHndx] = ACTIONS(5330),
    [anon_sym_BSLASHpro] = ACTIONS(5330),
    [anon_sym_BSLASHrb] = ACTIONS(5330),
    [anon_sym_BSLASHw] = ACTIONS(5330),
    [anon_sym_BSLASHwg] = ACTIONS(5330),
    [anon_sym_BSLASHwh] = ACTIONS(5330),
    [anon_sym_BSLASHwa] = ACTIONS(5330),
    [anon_sym_BSLASHfig] = ACTIONS(5330),
    [anon_sym_BSLASHjmp] = ACTIONS(5330),
    [anon_sym_BSLASHpb] = ACTIONS(5330),
    [anon_sym_BSLASH] = ACTIONS(5330),
    [sym_milestoneStartTag] = ACTIONS(5330),
    [sym_milestoneEndTag] = ACTIONS(5330),
    [sym_zSpaceTag] = ACTIONS(5330),
    [anon_sym_BSLASHesb] = ACTIONS(5330),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(13),
    [aux_sym_text_token1] = ACTIONS(13),
    [anon_sym_BSLASHref] = ACTIONS(15),
    [anon_sym_BSLASHsts] = ACTIONS(15),
    [anon_sym_BSLASHrem] = ACTIONS(15),
    [anon_sym_BSLASHrestore] = ACTIONS(15),
    [anon_sym_BSLASHlit] = ACTIONS(15),
    [anon_sym_BSLASHip] = ACTIONS(15),
    [anon_sym_BSLASHiex] = ACTIONS(15),
    [anon_sym_BSLASHv] = ACTIONS(15),
    [anon_sym_BSLASHva] = ACTIONS(15),
    [anon_sym_BSLASHvp] = ACTIONS(15),
    [anon_sym_BSLASHc] = ACTIONS(15),
    [anon_sym_BSLASHcl] = ACTIONS(15),
    [anon_sym_BSLASHca] = ACTIONS(15),
    [anon_sym_BSLASHcp] = ACTIONS(15),
    [anon_sym_BSLASHcd] = ACTIONS(15),
    [anon_sym_BSLASHmte] = ACTIONS(15),
    [anon_sym_BSLASHms] = ACTIONS(15),
    [anon_sym_BSLASHs] = ACTIONS(15),
    [anon_sym_BSLASHr] = ACTIONS(15),
    [anon_sym_BSLASHsp] = ACTIONS(15),
    [anon_sym_BSLASHd] = ACTIONS(15),
    [anon_sym_BSLASHsd] = ACTIONS(15),
    [anon_sym_BSLASHp] = ACTIONS(15),
    [anon_sym_BSLASHm] = ACTIONS(15),
    [anon_sym_BSLASHpo] = ACTIONS(15),
    [anon_sym_BSLASHpr] = ACTIONS(15),
    [anon_sym_BSLASHcls] = ACTIONS(15),
    [anon_sym_BSLASHpmo] = ACTIONS(15),
    [anon_sym_BSLASHpm] = ACTIONS(15),
    [anon_sym_BSLASHpmc] = ACTIONS(15),
    [anon_sym_BSLASHpmr] = ACTIONS(15),
    [anon_sym_BSLASHpi] = ACTIONS(15),
    [anon_sym_BSLASHmi] = ACTIONS(15),
    [anon_sym_BSLASHnb] = ACTIONS(15),
    [anon_sym_BSLASHpc] = ACTIONS(15),
    [anon_sym_BSLASHph] = ACTIONS(15),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [anon_sym_BSLASHq] = ACTIONS(15),
    [anon_sym_BSLASHqr] = ACTIONS(15),
    [anon_sym_BSLASHqc] = ACTIONS(15),
    [anon_sym_BSLASHqs] = ACTIONS(15),
    [anon_sym_BSLASHqa] = ACTIONS(15),
    [anon_sym_BSLASHqac] = ACTIONS(15),
    [anon_sym_BSLASHqm] = ACTIONS(15),
    [anon_sym_BSLASHqd] = ACTIONS(15),
    [anon_sym_BSLASHlh] = ACTIONS(15),
    [anon_sym_BSLASHli] = ACTIONS(15),
    [anon_sym_BSLASHlim] = ACTIONS(15),
    [anon_sym_BSLASHtr] = ACTIONS(15),
    [anon_sym_BSLASHf] = ACTIONS(15),
    [anon_sym_BSLASHfe] = ACTIONS(15),
    [anon_sym_BSLASHef] = ACTIONS(15),
    [anon_sym_BSLASHfm] = ACTIONS(15),
    [anon_sym_BSLASHx] = ACTIONS(15),
    [anon_sym_BSLASHxt] = ACTIONS(15),
    [anon_sym_BSLASHrq] = ACTIONS(15),
    [anon_sym_BSLASHadd] = ACTIONS(15),
    [anon_sym_BSLASHbk] = ACTIONS(15),
    [anon_sym_BSLASHdc] = ACTIONS(15),
    [anon_sym_BSLASHk] = ACTIONS(15),
    [anon_sym_BSLASHnd] = ACTIONS(15),
    [anon_sym_BSLASHord] = ACTIONS(15),
    [anon_sym_BSLASHpn] = ACTIONS(15),
    [anon_sym_BSLASHpng] = ACTIONS(15),
    [anon_sym_BSLASHaddpn] = ACTIONS(15),
    [anon_sym_BSLASHqt] = ACTIONS(15),
    [anon_sym_BSLASHsig] = ACTIONS(15),
    [anon_sym_BSLASHsls] = ACTIONS(15),
    [anon_sym_BSLASHtl] = ACTIONS(15),
    [anon_sym_BSLASHwj] = ACTIONS(15),
    [anon_sym_BSLASHem] = ACTIONS(15),
    [anon_sym_BSLASHbd] = ACTIONS(15),
    [anon_sym_BSLASHit] = ACTIONS(15),
    [anon_sym_BSLASHbdit] = ACTIONS(15),
    [anon_sym_BSLASHno] = ACTIONS(15),
    [anon_sym_BSLASHsc] = ACTIONS(15),
    [anon_sym_BSLASHsup] = ACTIONS(15),
    [anon_sym_BSLASHndx] = ACTIONS(15),
    [anon_sym_BSLASHpro] = ACTIONS(15),
    [anon_sym_BSLASHrb] = ACTIONS(15),
    [anon_sym_BSLASHw] = ACTIONS(15),
    [anon_sym_BSLASHwg] = ACTIONS(15),
    [anon_sym_BSLASHwh] = ACTIONS(15),
    [anon_sym_BSLASHwa] = ACTIONS(15),
    [anon_sym_BSLASHfig] = ACTIONS(15),
    [anon_sym_BSLASHjmp] = ACTIONS(15),
    [anon_sym_BSLASHpb] = ACTIONS(15),
    [anon_sym_BSLASH] = ACTIONS(15),
    [sym_milestoneStartTag] = ACTIONS(15),
    [sym_milestoneEndTag] = ACTIONS(15),
    [sym_zSpaceTag] = ACTIONS(15),
    [anon_sym_BSLASHesb] = ACTIONS(15),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(17),
    [aux_sym_text_token1] = ACTIONS(17),
    [anon_sym_BSLASHref] = ACTIONS(19),
    [anon_sym_BSLASHsts] = ACTIONS(19),
    [anon_sym_BSLASHrem] = ACTIONS(19),
    [anon_sym_BSLASHrestore] = ACTIONS(19),
    [anon_sym_BSLASHlit] = ACTIONS(19),
    [anon_sym_BSLASHip] = ACTIONS(19),
    [anon_sym_BSLASHiex] = ACTIONS(19),
    [anon_sym_BSLASHv] = ACTIONS(19),
    [anon_sym_BSLASHva] = ACTIONS(19),
    [anon_sym_BSLASHvp] = ACTIONS(19),
    [anon_sym_BSLASHc] = ACTIONS(19),
    [anon_sym_BSLASHcl] = ACTIONS(19),
    [anon_sym_BSLASHca] = ACTIONS(19),
    [anon_sym_BSLASHcp] = ACTIONS(19),
    [anon_sym_BSLASHcd] = ACTIONS(19),
    [anon_sym_BSLASHmte] = ACTIONS(19),
    [anon_sym_BSLASHms] = ACTIONS(19),
    [anon_sym_BSLASHs] = ACTIONS(19),
    [anon_sym_BSLASHr] = ACTIONS(19),
    [anon_sym_BSLASHsp] = ACTIONS(19),
    [anon_sym_BSLASHd] = ACTIONS(19),
    [anon_sym_BSLASHsd] = ACTIONS(19),
    [anon_sym_BSLASHp] = ACTIONS(19),
    [anon_sym_BSLASHm] = ACTIONS(19),
    [anon_sym_BSLASHpo] = ACTIONS(19),
    [anon_sym_BSLASHpr] = ACTIONS(19),
    [anon_sym_BSLASHcls] = ACTIONS(19),
    [anon_sym_BSLASHpmo] = ACTIONS(19),
    [anon_sym_BSLASHpm] = ACTIONS(19),
    [anon_sym_BSLASHpmc] = ACTIONS(19),
    [anon_sym_BSLASHpmr] = ACTIONS(19),
    [anon_sym_BSLASHpi] = ACTIONS(19),
    [anon_sym_BSLASHmi] = ACTIONS(19),
    [anon_sym_BSLASHnb] = ACTIONS(19),
    [anon_sym_BSLASHpc] = ACTIONS(19),
    [anon_sym_BSLASHph] = ACTIONS(19),
    [anon_sym_BSLASHb] = ACTIONS(19),
    [anon_sym_BSLASHq] = ACTIONS(19),
    [anon_sym_BSLASHqr] = ACTIONS(19),
    [anon_sym_BSLASHqc] = ACTIONS(19),
    [anon_sym_BSLASHqs] = ACTIONS(19),
    [anon_sym_BSLASHqa] = ACTIONS(19),
    [anon_sym_BSLASHqac] = ACTIONS(19),
    [anon_sym_BSLASHqm] = ACTIONS(19),
    [anon_sym_BSLASHqd] = ACTIONS(19),
    [anon_sym_BSLASHlh] = ACTIONS(19),
    [anon_sym_BSLASHli] = ACTIONS(19),
    [anon_sym_BSLASHlim] = ACTIONS(19),
    [anon_sym_BSLASHtr] = ACTIONS(19),
    [anon_sym_BSLASHf] = ACTIONS(19),
    [anon_sym_BSLASHfe] = ACTIONS(19),
    [anon_sym_BSLASHef] = ACTIONS(19),
    [anon_sym_BSLASHfm] = ACTIONS(19),
    [anon_sym_BSLASHx] = ACTIONS(19),
    [anon_sym_BSLASHxt] = ACTIONS(19),
    [anon_sym_BSLASHrq] = ACTIONS(19),
    [anon_sym_BSLASHadd] = ACTIONS(19),
    [anon_sym_BSLASHbk] = ACTIONS(19),
    [anon_sym_BSLASHdc] = ACTIONS(19),
    [anon_sym_BSLASHk] = ACTIONS(19),
    [anon_sym_BSLASHnd] = ACTIONS(19),
    [anon_sym_BSLASHord] = ACTIONS(19),
    [anon_sym_BSLASHpn] = ACTIONS(19),
    [anon_sym_BSLASHpng] = ACTIONS(19),
    [anon_sym_BSLASHaddpn] = ACTIONS(19),
    [anon_sym_BSLASHqt] = ACTIONS(19),
    [anon_sym_BSLASHsig] = ACTIONS(19),
    [anon_sym_BSLASHsls] = ACTIONS(19),
    [anon_sym_BSLASHtl] = ACTIONS(19),
    [anon_sym_BSLASHwj] = ACTIONS(19),
    [anon_sym_BSLASHem] = ACTIONS(19),
    [anon_sym_BSLASHbd] = ACTIONS(19),
    [anon_sym_BSLASHit] = ACTIONS(19),
    [anon_sym_BSLASHbdit] = ACTIONS(19),
    [anon_sym_BSLASHno] = ACTIONS(19),
    [anon_sym_BSLASHsc] = ACTIONS(19),
    [anon_sym_BSLASHsup] = ACTIONS(19),
    [anon_sym_BSLASHndx] = ACTIONS(19),
    [anon_sym_BSLASHpro] = ACTIONS(19),
    [anon_sym_BSLASHrb] = ACTIONS(19),
    [anon_sym_BSLASHw] = ACTIONS(19),
    [anon_sym_BSLASHwg] = ACTIONS(19),
    [anon_sym_BSLASHwh] = ACTIONS(19),
    [anon_sym_BSLASHwa] = ACTIONS(19),
    [anon_sym_BSLASHfig] = ACTIONS(19),
    [anon_sym_BSLASHjmp] = ACTIONS(19),
    [anon_sym_BSLASHpb] = ACTIONS(19),
    [anon_sym_BSLASH] = ACTIONS(19),
    [sym_milestoneStartTag] = ACTIONS(19),
    [sym_milestoneEndTag] = ACTIONS(19),
    [sym_zSpaceTag] = ACTIONS(19),
    [anon_sym_BSLASHesb] = ACTIONS(19),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHref] = ACTIONS(2673),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHiex] = ACTIONS(2673),
    [anon_sym_BSLASHv] = ACTIONS(2673),
    [anon_sym_BSLASHva] = ACTIONS(2673),
    [anon_sym_BSLASHvp] = ACTIONS(2673),
    [anon_sym_BSLASHc] = ACTIONS(2673),
    [anon_sym_BSLASHcl] = ACTIONS(2673),
    [anon_sym_BSLASHca] = ACTIONS(2673),
    [anon_sym_BSLASHcp] = ACTIONS(2673),
    [anon_sym_BSLASHcd] = ACTIONS(2673),
    [anon_sym_BSLASHmte] = ACTIONS(2673),
    [anon_sym_BSLASHms] = ACTIONS(2673),
    [anon_sym_BSLASHs] = ACTIONS(2673),
    [anon_sym_BSLASHr] = ACTIONS(2673),
    [anon_sym_BSLASHsp] = ACTIONS(2673),
    [anon_sym_BSLASHd] = ACTIONS(2673),
    [anon_sym_BSLASHsd] = ACTIONS(2673),
    [anon_sym_BSLASHp] = ACTIONS(2673),
    [anon_sym_BSLASHm] = ACTIONS(2673),
    [anon_sym_BSLASHpo] = ACTIONS(2673),
    [anon_sym_BSLASHpr] = ACTIONS(2673),
    [anon_sym_BSLASHcls] = ACTIONS(2673),
    [anon_sym_BSLASHpmo] = ACTIONS(2673),
    [anon_sym_BSLASHpm] = ACTIONS(2673),
    [anon_sym_BSLASHpmc] = ACTIONS(2673),
    [anon_sym_BSLASHpmr] = ACTIONS(2673),
    [anon_sym_BSLASHpi] = ACTIONS(2673),
    [anon_sym_BSLASHmi] = ACTIONS(2673),
    [anon_sym_BSLASHnb] = ACTIONS(2673),
    [anon_sym_BSLASHpc] = ACTIONS(2673),
    [anon_sym_BSLASHph] = ACTIONS(2673),
    [anon_sym_BSLASHb] = ACTIONS(2673),
    [anon_sym_BSLASHq] = ACTIONS(2673),
    [anon_sym_BSLASHqr] = ACTIONS(2673),
    [anon_sym_BSLASHqc] = ACTIONS(2673),
    [anon_sym_BSLASHqs] = ACTIONS(2673),
    [anon_sym_BSLASHqa] = ACTIONS(2673),
    [anon_sym_BSLASHqac] = ACTIONS(2673),
    [anon_sym_BSLASHqm] = ACTIONS(2673),
    [anon_sym_BSLASHqd] = ACTIONS(2673),
    [anon_sym_BSLASHlh] = ACTIONS(2673),
    [anon_sym_BSLASHli] = ACTIONS(2673),
    [anon_sym_BSLASHlim] = ACTIONS(2673),
    [anon_sym_BSLASHtr] = ACTIONS(2673),
    [anon_sym_BSLASHf] = ACTIONS(2673),
    [anon_sym_BSLASHfe] = ACTIONS(2673),
    [anon_sym_BSLASHef] = ACTIONS(2673),
    [anon_sym_BSLASHfm] = ACTIONS(2673),
    [anon_sym_BSLASHx] = ACTIONS(2673),
    [anon_sym_BSLASHxt] = ACTIONS(2673),
    [anon_sym_BSLASHrq] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASHfig] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASHpb] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesb] = ACTIONS(2673),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(3100),
    [aux_sym_text_token1] = ACTIONS(3100),
    [anon_sym_BSLASHref] = ACTIONS(3102),
    [anon_sym_BSLASHsts] = ACTIONS(3102),
    [anon_sym_BSLASHrem] = ACTIONS(3102),
    [anon_sym_BSLASHrestore] = ACTIONS(3102),
    [anon_sym_BSLASHlit] = ACTIONS(3102),
    [anon_sym_BSLASHip] = ACTIONS(3102),
    [anon_sym_BSLASHiex] = ACTIONS(3102),
    [anon_sym_BSLASHv] = ACTIONS(3102),
    [anon_sym_BSLASHva] = ACTIONS(3102),
    [anon_sym_BSLASHvp] = ACTIONS(3102),
    [anon_sym_BSLASHc] = ACTIONS(3102),
    [anon_sym_BSLASHcl] = ACTIONS(3102),
    [anon_sym_BSLASHca] = ACTIONS(3102),
    [anon_sym_BSLASHcp] = ACTIONS(3102),
    [anon_sym_BSLASHcd] = ACTIONS(3102),
    [anon_sym_BSLASHmte] = ACTIONS(3102),
    [anon_sym_BSLASHms] = ACTIONS(3102),
    [anon_sym_BSLASHs] = ACTIONS(3102),
    [anon_sym_BSLASHr] = ACTIONS(3102),
    [anon_sym_BSLASHsp] = ACTIONS(3102),
    [anon_sym_BSLASHd] = ACTIONS(3102),
    [anon_sym_BSLASHsd] = ACTIONS(3102),
    [anon_sym_BSLASHp] = ACTIONS(3102),
    [anon_sym_BSLASHm] = ACTIONS(3102),
    [anon_sym_BSLASHpo] = ACTIONS(3102),
    [anon_sym_BSLASHpr] = ACTIONS(3102),
    [anon_sym_BSLASHcls] = ACTIONS(3102),
    [anon_sym_BSLASHpmo] = ACTIONS(3102),
    [anon_sym_BSLASHpm] = ACTIONS(3102),
    [anon_sym_BSLASHpmc] = ACTIONS(3102),
    [anon_sym_BSLASHpmr] = ACTIONS(3102),
    [anon_sym_BSLASHpi] = ACTIONS(3102),
    [anon_sym_BSLASHmi] = ACTIONS(3102),
    [anon_sym_BSLASHnb] = ACTIONS(3102),
    [anon_sym_BSLASHpc] = ACTIONS(3102),
    [anon_sym_BSLASHph] = ACTIONS(3102),
    [anon_sym_BSLASHb] = ACTIONS(3102),
    [anon_sym_BSLASHq] = ACTIONS(3102),
    [anon_sym_BSLASHqr] = ACTIONS(3102),
    [anon_sym_BSLASHqc] = ACTIONS(3102),
    [anon_sym_BSLASHqs] = ACTIONS(3102),
    [anon_sym_BSLASHqa] = ACTIONS(3102),
    [anon_sym_BSLASHqac] = ACTIONS(3102),
    [anon_sym_BSLASHqm] = ACTIONS(3102),
    [anon_sym_BSLASHqd] = ACTIONS(3102),
    [anon_sym_BSLASHlh] = ACTIONS(3102),
    [anon_sym_BSLASHli] = ACTIONS(3102),
    [anon_sym_BSLASHlim] = ACTIONS(3102),
    [anon_sym_BSLASHtr] = ACTIONS(3102),
    [anon_sym_BSLASHf] = ACTIONS(3102),
    [anon_sym_BSLASHfe] = ACTIONS(3102),
    [anon_sym_BSLASHef] = ACTIONS(3102),
    [anon_sym_BSLASHfm] = ACTIONS(3102),
    [anon_sym_BSLASHx] = ACTIONS(3102),
    [anon_sym_BSLASHxt] = ACTIONS(3102),
    [anon_sym_BSLASHrq] = ACTIONS(3102),
    [anon_sym_BSLASHadd] = ACTIONS(3102),
    [anon_sym_BSLASHbk] = ACTIONS(3102),
    [anon_sym_BSLASHdc] = ACTIONS(3102),
    [anon_sym_BSLASHk] = ACTIONS(3102),
    [anon_sym_BSLASHnd] = ACTIONS(3102),
    [anon_sym_BSLASHord] = ACTIONS(3102),
    [anon_sym_BSLASHpn] = ACTIONS(3102),
    [anon_sym_BSLASHpng] = ACTIONS(3102),
    [anon_sym_BSLASHaddpn] = ACTIONS(3102),
    [anon_sym_BSLASHqt] = ACTIONS(3102),
    [anon_sym_BSLASHsig] = ACTIONS(3102),
    [anon_sym_BSLASHsls] = ACTIONS(3102),
    [anon_sym_BSLASHtl] = ACTIONS(3102),
    [anon_sym_BSLASHwj] = ACTIONS(3102),
    [anon_sym_BSLASHem] = ACTIONS(3102),
    [anon_sym_BSLASHbd] = ACTIONS(3102),
    [anon_sym_BSLASHit] = ACTIONS(3102),
    [anon_sym_BSLASHbdit] = ACTIONS(3102),
    [anon_sym_BSLASHno] = ACTIONS(3102),
    [anon_sym_BSLASHsc] = ACTIONS(3102),
    [anon_sym_BSLASHsup] = ACTIONS(3102),
    [anon_sym_BSLASHndx] = ACTIONS(3102),
    [anon_sym_BSLASHpro] = ACTIONS(3102),
    [anon_sym_BSLASHrb] = ACTIONS(3102),
    [anon_sym_BSLASHw] = ACTIONS(3102),
    [anon_sym_BSLASHwg] = ACTIONS(3102),
    [anon_sym_BSLASHwh] = ACTIONS(3102),
    [anon_sym_BSLASHwa] = ACTIONS(3102),
    [anon_sym_BSLASHfig] = ACTIONS(3102),
    [anon_sym_BSLASHjmp] = ACTIONS(3102),
    [anon_sym_BSLASHpb] = ACTIONS(3102),
    [anon_sym_BSLASH] = ACTIONS(3102),
    [sym_milestoneStartTag] = ACTIONS(3102),
    [sym_milestoneEndTag] = ACTIONS(3102),
    [sym_zSpaceTag] = ACTIONS(3102),
    [anon_sym_BSLASHesb] = ACTIONS(3102),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(2635),
    [aux_sym_text_token1] = ACTIONS(2635),
    [anon_sym_BSLASHref] = ACTIONS(2637),
    [anon_sym_BSLASHsts] = ACTIONS(2637),
    [anon_sym_BSLASHrem] = ACTIONS(2637),
    [anon_sym_BSLASHrestore] = ACTIONS(2637),
    [anon_sym_BSLASHlit] = ACTIONS(2637),
    [anon_sym_BSLASHip] = ACTIONS(2637),
    [anon_sym_BSLASHiex] = ACTIONS(2637),
    [anon_sym_BSLASHv] = ACTIONS(2637),
    [anon_sym_BSLASHva] = ACTIONS(2637),
    [anon_sym_BSLASHvp] = ACTIONS(2637),
    [anon_sym_BSLASHc] = ACTIONS(2637),
    [anon_sym_BSLASHcl] = ACTIONS(2637),
    [anon_sym_BSLASHca] = ACTIONS(2637),
    [anon_sym_BSLASHcp] = ACTIONS(2637),
    [anon_sym_BSLASHcd] = ACTIONS(2637),
    [anon_sym_BSLASHmte] = ACTIONS(2637),
    [anon_sym_BSLASHms] = ACTIONS(2637),
    [anon_sym_BSLASHs] = ACTIONS(2637),
    [anon_sym_BSLASHr] = ACTIONS(2637),
    [anon_sym_BSLASHsp] = ACTIONS(2637),
    [anon_sym_BSLASHd] = ACTIONS(2637),
    [anon_sym_BSLASHsd] = ACTIONS(2637),
    [anon_sym_BSLASHp] = ACTIONS(2637),
    [anon_sym_BSLASHm] = ACTIONS(2637),
    [anon_sym_BSLASHpo] = ACTIONS(2637),
    [anon_sym_BSLASHpr] = ACTIONS(2637),
    [anon_sym_BSLASHcls] = ACTIONS(2637),
    [anon_sym_BSLASHpmo] = ACTIONS(2637),
    [anon_sym_BSLASHpm] = ACTIONS(2637),
    [anon_sym_BSLASHpmc] = ACTIONS(2637),
    [anon_sym_BSLASHpmr] = ACTIONS(2637),
    [anon_sym_BSLASHpi] = ACTIONS(2637),
    [anon_sym_BSLASHmi] = ACTIONS(2637),
    [anon_sym_BSLASHnb] = ACTIONS(2637),
    [anon_sym_BSLASHpc] = ACTIONS(2637),
    [anon_sym_BSLASHph] = ACTIONS(2637),
    [anon_sym_BSLASHb] = ACTIONS(2637),
    [anon_sym_BSLASHq] = ACTIONS(2637),
    [anon_sym_BSLASHqr] = ACTIONS(2637),
    [anon_sym_BSLASHqc] = ACTIONS(2637),
    [anon_sym_BSLASHqs] = ACTIONS(2637),
    [anon_sym_BSLASHqa] = ACTIONS(2637),
    [anon_sym_BSLASHqac] = ACTIONS(2637),
    [anon_sym_BSLASHqm] = ACTIONS(2637),
    [anon_sym_BSLASHqd] = ACTIONS(2637),
    [anon_sym_BSLASHlh] = ACTIONS(2637),
    [anon_sym_BSLASHli] = ACTIONS(2637),
    [anon_sym_BSLASHlim] = ACTIONS(2637),
    [anon_sym_BSLASHtr] = ACTIONS(2637),
    [anon_sym_BSLASHf] = ACTIONS(2637),
    [anon_sym_BSLASHfe] = ACTIONS(2637),
    [anon_sym_BSLASHef] = ACTIONS(2637),
    [anon_sym_BSLASHfm] = ACTIONS(2637),
    [anon_sym_BSLASHx] = ACTIONS(2637),
    [anon_sym_BSLASHxt] = ACTIONS(2637),
    [anon_sym_BSLASHrq] = ACTIONS(2637),
    [anon_sym_BSLASHadd] = ACTIONS(2637),
    [anon_sym_BSLASHbk] = ACTIONS(2637),
    [anon_sym_BSLASHdc] = ACTIONS(2637),
    [anon_sym_BSLASHk] = ACTIONS(2637),
    [anon_sym_BSLASHnd] = ACTIONS(2637),
    [anon_sym_BSLASHord] = ACTIONS(2637),
    [anon_sym_BSLASHpn] = ACTIONS(2637),
    [anon_sym_BSLASHpng] = ACTIONS(2637),
    [anon_sym_BSLASHaddpn] = ACTIONS(2637),
    [anon_sym_BSLASHqt] = ACTIONS(2637),
    [anon_sym_BSLASHsig] = ACTIONS(2637),
    [anon_sym_BSLASHsls] = ACTIONS(2637),
    [anon_sym_BSLASHtl] = ACTIONS(2637),
    [anon_sym_BSLASHwj] = ACTIONS(2637),
    [anon_sym_BSLASHem] = ACTIONS(2637),
    [anon_sym_BSLASHbd] = ACTIONS(2637),
    [anon_sym_BSLASHit] = ACTIONS(2637),
    [anon_sym_BSLASHbdit] = ACTIONS(2637),
    [anon_sym_BSLASHno] = ACTIONS(2637),
    [anon_sym_BSLASHsc] = ACTIONS(2637),
    [anon_sym_BSLASHsup] = ACTIONS(2637),
    [anon_sym_BSLASHndx] = ACTIONS(2637),
    [anon_sym_BSLASHpro] = ACTIONS(2637),
    [anon_sym_BSLASHrb] = ACTIONS(2637),
    [anon_sym_BSLASHw] = ACTIONS(2637),
    [anon_sym_BSLASHwg] = ACTIONS(2637),
    [anon_sym_BSLASHwh] = ACTIONS(2637),
    [anon_sym_BSLASHwa] = ACTIONS(2637),
    [anon_sym_BSLASHfig] = ACTIONS(2637),
    [anon_sym_BSLASHjmp] = ACTIONS(2637),
    [anon_sym_BSLASHpb] = ACTIONS(2637),
    [anon_sym_BSLASH] = ACTIONS(2637),
    [sym_milestoneStartTag] = ACTIONS(2637),
    [sym_milestoneEndTag] = ACTIONS(2637),
    [sym_zSpaceTag] = ACTIONS(2637),
    [anon_sym_BSLASHesb] = ACTIONS(2637),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(2667),
    [aux_sym_text_token1] = ACTIONS(2667),
    [anon_sym_BSLASHref] = ACTIONS(2669),
    [anon_sym_BSLASHsts] = ACTIONS(2669),
    [anon_sym_BSLASHrem] = ACTIONS(2669),
    [anon_sym_BSLASHrestore] = ACTIONS(2669),
    [anon_sym_BSLASHlit] = ACTIONS(2669),
    [anon_sym_BSLASHip] = ACTIONS(2669),
    [anon_sym_BSLASHiex] = ACTIONS(2669),
    [anon_sym_BSLASHv] = ACTIONS(2669),
    [anon_sym_BSLASHva] = ACTIONS(2669),
    [anon_sym_BSLASHvp] = ACTIONS(2669),
    [anon_sym_BSLASHc] = ACTIONS(2669),
    [anon_sym_BSLASHcl] = ACTIONS(2669),
    [anon_sym_BSLASHca] = ACTIONS(2669),
    [anon_sym_BSLASHcp] = ACTIONS(2669),
    [anon_sym_BSLASHcd] = ACTIONS(2669),
    [anon_sym_BSLASHmte] = ACTIONS(2669),
    [anon_sym_BSLASHms] = ACTIONS(2669),
    [anon_sym_BSLASHs] = ACTIONS(2669),
    [anon_sym_BSLASHr] = ACTIONS(2669),
    [anon_sym_BSLASHsp] = ACTIONS(2669),
    [anon_sym_BSLASHd] = ACTIONS(2669),
    [anon_sym_BSLASHsd] = ACTIONS(2669),
    [anon_sym_BSLASHp] = ACTIONS(2669),
    [anon_sym_BSLASHm] = ACTIONS(2669),
    [anon_sym_BSLASHpo] = ACTIONS(2669),
    [anon_sym_BSLASHpr] = ACTIONS(2669),
    [anon_sym_BSLASHcls] = ACTIONS(2669),
    [anon_sym_BSLASHpmo] = ACTIONS(2669),
    [anon_sym_BSLASHpm] = ACTIONS(2669),
    [anon_sym_BSLASHpmc] = ACTIONS(2669),
    [anon_sym_BSLASHpmr] = ACTIONS(2669),
    [anon_sym_BSLASHpi] = ACTIONS(2669),
    [anon_sym_BSLASHmi] = ACTIONS(2669),
    [anon_sym_BSLASHnb] = ACTIONS(2669),
    [anon_sym_BSLASHpc] = ACTIONS(2669),
    [anon_sym_BSLASHph] = ACTIONS(2669),
    [anon_sym_BSLASHb] = ACTIONS(2669),
    [anon_sym_BSLASHq] = ACTIONS(2669),
    [anon_sym_BSLASHqr] = ACTIONS(2669),
    [anon_sym_BSLASHqc] = ACTIONS(2669),
    [anon_sym_BSLASHqs] = ACTIONS(2669),
    [anon_sym_BSLASHqa] = ACTIONS(2669),
    [anon_sym_BSLASHqac] = ACTIONS(2669),
    [anon_sym_BSLASHqm] = ACTIONS(2669),
    [anon_sym_BSLASHqd] = ACTIONS(2669),
    [anon_sym_BSLASHlh] = ACTIONS(2669),
    [anon_sym_BSLASHli] = ACTIONS(2669),
    [anon_sym_BSLASHlim] = ACTIONS(2669),
    [anon_sym_BSLASHtr] = ACTIONS(2669),
    [anon_sym_BSLASHf] = ACTIONS(2669),
    [anon_sym_BSLASHfe] = ACTIONS(2669),
    [anon_sym_BSLASHef] = ACTIONS(2669),
    [anon_sym_BSLASHfm] = ACTIONS(2669),
    [anon_sym_BSLASHx] = ACTIONS(2669),
    [anon_sym_BSLASHxt] = ACTIONS(2669),
    [anon_sym_BSLASHrq] = ACTIONS(2669),
    [anon_sym_BSLASHadd] = ACTIONS(2669),
    [anon_sym_BSLASHbk] = ACTIONS(2669),
    [anon_sym_BSLASHdc] = ACTIONS(2669),
    [anon_sym_BSLASHk] = ACTIONS(2669),
    [anon_sym_BSLASHnd] = ACTIONS(2669),
    [anon_sym_BSLASHord] = ACTIONS(2669),
    [anon_sym_BSLASHpn] = ACTIONS(2669),
    [anon_sym_BSLASHpng] = ACTIONS(2669),
    [anon_sym_BSLASHaddpn] = ACTIONS(2669),
    [anon_sym_BSLASHqt] = ACTIONS(2669),
    [anon_sym_BSLASHsig] = ACTIONS(2669),
    [anon_sym_BSLASHsls] = ACTIONS(2669),
    [anon_sym_BSLASHtl] = ACTIONS(2669),
    [anon_sym_BSLASHwj] = ACTIONS(2669),
    [anon_sym_BSLASHem] = ACTIONS(2669),
    [anon_sym_BSLASHbd] = ACTIONS(2669),
    [anon_sym_BSLASHit] = ACTIONS(2669),
    [anon_sym_BSLASHbdit] = ACTIONS(2669),
    [anon_sym_BSLASHno] = ACTIONS(2669),
    [anon_sym_BSLASHsc] = ACTIONS(2669),
    [anon_sym_BSLASHsup] = ACTIONS(2669),
    [anon_sym_BSLASHndx] = ACTIONS(2669),
    [anon_sym_BSLASHpro] = ACTIONS(2669),
    [anon_sym_BSLASHrb] = ACTIONS(2669),
    [anon_sym_BSLASHw] = ACTIONS(2669),
    [anon_sym_BSLASHwg] = ACTIONS(2669),
    [anon_sym_BSLASHwh] = ACTIONS(2669),
    [anon_sym_BSLASHwa] = ACTIONS(2669),
    [anon_sym_BSLASHfig] = ACTIONS(2669),
    [anon_sym_BSLASHjmp] = ACTIONS(2669),
    [anon_sym_BSLASHpb] = ACTIONS(2669),
    [anon_sym_BSLASH] = ACTIONS(2669),
    [sym_milestoneStartTag] = ACTIONS(2669),
    [sym_milestoneEndTag] = ACTIONS(2669),
    [sym_zSpaceTag] = ACTIONS(2669),
    [anon_sym_BSLASHesb] = ACTIONS(2669),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(3104),
    [aux_sym_text_token1] = ACTIONS(3104),
    [anon_sym_BSLASHref] = ACTIONS(3106),
    [anon_sym_BSLASHsts] = ACTIONS(3106),
    [anon_sym_BSLASHrem] = ACTIONS(3106),
    [anon_sym_BSLASHrestore] = ACTIONS(3106),
    [anon_sym_BSLASHlit] = ACTIONS(3106),
    [anon_sym_BSLASHip] = ACTIONS(3106),
    [anon_sym_BSLASHiex] = ACTIONS(3106),
    [anon_sym_BSLASHv] = ACTIONS(3106),
    [anon_sym_BSLASHva] = ACTIONS(3106),
    [anon_sym_BSLASHvp] = ACTIONS(3106),
    [anon_sym_BSLASHc] = ACTIONS(3106),
    [anon_sym_BSLASHcl] = ACTIONS(3106),
    [anon_sym_BSLASHca] = ACTIONS(3106),
    [anon_sym_BSLASHcp] = ACTIONS(3106),
    [anon_sym_BSLASHcd] = ACTIONS(3106),
    [anon_sym_BSLASHmte] = ACTIONS(3106),
    [anon_sym_BSLASHms] = ACTIONS(3106),
    [anon_sym_BSLASHs] = ACTIONS(3106),
    [anon_sym_BSLASHr] = ACTIONS(3106),
    [anon_sym_BSLASHsp] = ACTIONS(3106),
    [anon_sym_BSLASHd] = ACTIONS(3106),
    [anon_sym_BSLASHsd] = ACTIONS(3106),
    [anon_sym_BSLASHp] = ACTIONS(3106),
    [anon_sym_BSLASHm] = ACTIONS(3106),
    [anon_sym_BSLASHpo] = ACTIONS(3106),
    [anon_sym_BSLASHpr] = ACTIONS(3106),
    [anon_sym_BSLASHcls] = ACTIONS(3106),
    [anon_sym_BSLASHpmo] = ACTIONS(3106),
    [anon_sym_BSLASHpm] = ACTIONS(3106),
    [anon_sym_BSLASHpmc] = ACTIONS(3106),
    [anon_sym_BSLASHpmr] = ACTIONS(3106),
    [anon_sym_BSLASHpi] = ACTIONS(3106),
    [anon_sym_BSLASHmi] = ACTIONS(3106),
    [anon_sym_BSLASHnb] = ACTIONS(3106),
    [anon_sym_BSLASHpc] = ACTIONS(3106),
    [anon_sym_BSLASHph] = ACTIONS(3106),
    [anon_sym_BSLASHb] = ACTIONS(3106),
    [anon_sym_BSLASHq] = ACTIONS(3106),
    [anon_sym_BSLASHqr] = ACTIONS(3106),
    [anon_sym_BSLASHqc] = ACTIONS(3106),
    [anon_sym_BSLASHqs] = ACTIONS(3106),
    [anon_sym_BSLASHqa] = ACTIONS(3106),
    [anon_sym_BSLASHqac] = ACTIONS(3106),
    [anon_sym_BSLASHqm] = ACTIONS(3106),
    [anon_sym_BSLASHqd] = ACTIONS(3106),
    [anon_sym_BSLASHlh] = ACTIONS(3106),
    [anon_sym_BSLASHli] = ACTIONS(3106),
    [anon_sym_BSLASHlim] = ACTIONS(3106),
    [anon_sym_BSLASHtr] = ACTIONS(3106),
    [anon_sym_BSLASHf] = ACTIONS(3106),
    [anon_sym_BSLASHfe] = ACTIONS(3106),
    [anon_sym_BSLASHef] = ACTIONS(3106),
    [anon_sym_BSLASHfm] = ACTIONS(3106),
    [anon_sym_BSLASHx] = ACTIONS(3106),
    [anon_sym_BSLASHxt] = ACTIONS(3106),
    [anon_sym_BSLASHrq] = ACTIONS(3106),
    [anon_sym_BSLASHadd] = ACTIONS(3106),
    [anon_sym_BSLASHbk] = ACTIONS(3106),
    [anon_sym_BSLASHdc] = ACTIONS(3106),
    [anon_sym_BSLASHk] = ACTIONS(3106),
    [anon_sym_BSLASHnd] = ACTIONS(3106),
    [anon_sym_BSLASHord] = ACTIONS(3106),
    [anon_sym_BSLASHpn] = ACTIONS(3106),
    [anon_sym_BSLASHpng] = ACTIONS(3106),
    [anon_sym_BSLASHaddpn] = ACTIONS(3106),
    [anon_sym_BSLASHqt] = ACTIONS(3106),
    [anon_sym_BSLASHsig] = ACTIONS(3106),
    [anon_sym_BSLASHsls] = ACTIONS(3106),
    [anon_sym_BSLASHtl] = ACTIONS(3106),
    [anon_sym_BSLASHwj] = ACTIONS(3106),
    [anon_sym_BSLASHem] = ACTIONS(3106),
    [anon_sym_BSLASHbd] = ACTIONS(3106),
    [anon_sym_BSLASHit] = ACTIONS(3106),
    [anon_sym_BSLASHbdit] = ACTIONS(3106),
    [anon_sym_BSLASHno] = ACTIONS(3106),
    [anon_sym_BSLASHsc] = ACTIONS(3106),
    [anon_sym_BSLASHsup] = ACTIONS(3106),
    [anon_sym_BSLASHndx] = ACTIONS(3106),
    [anon_sym_BSLASHpro] = ACTIONS(3106),
    [anon_sym_BSLASHrb] = ACTIONS(3106),
    [anon_sym_BSLASHw] = ACTIONS(3106),
    [anon_sym_BSLASHwg] = ACTIONS(3106),
    [anon_sym_BSLASHwh] = ACTIONS(3106),
    [anon_sym_BSLASHwa] = ACTIONS(3106),
    [anon_sym_BSLASHfig] = ACTIONS(3106),
    [anon_sym_BSLASHjmp] = ACTIONS(3106),
    [anon_sym_BSLASHpb] = ACTIONS(3106),
    [anon_sym_BSLASH] = ACTIONS(3106),
    [sym_milestoneStartTag] = ACTIONS(3106),
    [sym_milestoneEndTag] = ACTIONS(3106),
    [sym_zSpaceTag] = ACTIONS(3106),
    [anon_sym_BSLASHesb] = ACTIONS(3106),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(2663),
    [aux_sym_text_token1] = ACTIONS(2663),
    [anon_sym_BSLASHref] = ACTIONS(2665),
    [anon_sym_BSLASHsts] = ACTIONS(2665),
    [anon_sym_BSLASHrem] = ACTIONS(2665),
    [anon_sym_BSLASHrestore] = ACTIONS(2665),
    [anon_sym_BSLASHlit] = ACTIONS(2665),
    [anon_sym_BSLASHip] = ACTIONS(2665),
    [anon_sym_BSLASHiex] = ACTIONS(2665),
    [anon_sym_BSLASHv] = ACTIONS(2665),
    [anon_sym_BSLASHva] = ACTIONS(2665),
    [anon_sym_BSLASHvp] = ACTIONS(2665),
    [anon_sym_BSLASHc] = ACTIONS(2665),
    [anon_sym_BSLASHcl] = ACTIONS(2665),
    [anon_sym_BSLASHca] = ACTIONS(2665),
    [anon_sym_BSLASHcp] = ACTIONS(2665),
    [anon_sym_BSLASHcd] = ACTIONS(2665),
    [anon_sym_BSLASHmte] = ACTIONS(2665),
    [anon_sym_BSLASHms] = ACTIONS(2665),
    [anon_sym_BSLASHs] = ACTIONS(2665),
    [anon_sym_BSLASHr] = ACTIONS(2665),
    [anon_sym_BSLASHsp] = ACTIONS(2665),
    [anon_sym_BSLASHd] = ACTIONS(2665),
    [anon_sym_BSLASHsd] = ACTIONS(2665),
    [anon_sym_BSLASHp] = ACTIONS(2665),
    [anon_sym_BSLASHm] = ACTIONS(2665),
    [anon_sym_BSLASHpo] = ACTIONS(2665),
    [anon_sym_BSLASHpr] = ACTIONS(2665),
    [anon_sym_BSLASHcls] = ACTIONS(2665),
    [anon_sym_BSLASHpmo] = ACTIONS(2665),
    [anon_sym_BSLASHpm] = ACTIONS(2665),
    [anon_sym_BSLASHpmc] = ACTIONS(2665),
    [anon_sym_BSLASHpmr] = ACTIONS(2665),
    [anon_sym_BSLASHpi] = ACTIONS(2665),
    [anon_sym_BSLASHmi] = ACTIONS(2665),
    [anon_sym_BSLASHnb] = ACTIONS(2665),
    [anon_sym_BSLASHpc] = ACTIONS(2665),
    [anon_sym_BSLASHph] = ACTIONS(2665),
    [anon_sym_BSLASHb] = ACTIONS(2665),
    [anon_sym_BSLASHq] = ACTIONS(2665),
    [anon_sym_BSLASHqr] = ACTIONS(2665),
    [anon_sym_BSLASHqc] = ACTIONS(2665),
    [anon_sym_BSLASHqs] = ACTIONS(2665),
    [anon_sym_BSLASHqa] = ACTIONS(2665),
    [anon_sym_BSLASHqac] = ACTIONS(2665),
    [anon_sym_BSLASHqm] = ACTIONS(2665),
    [anon_sym_BSLASHqd] = ACTIONS(2665),
    [anon_sym_BSLASHlh] = ACTIONS(2665),
    [anon_sym_BSLASHli] = ACTIONS(2665),
    [anon_sym_BSLASHlim] = ACTIONS(2665),
    [anon_sym_BSLASHtr] = ACTIONS(2665),
    [anon_sym_BSLASHf] = ACTIONS(2665),
    [anon_sym_BSLASHfe] = ACTIONS(2665),
    [anon_sym_BSLASHef] = ACTIONS(2665),
    [anon_sym_BSLASHfm] = ACTIONS(2665),
    [anon_sym_BSLASHx] = ACTIONS(2665),
    [anon_sym_BSLASHxt] = ACTIONS(2665),
    [anon_sym_BSLASHrq] = ACTIONS(2665),
    [anon_sym_BSLASHadd] = ACTIONS(2665),
    [anon_sym_BSLASHbk] = ACTIONS(2665),
    [anon_sym_BSLASHdc] = ACTIONS(2665),
    [anon_sym_BSLASHk] = ACTIONS(2665),
    [anon_sym_BSLASHnd] = ACTIONS(2665),
    [anon_sym_BSLASHord] = ACTIONS(2665),
    [anon_sym_BSLASHpn] = ACTIONS(2665),
    [anon_sym_BSLASHpng] = ACTIONS(2665),
    [anon_sym_BSLASHaddpn] = ACTIONS(2665),
    [anon_sym_BSLASHqt] = ACTIONS(2665),
    [anon_sym_BSLASHsig] = ACTIONS(2665),
    [anon_sym_BSLASHsls] = ACTIONS(2665),
    [anon_sym_BSLASHtl] = ACTIONS(2665),
    [anon_sym_BSLASHwj] = ACTIONS(2665),
    [anon_sym_BSLASHem] = ACTIONS(2665),
    [anon_sym_BSLASHbd] = ACTIONS(2665),
    [anon_sym_BSLASHit] = ACTIONS(2665),
    [anon_sym_BSLASHbdit] = ACTIONS(2665),
    [anon_sym_BSLASHno] = ACTIONS(2665),
    [anon_sym_BSLASHsc] = ACTIONS(2665),
    [anon_sym_BSLASHsup] = ACTIONS(2665),
    [anon_sym_BSLASHndx] = ACTIONS(2665),
    [anon_sym_BSLASHpro] = ACTIONS(2665),
    [anon_sym_BSLASHrb] = ACTIONS(2665),
    [anon_sym_BSLASHw] = ACTIONS(2665),
    [anon_sym_BSLASHwg] = ACTIONS(2665),
    [anon_sym_BSLASHwh] = ACTIONS(2665),
    [anon_sym_BSLASHwa] = ACTIONS(2665),
    [anon_sym_BSLASHfig] = ACTIONS(2665),
    [anon_sym_BSLASHjmp] = ACTIONS(2665),
    [anon_sym_BSLASHpb] = ACTIONS(2665),
    [anon_sym_BSLASH] = ACTIONS(2665),
    [sym_milestoneStartTag] = ACTIONS(2665),
    [sym_milestoneEndTag] = ACTIONS(2665),
    [sym_zSpaceTag] = ACTIONS(2665),
    [anon_sym_BSLASHesb] = ACTIONS(2665),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(2659),
    [aux_sym_text_token1] = ACTIONS(2659),
    [anon_sym_BSLASHref] = ACTIONS(2661),
    [anon_sym_BSLASHsts] = ACTIONS(2661),
    [anon_sym_BSLASHrem] = ACTIONS(2661),
    [anon_sym_BSLASHrestore] = ACTIONS(2661),
    [anon_sym_BSLASHlit] = ACTIONS(2661),
    [anon_sym_BSLASHip] = ACTIONS(2661),
    [anon_sym_BSLASHiex] = ACTIONS(2661),
    [anon_sym_BSLASHv] = ACTIONS(2661),
    [anon_sym_BSLASHva] = ACTIONS(2661),
    [anon_sym_BSLASHvp] = ACTIONS(2661),
    [anon_sym_BSLASHc] = ACTIONS(2661),
    [anon_sym_BSLASHcl] = ACTIONS(2661),
    [anon_sym_BSLASHca] = ACTIONS(2661),
    [anon_sym_BSLASHcp] = ACTIONS(2661),
    [anon_sym_BSLASHcd] = ACTIONS(2661),
    [anon_sym_BSLASHmte] = ACTIONS(2661),
    [anon_sym_BSLASHms] = ACTIONS(2661),
    [anon_sym_BSLASHs] = ACTIONS(2661),
    [anon_sym_BSLASHr] = ACTIONS(2661),
    [anon_sym_BSLASHsp] = ACTIONS(2661),
    [anon_sym_BSLASHd] = ACTIONS(2661),
    [anon_sym_BSLASHsd] = ACTIONS(2661),
    [anon_sym_BSLASHp] = ACTIONS(2661),
    [anon_sym_BSLASHm] = ACTIONS(2661),
    [anon_sym_BSLASHpo] = ACTIONS(2661),
    [anon_sym_BSLASHpr] = ACTIONS(2661),
    [anon_sym_BSLASHcls] = ACTIONS(2661),
    [anon_sym_BSLASHpmo] = ACTIONS(2661),
    [anon_sym_BSLASHpm] = ACTIONS(2661),
    [anon_sym_BSLASHpmc] = ACTIONS(2661),
    [anon_sym_BSLASHpmr] = ACTIONS(2661),
    [anon_sym_BSLASHpi] = ACTIONS(2661),
    [anon_sym_BSLASHmi] = ACTIONS(2661),
    [anon_sym_BSLASHnb] = ACTIONS(2661),
    [anon_sym_BSLASHpc] = ACTIONS(2661),
    [anon_sym_BSLASHph] = ACTIONS(2661),
    [anon_sym_BSLASHb] = ACTIONS(2661),
    [anon_sym_BSLASHq] = ACTIONS(2661),
    [anon_sym_BSLASHqr] = ACTIONS(2661),
    [anon_sym_BSLASHqc] = ACTIONS(2661),
    [anon_sym_BSLASHqs] = ACTIONS(2661),
    [anon_sym_BSLASHqa] = ACTIONS(2661),
    [anon_sym_BSLASHqac] = ACTIONS(2661),
    [anon_sym_BSLASHqm] = ACTIONS(2661),
    [anon_sym_BSLASHqd] = ACTIONS(2661),
    [anon_sym_BSLASHlh] = ACTIONS(2661),
    [anon_sym_BSLASHli] = ACTIONS(2661),
    [anon_sym_BSLASHlim] = ACTIONS(2661),
    [anon_sym_BSLASHtr] = ACTIONS(2661),
    [anon_sym_BSLASHf] = ACTIONS(2661),
    [anon_sym_BSLASHfe] = ACTIONS(2661),
    [anon_sym_BSLASHef] = ACTIONS(2661),
    [anon_sym_BSLASHfm] = ACTIONS(2661),
    [anon_sym_BSLASHx] = ACTIONS(2661),
    [anon_sym_BSLASHxt] = ACTIONS(2661),
    [anon_sym_BSLASHrq] = ACTIONS(2661),
    [anon_sym_BSLASHadd] = ACTIONS(2661),
    [anon_sym_BSLASHbk] = ACTIONS(2661),
    [anon_sym_BSLASHdc] = ACTIONS(2661),
    [anon_sym_BSLASHk] = ACTIONS(2661),
    [anon_sym_BSLASHnd] = ACTIONS(2661),
    [anon_sym_BSLASHord] = ACTIONS(2661),
    [anon_sym_BSLASHpn] = ACTIONS(2661),
    [anon_sym_BSLASHpng] = ACTIONS(2661),
    [anon_sym_BSLASHaddpn] = ACTIONS(2661),
    [anon_sym_BSLASHqt] = ACTIONS(2661),
    [anon_sym_BSLASHsig] = ACTIONS(2661),
    [anon_sym_BSLASHsls] = ACTIONS(2661),
    [anon_sym_BSLASHtl] = ACTIONS(2661),
    [anon_sym_BSLASHwj] = ACTIONS(2661),
    [anon_sym_BSLASHem] = ACTIONS(2661),
    [anon_sym_BSLASHbd] = ACTIONS(2661),
    [anon_sym_BSLASHit] = ACTIONS(2661),
    [anon_sym_BSLASHbdit] = ACTIONS(2661),
    [anon_sym_BSLASHno] = ACTIONS(2661),
    [anon_sym_BSLASHsc] = ACTIONS(2661),
    [anon_sym_BSLASHsup] = ACTIONS(2661),
    [anon_sym_BSLASHndx] = ACTIONS(2661),
    [anon_sym_BSLASHpro] = ACTIONS(2661),
    [anon_sym_BSLASHrb] = ACTIONS(2661),
    [anon_sym_BSLASHw] = ACTIONS(2661),
    [anon_sym_BSLASHwg] = ACTIONS(2661),
    [anon_sym_BSLASHwh] = ACTIONS(2661),
    [anon_sym_BSLASHwa] = ACTIONS(2661),
    [anon_sym_BSLASHfig] = ACTIONS(2661),
    [anon_sym_BSLASHjmp] = ACTIONS(2661),
    [anon_sym_BSLASHpb] = ACTIONS(2661),
    [anon_sym_BSLASH] = ACTIONS(2661),
    [sym_milestoneStartTag] = ACTIONS(2661),
    [sym_milestoneEndTag] = ACTIONS(2661),
    [sym_zSpaceTag] = ACTIONS(2661),
    [anon_sym_BSLASHesb] = ACTIONS(2661),
  },
  [515] = {
    [sym__verseMeta] = STATE(526),
    [sym_va] = STATE(526),
    [sym_vp] = STATE(526),
    [aux_sym_v_repeat1] = STATE(526),
    [aux_sym_text_token1] = ACTIONS(5128),
    [anon_sym_BSLASHref] = ACTIONS(5130),
    [anon_sym_BSLASHsts] = ACTIONS(5130),
    [anon_sym_BSLASHrem] = ACTIONS(5130),
    [anon_sym_BSLASHrestore] = ACTIONS(5130),
    [anon_sym_BSLASHlit] = ACTIONS(5130),
    [anon_sym_BSLASHip] = ACTIONS(5130),
    [anon_sym_BSLASHv] = ACTIONS(5130),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(5130),
    [anon_sym_BSLASHms] = ACTIONS(5130),
    [anon_sym_BSLASHs] = ACTIONS(5130),
    [anon_sym_BSLASHr] = ACTIONS(5130),
    [anon_sym_BSLASHsp] = ACTIONS(5130),
    [anon_sym_BSLASHd] = ACTIONS(5130),
    [anon_sym_BSLASHsd] = ACTIONS(5130),
    [anon_sym_BSLASHp] = ACTIONS(5130),
    [anon_sym_BSLASHm] = ACTIONS(5130),
    [anon_sym_BSLASHpo] = ACTIONS(5130),
    [anon_sym_BSLASHpr] = ACTIONS(5130),
    [anon_sym_BSLASHcls] = ACTIONS(5130),
    [anon_sym_BSLASHpmo] = ACTIONS(5130),
    [anon_sym_BSLASHpm] = ACTIONS(5130),
    [anon_sym_BSLASHpmc] = ACTIONS(5130),
    [anon_sym_BSLASHpmr] = ACTIONS(5130),
    [anon_sym_BSLASHpi] = ACTIONS(5130),
    [anon_sym_BSLASHmi] = ACTIONS(5130),
    [anon_sym_BSLASHnb] = ACTIONS(5130),
    [anon_sym_BSLASHpc] = ACTIONS(5130),
    [anon_sym_BSLASHph] = ACTIONS(5130),
    [anon_sym_BSLASHb] = ACTIONS(5130),
    [anon_sym_BSLASHq] = ACTIONS(5130),
    [anon_sym_BSLASHqr] = ACTIONS(5130),
    [anon_sym_BSLASHqc] = ACTIONS(5130),
    [anon_sym_BSLASHqa] = ACTIONS(5130),
    [anon_sym_BSLASHqm] = ACTIONS(5130),
    [anon_sym_BSLASHqd] = ACTIONS(5130),
    [anon_sym_BSLASHlh] = ACTIONS(5130),
    [anon_sym_BSLASHlf] = ACTIONS(5130),
    [anon_sym_BSLASHli] = ACTIONS(5130),
    [anon_sym_BSLASHlim] = ACTIONS(5130),
    [anon_sym_BSLASHliv] = ACTIONS(5130),
    [anon_sym_BSLASHlik] = ACTIONS(5130),
    [anon_sym_BSLASHlitl] = ACTIONS(5130),
    [anon_sym_BSLASHtr] = ACTIONS(5130),
    [anon_sym_BSLASHf] = ACTIONS(5130),
    [anon_sym_BSLASHfe] = ACTIONS(5130),
    [anon_sym_BSLASHef] = ACTIONS(5130),
    [anon_sym_BSLASHfm] = ACTIONS(5130),
    [anon_sym_BSLASHx] = ACTIONS(5130),
    [anon_sym_BSLASHxt] = ACTIONS(5130),
    [anon_sym_BSLASHrq] = ACTIONS(5130),
    [anon_sym_BSLASHadd] = ACTIONS(5130),
    [anon_sym_BSLASHbk] = ACTIONS(5130),
    [anon_sym_BSLASHdc] = ACTIONS(5130),
    [anon_sym_BSLASHk] = ACTIONS(5130),
    [anon_sym_BSLASHnd] = ACTIONS(5130),
    [anon_sym_BSLASHord] = ACTIONS(5130),
    [anon_sym_BSLASHpn] = ACTIONS(5130),
    [anon_sym_BSLASHpng] = ACTIONS(5130),
    [anon_sym_BSLASHaddpn] = ACTIONS(5130),
    [anon_sym_BSLASHqt] = ACTIONS(5130),
    [anon_sym_BSLASHsig] = ACTIONS(5130),
    [anon_sym_BSLASHsls] = ACTIONS(5130),
    [anon_sym_BSLASHtl] = ACTIONS(5130),
    [anon_sym_BSLASHwj] = ACTIONS(5130),
    [anon_sym_BSLASHem] = ACTIONS(5130),
    [anon_sym_BSLASHbd] = ACTIONS(5130),
    [anon_sym_BSLASHit] = ACTIONS(5130),
    [anon_sym_BSLASHbdit] = ACTIONS(5130),
    [anon_sym_BSLASHno] = ACTIONS(5130),
    [anon_sym_BSLASHsc] = ACTIONS(5130),
    [anon_sym_BSLASHsup] = ACTIONS(5130),
    [anon_sym_BSLASHndx] = ACTIONS(5130),
    [anon_sym_BSLASHpro] = ACTIONS(5130),
    [anon_sym_BSLASHrb] = ACTIONS(5130),
    [anon_sym_BSLASHw] = ACTIONS(5130),
    [anon_sym_BSLASHwg] = ACTIONS(5130),
    [anon_sym_BSLASHwh] = ACTIONS(5130),
    [anon_sym_BSLASHwa] = ACTIONS(5130),
    [anon_sym_BSLASHfig] = ACTIONS(5130),
    [anon_sym_BSLASHjmp] = ACTIONS(5130),
    [anon_sym_BSLASHpb] = ACTIONS(5130),
    [anon_sym_BSLASH] = ACTIONS(5130),
    [sym_milestoneStartTag] = ACTIONS(5130),
    [sym_milestoneEndTag] = ACTIONS(5130),
    [sym_zSpaceTag] = ACTIONS(5130),
    [anon_sym_BSLASHesbe] = ACTIONS(5130),
    [anon_sym_BSLASHcat] = ACTIONS(5130),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(5470),
    [aux_sym_text_token1] = ACTIONS(5470),
    [anon_sym_BSLASHref] = ACTIONS(5472),
    [anon_sym_BSLASHsts] = ACTIONS(5472),
    [anon_sym_BSLASHrem] = ACTIONS(5472),
    [anon_sym_BSLASHrestore] = ACTIONS(5472),
    [anon_sym_BSLASHlit] = ACTIONS(5472),
    [anon_sym_BSLASHip] = ACTIONS(5472),
    [anon_sym_BSLASHiex] = ACTIONS(5472),
    [anon_sym_BSLASHv] = ACTIONS(5472),
    [anon_sym_BSLASHva] = ACTIONS(5472),
    [anon_sym_BSLASHvp] = ACTIONS(5472),
    [anon_sym_BSLASHc] = ACTIONS(5472),
    [anon_sym_BSLASHcl] = ACTIONS(5472),
    [anon_sym_BSLASHca] = ACTIONS(5472),
    [anon_sym_BSLASHcp] = ACTIONS(5472),
    [anon_sym_BSLASHcd] = ACTIONS(5472),
    [anon_sym_BSLASHmte] = ACTIONS(5472),
    [anon_sym_BSLASHms] = ACTIONS(5472),
    [anon_sym_BSLASHs] = ACTIONS(5472),
    [anon_sym_BSLASHr] = ACTIONS(5472),
    [anon_sym_BSLASHsp] = ACTIONS(5472),
    [anon_sym_BSLASHd] = ACTIONS(5472),
    [anon_sym_BSLASHsd] = ACTIONS(5472),
    [anon_sym_BSLASHp] = ACTIONS(5472),
    [anon_sym_BSLASHm] = ACTIONS(5472),
    [anon_sym_BSLASHpo] = ACTIONS(5472),
    [anon_sym_BSLASHpr] = ACTIONS(5472),
    [anon_sym_BSLASHcls] = ACTIONS(5472),
    [anon_sym_BSLASHpmo] = ACTIONS(5472),
    [anon_sym_BSLASHpm] = ACTIONS(5472),
    [anon_sym_BSLASHpmc] = ACTIONS(5472),
    [anon_sym_BSLASHpmr] = ACTIONS(5472),
    [anon_sym_BSLASHpi] = ACTIONS(5472),
    [anon_sym_BSLASHmi] = ACTIONS(5472),
    [anon_sym_BSLASHnb] = ACTIONS(5472),
    [anon_sym_BSLASHpc] = ACTIONS(5472),
    [anon_sym_BSLASHph] = ACTIONS(5472),
    [anon_sym_BSLASHb] = ACTIONS(5472),
    [anon_sym_BSLASHq] = ACTIONS(5472),
    [anon_sym_BSLASHqr] = ACTIONS(5472),
    [anon_sym_BSLASHqc] = ACTIONS(5472),
    [anon_sym_BSLASHqs] = ACTIONS(5472),
    [anon_sym_BSLASHqa] = ACTIONS(5472),
    [anon_sym_BSLASHqac] = ACTIONS(5472),
    [anon_sym_BSLASHqm] = ACTIONS(5472),
    [anon_sym_BSLASHqd] = ACTIONS(5472),
    [anon_sym_BSLASHlh] = ACTIONS(5472),
    [anon_sym_BSLASHli] = ACTIONS(5472),
    [anon_sym_BSLASHlim] = ACTIONS(5472),
    [anon_sym_BSLASHtr] = ACTIONS(5472),
    [anon_sym_BSLASHf] = ACTIONS(5472),
    [anon_sym_BSLASHfe] = ACTIONS(5472),
    [anon_sym_BSLASHef] = ACTIONS(5472),
    [anon_sym_BSLASHfm] = ACTIONS(5472),
    [anon_sym_BSLASHx] = ACTIONS(5472),
    [anon_sym_BSLASHxt] = ACTIONS(5472),
    [anon_sym_BSLASHrq] = ACTIONS(5472),
    [anon_sym_BSLASHadd] = ACTIONS(5472),
    [anon_sym_BSLASHbk] = ACTIONS(5472),
    [anon_sym_BSLASHdc] = ACTIONS(5472),
    [anon_sym_BSLASHk] = ACTIONS(5472),
    [anon_sym_BSLASHnd] = ACTIONS(5472),
    [anon_sym_BSLASHord] = ACTIONS(5472),
    [anon_sym_BSLASHpn] = ACTIONS(5472),
    [anon_sym_BSLASHpng] = ACTIONS(5472),
    [anon_sym_BSLASHaddpn] = ACTIONS(5472),
    [anon_sym_BSLASHqt] = ACTIONS(5472),
    [anon_sym_BSLASHsig] = ACTIONS(5472),
    [anon_sym_BSLASHsls] = ACTIONS(5472),
    [anon_sym_BSLASHtl] = ACTIONS(5472),
    [anon_sym_BSLASHwj] = ACTIONS(5472),
    [anon_sym_BSLASHem] = ACTIONS(5472),
    [anon_sym_BSLASHbd] = ACTIONS(5472),
    [anon_sym_BSLASHit] = ACTIONS(5472),
    [anon_sym_BSLASHbdit] = ACTIONS(5472),
    [anon_sym_BSLASHno] = ACTIONS(5472),
    [anon_sym_BSLASHsc] = ACTIONS(5472),
    [anon_sym_BSLASHsup] = ACTIONS(5472),
    [anon_sym_BSLASHndx] = ACTIONS(5472),
    [anon_sym_BSLASHpro] = ACTIONS(5472),
    [anon_sym_BSLASHrb] = ACTIONS(5472),
    [anon_sym_BSLASHw] = ACTIONS(5472),
    [anon_sym_BSLASHwg] = ACTIONS(5472),
    [anon_sym_BSLASHwh] = ACTIONS(5472),
    [anon_sym_BSLASHwa] = ACTIONS(5472),
    [anon_sym_BSLASHfig] = ACTIONS(5472),
    [anon_sym_BSLASHjmp] = ACTIONS(5472),
    [anon_sym_BSLASHpb] = ACTIONS(5472),
    [anon_sym_BSLASH] = ACTIONS(5472),
    [sym_milestoneStartTag] = ACTIONS(5472),
    [sym_milestoneEndTag] = ACTIONS(5472),
    [sym_zSpaceTag] = ACTIONS(5472),
    [anon_sym_BSLASHesb] = ACTIONS(5472),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(454),
    [aux_sym_text_token1] = ACTIONS(454),
    [anon_sym_BSLASHref] = ACTIONS(456),
    [anon_sym_BSLASHsts] = ACTIONS(456),
    [anon_sym_BSLASHrem] = ACTIONS(456),
    [anon_sym_BSLASHrestore] = ACTIONS(456),
    [anon_sym_BSLASHlit] = ACTIONS(456),
    [anon_sym_BSLASHip] = ACTIONS(456),
    [anon_sym_BSLASHiex] = ACTIONS(456),
    [anon_sym_BSLASHv] = ACTIONS(456),
    [anon_sym_BSLASHva] = ACTIONS(456),
    [anon_sym_BSLASHvp] = ACTIONS(456),
    [anon_sym_BSLASHc] = ACTIONS(456),
    [anon_sym_BSLASHcl] = ACTIONS(456),
    [anon_sym_BSLASHca] = ACTIONS(456),
    [anon_sym_BSLASHcp] = ACTIONS(456),
    [anon_sym_BSLASHcd] = ACTIONS(456),
    [anon_sym_BSLASHmte] = ACTIONS(456),
    [anon_sym_BSLASHms] = ACTIONS(456),
    [anon_sym_BSLASHs] = ACTIONS(456),
    [anon_sym_BSLASHr] = ACTIONS(456),
    [anon_sym_BSLASHsp] = ACTIONS(456),
    [anon_sym_BSLASHd] = ACTIONS(456),
    [anon_sym_BSLASHsd] = ACTIONS(456),
    [anon_sym_BSLASHp] = ACTIONS(456),
    [anon_sym_BSLASHm] = ACTIONS(456),
    [anon_sym_BSLASHpo] = ACTIONS(456),
    [anon_sym_BSLASHpr] = ACTIONS(456),
    [anon_sym_BSLASHcls] = ACTIONS(456),
    [anon_sym_BSLASHpmo] = ACTIONS(456),
    [anon_sym_BSLASHpm] = ACTIONS(456),
    [anon_sym_BSLASHpmc] = ACTIONS(456),
    [anon_sym_BSLASHpmr] = ACTIONS(456),
    [anon_sym_BSLASHpi] = ACTIONS(456),
    [anon_sym_BSLASHmi] = ACTIONS(456),
    [anon_sym_BSLASHnb] = ACTIONS(456),
    [anon_sym_BSLASHpc] = ACTIONS(456),
    [anon_sym_BSLASHph] = ACTIONS(456),
    [anon_sym_BSLASHb] = ACTIONS(456),
    [anon_sym_BSLASHq] = ACTIONS(456),
    [anon_sym_BSLASHqr] = ACTIONS(456),
    [anon_sym_BSLASHqc] = ACTIONS(456),
    [anon_sym_BSLASHqs] = ACTIONS(456),
    [anon_sym_BSLASHqa] = ACTIONS(456),
    [anon_sym_BSLASHqac] = ACTIONS(456),
    [anon_sym_BSLASHqm] = ACTIONS(456),
    [anon_sym_BSLASHqd] = ACTIONS(456),
    [anon_sym_BSLASHlh] = ACTIONS(456),
    [anon_sym_BSLASHli] = ACTIONS(456),
    [anon_sym_BSLASHlim] = ACTIONS(456),
    [anon_sym_BSLASHtr] = ACTIONS(456),
    [anon_sym_BSLASHf] = ACTIONS(456),
    [anon_sym_BSLASHfe] = ACTIONS(456),
    [anon_sym_BSLASHef] = ACTIONS(456),
    [anon_sym_BSLASHfm] = ACTIONS(456),
    [anon_sym_BSLASHx] = ACTIONS(456),
    [anon_sym_BSLASHxt] = ACTIONS(456),
    [anon_sym_BSLASHrq] = ACTIONS(456),
    [anon_sym_BSLASHadd] = ACTIONS(456),
    [anon_sym_BSLASHbk] = ACTIONS(456),
    [anon_sym_BSLASHdc] = ACTIONS(456),
    [anon_sym_BSLASHk] = ACTIONS(456),
    [anon_sym_BSLASHnd] = ACTIONS(456),
    [anon_sym_BSLASHord] = ACTIONS(456),
    [anon_sym_BSLASHpn] = ACTIONS(456),
    [anon_sym_BSLASHpng] = ACTIONS(456),
    [anon_sym_BSLASHaddpn] = ACTIONS(456),
    [anon_sym_BSLASHqt] = ACTIONS(456),
    [anon_sym_BSLASHsig] = ACTIONS(456),
    [anon_sym_BSLASHsls] = ACTIONS(456),
    [anon_sym_BSLASHtl] = ACTIONS(456),
    [anon_sym_BSLASHwj] = ACTIONS(456),
    [anon_sym_BSLASHem] = ACTIONS(456),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(456),
    [anon_sym_BSLASHbdit] = ACTIONS(456),
    [anon_sym_BSLASHno] = ACTIONS(456),
    [anon_sym_BSLASHsc] = ACTIONS(456),
    [anon_sym_BSLASHsup] = ACTIONS(456),
    [anon_sym_BSLASHndx] = ACTIONS(456),
    [anon_sym_BSLASHpro] = ACTIONS(456),
    [anon_sym_BSLASHrb] = ACTIONS(456),
    [anon_sym_BSLASHw] = ACTIONS(456),
    [anon_sym_BSLASHwg] = ACTIONS(456),
    [anon_sym_BSLASHwh] = ACTIONS(456),
    [anon_sym_BSLASHwa] = ACTIONS(456),
    [anon_sym_BSLASHfig] = ACTIONS(456),
    [anon_sym_BSLASHjmp] = ACTIONS(456),
    [anon_sym_BSLASHpb] = ACTIONS(456),
    [anon_sym_BSLASH] = ACTIONS(456),
    [sym_milestoneStartTag] = ACTIONS(456),
    [sym_milestoneEndTag] = ACTIONS(456),
    [sym_zSpaceTag] = ACTIONS(456),
    [anon_sym_BSLASHesb] = ACTIONS(456),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [aux_sym_text_token1] = ACTIONS(3096),
    [anon_sym_BSLASHref] = ACTIONS(3098),
    [anon_sym_BSLASHsts] = ACTIONS(3098),
    [anon_sym_BSLASHrem] = ACTIONS(3098),
    [anon_sym_BSLASHrestore] = ACTIONS(3098),
    [anon_sym_BSLASHlit] = ACTIONS(3098),
    [anon_sym_BSLASHip] = ACTIONS(3098),
    [anon_sym_BSLASHiex] = ACTIONS(3098),
    [anon_sym_BSLASHv] = ACTIONS(3098),
    [anon_sym_BSLASHva] = ACTIONS(3098),
    [anon_sym_BSLASHvp] = ACTIONS(3098),
    [anon_sym_BSLASHc] = ACTIONS(3098),
    [anon_sym_BSLASHcl] = ACTIONS(3098),
    [anon_sym_BSLASHca] = ACTIONS(3098),
    [anon_sym_BSLASHcp] = ACTIONS(3098),
    [anon_sym_BSLASHcd] = ACTIONS(3098),
    [anon_sym_BSLASHmte] = ACTIONS(3098),
    [anon_sym_BSLASHms] = ACTIONS(3098),
    [anon_sym_BSLASHs] = ACTIONS(3098),
    [anon_sym_BSLASHr] = ACTIONS(3098),
    [anon_sym_BSLASHsp] = ACTIONS(3098),
    [anon_sym_BSLASHd] = ACTIONS(3098),
    [anon_sym_BSLASHsd] = ACTIONS(3098),
    [anon_sym_BSLASHp] = ACTIONS(3098),
    [anon_sym_BSLASHm] = ACTIONS(3098),
    [anon_sym_BSLASHpo] = ACTIONS(3098),
    [anon_sym_BSLASHpr] = ACTIONS(3098),
    [anon_sym_BSLASHcls] = ACTIONS(3098),
    [anon_sym_BSLASHpmo] = ACTIONS(3098),
    [anon_sym_BSLASHpm] = ACTIONS(3098),
    [anon_sym_BSLASHpmc] = ACTIONS(3098),
    [anon_sym_BSLASHpmr] = ACTIONS(3098),
    [anon_sym_BSLASHpi] = ACTIONS(3098),
    [anon_sym_BSLASHmi] = ACTIONS(3098),
    [anon_sym_BSLASHnb] = ACTIONS(3098),
    [anon_sym_BSLASHpc] = ACTIONS(3098),
    [anon_sym_BSLASHph] = ACTIONS(3098),
    [anon_sym_BSLASHb] = ACTIONS(3098),
    [anon_sym_BSLASHq] = ACTIONS(3098),
    [anon_sym_BSLASHqr] = ACTIONS(3098),
    [anon_sym_BSLASHqc] = ACTIONS(3098),
    [anon_sym_BSLASHqs] = ACTIONS(3098),
    [anon_sym_BSLASHqa] = ACTIONS(3098),
    [anon_sym_BSLASHqac] = ACTIONS(3098),
    [anon_sym_BSLASHqm] = ACTIONS(3098),
    [anon_sym_BSLASHqd] = ACTIONS(3098),
    [anon_sym_BSLASHlh] = ACTIONS(3098),
    [anon_sym_BSLASHli] = ACTIONS(3098),
    [anon_sym_BSLASHlim] = ACTIONS(3098),
    [anon_sym_BSLASHtr] = ACTIONS(3098),
    [anon_sym_BSLASHf] = ACTIONS(3098),
    [anon_sym_BSLASHfe] = ACTIONS(3098),
    [anon_sym_BSLASHef] = ACTIONS(3098),
    [anon_sym_BSLASHfm] = ACTIONS(3098),
    [anon_sym_BSLASHx] = ACTIONS(3098),
    [anon_sym_BSLASHxt] = ACTIONS(3098),
    [anon_sym_BSLASHrq] = ACTIONS(3098),
    [anon_sym_BSLASHadd] = ACTIONS(3098),
    [anon_sym_BSLASHbk] = ACTIONS(3098),
    [anon_sym_BSLASHdc] = ACTIONS(3098),
    [anon_sym_BSLASHk] = ACTIONS(3098),
    [anon_sym_BSLASHnd] = ACTIONS(3098),
    [anon_sym_BSLASHord] = ACTIONS(3098),
    [anon_sym_BSLASHpn] = ACTIONS(3098),
    [anon_sym_BSLASHpng] = ACTIONS(3098),
    [anon_sym_BSLASHaddpn] = ACTIONS(3098),
    [anon_sym_BSLASHqt] = ACTIONS(3098),
    [anon_sym_BSLASHsig] = ACTIONS(3098),
    [anon_sym_BSLASHsls] = ACTIONS(3098),
    [anon_sym_BSLASHtl] = ACTIONS(3098),
    [anon_sym_BSLASHwj] = ACTIONS(3098),
    [anon_sym_BSLASHem] = ACTIONS(3098),
    [anon_sym_BSLASHbd] = ACTIONS(3098),
    [anon_sym_BSLASHit] = ACTIONS(3098),
    [anon_sym_BSLASHbdit] = ACTIONS(3098),
    [anon_sym_BSLASHno] = ACTIONS(3098),
    [anon_sym_BSLASHsc] = ACTIONS(3098),
    [anon_sym_BSLASHsup] = ACTIONS(3098),
    [anon_sym_BSLASHndx] = ACTIONS(3098),
    [anon_sym_BSLASHpro] = ACTIONS(3098),
    [anon_sym_BSLASHrb] = ACTIONS(3098),
    [anon_sym_BSLASHw] = ACTIONS(3098),
    [anon_sym_BSLASHwg] = ACTIONS(3098),
    [anon_sym_BSLASHwh] = ACTIONS(3098),
    [anon_sym_BSLASHwa] = ACTIONS(3098),
    [anon_sym_BSLASHfig] = ACTIONS(3098),
    [anon_sym_BSLASHjmp] = ACTIONS(3098),
    [anon_sym_BSLASHpb] = ACTIONS(3098),
    [anon_sym_BSLASH] = ACTIONS(3098),
    [sym_milestoneStartTag] = ACTIONS(3098),
    [sym_milestoneEndTag] = ACTIONS(3098),
    [sym_zSpaceTag] = ACTIONS(3098),
    [anon_sym_BSLASHesb] = ACTIONS(3098),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [aux_sym_text_token1] = ACTIONS(3092),
    [anon_sym_BSLASHref] = ACTIONS(3094),
    [anon_sym_BSLASHsts] = ACTIONS(3094),
    [anon_sym_BSLASHrem] = ACTIONS(3094),
    [anon_sym_BSLASHrestore] = ACTIONS(3094),
    [anon_sym_BSLASHlit] = ACTIONS(3094),
    [anon_sym_BSLASHip] = ACTIONS(3094),
    [anon_sym_BSLASHiex] = ACTIONS(3094),
    [anon_sym_BSLASHv] = ACTIONS(3094),
    [anon_sym_BSLASHva] = ACTIONS(3094),
    [anon_sym_BSLASHvp] = ACTIONS(3094),
    [anon_sym_BSLASHc] = ACTIONS(3094),
    [anon_sym_BSLASHcl] = ACTIONS(3094),
    [anon_sym_BSLASHca] = ACTIONS(3094),
    [anon_sym_BSLASHcp] = ACTIONS(3094),
    [anon_sym_BSLASHcd] = ACTIONS(3094),
    [anon_sym_BSLASHmte] = ACTIONS(3094),
    [anon_sym_BSLASHms] = ACTIONS(3094),
    [anon_sym_BSLASHs] = ACTIONS(3094),
    [anon_sym_BSLASHr] = ACTIONS(3094),
    [anon_sym_BSLASHsp] = ACTIONS(3094),
    [anon_sym_BSLASHd] = ACTIONS(3094),
    [anon_sym_BSLASHsd] = ACTIONS(3094),
    [anon_sym_BSLASHp] = ACTIONS(3094),
    [anon_sym_BSLASHm] = ACTIONS(3094),
    [anon_sym_BSLASHpo] = ACTIONS(3094),
    [anon_sym_BSLASHpr] = ACTIONS(3094),
    [anon_sym_BSLASHcls] = ACTIONS(3094),
    [anon_sym_BSLASHpmo] = ACTIONS(3094),
    [anon_sym_BSLASHpm] = ACTIONS(3094),
    [anon_sym_BSLASHpmc] = ACTIONS(3094),
    [anon_sym_BSLASHpmr] = ACTIONS(3094),
    [anon_sym_BSLASHpi] = ACTIONS(3094),
    [anon_sym_BSLASHmi] = ACTIONS(3094),
    [anon_sym_BSLASHnb] = ACTIONS(3094),
    [anon_sym_BSLASHpc] = ACTIONS(3094),
    [anon_sym_BSLASHph] = ACTIONS(3094),
    [anon_sym_BSLASHb] = ACTIONS(3094),
    [anon_sym_BSLASHq] = ACTIONS(3094),
    [anon_sym_BSLASHqr] = ACTIONS(3094),
    [anon_sym_BSLASHqc] = ACTIONS(3094),
    [anon_sym_BSLASHqs] = ACTIONS(3094),
    [anon_sym_BSLASHqa] = ACTIONS(3094),
    [anon_sym_BSLASHqac] = ACTIONS(3094),
    [anon_sym_BSLASHqm] = ACTIONS(3094),
    [anon_sym_BSLASHqd] = ACTIONS(3094),
    [anon_sym_BSLASHlh] = ACTIONS(3094),
    [anon_sym_BSLASHli] = ACTIONS(3094),
    [anon_sym_BSLASHlim] = ACTIONS(3094),
    [anon_sym_BSLASHtr] = ACTIONS(3094),
    [anon_sym_BSLASHf] = ACTIONS(3094),
    [anon_sym_BSLASHfe] = ACTIONS(3094),
    [anon_sym_BSLASHef] = ACTIONS(3094),
    [anon_sym_BSLASHfm] = ACTIONS(3094),
    [anon_sym_BSLASHx] = ACTIONS(3094),
    [anon_sym_BSLASHxt] = ACTIONS(3094),
    [anon_sym_BSLASHrq] = ACTIONS(3094),
    [anon_sym_BSLASHadd] = ACTIONS(3094),
    [anon_sym_BSLASHbk] = ACTIONS(3094),
    [anon_sym_BSLASHdc] = ACTIONS(3094),
    [anon_sym_BSLASHk] = ACTIONS(3094),
    [anon_sym_BSLASHnd] = ACTIONS(3094),
    [anon_sym_BSLASHord] = ACTIONS(3094),
    [anon_sym_BSLASHpn] = ACTIONS(3094),
    [anon_sym_BSLASHpng] = ACTIONS(3094),
    [anon_sym_BSLASHaddpn] = ACTIONS(3094),
    [anon_sym_BSLASHqt] = ACTIONS(3094),
    [anon_sym_BSLASHsig] = ACTIONS(3094),
    [anon_sym_BSLASHsls] = ACTIONS(3094),
    [anon_sym_BSLASHtl] = ACTIONS(3094),
    [anon_sym_BSLASHwj] = ACTIONS(3094),
    [anon_sym_BSLASHem] = ACTIONS(3094),
    [anon_sym_BSLASHbd] = ACTIONS(3094),
    [anon_sym_BSLASHit] = ACTIONS(3094),
    [anon_sym_BSLASHbdit] = ACTIONS(3094),
    [anon_sym_BSLASHno] = ACTIONS(3094),
    [anon_sym_BSLASHsc] = ACTIONS(3094),
    [anon_sym_BSLASHsup] = ACTIONS(3094),
    [anon_sym_BSLASHndx] = ACTIONS(3094),
    [anon_sym_BSLASHpro] = ACTIONS(3094),
    [anon_sym_BSLASHrb] = ACTIONS(3094),
    [anon_sym_BSLASHw] = ACTIONS(3094),
    [anon_sym_BSLASHwg] = ACTIONS(3094),
    [anon_sym_BSLASHwh] = ACTIONS(3094),
    [anon_sym_BSLASHwa] = ACTIONS(3094),
    [anon_sym_BSLASHfig] = ACTIONS(3094),
    [anon_sym_BSLASHjmp] = ACTIONS(3094),
    [anon_sym_BSLASHpb] = ACTIONS(3094),
    [anon_sym_BSLASH] = ACTIONS(3094),
    [sym_milestoneStartTag] = ACTIONS(3094),
    [sym_milestoneEndTag] = ACTIONS(3094),
    [sym_zSpaceTag] = ACTIONS(3094),
    [anon_sym_BSLASHesb] = ACTIONS(3094),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(2739),
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHref] = ACTIONS(2741),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHiex] = ACTIONS(2741),
    [anon_sym_BSLASHv] = ACTIONS(2741),
    [anon_sym_BSLASHva] = ACTIONS(2741),
    [anon_sym_BSLASHvp] = ACTIONS(2741),
    [anon_sym_BSLASHc] = ACTIONS(2741),
    [anon_sym_BSLASHcl] = ACTIONS(2741),
    [anon_sym_BSLASHca] = ACTIONS(2741),
    [anon_sym_BSLASHcp] = ACTIONS(2741),
    [anon_sym_BSLASHcd] = ACTIONS(2741),
    [anon_sym_BSLASHmte] = ACTIONS(2741),
    [anon_sym_BSLASHms] = ACTIONS(2741),
    [anon_sym_BSLASHs] = ACTIONS(2741),
    [anon_sym_BSLASHr] = ACTIONS(2741),
    [anon_sym_BSLASHsp] = ACTIONS(2741),
    [anon_sym_BSLASHd] = ACTIONS(2741),
    [anon_sym_BSLASHsd] = ACTIONS(2741),
    [anon_sym_BSLASHp] = ACTIONS(2741),
    [anon_sym_BSLASHm] = ACTIONS(2741),
    [anon_sym_BSLASHpo] = ACTIONS(2741),
    [anon_sym_BSLASHpr] = ACTIONS(2741),
    [anon_sym_BSLASHcls] = ACTIONS(2741),
    [anon_sym_BSLASHpmo] = ACTIONS(2741),
    [anon_sym_BSLASHpm] = ACTIONS(2741),
    [anon_sym_BSLASHpmc] = ACTIONS(2741),
    [anon_sym_BSLASHpmr] = ACTIONS(2741),
    [anon_sym_BSLASHpi] = ACTIONS(2741),
    [anon_sym_BSLASHmi] = ACTIONS(2741),
    [anon_sym_BSLASHnb] = ACTIONS(2741),
    [anon_sym_BSLASHpc] = ACTIONS(2741),
    [anon_sym_BSLASHph] = ACTIONS(2741),
    [anon_sym_BSLASHb] = ACTIONS(2741),
    [anon_sym_BSLASHq] = ACTIONS(2741),
    [anon_sym_BSLASHqr] = ACTIONS(2741),
    [anon_sym_BSLASHqc] = ACTIONS(2741),
    [anon_sym_BSLASHqs] = ACTIONS(2741),
    [anon_sym_BSLASHqa] = ACTIONS(2741),
    [anon_sym_BSLASHqac] = ACTIONS(2741),
    [anon_sym_BSLASHqm] = ACTIONS(2741),
    [anon_sym_BSLASHqd] = ACTIONS(2741),
    [anon_sym_BSLASHlh] = ACTIONS(2741),
    [anon_sym_BSLASHli] = ACTIONS(2741),
    [anon_sym_BSLASHlim] = ACTIONS(2741),
    [anon_sym_BSLASHtr] = ACTIONS(2741),
    [anon_sym_BSLASHf] = ACTIONS(2741),
    [anon_sym_BSLASHfe] = ACTIONS(2741),
    [anon_sym_BSLASHef] = ACTIONS(2741),
    [anon_sym_BSLASHfm] = ACTIONS(2741),
    [anon_sym_BSLASHx] = ACTIONS(2741),
    [anon_sym_BSLASHxt] = ACTIONS(2741),
    [anon_sym_BSLASHrq] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASHfig] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASHpb] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesb] = ACTIONS(2741),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(2723),
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHref] = ACTIONS(2725),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHiex] = ACTIONS(2725),
    [anon_sym_BSLASHv] = ACTIONS(2725),
    [anon_sym_BSLASHva] = ACTIONS(2725),
    [anon_sym_BSLASHvp] = ACTIONS(2725),
    [anon_sym_BSLASHc] = ACTIONS(2725),
    [anon_sym_BSLASHcl] = ACTIONS(2725),
    [anon_sym_BSLASHca] = ACTIONS(2725),
    [anon_sym_BSLASHcp] = ACTIONS(2725),
    [anon_sym_BSLASHcd] = ACTIONS(2725),
    [anon_sym_BSLASHmte] = ACTIONS(2725),
    [anon_sym_BSLASHms] = ACTIONS(2725),
    [anon_sym_BSLASHs] = ACTIONS(2725),
    [anon_sym_BSLASHr] = ACTIONS(2725),
    [anon_sym_BSLASHsp] = ACTIONS(2725),
    [anon_sym_BSLASHd] = ACTIONS(2725),
    [anon_sym_BSLASHsd] = ACTIONS(2725),
    [anon_sym_BSLASHp] = ACTIONS(2725),
    [anon_sym_BSLASHm] = ACTIONS(2725),
    [anon_sym_BSLASHpo] = ACTIONS(2725),
    [anon_sym_BSLASHpr] = ACTIONS(2725),
    [anon_sym_BSLASHcls] = ACTIONS(2725),
    [anon_sym_BSLASHpmo] = ACTIONS(2725),
    [anon_sym_BSLASHpm] = ACTIONS(2725),
    [anon_sym_BSLASHpmc] = ACTIONS(2725),
    [anon_sym_BSLASHpmr] = ACTIONS(2725),
    [anon_sym_BSLASHpi] = ACTIONS(2725),
    [anon_sym_BSLASHmi] = ACTIONS(2725),
    [anon_sym_BSLASHnb] = ACTIONS(2725),
    [anon_sym_BSLASHpc] = ACTIONS(2725),
    [anon_sym_BSLASHph] = ACTIONS(2725),
    [anon_sym_BSLASHb] = ACTIONS(2725),
    [anon_sym_BSLASHq] = ACTIONS(2725),
    [anon_sym_BSLASHqr] = ACTIONS(2725),
    [anon_sym_BSLASHqc] = ACTIONS(2725),
    [anon_sym_BSLASHqs] = ACTIONS(2725),
    [anon_sym_BSLASHqa] = ACTIONS(2725),
    [anon_sym_BSLASHqac] = ACTIONS(2725),
    [anon_sym_BSLASHqm] = ACTIONS(2725),
    [anon_sym_BSLASHqd] = ACTIONS(2725),
    [anon_sym_BSLASHlh] = ACTIONS(2725),
    [anon_sym_BSLASHli] = ACTIONS(2725),
    [anon_sym_BSLASHlim] = ACTIONS(2725),
    [anon_sym_BSLASHtr] = ACTIONS(2725),
    [anon_sym_BSLASHf] = ACTIONS(2725),
    [anon_sym_BSLASHfe] = ACTIONS(2725),
    [anon_sym_BSLASHef] = ACTIONS(2725),
    [anon_sym_BSLASHfm] = ACTIONS(2725),
    [anon_sym_BSLASHx] = ACTIONS(2725),
    [anon_sym_BSLASHxt] = ACTIONS(2725),
    [anon_sym_BSLASHrq] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASHfig] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASHpb] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesb] = ACTIONS(2725),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(3080),
    [aux_sym_text_token1] = ACTIONS(3080),
    [anon_sym_BSLASHref] = ACTIONS(3082),
    [anon_sym_BSLASHsts] = ACTIONS(3082),
    [anon_sym_BSLASHrem] = ACTIONS(3082),
    [anon_sym_BSLASHrestore] = ACTIONS(3082),
    [anon_sym_BSLASHlit] = ACTIONS(3082),
    [anon_sym_BSLASHip] = ACTIONS(3082),
    [anon_sym_BSLASHiex] = ACTIONS(3082),
    [anon_sym_BSLASHv] = ACTIONS(3082),
    [anon_sym_BSLASHva] = ACTIONS(3082),
    [anon_sym_BSLASHvp] = ACTIONS(3082),
    [anon_sym_BSLASHc] = ACTIONS(3082),
    [anon_sym_BSLASHcl] = ACTIONS(3082),
    [anon_sym_BSLASHca] = ACTIONS(3082),
    [anon_sym_BSLASHcp] = ACTIONS(3082),
    [anon_sym_BSLASHcd] = ACTIONS(3082),
    [anon_sym_BSLASHmte] = ACTIONS(3082),
    [anon_sym_BSLASHms] = ACTIONS(3082),
    [anon_sym_BSLASHs] = ACTIONS(3082),
    [anon_sym_BSLASHr] = ACTIONS(3082),
    [anon_sym_BSLASHsp] = ACTIONS(3082),
    [anon_sym_BSLASHd] = ACTIONS(3082),
    [anon_sym_BSLASHsd] = ACTIONS(3082),
    [anon_sym_BSLASHp] = ACTIONS(3082),
    [anon_sym_BSLASHm] = ACTIONS(3082),
    [anon_sym_BSLASHpo] = ACTIONS(3082),
    [anon_sym_BSLASHpr] = ACTIONS(3082),
    [anon_sym_BSLASHcls] = ACTIONS(3082),
    [anon_sym_BSLASHpmo] = ACTIONS(3082),
    [anon_sym_BSLASHpm] = ACTIONS(3082),
    [anon_sym_BSLASHpmc] = ACTIONS(3082),
    [anon_sym_BSLASHpmr] = ACTIONS(3082),
    [anon_sym_BSLASHpi] = ACTIONS(3082),
    [anon_sym_BSLASHmi] = ACTIONS(3082),
    [anon_sym_BSLASHnb] = ACTIONS(3082),
    [anon_sym_BSLASHpc] = ACTIONS(3082),
    [anon_sym_BSLASHph] = ACTIONS(3082),
    [anon_sym_BSLASHb] = ACTIONS(3082),
    [anon_sym_BSLASHq] = ACTIONS(3082),
    [anon_sym_BSLASHqr] = ACTIONS(3082),
    [anon_sym_BSLASHqc] = ACTIONS(3082),
    [anon_sym_BSLASHqs] = ACTIONS(3082),
    [anon_sym_BSLASHqa] = ACTIONS(3082),
    [anon_sym_BSLASHqac] = ACTIONS(3082),
    [anon_sym_BSLASHqm] = ACTIONS(3082),
    [anon_sym_BSLASHqd] = ACTIONS(3082),
    [anon_sym_BSLASHlh] = ACTIONS(3082),
    [anon_sym_BSLASHli] = ACTIONS(3082),
    [anon_sym_BSLASHlim] = ACTIONS(3082),
    [anon_sym_BSLASHtr] = ACTIONS(3082),
    [anon_sym_BSLASHf] = ACTIONS(3082),
    [anon_sym_BSLASHfe] = ACTIONS(3082),
    [anon_sym_BSLASHef] = ACTIONS(3082),
    [anon_sym_BSLASHfm] = ACTIONS(3082),
    [anon_sym_BSLASHx] = ACTIONS(3082),
    [anon_sym_BSLASHxt] = ACTIONS(3082),
    [anon_sym_BSLASHrq] = ACTIONS(3082),
    [anon_sym_BSLASHadd] = ACTIONS(3082),
    [anon_sym_BSLASHbk] = ACTIONS(3082),
    [anon_sym_BSLASHdc] = ACTIONS(3082),
    [anon_sym_BSLASHk] = ACTIONS(3082),
    [anon_sym_BSLASHnd] = ACTIONS(3082),
    [anon_sym_BSLASHord] = ACTIONS(3082),
    [anon_sym_BSLASHpn] = ACTIONS(3082),
    [anon_sym_BSLASHpng] = ACTIONS(3082),
    [anon_sym_BSLASHaddpn] = ACTIONS(3082),
    [anon_sym_BSLASHqt] = ACTIONS(3082),
    [anon_sym_BSLASHsig] = ACTIONS(3082),
    [anon_sym_BSLASHsls] = ACTIONS(3082),
    [anon_sym_BSLASHtl] = ACTIONS(3082),
    [anon_sym_BSLASHwj] = ACTIONS(3082),
    [anon_sym_BSLASHem] = ACTIONS(3082),
    [anon_sym_BSLASHbd] = ACTIONS(3082),
    [anon_sym_BSLASHit] = ACTIONS(3082),
    [anon_sym_BSLASHbdit] = ACTIONS(3082),
    [anon_sym_BSLASHno] = ACTIONS(3082),
    [anon_sym_BSLASHsc] = ACTIONS(3082),
    [anon_sym_BSLASHsup] = ACTIONS(3082),
    [anon_sym_BSLASHndx] = ACTIONS(3082),
    [anon_sym_BSLASHpro] = ACTIONS(3082),
    [anon_sym_BSLASHrb] = ACTIONS(3082),
    [anon_sym_BSLASHw] = ACTIONS(3082),
    [anon_sym_BSLASHwg] = ACTIONS(3082),
    [anon_sym_BSLASHwh] = ACTIONS(3082),
    [anon_sym_BSLASHwa] = ACTIONS(3082),
    [anon_sym_BSLASHfig] = ACTIONS(3082),
    [anon_sym_BSLASHjmp] = ACTIONS(3082),
    [anon_sym_BSLASHpb] = ACTIONS(3082),
    [anon_sym_BSLASH] = ACTIONS(3082),
    [sym_milestoneStartTag] = ACTIONS(3082),
    [sym_milestoneEndTag] = ACTIONS(3082),
    [sym_zSpaceTag] = ACTIONS(3082),
    [anon_sym_BSLASHesb] = ACTIONS(3082),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(2631),
    [aux_sym_text_token1] = ACTIONS(2631),
    [anon_sym_BSLASHref] = ACTIONS(2633),
    [anon_sym_BSLASHsts] = ACTIONS(2633),
    [anon_sym_BSLASHrem] = ACTIONS(2633),
    [anon_sym_BSLASHrestore] = ACTIONS(2633),
    [anon_sym_BSLASHlit] = ACTIONS(2633),
    [anon_sym_BSLASHip] = ACTIONS(2633),
    [anon_sym_BSLASHiex] = ACTIONS(2633),
    [anon_sym_BSLASHv] = ACTIONS(2633),
    [anon_sym_BSLASHva] = ACTIONS(2633),
    [anon_sym_BSLASHvp] = ACTIONS(2633),
    [anon_sym_BSLASHc] = ACTIONS(2633),
    [anon_sym_BSLASHcl] = ACTIONS(2633),
    [anon_sym_BSLASHca] = ACTIONS(2633),
    [anon_sym_BSLASHcp] = ACTIONS(2633),
    [anon_sym_BSLASHcd] = ACTIONS(2633),
    [anon_sym_BSLASHmte] = ACTIONS(2633),
    [anon_sym_BSLASHms] = ACTIONS(2633),
    [anon_sym_BSLASHs] = ACTIONS(2633),
    [anon_sym_BSLASHr] = ACTIONS(2633),
    [anon_sym_BSLASHsp] = ACTIONS(2633),
    [anon_sym_BSLASHd] = ACTIONS(2633),
    [anon_sym_BSLASHsd] = ACTIONS(2633),
    [anon_sym_BSLASHp] = ACTIONS(2633),
    [anon_sym_BSLASHm] = ACTIONS(2633),
    [anon_sym_BSLASHpo] = ACTIONS(2633),
    [anon_sym_BSLASHpr] = ACTIONS(2633),
    [anon_sym_BSLASHcls] = ACTIONS(2633),
    [anon_sym_BSLASHpmo] = ACTIONS(2633),
    [anon_sym_BSLASHpm] = ACTIONS(2633),
    [anon_sym_BSLASHpmc] = ACTIONS(2633),
    [anon_sym_BSLASHpmr] = ACTIONS(2633),
    [anon_sym_BSLASHpi] = ACTIONS(2633),
    [anon_sym_BSLASHmi] = ACTIONS(2633),
    [anon_sym_BSLASHnb] = ACTIONS(2633),
    [anon_sym_BSLASHpc] = ACTIONS(2633),
    [anon_sym_BSLASHph] = ACTIONS(2633),
    [anon_sym_BSLASHb] = ACTIONS(2633),
    [anon_sym_BSLASHq] = ACTIONS(2633),
    [anon_sym_BSLASHqr] = ACTIONS(2633),
    [anon_sym_BSLASHqc] = ACTIONS(2633),
    [anon_sym_BSLASHqs] = ACTIONS(2633),
    [anon_sym_BSLASHqa] = ACTIONS(2633),
    [anon_sym_BSLASHqac] = ACTIONS(2633),
    [anon_sym_BSLASHqm] = ACTIONS(2633),
    [anon_sym_BSLASHqd] = ACTIONS(2633),
    [anon_sym_BSLASHlh] = ACTIONS(2633),
    [anon_sym_BSLASHli] = ACTIONS(2633),
    [anon_sym_BSLASHlim] = ACTIONS(2633),
    [anon_sym_BSLASHtr] = ACTIONS(2633),
    [anon_sym_BSLASHf] = ACTIONS(2633),
    [anon_sym_BSLASHfe] = ACTIONS(2633),
    [anon_sym_BSLASHef] = ACTIONS(2633),
    [anon_sym_BSLASHfm] = ACTIONS(2633),
    [anon_sym_BSLASHx] = ACTIONS(2633),
    [anon_sym_BSLASHxt] = ACTIONS(2633),
    [anon_sym_BSLASHrq] = ACTIONS(2633),
    [anon_sym_BSLASHadd] = ACTIONS(2633),
    [anon_sym_BSLASHbk] = ACTIONS(2633),
    [anon_sym_BSLASHdc] = ACTIONS(2633),
    [anon_sym_BSLASHk] = ACTIONS(2633),
    [anon_sym_BSLASHnd] = ACTIONS(2633),
    [anon_sym_BSLASHord] = ACTIONS(2633),
    [anon_sym_BSLASHpn] = ACTIONS(2633),
    [anon_sym_BSLASHpng] = ACTIONS(2633),
    [anon_sym_BSLASHaddpn] = ACTIONS(2633),
    [anon_sym_BSLASHqt] = ACTIONS(2633),
    [anon_sym_BSLASHsig] = ACTIONS(2633),
    [anon_sym_BSLASHsls] = ACTIONS(2633),
    [anon_sym_BSLASHtl] = ACTIONS(2633),
    [anon_sym_BSLASHwj] = ACTIONS(2633),
    [anon_sym_BSLASHem] = ACTIONS(2633),
    [anon_sym_BSLASHbd] = ACTIONS(2633),
    [anon_sym_BSLASHit] = ACTIONS(2633),
    [anon_sym_BSLASHbdit] = ACTIONS(2633),
    [anon_sym_BSLASHno] = ACTIONS(2633),
    [anon_sym_BSLASHsc] = ACTIONS(2633),
    [anon_sym_BSLASHsup] = ACTIONS(2633),
    [anon_sym_BSLASHndx] = ACTIONS(2633),
    [anon_sym_BSLASHpro] = ACTIONS(2633),
    [anon_sym_BSLASHrb] = ACTIONS(2633),
    [anon_sym_BSLASHw] = ACTIONS(2633),
    [anon_sym_BSLASHwg] = ACTIONS(2633),
    [anon_sym_BSLASHwh] = ACTIONS(2633),
    [anon_sym_BSLASHwa] = ACTIONS(2633),
    [anon_sym_BSLASHfig] = ACTIONS(2633),
    [anon_sym_BSLASHjmp] = ACTIONS(2633),
    [anon_sym_BSLASHpb] = ACTIONS(2633),
    [anon_sym_BSLASH] = ACTIONS(2633),
    [sym_milestoneStartTag] = ACTIONS(2633),
    [sym_milestoneEndTag] = ACTIONS(2633),
    [sym_zSpaceTag] = ACTIONS(2633),
    [anon_sym_BSLASHesb] = ACTIONS(2633),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(2627),
    [aux_sym_text_token1] = ACTIONS(2627),
    [anon_sym_BSLASHref] = ACTIONS(2629),
    [anon_sym_BSLASHsts] = ACTIONS(2629),
    [anon_sym_BSLASHrem] = ACTIONS(2629),
    [anon_sym_BSLASHrestore] = ACTIONS(2629),
    [anon_sym_BSLASHlit] = ACTIONS(2629),
    [anon_sym_BSLASHip] = ACTIONS(2629),
    [anon_sym_BSLASHiex] = ACTIONS(2629),
    [anon_sym_BSLASHv] = ACTIONS(2629),
    [anon_sym_BSLASHva] = ACTIONS(2629),
    [anon_sym_BSLASHvp] = ACTIONS(2629),
    [anon_sym_BSLASHc] = ACTIONS(2629),
    [anon_sym_BSLASHcl] = ACTIONS(2629),
    [anon_sym_BSLASHca] = ACTIONS(2629),
    [anon_sym_BSLASHcp] = ACTIONS(2629),
    [anon_sym_BSLASHcd] = ACTIONS(2629),
    [anon_sym_BSLASHmte] = ACTIONS(2629),
    [anon_sym_BSLASHms] = ACTIONS(2629),
    [anon_sym_BSLASHs] = ACTIONS(2629),
    [anon_sym_BSLASHr] = ACTIONS(2629),
    [anon_sym_BSLASHsp] = ACTIONS(2629),
    [anon_sym_BSLASHd] = ACTIONS(2629),
    [anon_sym_BSLASHsd] = ACTIONS(2629),
    [anon_sym_BSLASHp] = ACTIONS(2629),
    [anon_sym_BSLASHm] = ACTIONS(2629),
    [anon_sym_BSLASHpo] = ACTIONS(2629),
    [anon_sym_BSLASHpr] = ACTIONS(2629),
    [anon_sym_BSLASHcls] = ACTIONS(2629),
    [anon_sym_BSLASHpmo] = ACTIONS(2629),
    [anon_sym_BSLASHpm] = ACTIONS(2629),
    [anon_sym_BSLASHpmc] = ACTIONS(2629),
    [anon_sym_BSLASHpmr] = ACTIONS(2629),
    [anon_sym_BSLASHpi] = ACTIONS(2629),
    [anon_sym_BSLASHmi] = ACTIONS(2629),
    [anon_sym_BSLASHnb] = ACTIONS(2629),
    [anon_sym_BSLASHpc] = ACTIONS(2629),
    [anon_sym_BSLASHph] = ACTIONS(2629),
    [anon_sym_BSLASHb] = ACTIONS(2629),
    [anon_sym_BSLASHq] = ACTIONS(2629),
    [anon_sym_BSLASHqr] = ACTIONS(2629),
    [anon_sym_BSLASHqc] = ACTIONS(2629),
    [anon_sym_BSLASHqs] = ACTIONS(2629),
    [anon_sym_BSLASHqa] = ACTIONS(2629),
    [anon_sym_BSLASHqac] = ACTIONS(2629),
    [anon_sym_BSLASHqm] = ACTIONS(2629),
    [anon_sym_BSLASHqd] = ACTIONS(2629),
    [anon_sym_BSLASHlh] = ACTIONS(2629),
    [anon_sym_BSLASHli] = ACTIONS(2629),
    [anon_sym_BSLASHlim] = ACTIONS(2629),
    [anon_sym_BSLASHtr] = ACTIONS(2629),
    [anon_sym_BSLASHf] = ACTIONS(2629),
    [anon_sym_BSLASHfe] = ACTIONS(2629),
    [anon_sym_BSLASHef] = ACTIONS(2629),
    [anon_sym_BSLASHfm] = ACTIONS(2629),
    [anon_sym_BSLASHx] = ACTIONS(2629),
    [anon_sym_BSLASHxt] = ACTIONS(2629),
    [anon_sym_BSLASHrq] = ACTIONS(2629),
    [anon_sym_BSLASHadd] = ACTIONS(2629),
    [anon_sym_BSLASHbk] = ACTIONS(2629),
    [anon_sym_BSLASHdc] = ACTIONS(2629),
    [anon_sym_BSLASHk] = ACTIONS(2629),
    [anon_sym_BSLASHnd] = ACTIONS(2629),
    [anon_sym_BSLASHord] = ACTIONS(2629),
    [anon_sym_BSLASHpn] = ACTIONS(2629),
    [anon_sym_BSLASHpng] = ACTIONS(2629),
    [anon_sym_BSLASHaddpn] = ACTIONS(2629),
    [anon_sym_BSLASHqt] = ACTIONS(2629),
    [anon_sym_BSLASHsig] = ACTIONS(2629),
    [anon_sym_BSLASHsls] = ACTIONS(2629),
    [anon_sym_BSLASHtl] = ACTIONS(2629),
    [anon_sym_BSLASHwj] = ACTIONS(2629),
    [anon_sym_BSLASHem] = ACTIONS(2629),
    [anon_sym_BSLASHbd] = ACTIONS(2629),
    [anon_sym_BSLASHit] = ACTIONS(2629),
    [anon_sym_BSLASHbdit] = ACTIONS(2629),
    [anon_sym_BSLASHno] = ACTIONS(2629),
    [anon_sym_BSLASHsc] = ACTIONS(2629),
    [anon_sym_BSLASHsup] = ACTIONS(2629),
    [anon_sym_BSLASHndx] = ACTIONS(2629),
    [anon_sym_BSLASHpro] = ACTIONS(2629),
    [anon_sym_BSLASHrb] = ACTIONS(2629),
    [anon_sym_BSLASHw] = ACTIONS(2629),
    [anon_sym_BSLASHwg] = ACTIONS(2629),
    [anon_sym_BSLASHwh] = ACTIONS(2629),
    [anon_sym_BSLASHwa] = ACTIONS(2629),
    [anon_sym_BSLASHfig] = ACTIONS(2629),
    [anon_sym_BSLASHjmp] = ACTIONS(2629),
    [anon_sym_BSLASHpb] = ACTIONS(2629),
    [anon_sym_BSLASH] = ACTIONS(2629),
    [sym_milestoneStartTag] = ACTIONS(2629),
    [sym_milestoneEndTag] = ACTIONS(2629),
    [sym_zSpaceTag] = ACTIONS(2629),
    [anon_sym_BSLASHesb] = ACTIONS(2629),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(5336),
    [aux_sym_text_token1] = ACTIONS(5336),
    [anon_sym_BSLASHref] = ACTIONS(5338),
    [anon_sym_BSLASHsts] = ACTIONS(5338),
    [anon_sym_BSLASHrem] = ACTIONS(5338),
    [anon_sym_BSLASHrestore] = ACTIONS(5338),
    [anon_sym_BSLASHlit] = ACTIONS(5338),
    [anon_sym_BSLASHip] = ACTIONS(5338),
    [anon_sym_BSLASHiex] = ACTIONS(5338),
    [anon_sym_BSLASHv] = ACTIONS(5338),
    [anon_sym_BSLASHva] = ACTIONS(5338),
    [anon_sym_BSLASHvp] = ACTIONS(5338),
    [anon_sym_BSLASHc] = ACTIONS(5338),
    [anon_sym_BSLASHcl] = ACTIONS(5338),
    [anon_sym_BSLASHca] = ACTIONS(5338),
    [anon_sym_BSLASHcp] = ACTIONS(5338),
    [anon_sym_BSLASHcd] = ACTIONS(5338),
    [anon_sym_BSLASHmte] = ACTIONS(5338),
    [anon_sym_BSLASHms] = ACTIONS(5338),
    [anon_sym_BSLASHs] = ACTIONS(5338),
    [anon_sym_BSLASHr] = ACTIONS(5338),
    [anon_sym_BSLASHsp] = ACTIONS(5338),
    [anon_sym_BSLASHd] = ACTIONS(5338),
    [anon_sym_BSLASHsd] = ACTIONS(5338),
    [anon_sym_BSLASHp] = ACTIONS(5338),
    [anon_sym_BSLASHm] = ACTIONS(5338),
    [anon_sym_BSLASHpo] = ACTIONS(5338),
    [anon_sym_BSLASHpr] = ACTIONS(5338),
    [anon_sym_BSLASHcls] = ACTIONS(5338),
    [anon_sym_BSLASHpmo] = ACTIONS(5338),
    [anon_sym_BSLASHpm] = ACTIONS(5338),
    [anon_sym_BSLASHpmc] = ACTIONS(5338),
    [anon_sym_BSLASHpmr] = ACTIONS(5338),
    [anon_sym_BSLASHpi] = ACTIONS(5338),
    [anon_sym_BSLASHmi] = ACTIONS(5338),
    [anon_sym_BSLASHnb] = ACTIONS(5338),
    [anon_sym_BSLASHpc] = ACTIONS(5338),
    [anon_sym_BSLASHph] = ACTIONS(5338),
    [anon_sym_BSLASHb] = ACTIONS(5338),
    [anon_sym_BSLASHq] = ACTIONS(5338),
    [anon_sym_BSLASHqr] = ACTIONS(5338),
    [anon_sym_BSLASHqc] = ACTIONS(5338),
    [anon_sym_BSLASHqs] = ACTIONS(5338),
    [anon_sym_BSLASHqa] = ACTIONS(5338),
    [anon_sym_BSLASHqac] = ACTIONS(5338),
    [anon_sym_BSLASHqm] = ACTIONS(5338),
    [anon_sym_BSLASHqd] = ACTIONS(5338),
    [anon_sym_BSLASHlh] = ACTIONS(5338),
    [anon_sym_BSLASHli] = ACTIONS(5338),
    [anon_sym_BSLASHlim] = ACTIONS(5338),
    [anon_sym_BSLASHtr] = ACTIONS(5338),
    [anon_sym_BSLASHf] = ACTIONS(5338),
    [anon_sym_BSLASHfe] = ACTIONS(5338),
    [anon_sym_BSLASHef] = ACTIONS(5338),
    [anon_sym_BSLASHfm] = ACTIONS(5338),
    [anon_sym_BSLASHx] = ACTIONS(5338),
    [anon_sym_BSLASHxt] = ACTIONS(5338),
    [anon_sym_BSLASHrq] = ACTIONS(5338),
    [anon_sym_BSLASHadd] = ACTIONS(5338),
    [anon_sym_BSLASHbk] = ACTIONS(5338),
    [anon_sym_BSLASHdc] = ACTIONS(5338),
    [anon_sym_BSLASHk] = ACTIONS(5338),
    [anon_sym_BSLASHnd] = ACTIONS(5338),
    [anon_sym_BSLASHord] = ACTIONS(5338),
    [anon_sym_BSLASHpn] = ACTIONS(5338),
    [anon_sym_BSLASHpng] = ACTIONS(5338),
    [anon_sym_BSLASHaddpn] = ACTIONS(5338),
    [anon_sym_BSLASHqt] = ACTIONS(5338),
    [anon_sym_BSLASHsig] = ACTIONS(5338),
    [anon_sym_BSLASHsls] = ACTIONS(5338),
    [anon_sym_BSLASHtl] = ACTIONS(5338),
    [anon_sym_BSLASHwj] = ACTIONS(5338),
    [anon_sym_BSLASHem] = ACTIONS(5338),
    [anon_sym_BSLASHbd] = ACTIONS(5338),
    [anon_sym_BSLASHit] = ACTIONS(5338),
    [anon_sym_BSLASHbdit] = ACTIONS(5338),
    [anon_sym_BSLASHno] = ACTIONS(5338),
    [anon_sym_BSLASHsc] = ACTIONS(5338),
    [anon_sym_BSLASHsup] = ACTIONS(5338),
    [anon_sym_BSLASHndx] = ACTIONS(5338),
    [anon_sym_BSLASHpro] = ACTIONS(5338),
    [anon_sym_BSLASHrb] = ACTIONS(5338),
    [anon_sym_BSLASHw] = ACTIONS(5338),
    [anon_sym_BSLASHwg] = ACTIONS(5338),
    [anon_sym_BSLASHwh] = ACTIONS(5338),
    [anon_sym_BSLASHwa] = ACTIONS(5338),
    [anon_sym_BSLASHfig] = ACTIONS(5338),
    [anon_sym_BSLASHjmp] = ACTIONS(5338),
    [anon_sym_BSLASHpb] = ACTIONS(5338),
    [anon_sym_BSLASH] = ACTIONS(5338),
    [sym_milestoneStartTag] = ACTIONS(5338),
    [sym_milestoneEndTag] = ACTIONS(5338),
    [sym_zSpaceTag] = ACTIONS(5338),
    [anon_sym_BSLASHesb] = ACTIONS(5338),
  },
  [526] = {
    [sym__verseMeta] = STATE(528),
    [sym_va] = STATE(528),
    [sym_vp] = STATE(528),
    [aux_sym_v_repeat1] = STATE(528),
    [aux_sym_text_token1] = ACTIONS(5242),
    [anon_sym_BSLASHref] = ACTIONS(5244),
    [anon_sym_BSLASHsts] = ACTIONS(5244),
    [anon_sym_BSLASHrem] = ACTIONS(5244),
    [anon_sym_BSLASHrestore] = ACTIONS(5244),
    [anon_sym_BSLASHlit] = ACTIONS(5244),
    [anon_sym_BSLASHip] = ACTIONS(5244),
    [anon_sym_BSLASHv] = ACTIONS(5244),
    [anon_sym_BSLASHva] = ACTIONS(774),
    [anon_sym_BSLASHvp] = ACTIONS(776),
    [anon_sym_BSLASHmte] = ACTIONS(5244),
    [anon_sym_BSLASHms] = ACTIONS(5244),
    [anon_sym_BSLASHs] = ACTIONS(5244),
    [anon_sym_BSLASHr] = ACTIONS(5244),
    [anon_sym_BSLASHsp] = ACTIONS(5244),
    [anon_sym_BSLASHd] = ACTIONS(5244),
    [anon_sym_BSLASHsd] = ACTIONS(5244),
    [anon_sym_BSLASHp] = ACTIONS(5244),
    [anon_sym_BSLASHm] = ACTIONS(5244),
    [anon_sym_BSLASHpo] = ACTIONS(5244),
    [anon_sym_BSLASHpr] = ACTIONS(5244),
    [anon_sym_BSLASHcls] = ACTIONS(5244),
    [anon_sym_BSLASHpmo] = ACTIONS(5244),
    [anon_sym_BSLASHpm] = ACTIONS(5244),
    [anon_sym_BSLASHpmc] = ACTIONS(5244),
    [anon_sym_BSLASHpmr] = ACTIONS(5244),
    [anon_sym_BSLASHpi] = ACTIONS(5244),
    [anon_sym_BSLASHmi] = ACTIONS(5244),
    [anon_sym_BSLASHnb] = ACTIONS(5244),
    [anon_sym_BSLASHpc] = ACTIONS(5244),
    [anon_sym_BSLASHph] = ACTIONS(5244),
    [anon_sym_BSLASHb] = ACTIONS(5244),
    [anon_sym_BSLASHq] = ACTIONS(5244),
    [anon_sym_BSLASHqr] = ACTIONS(5244),
    [anon_sym_BSLASHqc] = ACTIONS(5244),
    [anon_sym_BSLASHqa] = ACTIONS(5244),
    [anon_sym_BSLASHqm] = ACTIONS(5244),
    [anon_sym_BSLASHqd] = ACTIONS(5244),
    [anon_sym_BSLASHlh] = ACTIONS(5244),
    [anon_sym_BSLASHlf] = ACTIONS(5244),
    [anon_sym_BSLASHli] = ACTIONS(5244),
    [anon_sym_BSLASHlim] = ACTIONS(5244),
    [anon_sym_BSLASHliv] = ACTIONS(5244),
    [anon_sym_BSLASHlik] = ACTIONS(5244),
    [anon_sym_BSLASHlitl] = ACTIONS(5244),
    [anon_sym_BSLASHtr] = ACTIONS(5244),
    [anon_sym_BSLASHf] = ACTIONS(5244),
    [anon_sym_BSLASHfe] = ACTIONS(5244),
    [anon_sym_BSLASHef] = ACTIONS(5244),
    [anon_sym_BSLASHfm] = ACTIONS(5244),
    [anon_sym_BSLASHx] = ACTIONS(5244),
    [anon_sym_BSLASHxt] = ACTIONS(5244),
    [anon_sym_BSLASHrq] = ACTIONS(5244),
    [anon_sym_BSLASHadd] = ACTIONS(5244),
    [anon_sym_BSLASHbk] = ACTIONS(5244),
    [anon_sym_BSLASHdc] = ACTIONS(5244),
    [anon_sym_BSLASHk] = ACTIONS(5244),
    [anon_sym_BSLASHnd] = ACTIONS(5244),
    [anon_sym_BSLASHord] = ACTIONS(5244),
    [anon_sym_BSLASHpn] = ACTIONS(5244),
    [anon_sym_BSLASHpng] = ACTIONS(5244),
    [anon_sym_BSLASHaddpn] = ACTIONS(5244),
    [anon_sym_BSLASHqt] = ACTIONS(5244),
    [anon_sym_BSLASHsig] = ACTIONS(5244),
    [anon_sym_BSLASHsls] = ACTIONS(5244),
    [anon_sym_BSLASHtl] = ACTIONS(5244),
    [anon_sym_BSLASHwj] = ACTIONS(5244),
    [anon_sym_BSLASHem] = ACTIONS(5244),
    [anon_sym_BSLASHbd] = ACTIONS(5244),
    [anon_sym_BSLASHit] = ACTIONS(5244),
    [anon_sym_BSLASHbdit] = ACTIONS(5244),
    [anon_sym_BSLASHno] = ACTIONS(5244),
    [anon_sym_BSLASHsc] = ACTIONS(5244),
    [anon_sym_BSLASHsup] = ACTIONS(5244),
    [anon_sym_BSLASHndx] = ACTIONS(5244),
    [anon_sym_BSLASHpro] = ACTIONS(5244),
    [anon_sym_BSLASHrb] = ACTIONS(5244),
    [anon_sym_BSLASHw] = ACTIONS(5244),
    [anon_sym_BSLASHwg] = ACTIONS(5244),
    [anon_sym_BSLASHwh] = ACTIONS(5244),
    [anon_sym_BSLASHwa] = ACTIONS(5244),
    [anon_sym_BSLASHfig] = ACTIONS(5244),
    [anon_sym_BSLASHjmp] = ACTIONS(5244),
    [anon_sym_BSLASHpb] = ACTIONS(5244),
    [anon_sym_BSLASH] = ACTIONS(5244),
    [sym_milestoneStartTag] = ACTIONS(5244),
    [sym_milestoneEndTag] = ACTIONS(5244),
    [sym_zSpaceTag] = ACTIONS(5244),
    [anon_sym_BSLASHesbe] = ACTIONS(5244),
    [anon_sym_BSLASHcat] = ACTIONS(5244),
  },
  [527] = {
    [sym__milestoneAttributes] = STATE(2044),
    [aux_sym_text_token1] = ACTIONS(5234),
    [anon_sym_BSLASHref] = ACTIONS(5236),
    [anon_sym_BSLASHsts] = ACTIONS(5236),
    [anon_sym_BSLASHrem] = ACTIONS(5236),
    [anon_sym_BSLASHrestore] = ACTIONS(5236),
    [anon_sym_BSLASHlit] = ACTIONS(5236),
    [anon_sym_BSLASHip] = ACTIONS(5236),
    [anon_sym_BSLASHv] = ACTIONS(5236),
    [anon_sym_BSLASHva] = ACTIONS(5236),
    [anon_sym_BSLASHvp] = ACTIONS(5236),
    [anon_sym_BSLASHmte] = ACTIONS(5236),
    [anon_sym_BSLASHms] = ACTIONS(5236),
    [anon_sym_BSLASHs] = ACTIONS(5236),
    [anon_sym_BSLASHr] = ACTIONS(5236),
    [anon_sym_BSLASHsp] = ACTIONS(5236),
    [anon_sym_BSLASHd] = ACTIONS(5236),
    [anon_sym_BSLASHsd] = ACTIONS(5236),
    [anon_sym_BSLASHp] = ACTIONS(5236),
    [anon_sym_BSLASHm] = ACTIONS(5236),
    [anon_sym_BSLASHpo] = ACTIONS(5236),
    [anon_sym_BSLASHpr] = ACTIONS(5236),
    [anon_sym_BSLASHcls] = ACTIONS(5236),
    [anon_sym_BSLASHpmo] = ACTIONS(5236),
    [anon_sym_BSLASHpm] = ACTIONS(5236),
    [anon_sym_BSLASHpmc] = ACTIONS(5236),
    [anon_sym_BSLASHpmr] = ACTIONS(5236),
    [anon_sym_BSLASHpi] = ACTIONS(5236),
    [anon_sym_BSLASHmi] = ACTIONS(5236),
    [anon_sym_BSLASHnb] = ACTIONS(5236),
    [anon_sym_BSLASHpc] = ACTIONS(5236),
    [anon_sym_BSLASHph] = ACTIONS(5236),
    [anon_sym_BSLASHb] = ACTIONS(5236),
    [anon_sym_BSLASHq] = ACTIONS(5236),
    [anon_sym_BSLASHqr] = ACTIONS(5236),
    [anon_sym_BSLASHqc] = ACTIONS(5236),
    [anon_sym_BSLASHqa] = ACTIONS(5236),
    [anon_sym_BSLASHqm] = ACTIONS(5236),
    [anon_sym_BSLASHqd] = ACTIONS(5236),
    [anon_sym_BSLASHlh] = ACTIONS(5236),
    [anon_sym_BSLASHlf] = ACTIONS(5236),
    [anon_sym_BSLASHli] = ACTIONS(5236),
    [anon_sym_BSLASHlim] = ACTIONS(5236),
    [anon_sym_BSLASHliv] = ACTIONS(5236),
    [anon_sym_BSLASHlik] = ACTIONS(5236),
    [anon_sym_BSLASHlitl] = ACTIONS(5236),
    [anon_sym_BSLASHtr] = ACTIONS(5236),
    [anon_sym_BSLASHf] = ACTIONS(5236),
    [anon_sym_BSLASHfe] = ACTIONS(5236),
    [anon_sym_BSLASHef] = ACTIONS(5236),
    [anon_sym_BSLASHfm] = ACTIONS(5236),
    [anon_sym_BSLASHx] = ACTIONS(5236),
    [anon_sym_BSLASHxt] = ACTIONS(5236),
    [anon_sym_BSLASHrq] = ACTIONS(5236),
    [anon_sym_BSLASHadd] = ACTIONS(5236),
    [anon_sym_BSLASHbk] = ACTIONS(5236),
    [anon_sym_BSLASHdc] = ACTIONS(5236),
    [anon_sym_BSLASHk] = ACTIONS(5236),
    [anon_sym_BSLASHnd] = ACTIONS(5236),
    [anon_sym_BSLASHord] = ACTIONS(5236),
    [anon_sym_BSLASHpn] = ACTIONS(5236),
    [anon_sym_BSLASHpng] = ACTIONS(5236),
    [anon_sym_BSLASHaddpn] = ACTIONS(5236),
    [anon_sym_BSLASHqt] = ACTIONS(5236),
    [anon_sym_BSLASHsig] = ACTIONS(5236),
    [anon_sym_BSLASHsls] = ACTIONS(5236),
    [anon_sym_BSLASHtl] = ACTIONS(5236),
    [anon_sym_BSLASHwj] = ACTIONS(5236),
    [anon_sym_BSLASHem] = ACTIONS(5236),
    [anon_sym_BSLASHbd] = ACTIONS(5236),
    [anon_sym_BSLASHit] = ACTIONS(5236),
    [anon_sym_BSLASHbdit] = ACTIONS(5236),
    [anon_sym_BSLASHno] = ACTIONS(5236),
    [anon_sym_BSLASHsc] = ACTIONS(5236),
    [anon_sym_BSLASHsup] = ACTIONS(5236),
    [anon_sym_BSLASHndx] = ACTIONS(5236),
    [anon_sym_BSLASHpro] = ACTIONS(5236),
    [anon_sym_BSLASHrb] = ACTIONS(5236),
    [anon_sym_BSLASHw] = ACTIONS(5236),
    [anon_sym_BSLASHwg] = ACTIONS(5236),
    [anon_sym_BSLASHwh] = ACTIONS(5236),
    [anon_sym_BSLASHwa] = ACTIONS(5236),
    [anon_sym_BSLASHfig] = ACTIONS(5236),
    [anon_sym_BSLASHjmp] = ACTIONS(5236),
    [anon_sym_BSLASHpb] = ACTIONS(5236),
    [anon_sym_BSLASH] = ACTIONS(5236),
    [anon_sym_BSLASH_STAR] = ACTIONS(5474),
    [sym_milestoneStartTag] = ACTIONS(5236),
    [sym_milestoneEndTag] = ACTIONS(5236),
    [sym_zSpaceTag] = ACTIONS(5236),
    [sym__zSpaceClose] = ACTIONS(5476),
    [anon_sym_BSLASHesbe] = ACTIONS(5236),
    [anon_sym_BSLASHcat] = ACTIONS(5236),
    [anon_sym_PIPE] = ACTIONS(5052),
  },
  [528] = {
    [sym__verseMeta] = STATE(528),
    [sym_va] = STATE(528),
    [sym_vp] = STATE(528),
    [aux_sym_v_repeat1] = STATE(528),
    [aux_sym_text_token1] = ACTIONS(5246),
    [anon_sym_BSLASHref] = ACTIONS(5248),
    [anon_sym_BSLASHsts] = ACTIONS(5248),
    [anon_sym_BSLASHrem] = ACTIONS(5248),
    [anon_sym_BSLASHrestore] = ACTIONS(5248),
    [anon_sym_BSLASHlit] = ACTIONS(5248),
    [anon_sym_BSLASHip] = ACTIONS(5248),
    [anon_sym_BSLASHv] = ACTIONS(5248),
    [anon_sym_BSLASHva] = ACTIONS(5478),
    [anon_sym_BSLASHvp] = ACTIONS(5481),
    [anon_sym_BSLASHmte] = ACTIONS(5248),
    [anon_sym_BSLASHms] = ACTIONS(5248),
    [anon_sym_BSLASHs] = ACTIONS(5248),
    [anon_sym_BSLASHr] = ACTIONS(5248),
    [anon_sym_BSLASHsp] = ACTIONS(5248),
    [anon_sym_BSLASHd] = ACTIONS(5248),
    [anon_sym_BSLASHsd] = ACTIONS(5248),
    [anon_sym_BSLASHp] = ACTIONS(5248),
    [anon_sym_BSLASHm] = ACTIONS(5248),
    [anon_sym_BSLASHpo] = ACTIONS(5248),
    [anon_sym_BSLASHpr] = ACTIONS(5248),
    [anon_sym_BSLASHcls] = ACTIONS(5248),
    [anon_sym_BSLASHpmo] = ACTIONS(5248),
    [anon_sym_BSLASHpm] = ACTIONS(5248),
    [anon_sym_BSLASHpmc] = ACTIONS(5248),
    [anon_sym_BSLASHpmr] = ACTIONS(5248),
    [anon_sym_BSLASHpi] = ACTIONS(5248),
    [anon_sym_BSLASHmi] = ACTIONS(5248),
    [anon_sym_BSLASHnb] = ACTIONS(5248),
    [anon_sym_BSLASHpc] = ACTIONS(5248),
    [anon_sym_BSLASHph] = ACTIONS(5248),
    [anon_sym_BSLASHb] = ACTIONS(5248),
    [anon_sym_BSLASHq] = ACTIONS(5248),
    [anon_sym_BSLASHqr] = ACTIONS(5248),
    [anon_sym_BSLASHqc] = ACTIONS(5248),
    [anon_sym_BSLASHqa] = ACTIONS(5248),
    [anon_sym_BSLASHqm] = ACTIONS(5248),
    [anon_sym_BSLASHqd] = ACTIONS(5248),
    [anon_sym_BSLASHlh] = ACTIONS(5248),
    [anon_sym_BSLASHlf] = ACTIONS(5248),
    [anon_sym_BSLASHli] = ACTIONS(5248),
    [anon_sym_BSLASHlim] = ACTIONS(5248),
    [anon_sym_BSLASHliv] = ACTIONS(5248),
    [anon_sym_BSLASHlik] = ACTIONS(5248),
    [anon_sym_BSLASHlitl] = ACTIONS(5248),
    [anon_sym_BSLASHtr] = ACTIONS(5248),
    [anon_sym_BSLASHf] = ACTIONS(5248),
    [anon_sym_BSLASHfe] = ACTIONS(5248),
    [anon_sym_BSLASHef] = ACTIONS(5248),
    [anon_sym_BSLASHfm] = ACTIONS(5248),
    [anon_sym_BSLASHx] = ACTIONS(5248),
    [anon_sym_BSLASHxt] = ACTIONS(5248),
    [anon_sym_BSLASHrq] = ACTIONS(5248),
    [anon_sym_BSLASHadd] = ACTIONS(5248),
    [anon_sym_BSLASHbk] = ACTIONS(5248),
    [anon_sym_BSLASHdc] = ACTIONS(5248),
    [anon_sym_BSLASHk] = ACTIONS(5248),
    [anon_sym_BSLASHnd] = ACTIONS(5248),
    [anon_sym_BSLASHord] = ACTIONS(5248),
    [anon_sym_BSLASHpn] = ACTIONS(5248),
    [anon_sym_BSLASHpng] = ACTIONS(5248),
    [anon_sym_BSLASHaddpn] = ACTIONS(5248),
    [anon_sym_BSLASHqt] = ACTIONS(5248),
    [anon_sym_BSLASHsig] = ACTIONS(5248),
    [anon_sym_BSLASHsls] = ACTIONS(5248),
    [anon_sym_BSLASHtl] = ACTIONS(5248),
    [anon_sym_BSLASHwj] = ACTIONS(5248),
    [anon_sym_BSLASHem] = ACTIONS(5248),
    [anon_sym_BSLASHbd] = ACTIONS(5248),
    [anon_sym_BSLASHit] = ACTIONS(5248),
    [anon_sym_BSLASHbdit] = ACTIONS(5248),
    [anon_sym_BSLASHno] = ACTIONS(5248),
    [anon_sym_BSLASHsc] = ACTIONS(5248),
    [anon_sym_BSLASHsup] = ACTIONS(5248),
    [anon_sym_BSLASHndx] = ACTIONS(5248),
    [anon_sym_BSLASHpro] = ACTIONS(5248),
    [anon_sym_BSLASHrb] = ACTIONS(5248),
    [anon_sym_BSLASHw] = ACTIONS(5248),
    [anon_sym_BSLASHwg] = ACTIONS(5248),
    [anon_sym_BSLASHwh] = ACTIONS(5248),
    [anon_sym_BSLASHwa] = ACTIONS(5248),
    [anon_sym_BSLASHfig] = ACTIONS(5248),
    [anon_sym_BSLASHjmp] = ACTIONS(5248),
    [anon_sym_BSLASHpb] = ACTIONS(5248),
    [anon_sym_BSLASH] = ACTIONS(5248),
    [sym_milestoneStartTag] = ACTIONS(5248),
    [sym_milestoneEndTag] = ACTIONS(5248),
    [sym_zSpaceTag] = ACTIONS(5248),
    [anon_sym_BSLASHesbe] = ACTIONS(5248),
    [anon_sym_BSLASHcat] = ACTIONS(5248),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(2623),
    [aux_sym_text_token1] = ACTIONS(2623),
    [anon_sym_BSLASHref] = ACTIONS(2625),
    [anon_sym_BSLASHsts] = ACTIONS(2625),
    [anon_sym_BSLASHrem] = ACTIONS(2625),
    [anon_sym_BSLASHrestore] = ACTIONS(2625),
    [anon_sym_BSLASHlit] = ACTIONS(2625),
    [anon_sym_BSLASHip] = ACTIONS(2625),
    [anon_sym_BSLASHiex] = ACTIONS(2625),
    [anon_sym_BSLASHv] = ACTIONS(2625),
    [anon_sym_BSLASHva] = ACTIONS(2625),
    [anon_sym_BSLASHvp] = ACTIONS(2625),
    [anon_sym_BSLASHc] = ACTIONS(2625),
    [anon_sym_BSLASHcl] = ACTIONS(2625),
    [anon_sym_BSLASHca] = ACTIONS(2625),
    [anon_sym_BSLASHcp] = ACTIONS(2625),
    [anon_sym_BSLASHcd] = ACTIONS(2625),
    [anon_sym_BSLASHmte] = ACTIONS(2625),
    [anon_sym_BSLASHms] = ACTIONS(2625),
    [anon_sym_BSLASHs] = ACTIONS(2625),
    [anon_sym_BSLASHr] = ACTIONS(2625),
    [anon_sym_BSLASHsp] = ACTIONS(2625),
    [anon_sym_BSLASHd] = ACTIONS(2625),
    [anon_sym_BSLASHsd] = ACTIONS(2625),
    [anon_sym_BSLASHp] = ACTIONS(2625),
    [anon_sym_BSLASHm] = ACTIONS(2625),
    [anon_sym_BSLASHpo] = ACTIONS(2625),
    [anon_sym_BSLASHpr] = ACTIONS(2625),
    [anon_sym_BSLASHcls] = ACTIONS(2625),
    [anon_sym_BSLASHpmo] = ACTIONS(2625),
    [anon_sym_BSLASHpm] = ACTIONS(2625),
    [anon_sym_BSLASHpmc] = ACTIONS(2625),
    [anon_sym_BSLASHpmr] = ACTIONS(2625),
    [anon_sym_BSLASHpi] = ACTIONS(2625),
    [anon_sym_BSLASHmi] = ACTIONS(2625),
    [anon_sym_BSLASHnb] = ACTIONS(2625),
    [anon_sym_BSLASHpc] = ACTIONS(2625),
    [anon_sym_BSLASHph] = ACTIONS(2625),
    [anon_sym_BSLASHb] = ACTIONS(2625),
    [anon_sym_BSLASHq] = ACTIONS(2625),
    [anon_sym_BSLASHqr] = ACTIONS(2625),
    [anon_sym_BSLASHqc] = ACTIONS(2625),
    [anon_sym_BSLASHqs] = ACTIONS(2625),
    [anon_sym_BSLASHqa] = ACTIONS(2625),
    [anon_sym_BSLASHqac] = ACTIONS(2625),
    [anon_sym_BSLASHqm] = ACTIONS(2625),
    [anon_sym_BSLASHqd] = ACTIONS(2625),
    [anon_sym_BSLASHlh] = ACTIONS(2625),
    [anon_sym_BSLASHli] = ACTIONS(2625),
    [anon_sym_BSLASHlim] = ACTIONS(2625),
    [anon_sym_BSLASHtr] = ACTIONS(2625),
    [anon_sym_BSLASHf] = ACTIONS(2625),
    [anon_sym_BSLASHfe] = ACTIONS(2625),
    [anon_sym_BSLASHef] = ACTIONS(2625),
    [anon_sym_BSLASHfm] = ACTIONS(2625),
    [anon_sym_BSLASHx] = ACTIONS(2625),
    [anon_sym_BSLASHxt] = ACTIONS(2625),
    [anon_sym_BSLASHrq] = ACTIONS(2625),
    [anon_sym_BSLASHadd] = ACTIONS(2625),
    [anon_sym_BSLASHbk] = ACTIONS(2625),
    [anon_sym_BSLASHdc] = ACTIONS(2625),
    [anon_sym_BSLASHk] = ACTIONS(2625),
    [anon_sym_BSLASHnd] = ACTIONS(2625),
    [anon_sym_BSLASHord] = ACTIONS(2625),
    [anon_sym_BSLASHpn] = ACTIONS(2625),
    [anon_sym_BSLASHpng] = ACTIONS(2625),
    [anon_sym_BSLASHaddpn] = ACTIONS(2625),
    [anon_sym_BSLASHqt] = ACTIONS(2625),
    [anon_sym_BSLASHsig] = ACTIONS(2625),
    [anon_sym_BSLASHsls] = ACTIONS(2625),
    [anon_sym_BSLASHtl] = ACTIONS(2625),
    [anon_sym_BSLASHwj] = ACTIONS(2625),
    [anon_sym_BSLASHem] = ACTIONS(2625),
    [anon_sym_BSLASHbd] = ACTIONS(2625),
    [anon_sym_BSLASHit] = ACTIONS(2625),
    [anon_sym_BSLASHbdit] = ACTIONS(2625),
    [anon_sym_BSLASHno] = ACTIONS(2625),
    [anon_sym_BSLASHsc] = ACTIONS(2625),
    [anon_sym_BSLASHsup] = ACTIONS(2625),
    [anon_sym_BSLASHndx] = ACTIONS(2625),
    [anon_sym_BSLASHpro] = ACTIONS(2625),
    [anon_sym_BSLASHrb] = ACTIONS(2625),
    [anon_sym_BSLASHw] = ACTIONS(2625),
    [anon_sym_BSLASHwg] = ACTIONS(2625),
    [anon_sym_BSLASHwh] = ACTIONS(2625),
    [anon_sym_BSLASHwa] = ACTIONS(2625),
    [anon_sym_BSLASHfig] = ACTIONS(2625),
    [anon_sym_BSLASHjmp] = ACTIONS(2625),
    [anon_sym_BSLASHpb] = ACTIONS(2625),
    [anon_sym_BSLASH] = ACTIONS(2625),
    [sym_milestoneStartTag] = ACTIONS(2625),
    [sym_milestoneEndTag] = ACTIONS(2625),
    [sym_zSpaceTag] = ACTIONS(2625),
    [anon_sym_BSLASHesb] = ACTIONS(2625),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(450),
    [aux_sym_text_token1] = ACTIONS(450),
    [anon_sym_BSLASHref] = ACTIONS(452),
    [anon_sym_BSLASHsts] = ACTIONS(452),
    [anon_sym_BSLASHrem] = ACTIONS(452),
    [anon_sym_BSLASHrestore] = ACTIONS(452),
    [anon_sym_BSLASHlit] = ACTIONS(452),
    [anon_sym_BSLASHip] = ACTIONS(452),
    [anon_sym_BSLASHiex] = ACTIONS(452),
    [anon_sym_BSLASHv] = ACTIONS(452),
    [anon_sym_BSLASHva] = ACTIONS(452),
    [anon_sym_BSLASHvp] = ACTIONS(452),
    [anon_sym_BSLASHc] = ACTIONS(452),
    [anon_sym_BSLASHcl] = ACTIONS(452),
    [anon_sym_BSLASHca] = ACTIONS(452),
    [anon_sym_BSLASHcp] = ACTIONS(452),
    [anon_sym_BSLASHcd] = ACTIONS(452),
    [anon_sym_BSLASHmte] = ACTIONS(452),
    [anon_sym_BSLASHms] = ACTIONS(452),
    [anon_sym_BSLASHs] = ACTIONS(452),
    [anon_sym_BSLASHr] = ACTIONS(452),
    [anon_sym_BSLASHsp] = ACTIONS(452),
    [anon_sym_BSLASHd] = ACTIONS(452),
    [anon_sym_BSLASHsd] = ACTIONS(452),
    [anon_sym_BSLASHp] = ACTIONS(452),
    [anon_sym_BSLASHm] = ACTIONS(452),
    [anon_sym_BSLASHpo] = ACTIONS(452),
    [anon_sym_BSLASHpr] = ACTIONS(452),
    [anon_sym_BSLASHcls] = ACTIONS(452),
    [anon_sym_BSLASHpmo] = ACTIONS(452),
    [anon_sym_BSLASHpm] = ACTIONS(452),
    [anon_sym_BSLASHpmc] = ACTIONS(452),
    [anon_sym_BSLASHpmr] = ACTIONS(452),
    [anon_sym_BSLASHpi] = ACTIONS(452),
    [anon_sym_BSLASHmi] = ACTIONS(452),
    [anon_sym_BSLASHnb] = ACTIONS(452),
    [anon_sym_BSLASHpc] = ACTIONS(452),
    [anon_sym_BSLASHph] = ACTIONS(452),
    [anon_sym_BSLASHb] = ACTIONS(452),
    [anon_sym_BSLASHq] = ACTIONS(452),
    [anon_sym_BSLASHqr] = ACTIONS(452),
    [anon_sym_BSLASHqc] = ACTIONS(452),
    [anon_sym_BSLASHqs] = ACTIONS(452),
    [anon_sym_BSLASHqa] = ACTIONS(452),
    [anon_sym_BSLASHqac] = ACTIONS(452),
    [anon_sym_BSLASHqm] = ACTIONS(452),
    [anon_sym_BSLASHqd] = ACTIONS(452),
    [anon_sym_BSLASHlh] = ACTIONS(452),
    [anon_sym_BSLASHli] = ACTIONS(452),
    [anon_sym_BSLASHlim] = ACTIONS(452),
    [anon_sym_BSLASHtr] = ACTIONS(452),
    [anon_sym_BSLASHf] = ACTIONS(452),
    [anon_sym_BSLASHfe] = ACTIONS(452),
    [anon_sym_BSLASHef] = ACTIONS(452),
    [anon_sym_BSLASHfm] = ACTIONS(452),
    [anon_sym_BSLASHx] = ACTIONS(452),
    [anon_sym_BSLASHxt] = ACTIONS(452),
    [anon_sym_BSLASHrq] = ACTIONS(452),
    [anon_sym_BSLASHadd] = ACTIONS(452),
    [anon_sym_BSLASHbk] = ACTIONS(452),
    [anon_sym_BSLASHdc] = ACTIONS(452),
    [anon_sym_BSLASHk] = ACTIONS(452),
    [anon_sym_BSLASHnd] = ACTIONS(452),
    [anon_sym_BSLASHord] = ACTIONS(452),
    [anon_sym_BSLASHpn] = ACTIONS(452),
    [anon_sym_BSLASHpng] = ACTIONS(452),
    [anon_sym_BSLASHaddpn] = ACTIONS(452),
    [anon_sym_BSLASHqt] = ACTIONS(452),
    [anon_sym_BSLASHsig] = ACTIONS(452),
    [anon_sym_BSLASHsls] = ACTIONS(452),
    [anon_sym_BSLASHtl] = ACTIONS(452),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(452),
    [anon_sym_BSLASHbd] = ACTIONS(452),
    [anon_sym_BSLASHit] = ACTIONS(452),
    [anon_sym_BSLASHbdit] = ACTIONS(452),
    [anon_sym_BSLASHno] = ACTIONS(452),
    [anon_sym_BSLASHsc] = ACTIONS(452),
    [anon_sym_BSLASHsup] = ACTIONS(452),
    [anon_sym_BSLASHndx] = ACTIONS(452),
    [anon_sym_BSLASHpro] = ACTIONS(452),
    [anon_sym_BSLASHrb] = ACTIONS(452),
    [anon_sym_BSLASHw] = ACTIONS(452),
    [anon_sym_BSLASHwg] = ACTIONS(452),
    [anon_sym_BSLASHwh] = ACTIONS(452),
    [anon_sym_BSLASHwa] = ACTIONS(452),
    [anon_sym_BSLASHfig] = ACTIONS(452),
    [anon_sym_BSLASHjmp] = ACTIONS(452),
    [anon_sym_BSLASHpb] = ACTIONS(452),
    [anon_sym_BSLASH] = ACTIONS(452),
    [sym_milestoneStartTag] = ACTIONS(452),
    [sym_milestoneEndTag] = ACTIONS(452),
    [sym_zSpaceTag] = ACTIONS(452),
    [anon_sym_BSLASHesb] = ACTIONS(452),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(2735),
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHref] = ACTIONS(2737),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHiex] = ACTIONS(2737),
    [anon_sym_BSLASHv] = ACTIONS(2737),
    [anon_sym_BSLASHva] = ACTIONS(2737),
    [anon_sym_BSLASHvp] = ACTIONS(2737),
    [anon_sym_BSLASHc] = ACTIONS(2737),
    [anon_sym_BSLASHcl] = ACTIONS(2737),
    [anon_sym_BSLASHca] = ACTIONS(2737),
    [anon_sym_BSLASHcp] = ACTIONS(2737),
    [anon_sym_BSLASHcd] = ACTIONS(2737),
    [anon_sym_BSLASHmte] = ACTIONS(2737),
    [anon_sym_BSLASHms] = ACTIONS(2737),
    [anon_sym_BSLASHs] = ACTIONS(2737),
    [anon_sym_BSLASHr] = ACTIONS(2737),
    [anon_sym_BSLASHsp] = ACTIONS(2737),
    [anon_sym_BSLASHd] = ACTIONS(2737),
    [anon_sym_BSLASHsd] = ACTIONS(2737),
    [anon_sym_BSLASHp] = ACTIONS(2737),
    [anon_sym_BSLASHm] = ACTIONS(2737),
    [anon_sym_BSLASHpo] = ACTIONS(2737),
    [anon_sym_BSLASHpr] = ACTIONS(2737),
    [anon_sym_BSLASHcls] = ACTIONS(2737),
    [anon_sym_BSLASHpmo] = ACTIONS(2737),
    [anon_sym_BSLASHpm] = ACTIONS(2737),
    [anon_sym_BSLASHpmc] = ACTIONS(2737),
    [anon_sym_BSLASHpmr] = ACTIONS(2737),
    [anon_sym_BSLASHpi] = ACTIONS(2737),
    [anon_sym_BSLASHmi] = ACTIONS(2737),
    [anon_sym_BSLASHnb] = ACTIONS(2737),
    [anon_sym_BSLASHpc] = ACTIONS(2737),
    [anon_sym_BSLASHph] = ACTIONS(2737),
    [anon_sym_BSLASHb] = ACTIONS(2737),
    [anon_sym_BSLASHq] = ACTIONS(2737),
    [anon_sym_BSLASHqr] = ACTIONS(2737),
    [anon_sym_BSLASHqc] = ACTIONS(2737),
    [anon_sym_BSLASHqs] = ACTIONS(2737),
    [anon_sym_BSLASHqa] = ACTIONS(2737),
    [anon_sym_BSLASHqac] = ACTIONS(2737),
    [anon_sym_BSLASHqm] = ACTIONS(2737),
    [anon_sym_BSLASHqd] = ACTIONS(2737),
    [anon_sym_BSLASHlh] = ACTIONS(2737),
    [anon_sym_BSLASHli] = ACTIONS(2737),
    [anon_sym_BSLASHlim] = ACTIONS(2737),
    [anon_sym_BSLASHtr] = ACTIONS(2737),
    [anon_sym_BSLASHf] = ACTIONS(2737),
    [anon_sym_BSLASHfe] = ACTIONS(2737),
    [anon_sym_BSLASHef] = ACTIONS(2737),
    [anon_sym_BSLASHfm] = ACTIONS(2737),
    [anon_sym_BSLASHx] = ACTIONS(2737),
    [anon_sym_BSLASHxt] = ACTIONS(2737),
    [anon_sym_BSLASHrq] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASHfig] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASHpb] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesb] = ACTIONS(2737),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(2747),
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHref] = ACTIONS(2749),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHiex] = ACTIONS(2749),
    [anon_sym_BSLASHv] = ACTIONS(2749),
    [anon_sym_BSLASHva] = ACTIONS(2749),
    [anon_sym_BSLASHvp] = ACTIONS(2749),
    [anon_sym_BSLASHc] = ACTIONS(2749),
    [anon_sym_BSLASHcl] = ACTIONS(2749),
    [anon_sym_BSLASHca] = ACTIONS(2749),
    [anon_sym_BSLASHcp] = ACTIONS(2749),
    [anon_sym_BSLASHcd] = ACTIONS(2749),
    [anon_sym_BSLASHmte] = ACTIONS(2749),
    [anon_sym_BSLASHms] = ACTIONS(2749),
    [anon_sym_BSLASHs] = ACTIONS(2749),
    [anon_sym_BSLASHr] = ACTIONS(2749),
    [anon_sym_BSLASHsp] = ACTIONS(2749),
    [anon_sym_BSLASHd] = ACTIONS(2749),
    [anon_sym_BSLASHsd] = ACTIONS(2749),
    [anon_sym_BSLASHp] = ACTIONS(2749),
    [anon_sym_BSLASHm] = ACTIONS(2749),
    [anon_sym_BSLASHpo] = ACTIONS(2749),
    [anon_sym_BSLASHpr] = ACTIONS(2749),
    [anon_sym_BSLASHcls] = ACTIONS(2749),
    [anon_sym_BSLASHpmo] = ACTIONS(2749),
    [anon_sym_BSLASHpm] = ACTIONS(2749),
    [anon_sym_BSLASHpmc] = ACTIONS(2749),
    [anon_sym_BSLASHpmr] = ACTIONS(2749),
    [anon_sym_BSLASHpi] = ACTIONS(2749),
    [anon_sym_BSLASHmi] = ACTIONS(2749),
    [anon_sym_BSLASHnb] = ACTIONS(2749),
    [anon_sym_BSLASHpc] = ACTIONS(2749),
    [anon_sym_BSLASHph] = ACTIONS(2749),
    [anon_sym_BSLASHb] = ACTIONS(2749),
    [anon_sym_BSLASHq] = ACTIONS(2749),
    [anon_sym_BSLASHqr] = ACTIONS(2749),
    [anon_sym_BSLASHqc] = ACTIONS(2749),
    [anon_sym_BSLASHqs] = ACTIONS(2749),
    [anon_sym_BSLASHqa] = ACTIONS(2749),
    [anon_sym_BSLASHqac] = ACTIONS(2749),
    [anon_sym_BSLASHqm] = ACTIONS(2749),
    [anon_sym_BSLASHqd] = ACTIONS(2749),
    [anon_sym_BSLASHlh] = ACTIONS(2749),
    [anon_sym_BSLASHli] = ACTIONS(2749),
    [anon_sym_BSLASHlim] = ACTIONS(2749),
    [anon_sym_BSLASHtr] = ACTIONS(2749),
    [anon_sym_BSLASHf] = ACTIONS(2749),
    [anon_sym_BSLASHfe] = ACTIONS(2749),
    [anon_sym_BSLASHef] = ACTIONS(2749),
    [anon_sym_BSLASHfm] = ACTIONS(2749),
    [anon_sym_BSLASHx] = ACTIONS(2749),
    [anon_sym_BSLASHxt] = ACTIONS(2749),
    [anon_sym_BSLASHrq] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASHfig] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASHpb] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesb] = ACTIONS(2749),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(2731),
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHref] = ACTIONS(2733),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHiex] = ACTIONS(2733),
    [anon_sym_BSLASHv] = ACTIONS(2733),
    [anon_sym_BSLASHva] = ACTIONS(2733),
    [anon_sym_BSLASHvp] = ACTIONS(2733),
    [anon_sym_BSLASHc] = ACTIONS(2733),
    [anon_sym_BSLASHcl] = ACTIONS(2733),
    [anon_sym_BSLASHca] = ACTIONS(2733),
    [anon_sym_BSLASHcp] = ACTIONS(2733),
    [anon_sym_BSLASHcd] = ACTIONS(2733),
    [anon_sym_BSLASHmte] = ACTIONS(2733),
    [anon_sym_BSLASHms] = ACTIONS(2733),
    [anon_sym_BSLASHs] = ACTIONS(2733),
    [anon_sym_BSLASHr] = ACTIONS(2733),
    [anon_sym_BSLASHsp] = ACTIONS(2733),
    [anon_sym_BSLASHd] = ACTIONS(2733),
    [anon_sym_BSLASHsd] = ACTIONS(2733),
    [anon_sym_BSLASHp] = ACTIONS(2733),
    [anon_sym_BSLASHm] = ACTIONS(2733),
    [anon_sym_BSLASHpo] = ACTIONS(2733),
    [anon_sym_BSLASHpr] = ACTIONS(2733),
    [anon_sym_BSLASHcls] = ACTIONS(2733),
    [anon_sym_BSLASHpmo] = ACTIONS(2733),
    [anon_sym_BSLASHpm] = ACTIONS(2733),
    [anon_sym_BSLASHpmc] = ACTIONS(2733),
    [anon_sym_BSLASHpmr] = ACTIONS(2733),
    [anon_sym_BSLASHpi] = ACTIONS(2733),
    [anon_sym_BSLASHmi] = ACTIONS(2733),
    [anon_sym_BSLASHnb] = ACTIONS(2733),
    [anon_sym_BSLASHpc] = ACTIONS(2733),
    [anon_sym_BSLASHph] = ACTIONS(2733),
    [anon_sym_BSLASHb] = ACTIONS(2733),
    [anon_sym_BSLASHq] = ACTIONS(2733),
    [anon_sym_BSLASHqr] = ACTIONS(2733),
    [anon_sym_BSLASHqc] = ACTIONS(2733),
    [anon_sym_BSLASHqs] = ACTIONS(2733),
    [anon_sym_BSLASHqa] = ACTIONS(2733),
    [anon_sym_BSLASHqac] = ACTIONS(2733),
    [anon_sym_BSLASHqm] = ACTIONS(2733),
    [anon_sym_BSLASHqd] = ACTIONS(2733),
    [anon_sym_BSLASHlh] = ACTIONS(2733),
    [anon_sym_BSLASHli] = ACTIONS(2733),
    [anon_sym_BSLASHlim] = ACTIONS(2733),
    [anon_sym_BSLASHtr] = ACTIONS(2733),
    [anon_sym_BSLASHf] = ACTIONS(2733),
    [anon_sym_BSLASHfe] = ACTIONS(2733),
    [anon_sym_BSLASHef] = ACTIONS(2733),
    [anon_sym_BSLASHfm] = ACTIONS(2733),
    [anon_sym_BSLASHx] = ACTIONS(2733),
    [anon_sym_BSLASHxt] = ACTIONS(2733),
    [anon_sym_BSLASHrq] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASHfig] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASHpb] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesb] = ACTIONS(2733),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(5484),
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHsts] = ACTIONS(5486),
    [anon_sym_BSLASHrem] = ACTIONS(5486),
    [anon_sym_BSLASHrestore] = ACTIONS(5486),
    [anon_sym_BSLASHlit] = ACTIONS(5486),
    [anon_sym_BSLASHip] = ACTIONS(5486),
    [anon_sym_BSLASHiex] = ACTIONS(5486),
    [anon_sym_BSLASHv] = ACTIONS(5486),
    [anon_sym_BSLASHva] = ACTIONS(5486),
    [anon_sym_BSLASHvp] = ACTIONS(5486),
    [anon_sym_BSLASHc] = ACTIONS(5486),
    [anon_sym_BSLASHcl] = ACTIONS(5486),
    [anon_sym_BSLASHca] = ACTIONS(5486),
    [anon_sym_BSLASHcp] = ACTIONS(5486),
    [anon_sym_BSLASHcd] = ACTIONS(5486),
    [anon_sym_BSLASHmte] = ACTIONS(5486),
    [anon_sym_BSLASHms] = ACTIONS(5486),
    [anon_sym_BSLASHs] = ACTIONS(5486),
    [anon_sym_BSLASHr] = ACTIONS(5486),
    [anon_sym_BSLASHsp] = ACTIONS(5486),
    [anon_sym_BSLASHd] = ACTIONS(5486),
    [anon_sym_BSLASHsd] = ACTIONS(5486),
    [anon_sym_BSLASHp] = ACTIONS(5486),
    [anon_sym_BSLASHm] = ACTIONS(5486),
    [anon_sym_BSLASHpo] = ACTIONS(5486),
    [anon_sym_BSLASHpr] = ACTIONS(5486),
    [anon_sym_BSLASHcls] = ACTIONS(5486),
    [anon_sym_BSLASHpmo] = ACTIONS(5486),
    [anon_sym_BSLASHpm] = ACTIONS(5486),
    [anon_sym_BSLASHpmc] = ACTIONS(5486),
    [anon_sym_BSLASHpmr] = ACTIONS(5486),
    [anon_sym_BSLASHpi] = ACTIONS(5486),
    [anon_sym_BSLASHmi] = ACTIONS(5486),
    [anon_sym_BSLASHnb] = ACTIONS(5486),
    [anon_sym_BSLASHpc] = ACTIONS(5486),
    [anon_sym_BSLASHph] = ACTIONS(5486),
    [anon_sym_BSLASHb] = ACTIONS(5486),
    [anon_sym_BSLASHq] = ACTIONS(5486),
    [anon_sym_BSLASHqr] = ACTIONS(5486),
    [anon_sym_BSLASHqc] = ACTIONS(5486),
    [anon_sym_BSLASHqs] = ACTIONS(5486),
    [anon_sym_BSLASHqa] = ACTIONS(5486),
    [anon_sym_BSLASHqac] = ACTIONS(5486),
    [anon_sym_BSLASHqm] = ACTIONS(5486),
    [anon_sym_BSLASHqd] = ACTIONS(5486),
    [anon_sym_BSLASHlh] = ACTIONS(5486),
    [anon_sym_BSLASHli] = ACTIONS(5486),
    [anon_sym_BSLASHlim] = ACTIONS(5486),
    [anon_sym_BSLASHtr] = ACTIONS(5486),
    [anon_sym_BSLASHf] = ACTIONS(5486),
    [anon_sym_BSLASHfe] = ACTIONS(5486),
    [anon_sym_BSLASHef] = ACTIONS(5486),
    [anon_sym_BSLASHfm] = ACTIONS(5486),
    [anon_sym_BSLASHx] = ACTIONS(5486),
    [anon_sym_BSLASHxt] = ACTIONS(5486),
    [anon_sym_BSLASHrq] = ACTIONS(5486),
    [anon_sym_BSLASHadd] = ACTIONS(5486),
    [anon_sym_BSLASHbk] = ACTIONS(5486),
    [anon_sym_BSLASHdc] = ACTIONS(5486),
    [anon_sym_BSLASHk] = ACTIONS(5486),
    [anon_sym_BSLASHnd] = ACTIONS(5486),
    [anon_sym_BSLASHord] = ACTIONS(5486),
    [anon_sym_BSLASHpn] = ACTIONS(5486),
    [anon_sym_BSLASHpng] = ACTIONS(5486),
    [anon_sym_BSLASHaddpn] = ACTIONS(5486),
    [anon_sym_BSLASHqt] = ACTIONS(5486),
    [anon_sym_BSLASHsig] = ACTIONS(5486),
    [anon_sym_BSLASHsls] = ACTIONS(5486),
    [anon_sym_BSLASHtl] = ACTIONS(5486),
    [anon_sym_BSLASHwj] = ACTIONS(5486),
    [anon_sym_BSLASHem] = ACTIONS(5486),
    [anon_sym_BSLASHbd] = ACTIONS(5486),
    [anon_sym_BSLASHit] = ACTIONS(5486),
    [anon_sym_BSLASHbdit] = ACTIONS(5486),
    [anon_sym_BSLASHno] = ACTIONS(5486),
    [anon_sym_BSLASHsc] = ACTIONS(5486),
    [anon_sym_BSLASHsup] = ACTIONS(5486),
    [anon_sym_BSLASHndx] = ACTIONS(5486),
    [anon_sym_BSLASHpro] = ACTIONS(5486),
    [anon_sym_BSLASHrb] = ACTIONS(5486),
    [anon_sym_BSLASHw] = ACTIONS(5486),
    [anon_sym_BSLASHwg] = ACTIONS(5486),
    [anon_sym_BSLASHwh] = ACTIONS(5486),
    [anon_sym_BSLASHwa] = ACTIONS(5486),
    [anon_sym_BSLASHfig] = ACTIONS(5486),
    [anon_sym_BSLASHjmp] = ACTIONS(5486),
    [anon_sym_BSLASHpb] = ACTIONS(5486),
    [anon_sym_BSLASH] = ACTIONS(5486),
    [sym_milestoneStartTag] = ACTIONS(5486),
    [sym_milestoneEndTag] = ACTIONS(5486),
    [sym_zSpaceTag] = ACTIONS(5486),
    [anon_sym_BSLASHesb] = ACTIONS(5486),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(2715),
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHref] = ACTIONS(2717),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHiex] = ACTIONS(2717),
    [anon_sym_BSLASHv] = ACTIONS(2717),
    [anon_sym_BSLASHva] = ACTIONS(2717),
    [anon_sym_BSLASHvp] = ACTIONS(2717),
    [anon_sym_BSLASHc] = ACTIONS(2717),
    [anon_sym_BSLASHcl] = ACTIONS(2717),
    [anon_sym_BSLASHca] = ACTIONS(2717),
    [anon_sym_BSLASHcp] = ACTIONS(2717),
    [anon_sym_BSLASHcd] = ACTIONS(2717),
    [anon_sym_BSLASHmte] = ACTIONS(2717),
    [anon_sym_BSLASHms] = ACTIONS(2717),
    [anon_sym_BSLASHs] = ACTIONS(2717),
    [anon_sym_BSLASHr] = ACTIONS(2717),
    [anon_sym_BSLASHsp] = ACTIONS(2717),
    [anon_sym_BSLASHd] = ACTIONS(2717),
    [anon_sym_BSLASHsd] = ACTIONS(2717),
    [anon_sym_BSLASHp] = ACTIONS(2717),
    [anon_sym_BSLASHm] = ACTIONS(2717),
    [anon_sym_BSLASHpo] = ACTIONS(2717),
    [anon_sym_BSLASHpr] = ACTIONS(2717),
    [anon_sym_BSLASHcls] = ACTIONS(2717),
    [anon_sym_BSLASHpmo] = ACTIONS(2717),
    [anon_sym_BSLASHpm] = ACTIONS(2717),
    [anon_sym_BSLASHpmc] = ACTIONS(2717),
    [anon_sym_BSLASHpmr] = ACTIONS(2717),
    [anon_sym_BSLASHpi] = ACTIONS(2717),
    [anon_sym_BSLASHmi] = ACTIONS(2717),
    [anon_sym_BSLASHnb] = ACTIONS(2717),
    [anon_sym_BSLASHpc] = ACTIONS(2717),
    [anon_sym_BSLASHph] = ACTIONS(2717),
    [anon_sym_BSLASHb] = ACTIONS(2717),
    [anon_sym_BSLASHq] = ACTIONS(2717),
    [anon_sym_BSLASHqr] = ACTIONS(2717),
    [anon_sym_BSLASHqc] = ACTIONS(2717),
    [anon_sym_BSLASHqs] = ACTIONS(2717),
    [anon_sym_BSLASHqa] = ACTIONS(2717),
    [anon_sym_BSLASHqac] = ACTIONS(2717),
    [anon_sym_BSLASHqm] = ACTIONS(2717),
    [anon_sym_BSLASHqd] = ACTIONS(2717),
    [anon_sym_BSLASHlh] = ACTIONS(2717),
    [anon_sym_BSLASHli] = ACTIONS(2717),
    [anon_sym_BSLASHlim] = ACTIONS(2717),
    [anon_sym_BSLASHtr] = ACTIONS(2717),
    [anon_sym_BSLASHf] = ACTIONS(2717),
    [anon_sym_BSLASHfe] = ACTIONS(2717),
    [anon_sym_BSLASHef] = ACTIONS(2717),
    [anon_sym_BSLASHfm] = ACTIONS(2717),
    [anon_sym_BSLASHx] = ACTIONS(2717),
    [anon_sym_BSLASHxt] = ACTIONS(2717),
    [anon_sym_BSLASHrq] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASHfig] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASHpb] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesb] = ACTIONS(2717),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(2683),
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHref] = ACTIONS(2685),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHiex] = ACTIONS(2685),
    [anon_sym_BSLASHv] = ACTIONS(2685),
    [anon_sym_BSLASHva] = ACTIONS(2685),
    [anon_sym_BSLASHvp] = ACTIONS(2685),
    [anon_sym_BSLASHc] = ACTIONS(2685),
    [anon_sym_BSLASHcl] = ACTIONS(2685),
    [anon_sym_BSLASHca] = ACTIONS(2685),
    [anon_sym_BSLASHcp] = ACTIONS(2685),
    [anon_sym_BSLASHcd] = ACTIONS(2685),
    [anon_sym_BSLASHmte] = ACTIONS(2685),
    [anon_sym_BSLASHms] = ACTIONS(2685),
    [anon_sym_BSLASHs] = ACTIONS(2685),
    [anon_sym_BSLASHr] = ACTIONS(2685),
    [anon_sym_BSLASHsp] = ACTIONS(2685),
    [anon_sym_BSLASHd] = ACTIONS(2685),
    [anon_sym_BSLASHsd] = ACTIONS(2685),
    [anon_sym_BSLASHp] = ACTIONS(2685),
    [anon_sym_BSLASHm] = ACTIONS(2685),
    [anon_sym_BSLASHpo] = ACTIONS(2685),
    [anon_sym_BSLASHpr] = ACTIONS(2685),
    [anon_sym_BSLASHcls] = ACTIONS(2685),
    [anon_sym_BSLASHpmo] = ACTIONS(2685),
    [anon_sym_BSLASHpm] = ACTIONS(2685),
    [anon_sym_BSLASHpmc] = ACTIONS(2685),
    [anon_sym_BSLASHpmr] = ACTIONS(2685),
    [anon_sym_BSLASHpi] = ACTIONS(2685),
    [anon_sym_BSLASHmi] = ACTIONS(2685),
    [anon_sym_BSLASHnb] = ACTIONS(2685),
    [anon_sym_BSLASHpc] = ACTIONS(2685),
    [anon_sym_BSLASHph] = ACTIONS(2685),
    [anon_sym_BSLASHb] = ACTIONS(2685),
    [anon_sym_BSLASHq] = ACTIONS(2685),
    [anon_sym_BSLASHqr] = ACTIONS(2685),
    [anon_sym_BSLASHqc] = ACTIONS(2685),
    [anon_sym_BSLASHqs] = ACTIONS(2685),
    [anon_sym_BSLASHqa] = ACTIONS(2685),
    [anon_sym_BSLASHqac] = ACTIONS(2685),
    [anon_sym_BSLASHqm] = ACTIONS(2685),
    [anon_sym_BSLASHqd] = ACTIONS(2685),
    [anon_sym_BSLASHlh] = ACTIONS(2685),
    [anon_sym_BSLASHli] = ACTIONS(2685),
    [anon_sym_BSLASHlim] = ACTIONS(2685),
    [anon_sym_BSLASHtr] = ACTIONS(2685),
    [anon_sym_BSLASHf] = ACTIONS(2685),
    [anon_sym_BSLASHfe] = ACTIONS(2685),
    [anon_sym_BSLASHef] = ACTIONS(2685),
    [anon_sym_BSLASHfm] = ACTIONS(2685),
    [anon_sym_BSLASHx] = ACTIONS(2685),
    [anon_sym_BSLASHxt] = ACTIONS(2685),
    [anon_sym_BSLASHrq] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASHfig] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASHpb] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesb] = ACTIONS(2685),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(2639),
    [aux_sym_text_token1] = ACTIONS(2639),
    [anon_sym_BSLASHref] = ACTIONS(2641),
    [anon_sym_BSLASHsts] = ACTIONS(2641),
    [anon_sym_BSLASHrem] = ACTIONS(2641),
    [anon_sym_BSLASHrestore] = ACTIONS(2641),
    [anon_sym_BSLASHlit] = ACTIONS(2641),
    [anon_sym_BSLASHip] = ACTIONS(2641),
    [anon_sym_BSLASHiex] = ACTIONS(2641),
    [anon_sym_BSLASHv] = ACTIONS(2641),
    [anon_sym_BSLASHva] = ACTIONS(2641),
    [anon_sym_BSLASHvp] = ACTIONS(2641),
    [anon_sym_BSLASHc] = ACTIONS(2641),
    [anon_sym_BSLASHcl] = ACTIONS(2641),
    [anon_sym_BSLASHca] = ACTIONS(2641),
    [anon_sym_BSLASHcp] = ACTIONS(2641),
    [anon_sym_BSLASHcd] = ACTIONS(2641),
    [anon_sym_BSLASHmte] = ACTIONS(2641),
    [anon_sym_BSLASHms] = ACTIONS(2641),
    [anon_sym_BSLASHs] = ACTIONS(2641),
    [anon_sym_BSLASHr] = ACTIONS(2641),
    [anon_sym_BSLASHsp] = ACTIONS(2641),
    [anon_sym_BSLASHd] = ACTIONS(2641),
    [anon_sym_BSLASHsd] = ACTIONS(2641),
    [anon_sym_BSLASHp] = ACTIONS(2641),
    [anon_sym_BSLASHm] = ACTIONS(2641),
    [anon_sym_BSLASHpo] = ACTIONS(2641),
    [anon_sym_BSLASHpr] = ACTIONS(2641),
    [anon_sym_BSLASHcls] = ACTIONS(2641),
    [anon_sym_BSLASHpmo] = ACTIONS(2641),
    [anon_sym_BSLASHpm] = ACTIONS(2641),
    [anon_sym_BSLASHpmc] = ACTIONS(2641),
    [anon_sym_BSLASHpmr] = ACTIONS(2641),
    [anon_sym_BSLASHpi] = ACTIONS(2641),
    [anon_sym_BSLASHmi] = ACTIONS(2641),
    [anon_sym_BSLASHnb] = ACTIONS(2641),
    [anon_sym_BSLASHpc] = ACTIONS(2641),
    [anon_sym_BSLASHph] = ACTIONS(2641),
    [anon_sym_BSLASHb] = ACTIONS(2641),
    [anon_sym_BSLASHq] = ACTIONS(2641),
    [anon_sym_BSLASHqr] = ACTIONS(2641),
    [anon_sym_BSLASHqc] = ACTIONS(2641),
    [anon_sym_BSLASHqs] = ACTIONS(2641),
    [anon_sym_BSLASHqa] = ACTIONS(2641),
    [anon_sym_BSLASHqac] = ACTIONS(2641),
    [anon_sym_BSLASHqm] = ACTIONS(2641),
    [anon_sym_BSLASHqd] = ACTIONS(2641),
    [anon_sym_BSLASHlh] = ACTIONS(2641),
    [anon_sym_BSLASHli] = ACTIONS(2641),
    [anon_sym_BSLASHlim] = ACTIONS(2641),
    [anon_sym_BSLASHtr] = ACTIONS(2641),
    [anon_sym_BSLASHf] = ACTIONS(2641),
    [anon_sym_BSLASHfe] = ACTIONS(2641),
    [anon_sym_BSLASHef] = ACTIONS(2641),
    [anon_sym_BSLASHfm] = ACTIONS(2641),
    [anon_sym_BSLASHx] = ACTIONS(2641),
    [anon_sym_BSLASHxt] = ACTIONS(2641),
    [anon_sym_BSLASHrq] = ACTIONS(2641),
    [anon_sym_BSLASHadd] = ACTIONS(2641),
    [anon_sym_BSLASHbk] = ACTIONS(2641),
    [anon_sym_BSLASHdc] = ACTIONS(2641),
    [anon_sym_BSLASHk] = ACTIONS(2641),
    [anon_sym_BSLASHnd] = ACTIONS(2641),
    [anon_sym_BSLASHord] = ACTIONS(2641),
    [anon_sym_BSLASHpn] = ACTIONS(2641),
    [anon_sym_BSLASHpng] = ACTIONS(2641),
    [anon_sym_BSLASHaddpn] = ACTIONS(2641),
    [anon_sym_BSLASHqt] = ACTIONS(2641),
    [anon_sym_BSLASHsig] = ACTIONS(2641),
    [anon_sym_BSLASHsls] = ACTIONS(2641),
    [anon_sym_BSLASHtl] = ACTIONS(2641),
    [anon_sym_BSLASHwj] = ACTIONS(2641),
    [anon_sym_BSLASHem] = ACTIONS(2641),
    [anon_sym_BSLASHbd] = ACTIONS(2641),
    [anon_sym_BSLASHit] = ACTIONS(2641),
    [anon_sym_BSLASHbdit] = ACTIONS(2641),
    [anon_sym_BSLASHno] = ACTIONS(2641),
    [anon_sym_BSLASHsc] = ACTIONS(2641),
    [anon_sym_BSLASHsup] = ACTIONS(2641),
    [anon_sym_BSLASHndx] = ACTIONS(2641),
    [anon_sym_BSLASHpro] = ACTIONS(2641),
    [anon_sym_BSLASHrb] = ACTIONS(2641),
    [anon_sym_BSLASHw] = ACTIONS(2641),
    [anon_sym_BSLASHwg] = ACTIONS(2641),
    [anon_sym_BSLASHwh] = ACTIONS(2641),
    [anon_sym_BSLASHwa] = ACTIONS(2641),
    [anon_sym_BSLASHfig] = ACTIONS(2641),
    [anon_sym_BSLASHjmp] = ACTIONS(2641),
    [anon_sym_BSLASHpb] = ACTIONS(2641),
    [anon_sym_BSLASH] = ACTIONS(2641),
    [sym_milestoneStartTag] = ACTIONS(2641),
    [sym_milestoneEndTag] = ACTIONS(2641),
    [sym_zSpaceTag] = ACTIONS(2641),
    [anon_sym_BSLASHesb] = ACTIONS(2641),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(2727),
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHref] = ACTIONS(2729),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHiex] = ACTIONS(2729),
    [anon_sym_BSLASHv] = ACTIONS(2729),
    [anon_sym_BSLASHva] = ACTIONS(2729),
    [anon_sym_BSLASHvp] = ACTIONS(2729),
    [anon_sym_BSLASHc] = ACTIONS(2729),
    [anon_sym_BSLASHcl] = ACTIONS(2729),
    [anon_sym_BSLASHca] = ACTIONS(2729),
    [anon_sym_BSLASHcp] = ACTIONS(2729),
    [anon_sym_BSLASHcd] = ACTIONS(2729),
    [anon_sym_BSLASHmte] = ACTIONS(2729),
    [anon_sym_BSLASHms] = ACTIONS(2729),
    [anon_sym_BSLASHs] = ACTIONS(2729),
    [anon_sym_BSLASHr] = ACTIONS(2729),
    [anon_sym_BSLASHsp] = ACTIONS(2729),
    [anon_sym_BSLASHd] = ACTIONS(2729),
    [anon_sym_BSLASHsd] = ACTIONS(2729),
    [anon_sym_BSLASHp] = ACTIONS(2729),
    [anon_sym_BSLASHm] = ACTIONS(2729),
    [anon_sym_BSLASHpo] = ACTIONS(2729),
    [anon_sym_BSLASHpr] = ACTIONS(2729),
    [anon_sym_BSLASHcls] = ACTIONS(2729),
    [anon_sym_BSLASHpmo] = ACTIONS(2729),
    [anon_sym_BSLASHpm] = ACTIONS(2729),
    [anon_sym_BSLASHpmc] = ACTIONS(2729),
    [anon_sym_BSLASHpmr] = ACTIONS(2729),
    [anon_sym_BSLASHpi] = ACTIONS(2729),
    [anon_sym_BSLASHmi] = ACTIONS(2729),
    [anon_sym_BSLASHnb] = ACTIONS(2729),
    [anon_sym_BSLASHpc] = ACTIONS(2729),
    [anon_sym_BSLASHph] = ACTIONS(2729),
    [anon_sym_BSLASHb] = ACTIONS(2729),
    [anon_sym_BSLASHq] = ACTIONS(2729),
    [anon_sym_BSLASHqr] = ACTIONS(2729),
    [anon_sym_BSLASHqc] = ACTIONS(2729),
    [anon_sym_BSLASHqs] = ACTIONS(2729),
    [anon_sym_BSLASHqa] = ACTIONS(2729),
    [anon_sym_BSLASHqac] = ACTIONS(2729),
    [anon_sym_BSLASHqm] = ACTIONS(2729),
    [anon_sym_BSLASHqd] = ACTIONS(2729),
    [anon_sym_BSLASHlh] = ACTIONS(2729),
    [anon_sym_BSLASHli] = ACTIONS(2729),
    [anon_sym_BSLASHlim] = ACTIONS(2729),
    [anon_sym_BSLASHtr] = ACTIONS(2729),
    [anon_sym_BSLASHf] = ACTIONS(2729),
    [anon_sym_BSLASHfe] = ACTIONS(2729),
    [anon_sym_BSLASHef] = ACTIONS(2729),
    [anon_sym_BSLASHfm] = ACTIONS(2729),
    [anon_sym_BSLASHx] = ACTIONS(2729),
    [anon_sym_BSLASHxt] = ACTIONS(2729),
    [anon_sym_BSLASHrq] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASHfig] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASHpb] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesb] = ACTIONS(2729),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(2655),
    [aux_sym_text_token1] = ACTIONS(2655),
    [anon_sym_BSLASHref] = ACTIONS(2657),
    [anon_sym_BSLASHsts] = ACTIONS(2657),
    [anon_sym_BSLASHrem] = ACTIONS(2657),
    [anon_sym_BSLASHrestore] = ACTIONS(2657),
    [anon_sym_BSLASHlit] = ACTIONS(2657),
    [anon_sym_BSLASHip] = ACTIONS(2657),
    [anon_sym_BSLASHiex] = ACTIONS(2657),
    [anon_sym_BSLASHv] = ACTIONS(2657),
    [anon_sym_BSLASHva] = ACTIONS(2657),
    [anon_sym_BSLASHvp] = ACTIONS(2657),
    [anon_sym_BSLASHc] = ACTIONS(2657),
    [anon_sym_BSLASHcl] = ACTIONS(2657),
    [anon_sym_BSLASHca] = ACTIONS(2657),
    [anon_sym_BSLASHcp] = ACTIONS(2657),
    [anon_sym_BSLASHcd] = ACTIONS(2657),
    [anon_sym_BSLASHmte] = ACTIONS(2657),
    [anon_sym_BSLASHms] = ACTIONS(2657),
    [anon_sym_BSLASHs] = ACTIONS(2657),
    [anon_sym_BSLASHr] = ACTIONS(2657),
    [anon_sym_BSLASHsp] = ACTIONS(2657),
    [anon_sym_BSLASHd] = ACTIONS(2657),
    [anon_sym_BSLASHsd] = ACTIONS(2657),
    [anon_sym_BSLASHp] = ACTIONS(2657),
    [anon_sym_BSLASHm] = ACTIONS(2657),
    [anon_sym_BSLASHpo] = ACTIONS(2657),
    [anon_sym_BSLASHpr] = ACTIONS(2657),
    [anon_sym_BSLASHcls] = ACTIONS(2657),
    [anon_sym_BSLASHpmo] = ACTIONS(2657),
    [anon_sym_BSLASHpm] = ACTIONS(2657),
    [anon_sym_BSLASHpmc] = ACTIONS(2657),
    [anon_sym_BSLASHpmr] = ACTIONS(2657),
    [anon_sym_BSLASHpi] = ACTIONS(2657),
    [anon_sym_BSLASHmi] = ACTIONS(2657),
    [anon_sym_BSLASHnb] = ACTIONS(2657),
    [anon_sym_BSLASHpc] = ACTIONS(2657),
    [anon_sym_BSLASHph] = ACTIONS(2657),
    [anon_sym_BSLASHb] = ACTIONS(2657),
    [anon_sym_BSLASHq] = ACTIONS(2657),
    [anon_sym_BSLASHqr] = ACTIONS(2657),
    [anon_sym_BSLASHqc] = ACTIONS(2657),
    [anon_sym_BSLASHqs] = ACTIONS(2657),
    [anon_sym_BSLASHqa] = ACTIONS(2657),
    [anon_sym_BSLASHqac] = ACTIONS(2657),
    [anon_sym_BSLASHqm] = ACTIONS(2657),
    [anon_sym_BSLASHqd] = ACTIONS(2657),
    [anon_sym_BSLASHlh] = ACTIONS(2657),
    [anon_sym_BSLASHli] = ACTIONS(2657),
    [anon_sym_BSLASHlim] = ACTIONS(2657),
    [anon_sym_BSLASHtr] = ACTIONS(2657),
    [anon_sym_BSLASHf] = ACTIONS(2657),
    [anon_sym_BSLASHfe] = ACTIONS(2657),
    [anon_sym_BSLASHef] = ACTIONS(2657),
    [anon_sym_BSLASHfm] = ACTIONS(2657),
    [anon_sym_BSLASHx] = ACTIONS(2657),
    [anon_sym_BSLASHxt] = ACTIONS(2657),
    [anon_sym_BSLASHrq] = ACTIONS(2657),
    [anon_sym_BSLASHadd] = ACTIONS(2657),
    [anon_sym_BSLASHbk] = ACTIONS(2657),
    [anon_sym_BSLASHdc] = ACTIONS(2657),
    [anon_sym_BSLASHk] = ACTIONS(2657),
    [anon_sym_BSLASHnd] = ACTIONS(2657),
    [anon_sym_BSLASHord] = ACTIONS(2657),
    [anon_sym_BSLASHpn] = ACTIONS(2657),
    [anon_sym_BSLASHpng] = ACTIONS(2657),
    [anon_sym_BSLASHaddpn] = ACTIONS(2657),
    [anon_sym_BSLASHqt] = ACTIONS(2657),
    [anon_sym_BSLASHsig] = ACTIONS(2657),
    [anon_sym_BSLASHsls] = ACTIONS(2657),
    [anon_sym_BSLASHtl] = ACTIONS(2657),
    [anon_sym_BSLASHwj] = ACTIONS(2657),
    [anon_sym_BSLASHem] = ACTIONS(2657),
    [anon_sym_BSLASHbd] = ACTIONS(2657),
    [anon_sym_BSLASHit] = ACTIONS(2657),
    [anon_sym_BSLASHbdit] = ACTIONS(2657),
    [anon_sym_BSLASHno] = ACTIONS(2657),
    [anon_sym_BSLASHsc] = ACTIONS(2657),
    [anon_sym_BSLASHsup] = ACTIONS(2657),
    [anon_sym_BSLASHndx] = ACTIONS(2657),
    [anon_sym_BSLASHpro] = ACTIONS(2657),
    [anon_sym_BSLASHrb] = ACTIONS(2657),
    [anon_sym_BSLASHw] = ACTIONS(2657),
    [anon_sym_BSLASHwg] = ACTIONS(2657),
    [anon_sym_BSLASHwh] = ACTIONS(2657),
    [anon_sym_BSLASHwa] = ACTIONS(2657),
    [anon_sym_BSLASHfig] = ACTIONS(2657),
    [anon_sym_BSLASHjmp] = ACTIONS(2657),
    [anon_sym_BSLASHpb] = ACTIONS(2657),
    [anon_sym_BSLASH] = ACTIONS(2657),
    [sym_milestoneStartTag] = ACTIONS(2657),
    [sym_milestoneEndTag] = ACTIONS(2657),
    [sym_zSpaceTag] = ACTIONS(2657),
    [anon_sym_BSLASHesb] = ACTIONS(2657),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(2651),
    [aux_sym_text_token1] = ACTIONS(2651),
    [anon_sym_BSLASHref] = ACTIONS(2653),
    [anon_sym_BSLASHsts] = ACTIONS(2653),
    [anon_sym_BSLASHrem] = ACTIONS(2653),
    [anon_sym_BSLASHrestore] = ACTIONS(2653),
    [anon_sym_BSLASHlit] = ACTIONS(2653),
    [anon_sym_BSLASHip] = ACTIONS(2653),
    [anon_sym_BSLASHiex] = ACTIONS(2653),
    [anon_sym_BSLASHv] = ACTIONS(2653),
    [anon_sym_BSLASHva] = ACTIONS(2653),
    [anon_sym_BSLASHvp] = ACTIONS(2653),
    [anon_sym_BSLASHc] = ACTIONS(2653),
    [anon_sym_BSLASHcl] = ACTIONS(2653),
    [anon_sym_BSLASHca] = ACTIONS(2653),
    [anon_sym_BSLASHcp] = ACTIONS(2653),
    [anon_sym_BSLASHcd] = ACTIONS(2653),
    [anon_sym_BSLASHmte] = ACTIONS(2653),
    [anon_sym_BSLASHms] = ACTIONS(2653),
    [anon_sym_BSLASHs] = ACTIONS(2653),
    [anon_sym_BSLASHr] = ACTIONS(2653),
    [anon_sym_BSLASHsp] = ACTIONS(2653),
    [anon_sym_BSLASHd] = ACTIONS(2653),
    [anon_sym_BSLASHsd] = ACTIONS(2653),
    [anon_sym_BSLASHp] = ACTIONS(2653),
    [anon_sym_BSLASHm] = ACTIONS(2653),
    [anon_sym_BSLASHpo] = ACTIONS(2653),
    [anon_sym_BSLASHpr] = ACTIONS(2653),
    [anon_sym_BSLASHcls] = ACTIONS(2653),
    [anon_sym_BSLASHpmo] = ACTIONS(2653),
    [anon_sym_BSLASHpm] = ACTIONS(2653),
    [anon_sym_BSLASHpmc] = ACTIONS(2653),
    [anon_sym_BSLASHpmr] = ACTIONS(2653),
    [anon_sym_BSLASHpi] = ACTIONS(2653),
    [anon_sym_BSLASHmi] = ACTIONS(2653),
    [anon_sym_BSLASHnb] = ACTIONS(2653),
    [anon_sym_BSLASHpc] = ACTIONS(2653),
    [anon_sym_BSLASHph] = ACTIONS(2653),
    [anon_sym_BSLASHb] = ACTIONS(2653),
    [anon_sym_BSLASHq] = ACTIONS(2653),
    [anon_sym_BSLASHqr] = ACTIONS(2653),
    [anon_sym_BSLASHqc] = ACTIONS(2653),
    [anon_sym_BSLASHqs] = ACTIONS(2653),
    [anon_sym_BSLASHqa] = ACTIONS(2653),
    [anon_sym_BSLASHqac] = ACTIONS(2653),
    [anon_sym_BSLASHqm] = ACTIONS(2653),
    [anon_sym_BSLASHqd] = ACTIONS(2653),
    [anon_sym_BSLASHlh] = ACTIONS(2653),
    [anon_sym_BSLASHli] = ACTIONS(2653),
    [anon_sym_BSLASHlim] = ACTIONS(2653),
    [anon_sym_BSLASHtr] = ACTIONS(2653),
    [anon_sym_BSLASHf] = ACTIONS(2653),
    [anon_sym_BSLASHfe] = ACTIONS(2653),
    [anon_sym_BSLASHef] = ACTIONS(2653),
    [anon_sym_BSLASHfm] = ACTIONS(2653),
    [anon_sym_BSLASHx] = ACTIONS(2653),
    [anon_sym_BSLASHxt] = ACTIONS(2653),
    [anon_sym_BSLASHrq] = ACTIONS(2653),
    [anon_sym_BSLASHadd] = ACTIONS(2653),
    [anon_sym_BSLASHbk] = ACTIONS(2653),
    [anon_sym_BSLASHdc] = ACTIONS(2653),
    [anon_sym_BSLASHk] = ACTIONS(2653),
    [anon_sym_BSLASHnd] = ACTIONS(2653),
    [anon_sym_BSLASHord] = ACTIONS(2653),
    [anon_sym_BSLASHpn] = ACTIONS(2653),
    [anon_sym_BSLASHpng] = ACTIONS(2653),
    [anon_sym_BSLASHaddpn] = ACTIONS(2653),
    [anon_sym_BSLASHqt] = ACTIONS(2653),
    [anon_sym_BSLASHsig] = ACTIONS(2653),
    [anon_sym_BSLASHsls] = ACTIONS(2653),
    [anon_sym_BSLASHtl] = ACTIONS(2653),
    [anon_sym_BSLASHwj] = ACTIONS(2653),
    [anon_sym_BSLASHem] = ACTIONS(2653),
    [anon_sym_BSLASHbd] = ACTIONS(2653),
    [anon_sym_BSLASHit] = ACTIONS(2653),
    [anon_sym_BSLASHbdit] = ACTIONS(2653),
    [anon_sym_BSLASHno] = ACTIONS(2653),
    [anon_sym_BSLASHsc] = ACTIONS(2653),
    [anon_sym_BSLASHsup] = ACTIONS(2653),
    [anon_sym_BSLASHndx] = ACTIONS(2653),
    [anon_sym_BSLASHpro] = ACTIONS(2653),
    [anon_sym_BSLASHrb] = ACTIONS(2653),
    [anon_sym_BSLASHw] = ACTIONS(2653),
    [anon_sym_BSLASHwg] = ACTIONS(2653),
    [anon_sym_BSLASHwh] = ACTIONS(2653),
    [anon_sym_BSLASHwa] = ACTIONS(2653),
    [anon_sym_BSLASHfig] = ACTIONS(2653),
    [anon_sym_BSLASHjmp] = ACTIONS(2653),
    [anon_sym_BSLASHpb] = ACTIONS(2653),
    [anon_sym_BSLASH] = ACTIONS(2653),
    [sym_milestoneStartTag] = ACTIONS(2653),
    [sym_milestoneEndTag] = ACTIONS(2653),
    [sym_zSpaceTag] = ACTIONS(2653),
    [anon_sym_BSLASHesb] = ACTIONS(2653),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(2615),
    [aux_sym_text_token1] = ACTIONS(2615),
    [anon_sym_BSLASHref] = ACTIONS(2617),
    [anon_sym_BSLASHsts] = ACTIONS(2617),
    [anon_sym_BSLASHrem] = ACTIONS(2617),
    [anon_sym_BSLASHrestore] = ACTIONS(2617),
    [anon_sym_BSLASHlit] = ACTIONS(2617),
    [anon_sym_BSLASHip] = ACTIONS(2617),
    [anon_sym_BSLASHiex] = ACTIONS(2617),
    [anon_sym_BSLASHv] = ACTIONS(2617),
    [anon_sym_BSLASHva] = ACTIONS(2617),
    [anon_sym_BSLASHvp] = ACTIONS(2617),
    [anon_sym_BSLASHc] = ACTIONS(2617),
    [anon_sym_BSLASHcl] = ACTIONS(2617),
    [anon_sym_BSLASHca] = ACTIONS(2617),
    [anon_sym_BSLASHcp] = ACTIONS(2617),
    [anon_sym_BSLASHcd] = ACTIONS(2617),
    [anon_sym_BSLASHmte] = ACTIONS(2617),
    [anon_sym_BSLASHms] = ACTIONS(2617),
    [anon_sym_BSLASHs] = ACTIONS(2617),
    [anon_sym_BSLASHr] = ACTIONS(2617),
    [anon_sym_BSLASHsp] = ACTIONS(2617),
    [anon_sym_BSLASHd] = ACTIONS(2617),
    [anon_sym_BSLASHsd] = ACTIONS(2617),
    [anon_sym_BSLASHp] = ACTIONS(2617),
    [anon_sym_BSLASHm] = ACTIONS(2617),
    [anon_sym_BSLASHpo] = ACTIONS(2617),
    [anon_sym_BSLASHpr] = ACTIONS(2617),
    [anon_sym_BSLASHcls] = ACTIONS(2617),
    [anon_sym_BSLASHpmo] = ACTIONS(2617),
    [anon_sym_BSLASHpm] = ACTIONS(2617),
    [anon_sym_BSLASHpmc] = ACTIONS(2617),
    [anon_sym_BSLASHpmr] = ACTIONS(2617),
    [anon_sym_BSLASHpi] = ACTIONS(2617),
    [anon_sym_BSLASHmi] = ACTIONS(2617),
    [anon_sym_BSLASHnb] = ACTIONS(2617),
    [anon_sym_BSLASHpc] = ACTIONS(2617),
    [anon_sym_BSLASHph] = ACTIONS(2617),
    [anon_sym_BSLASHb] = ACTIONS(2617),
    [anon_sym_BSLASHq] = ACTIONS(2617),
    [anon_sym_BSLASHqr] = ACTIONS(2617),
    [anon_sym_BSLASHqc] = ACTIONS(2617),
    [anon_sym_BSLASHqs] = ACTIONS(2617),
    [anon_sym_BSLASHqa] = ACTIONS(2617),
    [anon_sym_BSLASHqac] = ACTIONS(2617),
    [anon_sym_BSLASHqm] = ACTIONS(2617),
    [anon_sym_BSLASHqd] = ACTIONS(2617),
    [anon_sym_BSLASHlh] = ACTIONS(2617),
    [anon_sym_BSLASHli] = ACTIONS(2617),
    [anon_sym_BSLASHlim] = ACTIONS(2617),
    [anon_sym_BSLASHtr] = ACTIONS(2617),
    [anon_sym_BSLASHf] = ACTIONS(2617),
    [anon_sym_BSLASHfe] = ACTIONS(2617),
    [anon_sym_BSLASHef] = ACTIONS(2617),
    [anon_sym_BSLASHfm] = ACTIONS(2617),
    [anon_sym_BSLASHx] = ACTIONS(2617),
    [anon_sym_BSLASHxt] = ACTIONS(2617),
    [anon_sym_BSLASHrq] = ACTIONS(2617),
    [anon_sym_BSLASHadd] = ACTIONS(2617),
    [anon_sym_BSLASHbk] = ACTIONS(2617),
    [anon_sym_BSLASHdc] = ACTIONS(2617),
    [anon_sym_BSLASHk] = ACTIONS(2617),
    [anon_sym_BSLASHnd] = ACTIONS(2617),
    [anon_sym_BSLASHord] = ACTIONS(2617),
    [anon_sym_BSLASHpn] = ACTIONS(2617),
    [anon_sym_BSLASHpng] = ACTIONS(2617),
    [anon_sym_BSLASHaddpn] = ACTIONS(2617),
    [anon_sym_BSLASHqt] = ACTIONS(2617),
    [anon_sym_BSLASHsig] = ACTIONS(2617),
    [anon_sym_BSLASHsls] = ACTIONS(2617),
    [anon_sym_BSLASHtl] = ACTIONS(2617),
    [anon_sym_BSLASHwj] = ACTIONS(2617),
    [anon_sym_BSLASHem] = ACTIONS(2617),
    [anon_sym_BSLASHbd] = ACTIONS(2617),
    [anon_sym_BSLASHit] = ACTIONS(2617),
    [anon_sym_BSLASHbdit] = ACTIONS(2617),
    [anon_sym_BSLASHno] = ACTIONS(2617),
    [anon_sym_BSLASHsc] = ACTIONS(2617),
    [anon_sym_BSLASHsup] = ACTIONS(2617),
    [anon_sym_BSLASHndx] = ACTIONS(2617),
    [anon_sym_BSLASHpro] = ACTIONS(2617),
    [anon_sym_BSLASHrb] = ACTIONS(2617),
    [anon_sym_BSLASHw] = ACTIONS(2617),
    [anon_sym_BSLASHwg] = ACTIONS(2617),
    [anon_sym_BSLASHwh] = ACTIONS(2617),
    [anon_sym_BSLASHwa] = ACTIONS(2617),
    [anon_sym_BSLASHfig] = ACTIONS(2617),
    [anon_sym_BSLASHjmp] = ACTIONS(2617),
    [anon_sym_BSLASHpb] = ACTIONS(2617),
    [anon_sym_BSLASH] = ACTIONS(2617),
    [sym_milestoneStartTag] = ACTIONS(2617),
    [sym_milestoneEndTag] = ACTIONS(2617),
    [sym_zSpaceTag] = ACTIONS(2617),
    [anon_sym_BSLASHesb] = ACTIONS(2617),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(2647),
    [aux_sym_text_token1] = ACTIONS(2647),
    [anon_sym_BSLASHref] = ACTIONS(2649),
    [anon_sym_BSLASHsts] = ACTIONS(2649),
    [anon_sym_BSLASHrem] = ACTIONS(2649),
    [anon_sym_BSLASHrestore] = ACTIONS(2649),
    [anon_sym_BSLASHlit] = ACTIONS(2649),
    [anon_sym_BSLASHip] = ACTIONS(2649),
    [anon_sym_BSLASHiex] = ACTIONS(2649),
    [anon_sym_BSLASHv] = ACTIONS(2649),
    [anon_sym_BSLASHva] = ACTIONS(2649),
    [anon_sym_BSLASHvp] = ACTIONS(2649),
    [anon_sym_BSLASHc] = ACTIONS(2649),
    [anon_sym_BSLASHcl] = ACTIONS(2649),
    [anon_sym_BSLASHca] = ACTIONS(2649),
    [anon_sym_BSLASHcp] = ACTIONS(2649),
    [anon_sym_BSLASHcd] = ACTIONS(2649),
    [anon_sym_BSLASHmte] = ACTIONS(2649),
    [anon_sym_BSLASHms] = ACTIONS(2649),
    [anon_sym_BSLASHs] = ACTIONS(2649),
    [anon_sym_BSLASHr] = ACTIONS(2649),
    [anon_sym_BSLASHsp] = ACTIONS(2649),
    [anon_sym_BSLASHd] = ACTIONS(2649),
    [anon_sym_BSLASHsd] = ACTIONS(2649),
    [anon_sym_BSLASHp] = ACTIONS(2649),
    [anon_sym_BSLASHm] = ACTIONS(2649),
    [anon_sym_BSLASHpo] = ACTIONS(2649),
    [anon_sym_BSLASHpr] = ACTIONS(2649),
    [anon_sym_BSLASHcls] = ACTIONS(2649),
    [anon_sym_BSLASHpmo] = ACTIONS(2649),
    [anon_sym_BSLASHpm] = ACTIONS(2649),
    [anon_sym_BSLASHpmc] = ACTIONS(2649),
    [anon_sym_BSLASHpmr] = ACTIONS(2649),
    [anon_sym_BSLASHpi] = ACTIONS(2649),
    [anon_sym_BSLASHmi] = ACTIONS(2649),
    [anon_sym_BSLASHnb] = ACTIONS(2649),
    [anon_sym_BSLASHpc] = ACTIONS(2649),
    [anon_sym_BSLASHph] = ACTIONS(2649),
    [anon_sym_BSLASHb] = ACTIONS(2649),
    [anon_sym_BSLASHq] = ACTIONS(2649),
    [anon_sym_BSLASHqr] = ACTIONS(2649),
    [anon_sym_BSLASHqc] = ACTIONS(2649),
    [anon_sym_BSLASHqs] = ACTIONS(2649),
    [anon_sym_BSLASHqa] = ACTIONS(2649),
    [anon_sym_BSLASHqac] = ACTIONS(2649),
    [anon_sym_BSLASHqm] = ACTIONS(2649),
    [anon_sym_BSLASHqd] = ACTIONS(2649),
    [anon_sym_BSLASHlh] = ACTIONS(2649),
    [anon_sym_BSLASHli] = ACTIONS(2649),
    [anon_sym_BSLASHlim] = ACTIONS(2649),
    [anon_sym_BSLASHtr] = ACTIONS(2649),
    [anon_sym_BSLASHf] = ACTIONS(2649),
    [anon_sym_BSLASHfe] = ACTIONS(2649),
    [anon_sym_BSLASHef] = ACTIONS(2649),
    [anon_sym_BSLASHfm] = ACTIONS(2649),
    [anon_sym_BSLASHx] = ACTIONS(2649),
    [anon_sym_BSLASHxt] = ACTIONS(2649),
    [anon_sym_BSLASHrq] = ACTIONS(2649),
    [anon_sym_BSLASHadd] = ACTIONS(2649),
    [anon_sym_BSLASHbk] = ACTIONS(2649),
    [anon_sym_BSLASHdc] = ACTIONS(2649),
    [anon_sym_BSLASHk] = ACTIONS(2649),
    [anon_sym_BSLASHnd] = ACTIONS(2649),
    [anon_sym_BSLASHord] = ACTIONS(2649),
    [anon_sym_BSLASHpn] = ACTIONS(2649),
    [anon_sym_BSLASHpng] = ACTIONS(2649),
    [anon_sym_BSLASHaddpn] = ACTIONS(2649),
    [anon_sym_BSLASHqt] = ACTIONS(2649),
    [anon_sym_BSLASHsig] = ACTIONS(2649),
    [anon_sym_BSLASHsls] = ACTIONS(2649),
    [anon_sym_BSLASHtl] = ACTIONS(2649),
    [anon_sym_BSLASHwj] = ACTIONS(2649),
    [anon_sym_BSLASHem] = ACTIONS(2649),
    [anon_sym_BSLASHbd] = ACTIONS(2649),
    [anon_sym_BSLASHit] = ACTIONS(2649),
    [anon_sym_BSLASHbdit] = ACTIONS(2649),
    [anon_sym_BSLASHno] = ACTIONS(2649),
    [anon_sym_BSLASHsc] = ACTIONS(2649),
    [anon_sym_BSLASHsup] = ACTIONS(2649),
    [anon_sym_BSLASHndx] = ACTIONS(2649),
    [anon_sym_BSLASHpro] = ACTIONS(2649),
    [anon_sym_BSLASHrb] = ACTIONS(2649),
    [anon_sym_BSLASHw] = ACTIONS(2649),
    [anon_sym_BSLASHwg] = ACTIONS(2649),
    [anon_sym_BSLASHwh] = ACTIONS(2649),
    [anon_sym_BSLASHwa] = ACTIONS(2649),
    [anon_sym_BSLASHfig] = ACTIONS(2649),
    [anon_sym_BSLASHjmp] = ACTIONS(2649),
    [anon_sym_BSLASHpb] = ACTIONS(2649),
    [anon_sym_BSLASH] = ACTIONS(2649),
    [sym_milestoneStartTag] = ACTIONS(2649),
    [sym_milestoneEndTag] = ACTIONS(2649),
    [sym_zSpaceTag] = ACTIONS(2649),
    [anon_sym_BSLASHesb] = ACTIONS(2649),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(2643),
    [aux_sym_text_token1] = ACTIONS(2643),
    [anon_sym_BSLASHref] = ACTIONS(2645),
    [anon_sym_BSLASHsts] = ACTIONS(2645),
    [anon_sym_BSLASHrem] = ACTIONS(2645),
    [anon_sym_BSLASHrestore] = ACTIONS(2645),
    [anon_sym_BSLASHlit] = ACTIONS(2645),
    [anon_sym_BSLASHip] = ACTIONS(2645),
    [anon_sym_BSLASHiex] = ACTIONS(2645),
    [anon_sym_BSLASHv] = ACTIONS(2645),
    [anon_sym_BSLASHva] = ACTIONS(2645),
    [anon_sym_BSLASHvp] = ACTIONS(2645),
    [anon_sym_BSLASHc] = ACTIONS(2645),
    [anon_sym_BSLASHcl] = ACTIONS(2645),
    [anon_sym_BSLASHca] = ACTIONS(2645),
    [anon_sym_BSLASHcp] = ACTIONS(2645),
    [anon_sym_BSLASHcd] = ACTIONS(2645),
    [anon_sym_BSLASHmte] = ACTIONS(2645),
    [anon_sym_BSLASHms] = ACTIONS(2645),
    [anon_sym_BSLASHs] = ACTIONS(2645),
    [anon_sym_BSLASHr] = ACTIONS(2645),
    [anon_sym_BSLASHsp] = ACTIONS(2645),
    [anon_sym_BSLASHd] = ACTIONS(2645),
    [anon_sym_BSLASHsd] = ACTIONS(2645),
    [anon_sym_BSLASHp] = ACTIONS(2645),
    [anon_sym_BSLASHm] = ACTIONS(2645),
    [anon_sym_BSLASHpo] = ACTIONS(2645),
    [anon_sym_BSLASHpr] = ACTIONS(2645),
    [anon_sym_BSLASHcls] = ACTIONS(2645),
    [anon_sym_BSLASHpmo] = ACTIONS(2645),
    [anon_sym_BSLASHpm] = ACTIONS(2645),
    [anon_sym_BSLASHpmc] = ACTIONS(2645),
    [anon_sym_BSLASHpmr] = ACTIONS(2645),
    [anon_sym_BSLASHpi] = ACTIONS(2645),
    [anon_sym_BSLASHmi] = ACTIONS(2645),
    [anon_sym_BSLASHnb] = ACTIONS(2645),
    [anon_sym_BSLASHpc] = ACTIONS(2645),
    [anon_sym_BSLASHph] = ACTIONS(2645),
    [anon_sym_BSLASHb] = ACTIONS(2645),
    [anon_sym_BSLASHq] = ACTIONS(2645),
    [anon_sym_BSLASHqr] = ACTIONS(2645),
    [anon_sym_BSLASHqc] = ACTIONS(2645),
    [anon_sym_BSLASHqs] = ACTIONS(2645),
    [anon_sym_BSLASHqa] = ACTIONS(2645),
    [anon_sym_BSLASHqac] = ACTIONS(2645),
    [anon_sym_BSLASHqm] = ACTIONS(2645),
    [anon_sym_BSLASHqd] = ACTIONS(2645),
    [anon_sym_BSLASHlh] = ACTIONS(2645),
    [anon_sym_BSLASHli] = ACTIONS(2645),
    [anon_sym_BSLASHlim] = ACTIONS(2645),
    [anon_sym_BSLASHtr] = ACTIONS(2645),
    [anon_sym_BSLASHf] = ACTIONS(2645),
    [anon_sym_BSLASHfe] = ACTIONS(2645),
    [anon_sym_BSLASHef] = ACTIONS(2645),
    [anon_sym_BSLASHfm] = ACTIONS(2645),
    [anon_sym_BSLASHx] = ACTIONS(2645),
    [anon_sym_BSLASHxt] = ACTIONS(2645),
    [anon_sym_BSLASHrq] = ACTIONS(2645),
    [anon_sym_BSLASHadd] = ACTIONS(2645),
    [anon_sym_BSLASHbk] = ACTIONS(2645),
    [anon_sym_BSLASHdc] = ACTIONS(2645),
    [anon_sym_BSLASHk] = ACTIONS(2645),
    [anon_sym_BSLASHnd] = ACTIONS(2645),
    [anon_sym_BSLASHord] = ACTIONS(2645),
    [anon_sym_BSLASHpn] = ACTIONS(2645),
    [anon_sym_BSLASHpng] = ACTIONS(2645),
    [anon_sym_BSLASHaddpn] = ACTIONS(2645),
    [anon_sym_BSLASHqt] = ACTIONS(2645),
    [anon_sym_BSLASHsig] = ACTIONS(2645),
    [anon_sym_BSLASHsls] = ACTIONS(2645),
    [anon_sym_BSLASHtl] = ACTIONS(2645),
    [anon_sym_BSLASHwj] = ACTIONS(2645),
    [anon_sym_BSLASHem] = ACTIONS(2645),
    [anon_sym_BSLASHbd] = ACTIONS(2645),
    [anon_sym_BSLASHit] = ACTIONS(2645),
    [anon_sym_BSLASHbdit] = ACTIONS(2645),
    [anon_sym_BSLASHno] = ACTIONS(2645),
    [anon_sym_BSLASHsc] = ACTIONS(2645),
    [anon_sym_BSLASHsup] = ACTIONS(2645),
    [anon_sym_BSLASHndx] = ACTIONS(2645),
    [anon_sym_BSLASHpro] = ACTIONS(2645),
    [anon_sym_BSLASHrb] = ACTIONS(2645),
    [anon_sym_BSLASHw] = ACTIONS(2645),
    [anon_sym_BSLASHwg] = ACTIONS(2645),
    [anon_sym_BSLASHwh] = ACTIONS(2645),
    [anon_sym_BSLASHwa] = ACTIONS(2645),
    [anon_sym_BSLASHfig] = ACTIONS(2645),
    [anon_sym_BSLASHjmp] = ACTIONS(2645),
    [anon_sym_BSLASHpb] = ACTIONS(2645),
    [anon_sym_BSLASH] = ACTIONS(2645),
    [sym_milestoneStartTag] = ACTIONS(2645),
    [sym_milestoneEndTag] = ACTIONS(2645),
    [sym_zSpaceTag] = ACTIONS(2645),
    [anon_sym_BSLASHesb] = ACTIONS(2645),
  },
  [544] = {
    [sym_text] = STATE(547),
    [sym__milestoneAttributes] = STATE(2103),
    [aux_sym_text_token1] = ACTIONS(5488),
    [anon_sym_BSLASHref] = ACTIONS(5046),
    [anon_sym_BSLASHsts] = ACTIONS(5046),
    [anon_sym_BSLASHrem] = ACTIONS(5046),
    [anon_sym_BSLASHrestore] = ACTIONS(5046),
    [anon_sym_BSLASHlit] = ACTIONS(5046),
    [anon_sym_BSLASHip] = ACTIONS(5046),
    [anon_sym_BSLASHv] = ACTIONS(5046),
    [anon_sym_BSLASHva] = ACTIONS(5046),
    [anon_sym_BSLASHvp] = ACTIONS(5046),
    [anon_sym_BSLASHmte] = ACTIONS(5046),
    [anon_sym_BSLASHms] = ACTIONS(5046),
    [anon_sym_BSLASHs] = ACTIONS(5046),
    [anon_sym_BSLASHr] = ACTIONS(5046),
    [anon_sym_BSLASHsp] = ACTIONS(5046),
    [anon_sym_BSLASHd] = ACTIONS(5046),
    [anon_sym_BSLASHsd] = ACTIONS(5046),
    [anon_sym_BSLASHp] = ACTIONS(5046),
    [anon_sym_BSLASHm] = ACTIONS(5046),
    [anon_sym_BSLASHpo] = ACTIONS(5046),
    [anon_sym_BSLASHpr] = ACTIONS(5046),
    [anon_sym_BSLASHcls] = ACTIONS(5046),
    [anon_sym_BSLASHpmo] = ACTIONS(5046),
    [anon_sym_BSLASHpm] = ACTIONS(5046),
    [anon_sym_BSLASHpmc] = ACTIONS(5046),
    [anon_sym_BSLASHpmr] = ACTIONS(5046),
    [anon_sym_BSLASHpi] = ACTIONS(5046),
    [anon_sym_BSLASHmi] = ACTIONS(5046),
    [anon_sym_BSLASHnb] = ACTIONS(5046),
    [anon_sym_BSLASHpc] = ACTIONS(5046),
    [anon_sym_BSLASHph] = ACTIONS(5046),
    [anon_sym_BSLASHb] = ACTIONS(5046),
    [anon_sym_BSLASHq] = ACTIONS(5046),
    [anon_sym_BSLASHqr] = ACTIONS(5046),
    [anon_sym_BSLASHqc] = ACTIONS(5046),
    [anon_sym_BSLASHqs] = ACTIONS(5046),
    [anon_sym_BSLASHqa] = ACTIONS(5046),
    [anon_sym_BSLASHqac] = ACTIONS(5046),
    [anon_sym_BSLASHqm] = ACTIONS(5046),
    [anon_sym_BSLASHqd] = ACTIONS(5046),
    [anon_sym_BSLASHlh] = ACTIONS(5046),
    [anon_sym_BSLASHli] = ACTIONS(5046),
    [anon_sym_BSLASHlim] = ACTIONS(5046),
    [anon_sym_BSLASHtr] = ACTIONS(5046),
    [anon_sym_BSLASHf] = ACTIONS(5046),
    [anon_sym_BSLASHfe] = ACTIONS(5046),
    [anon_sym_BSLASHef] = ACTIONS(5046),
    [anon_sym_BSLASHfm] = ACTIONS(5046),
    [anon_sym_BSLASHx] = ACTIONS(5046),
    [anon_sym_BSLASHxt] = ACTIONS(5046),
    [anon_sym_BSLASHrq] = ACTIONS(5046),
    [anon_sym_BSLASHadd] = ACTIONS(5046),
    [anon_sym_BSLASHbk] = ACTIONS(5046),
    [anon_sym_BSLASHdc] = ACTIONS(5046),
    [anon_sym_BSLASHk] = ACTIONS(5046),
    [anon_sym_BSLASHnd] = ACTIONS(5046),
    [anon_sym_BSLASHord] = ACTIONS(5046),
    [anon_sym_BSLASHpn] = ACTIONS(5046),
    [anon_sym_BSLASHpng] = ACTIONS(5046),
    [anon_sym_BSLASHaddpn] = ACTIONS(5046),
    [anon_sym_BSLASHqt] = ACTIONS(5046),
    [anon_sym_BSLASHsig] = ACTIONS(5046),
    [anon_sym_BSLASHsls] = ACTIONS(5046),
    [anon_sym_BSLASHtl] = ACTIONS(5046),
    [anon_sym_BSLASHwj] = ACTIONS(5046),
    [anon_sym_BSLASHem] = ACTIONS(5046),
    [anon_sym_BSLASHbd] = ACTIONS(5046),
    [anon_sym_BSLASHit] = ACTIONS(5046),
    [anon_sym_BSLASHbdit] = ACTIONS(5046),
    [anon_sym_BSLASHno] = ACTIONS(5046),
    [anon_sym_BSLASHsc] = ACTIONS(5046),
    [anon_sym_BSLASHsup] = ACTIONS(5046),
    [anon_sym_BSLASHndx] = ACTIONS(5046),
    [anon_sym_BSLASHpro] = ACTIONS(5046),
    [anon_sym_BSLASHrb] = ACTIONS(5046),
    [anon_sym_BSLASHw] = ACTIONS(5046),
    [anon_sym_BSLASHwg] = ACTIONS(5046),
    [anon_sym_BSLASHwh] = ACTIONS(5046),
    [anon_sym_BSLASHwa] = ACTIONS(5046),
    [anon_sym_BSLASHfig] = ACTIONS(5046),
    [anon_sym_BSLASHjmp] = ACTIONS(5046),
    [anon_sym_BSLASHpb] = ACTIONS(5046),
    [anon_sym_BSLASH] = ACTIONS(5046),
    [anon_sym_BSLASH_STAR] = ACTIONS(5490),
    [sym_milestoneStartTag] = ACTIONS(5046),
    [sym_milestoneEndTag] = ACTIONS(5046),
    [sym_zSpaceTag] = ACTIONS(5046),
    [sym__zSpaceClose] = ACTIONS(5492),
    [anon_sym_BSLASHesbe] = ACTIONS(5046),
    [anon_sym_BSLASHcat] = ACTIONS(5046),
    [anon_sym_PIPE] = ACTIONS(5052),
  },
  [545] = {
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHlf] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHliv] = ACTIONS(7),
    [anon_sym_BSLASHlik] = ACTIONS(7),
    [anon_sym_BSLASHlitl] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_BSLASH_STAR] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [sym__zSpaceClose] = ACTIONS(7),
    [anon_sym_BSLASHesbe] = ACTIONS(7),
    [anon_sym_BSLASHcat] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
  },
  [546] = {
    [aux_sym_text_token1] = ACTIONS(3092),
    [anon_sym_BSLASHref] = ACTIONS(3094),
    [anon_sym_BSLASHsts] = ACTIONS(3094),
    [anon_sym_BSLASHrem] = ACTIONS(3094),
    [anon_sym_BSLASHrestore] = ACTIONS(3094),
    [anon_sym_BSLASHlit] = ACTIONS(3094),
    [anon_sym_BSLASHip] = ACTIONS(3094),
    [anon_sym_BSLASHv] = ACTIONS(3094),
    [anon_sym_BSLASHva] = ACTIONS(3094),
    [anon_sym_BSLASHvp] = ACTIONS(3094),
    [anon_sym_BSLASHmte] = ACTIONS(3094),
    [anon_sym_BSLASHms] = ACTIONS(3094),
    [anon_sym_BSLASHmr] = ACTIONS(3094),
    [anon_sym_BSLASHs] = ACTIONS(3094),
    [anon_sym_BSLASHsr] = ACTIONS(3094),
    [anon_sym_BSLASHr] = ACTIONS(3094),
    [anon_sym_BSLASHsp] = ACTIONS(3094),
    [anon_sym_BSLASHd] = ACTIONS(3094),
    [anon_sym_BSLASHsd] = ACTIONS(3094),
    [anon_sym_BSLASHp] = ACTIONS(3094),
    [anon_sym_BSLASHm] = ACTIONS(3094),
    [anon_sym_BSLASHpo] = ACTIONS(3094),
    [anon_sym_BSLASHpr] = ACTIONS(3094),
    [anon_sym_BSLASHcls] = ACTIONS(3094),
    [anon_sym_BSLASHpmo] = ACTIONS(3094),
    [anon_sym_BSLASHpm] = ACTIONS(3094),
    [anon_sym_BSLASHpmc] = ACTIONS(3094),
    [anon_sym_BSLASHpmr] = ACTIONS(3094),
    [anon_sym_BSLASHpi] = ACTIONS(3094),
    [anon_sym_BSLASHmi] = ACTIONS(3094),
    [anon_sym_BSLASHnb] = ACTIONS(3094),
    [anon_sym_BSLASHpc] = ACTIONS(3094),
    [anon_sym_BSLASHph] = ACTIONS(3094),
    [anon_sym_BSLASHb] = ACTIONS(3094),
    [anon_sym_BSLASHq] = ACTIONS(3094),
    [anon_sym_BSLASHqr] = ACTIONS(3094),
    [anon_sym_BSLASHqc] = ACTIONS(3094),
    [anon_sym_BSLASHqa] = ACTIONS(3094),
    [anon_sym_BSLASHqm] = ACTIONS(3094),
    [anon_sym_BSLASHqd] = ACTIONS(3094),
    [anon_sym_BSLASHlh] = ACTIONS(3094),
    [anon_sym_BSLASHlf] = ACTIONS(3094),
    [anon_sym_BSLASHli] = ACTIONS(3094),
    [anon_sym_BSLASHlim] = ACTIONS(3094),
    [anon_sym_BSLASHliv] = ACTIONS(3094),
    [anon_sym_BSLASHlik] = ACTIONS(3094),
    [anon_sym_BSLASHlitl] = ACTIONS(3094),
    [anon_sym_BSLASHtr] = ACTIONS(3094),
    [anon_sym_BSLASHf] = ACTIONS(3094),
    [anon_sym_BSLASHfe] = ACTIONS(3094),
    [anon_sym_BSLASHef] = ACTIONS(3094),
    [anon_sym_BSLASHfm] = ACTIONS(3094),
    [anon_sym_BSLASHx] = ACTIONS(3094),
    [anon_sym_BSLASHxt] = ACTIONS(3094),
    [anon_sym_BSLASHrq] = ACTIONS(3094),
    [anon_sym_BSLASHadd] = ACTIONS(3094),
    [anon_sym_BSLASHbk] = ACTIONS(3094),
    [anon_sym_BSLASHdc] = ACTIONS(3094),
    [anon_sym_BSLASHk] = ACTIONS(3094),
    [anon_sym_BSLASHnd] = ACTIONS(3094),
    [anon_sym_BSLASHord] = ACTIONS(3094),
    [anon_sym_BSLASHpn] = ACTIONS(3094),
    [anon_sym_BSLASHpng] = ACTIONS(3094),
    [anon_sym_BSLASHaddpn] = ACTIONS(3094),
    [anon_sym_BSLASHqt] = ACTIONS(3094),
    [anon_sym_BSLASHsig] = ACTIONS(3094),
    [anon_sym_BSLASHsls] = ACTIONS(3094),
    [anon_sym_BSLASHtl] = ACTIONS(3094),
    [anon_sym_BSLASHwj] = ACTIONS(3094),
    [anon_sym_BSLASHem] = ACTIONS(3094),
    [anon_sym_BSLASHbd] = ACTIONS(3094),
    [anon_sym_BSLASHit] = ACTIONS(3094),
    [anon_sym_BSLASHbdit] = ACTIONS(3094),
    [anon_sym_BSLASHno] = ACTIONS(3094),
    [anon_sym_BSLASHsc] = ACTIONS(3094),
    [anon_sym_BSLASHsup] = ACTIONS(3094),
    [anon_sym_BSLASHndx] = ACTIONS(3094),
    [anon_sym_BSLASHpro] = ACTIONS(3094),
    [anon_sym_BSLASHrb] = ACTIONS(3094),
    [anon_sym_BSLASHw] = ACTIONS(3094),
    [anon_sym_BSLASHwg] = ACTIONS(3094),
    [anon_sym_BSLASHwh] = ACTIONS(3094),
    [anon_sym_BSLASHwa] = ACTIONS(3094),
    [anon_sym_BSLASHfig] = ACTIONS(3094),
    [anon_sym_BSLASHjmp] = ACTIONS(3094),
    [anon_sym_BSLASHpb] = ACTIONS(3094),
    [anon_sym_BSLASH] = ACTIONS(3094),
    [sym_milestoneStartTag] = ACTIONS(3094),
    [sym_milestoneEndTag] = ACTIONS(3094),
    [sym_zSpaceTag] = ACTIONS(3094),
    [anon_sym_BSLASHesbe] = ACTIONS(3094),
    [anon_sym_BSLASHcat] = ACTIONS(3094),
  },
  [547] = {
    [sym__milestoneAttributes] = STATE(2109),
    [aux_sym_text_token1] = ACTIONS(5234),
    [anon_sym_BSLASHref] = ACTIONS(5236),
    [anon_sym_BSLASHsts] = ACTIONS(5236),
    [anon_sym_BSLASHrem] = ACTIONS(5236),
    [anon_sym_BSLASHrestore] = ACTIONS(5236),
    [anon_sym_BSLASHlit] = ACTIONS(5236),
    [anon_sym_BSLASHip] = ACTIONS(5236),
    [anon_sym_BSLASHv] = ACTIONS(5236),
    [anon_sym_BSLASHva] = ACTIONS(5236),
    [anon_sym_BSLASHvp] = ACTIONS(5236),
    [anon_sym_BSLASHmte] = ACTIONS(5236),
    [anon_sym_BSLASHms] = ACTIONS(5236),
    [anon_sym_BSLASHs] = ACTIONS(5236),
    [anon_sym_BSLASHr] = ACTIONS(5236),
    [anon_sym_BSLASHsp] = ACTIONS(5236),
    [anon_sym_BSLASHd] = ACTIONS(5236),
    [anon_sym_BSLASHsd] = ACTIONS(5236),
    [anon_sym_BSLASHp] = ACTIONS(5236),
    [anon_sym_BSLASHm] = ACTIONS(5236),
    [anon_sym_BSLASHpo] = ACTIONS(5236),
    [anon_sym_BSLASHpr] = ACTIONS(5236),
    [anon_sym_BSLASHcls] = ACTIONS(5236),
    [anon_sym_BSLASHpmo] = ACTIONS(5236),
    [anon_sym_BSLASHpm] = ACTIONS(5236),
    [anon_sym_BSLASHpmc] = ACTIONS(5236),
    [anon_sym_BSLASHpmr] = ACTIONS(5236),
    [anon_sym_BSLASHpi] = ACTIONS(5236),
    [anon_sym_BSLASHmi] = ACTIONS(5236),
    [anon_sym_BSLASHnb] = ACTIONS(5236),
    [anon_sym_BSLASHpc] = ACTIONS(5236),
    [anon_sym_BSLASHph] = ACTIONS(5236),
    [anon_sym_BSLASHb] = ACTIONS(5236),
    [anon_sym_BSLASHq] = ACTIONS(5236),
    [anon_sym_BSLASHqr] = ACTIONS(5236),
    [anon_sym_BSLASHqc] = ACTIONS(5236),
    [anon_sym_BSLASHqs] = ACTIONS(5236),
    [anon_sym_BSLASHqa] = ACTIONS(5236),
    [anon_sym_BSLASHqac] = ACTIONS(5236),
    [anon_sym_BSLASHqm] = ACTIONS(5236),
    [anon_sym_BSLASHqd] = ACTIONS(5236),
    [anon_sym_BSLASHlh] = ACTIONS(5236),
    [anon_sym_BSLASHli] = ACTIONS(5236),
    [anon_sym_BSLASHlim] = ACTIONS(5236),
    [anon_sym_BSLASHtr] = ACTIONS(5236),
    [anon_sym_BSLASHf] = ACTIONS(5236),
    [anon_sym_BSLASHfe] = ACTIONS(5236),
    [anon_sym_BSLASHef] = ACTIONS(5236),
    [anon_sym_BSLASHfm] = ACTIONS(5236),
    [anon_sym_BSLASHx] = ACTIONS(5236),
    [anon_sym_BSLASHxt] = ACTIONS(5236),
    [anon_sym_BSLASHrq] = ACTIONS(5236),
    [anon_sym_BSLASHadd] = ACTIONS(5236),
    [anon_sym_BSLASHbk] = ACTIONS(5236),
    [anon_sym_BSLASHdc] = ACTIONS(5236),
    [anon_sym_BSLASHk] = ACTIONS(5236),
    [anon_sym_BSLASHnd] = ACTIONS(5236),
    [anon_sym_BSLASHord] = ACTIONS(5236),
    [anon_sym_BSLASHpn] = ACTIONS(5236),
    [anon_sym_BSLASHpng] = ACTIONS(5236),
    [anon_sym_BSLASHaddpn] = ACTIONS(5236),
    [anon_sym_BSLASHqt] = ACTIONS(5236),
    [anon_sym_BSLASHsig] = ACTIONS(5236),
    [anon_sym_BSLASHsls] = ACTIONS(5236),
    [anon_sym_BSLASHtl] = ACTIONS(5236),
    [anon_sym_BSLASHwj] = ACTIONS(5236),
    [anon_sym_BSLASHem] = ACTIONS(5236),
    [anon_sym_BSLASHbd] = ACTIONS(5236),
    [anon_sym_BSLASHit] = ACTIONS(5236),
    [anon_sym_BSLASHbdit] = ACTIONS(5236),
    [anon_sym_BSLASHno] = ACTIONS(5236),
    [anon_sym_BSLASHsc] = ACTIONS(5236),
    [anon_sym_BSLASHsup] = ACTIONS(5236),
    [anon_sym_BSLASHndx] = ACTIONS(5236),
    [anon_sym_BSLASHpro] = ACTIONS(5236),
    [anon_sym_BSLASHrb] = ACTIONS(5236),
    [anon_sym_BSLASHw] = ACTIONS(5236),
    [anon_sym_BSLASHwg] = ACTIONS(5236),
    [anon_sym_BSLASHwh] = ACTIONS(5236),
    [anon_sym_BSLASHwa] = ACTIONS(5236),
    [anon_sym_BSLASHfig] = ACTIONS(5236),
    [anon_sym_BSLASHjmp] = ACTIONS(5236),
    [anon_sym_BSLASHpb] = ACTIONS(5236),
    [anon_sym_BSLASH] = ACTIONS(5236),
    [anon_sym_BSLASH_STAR] = ACTIONS(5494),
    [sym_milestoneStartTag] = ACTIONS(5236),
    [sym_milestoneEndTag] = ACTIONS(5236),
    [sym_zSpaceTag] = ACTIONS(5236),
    [sym__zSpaceClose] = ACTIONS(5496),
    [anon_sym_BSLASHesbe] = ACTIONS(5236),
    [anon_sym_BSLASHcat] = ACTIONS(5236),
    [anon_sym_PIPE] = ACTIONS(5052),
  },
  [548] = {
    [aux_sym_text_token1] = ACTIONS(3060),
    [anon_sym_BSLASHref] = ACTIONS(3062),
    [anon_sym_BSLASHsts] = ACTIONS(3062),
    [anon_sym_BSLASHrem] = ACTIONS(3062),
    [anon_sym_BSLASHrestore] = ACTIONS(3062),
    [anon_sym_BSLASHlit] = ACTIONS(3062),
    [anon_sym_BSLASHip] = ACTIONS(3062),
    [anon_sym_BSLASHv] = ACTIONS(3062),
    [anon_sym_BSLASHva] = ACTIONS(3062),
    [anon_sym_BSLASHvp] = ACTIONS(3062),
    [anon_sym_BSLASHmte] = ACTIONS(3062),
    [anon_sym_BSLASHms] = ACTIONS(3062),
    [anon_sym_BSLASHmr] = ACTIONS(3062),
    [anon_sym_BSLASHs] = ACTIONS(3062),
    [anon_sym_BSLASHsr] = ACTIONS(3062),
    [anon_sym_BSLASHr] = ACTIONS(3062),
    [anon_sym_BSLASHsp] = ACTIONS(3062),
    [anon_sym_BSLASHd] = ACTIONS(3062),
    [anon_sym_BSLASHsd] = ACTIONS(3062),
    [anon_sym_BSLASHp] = ACTIONS(3062),
    [anon_sym_BSLASHm] = ACTIONS(3062),
    [anon_sym_BSLASHpo] = ACTIONS(3062),
    [anon_sym_BSLASHpr] = ACTIONS(3062),
    [anon_sym_BSLASHcls] = ACTIONS(3062),
    [anon_sym_BSLASHpmo] = ACTIONS(3062),
    [anon_sym_BSLASHpm] = ACTIONS(3062),
    [anon_sym_BSLASHpmc] = ACTIONS(3062),
    [anon_sym_BSLASHpmr] = ACTIONS(3062),
    [anon_sym_BSLASHpi] = ACTIONS(3062),
    [anon_sym_BSLASHmi] = ACTIONS(3062),
    [anon_sym_BSLASHnb] = ACTIONS(3062),
    [anon_sym_BSLASHpc] = ACTIONS(3062),
    [anon_sym_BSLASHph] = ACTIONS(3062),
    [anon_sym_BSLASHb] = ACTIONS(3062),
    [anon_sym_BSLASHq] = ACTIONS(3062),
    [anon_sym_BSLASHqr] = ACTIONS(3062),
    [anon_sym_BSLASHqc] = ACTIONS(3062),
    [anon_sym_BSLASHqa] = ACTIONS(3062),
    [anon_sym_BSLASHqm] = ACTIONS(3062),
    [anon_sym_BSLASHqd] = ACTIONS(3062),
    [anon_sym_BSLASHlh] = ACTIONS(3062),
    [anon_sym_BSLASHlf] = ACTIONS(3062),
    [anon_sym_BSLASHli] = ACTIONS(3062),
    [anon_sym_BSLASHlim] = ACTIONS(3062),
    [anon_sym_BSLASHliv] = ACTIONS(3062),
    [anon_sym_BSLASHlik] = ACTIONS(3062),
    [anon_sym_BSLASHlitl] = ACTIONS(3062),
    [anon_sym_BSLASHtr] = ACTIONS(3062),
    [anon_sym_BSLASHf] = ACTIONS(3062),
    [anon_sym_BSLASHfe] = ACTIONS(3062),
    [anon_sym_BSLASHef] = ACTIONS(3062),
    [anon_sym_BSLASHfm] = ACTIONS(3062),
    [anon_sym_BSLASHx] = ACTIONS(3062),
    [anon_sym_BSLASHxt] = ACTIONS(3062),
    [anon_sym_BSLASHrq] = ACTIONS(3062),
    [anon_sym_BSLASHadd] = ACTIONS(3062),
    [anon_sym_BSLASHbk] = ACTIONS(3062),
    [anon_sym_BSLASHdc] = ACTIONS(3062),
    [anon_sym_BSLASHk] = ACTIONS(3062),
    [anon_sym_BSLASHnd] = ACTIONS(3062),
    [anon_sym_BSLASHord] = ACTIONS(3062),
    [anon_sym_BSLASHpn] = ACTIONS(3062),
    [anon_sym_BSLASHpng] = ACTIONS(3062),
    [anon_sym_BSLASHaddpn] = ACTIONS(3062),
    [anon_sym_BSLASHqt] = ACTIONS(3062),
    [anon_sym_BSLASHsig] = ACTIONS(3062),
    [anon_sym_BSLASHsls] = ACTIONS(3062),
    [anon_sym_BSLASHtl] = ACTIONS(3062),
    [anon_sym_BSLASHwj] = ACTIONS(3062),
    [anon_sym_BSLASHem] = ACTIONS(3062),
    [anon_sym_BSLASHbd] = ACTIONS(3062),
    [anon_sym_BSLASHit] = ACTIONS(3062),
    [anon_sym_BSLASHbdit] = ACTIONS(3062),
    [anon_sym_BSLASHno] = ACTIONS(3062),
    [anon_sym_BSLASHsc] = ACTIONS(3062),
    [anon_sym_BSLASHsup] = ACTIONS(3062),
    [anon_sym_BSLASHndx] = ACTIONS(3062),
    [anon_sym_BSLASHpro] = ACTIONS(3062),
    [anon_sym_BSLASHrb] = ACTIONS(3062),
    [anon_sym_BSLASHw] = ACTIONS(3062),
    [anon_sym_BSLASHwg] = ACTIONS(3062),
    [anon_sym_BSLASHwh] = ACTIONS(3062),
    [anon_sym_BSLASHwa] = ACTIONS(3062),
    [anon_sym_BSLASHfig] = ACTIONS(3062),
    [anon_sym_BSLASHjmp] = ACTIONS(3062),
    [anon_sym_BSLASHpb] = ACTIONS(3062),
    [anon_sym_BSLASH] = ACTIONS(3062),
    [sym_milestoneStartTag] = ACTIONS(3062),
    [sym_milestoneEndTag] = ACTIONS(3062),
    [sym_zSpaceTag] = ACTIONS(3062),
    [anon_sym_BSLASHesbe] = ACTIONS(3062),
    [anon_sym_BSLASHcat] = ACTIONS(3062),
  },
  [549] = {
    [aux_sym_text_token1] = ACTIONS(3072),
    [anon_sym_BSLASHref] = ACTIONS(3074),
    [anon_sym_BSLASHsts] = ACTIONS(3074),
    [anon_sym_BSLASHrem] = ACTIONS(3074),
    [anon_sym_BSLASHrestore] = ACTIONS(3074),
    [anon_sym_BSLASHlit] = ACTIONS(3074),
    [anon_sym_BSLASHip] = ACTIONS(3074),
    [anon_sym_BSLASHv] = ACTIONS(3074),
    [anon_sym_BSLASHva] = ACTIONS(3074),
    [anon_sym_BSLASHvp] = ACTIONS(3074),
    [anon_sym_BSLASHmte] = ACTIONS(3074),
    [anon_sym_BSLASHms] = ACTIONS(3074),
    [anon_sym_BSLASHmr] = ACTIONS(3074),
    [anon_sym_BSLASHs] = ACTIONS(3074),
    [anon_sym_BSLASHsr] = ACTIONS(3074),
    [anon_sym_BSLASHr] = ACTIONS(3074),
    [anon_sym_BSLASHsp] = ACTIONS(3074),
    [anon_sym_BSLASHd] = ACTIONS(3074),
    [anon_sym_BSLASHsd] = ACTIONS(3074),
    [anon_sym_BSLASHp] = ACTIONS(3074),
    [anon_sym_BSLASHm] = ACTIONS(3074),
    [anon_sym_BSLASHpo] = ACTIONS(3074),
    [anon_sym_BSLASHpr] = ACTIONS(3074),
    [anon_sym_BSLASHcls] = ACTIONS(3074),
    [anon_sym_BSLASHpmo] = ACTIONS(3074),
    [anon_sym_BSLASHpm] = ACTIONS(3074),
    [anon_sym_BSLASHpmc] = ACTIONS(3074),
    [anon_sym_BSLASHpmr] = ACTIONS(3074),
    [anon_sym_BSLASHpi] = ACTIONS(3074),
    [anon_sym_BSLASHmi] = ACTIONS(3074),
    [anon_sym_BSLASHnb] = ACTIONS(3074),
    [anon_sym_BSLASHpc] = ACTIONS(3074),
    [anon_sym_BSLASHph] = ACTIONS(3074),
    [anon_sym_BSLASHb] = ACTIONS(3074),
    [anon_sym_BSLASHq] = ACTIONS(3074),
    [anon_sym_BSLASHqr] = ACTIONS(3074),
    [anon_sym_BSLASHqc] = ACTIONS(3074),
    [anon_sym_BSLASHqa] = ACTIONS(3074),
    [anon_sym_BSLASHqm] = ACTIONS(3074),
    [anon_sym_BSLASHqd] = ACTIONS(3074),
    [anon_sym_BSLASHlh] = ACTIONS(3074),
    [anon_sym_BSLASHlf] = ACTIONS(3074),
    [anon_sym_BSLASHli] = ACTIONS(3074),
    [anon_sym_BSLASHlim] = ACTIONS(3074),
    [anon_sym_BSLASHliv] = ACTIONS(3074),
    [anon_sym_BSLASHlik] = ACTIONS(3074),
    [anon_sym_BSLASHlitl] = ACTIONS(3074),
    [anon_sym_BSLASHtr] = ACTIONS(3074),
    [anon_sym_BSLASHf] = ACTIONS(3074),
    [anon_sym_BSLASHfe] = ACTIONS(3074),
    [anon_sym_BSLASHef] = ACTIONS(3074),
    [anon_sym_BSLASHfm] = ACTIONS(3074),
    [anon_sym_BSLASHx] = ACTIONS(3074),
    [anon_sym_BSLASHxt] = ACTIONS(3074),
    [anon_sym_BSLASHrq] = ACTIONS(3074),
    [anon_sym_BSLASHadd] = ACTIONS(3074),
    [anon_sym_BSLASHbk] = ACTIONS(3074),
    [anon_sym_BSLASHdc] = ACTIONS(3074),
    [anon_sym_BSLASHk] = ACTIONS(3074),
    [anon_sym_BSLASHnd] = ACTIONS(3074),
    [anon_sym_BSLASHord] = ACTIONS(3074),
    [anon_sym_BSLASHpn] = ACTIONS(3074),
    [anon_sym_BSLASHpng] = ACTIONS(3074),
    [anon_sym_BSLASHaddpn] = ACTIONS(3074),
    [anon_sym_BSLASHqt] = ACTIONS(3074),
    [anon_sym_BSLASHsig] = ACTIONS(3074),
    [anon_sym_BSLASHsls] = ACTIONS(3074),
    [anon_sym_BSLASHtl] = ACTIONS(3074),
    [anon_sym_BSLASHwj] = ACTIONS(3074),
    [anon_sym_BSLASHem] = ACTIONS(3074),
    [anon_sym_BSLASHbd] = ACTIONS(3074),
    [anon_sym_BSLASHit] = ACTIONS(3074),
    [anon_sym_BSLASHbdit] = ACTIONS(3074),
    [anon_sym_BSLASHno] = ACTIONS(3074),
    [anon_sym_BSLASHsc] = ACTIONS(3074),
    [anon_sym_BSLASHsup] = ACTIONS(3074),
    [anon_sym_BSLASHndx] = ACTIONS(3074),
    [anon_sym_BSLASHpro] = ACTIONS(3074),
    [anon_sym_BSLASHrb] = ACTIONS(3074),
    [anon_sym_BSLASHw] = ACTIONS(3074),
    [anon_sym_BSLASHwg] = ACTIONS(3074),
    [anon_sym_BSLASHwh] = ACTIONS(3074),
    [anon_sym_BSLASHwa] = ACTIONS(3074),
    [anon_sym_BSLASHfig] = ACTIONS(3074),
    [anon_sym_BSLASHjmp] = ACTIONS(3074),
    [anon_sym_BSLASHpb] = ACTIONS(3074),
    [anon_sym_BSLASH] = ACTIONS(3074),
    [sym_milestoneStartTag] = ACTIONS(3074),
    [sym_milestoneEndTag] = ACTIONS(3074),
    [sym_zSpaceTag] = ACTIONS(3074),
    [anon_sym_BSLASHesbe] = ACTIONS(3074),
    [anon_sym_BSLASHcat] = ACTIONS(3074),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(5498),
    [aux_sym_text_token1] = ACTIONS(5498),
    [anon_sym_BSLASHref] = ACTIONS(5500),
    [anon_sym_BSLASHsts] = ACTIONS(5500),
    [anon_sym_BSLASHrem] = ACTIONS(5500),
    [anon_sym_BSLASHrestore] = ACTIONS(5500),
    [anon_sym_BSLASHlit] = ACTIONS(5500),
    [anon_sym_BSLASHip] = ACTIONS(5500),
    [anon_sym_BSLASHiex] = ACTIONS(5500),
    [anon_sym_BSLASHv] = ACTIONS(5500),
    [anon_sym_BSLASHva] = ACTIONS(5500),
    [anon_sym_BSLASHvp] = ACTIONS(5500),
    [anon_sym_BSLASHc] = ACTIONS(5500),
    [anon_sym_BSLASHcl] = ACTIONS(5500),
    [anon_sym_BSLASHca] = ACTIONS(5500),
    [anon_sym_BSLASHcp] = ACTIONS(5500),
    [anon_sym_BSLASHcd] = ACTIONS(5500),
    [anon_sym_BSLASHmte] = ACTIONS(5500),
    [anon_sym_BSLASHms] = ACTIONS(5500),
    [anon_sym_BSLASHs] = ACTIONS(5500),
    [anon_sym_BSLASHr] = ACTIONS(5500),
    [anon_sym_BSLASHsp] = ACTIONS(5500),
    [anon_sym_BSLASHd] = ACTIONS(5500),
    [anon_sym_BSLASHsd] = ACTIONS(5500),
    [anon_sym_BSLASHp] = ACTIONS(5500),
    [anon_sym_BSLASHm] = ACTIONS(5500),
    [anon_sym_BSLASHpo] = ACTIONS(5500),
    [anon_sym_BSLASHpr] = ACTIONS(5500),
    [anon_sym_BSLASHcls] = ACTIONS(5500),
    [anon_sym_BSLASHpmo] = ACTIONS(5500),
    [anon_sym_BSLASHpm] = ACTIONS(5500),
    [anon_sym_BSLASHpmc] = ACTIONS(5500),
    [anon_sym_BSLASHpmr] = ACTIONS(5500),
    [anon_sym_BSLASHpi] = ACTIONS(5500),
    [anon_sym_BSLASHmi] = ACTIONS(5500),
    [anon_sym_BSLASHnb] = ACTIONS(5500),
    [anon_sym_BSLASHpc] = ACTIONS(5500),
    [anon_sym_BSLASHph] = ACTIONS(5500),
    [anon_sym_BSLASHb] = ACTIONS(5500),
    [anon_sym_BSLASHq] = ACTIONS(5500),
    [anon_sym_BSLASHqr] = ACTIONS(5500),
    [anon_sym_BSLASHqc] = ACTIONS(5500),
    [anon_sym_BSLASHqa] = ACTIONS(5500),
    [anon_sym_BSLASHqm] = ACTIONS(5500),
    [anon_sym_BSLASHqd] = ACTIONS(5500),
    [anon_sym_BSLASHlh] = ACTIONS(5500),
    [anon_sym_BSLASHli] = ACTIONS(5500),
    [anon_sym_BSLASHlim] = ACTIONS(5500),
    [anon_sym_BSLASHtr] = ACTIONS(5500),
    [anon_sym_BSLASHf] = ACTIONS(5500),
    [anon_sym_BSLASHfe] = ACTIONS(5500),
    [anon_sym_BSLASHef] = ACTIONS(5500),
    [anon_sym_BSLASHfm] = ACTIONS(5500),
    [anon_sym_BSLASHx] = ACTIONS(5500),
    [anon_sym_BSLASHxt] = ACTIONS(5500),
    [anon_sym_BSLASHrq] = ACTIONS(5500),
    [anon_sym_BSLASHadd] = ACTIONS(5500),
    [anon_sym_BSLASHbk] = ACTIONS(5500),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5500),
    [anon_sym_BSLASHnd] = ACTIONS(5500),
    [anon_sym_BSLASHord] = ACTIONS(5500),
    [anon_sym_BSLASHpn] = ACTIONS(5500),
    [anon_sym_BSLASHpng] = ACTIONS(5500),
    [anon_sym_BSLASHaddpn] = ACTIONS(5500),
    [anon_sym_BSLASHqt] = ACTIONS(5500),
    [anon_sym_BSLASHsig] = ACTIONS(5500),
    [anon_sym_BSLASHsls] = ACTIONS(5500),
    [anon_sym_BSLASHtl] = ACTIONS(5500),
    [anon_sym_BSLASHwj] = ACTIONS(5500),
    [anon_sym_BSLASHem] = ACTIONS(5500),
    [anon_sym_BSLASHbd] = ACTIONS(5500),
    [anon_sym_BSLASHit] = ACTIONS(5500),
    [anon_sym_BSLASHbdit] = ACTIONS(5500),
    [anon_sym_BSLASHno] = ACTIONS(5500),
    [anon_sym_BSLASHsc] = ACTIONS(5500),
    [anon_sym_BSLASHsup] = ACTIONS(5500),
    [anon_sym_BSLASHndx] = ACTIONS(5500),
    [anon_sym_BSLASHpro] = ACTIONS(5500),
    [anon_sym_BSLASHrb] = ACTIONS(5500),
    [anon_sym_BSLASHw] = ACTIONS(5500),
    [anon_sym_BSLASHwg] = ACTIONS(5500),
    [anon_sym_BSLASHwh] = ACTIONS(5500),
    [anon_sym_BSLASHwa] = ACTIONS(5500),
    [anon_sym_BSLASHfig] = ACTIONS(5500),
    [anon_sym_BSLASHjmp] = ACTIONS(5500),
    [anon_sym_BSLASHpb] = ACTIONS(5500),
    [anon_sym_BSLASH] = ACTIONS(5500),
    [sym_milestoneStartTag] = ACTIONS(5500),
    [sym_milestoneEndTag] = ACTIONS(5500),
    [sym_zSpaceTag] = ACTIONS(5500),
    [anon_sym_BSLASHesb] = ACTIONS(5500),
  },
  [551] = {
    [aux_sym_text_token1] = ACTIONS(3096),
    [anon_sym_BSLASHref] = ACTIONS(3098),
    [anon_sym_BSLASHsts] = ACTIONS(3098),
    [anon_sym_BSLASHrem] = ACTIONS(3098),
    [anon_sym_BSLASHrestore] = ACTIONS(3098),
    [anon_sym_BSLASHlit] = ACTIONS(3098),
    [anon_sym_BSLASHip] = ACTIONS(3098),
    [anon_sym_BSLASHv] = ACTIONS(3098),
    [anon_sym_BSLASHva] = ACTIONS(3098),
    [anon_sym_BSLASHvp] = ACTIONS(3098),
    [anon_sym_BSLASHmte] = ACTIONS(3098),
    [anon_sym_BSLASHms] = ACTIONS(3098),
    [anon_sym_BSLASHmr] = ACTIONS(3098),
    [anon_sym_BSLASHs] = ACTIONS(3098),
    [anon_sym_BSLASHsr] = ACTIONS(3098),
    [anon_sym_BSLASHr] = ACTIONS(3098),
    [anon_sym_BSLASHsp] = ACTIONS(3098),
    [anon_sym_BSLASHd] = ACTIONS(3098),
    [anon_sym_BSLASHsd] = ACTIONS(3098),
    [anon_sym_BSLASHp] = ACTIONS(3098),
    [anon_sym_BSLASHm] = ACTIONS(3098),
    [anon_sym_BSLASHpo] = ACTIONS(3098),
    [anon_sym_BSLASHpr] = ACTIONS(3098),
    [anon_sym_BSLASHcls] = ACTIONS(3098),
    [anon_sym_BSLASHpmo] = ACTIONS(3098),
    [anon_sym_BSLASHpm] = ACTIONS(3098),
    [anon_sym_BSLASHpmc] = ACTIONS(3098),
    [anon_sym_BSLASHpmr] = ACTIONS(3098),
    [anon_sym_BSLASHpi] = ACTIONS(3098),
    [anon_sym_BSLASHmi] = ACTIONS(3098),
    [anon_sym_BSLASHnb] = ACTIONS(3098),
    [anon_sym_BSLASHpc] = ACTIONS(3098),
    [anon_sym_BSLASHph] = ACTIONS(3098),
    [anon_sym_BSLASHb] = ACTIONS(3098),
    [anon_sym_BSLASHq] = ACTIONS(3098),
    [anon_sym_BSLASHqr] = ACTIONS(3098),
    [anon_sym_BSLASHqc] = ACTIONS(3098),
    [anon_sym_BSLASHqa] = ACTIONS(3098),
    [anon_sym_BSLASHqm] = ACTIONS(3098),
    [anon_sym_BSLASHqd] = ACTIONS(3098),
    [anon_sym_BSLASHlh] = ACTIONS(3098),
    [anon_sym_BSLASHlf] = ACTIONS(3098),
    [anon_sym_BSLASHli] = ACTIONS(3098),
    [anon_sym_BSLASHlim] = ACTIONS(3098),
    [anon_sym_BSLASHliv] = ACTIONS(3098),
    [anon_sym_BSLASHlik] = ACTIONS(3098),
    [anon_sym_BSLASHlitl] = ACTIONS(3098),
    [anon_sym_BSLASHtr] = ACTIONS(3098),
    [anon_sym_BSLASHf] = ACTIONS(3098),
    [anon_sym_BSLASHfe] = ACTIONS(3098),
    [anon_sym_BSLASHef] = ACTIONS(3098),
    [anon_sym_BSLASHfm] = ACTIONS(3098),
    [anon_sym_BSLASHx] = ACTIONS(3098),
    [anon_sym_BSLASHxt] = ACTIONS(3098),
    [anon_sym_BSLASHrq] = ACTIONS(3098),
    [anon_sym_BSLASHadd] = ACTIONS(3098),
    [anon_sym_BSLASHbk] = ACTIONS(3098),
    [anon_sym_BSLASHdc] = ACTIONS(3098),
    [anon_sym_BSLASHk] = ACTIONS(3098),
    [anon_sym_BSLASHnd] = ACTIONS(3098),
    [anon_sym_BSLASHord] = ACTIONS(3098),
    [anon_sym_BSLASHpn] = ACTIONS(3098),
    [anon_sym_BSLASHpng] = ACTIONS(3098),
    [anon_sym_BSLASHaddpn] = ACTIONS(3098),
    [anon_sym_BSLASHqt] = ACTIONS(3098),
    [anon_sym_BSLASHsig] = ACTIONS(3098),
    [anon_sym_BSLASHsls] = ACTIONS(3098),
    [anon_sym_BSLASHtl] = ACTIONS(3098),
    [anon_sym_BSLASHwj] = ACTIONS(3098),
    [anon_sym_BSLASHem] = ACTIONS(3098),
    [anon_sym_BSLASHbd] = ACTIONS(3098),
    [anon_sym_BSLASHit] = ACTIONS(3098),
    [anon_sym_BSLASHbdit] = ACTIONS(3098),
    [anon_sym_BSLASHno] = ACTIONS(3098),
    [anon_sym_BSLASHsc] = ACTIONS(3098),
    [anon_sym_BSLASHsup] = ACTIONS(3098),
    [anon_sym_BSLASHndx] = ACTIONS(3098),
    [anon_sym_BSLASHpro] = ACTIONS(3098),
    [anon_sym_BSLASHrb] = ACTIONS(3098),
    [anon_sym_BSLASHw] = ACTIONS(3098),
    [anon_sym_BSLASHwg] = ACTIONS(3098),
    [anon_sym_BSLASHwh] = ACTIONS(3098),
    [anon_sym_BSLASHwa] = ACTIONS(3098),
    [anon_sym_BSLASHfig] = ACTIONS(3098),
    [anon_sym_BSLASHjmp] = ACTIONS(3098),
    [anon_sym_BSLASHpb] = ACTIONS(3098),
    [anon_sym_BSLASH] = ACTIONS(3098),
    [sym_milestoneStartTag] = ACTIONS(3098),
    [sym_milestoneEndTag] = ACTIONS(3098),
    [sym_zSpaceTag] = ACTIONS(3098),
    [anon_sym_BSLASHesbe] = ACTIONS(3098),
    [anon_sym_BSLASHcat] = ACTIONS(3098),
  },
  [552] = {
    [sym__verseMeta] = STATE(562),
    [sym_va] = STATE(562),
    [sym_vp] = STATE(562),
    [aux_sym_v_repeat1] = STATE(562),
    [aux_sym_text_token1] = ACTIONS(5242),
    [anon_sym_BSLASHref] = ACTIONS(5244),
    [anon_sym_BSLASHsts] = ACTIONS(5244),
    [anon_sym_BSLASHrem] = ACTIONS(5244),
    [anon_sym_BSLASHrestore] = ACTIONS(5244),
    [anon_sym_BSLASHlit] = ACTIONS(5244),
    [anon_sym_BSLASHip] = ACTIONS(5244),
    [anon_sym_BSLASHv] = ACTIONS(5244),
    [anon_sym_BSLASHva] = ACTIONS(1703),
    [anon_sym_BSLASHvp] = ACTIONS(1705),
    [anon_sym_BSLASHmte] = ACTIONS(5244),
    [anon_sym_BSLASHms] = ACTIONS(5244),
    [anon_sym_BSLASHs] = ACTIONS(5244),
    [anon_sym_BSLASHr] = ACTIONS(5244),
    [anon_sym_BSLASHsp] = ACTIONS(5244),
    [anon_sym_BSLASHd] = ACTIONS(5244),
    [anon_sym_BSLASHsd] = ACTIONS(5244),
    [anon_sym_BSLASHp] = ACTIONS(5244),
    [anon_sym_BSLASHm] = ACTIONS(5244),
    [anon_sym_BSLASHpo] = ACTIONS(5244),
    [anon_sym_BSLASHpr] = ACTIONS(5244),
    [anon_sym_BSLASHcls] = ACTIONS(5244),
    [anon_sym_BSLASHpmo] = ACTIONS(5244),
    [anon_sym_BSLASHpm] = ACTIONS(5244),
    [anon_sym_BSLASHpmc] = ACTIONS(5244),
    [anon_sym_BSLASHpmr] = ACTIONS(5244),
    [anon_sym_BSLASHpi] = ACTIONS(5244),
    [anon_sym_BSLASHmi] = ACTIONS(5244),
    [anon_sym_BSLASHnb] = ACTIONS(5244),
    [anon_sym_BSLASHpc] = ACTIONS(5244),
    [anon_sym_BSLASHph] = ACTIONS(5244),
    [anon_sym_BSLASHb] = ACTIONS(5244),
    [anon_sym_BSLASHq] = ACTIONS(5244),
    [anon_sym_BSLASHqr] = ACTIONS(5244),
    [anon_sym_BSLASHqc] = ACTIONS(5244),
    [anon_sym_BSLASHqs] = ACTIONS(5244),
    [anon_sym_BSLASHqa] = ACTIONS(5244),
    [anon_sym_BSLASHqac] = ACTIONS(5244),
    [anon_sym_BSLASHqm] = ACTIONS(5244),
    [anon_sym_BSLASHqd] = ACTIONS(5244),
    [anon_sym_BSLASHlh] = ACTIONS(5244),
    [anon_sym_BSLASHli] = ACTIONS(5244),
    [anon_sym_BSLASHlim] = ACTIONS(5244),
    [anon_sym_BSLASHtr] = ACTIONS(5244),
    [anon_sym_BSLASHf] = ACTIONS(5244),
    [anon_sym_BSLASHfe] = ACTIONS(5244),
    [anon_sym_BSLASHef] = ACTIONS(5244),
    [anon_sym_BSLASHfm] = ACTIONS(5244),
    [anon_sym_BSLASHx] = ACTIONS(5244),
    [anon_sym_BSLASHxt] = ACTIONS(5244),
    [anon_sym_BSLASHrq] = ACTIONS(5244),
    [anon_sym_BSLASHadd] = ACTIONS(5244),
    [anon_sym_BSLASHbk] = ACTIONS(5244),
    [anon_sym_BSLASHdc] = ACTIONS(5244),
    [anon_sym_BSLASHk] = ACTIONS(5244),
    [anon_sym_BSLASHnd] = ACTIONS(5244),
    [anon_sym_BSLASHord] = ACTIONS(5244),
    [anon_sym_BSLASHpn] = ACTIONS(5244),
    [anon_sym_BSLASHpng] = ACTIONS(5244),
    [anon_sym_BSLASHaddpn] = ACTIONS(5244),
    [anon_sym_BSLASHqt] = ACTIONS(5244),
    [anon_sym_BSLASHsig] = ACTIONS(5244),
    [anon_sym_BSLASHsls] = ACTIONS(5244),
    [anon_sym_BSLASHtl] = ACTIONS(5244),
    [anon_sym_BSLASHwj] = ACTIONS(5244),
    [anon_sym_BSLASHem] = ACTIONS(5244),
    [anon_sym_BSLASHbd] = ACTIONS(5244),
    [anon_sym_BSLASHit] = ACTIONS(5244),
    [anon_sym_BSLASHbdit] = ACTIONS(5244),
    [anon_sym_BSLASHno] = ACTIONS(5244),
    [anon_sym_BSLASHsc] = ACTIONS(5244),
    [anon_sym_BSLASHsup] = ACTIONS(5244),
    [anon_sym_BSLASHndx] = ACTIONS(5244),
    [anon_sym_BSLASHpro] = ACTIONS(5244),
    [anon_sym_BSLASHrb] = ACTIONS(5244),
    [anon_sym_BSLASHw] = ACTIONS(5244),
    [anon_sym_BSLASHwg] = ACTIONS(5244),
    [anon_sym_BSLASHwh] = ACTIONS(5244),
    [anon_sym_BSLASHwa] = ACTIONS(5244),
    [anon_sym_BSLASHfig] = ACTIONS(5244),
    [anon_sym_BSLASHjmp] = ACTIONS(5244),
    [anon_sym_BSLASHpb] = ACTIONS(5244),
    [anon_sym_BSLASH] = ACTIONS(5244),
    [sym_milestoneStartTag] = ACTIONS(5244),
    [sym_milestoneEndTag] = ACTIONS(5244),
    [sym_zSpaceTag] = ACTIONS(5244),
    [anon_sym_BSLASHesbe] = ACTIONS(5244),
    [anon_sym_BSLASHcat] = ACTIONS(5244),
  },
  [553] = {
    [aux_sym_text_token1] = ACTIONS(3064),
    [anon_sym_BSLASHref] = ACTIONS(3066),
    [anon_sym_BSLASHsts] = ACTIONS(3066),
    [anon_sym_BSLASHrem] = ACTIONS(3066),
    [anon_sym_BSLASHrestore] = ACTIONS(3066),
    [anon_sym_BSLASHlit] = ACTIONS(3066),
    [anon_sym_BSLASHip] = ACTIONS(3066),
    [anon_sym_BSLASHv] = ACTIONS(3066),
    [anon_sym_BSLASHva] = ACTIONS(3066),
    [anon_sym_BSLASHvp] = ACTIONS(3066),
    [anon_sym_BSLASHmte] = ACTIONS(3066),
    [anon_sym_BSLASHms] = ACTIONS(3066),
    [anon_sym_BSLASHmr] = ACTIONS(3066),
    [anon_sym_BSLASHs] = ACTIONS(3066),
    [anon_sym_BSLASHsr] = ACTIONS(3066),
    [anon_sym_BSLASHr] = ACTIONS(3066),
    [anon_sym_BSLASHsp] = ACTIONS(3066),
    [anon_sym_BSLASHd] = ACTIONS(3066),
    [anon_sym_BSLASHsd] = ACTIONS(3066),
    [anon_sym_BSLASHp] = ACTIONS(3066),
    [anon_sym_BSLASHm] = ACTIONS(3066),
    [anon_sym_BSLASHpo] = ACTIONS(3066),
    [anon_sym_BSLASHpr] = ACTIONS(3066),
    [anon_sym_BSLASHcls] = ACTIONS(3066),
    [anon_sym_BSLASHpmo] = ACTIONS(3066),
    [anon_sym_BSLASHpm] = ACTIONS(3066),
    [anon_sym_BSLASHpmc] = ACTIONS(3066),
    [anon_sym_BSLASHpmr] = ACTIONS(3066),
    [anon_sym_BSLASHpi] = ACTIONS(3066),
    [anon_sym_BSLASHmi] = ACTIONS(3066),
    [anon_sym_BSLASHnb] = ACTIONS(3066),
    [anon_sym_BSLASHpc] = ACTIONS(3066),
    [anon_sym_BSLASHph] = ACTIONS(3066),
    [anon_sym_BSLASHb] = ACTIONS(3066),
    [anon_sym_BSLASHq] = ACTIONS(3066),
    [anon_sym_BSLASHqr] = ACTIONS(3066),
    [anon_sym_BSLASHqc] = ACTIONS(3066),
    [anon_sym_BSLASHqa] = ACTIONS(3066),
    [anon_sym_BSLASHqm] = ACTIONS(3066),
    [anon_sym_BSLASHqd] = ACTIONS(3066),
    [anon_sym_BSLASHlh] = ACTIONS(3066),
    [anon_sym_BSLASHlf] = ACTIONS(3066),
    [anon_sym_BSLASHli] = ACTIONS(3066),
    [anon_sym_BSLASHlim] = ACTIONS(3066),
    [anon_sym_BSLASHliv] = ACTIONS(3066),
    [anon_sym_BSLASHlik] = ACTIONS(3066),
    [anon_sym_BSLASHlitl] = ACTIONS(3066),
    [anon_sym_BSLASHtr] = ACTIONS(3066),
    [anon_sym_BSLASHf] = ACTIONS(3066),
    [anon_sym_BSLASHfe] = ACTIONS(3066),
    [anon_sym_BSLASHef] = ACTIONS(3066),
    [anon_sym_BSLASHfm] = ACTIONS(3066),
    [anon_sym_BSLASHx] = ACTIONS(3066),
    [anon_sym_BSLASHxt] = ACTIONS(3066),
    [anon_sym_BSLASHrq] = ACTIONS(3066),
    [anon_sym_BSLASHadd] = ACTIONS(3066),
    [anon_sym_BSLASHbk] = ACTIONS(3066),
    [anon_sym_BSLASHdc] = ACTIONS(3066),
    [anon_sym_BSLASHk] = ACTIONS(3066),
    [anon_sym_BSLASHnd] = ACTIONS(3066),
    [anon_sym_BSLASHord] = ACTIONS(3066),
    [anon_sym_BSLASHpn] = ACTIONS(3066),
    [anon_sym_BSLASHpng] = ACTIONS(3066),
    [anon_sym_BSLASHaddpn] = ACTIONS(3066),
    [anon_sym_BSLASHqt] = ACTIONS(3066),
    [anon_sym_BSLASHsig] = ACTIONS(3066),
    [anon_sym_BSLASHsls] = ACTIONS(3066),
    [anon_sym_BSLASHtl] = ACTIONS(3066),
    [anon_sym_BSLASHwj] = ACTIONS(3066),
    [anon_sym_BSLASHem] = ACTIONS(3066),
    [anon_sym_BSLASHbd] = ACTIONS(3066),
    [anon_sym_BSLASHit] = ACTIONS(3066),
    [anon_sym_BSLASHbdit] = ACTIONS(3066),
    [anon_sym_BSLASHno] = ACTIONS(3066),
    [anon_sym_BSLASHsc] = ACTIONS(3066),
    [anon_sym_BSLASHsup] = ACTIONS(3066),
    [anon_sym_BSLASHndx] = ACTIONS(3066),
    [anon_sym_BSLASHpro] = ACTIONS(3066),
    [anon_sym_BSLASHrb] = ACTIONS(3066),
    [anon_sym_BSLASHw] = ACTIONS(3066),
    [anon_sym_BSLASHwg] = ACTIONS(3066),
    [anon_sym_BSLASHwh] = ACTIONS(3066),
    [anon_sym_BSLASHwa] = ACTIONS(3066),
    [anon_sym_BSLASHfig] = ACTIONS(3066),
    [anon_sym_BSLASHjmp] = ACTIONS(3066),
    [anon_sym_BSLASHpb] = ACTIONS(3066),
    [anon_sym_BSLASH] = ACTIONS(3066),
    [sym_milestoneStartTag] = ACTIONS(3066),
    [sym_milestoneEndTag] = ACTIONS(3066),
    [sym_zSpaceTag] = ACTIONS(3066),
    [anon_sym_BSLASHesbe] = ACTIONS(3066),
    [anon_sym_BSLASHcat] = ACTIONS(3066),
  },
  [554] = {
    [aux_sym_text_token1] = ACTIONS(3080),
    [anon_sym_BSLASHref] = ACTIONS(3082),
    [anon_sym_BSLASHsts] = ACTIONS(3082),
    [anon_sym_BSLASHrem] = ACTIONS(3082),
    [anon_sym_BSLASHrestore] = ACTIONS(3082),
    [anon_sym_BSLASHlit] = ACTIONS(3082),
    [anon_sym_BSLASHip] = ACTIONS(3082),
    [anon_sym_BSLASHv] = ACTIONS(3082),
    [anon_sym_BSLASHva] = ACTIONS(3082),
    [anon_sym_BSLASHvp] = ACTIONS(3082),
    [anon_sym_BSLASHmte] = ACTIONS(3082),
    [anon_sym_BSLASHms] = ACTIONS(3082),
    [anon_sym_BSLASHmr] = ACTIONS(3082),
    [anon_sym_BSLASHs] = ACTIONS(3082),
    [anon_sym_BSLASHsr] = ACTIONS(3082),
    [anon_sym_BSLASHr] = ACTIONS(3082),
    [anon_sym_BSLASHsp] = ACTIONS(3082),
    [anon_sym_BSLASHd] = ACTIONS(3082),
    [anon_sym_BSLASHsd] = ACTIONS(3082),
    [anon_sym_BSLASHp] = ACTIONS(3082),
    [anon_sym_BSLASHm] = ACTIONS(3082),
    [anon_sym_BSLASHpo] = ACTIONS(3082),
    [anon_sym_BSLASHpr] = ACTIONS(3082),
    [anon_sym_BSLASHcls] = ACTIONS(3082),
    [anon_sym_BSLASHpmo] = ACTIONS(3082),
    [anon_sym_BSLASHpm] = ACTIONS(3082),
    [anon_sym_BSLASHpmc] = ACTIONS(3082),
    [anon_sym_BSLASHpmr] = ACTIONS(3082),
    [anon_sym_BSLASHpi] = ACTIONS(3082),
    [anon_sym_BSLASHmi] = ACTIONS(3082),
    [anon_sym_BSLASHnb] = ACTIONS(3082),
    [anon_sym_BSLASHpc] = ACTIONS(3082),
    [anon_sym_BSLASHph] = ACTIONS(3082),
    [anon_sym_BSLASHb] = ACTIONS(3082),
    [anon_sym_BSLASHq] = ACTIONS(3082),
    [anon_sym_BSLASHqr] = ACTIONS(3082),
    [anon_sym_BSLASHqc] = ACTIONS(3082),
    [anon_sym_BSLASHqa] = ACTIONS(3082),
    [anon_sym_BSLASHqm] = ACTIONS(3082),
    [anon_sym_BSLASHqd] = ACTIONS(3082),
    [anon_sym_BSLASHlh] = ACTIONS(3082),
    [anon_sym_BSLASHlf] = ACTIONS(3082),
    [anon_sym_BSLASHli] = ACTIONS(3082),
    [anon_sym_BSLASHlim] = ACTIONS(3082),
    [anon_sym_BSLASHliv] = ACTIONS(3082),
    [anon_sym_BSLASHlik] = ACTIONS(3082),
    [anon_sym_BSLASHlitl] = ACTIONS(3082),
    [anon_sym_BSLASHtr] = ACTIONS(3082),
    [anon_sym_BSLASHf] = ACTIONS(3082),
    [anon_sym_BSLASHfe] = ACTIONS(3082),
    [anon_sym_BSLASHef] = ACTIONS(3082),
    [anon_sym_BSLASHfm] = ACTIONS(3082),
    [anon_sym_BSLASHx] = ACTIONS(3082),
    [anon_sym_BSLASHxt] = ACTIONS(3082),
    [anon_sym_BSLASHrq] = ACTIONS(3082),
    [anon_sym_BSLASHadd] = ACTIONS(3082),
    [anon_sym_BSLASHbk] = ACTIONS(3082),
    [anon_sym_BSLASHdc] = ACTIONS(3082),
    [anon_sym_BSLASHk] = ACTIONS(3082),
    [anon_sym_BSLASHnd] = ACTIONS(3082),
    [anon_sym_BSLASHord] = ACTIONS(3082),
    [anon_sym_BSLASHpn] = ACTIONS(3082),
    [anon_sym_BSLASHpng] = ACTIONS(3082),
    [anon_sym_BSLASHaddpn] = ACTIONS(3082),
    [anon_sym_BSLASHqt] = ACTIONS(3082),
    [anon_sym_BSLASHsig] = ACTIONS(3082),
    [anon_sym_BSLASHsls] = ACTIONS(3082),
    [anon_sym_BSLASHtl] = ACTIONS(3082),
    [anon_sym_BSLASHwj] = ACTIONS(3082),
    [anon_sym_BSLASHem] = ACTIONS(3082),
    [anon_sym_BSLASHbd] = ACTIONS(3082),
    [anon_sym_BSLASHit] = ACTIONS(3082),
    [anon_sym_BSLASHbdit] = ACTIONS(3082),
    [anon_sym_BSLASHno] = ACTIONS(3082),
    [anon_sym_BSLASHsc] = ACTIONS(3082),
    [anon_sym_BSLASHsup] = ACTIONS(3082),
    [anon_sym_BSLASHndx] = ACTIONS(3082),
    [anon_sym_BSLASHpro] = ACTIONS(3082),
    [anon_sym_BSLASHrb] = ACTIONS(3082),
    [anon_sym_BSLASHw] = ACTIONS(3082),
    [anon_sym_BSLASHwg] = ACTIONS(3082),
    [anon_sym_BSLASHwh] = ACTIONS(3082),
    [anon_sym_BSLASHwa] = ACTIONS(3082),
    [anon_sym_BSLASHfig] = ACTIONS(3082),
    [anon_sym_BSLASHjmp] = ACTIONS(3082),
    [anon_sym_BSLASHpb] = ACTIONS(3082),
    [anon_sym_BSLASH] = ACTIONS(3082),
    [sym_milestoneStartTag] = ACTIONS(3082),
    [sym_milestoneEndTag] = ACTIONS(3082),
    [sym_zSpaceTag] = ACTIONS(3082),
    [anon_sym_BSLASHesbe] = ACTIONS(3082),
    [anon_sym_BSLASHcat] = ACTIONS(3082),
  },
  [555] = {
    [aux_sym_text_token1] = ACTIONS(3088),
    [anon_sym_BSLASHref] = ACTIONS(3090),
    [anon_sym_BSLASHsts] = ACTIONS(3090),
    [anon_sym_BSLASHrem] = ACTIONS(3090),
    [anon_sym_BSLASHrestore] = ACTIONS(3090),
    [anon_sym_BSLASHlit] = ACTIONS(3090),
    [anon_sym_BSLASHip] = ACTIONS(3090),
    [anon_sym_BSLASHv] = ACTIONS(3090),
    [anon_sym_BSLASHva] = ACTIONS(3090),
    [anon_sym_BSLASHvp] = ACTIONS(3090),
    [anon_sym_BSLASHmte] = ACTIONS(3090),
    [anon_sym_BSLASHms] = ACTIONS(3090),
    [anon_sym_BSLASHmr] = ACTIONS(3090),
    [anon_sym_BSLASHs] = ACTIONS(3090),
    [anon_sym_BSLASHsr] = ACTIONS(3090),
    [anon_sym_BSLASHr] = ACTIONS(3090),
    [anon_sym_BSLASHsp] = ACTIONS(3090),
    [anon_sym_BSLASHd] = ACTIONS(3090),
    [anon_sym_BSLASHsd] = ACTIONS(3090),
    [anon_sym_BSLASHp] = ACTIONS(3090),
    [anon_sym_BSLASHm] = ACTIONS(3090),
    [anon_sym_BSLASHpo] = ACTIONS(3090),
    [anon_sym_BSLASHpr] = ACTIONS(3090),
    [anon_sym_BSLASHcls] = ACTIONS(3090),
    [anon_sym_BSLASHpmo] = ACTIONS(3090),
    [anon_sym_BSLASHpm] = ACTIONS(3090),
    [anon_sym_BSLASHpmc] = ACTIONS(3090),
    [anon_sym_BSLASHpmr] = ACTIONS(3090),
    [anon_sym_BSLASHpi] = ACTIONS(3090),
    [anon_sym_BSLASHmi] = ACTIONS(3090),
    [anon_sym_BSLASHnb] = ACTIONS(3090),
    [anon_sym_BSLASHpc] = ACTIONS(3090),
    [anon_sym_BSLASHph] = ACTIONS(3090),
    [anon_sym_BSLASHb] = ACTIONS(3090),
    [anon_sym_BSLASHq] = ACTIONS(3090),
    [anon_sym_BSLASHqr] = ACTIONS(3090),
    [anon_sym_BSLASHqc] = ACTIONS(3090),
    [anon_sym_BSLASHqa] = ACTIONS(3090),
    [anon_sym_BSLASHqm] = ACTIONS(3090),
    [anon_sym_BSLASHqd] = ACTIONS(3090),
    [anon_sym_BSLASHlh] = ACTIONS(3090),
    [anon_sym_BSLASHlf] = ACTIONS(3090),
    [anon_sym_BSLASHli] = ACTIONS(3090),
    [anon_sym_BSLASHlim] = ACTIONS(3090),
    [anon_sym_BSLASHliv] = ACTIONS(3090),
    [anon_sym_BSLASHlik] = ACTIONS(3090),
    [anon_sym_BSLASHlitl] = ACTIONS(3090),
    [anon_sym_BSLASHtr] = ACTIONS(3090),
    [anon_sym_BSLASHf] = ACTIONS(3090),
    [anon_sym_BSLASHfe] = ACTIONS(3090),
    [anon_sym_BSLASHef] = ACTIONS(3090),
    [anon_sym_BSLASHfm] = ACTIONS(3090),
    [anon_sym_BSLASHx] = ACTIONS(3090),
    [anon_sym_BSLASHxt] = ACTIONS(3090),
    [anon_sym_BSLASHrq] = ACTIONS(3090),
    [anon_sym_BSLASHadd] = ACTIONS(3090),
    [anon_sym_BSLASHbk] = ACTIONS(3090),
    [anon_sym_BSLASHdc] = ACTIONS(3090),
    [anon_sym_BSLASHk] = ACTIONS(3090),
    [anon_sym_BSLASHnd] = ACTIONS(3090),
    [anon_sym_BSLASHord] = ACTIONS(3090),
    [anon_sym_BSLASHpn] = ACTIONS(3090),
    [anon_sym_BSLASHpng] = ACTIONS(3090),
    [anon_sym_BSLASHaddpn] = ACTIONS(3090),
    [anon_sym_BSLASHqt] = ACTIONS(3090),
    [anon_sym_BSLASHsig] = ACTIONS(3090),
    [anon_sym_BSLASHsls] = ACTIONS(3090),
    [anon_sym_BSLASHtl] = ACTIONS(3090),
    [anon_sym_BSLASHwj] = ACTIONS(3090),
    [anon_sym_BSLASHem] = ACTIONS(3090),
    [anon_sym_BSLASHbd] = ACTIONS(3090),
    [anon_sym_BSLASHit] = ACTIONS(3090),
    [anon_sym_BSLASHbdit] = ACTIONS(3090),
    [anon_sym_BSLASHno] = ACTIONS(3090),
    [anon_sym_BSLASHsc] = ACTIONS(3090),
    [anon_sym_BSLASHsup] = ACTIONS(3090),
    [anon_sym_BSLASHndx] = ACTIONS(3090),
    [anon_sym_BSLASHpro] = ACTIONS(3090),
    [anon_sym_BSLASHrb] = ACTIONS(3090),
    [anon_sym_BSLASHw] = ACTIONS(3090),
    [anon_sym_BSLASHwg] = ACTIONS(3090),
    [anon_sym_BSLASHwh] = ACTIONS(3090),
    [anon_sym_BSLASHwa] = ACTIONS(3090),
    [anon_sym_BSLASHfig] = ACTIONS(3090),
    [anon_sym_BSLASHjmp] = ACTIONS(3090),
    [anon_sym_BSLASHpb] = ACTIONS(3090),
    [anon_sym_BSLASH] = ACTIONS(3090),
    [sym_milestoneStartTag] = ACTIONS(3090),
    [sym_milestoneEndTag] = ACTIONS(3090),
    [sym_zSpaceTag] = ACTIONS(3090),
    [anon_sym_BSLASHesbe] = ACTIONS(3090),
    [anon_sym_BSLASHcat] = ACTIONS(3090),
  },
  [556] = {
    [aux_sym_text_token1] = ACTIONS(3084),
    [anon_sym_BSLASHref] = ACTIONS(3086),
    [anon_sym_BSLASHsts] = ACTIONS(3086),
    [anon_sym_BSLASHrem] = ACTIONS(3086),
    [anon_sym_BSLASHrestore] = ACTIONS(3086),
    [anon_sym_BSLASHlit] = ACTIONS(3086),
    [anon_sym_BSLASHip] = ACTIONS(3086),
    [anon_sym_BSLASHv] = ACTIONS(3086),
    [anon_sym_BSLASHva] = ACTIONS(3086),
    [anon_sym_BSLASHvp] = ACTIONS(3086),
    [anon_sym_BSLASHmte] = ACTIONS(3086),
    [anon_sym_BSLASHms] = ACTIONS(3086),
    [anon_sym_BSLASHmr] = ACTIONS(3086),
    [anon_sym_BSLASHs] = ACTIONS(3086),
    [anon_sym_BSLASHsr] = ACTIONS(3086),
    [anon_sym_BSLASHr] = ACTIONS(3086),
    [anon_sym_BSLASHsp] = ACTIONS(3086),
    [anon_sym_BSLASHd] = ACTIONS(3086),
    [anon_sym_BSLASHsd] = ACTIONS(3086),
    [anon_sym_BSLASHp] = ACTIONS(3086),
    [anon_sym_BSLASHm] = ACTIONS(3086),
    [anon_sym_BSLASHpo] = ACTIONS(3086),
    [anon_sym_BSLASHpr] = ACTIONS(3086),
    [anon_sym_BSLASHcls] = ACTIONS(3086),
    [anon_sym_BSLASHpmo] = ACTIONS(3086),
    [anon_sym_BSLASHpm] = ACTIONS(3086),
    [anon_sym_BSLASHpmc] = ACTIONS(3086),
    [anon_sym_BSLASHpmr] = ACTIONS(3086),
    [anon_sym_BSLASHpi] = ACTIONS(3086),
    [anon_sym_BSLASHmi] = ACTIONS(3086),
    [anon_sym_BSLASHnb] = ACTIONS(3086),
    [anon_sym_BSLASHpc] = ACTIONS(3086),
    [anon_sym_BSLASHph] = ACTIONS(3086),
    [anon_sym_BSLASHb] = ACTIONS(3086),
    [anon_sym_BSLASHq] = ACTIONS(3086),
    [anon_sym_BSLASHqr] = ACTIONS(3086),
    [anon_sym_BSLASHqc] = ACTIONS(3086),
    [anon_sym_BSLASHqa] = ACTIONS(3086),
    [anon_sym_BSLASHqm] = ACTIONS(3086),
    [anon_sym_BSLASHqd] = ACTIONS(3086),
    [anon_sym_BSLASHlh] = ACTIONS(3086),
    [anon_sym_BSLASHlf] = ACTIONS(3086),
    [anon_sym_BSLASHli] = ACTIONS(3086),
    [anon_sym_BSLASHlim] = ACTIONS(3086),
    [anon_sym_BSLASHliv] = ACTIONS(3086),
    [anon_sym_BSLASHlik] = ACTIONS(3086),
    [anon_sym_BSLASHlitl] = ACTIONS(3086),
    [anon_sym_BSLASHtr] = ACTIONS(3086),
    [anon_sym_BSLASHf] = ACTIONS(3086),
    [anon_sym_BSLASHfe] = ACTIONS(3086),
    [anon_sym_BSLASHef] = ACTIONS(3086),
    [anon_sym_BSLASHfm] = ACTIONS(3086),
    [anon_sym_BSLASHx] = ACTIONS(3086),
    [anon_sym_BSLASHxt] = ACTIONS(3086),
    [anon_sym_BSLASHrq] = ACTIONS(3086),
    [anon_sym_BSLASHadd] = ACTIONS(3086),
    [anon_sym_BSLASHbk] = ACTIONS(3086),
    [anon_sym_BSLASHdc] = ACTIONS(3086),
    [anon_sym_BSLASHk] = ACTIONS(3086),
    [anon_sym_BSLASHnd] = ACTIONS(3086),
    [anon_sym_BSLASHord] = ACTIONS(3086),
    [anon_sym_BSLASHpn] = ACTIONS(3086),
    [anon_sym_BSLASHpng] = ACTIONS(3086),
    [anon_sym_BSLASHaddpn] = ACTIONS(3086),
    [anon_sym_BSLASHqt] = ACTIONS(3086),
    [anon_sym_BSLASHsig] = ACTIONS(3086),
    [anon_sym_BSLASHsls] = ACTIONS(3086),
    [anon_sym_BSLASHtl] = ACTIONS(3086),
    [anon_sym_BSLASHwj] = ACTIONS(3086),
    [anon_sym_BSLASHem] = ACTIONS(3086),
    [anon_sym_BSLASHbd] = ACTIONS(3086),
    [anon_sym_BSLASHit] = ACTIONS(3086),
    [anon_sym_BSLASHbdit] = ACTIONS(3086),
    [anon_sym_BSLASHno] = ACTIONS(3086),
    [anon_sym_BSLASHsc] = ACTIONS(3086),
    [anon_sym_BSLASHsup] = ACTIONS(3086),
    [anon_sym_BSLASHndx] = ACTIONS(3086),
    [anon_sym_BSLASHpro] = ACTIONS(3086),
    [anon_sym_BSLASHrb] = ACTIONS(3086),
    [anon_sym_BSLASHw] = ACTIONS(3086),
    [anon_sym_BSLASHwg] = ACTIONS(3086),
    [anon_sym_BSLASHwh] = ACTIONS(3086),
    [anon_sym_BSLASHwa] = ACTIONS(3086),
    [anon_sym_BSLASHfig] = ACTIONS(3086),
    [anon_sym_BSLASHjmp] = ACTIONS(3086),
    [anon_sym_BSLASHpb] = ACTIONS(3086),
    [anon_sym_BSLASH] = ACTIONS(3086),
    [sym_milestoneStartTag] = ACTIONS(3086),
    [sym_milestoneEndTag] = ACTIONS(3086),
    [sym_zSpaceTag] = ACTIONS(3086),
    [anon_sym_BSLASHesbe] = ACTIONS(3086),
    [anon_sym_BSLASHcat] = ACTIONS(3086),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(5502),
    [aux_sym_text_token1] = ACTIONS(5502),
    [anon_sym_BSLASHref] = ACTIONS(5504),
    [anon_sym_BSLASHsts] = ACTIONS(5504),
    [anon_sym_BSLASHrem] = ACTIONS(5504),
    [anon_sym_BSLASHrestore] = ACTIONS(5504),
    [anon_sym_BSLASHlit] = ACTIONS(5504),
    [anon_sym_BSLASHip] = ACTIONS(5504),
    [anon_sym_BSLASHiex] = ACTIONS(5504),
    [anon_sym_BSLASHv] = ACTIONS(5504),
    [anon_sym_BSLASHva] = ACTIONS(5504),
    [anon_sym_BSLASHvp] = ACTIONS(5504),
    [anon_sym_BSLASHc] = ACTIONS(5504),
    [anon_sym_BSLASHcl] = ACTIONS(5504),
    [anon_sym_BSLASHca] = ACTIONS(5504),
    [anon_sym_BSLASHcp] = ACTIONS(5504),
    [anon_sym_BSLASHcd] = ACTIONS(5504),
    [anon_sym_BSLASHmte] = ACTIONS(5504),
    [anon_sym_BSLASHms] = ACTIONS(5504),
    [anon_sym_BSLASHs] = ACTIONS(5504),
    [anon_sym_BSLASHr] = ACTIONS(5504),
    [anon_sym_BSLASHsp] = ACTIONS(5504),
    [anon_sym_BSLASHd] = ACTIONS(5504),
    [anon_sym_BSLASHsd] = ACTIONS(5504),
    [anon_sym_BSLASHp] = ACTIONS(5504),
    [anon_sym_BSLASHm] = ACTIONS(5504),
    [anon_sym_BSLASHpo] = ACTIONS(5504),
    [anon_sym_BSLASHpr] = ACTIONS(5504),
    [anon_sym_BSLASHcls] = ACTIONS(5504),
    [anon_sym_BSLASHpmo] = ACTIONS(5504),
    [anon_sym_BSLASHpm] = ACTIONS(5504),
    [anon_sym_BSLASHpmc] = ACTIONS(5504),
    [anon_sym_BSLASHpmr] = ACTIONS(5504),
    [anon_sym_BSLASHpi] = ACTIONS(5504),
    [anon_sym_BSLASHmi] = ACTIONS(5504),
    [anon_sym_BSLASHnb] = ACTIONS(5504),
    [anon_sym_BSLASHpc] = ACTIONS(5504),
    [anon_sym_BSLASHph] = ACTIONS(5504),
    [anon_sym_BSLASHb] = ACTIONS(5504),
    [anon_sym_BSLASHq] = ACTIONS(5504),
    [anon_sym_BSLASHqr] = ACTIONS(5504),
    [anon_sym_BSLASHqc] = ACTIONS(5504),
    [anon_sym_BSLASHqa] = ACTIONS(5504),
    [anon_sym_BSLASHqm] = ACTIONS(5504),
    [anon_sym_BSLASHqd] = ACTIONS(5504),
    [anon_sym_BSLASHlh] = ACTIONS(5504),
    [anon_sym_BSLASHli] = ACTIONS(5504),
    [anon_sym_BSLASHlim] = ACTIONS(5504),
    [anon_sym_BSLASHtr] = ACTIONS(5504),
    [anon_sym_BSLASHf] = ACTIONS(5504),
    [anon_sym_BSLASHfe] = ACTIONS(5504),
    [anon_sym_BSLASHef] = ACTIONS(5504),
    [anon_sym_BSLASHfm] = ACTIONS(5504),
    [anon_sym_BSLASHx] = ACTIONS(5504),
    [anon_sym_BSLASHxt] = ACTIONS(5504),
    [anon_sym_BSLASHrq] = ACTIONS(5504),
    [anon_sym_BSLASHadd] = ACTIONS(5504),
    [anon_sym_BSLASHbk] = ACTIONS(5504),
    [anon_sym_BSLASHdc] = ACTIONS(5504),
    [anon_sym_BSLASHk] = ACTIONS(5504),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5504),
    [anon_sym_BSLASHpn] = ACTIONS(5504),
    [anon_sym_BSLASHpng] = ACTIONS(5504),
    [anon_sym_BSLASHaddpn] = ACTIONS(5504),
    [anon_sym_BSLASHqt] = ACTIONS(5504),
    [anon_sym_BSLASHsig] = ACTIONS(5504),
    [anon_sym_BSLASHsls] = ACTIONS(5504),
    [anon_sym_BSLASHtl] = ACTIONS(5504),
    [anon_sym_BSLASHwj] = ACTIONS(5504),
    [anon_sym_BSLASHem] = ACTIONS(5504),
    [anon_sym_BSLASHbd] = ACTIONS(5504),
    [anon_sym_BSLASHit] = ACTIONS(5504),
    [anon_sym_BSLASHbdit] = ACTIONS(5504),
    [anon_sym_BSLASHno] = ACTIONS(5504),
    [anon_sym_BSLASHsc] = ACTIONS(5504),
    [anon_sym_BSLASHsup] = ACTIONS(5504),
    [anon_sym_BSLASHndx] = ACTIONS(5504),
    [anon_sym_BSLASHpro] = ACTIONS(5504),
    [anon_sym_BSLASHrb] = ACTIONS(5504),
    [anon_sym_BSLASHw] = ACTIONS(5504),
    [anon_sym_BSLASHwg] = ACTIONS(5504),
    [anon_sym_BSLASHwh] = ACTIONS(5504),
    [anon_sym_BSLASHwa] = ACTIONS(5504),
    [anon_sym_BSLASHfig] = ACTIONS(5504),
    [anon_sym_BSLASHjmp] = ACTIONS(5504),
    [anon_sym_BSLASHpb] = ACTIONS(5504),
    [anon_sym_BSLASH] = ACTIONS(5504),
    [sym_milestoneStartTag] = ACTIONS(5504),
    [sym_milestoneEndTag] = ACTIONS(5504),
    [sym_zSpaceTag] = ACTIONS(5504),
    [anon_sym_BSLASHesb] = ACTIONS(5504),
  },
  [558] = {
    [aux_sym_text_token1] = ACTIONS(3104),
    [anon_sym_BSLASHref] = ACTIONS(3106),
    [anon_sym_BSLASHsts] = ACTIONS(3106),
    [anon_sym_BSLASHrem] = ACTIONS(3106),
    [anon_sym_BSLASHrestore] = ACTIONS(3106),
    [anon_sym_BSLASHlit] = ACTIONS(3106),
    [anon_sym_BSLASHip] = ACTIONS(3106),
    [anon_sym_BSLASHv] = ACTIONS(3106),
    [anon_sym_BSLASHva] = ACTIONS(3106),
    [anon_sym_BSLASHvp] = ACTIONS(3106),
    [anon_sym_BSLASHmte] = ACTIONS(3106),
    [anon_sym_BSLASHms] = ACTIONS(3106),
    [anon_sym_BSLASHmr] = ACTIONS(3106),
    [anon_sym_BSLASHs] = ACTIONS(3106),
    [anon_sym_BSLASHsr] = ACTIONS(3106),
    [anon_sym_BSLASHr] = ACTIONS(3106),
    [anon_sym_BSLASHsp] = ACTIONS(3106),
    [anon_sym_BSLASHd] = ACTIONS(3106),
    [anon_sym_BSLASHsd] = ACTIONS(3106),
    [anon_sym_BSLASHp] = ACTIONS(3106),
    [anon_sym_BSLASHm] = ACTIONS(3106),
    [anon_sym_BSLASHpo] = ACTIONS(3106),
    [anon_sym_BSLASHpr] = ACTIONS(3106),
    [anon_sym_BSLASHcls] = ACTIONS(3106),
    [anon_sym_BSLASHpmo] = ACTIONS(3106),
    [anon_sym_BSLASHpm] = ACTIONS(3106),
    [anon_sym_BSLASHpmc] = ACTIONS(3106),
    [anon_sym_BSLASHpmr] = ACTIONS(3106),
    [anon_sym_BSLASHpi] = ACTIONS(3106),
    [anon_sym_BSLASHmi] = ACTIONS(3106),
    [anon_sym_BSLASHnb] = ACTIONS(3106),
    [anon_sym_BSLASHpc] = ACTIONS(3106),
    [anon_sym_BSLASHph] = ACTIONS(3106),
    [anon_sym_BSLASHb] = ACTIONS(3106),
    [anon_sym_BSLASHq] = ACTIONS(3106),
    [anon_sym_BSLASHqr] = ACTIONS(3106),
    [anon_sym_BSLASHqc] = ACTIONS(3106),
    [anon_sym_BSLASHqa] = ACTIONS(3106),
    [anon_sym_BSLASHqm] = ACTIONS(3106),
    [anon_sym_BSLASHqd] = ACTIONS(3106),
    [anon_sym_BSLASHlh] = ACTIONS(3106),
    [anon_sym_BSLASHlf] = ACTIONS(3106),
    [anon_sym_BSLASHli] = ACTIONS(3106),
    [anon_sym_BSLASHlim] = ACTIONS(3106),
    [anon_sym_BSLASHliv] = ACTIONS(3106),
    [anon_sym_BSLASHlik] = ACTIONS(3106),
    [anon_sym_BSLASHlitl] = ACTIONS(3106),
    [anon_sym_BSLASHtr] = ACTIONS(3106),
    [anon_sym_BSLASHf] = ACTIONS(3106),
    [anon_sym_BSLASHfe] = ACTIONS(3106),
    [anon_sym_BSLASHef] = ACTIONS(3106),
    [anon_sym_BSLASHfm] = ACTIONS(3106),
    [anon_sym_BSLASHx] = ACTIONS(3106),
    [anon_sym_BSLASHxt] = ACTIONS(3106),
    [anon_sym_BSLASHrq] = ACTIONS(3106),
    [anon_sym_BSLASHadd] = ACTIONS(3106),
    [anon_sym_BSLASHbk] = ACTIONS(3106),
    [anon_sym_BSLASHdc] = ACTIONS(3106),
    [anon_sym_BSLASHk] = ACTIONS(3106),
    [anon_sym_BSLASHnd] = ACTIONS(3106),
    [anon_sym_BSLASHord] = ACTIONS(3106),
    [anon_sym_BSLASHpn] = ACTIONS(3106),
    [anon_sym_BSLASHpng] = ACTIONS(3106),
    [anon_sym_BSLASHaddpn] = ACTIONS(3106),
    [anon_sym_BSLASHqt] = ACTIONS(3106),
    [anon_sym_BSLASHsig] = ACTIONS(3106),
    [anon_sym_BSLASHsls] = ACTIONS(3106),
    [anon_sym_BSLASHtl] = ACTIONS(3106),
    [anon_sym_BSLASHwj] = ACTIONS(3106),
    [anon_sym_BSLASHem] = ACTIONS(3106),
    [anon_sym_BSLASHbd] = ACTIONS(3106),
    [anon_sym_BSLASHit] = ACTIONS(3106),
    [anon_sym_BSLASHbdit] = ACTIONS(3106),
    [anon_sym_BSLASHno] = ACTIONS(3106),
    [anon_sym_BSLASHsc] = ACTIONS(3106),
    [anon_sym_BSLASHsup] = ACTIONS(3106),
    [anon_sym_BSLASHndx] = ACTIONS(3106),
    [anon_sym_BSLASHpro] = ACTIONS(3106),
    [anon_sym_BSLASHrb] = ACTIONS(3106),
    [anon_sym_BSLASHw] = ACTIONS(3106),
    [anon_sym_BSLASHwg] = ACTIONS(3106),
    [anon_sym_BSLASHwh] = ACTIONS(3106),
    [anon_sym_BSLASHwa] = ACTIONS(3106),
    [anon_sym_BSLASHfig] = ACTIONS(3106),
    [anon_sym_BSLASHjmp] = ACTIONS(3106),
    [anon_sym_BSLASHpb] = ACTIONS(3106),
    [anon_sym_BSLASH] = ACTIONS(3106),
    [sym_milestoneStartTag] = ACTIONS(3106),
    [sym_milestoneEndTag] = ACTIONS(3106),
    [sym_zSpaceTag] = ACTIONS(3106),
    [anon_sym_BSLASHesbe] = ACTIONS(3106),
    [anon_sym_BSLASHcat] = ACTIONS(3106),
  },
  [559] = {
    [aux_sym_text_token1] = ACTIONS(3076),
    [anon_sym_BSLASHref] = ACTIONS(3078),
    [anon_sym_BSLASHsts] = ACTIONS(3078),
    [anon_sym_BSLASHrem] = ACTIONS(3078),
    [anon_sym_BSLASHrestore] = ACTIONS(3078),
    [anon_sym_BSLASHlit] = ACTIONS(3078),
    [anon_sym_BSLASHip] = ACTIONS(3078),
    [anon_sym_BSLASHv] = ACTIONS(3078),
    [anon_sym_BSLASHva] = ACTIONS(3078),
    [anon_sym_BSLASHvp] = ACTIONS(3078),
    [anon_sym_BSLASHmte] = ACTIONS(3078),
    [anon_sym_BSLASHms] = ACTIONS(3078),
    [anon_sym_BSLASHmr] = ACTIONS(3078),
    [anon_sym_BSLASHs] = ACTIONS(3078),
    [anon_sym_BSLASHsr] = ACTIONS(3078),
    [anon_sym_BSLASHr] = ACTIONS(3078),
    [anon_sym_BSLASHsp] = ACTIONS(3078),
    [anon_sym_BSLASHd] = ACTIONS(3078),
    [anon_sym_BSLASHsd] = ACTIONS(3078),
    [anon_sym_BSLASHp] = ACTIONS(3078),
    [anon_sym_BSLASHm] = ACTIONS(3078),
    [anon_sym_BSLASHpo] = ACTIONS(3078),
    [anon_sym_BSLASHpr] = ACTIONS(3078),
    [anon_sym_BSLASHcls] = ACTIONS(3078),
    [anon_sym_BSLASHpmo] = ACTIONS(3078),
    [anon_sym_BSLASHpm] = ACTIONS(3078),
    [anon_sym_BSLASHpmc] = ACTIONS(3078),
    [anon_sym_BSLASHpmr] = ACTIONS(3078),
    [anon_sym_BSLASHpi] = ACTIONS(3078),
    [anon_sym_BSLASHmi] = ACTIONS(3078),
    [anon_sym_BSLASHnb] = ACTIONS(3078),
    [anon_sym_BSLASHpc] = ACTIONS(3078),
    [anon_sym_BSLASHph] = ACTIONS(3078),
    [anon_sym_BSLASHb] = ACTIONS(3078),
    [anon_sym_BSLASHq] = ACTIONS(3078),
    [anon_sym_BSLASHqr] = ACTIONS(3078),
    [anon_sym_BSLASHqc] = ACTIONS(3078),
    [anon_sym_BSLASHqa] = ACTIONS(3078),
    [anon_sym_BSLASHqm] = ACTIONS(3078),
    [anon_sym_BSLASHqd] = ACTIONS(3078),
    [anon_sym_BSLASHlh] = ACTIONS(3078),
    [anon_sym_BSLASHlf] = ACTIONS(3078),
    [anon_sym_BSLASHli] = ACTIONS(3078),
    [anon_sym_BSLASHlim] = ACTIONS(3078),
    [anon_sym_BSLASHliv] = ACTIONS(3078),
    [anon_sym_BSLASHlik] = ACTIONS(3078),
    [anon_sym_BSLASHlitl] = ACTIONS(3078),
    [anon_sym_BSLASHtr] = ACTIONS(3078),
    [anon_sym_BSLASHf] = ACTIONS(3078),
    [anon_sym_BSLASHfe] = ACTIONS(3078),
    [anon_sym_BSLASHef] = ACTIONS(3078),
    [anon_sym_BSLASHfm] = ACTIONS(3078),
    [anon_sym_BSLASHx] = ACTIONS(3078),
    [anon_sym_BSLASHxt] = ACTIONS(3078),
    [anon_sym_BSLASHrq] = ACTIONS(3078),
    [anon_sym_BSLASHadd] = ACTIONS(3078),
    [anon_sym_BSLASHbk] = ACTIONS(3078),
    [anon_sym_BSLASHdc] = ACTIONS(3078),
    [anon_sym_BSLASHk] = ACTIONS(3078),
    [anon_sym_BSLASHnd] = ACTIONS(3078),
    [anon_sym_BSLASHord] = ACTIONS(3078),
    [anon_sym_BSLASHpn] = ACTIONS(3078),
    [anon_sym_BSLASHpng] = ACTIONS(3078),
    [anon_sym_BSLASHaddpn] = ACTIONS(3078),
    [anon_sym_BSLASHqt] = ACTIONS(3078),
    [anon_sym_BSLASHsig] = ACTIONS(3078),
    [anon_sym_BSLASHsls] = ACTIONS(3078),
    [anon_sym_BSLASHtl] = ACTIONS(3078),
    [anon_sym_BSLASHwj] = ACTIONS(3078),
    [anon_sym_BSLASHem] = ACTIONS(3078),
    [anon_sym_BSLASHbd] = ACTIONS(3078),
    [anon_sym_BSLASHit] = ACTIONS(3078),
    [anon_sym_BSLASHbdit] = ACTIONS(3078),
    [anon_sym_BSLASHno] = ACTIONS(3078),
    [anon_sym_BSLASHsc] = ACTIONS(3078),
    [anon_sym_BSLASHsup] = ACTIONS(3078),
    [anon_sym_BSLASHndx] = ACTIONS(3078),
    [anon_sym_BSLASHpro] = ACTIONS(3078),
    [anon_sym_BSLASHrb] = ACTIONS(3078),
    [anon_sym_BSLASHw] = ACTIONS(3078),
    [anon_sym_BSLASHwg] = ACTIONS(3078),
    [anon_sym_BSLASHwh] = ACTIONS(3078),
    [anon_sym_BSLASHwa] = ACTIONS(3078),
    [anon_sym_BSLASHfig] = ACTIONS(3078),
    [anon_sym_BSLASHjmp] = ACTIONS(3078),
    [anon_sym_BSLASHpb] = ACTIONS(3078),
    [anon_sym_BSLASH] = ACTIONS(3078),
    [sym_milestoneStartTag] = ACTIONS(3078),
    [sym_milestoneEndTag] = ACTIONS(3078),
    [sym_zSpaceTag] = ACTIONS(3078),
    [anon_sym_BSLASHesbe] = ACTIONS(3078),
    [anon_sym_BSLASHcat] = ACTIONS(3078),
  },
  [560] = {
    [aux_sym_text_token1] = ACTIONS(3068),
    [anon_sym_BSLASHref] = ACTIONS(3070),
    [anon_sym_BSLASHsts] = ACTIONS(3070),
    [anon_sym_BSLASHrem] = ACTIONS(3070),
    [anon_sym_BSLASHrestore] = ACTIONS(3070),
    [anon_sym_BSLASHlit] = ACTIONS(3070),
    [anon_sym_BSLASHip] = ACTIONS(3070),
    [anon_sym_BSLASHv] = ACTIONS(3070),
    [anon_sym_BSLASHva] = ACTIONS(3070),
    [anon_sym_BSLASHvp] = ACTIONS(3070),
    [anon_sym_BSLASHmte] = ACTIONS(3070),
    [anon_sym_BSLASHms] = ACTIONS(3070),
    [anon_sym_BSLASHmr] = ACTIONS(3070),
    [anon_sym_BSLASHs] = ACTIONS(3070),
    [anon_sym_BSLASHsr] = ACTIONS(3070),
    [anon_sym_BSLASHr] = ACTIONS(3070),
    [anon_sym_BSLASHsp] = ACTIONS(3070),
    [anon_sym_BSLASHd] = ACTIONS(3070),
    [anon_sym_BSLASHsd] = ACTIONS(3070),
    [anon_sym_BSLASHp] = ACTIONS(3070),
    [anon_sym_BSLASHm] = ACTIONS(3070),
    [anon_sym_BSLASHpo] = ACTIONS(3070),
    [anon_sym_BSLASHpr] = ACTIONS(3070),
    [anon_sym_BSLASHcls] = ACTIONS(3070),
    [anon_sym_BSLASHpmo] = ACTIONS(3070),
    [anon_sym_BSLASHpm] = ACTIONS(3070),
    [anon_sym_BSLASHpmc] = ACTIONS(3070),
    [anon_sym_BSLASHpmr] = ACTIONS(3070),
    [anon_sym_BSLASHpi] = ACTIONS(3070),
    [anon_sym_BSLASHmi] = ACTIONS(3070),
    [anon_sym_BSLASHnb] = ACTIONS(3070),
    [anon_sym_BSLASHpc] = ACTIONS(3070),
    [anon_sym_BSLASHph] = ACTIONS(3070),
    [anon_sym_BSLASHb] = ACTIONS(3070),
    [anon_sym_BSLASHq] = ACTIONS(3070),
    [anon_sym_BSLASHqr] = ACTIONS(3070),
    [anon_sym_BSLASHqc] = ACTIONS(3070),
    [anon_sym_BSLASHqa] = ACTIONS(3070),
    [anon_sym_BSLASHqm] = ACTIONS(3070),
    [anon_sym_BSLASHqd] = ACTIONS(3070),
    [anon_sym_BSLASHlh] = ACTIONS(3070),
    [anon_sym_BSLASHlf] = ACTIONS(3070),
    [anon_sym_BSLASHli] = ACTIONS(3070),
    [anon_sym_BSLASHlim] = ACTIONS(3070),
    [anon_sym_BSLASHliv] = ACTIONS(3070),
    [anon_sym_BSLASHlik] = ACTIONS(3070),
    [anon_sym_BSLASHlitl] = ACTIONS(3070),
    [anon_sym_BSLASHtr] = ACTIONS(3070),
    [anon_sym_BSLASHf] = ACTIONS(3070),
    [anon_sym_BSLASHfe] = ACTIONS(3070),
    [anon_sym_BSLASHef] = ACTIONS(3070),
    [anon_sym_BSLASHfm] = ACTIONS(3070),
    [anon_sym_BSLASHx] = ACTIONS(3070),
    [anon_sym_BSLASHxt] = ACTIONS(3070),
    [anon_sym_BSLASHrq] = ACTIONS(3070),
    [anon_sym_BSLASHadd] = ACTIONS(3070),
    [anon_sym_BSLASHbk] = ACTIONS(3070),
    [anon_sym_BSLASHdc] = ACTIONS(3070),
    [anon_sym_BSLASHk] = ACTIONS(3070),
    [anon_sym_BSLASHnd] = ACTIONS(3070),
    [anon_sym_BSLASHord] = ACTIONS(3070),
    [anon_sym_BSLASHpn] = ACTIONS(3070),
    [anon_sym_BSLASHpng] = ACTIONS(3070),
    [anon_sym_BSLASHaddpn] = ACTIONS(3070),
    [anon_sym_BSLASHqt] = ACTIONS(3070),
    [anon_sym_BSLASHsig] = ACTIONS(3070),
    [anon_sym_BSLASHsls] = ACTIONS(3070),
    [anon_sym_BSLASHtl] = ACTIONS(3070),
    [anon_sym_BSLASHwj] = ACTIONS(3070),
    [anon_sym_BSLASHem] = ACTIONS(3070),
    [anon_sym_BSLASHbd] = ACTIONS(3070),
    [anon_sym_BSLASHit] = ACTIONS(3070),
    [anon_sym_BSLASHbdit] = ACTIONS(3070),
    [anon_sym_BSLASHno] = ACTIONS(3070),
    [anon_sym_BSLASHsc] = ACTIONS(3070),
    [anon_sym_BSLASHsup] = ACTIONS(3070),
    [anon_sym_BSLASHndx] = ACTIONS(3070),
    [anon_sym_BSLASHpro] = ACTIONS(3070),
    [anon_sym_BSLASHrb] = ACTIONS(3070),
    [anon_sym_BSLASHw] = ACTIONS(3070),
    [anon_sym_BSLASHwg] = ACTIONS(3070),
    [anon_sym_BSLASHwh] = ACTIONS(3070),
    [anon_sym_BSLASHwa] = ACTIONS(3070),
    [anon_sym_BSLASHfig] = ACTIONS(3070),
    [anon_sym_BSLASHjmp] = ACTIONS(3070),
    [anon_sym_BSLASHpb] = ACTIONS(3070),
    [anon_sym_BSLASH] = ACTIONS(3070),
    [sym_milestoneStartTag] = ACTIONS(3070),
    [sym_milestoneEndTag] = ACTIONS(3070),
    [sym_zSpaceTag] = ACTIONS(3070),
    [anon_sym_BSLASHesbe] = ACTIONS(3070),
    [anon_sym_BSLASHcat] = ACTIONS(3070),
  },
  [561] = {
    [ts_builtin_sym_end] = ACTIONS(5506),
    [aux_sym_text_token1] = ACTIONS(5506),
    [anon_sym_BSLASHref] = ACTIONS(5508),
    [anon_sym_BSLASHsts] = ACTIONS(5508),
    [anon_sym_BSLASHrem] = ACTIONS(5508),
    [anon_sym_BSLASHrestore] = ACTIONS(5508),
    [anon_sym_BSLASHlit] = ACTIONS(5508),
    [anon_sym_BSLASHip] = ACTIONS(5508),
    [anon_sym_BSLASHiex] = ACTIONS(5508),
    [anon_sym_BSLASHv] = ACTIONS(5508),
    [anon_sym_BSLASHva] = ACTIONS(5508),
    [anon_sym_BSLASHvp] = ACTIONS(5508),
    [anon_sym_BSLASHc] = ACTIONS(5508),
    [anon_sym_BSLASHcl] = ACTIONS(5508),
    [anon_sym_BSLASHca] = ACTIONS(5508),
    [anon_sym_BSLASHcp] = ACTIONS(5508),
    [anon_sym_BSLASHcd] = ACTIONS(5508),
    [anon_sym_BSLASHmte] = ACTIONS(5508),
    [anon_sym_BSLASHms] = ACTIONS(5508),
    [anon_sym_BSLASHs] = ACTIONS(5508),
    [anon_sym_BSLASHr] = ACTIONS(5508),
    [anon_sym_BSLASHsp] = ACTIONS(5508),
    [anon_sym_BSLASHd] = ACTIONS(5508),
    [anon_sym_BSLASHsd] = ACTIONS(5508),
    [anon_sym_BSLASHp] = ACTIONS(5508),
    [anon_sym_BSLASHm] = ACTIONS(5508),
    [anon_sym_BSLASHpo] = ACTIONS(5508),
    [anon_sym_BSLASHpr] = ACTIONS(5508),
    [anon_sym_BSLASHcls] = ACTIONS(5508),
    [anon_sym_BSLASHpmo] = ACTIONS(5508),
    [anon_sym_BSLASHpm] = ACTIONS(5508),
    [anon_sym_BSLASHpmc] = ACTIONS(5508),
    [anon_sym_BSLASHpmr] = ACTIONS(5508),
    [anon_sym_BSLASHpi] = ACTIONS(5508),
    [anon_sym_BSLASHmi] = ACTIONS(5508),
    [anon_sym_BSLASHnb] = ACTIONS(5508),
    [anon_sym_BSLASHpc] = ACTIONS(5508),
    [anon_sym_BSLASHph] = ACTIONS(5508),
    [anon_sym_BSLASHb] = ACTIONS(5508),
    [anon_sym_BSLASHq] = ACTIONS(5508),
    [anon_sym_BSLASHqr] = ACTIONS(5508),
    [anon_sym_BSLASHqc] = ACTIONS(5508),
    [anon_sym_BSLASHqa] = ACTIONS(5508),
    [anon_sym_BSLASHqm] = ACTIONS(5508),
    [anon_sym_BSLASHqd] = ACTIONS(5508),
    [anon_sym_BSLASHlh] = ACTIONS(5508),
    [anon_sym_BSLASHli] = ACTIONS(5508),
    [anon_sym_BSLASHlim] = ACTIONS(5508),
    [anon_sym_BSLASHtr] = ACTIONS(5508),
    [anon_sym_BSLASHf] = ACTIONS(5508),
    [anon_sym_BSLASHfe] = ACTIONS(5508),
    [anon_sym_BSLASHef] = ACTIONS(5508),
    [anon_sym_BSLASHfm] = ACTIONS(5508),
    [anon_sym_BSLASHx] = ACTIONS(5508),
    [anon_sym_BSLASHxt] = ACTIONS(5508),
    [anon_sym_BSLASHrq] = ACTIONS(5508),
    [anon_sym_BSLASHadd] = ACTIONS(5508),
    [anon_sym_BSLASHbk] = ACTIONS(5508),
    [anon_sym_BSLASHdc] = ACTIONS(5508),
    [anon_sym_BSLASHk] = ACTIONS(5508),
    [anon_sym_BSLASHnd] = ACTIONS(5508),
    [anon_sym_BSLASHord] = ACTIONS(5508),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5508),
    [anon_sym_BSLASHaddpn] = ACTIONS(5508),
    [anon_sym_BSLASHqt] = ACTIONS(5508),
    [anon_sym_BSLASHsig] = ACTIONS(5508),
    [anon_sym_BSLASHsls] = ACTIONS(5508),
    [anon_sym_BSLASHtl] = ACTIONS(5508),
    [anon_sym_BSLASHwj] = ACTIONS(5508),
    [anon_sym_BSLASHem] = ACTIONS(5508),
    [anon_sym_BSLASHbd] = ACTIONS(5508),
    [anon_sym_BSLASHit] = ACTIONS(5508),
    [anon_sym_BSLASHbdit] = ACTIONS(5508),
    [anon_sym_BSLASHno] = ACTIONS(5508),
    [anon_sym_BSLASHsc] = ACTIONS(5508),
    [anon_sym_BSLASHsup] = ACTIONS(5508),
    [anon_sym_BSLASHndx] = ACTIONS(5508),
    [anon_sym_BSLASHpro] = ACTIONS(5508),
    [anon_sym_BSLASHrb] = ACTIONS(5508),
    [anon_sym_BSLASHw] = ACTIONS(5508),
    [anon_sym_BSLASHwg] = ACTIONS(5508),
    [anon_sym_BSLASHwh] = ACTIONS(5508),
    [anon_sym_BSLASHwa] = ACTIONS(5508),
    [anon_sym_BSLASHfig] = ACTIONS(5508),
    [anon_sym_BSLASHjmp] = ACTIONS(5508),
    [anon_sym_BSLASHpb] = ACTIONS(5508),
    [anon_sym_BSLASH] = ACTIONS(5508),
    [sym_milestoneStartTag] = ACTIONS(5508),
    [sym_milestoneEndTag] = ACTIONS(5508),
    [sym_zSpaceTag] = ACTIONS(5508),
    [anon_sym_BSLASHesb] = ACTIONS(5508),
  },
  [562] = {
    [sym__verseMeta] = STATE(562),
    [sym_va] = STATE(562),
    [sym_vp] = STATE(562),
    [aux_sym_v_repeat1] = STATE(562),
    [aux_sym_text_token1] = ACTIONS(5246),
    [anon_sym_BSLASHref] = ACTIONS(5248),
    [anon_sym_BSLASHsts] = ACTIONS(5248),
    [anon_sym_BSLASHrem] = ACTIONS(5248),
    [anon_sym_BSLASHrestore] = ACTIONS(5248),
    [anon_sym_BSLASHlit] = ACTIONS(5248),
    [anon_sym_BSLASHip] = ACTIONS(5248),
    [anon_sym_BSLASHv] = ACTIONS(5248),
    [anon_sym_BSLASHva] = ACTIONS(5510),
    [anon_sym_BSLASHvp] = ACTIONS(5513),
    [anon_sym_BSLASHmte] = ACTIONS(5248),
    [anon_sym_BSLASHms] = ACTIONS(5248),
    [anon_sym_BSLASHs] = ACTIONS(5248),
    [anon_sym_BSLASHr] = ACTIONS(5248),
    [anon_sym_BSLASHsp] = ACTIONS(5248),
    [anon_sym_BSLASHd] = ACTIONS(5248),
    [anon_sym_BSLASHsd] = ACTIONS(5248),
    [anon_sym_BSLASHp] = ACTIONS(5248),
    [anon_sym_BSLASHm] = ACTIONS(5248),
    [anon_sym_BSLASHpo] = ACTIONS(5248),
    [anon_sym_BSLASHpr] = ACTIONS(5248),
    [anon_sym_BSLASHcls] = ACTIONS(5248),
    [anon_sym_BSLASHpmo] = ACTIONS(5248),
    [anon_sym_BSLASHpm] = ACTIONS(5248),
    [anon_sym_BSLASHpmc] = ACTIONS(5248),
    [anon_sym_BSLASHpmr] = ACTIONS(5248),
    [anon_sym_BSLASHpi] = ACTIONS(5248),
    [anon_sym_BSLASHmi] = ACTIONS(5248),
    [anon_sym_BSLASHnb] = ACTIONS(5248),
    [anon_sym_BSLASHpc] = ACTIONS(5248),
    [anon_sym_BSLASHph] = ACTIONS(5248),
    [anon_sym_BSLASHb] = ACTIONS(5248),
    [anon_sym_BSLASHq] = ACTIONS(5248),
    [anon_sym_BSLASHqr] = ACTIONS(5248),
    [anon_sym_BSLASHqc] = ACTIONS(5248),
    [anon_sym_BSLASHqs] = ACTIONS(5248),
    [anon_sym_BSLASHqa] = ACTIONS(5248),
    [anon_sym_BSLASHqac] = ACTIONS(5248),
    [anon_sym_BSLASHqm] = ACTIONS(5248),
    [anon_sym_BSLASHqd] = ACTIONS(5248),
    [anon_sym_BSLASHlh] = ACTIONS(5248),
    [anon_sym_BSLASHli] = ACTIONS(5248),
    [anon_sym_BSLASHlim] = ACTIONS(5248),
    [anon_sym_BSLASHtr] = ACTIONS(5248),
    [anon_sym_BSLASHf] = ACTIONS(5248),
    [anon_sym_BSLASHfe] = ACTIONS(5248),
    [anon_sym_BSLASHef] = ACTIONS(5248),
    [anon_sym_BSLASHfm] = ACTIONS(5248),
    [anon_sym_BSLASHx] = ACTIONS(5248),
    [anon_sym_BSLASHxt] = ACTIONS(5248),
    [anon_sym_BSLASHrq] = ACTIONS(5248),
    [anon_sym_BSLASHadd] = ACTIONS(5248),
    [anon_sym_BSLASHbk] = ACTIONS(5248),
    [anon_sym_BSLASHdc] = ACTIONS(5248),
    [anon_sym_BSLASHk] = ACTIONS(5248),
    [anon_sym_BSLASHnd] = ACTIONS(5248),
    [anon_sym_BSLASHord] = ACTIONS(5248),
    [anon_sym_BSLASHpn] = ACTIONS(5248),
    [anon_sym_BSLASHpng] = ACTIONS(5248),
    [anon_sym_BSLASHaddpn] = ACTIONS(5248),
    [anon_sym_BSLASHqt] = ACTIONS(5248),
    [anon_sym_BSLASHsig] = ACTIONS(5248),
    [anon_sym_BSLASHsls] = ACTIONS(5248),
    [anon_sym_BSLASHtl] = ACTIONS(5248),
    [anon_sym_BSLASHwj] = ACTIONS(5248),
    [anon_sym_BSLASHem] = ACTIONS(5248),
    [anon_sym_BSLASHbd] = ACTIONS(5248),
    [anon_sym_BSLASHit] = ACTIONS(5248),
    [anon_sym_BSLASHbdit] = ACTIONS(5248),
    [anon_sym_BSLASHno] = ACTIONS(5248),
    [anon_sym_BSLASHsc] = ACTIONS(5248),
    [anon_sym_BSLASHsup] = ACTIONS(5248),
    [anon_sym_BSLASHndx] = ACTIONS(5248),
    [anon_sym_BSLASHpro] = ACTIONS(5248),
    [anon_sym_BSLASHrb] = ACTIONS(5248),
    [anon_sym_BSLASHw] = ACTIONS(5248),
    [anon_sym_BSLASHwg] = ACTIONS(5248),
    [anon_sym_BSLASHwh] = ACTIONS(5248),
    [anon_sym_BSLASHwa] = ACTIONS(5248),
    [anon_sym_BSLASHfig] = ACTIONS(5248),
    [anon_sym_BSLASHjmp] = ACTIONS(5248),
    [anon_sym_BSLASHpb] = ACTIONS(5248),
    [anon_sym_BSLASH] = ACTIONS(5248),
    [sym_milestoneStartTag] = ACTIONS(5248),
    [sym_milestoneEndTag] = ACTIONS(5248),
    [sym_zSpaceTag] = ACTIONS(5248),
    [anon_sym_BSLASHesbe] = ACTIONS(5248),
    [anon_sym_BSLASHcat] = ACTIONS(5248),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(5516),
    [aux_sym_text_token1] = ACTIONS(5516),
    [anon_sym_BSLASHref] = ACTIONS(5518),
    [anon_sym_BSLASHsts] = ACTIONS(5518),
    [anon_sym_BSLASHrem] = ACTIONS(5518),
    [anon_sym_BSLASHrestore] = ACTIONS(5518),
    [anon_sym_BSLASHlit] = ACTIONS(5518),
    [anon_sym_BSLASHip] = ACTIONS(5518),
    [anon_sym_BSLASHiex] = ACTIONS(5518),
    [anon_sym_BSLASHv] = ACTIONS(5518),
    [anon_sym_BSLASHva] = ACTIONS(5518),
    [anon_sym_BSLASHvp] = ACTIONS(5518),
    [anon_sym_BSLASHc] = ACTIONS(5518),
    [anon_sym_BSLASHcl] = ACTIONS(5518),
    [anon_sym_BSLASHca] = ACTIONS(5518),
    [anon_sym_BSLASHcp] = ACTIONS(5518),
    [anon_sym_BSLASHcd] = ACTIONS(5518),
    [anon_sym_BSLASHmte] = ACTIONS(5518),
    [anon_sym_BSLASHms] = ACTIONS(5518),
    [anon_sym_BSLASHs] = ACTIONS(5518),
    [anon_sym_BSLASHr] = ACTIONS(5518),
    [anon_sym_BSLASHsp] = ACTIONS(5518),
    [anon_sym_BSLASHd] = ACTIONS(5518),
    [anon_sym_BSLASHsd] = ACTIONS(5518),
    [anon_sym_BSLASHp] = ACTIONS(5518),
    [anon_sym_BSLASHm] = ACTIONS(5518),
    [anon_sym_BSLASHpo] = ACTIONS(5518),
    [anon_sym_BSLASHpr] = ACTIONS(5518),
    [anon_sym_BSLASHcls] = ACTIONS(5518),
    [anon_sym_BSLASHpmo] = ACTIONS(5518),
    [anon_sym_BSLASHpm] = ACTIONS(5518),
    [anon_sym_BSLASHpmc] = ACTIONS(5518),
    [anon_sym_BSLASHpmr] = ACTIONS(5518),
    [anon_sym_BSLASHpi] = ACTIONS(5518),
    [anon_sym_BSLASHmi] = ACTIONS(5518),
    [anon_sym_BSLASHnb] = ACTIONS(5518),
    [anon_sym_BSLASHpc] = ACTIONS(5518),
    [anon_sym_BSLASHph] = ACTIONS(5518),
    [anon_sym_BSLASHb] = ACTIONS(5518),
    [anon_sym_BSLASHq] = ACTIONS(5518),
    [anon_sym_BSLASHqr] = ACTIONS(5518),
    [anon_sym_BSLASHqc] = ACTIONS(5518),
    [anon_sym_BSLASHqa] = ACTIONS(5518),
    [anon_sym_BSLASHqm] = ACTIONS(5518),
    [anon_sym_BSLASHqd] = ACTIONS(5518),
    [anon_sym_BSLASHlh] = ACTIONS(5518),
    [anon_sym_BSLASHli] = ACTIONS(5518),
    [anon_sym_BSLASHlim] = ACTIONS(5518),
    [anon_sym_BSLASHtr] = ACTIONS(5518),
    [anon_sym_BSLASHf] = ACTIONS(5518),
    [anon_sym_BSLASHfe] = ACTIONS(5518),
    [anon_sym_BSLASHef] = ACTIONS(5518),
    [anon_sym_BSLASHfm] = ACTIONS(5518),
    [anon_sym_BSLASHx] = ACTIONS(5518),
    [anon_sym_BSLASHxt] = ACTIONS(5518),
    [anon_sym_BSLASHrq] = ACTIONS(5518),
    [anon_sym_BSLASHadd] = ACTIONS(5518),
    [anon_sym_BSLASHbk] = ACTIONS(5518),
    [anon_sym_BSLASHdc] = ACTIONS(5518),
    [anon_sym_BSLASHk] = ACTIONS(5518),
    [anon_sym_BSLASHnd] = ACTIONS(5518),
    [anon_sym_BSLASHord] = ACTIONS(5518),
    [anon_sym_BSLASHpn] = ACTIONS(5518),
    [anon_sym_BSLASHpng] = ACTIONS(5518),
    [anon_sym_BSLASHaddpn] = ACTIONS(5518),
    [anon_sym_BSLASHqt] = ACTIONS(5518),
    [anon_sym_BSLASHsig] = ACTIONS(5518),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5518),
    [anon_sym_BSLASHwj] = ACTIONS(5518),
    [anon_sym_BSLASHem] = ACTIONS(5518),
    [anon_sym_BSLASHbd] = ACTIONS(5518),
    [anon_sym_BSLASHit] = ACTIONS(5518),
    [anon_sym_BSLASHbdit] = ACTIONS(5518),
    [anon_sym_BSLASHno] = ACTIONS(5518),
    [anon_sym_BSLASHsc] = ACTIONS(5518),
    [anon_sym_BSLASHsup] = ACTIONS(5518),
    [anon_sym_BSLASHndx] = ACTIONS(5518),
    [anon_sym_BSLASHpro] = ACTIONS(5518),
    [anon_sym_BSLASHrb] = ACTIONS(5518),
    [anon_sym_BSLASHw] = ACTIONS(5518),
    [anon_sym_BSLASHwg] = ACTIONS(5518),
    [anon_sym_BSLASHwh] = ACTIONS(5518),
    [anon_sym_BSLASHwa] = ACTIONS(5518),
    [anon_sym_BSLASHfig] = ACTIONS(5518),
    [anon_sym_BSLASHjmp] = ACTIONS(5518),
    [anon_sym_BSLASHpb] = ACTIONS(5518),
    [anon_sym_BSLASH] = ACTIONS(5518),
    [sym_milestoneStartTag] = ACTIONS(5518),
    [sym_milestoneEndTag] = ACTIONS(5518),
    [sym_zSpaceTag] = ACTIONS(5518),
    [anon_sym_BSLASHesb] = ACTIONS(5518),
  },
  [564] = {
    [sym__verseMeta] = STATE(552),
    [sym_va] = STATE(552),
    [sym_vp] = STATE(552),
    [aux_sym_v_repeat1] = STATE(552),
    [aux_sym_text_token1] = ACTIONS(5128),
    [anon_sym_BSLASHref] = ACTIONS(5130),
    [anon_sym_BSLASHsts] = ACTIONS(5130),
    [anon_sym_BSLASHrem] = ACTIONS(5130),
    [anon_sym_BSLASHrestore] = ACTIONS(5130),
    [anon_sym_BSLASHlit] = ACTIONS(5130),
    [anon_sym_BSLASHip] = ACTIONS(5130),
    [anon_sym_BSLASHv] = ACTIONS(5130),
    [anon_sym_BSLASHva] = ACTIONS(1703),
    [anon_sym_BSLASHvp] = ACTIONS(1705),
    [anon_sym_BSLASHmte] = ACTIONS(5130),
    [anon_sym_BSLASHms] = ACTIONS(5130),
    [anon_sym_BSLASHs] = ACTIONS(5130),
    [anon_sym_BSLASHr] = ACTIONS(5130),
    [anon_sym_BSLASHsp] = ACTIONS(5130),
    [anon_sym_BSLASHd] = ACTIONS(5130),
    [anon_sym_BSLASHsd] = ACTIONS(5130),
    [anon_sym_BSLASHp] = ACTIONS(5130),
    [anon_sym_BSLASHm] = ACTIONS(5130),
    [anon_sym_BSLASHpo] = ACTIONS(5130),
    [anon_sym_BSLASHpr] = ACTIONS(5130),
    [anon_sym_BSLASHcls] = ACTIONS(5130),
    [anon_sym_BSLASHpmo] = ACTIONS(5130),
    [anon_sym_BSLASHpm] = ACTIONS(5130),
    [anon_sym_BSLASHpmc] = ACTIONS(5130),
    [anon_sym_BSLASHpmr] = ACTIONS(5130),
    [anon_sym_BSLASHpi] = ACTIONS(5130),
    [anon_sym_BSLASHmi] = ACTIONS(5130),
    [anon_sym_BSLASHnb] = ACTIONS(5130),
    [anon_sym_BSLASHpc] = ACTIONS(5130),
    [anon_sym_BSLASHph] = ACTIONS(5130),
    [anon_sym_BSLASHb] = ACTIONS(5130),
    [anon_sym_BSLASHq] = ACTIONS(5130),
    [anon_sym_BSLASHqr] = ACTIONS(5130),
    [anon_sym_BSLASHqc] = ACTIONS(5130),
    [anon_sym_BSLASHqs] = ACTIONS(5130),
    [anon_sym_BSLASHqa] = ACTIONS(5130),
    [anon_sym_BSLASHqac] = ACTIONS(5130),
    [anon_sym_BSLASHqm] = ACTIONS(5130),
    [anon_sym_BSLASHqd] = ACTIONS(5130),
    [anon_sym_BSLASHlh] = ACTIONS(5130),
    [anon_sym_BSLASHli] = ACTIONS(5130),
    [anon_sym_BSLASHlim] = ACTIONS(5130),
    [anon_sym_BSLASHtr] = ACTIONS(5130),
    [anon_sym_BSLASHf] = ACTIONS(5130),
    [anon_sym_BSLASHfe] = ACTIONS(5130),
    [anon_sym_BSLASHef] = ACTIONS(5130),
    [anon_sym_BSLASHfm] = ACTIONS(5130),
    [anon_sym_BSLASHx] = ACTIONS(5130),
    [anon_sym_BSLASHxt] = ACTIONS(5130),
    [anon_sym_BSLASHrq] = ACTIONS(5130),
    [anon_sym_BSLASHadd] = ACTIONS(5130),
    [anon_sym_BSLASHbk] = ACTIONS(5130),
    [anon_sym_BSLASHdc] = ACTIONS(5130),
    [anon_sym_BSLASHk] = ACTIONS(5130),
    [anon_sym_BSLASHnd] = ACTIONS(5130),
    [anon_sym_BSLASHord] = ACTIONS(5130),
    [anon_sym_BSLASHpn] = ACTIONS(5130),
    [anon_sym_BSLASHpng] = ACTIONS(5130),
    [anon_sym_BSLASHaddpn] = ACTIONS(5130),
    [anon_sym_BSLASHqt] = ACTIONS(5130),
    [anon_sym_BSLASHsig] = ACTIONS(5130),
    [anon_sym_BSLASHsls] = ACTIONS(5130),
    [anon_sym_BSLASHtl] = ACTIONS(5130),
    [anon_sym_BSLASHwj] = ACTIONS(5130),
    [anon_sym_BSLASHem] = ACTIONS(5130),
    [anon_sym_BSLASHbd] = ACTIONS(5130),
    [anon_sym_BSLASHit] = ACTIONS(5130),
    [anon_sym_BSLASHbdit] = ACTIONS(5130),
    [anon_sym_BSLASHno] = ACTIONS(5130),
    [anon_sym_BSLASHsc] = ACTIONS(5130),
    [anon_sym_BSLASHsup] = ACTIONS(5130),
    [anon_sym_BSLASHndx] = ACTIONS(5130),
    [anon_sym_BSLASHpro] = ACTIONS(5130),
    [anon_sym_BSLASHrb] = ACTIONS(5130),
    [anon_sym_BSLASHw] = ACTIONS(5130),
    [anon_sym_BSLASHwg] = ACTIONS(5130),
    [anon_sym_BSLASHwh] = ACTIONS(5130),
    [anon_sym_BSLASHwa] = ACTIONS(5130),
    [anon_sym_BSLASHfig] = ACTIONS(5130),
    [anon_sym_BSLASHjmp] = ACTIONS(5130),
    [anon_sym_BSLASHpb] = ACTIONS(5130),
    [anon_sym_BSLASH] = ACTIONS(5130),
    [sym_milestoneStartTag] = ACTIONS(5130),
    [sym_milestoneEndTag] = ACTIONS(5130),
    [sym_zSpaceTag] = ACTIONS(5130),
    [anon_sym_BSLASHesbe] = ACTIONS(5130),
    [anon_sym_BSLASHcat] = ACTIONS(5130),
  },
  [565] = {
    [aux_sym_text_token1] = ACTIONS(3100),
    [anon_sym_BSLASHref] = ACTIONS(3102),
    [anon_sym_BSLASHsts] = ACTIONS(3102),
    [anon_sym_BSLASHrem] = ACTIONS(3102),
    [anon_sym_BSLASHrestore] = ACTIONS(3102),
    [anon_sym_BSLASHlit] = ACTIONS(3102),
    [anon_sym_BSLASHip] = ACTIONS(3102),
    [anon_sym_BSLASHv] = ACTIONS(3102),
    [anon_sym_BSLASHva] = ACTIONS(3102),
    [anon_sym_BSLASHvp] = ACTIONS(3102),
    [anon_sym_BSLASHmte] = ACTIONS(3102),
    [anon_sym_BSLASHms] = ACTIONS(3102),
    [anon_sym_BSLASHmr] = ACTIONS(3102),
    [anon_sym_BSLASHs] = ACTIONS(3102),
    [anon_sym_BSLASHsr] = ACTIONS(3102),
    [anon_sym_BSLASHr] = ACTIONS(3102),
    [anon_sym_BSLASHsp] = ACTIONS(3102),
    [anon_sym_BSLASHd] = ACTIONS(3102),
    [anon_sym_BSLASHsd] = ACTIONS(3102),
    [anon_sym_BSLASHp] = ACTIONS(3102),
    [anon_sym_BSLASHm] = ACTIONS(3102),
    [anon_sym_BSLASHpo] = ACTIONS(3102),
    [anon_sym_BSLASHpr] = ACTIONS(3102),
    [anon_sym_BSLASHcls] = ACTIONS(3102),
    [anon_sym_BSLASHpmo] = ACTIONS(3102),
    [anon_sym_BSLASHpm] = ACTIONS(3102),
    [anon_sym_BSLASHpmc] = ACTIONS(3102),
    [anon_sym_BSLASHpmr] = ACTIONS(3102),
    [anon_sym_BSLASHpi] = ACTIONS(3102),
    [anon_sym_BSLASHmi] = ACTIONS(3102),
    [anon_sym_BSLASHnb] = ACTIONS(3102),
    [anon_sym_BSLASHpc] = ACTIONS(3102),
    [anon_sym_BSLASHph] = ACTIONS(3102),
    [anon_sym_BSLASHb] = ACTIONS(3102),
    [anon_sym_BSLASHq] = ACTIONS(3102),
    [anon_sym_BSLASHqr] = ACTIONS(3102),
    [anon_sym_BSLASHqc] = ACTIONS(3102),
    [anon_sym_BSLASHqa] = ACTIONS(3102),
    [anon_sym_BSLASHqm] = ACTIONS(3102),
    [anon_sym_BSLASHqd] = ACTIONS(3102),
    [anon_sym_BSLASHlh] = ACTIONS(3102),
    [anon_sym_BSLASHlf] = ACTIONS(3102),
    [anon_sym_BSLASHli] = ACTIONS(3102),
    [anon_sym_BSLASHlim] = ACTIONS(3102),
    [anon_sym_BSLASHliv] = ACTIONS(3102),
    [anon_sym_BSLASHlik] = ACTIONS(3102),
    [anon_sym_BSLASHlitl] = ACTIONS(3102),
    [anon_sym_BSLASHtr] = ACTIONS(3102),
    [anon_sym_BSLASHf] = ACTIONS(3102),
    [anon_sym_BSLASHfe] = ACTIONS(3102),
    [anon_sym_BSLASHef] = ACTIONS(3102),
    [anon_sym_BSLASHfm] = ACTIONS(3102),
    [anon_sym_BSLASHx] = ACTIONS(3102),
    [anon_sym_BSLASHxt] = ACTIONS(3102),
    [anon_sym_BSLASHrq] = ACTIONS(3102),
    [anon_sym_BSLASHadd] = ACTIONS(3102),
    [anon_sym_BSLASHbk] = ACTIONS(3102),
    [anon_sym_BSLASHdc] = ACTIONS(3102),
    [anon_sym_BSLASHk] = ACTIONS(3102),
    [anon_sym_BSLASHnd] = ACTIONS(3102),
    [anon_sym_BSLASHord] = ACTIONS(3102),
    [anon_sym_BSLASHpn] = ACTIONS(3102),
    [anon_sym_BSLASHpng] = ACTIONS(3102),
    [anon_sym_BSLASHaddpn] = ACTIONS(3102),
    [anon_sym_BSLASHqt] = ACTIONS(3102),
    [anon_sym_BSLASHsig] = ACTIONS(3102),
    [anon_sym_BSLASHsls] = ACTIONS(3102),
    [anon_sym_BSLASHtl] = ACTIONS(3102),
    [anon_sym_BSLASHwj] = ACTIONS(3102),
    [anon_sym_BSLASHem] = ACTIONS(3102),
    [anon_sym_BSLASHbd] = ACTIONS(3102),
    [anon_sym_BSLASHit] = ACTIONS(3102),
    [anon_sym_BSLASHbdit] = ACTIONS(3102),
    [anon_sym_BSLASHno] = ACTIONS(3102),
    [anon_sym_BSLASHsc] = ACTIONS(3102),
    [anon_sym_BSLASHsup] = ACTIONS(3102),
    [anon_sym_BSLASHndx] = ACTIONS(3102),
    [anon_sym_BSLASHpro] = ACTIONS(3102),
    [anon_sym_BSLASHrb] = ACTIONS(3102),
    [anon_sym_BSLASHw] = ACTIONS(3102),
    [anon_sym_BSLASHwg] = ACTIONS(3102),
    [anon_sym_BSLASHwh] = ACTIONS(3102),
    [anon_sym_BSLASHwa] = ACTIONS(3102),
    [anon_sym_BSLASHfig] = ACTIONS(3102),
    [anon_sym_BSLASHjmp] = ACTIONS(3102),
    [anon_sym_BSLASHpb] = ACTIONS(3102),
    [anon_sym_BSLASH] = ACTIONS(3102),
    [sym_milestoneStartTag] = ACTIONS(3102),
    [sym_milestoneEndTag] = ACTIONS(3102),
    [sym_zSpaceTag] = ACTIONS(3102),
    [anon_sym_BSLASHesbe] = ACTIONS(3102),
    [anon_sym_BSLASHcat] = ACTIONS(3102),
  },
  [566] = {
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqs] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqac] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_BSLASH_STAR] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [sym__zSpaceClose] = ACTIONS(7),
    [anon_sym_BSLASHesbe] = ACTIONS(7),
    [anon_sym_BSLASHcat] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
  },
  [567] = {
    [sym_defaultAttribute] = STATE(672),
    [sym__attributesInCrossref] = STATE(672),
    [aux_sym_text_token1] = ACTIONS(5520),
    [anon_sym_BSLASHref] = ACTIONS(5522),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5522),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5522),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5522),
    [anon_sym_BSLASHfr] = ACTIONS(5522),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5522),
    [anon_sym_BSLASHfq] = ACTIONS(5522),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5522),
    [anon_sym_BSLASHfqa] = ACTIONS(5522),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5522),
    [anon_sym_BSLASHfk] = ACTIONS(5522),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5522),
    [anon_sym_BSLASHfl] = ACTIONS(5522),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5522),
    [anon_sym_BSLASHfw] = ACTIONS(5522),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5522),
    [anon_sym_BSLASHfp] = ACTIONS(5522),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5522),
    [anon_sym_BSLASHft] = ACTIONS(5522),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5522),
    [anon_sym_BSLASHfdc] = ACTIONS(5522),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5522),
    [anon_sym_BSLASHfv] = ACTIONS(5522),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5522),
    [anon_sym_BSLASHxt] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5524),
    [anon_sym_BSLASHadd] = ACTIONS(5522),
    [anon_sym_BSLASHbk] = ACTIONS(5522),
    [anon_sym_BSLASHdc] = ACTIONS(5522),
    [anon_sym_BSLASHk] = ACTIONS(5522),
    [anon_sym_BSLASHnd] = ACTIONS(5522),
    [anon_sym_BSLASHord] = ACTIONS(5522),
    [anon_sym_BSLASHpn] = ACTIONS(5522),
    [anon_sym_BSLASHpng] = ACTIONS(5522),
    [anon_sym_BSLASHaddpn] = ACTIONS(5522),
    [anon_sym_BSLASHqt] = ACTIONS(5522),
    [anon_sym_BSLASHsig] = ACTIONS(5522),
    [anon_sym_BSLASHsls] = ACTIONS(5522),
    [anon_sym_BSLASHtl] = ACTIONS(5522),
    [anon_sym_BSLASHwj] = ACTIONS(5522),
    [anon_sym_BSLASHem] = ACTIONS(5522),
    [anon_sym_BSLASHbd] = ACTIONS(5522),
    [anon_sym_BSLASHit] = ACTIONS(5522),
    [anon_sym_BSLASHbdit] = ACTIONS(5522),
    [anon_sym_BSLASHno] = ACTIONS(5522),
    [anon_sym_BSLASHsc] = ACTIONS(5522),
    [anon_sym_BSLASHsup] = ACTIONS(5522),
    [anon_sym_BSLASHndx] = ACTIONS(5522),
    [anon_sym_BSLASHpro] = ACTIONS(5522),
    [anon_sym_BSLASHrb] = ACTIONS(5522),
    [anon_sym_BSLASHw] = ACTIONS(5522),
    [anon_sym_BSLASHwg] = ACTIONS(5522),
    [anon_sym_BSLASHwh] = ACTIONS(5522),
    [anon_sym_BSLASHwa] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5522),
    [anon_sym_BSLASHfig] = ACTIONS(5522),
    [anon_sym_BSLASHjmp] = ACTIONS(5522),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5522),
    [anon_sym_BSLASHcat] = ACTIONS(5522),
    [anon_sym_PIPE] = ACTIONS(5526),
  },
  [568] = {
    [aux_sym_text_token1] = ACTIONS(5348),
    [anon_sym_BSLASHref] = ACTIONS(5350),
    [anon_sym_BSLASHsts] = ACTIONS(5350),
    [anon_sym_BSLASHrem] = ACTIONS(5350),
    [anon_sym_BSLASHrestore] = ACTIONS(5350),
    [anon_sym_BSLASHlit] = ACTIONS(5350),
    [anon_sym_BSLASHip] = ACTIONS(5350),
    [anon_sym_BSLASHv] = ACTIONS(5350),
    [anon_sym_BSLASHva] = ACTIONS(5350),
    [anon_sym_BSLASHvp] = ACTIONS(5350),
    [anon_sym_BSLASHmte] = ACTIONS(5350),
    [anon_sym_BSLASHms] = ACTIONS(5350),
    [anon_sym_BSLASHs] = ACTIONS(5350),
    [anon_sym_BSLASHr] = ACTIONS(5350),
    [anon_sym_BSLASHsp] = ACTIONS(5350),
    [anon_sym_BSLASHd] = ACTIONS(5350),
    [anon_sym_BSLASHsd] = ACTIONS(5350),
    [anon_sym_BSLASHp] = ACTIONS(5350),
    [anon_sym_BSLASHm] = ACTIONS(5350),
    [anon_sym_BSLASHpo] = ACTIONS(5350),
    [anon_sym_BSLASHpr] = ACTIONS(5350),
    [anon_sym_BSLASHcls] = ACTIONS(5350),
    [anon_sym_BSLASHpmo] = ACTIONS(5350),
    [anon_sym_BSLASHpm] = ACTIONS(5350),
    [anon_sym_BSLASHpmc] = ACTIONS(5350),
    [anon_sym_BSLASHpmr] = ACTIONS(5350),
    [anon_sym_BSLASHpi] = ACTIONS(5350),
    [anon_sym_BSLASHmi] = ACTIONS(5350),
    [anon_sym_BSLASHnb] = ACTIONS(5350),
    [anon_sym_BSLASHpc] = ACTIONS(5350),
    [anon_sym_BSLASHph] = ACTIONS(5350),
    [anon_sym_BSLASHb] = ACTIONS(5350),
    [anon_sym_BSLASHq] = ACTIONS(5350),
    [anon_sym_BSLASHqr] = ACTIONS(5350),
    [anon_sym_BSLASHqc] = ACTIONS(5350),
    [anon_sym_BSLASHqa] = ACTIONS(5350),
    [anon_sym_BSLASHqm] = ACTIONS(5350),
    [anon_sym_BSLASHqd] = ACTIONS(5350),
    [anon_sym_BSLASHlh] = ACTIONS(5350),
    [anon_sym_BSLASHlf] = ACTIONS(5350),
    [anon_sym_BSLASHli] = ACTIONS(5350),
    [anon_sym_BSLASHlim] = ACTIONS(5350),
    [anon_sym_BSLASHliv] = ACTIONS(5350),
    [anon_sym_BSLASHlik] = ACTIONS(5350),
    [anon_sym_BSLASHlitl] = ACTIONS(5350),
    [anon_sym_BSLASHtr] = ACTIONS(5350),
    [anon_sym_BSLASHf] = ACTIONS(5350),
    [anon_sym_BSLASHfe] = ACTIONS(5350),
    [anon_sym_BSLASHef] = ACTIONS(5350),
    [anon_sym_BSLASHfm] = ACTIONS(5350),
    [anon_sym_BSLASHx] = ACTIONS(5350),
    [anon_sym_BSLASHxt] = ACTIONS(5350),
    [anon_sym_BSLASHrq] = ACTIONS(5350),
    [anon_sym_BSLASHadd] = ACTIONS(5350),
    [anon_sym_BSLASHbk] = ACTIONS(5350),
    [anon_sym_BSLASHdc] = ACTIONS(5350),
    [anon_sym_BSLASHk] = ACTIONS(5350),
    [anon_sym_BSLASHnd] = ACTIONS(5350),
    [anon_sym_BSLASHord] = ACTIONS(5350),
    [anon_sym_BSLASHpn] = ACTIONS(5350),
    [anon_sym_BSLASHpng] = ACTIONS(5350),
    [anon_sym_BSLASHaddpn] = ACTIONS(5350),
    [anon_sym_BSLASHqt] = ACTIONS(5350),
    [anon_sym_BSLASHsig] = ACTIONS(5350),
    [anon_sym_BSLASHsls] = ACTIONS(5350),
    [anon_sym_BSLASHtl] = ACTIONS(5350),
    [anon_sym_BSLASHwj] = ACTIONS(5350),
    [anon_sym_BSLASHem] = ACTIONS(5350),
    [anon_sym_BSLASHbd] = ACTIONS(5350),
    [anon_sym_BSLASHit] = ACTIONS(5350),
    [anon_sym_BSLASHbdit] = ACTIONS(5350),
    [anon_sym_BSLASHno] = ACTIONS(5350),
    [anon_sym_BSLASHsc] = ACTIONS(5350),
    [anon_sym_BSLASHsup] = ACTIONS(5350),
    [anon_sym_BSLASHndx] = ACTIONS(5350),
    [anon_sym_BSLASHpro] = ACTIONS(5350),
    [anon_sym_BSLASHrb] = ACTIONS(5350),
    [anon_sym_BSLASHw] = ACTIONS(5350),
    [anon_sym_BSLASHwg] = ACTIONS(5350),
    [anon_sym_BSLASHwh] = ACTIONS(5350),
    [anon_sym_BSLASHwa] = ACTIONS(5350),
    [anon_sym_BSLASHfig] = ACTIONS(5350),
    [anon_sym_BSLASHjmp] = ACTIONS(5350),
    [anon_sym_BSLASHpb] = ACTIONS(5350),
    [anon_sym_BSLASH] = ACTIONS(5350),
    [sym_milestoneStartTag] = ACTIONS(5350),
    [sym_milestoneEndTag] = ACTIONS(5350),
    [sym_zSpaceTag] = ACTIONS(5350),
    [anon_sym_BSLASHesbe] = ACTIONS(5350),
    [anon_sym_BSLASHcat] = ACTIONS(5350),
  },
  [569] = {
    [aux_sym_text_token1] = ACTIONS(5356),
    [anon_sym_BSLASHref] = ACTIONS(5358),
    [anon_sym_BSLASHsts] = ACTIONS(5358),
    [anon_sym_BSLASHrem] = ACTIONS(5358),
    [anon_sym_BSLASHrestore] = ACTIONS(5358),
    [anon_sym_BSLASHlit] = ACTIONS(5358),
    [anon_sym_BSLASHip] = ACTIONS(5358),
    [anon_sym_BSLASHv] = ACTIONS(5358),
    [anon_sym_BSLASHva] = ACTIONS(5358),
    [anon_sym_BSLASHvp] = ACTIONS(5358),
    [anon_sym_BSLASHmte] = ACTIONS(5358),
    [anon_sym_BSLASHms] = ACTIONS(5358),
    [anon_sym_BSLASHs] = ACTIONS(5358),
    [anon_sym_BSLASHr] = ACTIONS(5358),
    [anon_sym_BSLASHsp] = ACTIONS(5358),
    [anon_sym_BSLASHd] = ACTIONS(5358),
    [anon_sym_BSLASHsd] = ACTIONS(5358),
    [anon_sym_BSLASHp] = ACTIONS(5358),
    [anon_sym_BSLASHm] = ACTIONS(5358),
    [anon_sym_BSLASHpo] = ACTIONS(5358),
    [anon_sym_BSLASHpr] = ACTIONS(5358),
    [anon_sym_BSLASHcls] = ACTIONS(5358),
    [anon_sym_BSLASHpmo] = ACTIONS(5358),
    [anon_sym_BSLASHpm] = ACTIONS(5358),
    [anon_sym_BSLASHpmc] = ACTIONS(5358),
    [anon_sym_BSLASHpmr] = ACTIONS(5358),
    [anon_sym_BSLASHpi] = ACTIONS(5358),
    [anon_sym_BSLASHmi] = ACTIONS(5358),
    [anon_sym_BSLASHnb] = ACTIONS(5358),
    [anon_sym_BSLASHpc] = ACTIONS(5358),
    [anon_sym_BSLASHph] = ACTIONS(5358),
    [anon_sym_BSLASHb] = ACTIONS(5358),
    [anon_sym_BSLASHq] = ACTIONS(5358),
    [anon_sym_BSLASHqr] = ACTIONS(5358),
    [anon_sym_BSLASHqc] = ACTIONS(5358),
    [anon_sym_BSLASHqa] = ACTIONS(5358),
    [anon_sym_BSLASHqm] = ACTIONS(5358),
    [anon_sym_BSLASHqd] = ACTIONS(5358),
    [anon_sym_BSLASHlh] = ACTIONS(5358),
    [anon_sym_BSLASHlf] = ACTIONS(5358),
    [anon_sym_BSLASHli] = ACTIONS(5358),
    [anon_sym_BSLASHlim] = ACTIONS(5358),
    [anon_sym_BSLASHliv] = ACTIONS(5358),
    [anon_sym_BSLASHlik] = ACTIONS(5358),
    [anon_sym_BSLASHlitl] = ACTIONS(5358),
    [anon_sym_BSLASHtr] = ACTIONS(5358),
    [anon_sym_BSLASHf] = ACTIONS(5358),
    [anon_sym_BSLASHfe] = ACTIONS(5358),
    [anon_sym_BSLASHef] = ACTIONS(5358),
    [anon_sym_BSLASHfm] = ACTIONS(5358),
    [anon_sym_BSLASHx] = ACTIONS(5358),
    [anon_sym_BSLASHxt] = ACTIONS(5358),
    [anon_sym_BSLASHrq] = ACTIONS(5358),
    [anon_sym_BSLASHadd] = ACTIONS(5358),
    [anon_sym_BSLASHbk] = ACTIONS(5358),
    [anon_sym_BSLASHdc] = ACTIONS(5358),
    [anon_sym_BSLASHk] = ACTIONS(5358),
    [anon_sym_BSLASHnd] = ACTIONS(5358),
    [anon_sym_BSLASHord] = ACTIONS(5358),
    [anon_sym_BSLASHpn] = ACTIONS(5358),
    [anon_sym_BSLASHpng] = ACTIONS(5358),
    [anon_sym_BSLASHaddpn] = ACTIONS(5358),
    [anon_sym_BSLASHqt] = ACTIONS(5358),
    [anon_sym_BSLASHsig] = ACTIONS(5358),
    [anon_sym_BSLASHsls] = ACTIONS(5358),
    [anon_sym_BSLASHtl] = ACTIONS(5358),
    [anon_sym_BSLASHwj] = ACTIONS(5358),
    [anon_sym_BSLASHem] = ACTIONS(5358),
    [anon_sym_BSLASHbd] = ACTIONS(5358),
    [anon_sym_BSLASHit] = ACTIONS(5358),
    [anon_sym_BSLASHbdit] = ACTIONS(5358),
    [anon_sym_BSLASHno] = ACTIONS(5358),
    [anon_sym_BSLASHsc] = ACTIONS(5358),
    [anon_sym_BSLASHsup] = ACTIONS(5358),
    [anon_sym_BSLASHndx] = ACTIONS(5358),
    [anon_sym_BSLASHpro] = ACTIONS(5358),
    [anon_sym_BSLASHrb] = ACTIONS(5358),
    [anon_sym_BSLASHw] = ACTIONS(5358),
    [anon_sym_BSLASHwg] = ACTIONS(5358),
    [anon_sym_BSLASHwh] = ACTIONS(5358),
    [anon_sym_BSLASHwa] = ACTIONS(5358),
    [anon_sym_BSLASHfig] = ACTIONS(5358),
    [anon_sym_BSLASHjmp] = ACTIONS(5358),
    [anon_sym_BSLASHpb] = ACTIONS(5358),
    [anon_sym_BSLASH] = ACTIONS(5358),
    [sym_milestoneStartTag] = ACTIONS(5358),
    [sym_milestoneEndTag] = ACTIONS(5358),
    [sym_zSpaceTag] = ACTIONS(5358),
    [anon_sym_BSLASHesbe] = ACTIONS(5358),
    [anon_sym_BSLASHcat] = ACTIONS(5358),
  },
  [570] = {
    [aux_sym_text_token1] = ACTIONS(5424),
    [anon_sym_BSLASHref] = ACTIONS(5426),
    [anon_sym_BSLASHsts] = ACTIONS(5426),
    [anon_sym_BSLASHrem] = ACTIONS(5426),
    [anon_sym_BSLASHrestore] = ACTIONS(5426),
    [anon_sym_BSLASHlit] = ACTIONS(5426),
    [anon_sym_BSLASHip] = ACTIONS(5426),
    [anon_sym_BSLASHv] = ACTIONS(5426),
    [anon_sym_BSLASHva] = ACTIONS(5426),
    [anon_sym_BSLASHvp] = ACTIONS(5426),
    [anon_sym_BSLASHmte] = ACTIONS(5426),
    [anon_sym_BSLASHms] = ACTIONS(5426),
    [anon_sym_BSLASHs] = ACTIONS(5426),
    [anon_sym_BSLASHr] = ACTIONS(5426),
    [anon_sym_BSLASHsp] = ACTIONS(5426),
    [anon_sym_BSLASHd] = ACTIONS(5426),
    [anon_sym_BSLASHsd] = ACTIONS(5426),
    [anon_sym_BSLASHp] = ACTIONS(5426),
    [anon_sym_BSLASHm] = ACTIONS(5426),
    [anon_sym_BSLASHpo] = ACTIONS(5426),
    [anon_sym_BSLASHpr] = ACTIONS(5426),
    [anon_sym_BSLASHcls] = ACTIONS(5426),
    [anon_sym_BSLASHpmo] = ACTIONS(5426),
    [anon_sym_BSLASHpm] = ACTIONS(5426),
    [anon_sym_BSLASHpmc] = ACTIONS(5426),
    [anon_sym_BSLASHpmr] = ACTIONS(5426),
    [anon_sym_BSLASHpi] = ACTIONS(5426),
    [anon_sym_BSLASHmi] = ACTIONS(5426),
    [anon_sym_BSLASHnb] = ACTIONS(5426),
    [anon_sym_BSLASHpc] = ACTIONS(5426),
    [anon_sym_BSLASHph] = ACTIONS(5426),
    [anon_sym_BSLASHb] = ACTIONS(5426),
    [anon_sym_BSLASHq] = ACTIONS(5426),
    [anon_sym_BSLASHqr] = ACTIONS(5426),
    [anon_sym_BSLASHqc] = ACTIONS(5426),
    [anon_sym_BSLASHqa] = ACTIONS(5426),
    [anon_sym_BSLASHqm] = ACTIONS(5426),
    [anon_sym_BSLASHqd] = ACTIONS(5426),
    [anon_sym_BSLASHlh] = ACTIONS(5426),
    [anon_sym_BSLASHlf] = ACTIONS(5426),
    [anon_sym_BSLASHli] = ACTIONS(5426),
    [anon_sym_BSLASHlim] = ACTIONS(5426),
    [anon_sym_BSLASHliv] = ACTIONS(5426),
    [anon_sym_BSLASHlik] = ACTIONS(5426),
    [anon_sym_BSLASHlitl] = ACTIONS(5426),
    [anon_sym_BSLASHtr] = ACTIONS(5426),
    [anon_sym_BSLASHf] = ACTIONS(5426),
    [anon_sym_BSLASHfe] = ACTIONS(5426),
    [anon_sym_BSLASHef] = ACTIONS(5426),
    [anon_sym_BSLASHfm] = ACTIONS(5426),
    [anon_sym_BSLASHx] = ACTIONS(5426),
    [anon_sym_BSLASHxt] = ACTIONS(5426),
    [anon_sym_BSLASHrq] = ACTIONS(5426),
    [anon_sym_BSLASHadd] = ACTIONS(5426),
    [anon_sym_BSLASHbk] = ACTIONS(5426),
    [anon_sym_BSLASHdc] = ACTIONS(5426),
    [anon_sym_BSLASHk] = ACTIONS(5426),
    [anon_sym_BSLASHnd] = ACTIONS(5426),
    [anon_sym_BSLASHord] = ACTIONS(5426),
    [anon_sym_BSLASHpn] = ACTIONS(5426),
    [anon_sym_BSLASHpng] = ACTIONS(5426),
    [anon_sym_BSLASHaddpn] = ACTIONS(5426),
    [anon_sym_BSLASHqt] = ACTIONS(5426),
    [anon_sym_BSLASHsig] = ACTIONS(5426),
    [anon_sym_BSLASHsls] = ACTIONS(5426),
    [anon_sym_BSLASHtl] = ACTIONS(5426),
    [anon_sym_BSLASHwj] = ACTIONS(5426),
    [anon_sym_BSLASHem] = ACTIONS(5426),
    [anon_sym_BSLASHbd] = ACTIONS(5426),
    [anon_sym_BSLASHit] = ACTIONS(5426),
    [anon_sym_BSLASHbdit] = ACTIONS(5426),
    [anon_sym_BSLASHno] = ACTIONS(5426),
    [anon_sym_BSLASHsc] = ACTIONS(5426),
    [anon_sym_BSLASHsup] = ACTIONS(5426),
    [anon_sym_BSLASHndx] = ACTIONS(5426),
    [anon_sym_BSLASHpro] = ACTIONS(5426),
    [anon_sym_BSLASHrb] = ACTIONS(5426),
    [anon_sym_BSLASHw] = ACTIONS(5426),
    [anon_sym_BSLASHwg] = ACTIONS(5426),
    [anon_sym_BSLASHwh] = ACTIONS(5426),
    [anon_sym_BSLASHwa] = ACTIONS(5426),
    [anon_sym_BSLASHfig] = ACTIONS(5426),
    [anon_sym_BSLASHjmp] = ACTIONS(5426),
    [anon_sym_BSLASHpb] = ACTIONS(5426),
    [anon_sym_BSLASH] = ACTIONS(5426),
    [sym_milestoneStartTag] = ACTIONS(5426),
    [sym_milestoneEndTag] = ACTIONS(5426),
    [sym_zSpaceTag] = ACTIONS(5426),
    [anon_sym_BSLASHesbe] = ACTIONS(5426),
    [anon_sym_BSLASHcat] = ACTIONS(5426),
  },
  [571] = {
    [aux_sym_text_token1] = ACTIONS(5380),
    [anon_sym_BSLASHref] = ACTIONS(5382),
    [anon_sym_BSLASHsts] = ACTIONS(5382),
    [anon_sym_BSLASHrem] = ACTIONS(5382),
    [anon_sym_BSLASHrestore] = ACTIONS(5382),
    [anon_sym_BSLASHlit] = ACTIONS(5382),
    [anon_sym_BSLASHip] = ACTIONS(5382),
    [anon_sym_BSLASHv] = ACTIONS(5382),
    [anon_sym_BSLASHva] = ACTIONS(5382),
    [anon_sym_BSLASHvp] = ACTIONS(5382),
    [anon_sym_BSLASHmte] = ACTIONS(5382),
    [anon_sym_BSLASHms] = ACTIONS(5382),
    [anon_sym_BSLASHs] = ACTIONS(5382),
    [anon_sym_BSLASHr] = ACTIONS(5382),
    [anon_sym_BSLASHsp] = ACTIONS(5382),
    [anon_sym_BSLASHd] = ACTIONS(5382),
    [anon_sym_BSLASHsd] = ACTIONS(5382),
    [anon_sym_BSLASHp] = ACTIONS(5382),
    [anon_sym_BSLASHm] = ACTIONS(5382),
    [anon_sym_BSLASHpo] = ACTIONS(5382),
    [anon_sym_BSLASHpr] = ACTIONS(5382),
    [anon_sym_BSLASHcls] = ACTIONS(5382),
    [anon_sym_BSLASHpmo] = ACTIONS(5382),
    [anon_sym_BSLASHpm] = ACTIONS(5382),
    [anon_sym_BSLASHpmc] = ACTIONS(5382),
    [anon_sym_BSLASHpmr] = ACTIONS(5382),
    [anon_sym_BSLASHpi] = ACTIONS(5382),
    [anon_sym_BSLASHmi] = ACTIONS(5382),
    [anon_sym_BSLASHnb] = ACTIONS(5382),
    [anon_sym_BSLASHpc] = ACTIONS(5382),
    [anon_sym_BSLASHph] = ACTIONS(5382),
    [anon_sym_BSLASHb] = ACTIONS(5382),
    [anon_sym_BSLASHq] = ACTIONS(5382),
    [anon_sym_BSLASHqr] = ACTIONS(5382),
    [anon_sym_BSLASHqc] = ACTIONS(5382),
    [anon_sym_BSLASHqa] = ACTIONS(5382),
    [anon_sym_BSLASHqm] = ACTIONS(5382),
    [anon_sym_BSLASHqd] = ACTIONS(5382),
    [anon_sym_BSLASHlh] = ACTIONS(5382),
    [anon_sym_BSLASHlf] = ACTIONS(5382),
    [anon_sym_BSLASHli] = ACTIONS(5382),
    [anon_sym_BSLASHlim] = ACTIONS(5382),
    [anon_sym_BSLASHliv] = ACTIONS(5382),
    [anon_sym_BSLASHlik] = ACTIONS(5382),
    [anon_sym_BSLASHlitl] = ACTIONS(5382),
    [anon_sym_BSLASHtr] = ACTIONS(5382),
    [anon_sym_BSLASHf] = ACTIONS(5382),
    [anon_sym_BSLASHfe] = ACTIONS(5382),
    [anon_sym_BSLASHef] = ACTIONS(5382),
    [anon_sym_BSLASHfm] = ACTIONS(5382),
    [anon_sym_BSLASHx] = ACTIONS(5382),
    [anon_sym_BSLASHxt] = ACTIONS(5382),
    [anon_sym_BSLASHrq] = ACTIONS(5382),
    [anon_sym_BSLASHadd] = ACTIONS(5382),
    [anon_sym_BSLASHbk] = ACTIONS(5382),
    [anon_sym_BSLASHdc] = ACTIONS(5382),
    [anon_sym_BSLASHk] = ACTIONS(5382),
    [anon_sym_BSLASHnd] = ACTIONS(5382),
    [anon_sym_BSLASHord] = ACTIONS(5382),
    [anon_sym_BSLASHpn] = ACTIONS(5382),
    [anon_sym_BSLASHpng] = ACTIONS(5382),
    [anon_sym_BSLASHaddpn] = ACTIONS(5382),
    [anon_sym_BSLASHqt] = ACTIONS(5382),
    [anon_sym_BSLASHsig] = ACTIONS(5382),
    [anon_sym_BSLASHsls] = ACTIONS(5382),
    [anon_sym_BSLASHtl] = ACTIONS(5382),
    [anon_sym_BSLASHwj] = ACTIONS(5382),
    [anon_sym_BSLASHem] = ACTIONS(5382),
    [anon_sym_BSLASHbd] = ACTIONS(5382),
    [anon_sym_BSLASHit] = ACTIONS(5382),
    [anon_sym_BSLASHbdit] = ACTIONS(5382),
    [anon_sym_BSLASHno] = ACTIONS(5382),
    [anon_sym_BSLASHsc] = ACTIONS(5382),
    [anon_sym_BSLASHsup] = ACTIONS(5382),
    [anon_sym_BSLASHndx] = ACTIONS(5382),
    [anon_sym_BSLASHpro] = ACTIONS(5382),
    [anon_sym_BSLASHrb] = ACTIONS(5382),
    [anon_sym_BSLASHw] = ACTIONS(5382),
    [anon_sym_BSLASHwg] = ACTIONS(5382),
    [anon_sym_BSLASHwh] = ACTIONS(5382),
    [anon_sym_BSLASHwa] = ACTIONS(5382),
    [anon_sym_BSLASHfig] = ACTIONS(5382),
    [anon_sym_BSLASHjmp] = ACTIONS(5382),
    [anon_sym_BSLASHpb] = ACTIONS(5382),
    [anon_sym_BSLASH] = ACTIONS(5382),
    [sym_milestoneStartTag] = ACTIONS(5382),
    [sym_milestoneEndTag] = ACTIONS(5382),
    [sym_zSpaceTag] = ACTIONS(5382),
    [anon_sym_BSLASHesbe] = ACTIONS(5382),
    [anon_sym_BSLASHcat] = ACTIONS(5382),
  },
  [572] = {
    [aux_sym_text_token1] = ACTIONS(5376),
    [anon_sym_BSLASHref] = ACTIONS(5378),
    [anon_sym_BSLASHsts] = ACTIONS(5378),
    [anon_sym_BSLASHrem] = ACTIONS(5378),
    [anon_sym_BSLASHrestore] = ACTIONS(5378),
    [anon_sym_BSLASHlit] = ACTIONS(5378),
    [anon_sym_BSLASHip] = ACTIONS(5378),
    [anon_sym_BSLASHv] = ACTIONS(5378),
    [anon_sym_BSLASHva] = ACTIONS(5378),
    [anon_sym_BSLASHvp] = ACTIONS(5378),
    [anon_sym_BSLASHmte] = ACTIONS(5378),
    [anon_sym_BSLASHms] = ACTIONS(5378),
    [anon_sym_BSLASHs] = ACTIONS(5378),
    [anon_sym_BSLASHr] = ACTIONS(5378),
    [anon_sym_BSLASHsp] = ACTIONS(5378),
    [anon_sym_BSLASHd] = ACTIONS(5378),
    [anon_sym_BSLASHsd] = ACTIONS(5378),
    [anon_sym_BSLASHp] = ACTIONS(5378),
    [anon_sym_BSLASHm] = ACTIONS(5378),
    [anon_sym_BSLASHpo] = ACTIONS(5378),
    [anon_sym_BSLASHpr] = ACTIONS(5378),
    [anon_sym_BSLASHcls] = ACTIONS(5378),
    [anon_sym_BSLASHpmo] = ACTIONS(5378),
    [anon_sym_BSLASHpm] = ACTIONS(5378),
    [anon_sym_BSLASHpmc] = ACTIONS(5378),
    [anon_sym_BSLASHpmr] = ACTIONS(5378),
    [anon_sym_BSLASHpi] = ACTIONS(5378),
    [anon_sym_BSLASHmi] = ACTIONS(5378),
    [anon_sym_BSLASHnb] = ACTIONS(5378),
    [anon_sym_BSLASHpc] = ACTIONS(5378),
    [anon_sym_BSLASHph] = ACTIONS(5378),
    [anon_sym_BSLASHb] = ACTIONS(5378),
    [anon_sym_BSLASHq] = ACTIONS(5378),
    [anon_sym_BSLASHqr] = ACTIONS(5378),
    [anon_sym_BSLASHqc] = ACTIONS(5378),
    [anon_sym_BSLASHqa] = ACTIONS(5378),
    [anon_sym_BSLASHqm] = ACTIONS(5378),
    [anon_sym_BSLASHqd] = ACTIONS(5378),
    [anon_sym_BSLASHlh] = ACTIONS(5378),
    [anon_sym_BSLASHlf] = ACTIONS(5378),
    [anon_sym_BSLASHli] = ACTIONS(5378),
    [anon_sym_BSLASHlim] = ACTIONS(5378),
    [anon_sym_BSLASHliv] = ACTIONS(5378),
    [anon_sym_BSLASHlik] = ACTIONS(5378),
    [anon_sym_BSLASHlitl] = ACTIONS(5378),
    [anon_sym_BSLASHtr] = ACTIONS(5378),
    [anon_sym_BSLASHf] = ACTIONS(5378),
    [anon_sym_BSLASHfe] = ACTIONS(5378),
    [anon_sym_BSLASHef] = ACTIONS(5378),
    [anon_sym_BSLASHfm] = ACTIONS(5378),
    [anon_sym_BSLASHx] = ACTIONS(5378),
    [anon_sym_BSLASHxt] = ACTIONS(5378),
    [anon_sym_BSLASHrq] = ACTIONS(5378),
    [anon_sym_BSLASHadd] = ACTIONS(5378),
    [anon_sym_BSLASHbk] = ACTIONS(5378),
    [anon_sym_BSLASHdc] = ACTIONS(5378),
    [anon_sym_BSLASHk] = ACTIONS(5378),
    [anon_sym_BSLASHnd] = ACTIONS(5378),
    [anon_sym_BSLASHord] = ACTIONS(5378),
    [anon_sym_BSLASHpn] = ACTIONS(5378),
    [anon_sym_BSLASHpng] = ACTIONS(5378),
    [anon_sym_BSLASHaddpn] = ACTIONS(5378),
    [anon_sym_BSLASHqt] = ACTIONS(5378),
    [anon_sym_BSLASHsig] = ACTIONS(5378),
    [anon_sym_BSLASHsls] = ACTIONS(5378),
    [anon_sym_BSLASHtl] = ACTIONS(5378),
    [anon_sym_BSLASHwj] = ACTIONS(5378),
    [anon_sym_BSLASHem] = ACTIONS(5378),
    [anon_sym_BSLASHbd] = ACTIONS(5378),
    [anon_sym_BSLASHit] = ACTIONS(5378),
    [anon_sym_BSLASHbdit] = ACTIONS(5378),
    [anon_sym_BSLASHno] = ACTIONS(5378),
    [anon_sym_BSLASHsc] = ACTIONS(5378),
    [anon_sym_BSLASHsup] = ACTIONS(5378),
    [anon_sym_BSLASHndx] = ACTIONS(5378),
    [anon_sym_BSLASHpro] = ACTIONS(5378),
    [anon_sym_BSLASHrb] = ACTIONS(5378),
    [anon_sym_BSLASHw] = ACTIONS(5378),
    [anon_sym_BSLASHwg] = ACTIONS(5378),
    [anon_sym_BSLASHwh] = ACTIONS(5378),
    [anon_sym_BSLASHwa] = ACTIONS(5378),
    [anon_sym_BSLASHfig] = ACTIONS(5378),
    [anon_sym_BSLASHjmp] = ACTIONS(5378),
    [anon_sym_BSLASHpb] = ACTIONS(5378),
    [anon_sym_BSLASH] = ACTIONS(5378),
    [sym_milestoneStartTag] = ACTIONS(5378),
    [sym_milestoneEndTag] = ACTIONS(5378),
    [sym_zSpaceTag] = ACTIONS(5378),
    [anon_sym_BSLASHesbe] = ACTIONS(5378),
    [anon_sym_BSLASHcat] = ACTIONS(5378),
  },
  [573] = {
    [aux_sym_text_token1] = ACTIONS(5360),
    [anon_sym_BSLASHref] = ACTIONS(5362),
    [anon_sym_BSLASHsts] = ACTIONS(5362),
    [anon_sym_BSLASHrem] = ACTIONS(5362),
    [anon_sym_BSLASHrestore] = ACTIONS(5362),
    [anon_sym_BSLASHlit] = ACTIONS(5362),
    [anon_sym_BSLASHip] = ACTIONS(5362),
    [anon_sym_BSLASHv] = ACTIONS(5362),
    [anon_sym_BSLASHva] = ACTIONS(5362),
    [anon_sym_BSLASHvp] = ACTIONS(5362),
    [anon_sym_BSLASHmte] = ACTIONS(5362),
    [anon_sym_BSLASHms] = ACTIONS(5362),
    [anon_sym_BSLASHs] = ACTIONS(5362),
    [anon_sym_BSLASHr] = ACTIONS(5362),
    [anon_sym_BSLASHsp] = ACTIONS(5362),
    [anon_sym_BSLASHd] = ACTIONS(5362),
    [anon_sym_BSLASHsd] = ACTIONS(5362),
    [anon_sym_BSLASHp] = ACTIONS(5362),
    [anon_sym_BSLASHm] = ACTIONS(5362),
    [anon_sym_BSLASHpo] = ACTIONS(5362),
    [anon_sym_BSLASHpr] = ACTIONS(5362),
    [anon_sym_BSLASHcls] = ACTIONS(5362),
    [anon_sym_BSLASHpmo] = ACTIONS(5362),
    [anon_sym_BSLASHpm] = ACTIONS(5362),
    [anon_sym_BSLASHpmc] = ACTIONS(5362),
    [anon_sym_BSLASHpmr] = ACTIONS(5362),
    [anon_sym_BSLASHpi] = ACTIONS(5362),
    [anon_sym_BSLASHmi] = ACTIONS(5362),
    [anon_sym_BSLASHnb] = ACTIONS(5362),
    [anon_sym_BSLASHpc] = ACTIONS(5362),
    [anon_sym_BSLASHph] = ACTIONS(5362),
    [anon_sym_BSLASHb] = ACTIONS(5362),
    [anon_sym_BSLASHq] = ACTIONS(5362),
    [anon_sym_BSLASHqr] = ACTIONS(5362),
    [anon_sym_BSLASHqc] = ACTIONS(5362),
    [anon_sym_BSLASHqa] = ACTIONS(5362),
    [anon_sym_BSLASHqm] = ACTIONS(5362),
    [anon_sym_BSLASHqd] = ACTIONS(5362),
    [anon_sym_BSLASHlh] = ACTIONS(5362),
    [anon_sym_BSLASHlf] = ACTIONS(5362),
    [anon_sym_BSLASHli] = ACTIONS(5362),
    [anon_sym_BSLASHlim] = ACTIONS(5362),
    [anon_sym_BSLASHliv] = ACTIONS(5362),
    [anon_sym_BSLASHlik] = ACTIONS(5362),
    [anon_sym_BSLASHlitl] = ACTIONS(5362),
    [anon_sym_BSLASHtr] = ACTIONS(5362),
    [anon_sym_BSLASHf] = ACTIONS(5362),
    [anon_sym_BSLASHfe] = ACTIONS(5362),
    [anon_sym_BSLASHef] = ACTIONS(5362),
    [anon_sym_BSLASHfm] = ACTIONS(5362),
    [anon_sym_BSLASHx] = ACTIONS(5362),
    [anon_sym_BSLASHxt] = ACTIONS(5362),
    [anon_sym_BSLASHrq] = ACTIONS(5362),
    [anon_sym_BSLASHadd] = ACTIONS(5362),
    [anon_sym_BSLASHbk] = ACTIONS(5362),
    [anon_sym_BSLASHdc] = ACTIONS(5362),
    [anon_sym_BSLASHk] = ACTIONS(5362),
    [anon_sym_BSLASHnd] = ACTIONS(5362),
    [anon_sym_BSLASHord] = ACTIONS(5362),
    [anon_sym_BSLASHpn] = ACTIONS(5362),
    [anon_sym_BSLASHpng] = ACTIONS(5362),
    [anon_sym_BSLASHaddpn] = ACTIONS(5362),
    [anon_sym_BSLASHqt] = ACTIONS(5362),
    [anon_sym_BSLASHsig] = ACTIONS(5362),
    [anon_sym_BSLASHsls] = ACTIONS(5362),
    [anon_sym_BSLASHtl] = ACTIONS(5362),
    [anon_sym_BSLASHwj] = ACTIONS(5362),
    [anon_sym_BSLASHem] = ACTIONS(5362),
    [anon_sym_BSLASHbd] = ACTIONS(5362),
    [anon_sym_BSLASHit] = ACTIONS(5362),
    [anon_sym_BSLASHbdit] = ACTIONS(5362),
    [anon_sym_BSLASHno] = ACTIONS(5362),
    [anon_sym_BSLASHsc] = ACTIONS(5362),
    [anon_sym_BSLASHsup] = ACTIONS(5362),
    [anon_sym_BSLASHndx] = ACTIONS(5362),
    [anon_sym_BSLASHpro] = ACTIONS(5362),
    [anon_sym_BSLASHrb] = ACTIONS(5362),
    [anon_sym_BSLASHw] = ACTIONS(5362),
    [anon_sym_BSLASHwg] = ACTIONS(5362),
    [anon_sym_BSLASHwh] = ACTIONS(5362),
    [anon_sym_BSLASHwa] = ACTIONS(5362),
    [anon_sym_BSLASHfig] = ACTIONS(5362),
    [anon_sym_BSLASHjmp] = ACTIONS(5362),
    [anon_sym_BSLASHpb] = ACTIONS(5362),
    [anon_sym_BSLASH] = ACTIONS(5362),
    [sym_milestoneStartTag] = ACTIONS(5362),
    [sym_milestoneEndTag] = ACTIONS(5362),
    [sym_zSpaceTag] = ACTIONS(5362),
    [anon_sym_BSLASHesbe] = ACTIONS(5362),
    [anon_sym_BSLASHcat] = ACTIONS(5362),
  },
  [574] = {
    [aux_sym_text_token1] = ACTIONS(5388),
    [anon_sym_BSLASHref] = ACTIONS(5390),
    [anon_sym_BSLASHsts] = ACTIONS(5390),
    [anon_sym_BSLASHrem] = ACTIONS(5390),
    [anon_sym_BSLASHrestore] = ACTIONS(5390),
    [anon_sym_BSLASHlit] = ACTIONS(5390),
    [anon_sym_BSLASHip] = ACTIONS(5390),
    [anon_sym_BSLASHv] = ACTIONS(5390),
    [anon_sym_BSLASHva] = ACTIONS(5390),
    [anon_sym_BSLASHvp] = ACTIONS(5390),
    [anon_sym_BSLASHmte] = ACTIONS(5390),
    [anon_sym_BSLASHms] = ACTIONS(5390),
    [anon_sym_BSLASHs] = ACTIONS(5390),
    [anon_sym_BSLASHr] = ACTIONS(5390),
    [anon_sym_BSLASHsp] = ACTIONS(5390),
    [anon_sym_BSLASHd] = ACTIONS(5390),
    [anon_sym_BSLASHsd] = ACTIONS(5390),
    [anon_sym_BSLASHp] = ACTIONS(5390),
    [anon_sym_BSLASHm] = ACTIONS(5390),
    [anon_sym_BSLASHpo] = ACTIONS(5390),
    [anon_sym_BSLASHpr] = ACTIONS(5390),
    [anon_sym_BSLASHcls] = ACTIONS(5390),
    [anon_sym_BSLASHpmo] = ACTIONS(5390),
    [anon_sym_BSLASHpm] = ACTIONS(5390),
    [anon_sym_BSLASHpmc] = ACTIONS(5390),
    [anon_sym_BSLASHpmr] = ACTIONS(5390),
    [anon_sym_BSLASHpi] = ACTIONS(5390),
    [anon_sym_BSLASHmi] = ACTIONS(5390),
    [anon_sym_BSLASHnb] = ACTIONS(5390),
    [anon_sym_BSLASHpc] = ACTIONS(5390),
    [anon_sym_BSLASHph] = ACTIONS(5390),
    [anon_sym_BSLASHb] = ACTIONS(5390),
    [anon_sym_BSLASHq] = ACTIONS(5390),
    [anon_sym_BSLASHqr] = ACTIONS(5390),
    [anon_sym_BSLASHqc] = ACTIONS(5390),
    [anon_sym_BSLASHqa] = ACTIONS(5390),
    [anon_sym_BSLASHqm] = ACTIONS(5390),
    [anon_sym_BSLASHqd] = ACTIONS(5390),
    [anon_sym_BSLASHlh] = ACTIONS(5390),
    [anon_sym_BSLASHlf] = ACTIONS(5390),
    [anon_sym_BSLASHli] = ACTIONS(5390),
    [anon_sym_BSLASHlim] = ACTIONS(5390),
    [anon_sym_BSLASHliv] = ACTIONS(5390),
    [anon_sym_BSLASHlik] = ACTIONS(5390),
    [anon_sym_BSLASHlitl] = ACTIONS(5390),
    [anon_sym_BSLASHtr] = ACTIONS(5390),
    [anon_sym_BSLASHf] = ACTIONS(5390),
    [anon_sym_BSLASHfe] = ACTIONS(5390),
    [anon_sym_BSLASHef] = ACTIONS(5390),
    [anon_sym_BSLASHfm] = ACTIONS(5390),
    [anon_sym_BSLASHx] = ACTIONS(5390),
    [anon_sym_BSLASHxt] = ACTIONS(5390),
    [anon_sym_BSLASHrq] = ACTIONS(5390),
    [anon_sym_BSLASHadd] = ACTIONS(5390),
    [anon_sym_BSLASHbk] = ACTIONS(5390),
    [anon_sym_BSLASHdc] = ACTIONS(5390),
    [anon_sym_BSLASHk] = ACTIONS(5390),
    [anon_sym_BSLASHnd] = ACTIONS(5390),
    [anon_sym_BSLASHord] = ACTIONS(5390),
    [anon_sym_BSLASHpn] = ACTIONS(5390),
    [anon_sym_BSLASHpng] = ACTIONS(5390),
    [anon_sym_BSLASHaddpn] = ACTIONS(5390),
    [anon_sym_BSLASHqt] = ACTIONS(5390),
    [anon_sym_BSLASHsig] = ACTIONS(5390),
    [anon_sym_BSLASHsls] = ACTIONS(5390),
    [anon_sym_BSLASHtl] = ACTIONS(5390),
    [anon_sym_BSLASHwj] = ACTIONS(5390),
    [anon_sym_BSLASHem] = ACTIONS(5390),
    [anon_sym_BSLASHbd] = ACTIONS(5390),
    [anon_sym_BSLASHit] = ACTIONS(5390),
    [anon_sym_BSLASHbdit] = ACTIONS(5390),
    [anon_sym_BSLASHno] = ACTIONS(5390),
    [anon_sym_BSLASHsc] = ACTIONS(5390),
    [anon_sym_BSLASHsup] = ACTIONS(5390),
    [anon_sym_BSLASHndx] = ACTIONS(5390),
    [anon_sym_BSLASHpro] = ACTIONS(5390),
    [anon_sym_BSLASHrb] = ACTIONS(5390),
    [anon_sym_BSLASHw] = ACTIONS(5390),
    [anon_sym_BSLASHwg] = ACTIONS(5390),
    [anon_sym_BSLASHwh] = ACTIONS(5390),
    [anon_sym_BSLASHwa] = ACTIONS(5390),
    [anon_sym_BSLASHfig] = ACTIONS(5390),
    [anon_sym_BSLASHjmp] = ACTIONS(5390),
    [anon_sym_BSLASHpb] = ACTIONS(5390),
    [anon_sym_BSLASH] = ACTIONS(5390),
    [sym_milestoneStartTag] = ACTIONS(5390),
    [sym_milestoneEndTag] = ACTIONS(5390),
    [sym_zSpaceTag] = ACTIONS(5390),
    [anon_sym_BSLASHesbe] = ACTIONS(5390),
    [anon_sym_BSLASHcat] = ACTIONS(5390),
  },
  [575] = {
    [aux_sym_text_token1] = ACTIONS(5432),
    [anon_sym_BSLASHref] = ACTIONS(5434),
    [anon_sym_BSLASHsts] = ACTIONS(5434),
    [anon_sym_BSLASHrem] = ACTIONS(5434),
    [anon_sym_BSLASHrestore] = ACTIONS(5434),
    [anon_sym_BSLASHlit] = ACTIONS(5434),
    [anon_sym_BSLASHip] = ACTIONS(5434),
    [anon_sym_BSLASHv] = ACTIONS(5434),
    [anon_sym_BSLASHva] = ACTIONS(5434),
    [anon_sym_BSLASHvp] = ACTIONS(5434),
    [anon_sym_BSLASHmte] = ACTIONS(5434),
    [anon_sym_BSLASHms] = ACTIONS(5434),
    [anon_sym_BSLASHs] = ACTIONS(5434),
    [anon_sym_BSLASHr] = ACTIONS(5434),
    [anon_sym_BSLASHsp] = ACTIONS(5434),
    [anon_sym_BSLASHd] = ACTIONS(5434),
    [anon_sym_BSLASHsd] = ACTIONS(5434),
    [anon_sym_BSLASHp] = ACTIONS(5434),
    [anon_sym_BSLASHm] = ACTIONS(5434),
    [anon_sym_BSLASHpo] = ACTIONS(5434),
    [anon_sym_BSLASHpr] = ACTIONS(5434),
    [anon_sym_BSLASHcls] = ACTIONS(5434),
    [anon_sym_BSLASHpmo] = ACTIONS(5434),
    [anon_sym_BSLASHpm] = ACTIONS(5434),
    [anon_sym_BSLASHpmc] = ACTIONS(5434),
    [anon_sym_BSLASHpmr] = ACTIONS(5434),
    [anon_sym_BSLASHpi] = ACTIONS(5434),
    [anon_sym_BSLASHmi] = ACTIONS(5434),
    [anon_sym_BSLASHnb] = ACTIONS(5434),
    [anon_sym_BSLASHpc] = ACTIONS(5434),
    [anon_sym_BSLASHph] = ACTIONS(5434),
    [anon_sym_BSLASHb] = ACTIONS(5434),
    [anon_sym_BSLASHq] = ACTIONS(5434),
    [anon_sym_BSLASHqr] = ACTIONS(5434),
    [anon_sym_BSLASHqc] = ACTIONS(5434),
    [anon_sym_BSLASHqa] = ACTIONS(5434),
    [anon_sym_BSLASHqm] = ACTIONS(5434),
    [anon_sym_BSLASHqd] = ACTIONS(5434),
    [anon_sym_BSLASHlh] = ACTIONS(5434),
    [anon_sym_BSLASHlf] = ACTIONS(5434),
    [anon_sym_BSLASHli] = ACTIONS(5434),
    [anon_sym_BSLASHlim] = ACTIONS(5434),
    [anon_sym_BSLASHliv] = ACTIONS(5434),
    [anon_sym_BSLASHlik] = ACTIONS(5434),
    [anon_sym_BSLASHlitl] = ACTIONS(5434),
    [anon_sym_BSLASHtr] = ACTIONS(5434),
    [anon_sym_BSLASHf] = ACTIONS(5434),
    [anon_sym_BSLASHfe] = ACTIONS(5434),
    [anon_sym_BSLASHef] = ACTIONS(5434),
    [anon_sym_BSLASHfm] = ACTIONS(5434),
    [anon_sym_BSLASHx] = ACTIONS(5434),
    [anon_sym_BSLASHxt] = ACTIONS(5434),
    [anon_sym_BSLASHrq] = ACTIONS(5434),
    [anon_sym_BSLASHadd] = ACTIONS(5434),
    [anon_sym_BSLASHbk] = ACTIONS(5434),
    [anon_sym_BSLASHdc] = ACTIONS(5434),
    [anon_sym_BSLASHk] = ACTIONS(5434),
    [anon_sym_BSLASHnd] = ACTIONS(5434),
    [anon_sym_BSLASHord] = ACTIONS(5434),
    [anon_sym_BSLASHpn] = ACTIONS(5434),
    [anon_sym_BSLASHpng] = ACTIONS(5434),
    [anon_sym_BSLASHaddpn] = ACTIONS(5434),
    [anon_sym_BSLASHqt] = ACTIONS(5434),
    [anon_sym_BSLASHsig] = ACTIONS(5434),
    [anon_sym_BSLASHsls] = ACTIONS(5434),
    [anon_sym_BSLASHtl] = ACTIONS(5434),
    [anon_sym_BSLASHwj] = ACTIONS(5434),
    [anon_sym_BSLASHem] = ACTIONS(5434),
    [anon_sym_BSLASHbd] = ACTIONS(5434),
    [anon_sym_BSLASHit] = ACTIONS(5434),
    [anon_sym_BSLASHbdit] = ACTIONS(5434),
    [anon_sym_BSLASHno] = ACTIONS(5434),
    [anon_sym_BSLASHsc] = ACTIONS(5434),
    [anon_sym_BSLASHsup] = ACTIONS(5434),
    [anon_sym_BSLASHndx] = ACTIONS(5434),
    [anon_sym_BSLASHpro] = ACTIONS(5434),
    [anon_sym_BSLASHrb] = ACTIONS(5434),
    [anon_sym_BSLASHw] = ACTIONS(5434),
    [anon_sym_BSLASHwg] = ACTIONS(5434),
    [anon_sym_BSLASHwh] = ACTIONS(5434),
    [anon_sym_BSLASHwa] = ACTIONS(5434),
    [anon_sym_BSLASHfig] = ACTIONS(5434),
    [anon_sym_BSLASHjmp] = ACTIONS(5434),
    [anon_sym_BSLASHpb] = ACTIONS(5434),
    [anon_sym_BSLASH] = ACTIONS(5434),
    [sym_milestoneStartTag] = ACTIONS(5434),
    [sym_milestoneEndTag] = ACTIONS(5434),
    [sym_zSpaceTag] = ACTIONS(5434),
    [anon_sym_BSLASHesbe] = ACTIONS(5434),
    [anon_sym_BSLASHcat] = ACTIONS(5434),
  },
  [576] = {
    [aux_sym_text_token1] = ACTIONS(5384),
    [anon_sym_BSLASHref] = ACTIONS(5386),
    [anon_sym_BSLASHsts] = ACTIONS(5386),
    [anon_sym_BSLASHrem] = ACTIONS(5386),
    [anon_sym_BSLASHrestore] = ACTIONS(5386),
    [anon_sym_BSLASHlit] = ACTIONS(5386),
    [anon_sym_BSLASHip] = ACTIONS(5386),
    [anon_sym_BSLASHv] = ACTIONS(5386),
    [anon_sym_BSLASHva] = ACTIONS(5386),
    [anon_sym_BSLASHvp] = ACTIONS(5386),
    [anon_sym_BSLASHmte] = ACTIONS(5386),
    [anon_sym_BSLASHms] = ACTIONS(5386),
    [anon_sym_BSLASHs] = ACTIONS(5386),
    [anon_sym_BSLASHr] = ACTIONS(5386),
    [anon_sym_BSLASHsp] = ACTIONS(5386),
    [anon_sym_BSLASHd] = ACTIONS(5386),
    [anon_sym_BSLASHsd] = ACTIONS(5386),
    [anon_sym_BSLASHp] = ACTIONS(5386),
    [anon_sym_BSLASHm] = ACTIONS(5386),
    [anon_sym_BSLASHpo] = ACTIONS(5386),
    [anon_sym_BSLASHpr] = ACTIONS(5386),
    [anon_sym_BSLASHcls] = ACTIONS(5386),
    [anon_sym_BSLASHpmo] = ACTIONS(5386),
    [anon_sym_BSLASHpm] = ACTIONS(5386),
    [anon_sym_BSLASHpmc] = ACTIONS(5386),
    [anon_sym_BSLASHpmr] = ACTIONS(5386),
    [anon_sym_BSLASHpi] = ACTIONS(5386),
    [anon_sym_BSLASHmi] = ACTIONS(5386),
    [anon_sym_BSLASHnb] = ACTIONS(5386),
    [anon_sym_BSLASHpc] = ACTIONS(5386),
    [anon_sym_BSLASHph] = ACTIONS(5386),
    [anon_sym_BSLASHb] = ACTIONS(5386),
    [anon_sym_BSLASHq] = ACTIONS(5386),
    [anon_sym_BSLASHqr] = ACTIONS(5386),
    [anon_sym_BSLASHqc] = ACTIONS(5386),
    [anon_sym_BSLASHqa] = ACTIONS(5386),
    [anon_sym_BSLASHqm] = ACTIONS(5386),
    [anon_sym_BSLASHqd] = ACTIONS(5386),
    [anon_sym_BSLASHlh] = ACTIONS(5386),
    [anon_sym_BSLASHlf] = ACTIONS(5386),
    [anon_sym_BSLASHli] = ACTIONS(5386),
    [anon_sym_BSLASHlim] = ACTIONS(5386),
    [anon_sym_BSLASHliv] = ACTIONS(5386),
    [anon_sym_BSLASHlik] = ACTIONS(5386),
    [anon_sym_BSLASHlitl] = ACTIONS(5386),
    [anon_sym_BSLASHtr] = ACTIONS(5386),
    [anon_sym_BSLASHf] = ACTIONS(5386),
    [anon_sym_BSLASHfe] = ACTIONS(5386),
    [anon_sym_BSLASHef] = ACTIONS(5386),
    [anon_sym_BSLASHfm] = ACTIONS(5386),
    [anon_sym_BSLASHx] = ACTIONS(5386),
    [anon_sym_BSLASHxt] = ACTIONS(5386),
    [anon_sym_BSLASHrq] = ACTIONS(5386),
    [anon_sym_BSLASHadd] = ACTIONS(5386),
    [anon_sym_BSLASHbk] = ACTIONS(5386),
    [anon_sym_BSLASHdc] = ACTIONS(5386),
    [anon_sym_BSLASHk] = ACTIONS(5386),
    [anon_sym_BSLASHnd] = ACTIONS(5386),
    [anon_sym_BSLASHord] = ACTIONS(5386),
    [anon_sym_BSLASHpn] = ACTIONS(5386),
    [anon_sym_BSLASHpng] = ACTIONS(5386),
    [anon_sym_BSLASHaddpn] = ACTIONS(5386),
    [anon_sym_BSLASHqt] = ACTIONS(5386),
    [anon_sym_BSLASHsig] = ACTIONS(5386),
    [anon_sym_BSLASHsls] = ACTIONS(5386),
    [anon_sym_BSLASHtl] = ACTIONS(5386),
    [anon_sym_BSLASHwj] = ACTIONS(5386),
    [anon_sym_BSLASHem] = ACTIONS(5386),
    [anon_sym_BSLASHbd] = ACTIONS(5386),
    [anon_sym_BSLASHit] = ACTIONS(5386),
    [anon_sym_BSLASHbdit] = ACTIONS(5386),
    [anon_sym_BSLASHno] = ACTIONS(5386),
    [anon_sym_BSLASHsc] = ACTIONS(5386),
    [anon_sym_BSLASHsup] = ACTIONS(5386),
    [anon_sym_BSLASHndx] = ACTIONS(5386),
    [anon_sym_BSLASHpro] = ACTIONS(5386),
    [anon_sym_BSLASHrb] = ACTIONS(5386),
    [anon_sym_BSLASHw] = ACTIONS(5386),
    [anon_sym_BSLASHwg] = ACTIONS(5386),
    [anon_sym_BSLASHwh] = ACTIONS(5386),
    [anon_sym_BSLASHwa] = ACTIONS(5386),
    [anon_sym_BSLASHfig] = ACTIONS(5386),
    [anon_sym_BSLASHjmp] = ACTIONS(5386),
    [anon_sym_BSLASHpb] = ACTIONS(5386),
    [anon_sym_BSLASH] = ACTIONS(5386),
    [sym_milestoneStartTag] = ACTIONS(5386),
    [sym_milestoneEndTag] = ACTIONS(5386),
    [sym_zSpaceTag] = ACTIONS(5386),
    [anon_sym_BSLASHesbe] = ACTIONS(5386),
    [anon_sym_BSLASHcat] = ACTIONS(5386),
  },
  [577] = {
    [aux_sym_text_token1] = ACTIONS(5372),
    [anon_sym_BSLASHref] = ACTIONS(5374),
    [anon_sym_BSLASHsts] = ACTIONS(5374),
    [anon_sym_BSLASHrem] = ACTIONS(5374),
    [anon_sym_BSLASHrestore] = ACTIONS(5374),
    [anon_sym_BSLASHlit] = ACTIONS(5374),
    [anon_sym_BSLASHip] = ACTIONS(5374),
    [anon_sym_BSLASHv] = ACTIONS(5374),
    [anon_sym_BSLASHva] = ACTIONS(5374),
    [anon_sym_BSLASHvp] = ACTIONS(5374),
    [anon_sym_BSLASHmte] = ACTIONS(5374),
    [anon_sym_BSLASHms] = ACTIONS(5374),
    [anon_sym_BSLASHs] = ACTIONS(5374),
    [anon_sym_BSLASHr] = ACTIONS(5374),
    [anon_sym_BSLASHsp] = ACTIONS(5374),
    [anon_sym_BSLASHd] = ACTIONS(5374),
    [anon_sym_BSLASHsd] = ACTIONS(5374),
    [anon_sym_BSLASHp] = ACTIONS(5374),
    [anon_sym_BSLASHm] = ACTIONS(5374),
    [anon_sym_BSLASHpo] = ACTIONS(5374),
    [anon_sym_BSLASHpr] = ACTIONS(5374),
    [anon_sym_BSLASHcls] = ACTIONS(5374),
    [anon_sym_BSLASHpmo] = ACTIONS(5374),
    [anon_sym_BSLASHpm] = ACTIONS(5374),
    [anon_sym_BSLASHpmc] = ACTIONS(5374),
    [anon_sym_BSLASHpmr] = ACTIONS(5374),
    [anon_sym_BSLASHpi] = ACTIONS(5374),
    [anon_sym_BSLASHmi] = ACTIONS(5374),
    [anon_sym_BSLASHnb] = ACTIONS(5374),
    [anon_sym_BSLASHpc] = ACTIONS(5374),
    [anon_sym_BSLASHph] = ACTIONS(5374),
    [anon_sym_BSLASHb] = ACTIONS(5374),
    [anon_sym_BSLASHq] = ACTIONS(5374),
    [anon_sym_BSLASHqr] = ACTIONS(5374),
    [anon_sym_BSLASHqc] = ACTIONS(5374),
    [anon_sym_BSLASHqa] = ACTIONS(5374),
    [anon_sym_BSLASHqm] = ACTIONS(5374),
    [anon_sym_BSLASHqd] = ACTIONS(5374),
    [anon_sym_BSLASHlh] = ACTIONS(5374),
    [anon_sym_BSLASHlf] = ACTIONS(5374),
    [anon_sym_BSLASHli] = ACTIONS(5374),
    [anon_sym_BSLASHlim] = ACTIONS(5374),
    [anon_sym_BSLASHliv] = ACTIONS(5374),
    [anon_sym_BSLASHlik] = ACTIONS(5374),
    [anon_sym_BSLASHlitl] = ACTIONS(5374),
    [anon_sym_BSLASHtr] = ACTIONS(5374),
    [anon_sym_BSLASHf] = ACTIONS(5374),
    [anon_sym_BSLASHfe] = ACTIONS(5374),
    [anon_sym_BSLASHef] = ACTIONS(5374),
    [anon_sym_BSLASHfm] = ACTIONS(5374),
    [anon_sym_BSLASHx] = ACTIONS(5374),
    [anon_sym_BSLASHxt] = ACTIONS(5374),
    [anon_sym_BSLASHrq] = ACTIONS(5374),
    [anon_sym_BSLASHadd] = ACTIONS(5374),
    [anon_sym_BSLASHbk] = ACTIONS(5374),
    [anon_sym_BSLASHdc] = ACTIONS(5374),
    [anon_sym_BSLASHk] = ACTIONS(5374),
    [anon_sym_BSLASHnd] = ACTIONS(5374),
    [anon_sym_BSLASHord] = ACTIONS(5374),
    [anon_sym_BSLASHpn] = ACTIONS(5374),
    [anon_sym_BSLASHpng] = ACTIONS(5374),
    [anon_sym_BSLASHaddpn] = ACTIONS(5374),
    [anon_sym_BSLASHqt] = ACTIONS(5374),
    [anon_sym_BSLASHsig] = ACTIONS(5374),
    [anon_sym_BSLASHsls] = ACTIONS(5374),
    [anon_sym_BSLASHtl] = ACTIONS(5374),
    [anon_sym_BSLASHwj] = ACTIONS(5374),
    [anon_sym_BSLASHem] = ACTIONS(5374),
    [anon_sym_BSLASHbd] = ACTIONS(5374),
    [anon_sym_BSLASHit] = ACTIONS(5374),
    [anon_sym_BSLASHbdit] = ACTIONS(5374),
    [anon_sym_BSLASHno] = ACTIONS(5374),
    [anon_sym_BSLASHsc] = ACTIONS(5374),
    [anon_sym_BSLASHsup] = ACTIONS(5374),
    [anon_sym_BSLASHndx] = ACTIONS(5374),
    [anon_sym_BSLASHpro] = ACTIONS(5374),
    [anon_sym_BSLASHrb] = ACTIONS(5374),
    [anon_sym_BSLASHw] = ACTIONS(5374),
    [anon_sym_BSLASHwg] = ACTIONS(5374),
    [anon_sym_BSLASHwh] = ACTIONS(5374),
    [anon_sym_BSLASHwa] = ACTIONS(5374),
    [anon_sym_BSLASHfig] = ACTIONS(5374),
    [anon_sym_BSLASHjmp] = ACTIONS(5374),
    [anon_sym_BSLASHpb] = ACTIONS(5374),
    [anon_sym_BSLASH] = ACTIONS(5374),
    [sym_milestoneStartTag] = ACTIONS(5374),
    [sym_milestoneEndTag] = ACTIONS(5374),
    [sym_zSpaceTag] = ACTIONS(5374),
    [anon_sym_BSLASHesbe] = ACTIONS(5374),
    [anon_sym_BSLASHcat] = ACTIONS(5374),
  },
  [578] = {
    [aux_sym_text_token1] = ACTIONS(5336),
    [anon_sym_BSLASHref] = ACTIONS(5338),
    [anon_sym_BSLASHsts] = ACTIONS(5338),
    [anon_sym_BSLASHrem] = ACTIONS(5338),
    [anon_sym_BSLASHrestore] = ACTIONS(5338),
    [anon_sym_BSLASHlit] = ACTIONS(5338),
    [anon_sym_BSLASHip] = ACTIONS(5338),
    [anon_sym_BSLASHv] = ACTIONS(5338),
    [anon_sym_BSLASHva] = ACTIONS(5338),
    [anon_sym_BSLASHvp] = ACTIONS(5338),
    [anon_sym_BSLASHmte] = ACTIONS(5338),
    [anon_sym_BSLASHms] = ACTIONS(5338),
    [anon_sym_BSLASHs] = ACTIONS(5338),
    [anon_sym_BSLASHr] = ACTIONS(5338),
    [anon_sym_BSLASHsp] = ACTIONS(5338),
    [anon_sym_BSLASHd] = ACTIONS(5338),
    [anon_sym_BSLASHsd] = ACTIONS(5338),
    [anon_sym_BSLASHp] = ACTIONS(5338),
    [anon_sym_BSLASHm] = ACTIONS(5338),
    [anon_sym_BSLASHpo] = ACTIONS(5338),
    [anon_sym_BSLASHpr] = ACTIONS(5338),
    [anon_sym_BSLASHcls] = ACTIONS(5338),
    [anon_sym_BSLASHpmo] = ACTIONS(5338),
    [anon_sym_BSLASHpm] = ACTIONS(5338),
    [anon_sym_BSLASHpmc] = ACTIONS(5338),
    [anon_sym_BSLASHpmr] = ACTIONS(5338),
    [anon_sym_BSLASHpi] = ACTIONS(5338),
    [anon_sym_BSLASHmi] = ACTIONS(5338),
    [anon_sym_BSLASHnb] = ACTIONS(5338),
    [anon_sym_BSLASHpc] = ACTIONS(5338),
    [anon_sym_BSLASHph] = ACTIONS(5338),
    [anon_sym_BSLASHb] = ACTIONS(5338),
    [anon_sym_BSLASHq] = ACTIONS(5338),
    [anon_sym_BSLASHqr] = ACTIONS(5338),
    [anon_sym_BSLASHqc] = ACTIONS(5338),
    [anon_sym_BSLASHqa] = ACTIONS(5338),
    [anon_sym_BSLASHqm] = ACTIONS(5338),
    [anon_sym_BSLASHqd] = ACTIONS(5338),
    [anon_sym_BSLASHlh] = ACTIONS(5338),
    [anon_sym_BSLASHlf] = ACTIONS(5338),
    [anon_sym_BSLASHli] = ACTIONS(5338),
    [anon_sym_BSLASHlim] = ACTIONS(5338),
    [anon_sym_BSLASHliv] = ACTIONS(5338),
    [anon_sym_BSLASHlik] = ACTIONS(5338),
    [anon_sym_BSLASHlitl] = ACTIONS(5338),
    [anon_sym_BSLASHtr] = ACTIONS(5338),
    [anon_sym_BSLASHf] = ACTIONS(5338),
    [anon_sym_BSLASHfe] = ACTIONS(5338),
    [anon_sym_BSLASHef] = ACTIONS(5338),
    [anon_sym_BSLASHfm] = ACTIONS(5338),
    [anon_sym_BSLASHx] = ACTIONS(5338),
    [anon_sym_BSLASHxt] = ACTIONS(5338),
    [anon_sym_BSLASHrq] = ACTIONS(5338),
    [anon_sym_BSLASHadd] = ACTIONS(5338),
    [anon_sym_BSLASHbk] = ACTIONS(5338),
    [anon_sym_BSLASHdc] = ACTIONS(5338),
    [anon_sym_BSLASHk] = ACTIONS(5338),
    [anon_sym_BSLASHnd] = ACTIONS(5338),
    [anon_sym_BSLASHord] = ACTIONS(5338),
    [anon_sym_BSLASHpn] = ACTIONS(5338),
    [anon_sym_BSLASHpng] = ACTIONS(5338),
    [anon_sym_BSLASHaddpn] = ACTIONS(5338),
    [anon_sym_BSLASHqt] = ACTIONS(5338),
    [anon_sym_BSLASHsig] = ACTIONS(5338),
    [anon_sym_BSLASHsls] = ACTIONS(5338),
    [anon_sym_BSLASHtl] = ACTIONS(5338),
    [anon_sym_BSLASHwj] = ACTIONS(5338),
    [anon_sym_BSLASHem] = ACTIONS(5338),
    [anon_sym_BSLASHbd] = ACTIONS(5338),
    [anon_sym_BSLASHit] = ACTIONS(5338),
    [anon_sym_BSLASHbdit] = ACTIONS(5338),
    [anon_sym_BSLASHno] = ACTIONS(5338),
    [anon_sym_BSLASHsc] = ACTIONS(5338),
    [anon_sym_BSLASHsup] = ACTIONS(5338),
    [anon_sym_BSLASHndx] = ACTIONS(5338),
    [anon_sym_BSLASHpro] = ACTIONS(5338),
    [anon_sym_BSLASHrb] = ACTIONS(5338),
    [anon_sym_BSLASHw] = ACTIONS(5338),
    [anon_sym_BSLASHwg] = ACTIONS(5338),
    [anon_sym_BSLASHwh] = ACTIONS(5338),
    [anon_sym_BSLASHwa] = ACTIONS(5338),
    [anon_sym_BSLASHfig] = ACTIONS(5338),
    [anon_sym_BSLASHjmp] = ACTIONS(5338),
    [anon_sym_BSLASHpb] = ACTIONS(5338),
    [anon_sym_BSLASH] = ACTIONS(5338),
    [sym_milestoneStartTag] = ACTIONS(5338),
    [sym_milestoneEndTag] = ACTIONS(5338),
    [sym_zSpaceTag] = ACTIONS(5338),
    [anon_sym_BSLASHesbe] = ACTIONS(5338),
    [anon_sym_BSLASHcat] = ACTIONS(5338),
  },
  [579] = {
    [aux_sym_text_token1] = ACTIONS(5412),
    [anon_sym_BSLASHref] = ACTIONS(5414),
    [anon_sym_BSLASHsts] = ACTIONS(5414),
    [anon_sym_BSLASHrem] = ACTIONS(5414),
    [anon_sym_BSLASHrestore] = ACTIONS(5414),
    [anon_sym_BSLASHlit] = ACTIONS(5414),
    [anon_sym_BSLASHip] = ACTIONS(5414),
    [anon_sym_BSLASHv] = ACTIONS(5414),
    [anon_sym_BSLASHva] = ACTIONS(5414),
    [anon_sym_BSLASHvp] = ACTIONS(5414),
    [anon_sym_BSLASHmte] = ACTIONS(5414),
    [anon_sym_BSLASHms] = ACTIONS(5414),
    [anon_sym_BSLASHs] = ACTIONS(5414),
    [anon_sym_BSLASHr] = ACTIONS(5414),
    [anon_sym_BSLASHsp] = ACTIONS(5414),
    [anon_sym_BSLASHd] = ACTIONS(5414),
    [anon_sym_BSLASHsd] = ACTIONS(5414),
    [anon_sym_BSLASHp] = ACTIONS(5414),
    [anon_sym_BSLASHm] = ACTIONS(5414),
    [anon_sym_BSLASHpo] = ACTIONS(5414),
    [anon_sym_BSLASHpr] = ACTIONS(5414),
    [anon_sym_BSLASHcls] = ACTIONS(5414),
    [anon_sym_BSLASHpmo] = ACTIONS(5414),
    [anon_sym_BSLASHpm] = ACTIONS(5414),
    [anon_sym_BSLASHpmc] = ACTIONS(5414),
    [anon_sym_BSLASHpmr] = ACTIONS(5414),
    [anon_sym_BSLASHpi] = ACTIONS(5414),
    [anon_sym_BSLASHmi] = ACTIONS(5414),
    [anon_sym_BSLASHnb] = ACTIONS(5414),
    [anon_sym_BSLASHpc] = ACTIONS(5414),
    [anon_sym_BSLASHph] = ACTIONS(5414),
    [anon_sym_BSLASHb] = ACTIONS(5414),
    [anon_sym_BSLASHq] = ACTIONS(5414),
    [anon_sym_BSLASHqr] = ACTIONS(5414),
    [anon_sym_BSLASHqc] = ACTIONS(5414),
    [anon_sym_BSLASHqa] = ACTIONS(5414),
    [anon_sym_BSLASHqm] = ACTIONS(5414),
    [anon_sym_BSLASHqd] = ACTIONS(5414),
    [anon_sym_BSLASHlh] = ACTIONS(5414),
    [anon_sym_BSLASHlf] = ACTIONS(5414),
    [anon_sym_BSLASHli] = ACTIONS(5414),
    [anon_sym_BSLASHlim] = ACTIONS(5414),
    [anon_sym_BSLASHliv] = ACTIONS(5414),
    [anon_sym_BSLASHlik] = ACTIONS(5414),
    [anon_sym_BSLASHlitl] = ACTIONS(5414),
    [anon_sym_BSLASHtr] = ACTIONS(5414),
    [anon_sym_BSLASHf] = ACTIONS(5414),
    [anon_sym_BSLASHfe] = ACTIONS(5414),
    [anon_sym_BSLASHef] = ACTIONS(5414),
    [anon_sym_BSLASHfm] = ACTIONS(5414),
    [anon_sym_BSLASHx] = ACTIONS(5414),
    [anon_sym_BSLASHxt] = ACTIONS(5414),
    [anon_sym_BSLASHrq] = ACTIONS(5414),
    [anon_sym_BSLASHadd] = ACTIONS(5414),
    [anon_sym_BSLASHbk] = ACTIONS(5414),
    [anon_sym_BSLASHdc] = ACTIONS(5414),
    [anon_sym_BSLASHk] = ACTIONS(5414),
    [anon_sym_BSLASHnd] = ACTIONS(5414),
    [anon_sym_BSLASHord] = ACTIONS(5414),
    [anon_sym_BSLASHpn] = ACTIONS(5414),
    [anon_sym_BSLASHpng] = ACTIONS(5414),
    [anon_sym_BSLASHaddpn] = ACTIONS(5414),
    [anon_sym_BSLASHqt] = ACTIONS(5414),
    [anon_sym_BSLASHsig] = ACTIONS(5414),
    [anon_sym_BSLASHsls] = ACTIONS(5414),
    [anon_sym_BSLASHtl] = ACTIONS(5414),
    [anon_sym_BSLASHwj] = ACTIONS(5414),
    [anon_sym_BSLASHem] = ACTIONS(5414),
    [anon_sym_BSLASHbd] = ACTIONS(5414),
    [anon_sym_BSLASHit] = ACTIONS(5414),
    [anon_sym_BSLASHbdit] = ACTIONS(5414),
    [anon_sym_BSLASHno] = ACTIONS(5414),
    [anon_sym_BSLASHsc] = ACTIONS(5414),
    [anon_sym_BSLASHsup] = ACTIONS(5414),
    [anon_sym_BSLASHndx] = ACTIONS(5414),
    [anon_sym_BSLASHpro] = ACTIONS(5414),
    [anon_sym_BSLASHrb] = ACTIONS(5414),
    [anon_sym_BSLASHw] = ACTIONS(5414),
    [anon_sym_BSLASHwg] = ACTIONS(5414),
    [anon_sym_BSLASHwh] = ACTIONS(5414),
    [anon_sym_BSLASHwa] = ACTIONS(5414),
    [anon_sym_BSLASHfig] = ACTIONS(5414),
    [anon_sym_BSLASHjmp] = ACTIONS(5414),
    [anon_sym_BSLASHpb] = ACTIONS(5414),
    [anon_sym_BSLASH] = ACTIONS(5414),
    [sym_milestoneStartTag] = ACTIONS(5414),
    [sym_milestoneEndTag] = ACTIONS(5414),
    [sym_zSpaceTag] = ACTIONS(5414),
    [anon_sym_BSLASHesbe] = ACTIONS(5414),
    [anon_sym_BSLASHcat] = ACTIONS(5414),
  },
  [580] = {
    [aux_sym_text_token1] = ACTIONS(5404),
    [anon_sym_BSLASHref] = ACTIONS(5406),
    [anon_sym_BSLASHsts] = ACTIONS(5406),
    [anon_sym_BSLASHrem] = ACTIONS(5406),
    [anon_sym_BSLASHrestore] = ACTIONS(5406),
    [anon_sym_BSLASHlit] = ACTIONS(5406),
    [anon_sym_BSLASHip] = ACTIONS(5406),
    [anon_sym_BSLASHv] = ACTIONS(5406),
    [anon_sym_BSLASHva] = ACTIONS(5406),
    [anon_sym_BSLASHvp] = ACTIONS(5406),
    [anon_sym_BSLASHmte] = ACTIONS(5406),
    [anon_sym_BSLASHms] = ACTIONS(5406),
    [anon_sym_BSLASHs] = ACTIONS(5406),
    [anon_sym_BSLASHr] = ACTIONS(5406),
    [anon_sym_BSLASHsp] = ACTIONS(5406),
    [anon_sym_BSLASHd] = ACTIONS(5406),
    [anon_sym_BSLASHsd] = ACTIONS(5406),
    [anon_sym_BSLASHp] = ACTIONS(5406),
    [anon_sym_BSLASHm] = ACTIONS(5406),
    [anon_sym_BSLASHpo] = ACTIONS(5406),
    [anon_sym_BSLASHpr] = ACTIONS(5406),
    [anon_sym_BSLASHcls] = ACTIONS(5406),
    [anon_sym_BSLASHpmo] = ACTIONS(5406),
    [anon_sym_BSLASHpm] = ACTIONS(5406),
    [anon_sym_BSLASHpmc] = ACTIONS(5406),
    [anon_sym_BSLASHpmr] = ACTIONS(5406),
    [anon_sym_BSLASHpi] = ACTIONS(5406),
    [anon_sym_BSLASHmi] = ACTIONS(5406),
    [anon_sym_BSLASHnb] = ACTIONS(5406),
    [anon_sym_BSLASHpc] = ACTIONS(5406),
    [anon_sym_BSLASHph] = ACTIONS(5406),
    [anon_sym_BSLASHb] = ACTIONS(5406),
    [anon_sym_BSLASHq] = ACTIONS(5406),
    [anon_sym_BSLASHqr] = ACTIONS(5406),
    [anon_sym_BSLASHqc] = ACTIONS(5406),
    [anon_sym_BSLASHqa] = ACTIONS(5406),
    [anon_sym_BSLASHqm] = ACTIONS(5406),
    [anon_sym_BSLASHqd] = ACTIONS(5406),
    [anon_sym_BSLASHlh] = ACTIONS(5406),
    [anon_sym_BSLASHlf] = ACTIONS(5406),
    [anon_sym_BSLASHli] = ACTIONS(5406),
    [anon_sym_BSLASHlim] = ACTIONS(5406),
    [anon_sym_BSLASHliv] = ACTIONS(5406),
    [anon_sym_BSLASHlik] = ACTIONS(5406),
    [anon_sym_BSLASHlitl] = ACTIONS(5406),
    [anon_sym_BSLASHtr] = ACTIONS(5406),
    [anon_sym_BSLASHf] = ACTIONS(5406),
    [anon_sym_BSLASHfe] = ACTIONS(5406),
    [anon_sym_BSLASHef] = ACTIONS(5406),
    [anon_sym_BSLASHfm] = ACTIONS(5406),
    [anon_sym_BSLASHx] = ACTIONS(5406),
    [anon_sym_BSLASHxt] = ACTIONS(5406),
    [anon_sym_BSLASHrq] = ACTIONS(5406),
    [anon_sym_BSLASHadd] = ACTIONS(5406),
    [anon_sym_BSLASHbk] = ACTIONS(5406),
    [anon_sym_BSLASHdc] = ACTIONS(5406),
    [anon_sym_BSLASHk] = ACTIONS(5406),
    [anon_sym_BSLASHnd] = ACTIONS(5406),
    [anon_sym_BSLASHord] = ACTIONS(5406),
    [anon_sym_BSLASHpn] = ACTIONS(5406),
    [anon_sym_BSLASHpng] = ACTIONS(5406),
    [anon_sym_BSLASHaddpn] = ACTIONS(5406),
    [anon_sym_BSLASHqt] = ACTIONS(5406),
    [anon_sym_BSLASHsig] = ACTIONS(5406),
    [anon_sym_BSLASHsls] = ACTIONS(5406),
    [anon_sym_BSLASHtl] = ACTIONS(5406),
    [anon_sym_BSLASHwj] = ACTIONS(5406),
    [anon_sym_BSLASHem] = ACTIONS(5406),
    [anon_sym_BSLASHbd] = ACTIONS(5406),
    [anon_sym_BSLASHit] = ACTIONS(5406),
    [anon_sym_BSLASHbdit] = ACTIONS(5406),
    [anon_sym_BSLASHno] = ACTIONS(5406),
    [anon_sym_BSLASHsc] = ACTIONS(5406),
    [anon_sym_BSLASHsup] = ACTIONS(5406),
    [anon_sym_BSLASHndx] = ACTIONS(5406),
    [anon_sym_BSLASHpro] = ACTIONS(5406),
    [anon_sym_BSLASHrb] = ACTIONS(5406),
    [anon_sym_BSLASHw] = ACTIONS(5406),
    [anon_sym_BSLASHwg] = ACTIONS(5406),
    [anon_sym_BSLASHwh] = ACTIONS(5406),
    [anon_sym_BSLASHwa] = ACTIONS(5406),
    [anon_sym_BSLASHfig] = ACTIONS(5406),
    [anon_sym_BSLASHjmp] = ACTIONS(5406),
    [anon_sym_BSLASHpb] = ACTIONS(5406),
    [anon_sym_BSLASH] = ACTIONS(5406),
    [sym_milestoneStartTag] = ACTIONS(5406),
    [sym_milestoneEndTag] = ACTIONS(5406),
    [sym_zSpaceTag] = ACTIONS(5406),
    [anon_sym_BSLASHesbe] = ACTIONS(5406),
    [anon_sym_BSLASHcat] = ACTIONS(5406),
  },
  [581] = {
    [aux_sym_text_token1] = ACTIONS(5368),
    [anon_sym_BSLASHref] = ACTIONS(5370),
    [anon_sym_BSLASHsts] = ACTIONS(5370),
    [anon_sym_BSLASHrem] = ACTIONS(5370),
    [anon_sym_BSLASHrestore] = ACTIONS(5370),
    [anon_sym_BSLASHlit] = ACTIONS(5370),
    [anon_sym_BSLASHip] = ACTIONS(5370),
    [anon_sym_BSLASHv] = ACTIONS(5370),
    [anon_sym_BSLASHva] = ACTIONS(5370),
    [anon_sym_BSLASHvp] = ACTIONS(5370),
    [anon_sym_BSLASHmte] = ACTIONS(5370),
    [anon_sym_BSLASHms] = ACTIONS(5370),
    [anon_sym_BSLASHs] = ACTIONS(5370),
    [anon_sym_BSLASHr] = ACTIONS(5370),
    [anon_sym_BSLASHsp] = ACTIONS(5370),
    [anon_sym_BSLASHd] = ACTIONS(5370),
    [anon_sym_BSLASHsd] = ACTIONS(5370),
    [anon_sym_BSLASHp] = ACTIONS(5370),
    [anon_sym_BSLASHm] = ACTIONS(5370),
    [anon_sym_BSLASHpo] = ACTIONS(5370),
    [anon_sym_BSLASHpr] = ACTIONS(5370),
    [anon_sym_BSLASHcls] = ACTIONS(5370),
    [anon_sym_BSLASHpmo] = ACTIONS(5370),
    [anon_sym_BSLASHpm] = ACTIONS(5370),
    [anon_sym_BSLASHpmc] = ACTIONS(5370),
    [anon_sym_BSLASHpmr] = ACTIONS(5370),
    [anon_sym_BSLASHpi] = ACTIONS(5370),
    [anon_sym_BSLASHmi] = ACTIONS(5370),
    [anon_sym_BSLASHnb] = ACTIONS(5370),
    [anon_sym_BSLASHpc] = ACTIONS(5370),
    [anon_sym_BSLASHph] = ACTIONS(5370),
    [anon_sym_BSLASHb] = ACTIONS(5370),
    [anon_sym_BSLASHq] = ACTIONS(5370),
    [anon_sym_BSLASHqr] = ACTIONS(5370),
    [anon_sym_BSLASHqc] = ACTIONS(5370),
    [anon_sym_BSLASHqa] = ACTIONS(5370),
    [anon_sym_BSLASHqm] = ACTIONS(5370),
    [anon_sym_BSLASHqd] = ACTIONS(5370),
    [anon_sym_BSLASHlh] = ACTIONS(5370),
    [anon_sym_BSLASHlf] = ACTIONS(5370),
    [anon_sym_BSLASHli] = ACTIONS(5370),
    [anon_sym_BSLASHlim] = ACTIONS(5370),
    [anon_sym_BSLASHliv] = ACTIONS(5370),
    [anon_sym_BSLASHlik] = ACTIONS(5370),
    [anon_sym_BSLASHlitl] = ACTIONS(5370),
    [anon_sym_BSLASHtr] = ACTIONS(5370),
    [anon_sym_BSLASHf] = ACTIONS(5370),
    [anon_sym_BSLASHfe] = ACTIONS(5370),
    [anon_sym_BSLASHef] = ACTIONS(5370),
    [anon_sym_BSLASHfm] = ACTIONS(5370),
    [anon_sym_BSLASHx] = ACTIONS(5370),
    [anon_sym_BSLASHxt] = ACTIONS(5370),
    [anon_sym_BSLASHrq] = ACTIONS(5370),
    [anon_sym_BSLASHadd] = ACTIONS(5370),
    [anon_sym_BSLASHbk] = ACTIONS(5370),
    [anon_sym_BSLASHdc] = ACTIONS(5370),
    [anon_sym_BSLASHk] = ACTIONS(5370),
    [anon_sym_BSLASHnd] = ACTIONS(5370),
    [anon_sym_BSLASHord] = ACTIONS(5370),
    [anon_sym_BSLASHpn] = ACTIONS(5370),
    [anon_sym_BSLASHpng] = ACTIONS(5370),
    [anon_sym_BSLASHaddpn] = ACTIONS(5370),
    [anon_sym_BSLASHqt] = ACTIONS(5370),
    [anon_sym_BSLASHsig] = ACTIONS(5370),
    [anon_sym_BSLASHsls] = ACTIONS(5370),
    [anon_sym_BSLASHtl] = ACTIONS(5370),
    [anon_sym_BSLASHwj] = ACTIONS(5370),
    [anon_sym_BSLASHem] = ACTIONS(5370),
    [anon_sym_BSLASHbd] = ACTIONS(5370),
    [anon_sym_BSLASHit] = ACTIONS(5370),
    [anon_sym_BSLASHbdit] = ACTIONS(5370),
    [anon_sym_BSLASHno] = ACTIONS(5370),
    [anon_sym_BSLASHsc] = ACTIONS(5370),
    [anon_sym_BSLASHsup] = ACTIONS(5370),
    [anon_sym_BSLASHndx] = ACTIONS(5370),
    [anon_sym_BSLASHpro] = ACTIONS(5370),
    [anon_sym_BSLASHrb] = ACTIONS(5370),
    [anon_sym_BSLASHw] = ACTIONS(5370),
    [anon_sym_BSLASHwg] = ACTIONS(5370),
    [anon_sym_BSLASHwh] = ACTIONS(5370),
    [anon_sym_BSLASHwa] = ACTIONS(5370),
    [anon_sym_BSLASHfig] = ACTIONS(5370),
    [anon_sym_BSLASHjmp] = ACTIONS(5370),
    [anon_sym_BSLASHpb] = ACTIONS(5370),
    [anon_sym_BSLASH] = ACTIONS(5370),
    [sym_milestoneStartTag] = ACTIONS(5370),
    [sym_milestoneEndTag] = ACTIONS(5370),
    [sym_zSpaceTag] = ACTIONS(5370),
    [anon_sym_BSLASHesbe] = ACTIONS(5370),
    [anon_sym_BSLASHcat] = ACTIONS(5370),
  },
  [582] = {
    [aux_sym_text_token1] = ACTIONS(5328),
    [anon_sym_BSLASHref] = ACTIONS(5330),
    [anon_sym_BSLASHsts] = ACTIONS(5330),
    [anon_sym_BSLASHrem] = ACTIONS(5330),
    [anon_sym_BSLASHrestore] = ACTIONS(5330),
    [anon_sym_BSLASHlit] = ACTIONS(5330),
    [anon_sym_BSLASHip] = ACTIONS(5330),
    [anon_sym_BSLASHv] = ACTIONS(5330),
    [anon_sym_BSLASHva] = ACTIONS(5330),
    [anon_sym_BSLASHvp] = ACTIONS(5330),
    [anon_sym_BSLASHmte] = ACTIONS(5330),
    [anon_sym_BSLASHms] = ACTIONS(5330),
    [anon_sym_BSLASHs] = ACTIONS(5330),
    [anon_sym_BSLASHr] = ACTIONS(5330),
    [anon_sym_BSLASHsp] = ACTIONS(5330),
    [anon_sym_BSLASHd] = ACTIONS(5330),
    [anon_sym_BSLASHsd] = ACTIONS(5330),
    [anon_sym_BSLASHp] = ACTIONS(5330),
    [anon_sym_BSLASHm] = ACTIONS(5330),
    [anon_sym_BSLASHpo] = ACTIONS(5330),
    [anon_sym_BSLASHpr] = ACTIONS(5330),
    [anon_sym_BSLASHcls] = ACTIONS(5330),
    [anon_sym_BSLASHpmo] = ACTIONS(5330),
    [anon_sym_BSLASHpm] = ACTIONS(5330),
    [anon_sym_BSLASHpmc] = ACTIONS(5330),
    [anon_sym_BSLASHpmr] = ACTIONS(5330),
    [anon_sym_BSLASHpi] = ACTIONS(5330),
    [anon_sym_BSLASHmi] = ACTIONS(5330),
    [anon_sym_BSLASHnb] = ACTIONS(5330),
    [anon_sym_BSLASHpc] = ACTIONS(5330),
    [anon_sym_BSLASHph] = ACTIONS(5330),
    [anon_sym_BSLASHb] = ACTIONS(5330),
    [anon_sym_BSLASHq] = ACTIONS(5330),
    [anon_sym_BSLASHqr] = ACTIONS(5330),
    [anon_sym_BSLASHqc] = ACTIONS(5330),
    [anon_sym_BSLASHqa] = ACTIONS(5330),
    [anon_sym_BSLASHqm] = ACTIONS(5330),
    [anon_sym_BSLASHqd] = ACTIONS(5330),
    [anon_sym_BSLASHlh] = ACTIONS(5330),
    [anon_sym_BSLASHlf] = ACTIONS(5330),
    [anon_sym_BSLASHli] = ACTIONS(5330),
    [anon_sym_BSLASHlim] = ACTIONS(5330),
    [anon_sym_BSLASHliv] = ACTIONS(5330),
    [anon_sym_BSLASHlik] = ACTIONS(5330),
    [anon_sym_BSLASHlitl] = ACTIONS(5330),
    [anon_sym_BSLASHtr] = ACTIONS(5330),
    [anon_sym_BSLASHf] = ACTIONS(5330),
    [anon_sym_BSLASHfe] = ACTIONS(5330),
    [anon_sym_BSLASHef] = ACTIONS(5330),
    [anon_sym_BSLASHfm] = ACTIONS(5330),
    [anon_sym_BSLASHx] = ACTIONS(5330),
    [anon_sym_BSLASHxt] = ACTIONS(5330),
    [anon_sym_BSLASHrq] = ACTIONS(5330),
    [anon_sym_BSLASHadd] = ACTIONS(5330),
    [anon_sym_BSLASHbk] = ACTIONS(5330),
    [anon_sym_BSLASHdc] = ACTIONS(5330),
    [anon_sym_BSLASHk] = ACTIONS(5330),
    [anon_sym_BSLASHnd] = ACTIONS(5330),
    [anon_sym_BSLASHord] = ACTIONS(5330),
    [anon_sym_BSLASHpn] = ACTIONS(5330),
    [anon_sym_BSLASHpng] = ACTIONS(5330),
    [anon_sym_BSLASHaddpn] = ACTIONS(5330),
    [anon_sym_BSLASHqt] = ACTIONS(5330),
    [anon_sym_BSLASHsig] = ACTIONS(5330),
    [anon_sym_BSLASHsls] = ACTIONS(5330),
    [anon_sym_BSLASHtl] = ACTIONS(5330),
    [anon_sym_BSLASHwj] = ACTIONS(5330),
    [anon_sym_BSLASHem] = ACTIONS(5330),
    [anon_sym_BSLASHbd] = ACTIONS(5330),
    [anon_sym_BSLASHit] = ACTIONS(5330),
    [anon_sym_BSLASHbdit] = ACTIONS(5330),
    [anon_sym_BSLASHno] = ACTIONS(5330),
    [anon_sym_BSLASHsc] = ACTIONS(5330),
    [anon_sym_BSLASHsup] = ACTIONS(5330),
    [anon_sym_BSLASHndx] = ACTIONS(5330),
    [anon_sym_BSLASHpro] = ACTIONS(5330),
    [anon_sym_BSLASHrb] = ACTIONS(5330),
    [anon_sym_BSLASHw] = ACTIONS(5330),
    [anon_sym_BSLASHwg] = ACTIONS(5330),
    [anon_sym_BSLASHwh] = ACTIONS(5330),
    [anon_sym_BSLASHwa] = ACTIONS(5330),
    [anon_sym_BSLASHfig] = ACTIONS(5330),
    [anon_sym_BSLASHjmp] = ACTIONS(5330),
    [anon_sym_BSLASHpb] = ACTIONS(5330),
    [anon_sym_BSLASH] = ACTIONS(5330),
    [sym_milestoneStartTag] = ACTIONS(5330),
    [sym_milestoneEndTag] = ACTIONS(5330),
    [sym_zSpaceTag] = ACTIONS(5330),
    [anon_sym_BSLASHesbe] = ACTIONS(5330),
    [anon_sym_BSLASHcat] = ACTIONS(5330),
  },
  [583] = {
    [aux_sym_text_token1] = ACTIONS(5436),
    [anon_sym_BSLASHref] = ACTIONS(5438),
    [anon_sym_BSLASHsts] = ACTIONS(5438),
    [anon_sym_BSLASHrem] = ACTIONS(5438),
    [anon_sym_BSLASHrestore] = ACTIONS(5438),
    [anon_sym_BSLASHlit] = ACTIONS(5438),
    [anon_sym_BSLASHip] = ACTIONS(5438),
    [anon_sym_BSLASHv] = ACTIONS(5438),
    [anon_sym_BSLASHva] = ACTIONS(5438),
    [anon_sym_BSLASHvp] = ACTIONS(5438),
    [anon_sym_BSLASHmte] = ACTIONS(5438),
    [anon_sym_BSLASHms] = ACTIONS(5438),
    [anon_sym_BSLASHs] = ACTIONS(5438),
    [anon_sym_BSLASHr] = ACTIONS(5438),
    [anon_sym_BSLASHsp] = ACTIONS(5438),
    [anon_sym_BSLASHd] = ACTIONS(5438),
    [anon_sym_BSLASHsd] = ACTIONS(5438),
    [anon_sym_BSLASHp] = ACTIONS(5438),
    [anon_sym_BSLASHm] = ACTIONS(5438),
    [anon_sym_BSLASHpo] = ACTIONS(5438),
    [anon_sym_BSLASHpr] = ACTIONS(5438),
    [anon_sym_BSLASHcls] = ACTIONS(5438),
    [anon_sym_BSLASHpmo] = ACTIONS(5438),
    [anon_sym_BSLASHpm] = ACTIONS(5438),
    [anon_sym_BSLASHpmc] = ACTIONS(5438),
    [anon_sym_BSLASHpmr] = ACTIONS(5438),
    [anon_sym_BSLASHpi] = ACTIONS(5438),
    [anon_sym_BSLASHmi] = ACTIONS(5438),
    [anon_sym_BSLASHnb] = ACTIONS(5438),
    [anon_sym_BSLASHpc] = ACTIONS(5438),
    [anon_sym_BSLASHph] = ACTIONS(5438),
    [anon_sym_BSLASHb] = ACTIONS(5438),
    [anon_sym_BSLASHq] = ACTIONS(5438),
    [anon_sym_BSLASHqr] = ACTIONS(5438),
    [anon_sym_BSLASHqc] = ACTIONS(5438),
    [anon_sym_BSLASHqa] = ACTIONS(5438),
    [anon_sym_BSLASHqm] = ACTIONS(5438),
    [anon_sym_BSLASHqd] = ACTIONS(5438),
    [anon_sym_BSLASHlh] = ACTIONS(5438),
    [anon_sym_BSLASHlf] = ACTIONS(5438),
    [anon_sym_BSLASHli] = ACTIONS(5438),
    [anon_sym_BSLASHlim] = ACTIONS(5438),
    [anon_sym_BSLASHliv] = ACTIONS(5438),
    [anon_sym_BSLASHlik] = ACTIONS(5438),
    [anon_sym_BSLASHlitl] = ACTIONS(5438),
    [anon_sym_BSLASHtr] = ACTIONS(5438),
    [anon_sym_BSLASHf] = ACTIONS(5438),
    [anon_sym_BSLASHfe] = ACTIONS(5438),
    [anon_sym_BSLASHef] = ACTIONS(5438),
    [anon_sym_BSLASHfm] = ACTIONS(5438),
    [anon_sym_BSLASHx] = ACTIONS(5438),
    [anon_sym_BSLASHxt] = ACTIONS(5438),
    [anon_sym_BSLASHrq] = ACTIONS(5438),
    [anon_sym_BSLASHadd] = ACTIONS(5438),
    [anon_sym_BSLASHbk] = ACTIONS(5438),
    [anon_sym_BSLASHdc] = ACTIONS(5438),
    [anon_sym_BSLASHk] = ACTIONS(5438),
    [anon_sym_BSLASHnd] = ACTIONS(5438),
    [anon_sym_BSLASHord] = ACTIONS(5438),
    [anon_sym_BSLASHpn] = ACTIONS(5438),
    [anon_sym_BSLASHpng] = ACTIONS(5438),
    [anon_sym_BSLASHaddpn] = ACTIONS(5438),
    [anon_sym_BSLASHqt] = ACTIONS(5438),
    [anon_sym_BSLASHsig] = ACTIONS(5438),
    [anon_sym_BSLASHsls] = ACTIONS(5438),
    [anon_sym_BSLASHtl] = ACTIONS(5438),
    [anon_sym_BSLASHwj] = ACTIONS(5438),
    [anon_sym_BSLASHem] = ACTIONS(5438),
    [anon_sym_BSLASHbd] = ACTIONS(5438),
    [anon_sym_BSLASHit] = ACTIONS(5438),
    [anon_sym_BSLASHbdit] = ACTIONS(5438),
    [anon_sym_BSLASHno] = ACTIONS(5438),
    [anon_sym_BSLASHsc] = ACTIONS(5438),
    [anon_sym_BSLASHsup] = ACTIONS(5438),
    [anon_sym_BSLASHndx] = ACTIONS(5438),
    [anon_sym_BSLASHpro] = ACTIONS(5438),
    [anon_sym_BSLASHrb] = ACTIONS(5438),
    [anon_sym_BSLASHw] = ACTIONS(5438),
    [anon_sym_BSLASHwg] = ACTIONS(5438),
    [anon_sym_BSLASHwh] = ACTIONS(5438),
    [anon_sym_BSLASHwa] = ACTIONS(5438),
    [anon_sym_BSLASHfig] = ACTIONS(5438),
    [anon_sym_BSLASHjmp] = ACTIONS(5438),
    [anon_sym_BSLASHpb] = ACTIONS(5438),
    [anon_sym_BSLASH] = ACTIONS(5438),
    [sym_milestoneStartTag] = ACTIONS(5438),
    [sym_milestoneEndTag] = ACTIONS(5438),
    [sym_zSpaceTag] = ACTIONS(5438),
    [anon_sym_BSLASHesbe] = ACTIONS(5438),
    [anon_sym_BSLASHcat] = ACTIONS(5438),
  },
  [584] = {
    [aux_sym_text_token1] = ACTIONS(5332),
    [anon_sym_BSLASHref] = ACTIONS(5334),
    [anon_sym_BSLASHsts] = ACTIONS(5334),
    [anon_sym_BSLASHrem] = ACTIONS(5334),
    [anon_sym_BSLASHrestore] = ACTIONS(5334),
    [anon_sym_BSLASHlit] = ACTIONS(5334),
    [anon_sym_BSLASHip] = ACTIONS(5334),
    [anon_sym_BSLASHv] = ACTIONS(5334),
    [anon_sym_BSLASHva] = ACTIONS(5334),
    [anon_sym_BSLASHvp] = ACTIONS(5334),
    [anon_sym_BSLASHmte] = ACTIONS(5334),
    [anon_sym_BSLASHms] = ACTIONS(5334),
    [anon_sym_BSLASHs] = ACTIONS(5334),
    [anon_sym_BSLASHr] = ACTIONS(5334),
    [anon_sym_BSLASHsp] = ACTIONS(5334),
    [anon_sym_BSLASHd] = ACTIONS(5334),
    [anon_sym_BSLASHsd] = ACTIONS(5334),
    [anon_sym_BSLASHp] = ACTIONS(5334),
    [anon_sym_BSLASHm] = ACTIONS(5334),
    [anon_sym_BSLASHpo] = ACTIONS(5334),
    [anon_sym_BSLASHpr] = ACTIONS(5334),
    [anon_sym_BSLASHcls] = ACTIONS(5334),
    [anon_sym_BSLASHpmo] = ACTIONS(5334),
    [anon_sym_BSLASHpm] = ACTIONS(5334),
    [anon_sym_BSLASHpmc] = ACTIONS(5334),
    [anon_sym_BSLASHpmr] = ACTIONS(5334),
    [anon_sym_BSLASHpi] = ACTIONS(5334),
    [anon_sym_BSLASHmi] = ACTIONS(5334),
    [anon_sym_BSLASHnb] = ACTIONS(5334),
    [anon_sym_BSLASHpc] = ACTIONS(5334),
    [anon_sym_BSLASHph] = ACTIONS(5334),
    [anon_sym_BSLASHb] = ACTIONS(5334),
    [anon_sym_BSLASHq] = ACTIONS(5334),
    [anon_sym_BSLASHqr] = ACTIONS(5334),
    [anon_sym_BSLASHqc] = ACTIONS(5334),
    [anon_sym_BSLASHqa] = ACTIONS(5334),
    [anon_sym_BSLASHqm] = ACTIONS(5334),
    [anon_sym_BSLASHqd] = ACTIONS(5334),
    [anon_sym_BSLASHlh] = ACTIONS(5334),
    [anon_sym_BSLASHlf] = ACTIONS(5334),
    [anon_sym_BSLASHli] = ACTIONS(5334),
    [anon_sym_BSLASHlim] = ACTIONS(5334),
    [anon_sym_BSLASHliv] = ACTIONS(5334),
    [anon_sym_BSLASHlik] = ACTIONS(5334),
    [anon_sym_BSLASHlitl] = ACTIONS(5334),
    [anon_sym_BSLASHtr] = ACTIONS(5334),
    [anon_sym_BSLASHf] = ACTIONS(5334),
    [anon_sym_BSLASHfe] = ACTIONS(5334),
    [anon_sym_BSLASHef] = ACTIONS(5334),
    [anon_sym_BSLASHfm] = ACTIONS(5334),
    [anon_sym_BSLASHx] = ACTIONS(5334),
    [anon_sym_BSLASHxt] = ACTIONS(5334),
    [anon_sym_BSLASHrq] = ACTIONS(5334),
    [anon_sym_BSLASHadd] = ACTIONS(5334),
    [anon_sym_BSLASHbk] = ACTIONS(5334),
    [anon_sym_BSLASHdc] = ACTIONS(5334),
    [anon_sym_BSLASHk] = ACTIONS(5334),
    [anon_sym_BSLASHnd] = ACTIONS(5334),
    [anon_sym_BSLASHord] = ACTIONS(5334),
    [anon_sym_BSLASHpn] = ACTIONS(5334),
    [anon_sym_BSLASHpng] = ACTIONS(5334),
    [anon_sym_BSLASHaddpn] = ACTIONS(5334),
    [anon_sym_BSLASHqt] = ACTIONS(5334),
    [anon_sym_BSLASHsig] = ACTIONS(5334),
    [anon_sym_BSLASHsls] = ACTIONS(5334),
    [anon_sym_BSLASHtl] = ACTIONS(5334),
    [anon_sym_BSLASHwj] = ACTIONS(5334),
    [anon_sym_BSLASHem] = ACTIONS(5334),
    [anon_sym_BSLASHbd] = ACTIONS(5334),
    [anon_sym_BSLASHit] = ACTIONS(5334),
    [anon_sym_BSLASHbdit] = ACTIONS(5334),
    [anon_sym_BSLASHno] = ACTIONS(5334),
    [anon_sym_BSLASHsc] = ACTIONS(5334),
    [anon_sym_BSLASHsup] = ACTIONS(5334),
    [anon_sym_BSLASHndx] = ACTIONS(5334),
    [anon_sym_BSLASHpro] = ACTIONS(5334),
    [anon_sym_BSLASHrb] = ACTIONS(5334),
    [anon_sym_BSLASHw] = ACTIONS(5334),
    [anon_sym_BSLASHwg] = ACTIONS(5334),
    [anon_sym_BSLASHwh] = ACTIONS(5334),
    [anon_sym_BSLASHwa] = ACTIONS(5334),
    [anon_sym_BSLASHfig] = ACTIONS(5334),
    [anon_sym_BSLASHjmp] = ACTIONS(5334),
    [anon_sym_BSLASHpb] = ACTIONS(5334),
    [anon_sym_BSLASH] = ACTIONS(5334),
    [sym_milestoneStartTag] = ACTIONS(5334),
    [sym_milestoneEndTag] = ACTIONS(5334),
    [sym_zSpaceTag] = ACTIONS(5334),
    [anon_sym_BSLASHesbe] = ACTIONS(5334),
    [anon_sym_BSLASHcat] = ACTIONS(5334),
  },
  [585] = {
    [aux_sym_text_token1] = ACTIONS(5344),
    [anon_sym_BSLASHref] = ACTIONS(5346),
    [anon_sym_BSLASHsts] = ACTIONS(5346),
    [anon_sym_BSLASHrem] = ACTIONS(5346),
    [anon_sym_BSLASHrestore] = ACTIONS(5346),
    [anon_sym_BSLASHlit] = ACTIONS(5346),
    [anon_sym_BSLASHip] = ACTIONS(5346),
    [anon_sym_BSLASHv] = ACTIONS(5346),
    [anon_sym_BSLASHva] = ACTIONS(5346),
    [anon_sym_BSLASHvp] = ACTIONS(5346),
    [anon_sym_BSLASHmte] = ACTIONS(5346),
    [anon_sym_BSLASHms] = ACTIONS(5346),
    [anon_sym_BSLASHs] = ACTIONS(5346),
    [anon_sym_BSLASHr] = ACTIONS(5346),
    [anon_sym_BSLASHsp] = ACTIONS(5346),
    [anon_sym_BSLASHd] = ACTIONS(5346),
    [anon_sym_BSLASHsd] = ACTIONS(5346),
    [anon_sym_BSLASHp] = ACTIONS(5346),
    [anon_sym_BSLASHm] = ACTIONS(5346),
    [anon_sym_BSLASHpo] = ACTIONS(5346),
    [anon_sym_BSLASHpr] = ACTIONS(5346),
    [anon_sym_BSLASHcls] = ACTIONS(5346),
    [anon_sym_BSLASHpmo] = ACTIONS(5346),
    [anon_sym_BSLASHpm] = ACTIONS(5346),
    [anon_sym_BSLASHpmc] = ACTIONS(5346),
    [anon_sym_BSLASHpmr] = ACTIONS(5346),
    [anon_sym_BSLASHpi] = ACTIONS(5346),
    [anon_sym_BSLASHmi] = ACTIONS(5346),
    [anon_sym_BSLASHnb] = ACTIONS(5346),
    [anon_sym_BSLASHpc] = ACTIONS(5346),
    [anon_sym_BSLASHph] = ACTIONS(5346),
    [anon_sym_BSLASHb] = ACTIONS(5346),
    [anon_sym_BSLASHq] = ACTIONS(5346),
    [anon_sym_BSLASHqr] = ACTIONS(5346),
    [anon_sym_BSLASHqc] = ACTIONS(5346),
    [anon_sym_BSLASHqa] = ACTIONS(5346),
    [anon_sym_BSLASHqm] = ACTIONS(5346),
    [anon_sym_BSLASHqd] = ACTIONS(5346),
    [anon_sym_BSLASHlh] = ACTIONS(5346),
    [anon_sym_BSLASHlf] = ACTIONS(5346),
    [anon_sym_BSLASHli] = ACTIONS(5346),
    [anon_sym_BSLASHlim] = ACTIONS(5346),
    [anon_sym_BSLASHliv] = ACTIONS(5346),
    [anon_sym_BSLASHlik] = ACTIONS(5346),
    [anon_sym_BSLASHlitl] = ACTIONS(5346),
    [anon_sym_BSLASHtr] = ACTIONS(5346),
    [anon_sym_BSLASHf] = ACTIONS(5346),
    [anon_sym_BSLASHfe] = ACTIONS(5346),
    [anon_sym_BSLASHef] = ACTIONS(5346),
    [anon_sym_BSLASHfm] = ACTIONS(5346),
    [anon_sym_BSLASHx] = ACTIONS(5346),
    [anon_sym_BSLASHxt] = ACTIONS(5346),
    [anon_sym_BSLASHrq] = ACTIONS(5346),
    [anon_sym_BSLASHadd] = ACTIONS(5346),
    [anon_sym_BSLASHbk] = ACTIONS(5346),
    [anon_sym_BSLASHdc] = ACTIONS(5346),
    [anon_sym_BSLASHk] = ACTIONS(5346),
    [anon_sym_BSLASHnd] = ACTIONS(5346),
    [anon_sym_BSLASHord] = ACTIONS(5346),
    [anon_sym_BSLASHpn] = ACTIONS(5346),
    [anon_sym_BSLASHpng] = ACTIONS(5346),
    [anon_sym_BSLASHaddpn] = ACTIONS(5346),
    [anon_sym_BSLASHqt] = ACTIONS(5346),
    [anon_sym_BSLASHsig] = ACTIONS(5346),
    [anon_sym_BSLASHsls] = ACTIONS(5346),
    [anon_sym_BSLASHtl] = ACTIONS(5346),
    [anon_sym_BSLASHwj] = ACTIONS(5346),
    [anon_sym_BSLASHem] = ACTIONS(5346),
    [anon_sym_BSLASHbd] = ACTIONS(5346),
    [anon_sym_BSLASHit] = ACTIONS(5346),
    [anon_sym_BSLASHbdit] = ACTIONS(5346),
    [anon_sym_BSLASHno] = ACTIONS(5346),
    [anon_sym_BSLASHsc] = ACTIONS(5346),
    [anon_sym_BSLASHsup] = ACTIONS(5346),
    [anon_sym_BSLASHndx] = ACTIONS(5346),
    [anon_sym_BSLASHpro] = ACTIONS(5346),
    [anon_sym_BSLASHrb] = ACTIONS(5346),
    [anon_sym_BSLASHw] = ACTIONS(5346),
    [anon_sym_BSLASHwg] = ACTIONS(5346),
    [anon_sym_BSLASHwh] = ACTIONS(5346),
    [anon_sym_BSLASHwa] = ACTIONS(5346),
    [anon_sym_BSLASHfig] = ACTIONS(5346),
    [anon_sym_BSLASHjmp] = ACTIONS(5346),
    [anon_sym_BSLASHpb] = ACTIONS(5346),
    [anon_sym_BSLASH] = ACTIONS(5346),
    [sym_milestoneStartTag] = ACTIONS(5346),
    [sym_milestoneEndTag] = ACTIONS(5346),
    [sym_zSpaceTag] = ACTIONS(5346),
    [anon_sym_BSLASHesbe] = ACTIONS(5346),
    [anon_sym_BSLASHcat] = ACTIONS(5346),
  },
  [586] = {
    [aux_sym_text_token1] = ACTIONS(5392),
    [anon_sym_BSLASHref] = ACTIONS(5394),
    [anon_sym_BSLASHsts] = ACTIONS(5394),
    [anon_sym_BSLASHrem] = ACTIONS(5394),
    [anon_sym_BSLASHrestore] = ACTIONS(5394),
    [anon_sym_BSLASHlit] = ACTIONS(5394),
    [anon_sym_BSLASHip] = ACTIONS(5394),
    [anon_sym_BSLASHv] = ACTIONS(5394),
    [anon_sym_BSLASHva] = ACTIONS(5394),
    [anon_sym_BSLASHvp] = ACTIONS(5394),
    [anon_sym_BSLASHmte] = ACTIONS(5394),
    [anon_sym_BSLASHms] = ACTIONS(5394),
    [anon_sym_BSLASHs] = ACTIONS(5394),
    [anon_sym_BSLASHr] = ACTIONS(5394),
    [anon_sym_BSLASHsp] = ACTIONS(5394),
    [anon_sym_BSLASHd] = ACTIONS(5394),
    [anon_sym_BSLASHsd] = ACTIONS(5394),
    [anon_sym_BSLASHp] = ACTIONS(5394),
    [anon_sym_BSLASHm] = ACTIONS(5394),
    [anon_sym_BSLASHpo] = ACTIONS(5394),
    [anon_sym_BSLASHpr] = ACTIONS(5394),
    [anon_sym_BSLASHcls] = ACTIONS(5394),
    [anon_sym_BSLASHpmo] = ACTIONS(5394),
    [anon_sym_BSLASHpm] = ACTIONS(5394),
    [anon_sym_BSLASHpmc] = ACTIONS(5394),
    [anon_sym_BSLASHpmr] = ACTIONS(5394),
    [anon_sym_BSLASHpi] = ACTIONS(5394),
    [anon_sym_BSLASHmi] = ACTIONS(5394),
    [anon_sym_BSLASHnb] = ACTIONS(5394),
    [anon_sym_BSLASHpc] = ACTIONS(5394),
    [anon_sym_BSLASHph] = ACTIONS(5394),
    [anon_sym_BSLASHb] = ACTIONS(5394),
    [anon_sym_BSLASHq] = ACTIONS(5394),
    [anon_sym_BSLASHqr] = ACTIONS(5394),
    [anon_sym_BSLASHqc] = ACTIONS(5394),
    [anon_sym_BSLASHqa] = ACTIONS(5394),
    [anon_sym_BSLASHqm] = ACTIONS(5394),
    [anon_sym_BSLASHqd] = ACTIONS(5394),
    [anon_sym_BSLASHlh] = ACTIONS(5394),
    [anon_sym_BSLASHlf] = ACTIONS(5394),
    [anon_sym_BSLASHli] = ACTIONS(5394),
    [anon_sym_BSLASHlim] = ACTIONS(5394),
    [anon_sym_BSLASHliv] = ACTIONS(5394),
    [anon_sym_BSLASHlik] = ACTIONS(5394),
    [anon_sym_BSLASHlitl] = ACTIONS(5394),
    [anon_sym_BSLASHtr] = ACTIONS(5394),
    [anon_sym_BSLASHf] = ACTIONS(5394),
    [anon_sym_BSLASHfe] = ACTIONS(5394),
    [anon_sym_BSLASHef] = ACTIONS(5394),
    [anon_sym_BSLASHfm] = ACTIONS(5394),
    [anon_sym_BSLASHx] = ACTIONS(5394),
    [anon_sym_BSLASHxt] = ACTIONS(5394),
    [anon_sym_BSLASHrq] = ACTIONS(5394),
    [anon_sym_BSLASHadd] = ACTIONS(5394),
    [anon_sym_BSLASHbk] = ACTIONS(5394),
    [anon_sym_BSLASHdc] = ACTIONS(5394),
    [anon_sym_BSLASHk] = ACTIONS(5394),
    [anon_sym_BSLASHnd] = ACTIONS(5394),
    [anon_sym_BSLASHord] = ACTIONS(5394),
    [anon_sym_BSLASHpn] = ACTIONS(5394),
    [anon_sym_BSLASHpng] = ACTIONS(5394),
    [anon_sym_BSLASHaddpn] = ACTIONS(5394),
    [anon_sym_BSLASHqt] = ACTIONS(5394),
    [anon_sym_BSLASHsig] = ACTIONS(5394),
    [anon_sym_BSLASHsls] = ACTIONS(5394),
    [anon_sym_BSLASHtl] = ACTIONS(5394),
    [anon_sym_BSLASHwj] = ACTIONS(5394),
    [anon_sym_BSLASHem] = ACTIONS(5394),
    [anon_sym_BSLASHbd] = ACTIONS(5394),
    [anon_sym_BSLASHit] = ACTIONS(5394),
    [anon_sym_BSLASHbdit] = ACTIONS(5394),
    [anon_sym_BSLASHno] = ACTIONS(5394),
    [anon_sym_BSLASHsc] = ACTIONS(5394),
    [anon_sym_BSLASHsup] = ACTIONS(5394),
    [anon_sym_BSLASHndx] = ACTIONS(5394),
    [anon_sym_BSLASHpro] = ACTIONS(5394),
    [anon_sym_BSLASHrb] = ACTIONS(5394),
    [anon_sym_BSLASHw] = ACTIONS(5394),
    [anon_sym_BSLASHwg] = ACTIONS(5394),
    [anon_sym_BSLASHwh] = ACTIONS(5394),
    [anon_sym_BSLASHwa] = ACTIONS(5394),
    [anon_sym_BSLASHfig] = ACTIONS(5394),
    [anon_sym_BSLASHjmp] = ACTIONS(5394),
    [anon_sym_BSLASHpb] = ACTIONS(5394),
    [anon_sym_BSLASH] = ACTIONS(5394),
    [sym_milestoneStartTag] = ACTIONS(5394),
    [sym_milestoneEndTag] = ACTIONS(5394),
    [sym_zSpaceTag] = ACTIONS(5394),
    [anon_sym_BSLASHesbe] = ACTIONS(5394),
    [anon_sym_BSLASHcat] = ACTIONS(5394),
  },
  [587] = {
    [aux_sym_text_token1] = ACTIONS(5364),
    [anon_sym_BSLASHref] = ACTIONS(5366),
    [anon_sym_BSLASHsts] = ACTIONS(5366),
    [anon_sym_BSLASHrem] = ACTIONS(5366),
    [anon_sym_BSLASHrestore] = ACTIONS(5366),
    [anon_sym_BSLASHlit] = ACTIONS(5366),
    [anon_sym_BSLASHip] = ACTIONS(5366),
    [anon_sym_BSLASHv] = ACTIONS(5366),
    [anon_sym_BSLASHva] = ACTIONS(5366),
    [anon_sym_BSLASHvp] = ACTIONS(5366),
    [anon_sym_BSLASHmte] = ACTIONS(5366),
    [anon_sym_BSLASHms] = ACTIONS(5366),
    [anon_sym_BSLASHs] = ACTIONS(5366),
    [anon_sym_BSLASHr] = ACTIONS(5366),
    [anon_sym_BSLASHsp] = ACTIONS(5366),
    [anon_sym_BSLASHd] = ACTIONS(5366),
    [anon_sym_BSLASHsd] = ACTIONS(5366),
    [anon_sym_BSLASHp] = ACTIONS(5366),
    [anon_sym_BSLASHm] = ACTIONS(5366),
    [anon_sym_BSLASHpo] = ACTIONS(5366),
    [anon_sym_BSLASHpr] = ACTIONS(5366),
    [anon_sym_BSLASHcls] = ACTIONS(5366),
    [anon_sym_BSLASHpmo] = ACTIONS(5366),
    [anon_sym_BSLASHpm] = ACTIONS(5366),
    [anon_sym_BSLASHpmc] = ACTIONS(5366),
    [anon_sym_BSLASHpmr] = ACTIONS(5366),
    [anon_sym_BSLASHpi] = ACTIONS(5366),
    [anon_sym_BSLASHmi] = ACTIONS(5366),
    [anon_sym_BSLASHnb] = ACTIONS(5366),
    [anon_sym_BSLASHpc] = ACTIONS(5366),
    [anon_sym_BSLASHph] = ACTIONS(5366),
    [anon_sym_BSLASHb] = ACTIONS(5366),
    [anon_sym_BSLASHq] = ACTIONS(5366),
    [anon_sym_BSLASHqr] = ACTIONS(5366),
    [anon_sym_BSLASHqc] = ACTIONS(5366),
    [anon_sym_BSLASHqa] = ACTIONS(5366),
    [anon_sym_BSLASHqm] = ACTIONS(5366),
    [anon_sym_BSLASHqd] = ACTIONS(5366),
    [anon_sym_BSLASHlh] = ACTIONS(5366),
    [anon_sym_BSLASHlf] = ACTIONS(5366),
    [anon_sym_BSLASHli] = ACTIONS(5366),
    [anon_sym_BSLASHlim] = ACTIONS(5366),
    [anon_sym_BSLASHliv] = ACTIONS(5366),
    [anon_sym_BSLASHlik] = ACTIONS(5366),
    [anon_sym_BSLASHlitl] = ACTIONS(5366),
    [anon_sym_BSLASHtr] = ACTIONS(5366),
    [anon_sym_BSLASHf] = ACTIONS(5366),
    [anon_sym_BSLASHfe] = ACTIONS(5366),
    [anon_sym_BSLASHef] = ACTIONS(5366),
    [anon_sym_BSLASHfm] = ACTIONS(5366),
    [anon_sym_BSLASHx] = ACTIONS(5366),
    [anon_sym_BSLASHxt] = ACTIONS(5366),
    [anon_sym_BSLASHrq] = ACTIONS(5366),
    [anon_sym_BSLASHadd] = ACTIONS(5366),
    [anon_sym_BSLASHbk] = ACTIONS(5366),
    [anon_sym_BSLASHdc] = ACTIONS(5366),
    [anon_sym_BSLASHk] = ACTIONS(5366),
    [anon_sym_BSLASHnd] = ACTIONS(5366),
    [anon_sym_BSLASHord] = ACTIONS(5366),
    [anon_sym_BSLASHpn] = ACTIONS(5366),
    [anon_sym_BSLASHpng] = ACTIONS(5366),
    [anon_sym_BSLASHaddpn] = ACTIONS(5366),
    [anon_sym_BSLASHqt] = ACTIONS(5366),
    [anon_sym_BSLASHsig] = ACTIONS(5366),
    [anon_sym_BSLASHsls] = ACTIONS(5366),
    [anon_sym_BSLASHtl] = ACTIONS(5366),
    [anon_sym_BSLASHwj] = ACTIONS(5366),
    [anon_sym_BSLASHem] = ACTIONS(5366),
    [anon_sym_BSLASHbd] = ACTIONS(5366),
    [anon_sym_BSLASHit] = ACTIONS(5366),
    [anon_sym_BSLASHbdit] = ACTIONS(5366),
    [anon_sym_BSLASHno] = ACTIONS(5366),
    [anon_sym_BSLASHsc] = ACTIONS(5366),
    [anon_sym_BSLASHsup] = ACTIONS(5366),
    [anon_sym_BSLASHndx] = ACTIONS(5366),
    [anon_sym_BSLASHpro] = ACTIONS(5366),
    [anon_sym_BSLASHrb] = ACTIONS(5366),
    [anon_sym_BSLASHw] = ACTIONS(5366),
    [anon_sym_BSLASHwg] = ACTIONS(5366),
    [anon_sym_BSLASHwh] = ACTIONS(5366),
    [anon_sym_BSLASHwa] = ACTIONS(5366),
    [anon_sym_BSLASHfig] = ACTIONS(5366),
    [anon_sym_BSLASHjmp] = ACTIONS(5366),
    [anon_sym_BSLASHpb] = ACTIONS(5366),
    [anon_sym_BSLASH] = ACTIONS(5366),
    [sym_milestoneStartTag] = ACTIONS(5366),
    [sym_milestoneEndTag] = ACTIONS(5366),
    [sym_zSpaceTag] = ACTIONS(5366),
    [anon_sym_BSLASHesbe] = ACTIONS(5366),
    [anon_sym_BSLASHcat] = ACTIONS(5366),
  },
  [588] = {
    [aux_sym_text_token1] = ACTIONS(5428),
    [anon_sym_BSLASHref] = ACTIONS(5430),
    [anon_sym_BSLASHsts] = ACTIONS(5430),
    [anon_sym_BSLASHrem] = ACTIONS(5430),
    [anon_sym_BSLASHrestore] = ACTIONS(5430),
    [anon_sym_BSLASHlit] = ACTIONS(5430),
    [anon_sym_BSLASHip] = ACTIONS(5430),
    [anon_sym_BSLASHv] = ACTIONS(5430),
    [anon_sym_BSLASHva] = ACTIONS(5430),
    [anon_sym_BSLASHvp] = ACTIONS(5430),
    [anon_sym_BSLASHmte] = ACTIONS(5430),
    [anon_sym_BSLASHms] = ACTIONS(5430),
    [anon_sym_BSLASHs] = ACTIONS(5430),
    [anon_sym_BSLASHr] = ACTIONS(5430),
    [anon_sym_BSLASHsp] = ACTIONS(5430),
    [anon_sym_BSLASHd] = ACTIONS(5430),
    [anon_sym_BSLASHsd] = ACTIONS(5430),
    [anon_sym_BSLASHp] = ACTIONS(5430),
    [anon_sym_BSLASHm] = ACTIONS(5430),
    [anon_sym_BSLASHpo] = ACTIONS(5430),
    [anon_sym_BSLASHpr] = ACTIONS(5430),
    [anon_sym_BSLASHcls] = ACTIONS(5430),
    [anon_sym_BSLASHpmo] = ACTIONS(5430),
    [anon_sym_BSLASHpm] = ACTIONS(5430),
    [anon_sym_BSLASHpmc] = ACTIONS(5430),
    [anon_sym_BSLASHpmr] = ACTIONS(5430),
    [anon_sym_BSLASHpi] = ACTIONS(5430),
    [anon_sym_BSLASHmi] = ACTIONS(5430),
    [anon_sym_BSLASHnb] = ACTIONS(5430),
    [anon_sym_BSLASHpc] = ACTIONS(5430),
    [anon_sym_BSLASHph] = ACTIONS(5430),
    [anon_sym_BSLASHb] = ACTIONS(5430),
    [anon_sym_BSLASHq] = ACTIONS(5430),
    [anon_sym_BSLASHqr] = ACTIONS(5430),
    [anon_sym_BSLASHqc] = ACTIONS(5430),
    [anon_sym_BSLASHqa] = ACTIONS(5430),
    [anon_sym_BSLASHqm] = ACTIONS(5430),
    [anon_sym_BSLASHqd] = ACTIONS(5430),
    [anon_sym_BSLASHlh] = ACTIONS(5430),
    [anon_sym_BSLASHlf] = ACTIONS(5430),
    [anon_sym_BSLASHli] = ACTIONS(5430),
    [anon_sym_BSLASHlim] = ACTIONS(5430),
    [anon_sym_BSLASHliv] = ACTIONS(5430),
    [anon_sym_BSLASHlik] = ACTIONS(5430),
    [anon_sym_BSLASHlitl] = ACTIONS(5430),
    [anon_sym_BSLASHtr] = ACTIONS(5430),
    [anon_sym_BSLASHf] = ACTIONS(5430),
    [anon_sym_BSLASHfe] = ACTIONS(5430),
    [anon_sym_BSLASHef] = ACTIONS(5430),
    [anon_sym_BSLASHfm] = ACTIONS(5430),
    [anon_sym_BSLASHx] = ACTIONS(5430),
    [anon_sym_BSLASHxt] = ACTIONS(5430),
    [anon_sym_BSLASHrq] = ACTIONS(5430),
    [anon_sym_BSLASHadd] = ACTIONS(5430),
    [anon_sym_BSLASHbk] = ACTIONS(5430),
    [anon_sym_BSLASHdc] = ACTIONS(5430),
    [anon_sym_BSLASHk] = ACTIONS(5430),
    [anon_sym_BSLASHnd] = ACTIONS(5430),
    [anon_sym_BSLASHord] = ACTIONS(5430),
    [anon_sym_BSLASHpn] = ACTIONS(5430),
    [anon_sym_BSLASHpng] = ACTIONS(5430),
    [anon_sym_BSLASHaddpn] = ACTIONS(5430),
    [anon_sym_BSLASHqt] = ACTIONS(5430),
    [anon_sym_BSLASHsig] = ACTIONS(5430),
    [anon_sym_BSLASHsls] = ACTIONS(5430),
    [anon_sym_BSLASHtl] = ACTIONS(5430),
    [anon_sym_BSLASHwj] = ACTIONS(5430),
    [anon_sym_BSLASHem] = ACTIONS(5430),
    [anon_sym_BSLASHbd] = ACTIONS(5430),
    [anon_sym_BSLASHit] = ACTIONS(5430),
    [anon_sym_BSLASHbdit] = ACTIONS(5430),
    [anon_sym_BSLASHno] = ACTIONS(5430),
    [anon_sym_BSLASHsc] = ACTIONS(5430),
    [anon_sym_BSLASHsup] = ACTIONS(5430),
    [anon_sym_BSLASHndx] = ACTIONS(5430),
    [anon_sym_BSLASHpro] = ACTIONS(5430),
    [anon_sym_BSLASHrb] = ACTIONS(5430),
    [anon_sym_BSLASHw] = ACTIONS(5430),
    [anon_sym_BSLASHwg] = ACTIONS(5430),
    [anon_sym_BSLASHwh] = ACTIONS(5430),
    [anon_sym_BSLASHwa] = ACTIONS(5430),
    [anon_sym_BSLASHfig] = ACTIONS(5430),
    [anon_sym_BSLASHjmp] = ACTIONS(5430),
    [anon_sym_BSLASHpb] = ACTIONS(5430),
    [anon_sym_BSLASH] = ACTIONS(5430),
    [sym_milestoneStartTag] = ACTIONS(5430),
    [sym_milestoneEndTag] = ACTIONS(5430),
    [sym_zSpaceTag] = ACTIONS(5430),
    [anon_sym_BSLASHesbe] = ACTIONS(5430),
    [anon_sym_BSLASHcat] = ACTIONS(5430),
  },
  [589] = {
    [aux_sym_text_token1] = ACTIONS(5400),
    [anon_sym_BSLASHref] = ACTIONS(5402),
    [anon_sym_BSLASHsts] = ACTIONS(5402),
    [anon_sym_BSLASHrem] = ACTIONS(5402),
    [anon_sym_BSLASHrestore] = ACTIONS(5402),
    [anon_sym_BSLASHlit] = ACTIONS(5402),
    [anon_sym_BSLASHip] = ACTIONS(5402),
    [anon_sym_BSLASHv] = ACTIONS(5402),
    [anon_sym_BSLASHva] = ACTIONS(5402),
    [anon_sym_BSLASHvp] = ACTIONS(5402),
    [anon_sym_BSLASHmte] = ACTIONS(5402),
    [anon_sym_BSLASHms] = ACTIONS(5402),
    [anon_sym_BSLASHs] = ACTIONS(5402),
    [anon_sym_BSLASHr] = ACTIONS(5402),
    [anon_sym_BSLASHsp] = ACTIONS(5402),
    [anon_sym_BSLASHd] = ACTIONS(5402),
    [anon_sym_BSLASHsd] = ACTIONS(5402),
    [anon_sym_BSLASHp] = ACTIONS(5402),
    [anon_sym_BSLASHm] = ACTIONS(5402),
    [anon_sym_BSLASHpo] = ACTIONS(5402),
    [anon_sym_BSLASHpr] = ACTIONS(5402),
    [anon_sym_BSLASHcls] = ACTIONS(5402),
    [anon_sym_BSLASHpmo] = ACTIONS(5402),
    [anon_sym_BSLASHpm] = ACTIONS(5402),
    [anon_sym_BSLASHpmc] = ACTIONS(5402),
    [anon_sym_BSLASHpmr] = ACTIONS(5402),
    [anon_sym_BSLASHpi] = ACTIONS(5402),
    [anon_sym_BSLASHmi] = ACTIONS(5402),
    [anon_sym_BSLASHnb] = ACTIONS(5402),
    [anon_sym_BSLASHpc] = ACTIONS(5402),
    [anon_sym_BSLASHph] = ACTIONS(5402),
    [anon_sym_BSLASHb] = ACTIONS(5402),
    [anon_sym_BSLASHq] = ACTIONS(5402),
    [anon_sym_BSLASHqr] = ACTIONS(5402),
    [anon_sym_BSLASHqc] = ACTIONS(5402),
    [anon_sym_BSLASHqa] = ACTIONS(5402),
    [anon_sym_BSLASHqm] = ACTIONS(5402),
    [anon_sym_BSLASHqd] = ACTIONS(5402),
    [anon_sym_BSLASHlh] = ACTIONS(5402),
    [anon_sym_BSLASHlf] = ACTIONS(5402),
    [anon_sym_BSLASHli] = ACTIONS(5402),
    [anon_sym_BSLASHlim] = ACTIONS(5402),
    [anon_sym_BSLASHliv] = ACTIONS(5402),
    [anon_sym_BSLASHlik] = ACTIONS(5402),
    [anon_sym_BSLASHlitl] = ACTIONS(5402),
    [anon_sym_BSLASHtr] = ACTIONS(5402),
    [anon_sym_BSLASHf] = ACTIONS(5402),
    [anon_sym_BSLASHfe] = ACTIONS(5402),
    [anon_sym_BSLASHef] = ACTIONS(5402),
    [anon_sym_BSLASHfm] = ACTIONS(5402),
    [anon_sym_BSLASHx] = ACTIONS(5402),
    [anon_sym_BSLASHxt] = ACTIONS(5402),
    [anon_sym_BSLASHrq] = ACTIONS(5402),
    [anon_sym_BSLASHadd] = ACTIONS(5402),
    [anon_sym_BSLASHbk] = ACTIONS(5402),
    [anon_sym_BSLASHdc] = ACTIONS(5402),
    [anon_sym_BSLASHk] = ACTIONS(5402),
    [anon_sym_BSLASHnd] = ACTIONS(5402),
    [anon_sym_BSLASHord] = ACTIONS(5402),
    [anon_sym_BSLASHpn] = ACTIONS(5402),
    [anon_sym_BSLASHpng] = ACTIONS(5402),
    [anon_sym_BSLASHaddpn] = ACTIONS(5402),
    [anon_sym_BSLASHqt] = ACTIONS(5402),
    [anon_sym_BSLASHsig] = ACTIONS(5402),
    [anon_sym_BSLASHsls] = ACTIONS(5402),
    [anon_sym_BSLASHtl] = ACTIONS(5402),
    [anon_sym_BSLASHwj] = ACTIONS(5402),
    [anon_sym_BSLASHem] = ACTIONS(5402),
    [anon_sym_BSLASHbd] = ACTIONS(5402),
    [anon_sym_BSLASHit] = ACTIONS(5402),
    [anon_sym_BSLASHbdit] = ACTIONS(5402),
    [anon_sym_BSLASHno] = ACTIONS(5402),
    [anon_sym_BSLASHsc] = ACTIONS(5402),
    [anon_sym_BSLASHsup] = ACTIONS(5402),
    [anon_sym_BSLASHndx] = ACTIONS(5402),
    [anon_sym_BSLASHpro] = ACTIONS(5402),
    [anon_sym_BSLASHrb] = ACTIONS(5402),
    [anon_sym_BSLASHw] = ACTIONS(5402),
    [anon_sym_BSLASHwg] = ACTIONS(5402),
    [anon_sym_BSLASHwh] = ACTIONS(5402),
    [anon_sym_BSLASHwa] = ACTIONS(5402),
    [anon_sym_BSLASHfig] = ACTIONS(5402),
    [anon_sym_BSLASHjmp] = ACTIONS(5402),
    [anon_sym_BSLASHpb] = ACTIONS(5402),
    [anon_sym_BSLASH] = ACTIONS(5402),
    [sym_milestoneStartTag] = ACTIONS(5402),
    [sym_milestoneEndTag] = ACTIONS(5402),
    [sym_zSpaceTag] = ACTIONS(5402),
    [anon_sym_BSLASHesbe] = ACTIONS(5402),
    [anon_sym_BSLASHcat] = ACTIONS(5402),
  },
  [590] = {
    [aux_sym_text_token1] = ACTIONS(5420),
    [anon_sym_BSLASHref] = ACTIONS(5422),
    [anon_sym_BSLASHsts] = ACTIONS(5422),
    [anon_sym_BSLASHrem] = ACTIONS(5422),
    [anon_sym_BSLASHrestore] = ACTIONS(5422),
    [anon_sym_BSLASHlit] = ACTIONS(5422),
    [anon_sym_BSLASHip] = ACTIONS(5422),
    [anon_sym_BSLASHv] = ACTIONS(5422),
    [anon_sym_BSLASHva] = ACTIONS(5422),
    [anon_sym_BSLASHvp] = ACTIONS(5422),
    [anon_sym_BSLASHmte] = ACTIONS(5422),
    [anon_sym_BSLASHms] = ACTIONS(5422),
    [anon_sym_BSLASHs] = ACTIONS(5422),
    [anon_sym_BSLASHr] = ACTIONS(5422),
    [anon_sym_BSLASHsp] = ACTIONS(5422),
    [anon_sym_BSLASHd] = ACTIONS(5422),
    [anon_sym_BSLASHsd] = ACTIONS(5422),
    [anon_sym_BSLASHp] = ACTIONS(5422),
    [anon_sym_BSLASHm] = ACTIONS(5422),
    [anon_sym_BSLASHpo] = ACTIONS(5422),
    [anon_sym_BSLASHpr] = ACTIONS(5422),
    [anon_sym_BSLASHcls] = ACTIONS(5422),
    [anon_sym_BSLASHpmo] = ACTIONS(5422),
    [anon_sym_BSLASHpm] = ACTIONS(5422),
    [anon_sym_BSLASHpmc] = ACTIONS(5422),
    [anon_sym_BSLASHpmr] = ACTIONS(5422),
    [anon_sym_BSLASHpi] = ACTIONS(5422),
    [anon_sym_BSLASHmi] = ACTIONS(5422),
    [anon_sym_BSLASHnb] = ACTIONS(5422),
    [anon_sym_BSLASHpc] = ACTIONS(5422),
    [anon_sym_BSLASHph] = ACTIONS(5422),
    [anon_sym_BSLASHb] = ACTIONS(5422),
    [anon_sym_BSLASHq] = ACTIONS(5422),
    [anon_sym_BSLASHqr] = ACTIONS(5422),
    [anon_sym_BSLASHqc] = ACTIONS(5422),
    [anon_sym_BSLASHqa] = ACTIONS(5422),
    [anon_sym_BSLASHqm] = ACTIONS(5422),
    [anon_sym_BSLASHqd] = ACTIONS(5422),
    [anon_sym_BSLASHlh] = ACTIONS(5422),
    [anon_sym_BSLASHlf] = ACTIONS(5422),
    [anon_sym_BSLASHli] = ACTIONS(5422),
    [anon_sym_BSLASHlim] = ACTIONS(5422),
    [anon_sym_BSLASHliv] = ACTIONS(5422),
    [anon_sym_BSLASHlik] = ACTIONS(5422),
    [anon_sym_BSLASHlitl] = ACTIONS(5422),
    [anon_sym_BSLASHtr] = ACTIONS(5422),
    [anon_sym_BSLASHf] = ACTIONS(5422),
    [anon_sym_BSLASHfe] = ACTIONS(5422),
    [anon_sym_BSLASHef] = ACTIONS(5422),
    [anon_sym_BSLASHfm] = ACTIONS(5422),
    [anon_sym_BSLASHx] = ACTIONS(5422),
    [anon_sym_BSLASHxt] = ACTIONS(5422),
    [anon_sym_BSLASHrq] = ACTIONS(5422),
    [anon_sym_BSLASHadd] = ACTIONS(5422),
    [anon_sym_BSLASHbk] = ACTIONS(5422),
    [anon_sym_BSLASHdc] = ACTIONS(5422),
    [anon_sym_BSLASHk] = ACTIONS(5422),
    [anon_sym_BSLASHnd] = ACTIONS(5422),
    [anon_sym_BSLASHord] = ACTIONS(5422),
    [anon_sym_BSLASHpn] = ACTIONS(5422),
    [anon_sym_BSLASHpng] = ACTIONS(5422),
    [anon_sym_BSLASHaddpn] = ACTIONS(5422),
    [anon_sym_BSLASHqt] = ACTIONS(5422),
    [anon_sym_BSLASHsig] = ACTIONS(5422),
    [anon_sym_BSLASHsls] = ACTIONS(5422),
    [anon_sym_BSLASHtl] = ACTIONS(5422),
    [anon_sym_BSLASHwj] = ACTIONS(5422),
    [anon_sym_BSLASHem] = ACTIONS(5422),
    [anon_sym_BSLASHbd] = ACTIONS(5422),
    [anon_sym_BSLASHit] = ACTIONS(5422),
    [anon_sym_BSLASHbdit] = ACTIONS(5422),
    [anon_sym_BSLASHno] = ACTIONS(5422),
    [anon_sym_BSLASHsc] = ACTIONS(5422),
    [anon_sym_BSLASHsup] = ACTIONS(5422),
    [anon_sym_BSLASHndx] = ACTIONS(5422),
    [anon_sym_BSLASHpro] = ACTIONS(5422),
    [anon_sym_BSLASHrb] = ACTIONS(5422),
    [anon_sym_BSLASHw] = ACTIONS(5422),
    [anon_sym_BSLASHwg] = ACTIONS(5422),
    [anon_sym_BSLASHwh] = ACTIONS(5422),
    [anon_sym_BSLASHwa] = ACTIONS(5422),
    [anon_sym_BSLASHfig] = ACTIONS(5422),
    [anon_sym_BSLASHjmp] = ACTIONS(5422),
    [anon_sym_BSLASHpb] = ACTIONS(5422),
    [anon_sym_BSLASH] = ACTIONS(5422),
    [sym_milestoneStartTag] = ACTIONS(5422),
    [sym_milestoneEndTag] = ACTIONS(5422),
    [sym_zSpaceTag] = ACTIONS(5422),
    [anon_sym_BSLASHesbe] = ACTIONS(5422),
    [anon_sym_BSLASHcat] = ACTIONS(5422),
  },
  [591] = {
    [aux_sym_text_token1] = ACTIONS(5352),
    [anon_sym_BSLASHref] = ACTIONS(5354),
    [anon_sym_BSLASHsts] = ACTIONS(5354),
    [anon_sym_BSLASHrem] = ACTIONS(5354),
    [anon_sym_BSLASHrestore] = ACTIONS(5354),
    [anon_sym_BSLASHlit] = ACTIONS(5354),
    [anon_sym_BSLASHip] = ACTIONS(5354),
    [anon_sym_BSLASHv] = ACTIONS(5354),
    [anon_sym_BSLASHva] = ACTIONS(5354),
    [anon_sym_BSLASHvp] = ACTIONS(5354),
    [anon_sym_BSLASHmte] = ACTIONS(5354),
    [anon_sym_BSLASHms] = ACTIONS(5354),
    [anon_sym_BSLASHs] = ACTIONS(5354),
    [anon_sym_BSLASHr] = ACTIONS(5354),
    [anon_sym_BSLASHsp] = ACTIONS(5354),
    [anon_sym_BSLASHd] = ACTIONS(5354),
    [anon_sym_BSLASHsd] = ACTIONS(5354),
    [anon_sym_BSLASHp] = ACTIONS(5354),
    [anon_sym_BSLASHm] = ACTIONS(5354),
    [anon_sym_BSLASHpo] = ACTIONS(5354),
    [anon_sym_BSLASHpr] = ACTIONS(5354),
    [anon_sym_BSLASHcls] = ACTIONS(5354),
    [anon_sym_BSLASHpmo] = ACTIONS(5354),
    [anon_sym_BSLASHpm] = ACTIONS(5354),
    [anon_sym_BSLASHpmc] = ACTIONS(5354),
    [anon_sym_BSLASHpmr] = ACTIONS(5354),
    [anon_sym_BSLASHpi] = ACTIONS(5354),
    [anon_sym_BSLASHmi] = ACTIONS(5354),
    [anon_sym_BSLASHnb] = ACTIONS(5354),
    [anon_sym_BSLASHpc] = ACTIONS(5354),
    [anon_sym_BSLASHph] = ACTIONS(5354),
    [anon_sym_BSLASHb] = ACTIONS(5354),
    [anon_sym_BSLASHq] = ACTIONS(5354),
    [anon_sym_BSLASHqr] = ACTIONS(5354),
    [anon_sym_BSLASHqc] = ACTIONS(5354),
    [anon_sym_BSLASHqa] = ACTIONS(5354),
    [anon_sym_BSLASHqm] = ACTIONS(5354),
    [anon_sym_BSLASHqd] = ACTIONS(5354),
    [anon_sym_BSLASHlh] = ACTIONS(5354),
    [anon_sym_BSLASHlf] = ACTIONS(5354),
    [anon_sym_BSLASHli] = ACTIONS(5354),
    [anon_sym_BSLASHlim] = ACTIONS(5354),
    [anon_sym_BSLASHliv] = ACTIONS(5354),
    [anon_sym_BSLASHlik] = ACTIONS(5354),
    [anon_sym_BSLASHlitl] = ACTIONS(5354),
    [anon_sym_BSLASHtr] = ACTIONS(5354),
    [anon_sym_BSLASHf] = ACTIONS(5354),
    [anon_sym_BSLASHfe] = ACTIONS(5354),
    [anon_sym_BSLASHef] = ACTIONS(5354),
    [anon_sym_BSLASHfm] = ACTIONS(5354),
    [anon_sym_BSLASHx] = ACTIONS(5354),
    [anon_sym_BSLASHxt] = ACTIONS(5354),
    [anon_sym_BSLASHrq] = ACTIONS(5354),
    [anon_sym_BSLASHadd] = ACTIONS(5354),
    [anon_sym_BSLASHbk] = ACTIONS(5354),
    [anon_sym_BSLASHdc] = ACTIONS(5354),
    [anon_sym_BSLASHk] = ACTIONS(5354),
    [anon_sym_BSLASHnd] = ACTIONS(5354),
    [anon_sym_BSLASHord] = ACTIONS(5354),
    [anon_sym_BSLASHpn] = ACTIONS(5354),
    [anon_sym_BSLASHpng] = ACTIONS(5354),
    [anon_sym_BSLASHaddpn] = ACTIONS(5354),
    [anon_sym_BSLASHqt] = ACTIONS(5354),
    [anon_sym_BSLASHsig] = ACTIONS(5354),
    [anon_sym_BSLASHsls] = ACTIONS(5354),
    [anon_sym_BSLASHtl] = ACTIONS(5354),
    [anon_sym_BSLASHwj] = ACTIONS(5354),
    [anon_sym_BSLASHem] = ACTIONS(5354),
    [anon_sym_BSLASHbd] = ACTIONS(5354),
    [anon_sym_BSLASHit] = ACTIONS(5354),
    [anon_sym_BSLASHbdit] = ACTIONS(5354),
    [anon_sym_BSLASHno] = ACTIONS(5354),
    [anon_sym_BSLASHsc] = ACTIONS(5354),
    [anon_sym_BSLASHsup] = ACTIONS(5354),
    [anon_sym_BSLASHndx] = ACTIONS(5354),
    [anon_sym_BSLASHpro] = ACTIONS(5354),
    [anon_sym_BSLASHrb] = ACTIONS(5354),
    [anon_sym_BSLASHw] = ACTIONS(5354),
    [anon_sym_BSLASHwg] = ACTIONS(5354),
    [anon_sym_BSLASHwh] = ACTIONS(5354),
    [anon_sym_BSLASHwa] = ACTIONS(5354),
    [anon_sym_BSLASHfig] = ACTIONS(5354),
    [anon_sym_BSLASHjmp] = ACTIONS(5354),
    [anon_sym_BSLASHpb] = ACTIONS(5354),
    [anon_sym_BSLASH] = ACTIONS(5354),
    [sym_milestoneStartTag] = ACTIONS(5354),
    [sym_milestoneEndTag] = ACTIONS(5354),
    [sym_zSpaceTag] = ACTIONS(5354),
    [anon_sym_BSLASHesbe] = ACTIONS(5354),
    [anon_sym_BSLASHcat] = ACTIONS(5354),
  },
  [592] = {
    [aux_sym_text_token1] = ACTIONS(5396),
    [anon_sym_BSLASHref] = ACTIONS(5398),
    [anon_sym_BSLASHsts] = ACTIONS(5398),
    [anon_sym_BSLASHrem] = ACTIONS(5398),
    [anon_sym_BSLASHrestore] = ACTIONS(5398),
    [anon_sym_BSLASHlit] = ACTIONS(5398),
    [anon_sym_BSLASHip] = ACTIONS(5398),
    [anon_sym_BSLASHv] = ACTIONS(5398),
    [anon_sym_BSLASHva] = ACTIONS(5398),
    [anon_sym_BSLASHvp] = ACTIONS(5398),
    [anon_sym_BSLASHmte] = ACTIONS(5398),
    [anon_sym_BSLASHms] = ACTIONS(5398),
    [anon_sym_BSLASHs] = ACTIONS(5398),
    [anon_sym_BSLASHr] = ACTIONS(5398),
    [anon_sym_BSLASHsp] = ACTIONS(5398),
    [anon_sym_BSLASHd] = ACTIONS(5398),
    [anon_sym_BSLASHsd] = ACTIONS(5398),
    [anon_sym_BSLASHp] = ACTIONS(5398),
    [anon_sym_BSLASHm] = ACTIONS(5398),
    [anon_sym_BSLASHpo] = ACTIONS(5398),
    [anon_sym_BSLASHpr] = ACTIONS(5398),
    [anon_sym_BSLASHcls] = ACTIONS(5398),
    [anon_sym_BSLASHpmo] = ACTIONS(5398),
    [anon_sym_BSLASHpm] = ACTIONS(5398),
    [anon_sym_BSLASHpmc] = ACTIONS(5398),
    [anon_sym_BSLASHpmr] = ACTIONS(5398),
    [anon_sym_BSLASHpi] = ACTIONS(5398),
    [anon_sym_BSLASHmi] = ACTIONS(5398),
    [anon_sym_BSLASHnb] = ACTIONS(5398),
    [anon_sym_BSLASHpc] = ACTIONS(5398),
    [anon_sym_BSLASHph] = ACTIONS(5398),
    [anon_sym_BSLASHb] = ACTIONS(5398),
    [anon_sym_BSLASHq] = ACTIONS(5398),
    [anon_sym_BSLASHqr] = ACTIONS(5398),
    [anon_sym_BSLASHqc] = ACTIONS(5398),
    [anon_sym_BSLASHqa] = ACTIONS(5398),
    [anon_sym_BSLASHqm] = ACTIONS(5398),
    [anon_sym_BSLASHqd] = ACTIONS(5398),
    [anon_sym_BSLASHlh] = ACTIONS(5398),
    [anon_sym_BSLASHlf] = ACTIONS(5398),
    [anon_sym_BSLASHli] = ACTIONS(5398),
    [anon_sym_BSLASHlim] = ACTIONS(5398),
    [anon_sym_BSLASHliv] = ACTIONS(5398),
    [anon_sym_BSLASHlik] = ACTIONS(5398),
    [anon_sym_BSLASHlitl] = ACTIONS(5398),
    [anon_sym_BSLASHtr] = ACTIONS(5398),
    [anon_sym_BSLASHf] = ACTIONS(5398),
    [anon_sym_BSLASHfe] = ACTIONS(5398),
    [anon_sym_BSLASHef] = ACTIONS(5398),
    [anon_sym_BSLASHfm] = ACTIONS(5398),
    [anon_sym_BSLASHx] = ACTIONS(5398),
    [anon_sym_BSLASHxt] = ACTIONS(5398),
    [anon_sym_BSLASHrq] = ACTIONS(5398),
    [anon_sym_BSLASHadd] = ACTIONS(5398),
    [anon_sym_BSLASHbk] = ACTIONS(5398),
    [anon_sym_BSLASHdc] = ACTIONS(5398),
    [anon_sym_BSLASHk] = ACTIONS(5398),
    [anon_sym_BSLASHnd] = ACTIONS(5398),
    [anon_sym_BSLASHord] = ACTIONS(5398),
    [anon_sym_BSLASHpn] = ACTIONS(5398),
    [anon_sym_BSLASHpng] = ACTIONS(5398),
    [anon_sym_BSLASHaddpn] = ACTIONS(5398),
    [anon_sym_BSLASHqt] = ACTIONS(5398),
    [anon_sym_BSLASHsig] = ACTIONS(5398),
    [anon_sym_BSLASHsls] = ACTIONS(5398),
    [anon_sym_BSLASHtl] = ACTIONS(5398),
    [anon_sym_BSLASHwj] = ACTIONS(5398),
    [anon_sym_BSLASHem] = ACTIONS(5398),
    [anon_sym_BSLASHbd] = ACTIONS(5398),
    [anon_sym_BSLASHit] = ACTIONS(5398),
    [anon_sym_BSLASHbdit] = ACTIONS(5398),
    [anon_sym_BSLASHno] = ACTIONS(5398),
    [anon_sym_BSLASHsc] = ACTIONS(5398),
    [anon_sym_BSLASHsup] = ACTIONS(5398),
    [anon_sym_BSLASHndx] = ACTIONS(5398),
    [anon_sym_BSLASHpro] = ACTIONS(5398),
    [anon_sym_BSLASHrb] = ACTIONS(5398),
    [anon_sym_BSLASHw] = ACTIONS(5398),
    [anon_sym_BSLASHwg] = ACTIONS(5398),
    [anon_sym_BSLASHwh] = ACTIONS(5398),
    [anon_sym_BSLASHwa] = ACTIONS(5398),
    [anon_sym_BSLASHfig] = ACTIONS(5398),
    [anon_sym_BSLASHjmp] = ACTIONS(5398),
    [anon_sym_BSLASHpb] = ACTIONS(5398),
    [anon_sym_BSLASH] = ACTIONS(5398),
    [sym_milestoneStartTag] = ACTIONS(5398),
    [sym_milestoneEndTag] = ACTIONS(5398),
    [sym_zSpaceTag] = ACTIONS(5398),
    [anon_sym_BSLASHesbe] = ACTIONS(5398),
    [anon_sym_BSLASHcat] = ACTIONS(5398),
  },
  [593] = {
    [aux_sym_text_token1] = ACTIONS(5416),
    [anon_sym_BSLASHref] = ACTIONS(5418),
    [anon_sym_BSLASHsts] = ACTIONS(5418),
    [anon_sym_BSLASHrem] = ACTIONS(5418),
    [anon_sym_BSLASHrestore] = ACTIONS(5418),
    [anon_sym_BSLASHlit] = ACTIONS(5418),
    [anon_sym_BSLASHip] = ACTIONS(5418),
    [anon_sym_BSLASHv] = ACTIONS(5418),
    [anon_sym_BSLASHva] = ACTIONS(5418),
    [anon_sym_BSLASHvp] = ACTIONS(5418),
    [anon_sym_BSLASHmte] = ACTIONS(5418),
    [anon_sym_BSLASHms] = ACTIONS(5418),
    [anon_sym_BSLASHs] = ACTIONS(5418),
    [anon_sym_BSLASHr] = ACTIONS(5418),
    [anon_sym_BSLASHsp] = ACTIONS(5418),
    [anon_sym_BSLASHd] = ACTIONS(5418),
    [anon_sym_BSLASHsd] = ACTIONS(5418),
    [anon_sym_BSLASHp] = ACTIONS(5418),
    [anon_sym_BSLASHm] = ACTIONS(5418),
    [anon_sym_BSLASHpo] = ACTIONS(5418),
    [anon_sym_BSLASHpr] = ACTIONS(5418),
    [anon_sym_BSLASHcls] = ACTIONS(5418),
    [anon_sym_BSLASHpmo] = ACTIONS(5418),
    [anon_sym_BSLASHpm] = ACTIONS(5418),
    [anon_sym_BSLASHpmc] = ACTIONS(5418),
    [anon_sym_BSLASHpmr] = ACTIONS(5418),
    [anon_sym_BSLASHpi] = ACTIONS(5418),
    [anon_sym_BSLASHmi] = ACTIONS(5418),
    [anon_sym_BSLASHnb] = ACTIONS(5418),
    [anon_sym_BSLASHpc] = ACTIONS(5418),
    [anon_sym_BSLASHph] = ACTIONS(5418),
    [anon_sym_BSLASHb] = ACTIONS(5418),
    [anon_sym_BSLASHq] = ACTIONS(5418),
    [anon_sym_BSLASHqr] = ACTIONS(5418),
    [anon_sym_BSLASHqc] = ACTIONS(5418),
    [anon_sym_BSLASHqa] = ACTIONS(5418),
    [anon_sym_BSLASHqm] = ACTIONS(5418),
    [anon_sym_BSLASHqd] = ACTIONS(5418),
    [anon_sym_BSLASHlh] = ACTIONS(5418),
    [anon_sym_BSLASHlf] = ACTIONS(5418),
    [anon_sym_BSLASHli] = ACTIONS(5418),
    [anon_sym_BSLASHlim] = ACTIONS(5418),
    [anon_sym_BSLASHliv] = ACTIONS(5418),
    [anon_sym_BSLASHlik] = ACTIONS(5418),
    [anon_sym_BSLASHlitl] = ACTIONS(5418),
    [anon_sym_BSLASHtr] = ACTIONS(5418),
    [anon_sym_BSLASHf] = ACTIONS(5418),
    [anon_sym_BSLASHfe] = ACTIONS(5418),
    [anon_sym_BSLASHef] = ACTIONS(5418),
    [anon_sym_BSLASHfm] = ACTIONS(5418),
    [anon_sym_BSLASHx] = ACTIONS(5418),
    [anon_sym_BSLASHxt] = ACTIONS(5418),
    [anon_sym_BSLASHrq] = ACTIONS(5418),
    [anon_sym_BSLASHadd] = ACTIONS(5418),
    [anon_sym_BSLASHbk] = ACTIONS(5418),
    [anon_sym_BSLASHdc] = ACTIONS(5418),
    [anon_sym_BSLASHk] = ACTIONS(5418),
    [anon_sym_BSLASHnd] = ACTIONS(5418),
    [anon_sym_BSLASHord] = ACTIONS(5418),
    [anon_sym_BSLASHpn] = ACTIONS(5418),
    [anon_sym_BSLASHpng] = ACTIONS(5418),
    [anon_sym_BSLASHaddpn] = ACTIONS(5418),
    [anon_sym_BSLASHqt] = ACTIONS(5418),
    [anon_sym_BSLASHsig] = ACTIONS(5418),
    [anon_sym_BSLASHsls] = ACTIONS(5418),
    [anon_sym_BSLASHtl] = ACTIONS(5418),
    [anon_sym_BSLASHwj] = ACTIONS(5418),
    [anon_sym_BSLASHem] = ACTIONS(5418),
    [anon_sym_BSLASHbd] = ACTIONS(5418),
    [anon_sym_BSLASHit] = ACTIONS(5418),
    [anon_sym_BSLASHbdit] = ACTIONS(5418),
    [anon_sym_BSLASHno] = ACTIONS(5418),
    [anon_sym_BSLASHsc] = ACTIONS(5418),
    [anon_sym_BSLASHsup] = ACTIONS(5418),
    [anon_sym_BSLASHndx] = ACTIONS(5418),
    [anon_sym_BSLASHpro] = ACTIONS(5418),
    [anon_sym_BSLASHrb] = ACTIONS(5418),
    [anon_sym_BSLASHw] = ACTIONS(5418),
    [anon_sym_BSLASHwg] = ACTIONS(5418),
    [anon_sym_BSLASHwh] = ACTIONS(5418),
    [anon_sym_BSLASHwa] = ACTIONS(5418),
    [anon_sym_BSLASHfig] = ACTIONS(5418),
    [anon_sym_BSLASHjmp] = ACTIONS(5418),
    [anon_sym_BSLASHpb] = ACTIONS(5418),
    [anon_sym_BSLASH] = ACTIONS(5418),
    [sym_milestoneStartTag] = ACTIONS(5418),
    [sym_milestoneEndTag] = ACTIONS(5418),
    [sym_zSpaceTag] = ACTIONS(5418),
    [anon_sym_BSLASHesbe] = ACTIONS(5418),
    [anon_sym_BSLASHcat] = ACTIONS(5418),
  },
  [594] = {
    [aux_sym_text_token1] = ACTIONS(5408),
    [anon_sym_BSLASHref] = ACTIONS(5410),
    [anon_sym_BSLASHsts] = ACTIONS(5410),
    [anon_sym_BSLASHrem] = ACTIONS(5410),
    [anon_sym_BSLASHrestore] = ACTIONS(5410),
    [anon_sym_BSLASHlit] = ACTIONS(5410),
    [anon_sym_BSLASHip] = ACTIONS(5410),
    [anon_sym_BSLASHv] = ACTIONS(5410),
    [anon_sym_BSLASHva] = ACTIONS(5410),
    [anon_sym_BSLASHvp] = ACTIONS(5410),
    [anon_sym_BSLASHmte] = ACTIONS(5410),
    [anon_sym_BSLASHms] = ACTIONS(5410),
    [anon_sym_BSLASHs] = ACTIONS(5410),
    [anon_sym_BSLASHr] = ACTIONS(5410),
    [anon_sym_BSLASHsp] = ACTIONS(5410),
    [anon_sym_BSLASHd] = ACTIONS(5410),
    [anon_sym_BSLASHsd] = ACTIONS(5410),
    [anon_sym_BSLASHp] = ACTIONS(5410),
    [anon_sym_BSLASHm] = ACTIONS(5410),
    [anon_sym_BSLASHpo] = ACTIONS(5410),
    [anon_sym_BSLASHpr] = ACTIONS(5410),
    [anon_sym_BSLASHcls] = ACTIONS(5410),
    [anon_sym_BSLASHpmo] = ACTIONS(5410),
    [anon_sym_BSLASHpm] = ACTIONS(5410),
    [anon_sym_BSLASHpmc] = ACTIONS(5410),
    [anon_sym_BSLASHpmr] = ACTIONS(5410),
    [anon_sym_BSLASHpi] = ACTIONS(5410),
    [anon_sym_BSLASHmi] = ACTIONS(5410),
    [anon_sym_BSLASHnb] = ACTIONS(5410),
    [anon_sym_BSLASHpc] = ACTIONS(5410),
    [anon_sym_BSLASHph] = ACTIONS(5410),
    [anon_sym_BSLASHb] = ACTIONS(5410),
    [anon_sym_BSLASHq] = ACTIONS(5410),
    [anon_sym_BSLASHqr] = ACTIONS(5410),
    [anon_sym_BSLASHqc] = ACTIONS(5410),
    [anon_sym_BSLASHqa] = ACTIONS(5410),
    [anon_sym_BSLASHqm] = ACTIONS(5410),
    [anon_sym_BSLASHqd] = ACTIONS(5410),
    [anon_sym_BSLASHlh] = ACTIONS(5410),
    [anon_sym_BSLASHlf] = ACTIONS(5410),
    [anon_sym_BSLASHli] = ACTIONS(5410),
    [anon_sym_BSLASHlim] = ACTIONS(5410),
    [anon_sym_BSLASHliv] = ACTIONS(5410),
    [anon_sym_BSLASHlik] = ACTIONS(5410),
    [anon_sym_BSLASHlitl] = ACTIONS(5410),
    [anon_sym_BSLASHtr] = ACTIONS(5410),
    [anon_sym_BSLASHf] = ACTIONS(5410),
    [anon_sym_BSLASHfe] = ACTIONS(5410),
    [anon_sym_BSLASHef] = ACTIONS(5410),
    [anon_sym_BSLASHfm] = ACTIONS(5410),
    [anon_sym_BSLASHx] = ACTIONS(5410),
    [anon_sym_BSLASHxt] = ACTIONS(5410),
    [anon_sym_BSLASHrq] = ACTIONS(5410),
    [anon_sym_BSLASHadd] = ACTIONS(5410),
    [anon_sym_BSLASHbk] = ACTIONS(5410),
    [anon_sym_BSLASHdc] = ACTIONS(5410),
    [anon_sym_BSLASHk] = ACTIONS(5410),
    [anon_sym_BSLASHnd] = ACTIONS(5410),
    [anon_sym_BSLASHord] = ACTIONS(5410),
    [anon_sym_BSLASHpn] = ACTIONS(5410),
    [anon_sym_BSLASHpng] = ACTIONS(5410),
    [anon_sym_BSLASHaddpn] = ACTIONS(5410),
    [anon_sym_BSLASHqt] = ACTIONS(5410),
    [anon_sym_BSLASHsig] = ACTIONS(5410),
    [anon_sym_BSLASHsls] = ACTIONS(5410),
    [anon_sym_BSLASHtl] = ACTIONS(5410),
    [anon_sym_BSLASHwj] = ACTIONS(5410),
    [anon_sym_BSLASHem] = ACTIONS(5410),
    [anon_sym_BSLASHbd] = ACTIONS(5410),
    [anon_sym_BSLASHit] = ACTIONS(5410),
    [anon_sym_BSLASHbdit] = ACTIONS(5410),
    [anon_sym_BSLASHno] = ACTIONS(5410),
    [anon_sym_BSLASHsc] = ACTIONS(5410),
    [anon_sym_BSLASHsup] = ACTIONS(5410),
    [anon_sym_BSLASHndx] = ACTIONS(5410),
    [anon_sym_BSLASHpro] = ACTIONS(5410),
    [anon_sym_BSLASHrb] = ACTIONS(5410),
    [anon_sym_BSLASHw] = ACTIONS(5410),
    [anon_sym_BSLASHwg] = ACTIONS(5410),
    [anon_sym_BSLASHwh] = ACTIONS(5410),
    [anon_sym_BSLASHwa] = ACTIONS(5410),
    [anon_sym_BSLASHfig] = ACTIONS(5410),
    [anon_sym_BSLASHjmp] = ACTIONS(5410),
    [anon_sym_BSLASHpb] = ACTIONS(5410),
    [anon_sym_BSLASH] = ACTIONS(5410),
    [sym_milestoneStartTag] = ACTIONS(5410),
    [sym_milestoneEndTag] = ACTIONS(5410),
    [sym_zSpaceTag] = ACTIONS(5410),
    [anon_sym_BSLASHesbe] = ACTIONS(5410),
    [anon_sym_BSLASHcat] = ACTIONS(5410),
  },
  [595] = {
    [aux_sym_text_token1] = ACTIONS(5340),
    [anon_sym_BSLASHref] = ACTIONS(5342),
    [anon_sym_BSLASHsts] = ACTIONS(5342),
    [anon_sym_BSLASHrem] = ACTIONS(5342),
    [anon_sym_BSLASHrestore] = ACTIONS(5342),
    [anon_sym_BSLASHlit] = ACTIONS(5342),
    [anon_sym_BSLASHip] = ACTIONS(5342),
    [anon_sym_BSLASHv] = ACTIONS(5342),
    [anon_sym_BSLASHva] = ACTIONS(5342),
    [anon_sym_BSLASHvp] = ACTIONS(5342),
    [anon_sym_BSLASHmte] = ACTIONS(5342),
    [anon_sym_BSLASHms] = ACTIONS(5342),
    [anon_sym_BSLASHs] = ACTIONS(5342),
    [anon_sym_BSLASHr] = ACTIONS(5342),
    [anon_sym_BSLASHsp] = ACTIONS(5342),
    [anon_sym_BSLASHd] = ACTIONS(5342),
    [anon_sym_BSLASHsd] = ACTIONS(5342),
    [anon_sym_BSLASHp] = ACTIONS(5342),
    [anon_sym_BSLASHm] = ACTIONS(5342),
    [anon_sym_BSLASHpo] = ACTIONS(5342),
    [anon_sym_BSLASHpr] = ACTIONS(5342),
    [anon_sym_BSLASHcls] = ACTIONS(5342),
    [anon_sym_BSLASHpmo] = ACTIONS(5342),
    [anon_sym_BSLASHpm] = ACTIONS(5342),
    [anon_sym_BSLASHpmc] = ACTIONS(5342),
    [anon_sym_BSLASHpmr] = ACTIONS(5342),
    [anon_sym_BSLASHpi] = ACTIONS(5342),
    [anon_sym_BSLASHmi] = ACTIONS(5342),
    [anon_sym_BSLASHnb] = ACTIONS(5342),
    [anon_sym_BSLASHpc] = ACTIONS(5342),
    [anon_sym_BSLASHph] = ACTIONS(5342),
    [anon_sym_BSLASHb] = ACTIONS(5342),
    [anon_sym_BSLASHq] = ACTIONS(5342),
    [anon_sym_BSLASHqr] = ACTIONS(5342),
    [anon_sym_BSLASHqc] = ACTIONS(5342),
    [anon_sym_BSLASHqa] = ACTIONS(5342),
    [anon_sym_BSLASHqm] = ACTIONS(5342),
    [anon_sym_BSLASHqd] = ACTIONS(5342),
    [anon_sym_BSLASHlh] = ACTIONS(5342),
    [anon_sym_BSLASHlf] = ACTIONS(5342),
    [anon_sym_BSLASHli] = ACTIONS(5342),
    [anon_sym_BSLASHlim] = ACTIONS(5342),
    [anon_sym_BSLASHliv] = ACTIONS(5342),
    [anon_sym_BSLASHlik] = ACTIONS(5342),
    [anon_sym_BSLASHlitl] = ACTIONS(5342),
    [anon_sym_BSLASHtr] = ACTIONS(5342),
    [anon_sym_BSLASHf] = ACTIONS(5342),
    [anon_sym_BSLASHfe] = ACTIONS(5342),
    [anon_sym_BSLASHef] = ACTIONS(5342),
    [anon_sym_BSLASHfm] = ACTIONS(5342),
    [anon_sym_BSLASHx] = ACTIONS(5342),
    [anon_sym_BSLASHxt] = ACTIONS(5342),
    [anon_sym_BSLASHrq] = ACTIONS(5342),
    [anon_sym_BSLASHadd] = ACTIONS(5342),
    [anon_sym_BSLASHbk] = ACTIONS(5342),
    [anon_sym_BSLASHdc] = ACTIONS(5342),
    [anon_sym_BSLASHk] = ACTIONS(5342),
    [anon_sym_BSLASHnd] = ACTIONS(5342),
    [anon_sym_BSLASHord] = ACTIONS(5342),
    [anon_sym_BSLASHpn] = ACTIONS(5342),
    [anon_sym_BSLASHpng] = ACTIONS(5342),
    [anon_sym_BSLASHaddpn] = ACTIONS(5342),
    [anon_sym_BSLASHqt] = ACTIONS(5342),
    [anon_sym_BSLASHsig] = ACTIONS(5342),
    [anon_sym_BSLASHsls] = ACTIONS(5342),
    [anon_sym_BSLASHtl] = ACTIONS(5342),
    [anon_sym_BSLASHwj] = ACTIONS(5342),
    [anon_sym_BSLASHem] = ACTIONS(5342),
    [anon_sym_BSLASHbd] = ACTIONS(5342),
    [anon_sym_BSLASHit] = ACTIONS(5342),
    [anon_sym_BSLASHbdit] = ACTIONS(5342),
    [anon_sym_BSLASHno] = ACTIONS(5342),
    [anon_sym_BSLASHsc] = ACTIONS(5342),
    [anon_sym_BSLASHsup] = ACTIONS(5342),
    [anon_sym_BSLASHndx] = ACTIONS(5342),
    [anon_sym_BSLASHpro] = ACTIONS(5342),
    [anon_sym_BSLASHrb] = ACTIONS(5342),
    [anon_sym_BSLASHw] = ACTIONS(5342),
    [anon_sym_BSLASHwg] = ACTIONS(5342),
    [anon_sym_BSLASHwh] = ACTIONS(5342),
    [anon_sym_BSLASHwa] = ACTIONS(5342),
    [anon_sym_BSLASHfig] = ACTIONS(5342),
    [anon_sym_BSLASHjmp] = ACTIONS(5342),
    [anon_sym_BSLASHpb] = ACTIONS(5342),
    [anon_sym_BSLASH] = ACTIONS(5342),
    [sym_milestoneStartTag] = ACTIONS(5342),
    [sym_milestoneEndTag] = ACTIONS(5342),
    [sym_zSpaceTag] = ACTIONS(5342),
    [anon_sym_BSLASHesbe] = ACTIONS(5342),
    [anon_sym_BSLASHcat] = ACTIONS(5342),
  },
  [596] = {
    [ts_builtin_sym_end] = ACTIONS(2643),
    [aux_sym_text_token1] = ACTIONS(2643),
    [anon_sym_BSLASHsts] = ACTIONS(2645),
    [anon_sym_BSLASHrem] = ACTIONS(2645),
    [anon_sym_BSLASHrestore] = ACTIONS(2645),
    [anon_sym_BSLASHlit] = ACTIONS(2645),
    [anon_sym_BSLASHip] = ACTIONS(2645),
    [anon_sym_BSLASHiex] = ACTIONS(2645),
    [anon_sym_BSLASHc] = ACTIONS(2645),
    [anon_sym_BSLASHcl] = ACTIONS(2645),
    [anon_sym_BSLASHca] = ACTIONS(2645),
    [anon_sym_BSLASHcp] = ACTIONS(2645),
    [anon_sym_BSLASHcd] = ACTIONS(2645),
    [anon_sym_BSLASHmte] = ACTIONS(2645),
    [anon_sym_BSLASHms] = ACTIONS(2645),
    [anon_sym_BSLASHs] = ACTIONS(2645),
    [anon_sym_BSLASHr] = ACTIONS(2645),
    [anon_sym_BSLASHsp] = ACTIONS(2645),
    [anon_sym_BSLASHd] = ACTIONS(2645),
    [anon_sym_BSLASHsd] = ACTIONS(2645),
    [anon_sym_BSLASHp] = ACTIONS(2645),
    [anon_sym_BSLASHm] = ACTIONS(2645),
    [anon_sym_BSLASHpo] = ACTIONS(2645),
    [anon_sym_BSLASHpr] = ACTIONS(2645),
    [anon_sym_BSLASHcls] = ACTIONS(2645),
    [anon_sym_BSLASHpmo] = ACTIONS(2645),
    [anon_sym_BSLASHpm] = ACTIONS(2645),
    [anon_sym_BSLASHpmc] = ACTIONS(2645),
    [anon_sym_BSLASHpmr] = ACTIONS(2645),
    [anon_sym_BSLASHpi] = ACTIONS(2645),
    [anon_sym_BSLASHmi] = ACTIONS(2645),
    [anon_sym_BSLASHnb] = ACTIONS(2645),
    [anon_sym_BSLASHpc] = ACTIONS(2645),
    [anon_sym_BSLASHph] = ACTIONS(2645),
    [anon_sym_BSLASHb] = ACTIONS(2645),
    [anon_sym_BSLASHq] = ACTIONS(2645),
    [anon_sym_BSLASHqr] = ACTIONS(2645),
    [anon_sym_BSLASHqc] = ACTIONS(2645),
    [anon_sym_BSLASHqa] = ACTIONS(2645),
    [anon_sym_BSLASHqm] = ACTIONS(2645),
    [anon_sym_BSLASHqd] = ACTIONS(2645),
    [anon_sym_BSLASHlh] = ACTIONS(2645),
    [anon_sym_BSLASHli] = ACTIONS(2645),
    [anon_sym_BSLASHlim] = ACTIONS(2645),
    [anon_sym_BSLASHtr] = ACTIONS(2645),
    [sym_thTag] = ACTIONS(2645),
    [sym_thrTag] = ACTIONS(2645),
    [sym_tcTag] = ACTIONS(2645),
    [sym_tcrTag] = ACTIONS(2645),
    [anon_sym_BSLASHf] = ACTIONS(2645),
    [anon_sym_BSLASHfe] = ACTIONS(2645),
    [anon_sym_BSLASHef] = ACTIONS(2645),
    [anon_sym_BSLASHfm] = ACTIONS(2645),
    [anon_sym_BSLASHadd] = ACTIONS(2645),
    [anon_sym_BSLASHbk] = ACTIONS(2645),
    [anon_sym_BSLASHdc] = ACTIONS(2645),
    [anon_sym_BSLASHk] = ACTIONS(2645),
    [anon_sym_BSLASHnd] = ACTIONS(2645),
    [anon_sym_BSLASHord] = ACTIONS(2645),
    [anon_sym_BSLASHpn] = ACTIONS(2645),
    [anon_sym_BSLASHpng] = ACTIONS(2645),
    [anon_sym_BSLASHaddpn] = ACTIONS(2645),
    [anon_sym_BSLASHqt] = ACTIONS(2645),
    [anon_sym_BSLASHsig] = ACTIONS(2645),
    [anon_sym_BSLASHsls] = ACTIONS(2645),
    [anon_sym_BSLASHtl] = ACTIONS(2645),
    [anon_sym_BSLASHwj] = ACTIONS(2645),
    [anon_sym_BSLASHem] = ACTIONS(2645),
    [anon_sym_BSLASHbd] = ACTIONS(2645),
    [anon_sym_BSLASHit] = ACTIONS(2645),
    [anon_sym_BSLASHbdit] = ACTIONS(2645),
    [anon_sym_BSLASHno] = ACTIONS(2645),
    [anon_sym_BSLASHsc] = ACTIONS(2645),
    [anon_sym_BSLASHsup] = ACTIONS(2645),
    [anon_sym_BSLASHndx] = ACTIONS(2645),
    [anon_sym_BSLASHpro] = ACTIONS(2645),
    [anon_sym_BSLASHrb] = ACTIONS(2645),
    [anon_sym_BSLASHw] = ACTIONS(2645),
    [anon_sym_BSLASHwg] = ACTIONS(2645),
    [anon_sym_BSLASHwh] = ACTIONS(2645),
    [anon_sym_BSLASHwa] = ACTIONS(2645),
    [anon_sym_BSLASHfig] = ACTIONS(2645),
    [anon_sym_BSLASHjmp] = ACTIONS(2645),
    [anon_sym_BSLASHpb] = ACTIONS(2645),
    [anon_sym_BSLASH] = ACTIONS(2645),
    [sym_milestoneStartTag] = ACTIONS(2645),
    [sym_milestoneEndTag] = ACTIONS(2645),
    [sym_zSpaceTag] = ACTIONS(2645),
    [anon_sym_BSLASHesb] = ACTIONS(2645),
  },
  [597] = {
    [ts_builtin_sym_end] = ACTIONS(2679),
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHiex] = ACTIONS(2681),
    [anon_sym_BSLASHc] = ACTIONS(2681),
    [anon_sym_BSLASHcl] = ACTIONS(2681),
    [anon_sym_BSLASHca] = ACTIONS(2681),
    [anon_sym_BSLASHcp] = ACTIONS(2681),
    [anon_sym_BSLASHcd] = ACTIONS(2681),
    [anon_sym_BSLASHmte] = ACTIONS(2681),
    [anon_sym_BSLASHms] = ACTIONS(2681),
    [anon_sym_BSLASHs] = ACTIONS(2681),
    [anon_sym_BSLASHr] = ACTIONS(2681),
    [anon_sym_BSLASHsp] = ACTIONS(2681),
    [anon_sym_BSLASHd] = ACTIONS(2681),
    [anon_sym_BSLASHsd] = ACTIONS(2681),
    [anon_sym_BSLASHp] = ACTIONS(2681),
    [anon_sym_BSLASHm] = ACTIONS(2681),
    [anon_sym_BSLASHpo] = ACTIONS(2681),
    [anon_sym_BSLASHpr] = ACTIONS(2681),
    [anon_sym_BSLASHcls] = ACTIONS(2681),
    [anon_sym_BSLASHpmo] = ACTIONS(2681),
    [anon_sym_BSLASHpm] = ACTIONS(2681),
    [anon_sym_BSLASHpmc] = ACTIONS(2681),
    [anon_sym_BSLASHpmr] = ACTIONS(2681),
    [anon_sym_BSLASHpi] = ACTIONS(2681),
    [anon_sym_BSLASHmi] = ACTIONS(2681),
    [anon_sym_BSLASHnb] = ACTIONS(2681),
    [anon_sym_BSLASHpc] = ACTIONS(2681),
    [anon_sym_BSLASHph] = ACTIONS(2681),
    [anon_sym_BSLASHb] = ACTIONS(2681),
    [anon_sym_BSLASHq] = ACTIONS(2681),
    [anon_sym_BSLASHqr] = ACTIONS(2681),
    [anon_sym_BSLASHqc] = ACTIONS(2681),
    [anon_sym_BSLASHqa] = ACTIONS(2681),
    [anon_sym_BSLASHqm] = ACTIONS(2681),
    [anon_sym_BSLASHqd] = ACTIONS(2681),
    [anon_sym_BSLASHlh] = ACTIONS(2681),
    [anon_sym_BSLASHli] = ACTIONS(2681),
    [anon_sym_BSLASHlim] = ACTIONS(2681),
    [anon_sym_BSLASHtr] = ACTIONS(2681),
    [sym_thTag] = ACTIONS(2681),
    [sym_thrTag] = ACTIONS(2681),
    [sym_tcTag] = ACTIONS(2681),
    [sym_tcrTag] = ACTIONS(2681),
    [anon_sym_BSLASHf] = ACTIONS(2681),
    [anon_sym_BSLASHfe] = ACTIONS(2681),
    [anon_sym_BSLASHef] = ACTIONS(2681),
    [anon_sym_BSLASHfm] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASHfig] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASHpb] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesb] = ACTIONS(2681),
  },
  [598] = {
    [ts_builtin_sym_end] = ACTIONS(2619),
    [aux_sym_text_token1] = ACTIONS(2619),
    [anon_sym_BSLASHsts] = ACTIONS(2621),
    [anon_sym_BSLASHrem] = ACTIONS(2621),
    [anon_sym_BSLASHrestore] = ACTIONS(2621),
    [anon_sym_BSLASHlit] = ACTIONS(2621),
    [anon_sym_BSLASHip] = ACTIONS(2621),
    [anon_sym_BSLASHiex] = ACTIONS(2621),
    [anon_sym_BSLASHc] = ACTIONS(2621),
    [anon_sym_BSLASHcl] = ACTIONS(2621),
    [anon_sym_BSLASHca] = ACTIONS(2621),
    [anon_sym_BSLASHcp] = ACTIONS(2621),
    [anon_sym_BSLASHcd] = ACTIONS(2621),
    [anon_sym_BSLASHmte] = ACTIONS(2621),
    [anon_sym_BSLASHms] = ACTIONS(2621),
    [anon_sym_BSLASHs] = ACTIONS(2621),
    [anon_sym_BSLASHr] = ACTIONS(2621),
    [anon_sym_BSLASHsp] = ACTIONS(2621),
    [anon_sym_BSLASHd] = ACTIONS(2621),
    [anon_sym_BSLASHsd] = ACTIONS(2621),
    [anon_sym_BSLASHp] = ACTIONS(2621),
    [anon_sym_BSLASHm] = ACTIONS(2621),
    [anon_sym_BSLASHpo] = ACTIONS(2621),
    [anon_sym_BSLASHpr] = ACTIONS(2621),
    [anon_sym_BSLASHcls] = ACTIONS(2621),
    [anon_sym_BSLASHpmo] = ACTIONS(2621),
    [anon_sym_BSLASHpm] = ACTIONS(2621),
    [anon_sym_BSLASHpmc] = ACTIONS(2621),
    [anon_sym_BSLASHpmr] = ACTIONS(2621),
    [anon_sym_BSLASHpi] = ACTIONS(2621),
    [anon_sym_BSLASHmi] = ACTIONS(2621),
    [anon_sym_BSLASHnb] = ACTIONS(2621),
    [anon_sym_BSLASHpc] = ACTIONS(2621),
    [anon_sym_BSLASHph] = ACTIONS(2621),
    [anon_sym_BSLASHb] = ACTIONS(2621),
    [anon_sym_BSLASHq] = ACTIONS(2621),
    [anon_sym_BSLASHqr] = ACTIONS(2621),
    [anon_sym_BSLASHqc] = ACTIONS(2621),
    [anon_sym_BSLASHqa] = ACTIONS(2621),
    [anon_sym_BSLASHqm] = ACTIONS(2621),
    [anon_sym_BSLASHqd] = ACTIONS(2621),
    [anon_sym_BSLASHlh] = ACTIONS(2621),
    [anon_sym_BSLASHli] = ACTIONS(2621),
    [anon_sym_BSLASHlim] = ACTIONS(2621),
    [anon_sym_BSLASHtr] = ACTIONS(2621),
    [sym_thTag] = ACTIONS(2621),
    [sym_thrTag] = ACTIONS(2621),
    [sym_tcTag] = ACTIONS(2621),
    [sym_tcrTag] = ACTIONS(2621),
    [anon_sym_BSLASHf] = ACTIONS(2621),
    [anon_sym_BSLASHfe] = ACTIONS(2621),
    [anon_sym_BSLASHef] = ACTIONS(2621),
    [anon_sym_BSLASHfm] = ACTIONS(2621),
    [anon_sym_BSLASHadd] = ACTIONS(2621),
    [anon_sym_BSLASHbk] = ACTIONS(2621),
    [anon_sym_BSLASHdc] = ACTIONS(2621),
    [anon_sym_BSLASHk] = ACTIONS(2621),
    [anon_sym_BSLASHnd] = ACTIONS(2621),
    [anon_sym_BSLASHord] = ACTIONS(2621),
    [anon_sym_BSLASHpn] = ACTIONS(2621),
    [anon_sym_BSLASHpng] = ACTIONS(2621),
    [anon_sym_BSLASHaddpn] = ACTIONS(2621),
    [anon_sym_BSLASHqt] = ACTIONS(2621),
    [anon_sym_BSLASHsig] = ACTIONS(2621),
    [anon_sym_BSLASHsls] = ACTIONS(2621),
    [anon_sym_BSLASHtl] = ACTIONS(2621),
    [anon_sym_BSLASHwj] = ACTIONS(2621),
    [anon_sym_BSLASHem] = ACTIONS(2621),
    [anon_sym_BSLASHbd] = ACTIONS(2621),
    [anon_sym_BSLASHit] = ACTIONS(2621),
    [anon_sym_BSLASHbdit] = ACTIONS(2621),
    [anon_sym_BSLASHno] = ACTIONS(2621),
    [anon_sym_BSLASHsc] = ACTIONS(2621),
    [anon_sym_BSLASHsup] = ACTIONS(2621),
    [anon_sym_BSLASHndx] = ACTIONS(2621),
    [anon_sym_BSLASHpro] = ACTIONS(2621),
    [anon_sym_BSLASHrb] = ACTIONS(2621),
    [anon_sym_BSLASHw] = ACTIONS(2621),
    [anon_sym_BSLASHwg] = ACTIONS(2621),
    [anon_sym_BSLASHwh] = ACTIONS(2621),
    [anon_sym_BSLASHwa] = ACTIONS(2621),
    [anon_sym_BSLASHfig] = ACTIONS(2621),
    [anon_sym_BSLASHjmp] = ACTIONS(2621),
    [anon_sym_BSLASHpb] = ACTIONS(2621),
    [anon_sym_BSLASH] = ACTIONS(2621),
    [sym_milestoneStartTag] = ACTIONS(2621),
    [sym_milestoneEndTag] = ACTIONS(2621),
    [sym_zSpaceTag] = ACTIONS(2621),
    [anon_sym_BSLASHesb] = ACTIONS(2621),
  },
  [599] = {
    [ts_builtin_sym_end] = ACTIONS(2687),
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHiex] = ACTIONS(2689),
    [anon_sym_BSLASHc] = ACTIONS(2689),
    [anon_sym_BSLASHcl] = ACTIONS(2689),
    [anon_sym_BSLASHca] = ACTIONS(2689),
    [anon_sym_BSLASHcp] = ACTIONS(2689),
    [anon_sym_BSLASHcd] = ACTIONS(2689),
    [anon_sym_BSLASHmte] = ACTIONS(2689),
    [anon_sym_BSLASHms] = ACTIONS(2689),
    [anon_sym_BSLASHs] = ACTIONS(2689),
    [anon_sym_BSLASHr] = ACTIONS(2689),
    [anon_sym_BSLASHsp] = ACTIONS(2689),
    [anon_sym_BSLASHd] = ACTIONS(2689),
    [anon_sym_BSLASHsd] = ACTIONS(2689),
    [anon_sym_BSLASHp] = ACTIONS(2689),
    [anon_sym_BSLASHm] = ACTIONS(2689),
    [anon_sym_BSLASHpo] = ACTIONS(2689),
    [anon_sym_BSLASHpr] = ACTIONS(2689),
    [anon_sym_BSLASHcls] = ACTIONS(2689),
    [anon_sym_BSLASHpmo] = ACTIONS(2689),
    [anon_sym_BSLASHpm] = ACTIONS(2689),
    [anon_sym_BSLASHpmc] = ACTIONS(2689),
    [anon_sym_BSLASHpmr] = ACTIONS(2689),
    [anon_sym_BSLASHpi] = ACTIONS(2689),
    [anon_sym_BSLASHmi] = ACTIONS(2689),
    [anon_sym_BSLASHnb] = ACTIONS(2689),
    [anon_sym_BSLASHpc] = ACTIONS(2689),
    [anon_sym_BSLASHph] = ACTIONS(2689),
    [anon_sym_BSLASHb] = ACTIONS(2689),
    [anon_sym_BSLASHq] = ACTIONS(2689),
    [anon_sym_BSLASHqr] = ACTIONS(2689),
    [anon_sym_BSLASHqc] = ACTIONS(2689),
    [anon_sym_BSLASHqa] = ACTIONS(2689),
    [anon_sym_BSLASHqm] = ACTIONS(2689),
    [anon_sym_BSLASHqd] = ACTIONS(2689),
    [anon_sym_BSLASHlh] = ACTIONS(2689),
    [anon_sym_BSLASHli] = ACTIONS(2689),
    [anon_sym_BSLASHlim] = ACTIONS(2689),
    [anon_sym_BSLASHtr] = ACTIONS(2689),
    [sym_thTag] = ACTIONS(2689),
    [sym_thrTag] = ACTIONS(2689),
    [sym_tcTag] = ACTIONS(2689),
    [sym_tcrTag] = ACTIONS(2689),
    [anon_sym_BSLASHf] = ACTIONS(2689),
    [anon_sym_BSLASHfe] = ACTIONS(2689),
    [anon_sym_BSLASHef] = ACTIONS(2689),
    [anon_sym_BSLASHfm] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASHfig] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASHpb] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesb] = ACTIONS(2689),
  },
  [600] = {
    [ts_builtin_sym_end] = ACTIONS(9),
    [aux_sym_text_token1] = ACTIONS(9),
    [anon_sym_BSLASHsts] = ACTIONS(11),
    [anon_sym_BSLASHrem] = ACTIONS(11),
    [anon_sym_BSLASHrestore] = ACTIONS(11),
    [anon_sym_BSLASHlit] = ACTIONS(11),
    [anon_sym_BSLASHip] = ACTIONS(11),
    [anon_sym_BSLASHiex] = ACTIONS(11),
    [anon_sym_BSLASHc] = ACTIONS(11),
    [anon_sym_BSLASHcl] = ACTIONS(11),
    [anon_sym_BSLASHca] = ACTIONS(11),
    [anon_sym_BSLASHcp] = ACTIONS(11),
    [anon_sym_BSLASHcd] = ACTIONS(11),
    [anon_sym_BSLASHmte] = ACTIONS(11),
    [anon_sym_BSLASHms] = ACTIONS(11),
    [anon_sym_BSLASHs] = ACTIONS(11),
    [anon_sym_BSLASHr] = ACTIONS(11),
    [anon_sym_BSLASHsp] = ACTIONS(11),
    [anon_sym_BSLASHd] = ACTIONS(11),
    [anon_sym_BSLASHsd] = ACTIONS(11),
    [anon_sym_BSLASHp] = ACTIONS(11),
    [anon_sym_BSLASHm] = ACTIONS(11),
    [anon_sym_BSLASHpo] = ACTIONS(11),
    [anon_sym_BSLASHpr] = ACTIONS(11),
    [anon_sym_BSLASHcls] = ACTIONS(11),
    [anon_sym_BSLASHpmo] = ACTIONS(11),
    [anon_sym_BSLASHpm] = ACTIONS(11),
    [anon_sym_BSLASHpmc] = ACTIONS(11),
    [anon_sym_BSLASHpmr] = ACTIONS(11),
    [anon_sym_BSLASHpi] = ACTIONS(11),
    [anon_sym_BSLASHmi] = ACTIONS(11),
    [anon_sym_BSLASHnb] = ACTIONS(11),
    [anon_sym_BSLASHpc] = ACTIONS(11),
    [anon_sym_BSLASHph] = ACTIONS(11),
    [anon_sym_BSLASHb] = ACTIONS(11),
    [anon_sym_BSLASHq] = ACTIONS(11),
    [anon_sym_BSLASHqr] = ACTIONS(11),
    [anon_sym_BSLASHqc] = ACTIONS(11),
    [anon_sym_BSLASHqa] = ACTIONS(11),
    [anon_sym_BSLASHqm] = ACTIONS(11),
    [anon_sym_BSLASHqd] = ACTIONS(11),
    [anon_sym_BSLASHlh] = ACTIONS(11),
    [anon_sym_BSLASHli] = ACTIONS(11),
    [anon_sym_BSLASHlim] = ACTIONS(11),
    [anon_sym_BSLASHtr] = ACTIONS(11),
    [sym_thTag] = ACTIONS(11),
    [sym_thrTag] = ACTIONS(11),
    [sym_tcTag] = ACTIONS(11),
    [sym_tcrTag] = ACTIONS(11),
    [anon_sym_BSLASHf] = ACTIONS(11),
    [anon_sym_BSLASHfe] = ACTIONS(11),
    [anon_sym_BSLASHef] = ACTIONS(11),
    [anon_sym_BSLASHfm] = ACTIONS(11),
    [anon_sym_BSLASHadd] = ACTIONS(11),
    [anon_sym_BSLASHbk] = ACTIONS(11),
    [anon_sym_BSLASHdc] = ACTIONS(11),
    [anon_sym_BSLASHk] = ACTIONS(11),
    [anon_sym_BSLASHnd] = ACTIONS(11),
    [anon_sym_BSLASHord] = ACTIONS(11),
    [anon_sym_BSLASHpn] = ACTIONS(11),
    [anon_sym_BSLASHpng] = ACTIONS(11),
    [anon_sym_BSLASHaddpn] = ACTIONS(11),
    [anon_sym_BSLASHqt] = ACTIONS(11),
    [anon_sym_BSLASHsig] = ACTIONS(11),
    [anon_sym_BSLASHsls] = ACTIONS(11),
    [anon_sym_BSLASHtl] = ACTIONS(11),
    [anon_sym_BSLASHwj] = ACTIONS(11),
    [anon_sym_BSLASHem] = ACTIONS(11),
    [anon_sym_BSLASHbd] = ACTIONS(11),
    [anon_sym_BSLASHit] = ACTIONS(11),
    [anon_sym_BSLASHbdit] = ACTIONS(11),
    [anon_sym_BSLASHno] = ACTIONS(11),
    [anon_sym_BSLASHsc] = ACTIONS(11),
    [anon_sym_BSLASHsup] = ACTIONS(11),
    [anon_sym_BSLASHndx] = ACTIONS(11),
    [anon_sym_BSLASHpro] = ACTIONS(11),
    [anon_sym_BSLASHrb] = ACTIONS(11),
    [anon_sym_BSLASHw] = ACTIONS(11),
    [anon_sym_BSLASHwg] = ACTIONS(11),
    [anon_sym_BSLASHwh] = ACTIONS(11),
    [anon_sym_BSLASHwa] = ACTIONS(11),
    [anon_sym_BSLASHfig] = ACTIONS(11),
    [anon_sym_BSLASHjmp] = ACTIONS(11),
    [anon_sym_BSLASHpb] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(11),
    [sym_milestoneStartTag] = ACTIONS(11),
    [sym_milestoneEndTag] = ACTIONS(11),
    [sym_zSpaceTag] = ACTIONS(11),
    [anon_sym_BSLASHesb] = ACTIONS(11),
  },
  [601] = {
    [ts_builtin_sym_end] = ACTIONS(2691),
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHiex] = ACTIONS(2693),
    [anon_sym_BSLASHc] = ACTIONS(2693),
    [anon_sym_BSLASHcl] = ACTIONS(2693),
    [anon_sym_BSLASHca] = ACTIONS(2693),
    [anon_sym_BSLASHcp] = ACTIONS(2693),
    [anon_sym_BSLASHcd] = ACTIONS(2693),
    [anon_sym_BSLASHmte] = ACTIONS(2693),
    [anon_sym_BSLASHms] = ACTIONS(2693),
    [anon_sym_BSLASHs] = ACTIONS(2693),
    [anon_sym_BSLASHr] = ACTIONS(2693),
    [anon_sym_BSLASHsp] = ACTIONS(2693),
    [anon_sym_BSLASHd] = ACTIONS(2693),
    [anon_sym_BSLASHsd] = ACTIONS(2693),
    [anon_sym_BSLASHp] = ACTIONS(2693),
    [anon_sym_BSLASHm] = ACTIONS(2693),
    [anon_sym_BSLASHpo] = ACTIONS(2693),
    [anon_sym_BSLASHpr] = ACTIONS(2693),
    [anon_sym_BSLASHcls] = ACTIONS(2693),
    [anon_sym_BSLASHpmo] = ACTIONS(2693),
    [anon_sym_BSLASHpm] = ACTIONS(2693),
    [anon_sym_BSLASHpmc] = ACTIONS(2693),
    [anon_sym_BSLASHpmr] = ACTIONS(2693),
    [anon_sym_BSLASHpi] = ACTIONS(2693),
    [anon_sym_BSLASHmi] = ACTIONS(2693),
    [anon_sym_BSLASHnb] = ACTIONS(2693),
    [anon_sym_BSLASHpc] = ACTIONS(2693),
    [anon_sym_BSLASHph] = ACTIONS(2693),
    [anon_sym_BSLASHb] = ACTIONS(2693),
    [anon_sym_BSLASHq] = ACTIONS(2693),
    [anon_sym_BSLASHqr] = ACTIONS(2693),
    [anon_sym_BSLASHqc] = ACTIONS(2693),
    [anon_sym_BSLASHqa] = ACTIONS(2693),
    [anon_sym_BSLASHqm] = ACTIONS(2693),
    [anon_sym_BSLASHqd] = ACTIONS(2693),
    [anon_sym_BSLASHlh] = ACTIONS(2693),
    [anon_sym_BSLASHli] = ACTIONS(2693),
    [anon_sym_BSLASHlim] = ACTIONS(2693),
    [anon_sym_BSLASHtr] = ACTIONS(2693),
    [sym_thTag] = ACTIONS(2693),
    [sym_thrTag] = ACTIONS(2693),
    [sym_tcTag] = ACTIONS(2693),
    [sym_tcrTag] = ACTIONS(2693),
    [anon_sym_BSLASHf] = ACTIONS(2693),
    [anon_sym_BSLASHfe] = ACTIONS(2693),
    [anon_sym_BSLASHef] = ACTIONS(2693),
    [anon_sym_BSLASHfm] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASHfig] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASHpb] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesb] = ACTIONS(2693),
  },
  [602] = {
    [ts_builtin_sym_end] = ACTIONS(2695),
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHiex] = ACTIONS(2697),
    [anon_sym_BSLASHc] = ACTIONS(2697),
    [anon_sym_BSLASHcl] = ACTIONS(2697),
    [anon_sym_BSLASHca] = ACTIONS(2697),
    [anon_sym_BSLASHcp] = ACTIONS(2697),
    [anon_sym_BSLASHcd] = ACTIONS(2697),
    [anon_sym_BSLASHmte] = ACTIONS(2697),
    [anon_sym_BSLASHms] = ACTIONS(2697),
    [anon_sym_BSLASHs] = ACTIONS(2697),
    [anon_sym_BSLASHr] = ACTIONS(2697),
    [anon_sym_BSLASHsp] = ACTIONS(2697),
    [anon_sym_BSLASHd] = ACTIONS(2697),
    [anon_sym_BSLASHsd] = ACTIONS(2697),
    [anon_sym_BSLASHp] = ACTIONS(2697),
    [anon_sym_BSLASHm] = ACTIONS(2697),
    [anon_sym_BSLASHpo] = ACTIONS(2697),
    [anon_sym_BSLASHpr] = ACTIONS(2697),
    [anon_sym_BSLASHcls] = ACTIONS(2697),
    [anon_sym_BSLASHpmo] = ACTIONS(2697),
    [anon_sym_BSLASHpm] = ACTIONS(2697),
    [anon_sym_BSLASHpmc] = ACTIONS(2697),
    [anon_sym_BSLASHpmr] = ACTIONS(2697),
    [anon_sym_BSLASHpi] = ACTIONS(2697),
    [anon_sym_BSLASHmi] = ACTIONS(2697),
    [anon_sym_BSLASHnb] = ACTIONS(2697),
    [anon_sym_BSLASHpc] = ACTIONS(2697),
    [anon_sym_BSLASHph] = ACTIONS(2697),
    [anon_sym_BSLASHb] = ACTIONS(2697),
    [anon_sym_BSLASHq] = ACTIONS(2697),
    [anon_sym_BSLASHqr] = ACTIONS(2697),
    [anon_sym_BSLASHqc] = ACTIONS(2697),
    [anon_sym_BSLASHqa] = ACTIONS(2697),
    [anon_sym_BSLASHqm] = ACTIONS(2697),
    [anon_sym_BSLASHqd] = ACTIONS(2697),
    [anon_sym_BSLASHlh] = ACTIONS(2697),
    [anon_sym_BSLASHli] = ACTIONS(2697),
    [anon_sym_BSLASHlim] = ACTIONS(2697),
    [anon_sym_BSLASHtr] = ACTIONS(2697),
    [sym_thTag] = ACTIONS(2697),
    [sym_thrTag] = ACTIONS(2697),
    [sym_tcTag] = ACTIONS(2697),
    [sym_tcrTag] = ACTIONS(2697),
    [anon_sym_BSLASHf] = ACTIONS(2697),
    [anon_sym_BSLASHfe] = ACTIONS(2697),
    [anon_sym_BSLASHef] = ACTIONS(2697),
    [anon_sym_BSLASHfm] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASHfig] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASHpb] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesb] = ACTIONS(2697),
  },
  [603] = {
    [ts_builtin_sym_end] = ACTIONS(2647),
    [aux_sym_text_token1] = ACTIONS(2647),
    [anon_sym_BSLASHsts] = ACTIONS(2649),
    [anon_sym_BSLASHrem] = ACTIONS(2649),
    [anon_sym_BSLASHrestore] = ACTIONS(2649),
    [anon_sym_BSLASHlit] = ACTIONS(2649),
    [anon_sym_BSLASHip] = ACTIONS(2649),
    [anon_sym_BSLASHiex] = ACTIONS(2649),
    [anon_sym_BSLASHc] = ACTIONS(2649),
    [anon_sym_BSLASHcl] = ACTIONS(2649),
    [anon_sym_BSLASHca] = ACTIONS(2649),
    [anon_sym_BSLASHcp] = ACTIONS(2649),
    [anon_sym_BSLASHcd] = ACTIONS(2649),
    [anon_sym_BSLASHmte] = ACTIONS(2649),
    [anon_sym_BSLASHms] = ACTIONS(2649),
    [anon_sym_BSLASHs] = ACTIONS(2649),
    [anon_sym_BSLASHr] = ACTIONS(2649),
    [anon_sym_BSLASHsp] = ACTIONS(2649),
    [anon_sym_BSLASHd] = ACTIONS(2649),
    [anon_sym_BSLASHsd] = ACTIONS(2649),
    [anon_sym_BSLASHp] = ACTIONS(2649),
    [anon_sym_BSLASHm] = ACTIONS(2649),
    [anon_sym_BSLASHpo] = ACTIONS(2649),
    [anon_sym_BSLASHpr] = ACTIONS(2649),
    [anon_sym_BSLASHcls] = ACTIONS(2649),
    [anon_sym_BSLASHpmo] = ACTIONS(2649),
    [anon_sym_BSLASHpm] = ACTIONS(2649),
    [anon_sym_BSLASHpmc] = ACTIONS(2649),
    [anon_sym_BSLASHpmr] = ACTIONS(2649),
    [anon_sym_BSLASHpi] = ACTIONS(2649),
    [anon_sym_BSLASHmi] = ACTIONS(2649),
    [anon_sym_BSLASHnb] = ACTIONS(2649),
    [anon_sym_BSLASHpc] = ACTIONS(2649),
    [anon_sym_BSLASHph] = ACTIONS(2649),
    [anon_sym_BSLASHb] = ACTIONS(2649),
    [anon_sym_BSLASHq] = ACTIONS(2649),
    [anon_sym_BSLASHqr] = ACTIONS(2649),
    [anon_sym_BSLASHqc] = ACTIONS(2649),
    [anon_sym_BSLASHqa] = ACTIONS(2649),
    [anon_sym_BSLASHqm] = ACTIONS(2649),
    [anon_sym_BSLASHqd] = ACTIONS(2649),
    [anon_sym_BSLASHlh] = ACTIONS(2649),
    [anon_sym_BSLASHli] = ACTIONS(2649),
    [anon_sym_BSLASHlim] = ACTIONS(2649),
    [anon_sym_BSLASHtr] = ACTIONS(2649),
    [sym_thTag] = ACTIONS(2649),
    [sym_thrTag] = ACTIONS(2649),
    [sym_tcTag] = ACTIONS(2649),
    [sym_tcrTag] = ACTIONS(2649),
    [anon_sym_BSLASHf] = ACTIONS(2649),
    [anon_sym_BSLASHfe] = ACTIONS(2649),
    [anon_sym_BSLASHef] = ACTIONS(2649),
    [anon_sym_BSLASHfm] = ACTIONS(2649),
    [anon_sym_BSLASHadd] = ACTIONS(2649),
    [anon_sym_BSLASHbk] = ACTIONS(2649),
    [anon_sym_BSLASHdc] = ACTIONS(2649),
    [anon_sym_BSLASHk] = ACTIONS(2649),
    [anon_sym_BSLASHnd] = ACTIONS(2649),
    [anon_sym_BSLASHord] = ACTIONS(2649),
    [anon_sym_BSLASHpn] = ACTIONS(2649),
    [anon_sym_BSLASHpng] = ACTIONS(2649),
    [anon_sym_BSLASHaddpn] = ACTIONS(2649),
    [anon_sym_BSLASHqt] = ACTIONS(2649),
    [anon_sym_BSLASHsig] = ACTIONS(2649),
    [anon_sym_BSLASHsls] = ACTIONS(2649),
    [anon_sym_BSLASHtl] = ACTIONS(2649),
    [anon_sym_BSLASHwj] = ACTIONS(2649),
    [anon_sym_BSLASHem] = ACTIONS(2649),
    [anon_sym_BSLASHbd] = ACTIONS(2649),
    [anon_sym_BSLASHit] = ACTIONS(2649),
    [anon_sym_BSLASHbdit] = ACTIONS(2649),
    [anon_sym_BSLASHno] = ACTIONS(2649),
    [anon_sym_BSLASHsc] = ACTIONS(2649),
    [anon_sym_BSLASHsup] = ACTIONS(2649),
    [anon_sym_BSLASHndx] = ACTIONS(2649),
    [anon_sym_BSLASHpro] = ACTIONS(2649),
    [anon_sym_BSLASHrb] = ACTIONS(2649),
    [anon_sym_BSLASHw] = ACTIONS(2649),
    [anon_sym_BSLASHwg] = ACTIONS(2649),
    [anon_sym_BSLASHwh] = ACTIONS(2649),
    [anon_sym_BSLASHwa] = ACTIONS(2649),
    [anon_sym_BSLASHfig] = ACTIONS(2649),
    [anon_sym_BSLASHjmp] = ACTIONS(2649),
    [anon_sym_BSLASHpb] = ACTIONS(2649),
    [anon_sym_BSLASH] = ACTIONS(2649),
    [sym_milestoneStartTag] = ACTIONS(2649),
    [sym_milestoneEndTag] = ACTIONS(2649),
    [sym_zSpaceTag] = ACTIONS(2649),
    [anon_sym_BSLASHesb] = ACTIONS(2649),
  },
  [604] = {
    [ts_builtin_sym_end] = ACTIONS(2615),
    [aux_sym_text_token1] = ACTIONS(2615),
    [anon_sym_BSLASHsts] = ACTIONS(2617),
    [anon_sym_BSLASHrem] = ACTIONS(2617),
    [anon_sym_BSLASHrestore] = ACTIONS(2617),
    [anon_sym_BSLASHlit] = ACTIONS(2617),
    [anon_sym_BSLASHip] = ACTIONS(2617),
    [anon_sym_BSLASHiex] = ACTIONS(2617),
    [anon_sym_BSLASHc] = ACTIONS(2617),
    [anon_sym_BSLASHcl] = ACTIONS(2617),
    [anon_sym_BSLASHca] = ACTIONS(2617),
    [anon_sym_BSLASHcp] = ACTIONS(2617),
    [anon_sym_BSLASHcd] = ACTIONS(2617),
    [anon_sym_BSLASHmte] = ACTIONS(2617),
    [anon_sym_BSLASHms] = ACTIONS(2617),
    [anon_sym_BSLASHs] = ACTIONS(2617),
    [anon_sym_BSLASHr] = ACTIONS(2617),
    [anon_sym_BSLASHsp] = ACTIONS(2617),
    [anon_sym_BSLASHd] = ACTIONS(2617),
    [anon_sym_BSLASHsd] = ACTIONS(2617),
    [anon_sym_BSLASHp] = ACTIONS(2617),
    [anon_sym_BSLASHm] = ACTIONS(2617),
    [anon_sym_BSLASHpo] = ACTIONS(2617),
    [anon_sym_BSLASHpr] = ACTIONS(2617),
    [anon_sym_BSLASHcls] = ACTIONS(2617),
    [anon_sym_BSLASHpmo] = ACTIONS(2617),
    [anon_sym_BSLASHpm] = ACTIONS(2617),
    [anon_sym_BSLASHpmc] = ACTIONS(2617),
    [anon_sym_BSLASHpmr] = ACTIONS(2617),
    [anon_sym_BSLASHpi] = ACTIONS(2617),
    [anon_sym_BSLASHmi] = ACTIONS(2617),
    [anon_sym_BSLASHnb] = ACTIONS(2617),
    [anon_sym_BSLASHpc] = ACTIONS(2617),
    [anon_sym_BSLASHph] = ACTIONS(2617),
    [anon_sym_BSLASHb] = ACTIONS(2617),
    [anon_sym_BSLASHq] = ACTIONS(2617),
    [anon_sym_BSLASHqr] = ACTIONS(2617),
    [anon_sym_BSLASHqc] = ACTIONS(2617),
    [anon_sym_BSLASHqa] = ACTIONS(2617),
    [anon_sym_BSLASHqm] = ACTIONS(2617),
    [anon_sym_BSLASHqd] = ACTIONS(2617),
    [anon_sym_BSLASHlh] = ACTIONS(2617),
    [anon_sym_BSLASHli] = ACTIONS(2617),
    [anon_sym_BSLASHlim] = ACTIONS(2617),
    [anon_sym_BSLASHtr] = ACTIONS(2617),
    [sym_thTag] = ACTIONS(2617),
    [sym_thrTag] = ACTIONS(2617),
    [sym_tcTag] = ACTIONS(2617),
    [sym_tcrTag] = ACTIONS(2617),
    [anon_sym_BSLASHf] = ACTIONS(2617),
    [anon_sym_BSLASHfe] = ACTIONS(2617),
    [anon_sym_BSLASHef] = ACTIONS(2617),
    [anon_sym_BSLASHfm] = ACTIONS(2617),
    [anon_sym_BSLASHadd] = ACTIONS(2617),
    [anon_sym_BSLASHbk] = ACTIONS(2617),
    [anon_sym_BSLASHdc] = ACTIONS(2617),
    [anon_sym_BSLASHk] = ACTIONS(2617),
    [anon_sym_BSLASHnd] = ACTIONS(2617),
    [anon_sym_BSLASHord] = ACTIONS(2617),
    [anon_sym_BSLASHpn] = ACTIONS(2617),
    [anon_sym_BSLASHpng] = ACTIONS(2617),
    [anon_sym_BSLASHaddpn] = ACTIONS(2617),
    [anon_sym_BSLASHqt] = ACTIONS(2617),
    [anon_sym_BSLASHsig] = ACTIONS(2617),
    [anon_sym_BSLASHsls] = ACTIONS(2617),
    [anon_sym_BSLASHtl] = ACTIONS(2617),
    [anon_sym_BSLASHwj] = ACTIONS(2617),
    [anon_sym_BSLASHem] = ACTIONS(2617),
    [anon_sym_BSLASHbd] = ACTIONS(2617),
    [anon_sym_BSLASHit] = ACTIONS(2617),
    [anon_sym_BSLASHbdit] = ACTIONS(2617),
    [anon_sym_BSLASHno] = ACTIONS(2617),
    [anon_sym_BSLASHsc] = ACTIONS(2617),
    [anon_sym_BSLASHsup] = ACTIONS(2617),
    [anon_sym_BSLASHndx] = ACTIONS(2617),
    [anon_sym_BSLASHpro] = ACTIONS(2617),
    [anon_sym_BSLASHrb] = ACTIONS(2617),
    [anon_sym_BSLASHw] = ACTIONS(2617),
    [anon_sym_BSLASHwg] = ACTIONS(2617),
    [anon_sym_BSLASHwh] = ACTIONS(2617),
    [anon_sym_BSLASHwa] = ACTIONS(2617),
    [anon_sym_BSLASHfig] = ACTIONS(2617),
    [anon_sym_BSLASHjmp] = ACTIONS(2617),
    [anon_sym_BSLASHpb] = ACTIONS(2617),
    [anon_sym_BSLASH] = ACTIONS(2617),
    [sym_milestoneStartTag] = ACTIONS(2617),
    [sym_milestoneEndTag] = ACTIONS(2617),
    [sym_zSpaceTag] = ACTIONS(2617),
    [anon_sym_BSLASHesb] = ACTIONS(2617),
  },
  [605] = {
    [ts_builtin_sym_end] = ACTIONS(2651),
    [aux_sym_text_token1] = ACTIONS(2651),
    [anon_sym_BSLASHsts] = ACTIONS(2653),
    [anon_sym_BSLASHrem] = ACTIONS(2653),
    [anon_sym_BSLASHrestore] = ACTIONS(2653),
    [anon_sym_BSLASHlit] = ACTIONS(2653),
    [anon_sym_BSLASHip] = ACTIONS(2653),
    [anon_sym_BSLASHiex] = ACTIONS(2653),
    [anon_sym_BSLASHc] = ACTIONS(2653),
    [anon_sym_BSLASHcl] = ACTIONS(2653),
    [anon_sym_BSLASHca] = ACTIONS(2653),
    [anon_sym_BSLASHcp] = ACTIONS(2653),
    [anon_sym_BSLASHcd] = ACTIONS(2653),
    [anon_sym_BSLASHmte] = ACTIONS(2653),
    [anon_sym_BSLASHms] = ACTIONS(2653),
    [anon_sym_BSLASHs] = ACTIONS(2653),
    [anon_sym_BSLASHr] = ACTIONS(2653),
    [anon_sym_BSLASHsp] = ACTIONS(2653),
    [anon_sym_BSLASHd] = ACTIONS(2653),
    [anon_sym_BSLASHsd] = ACTIONS(2653),
    [anon_sym_BSLASHp] = ACTIONS(2653),
    [anon_sym_BSLASHm] = ACTIONS(2653),
    [anon_sym_BSLASHpo] = ACTIONS(2653),
    [anon_sym_BSLASHpr] = ACTIONS(2653),
    [anon_sym_BSLASHcls] = ACTIONS(2653),
    [anon_sym_BSLASHpmo] = ACTIONS(2653),
    [anon_sym_BSLASHpm] = ACTIONS(2653),
    [anon_sym_BSLASHpmc] = ACTIONS(2653),
    [anon_sym_BSLASHpmr] = ACTIONS(2653),
    [anon_sym_BSLASHpi] = ACTIONS(2653),
    [anon_sym_BSLASHmi] = ACTIONS(2653),
    [anon_sym_BSLASHnb] = ACTIONS(2653),
    [anon_sym_BSLASHpc] = ACTIONS(2653),
    [anon_sym_BSLASHph] = ACTIONS(2653),
    [anon_sym_BSLASHb] = ACTIONS(2653),
    [anon_sym_BSLASHq] = ACTIONS(2653),
    [anon_sym_BSLASHqr] = ACTIONS(2653),
    [anon_sym_BSLASHqc] = ACTIONS(2653),
    [anon_sym_BSLASHqa] = ACTIONS(2653),
    [anon_sym_BSLASHqm] = ACTIONS(2653),
    [anon_sym_BSLASHqd] = ACTIONS(2653),
    [anon_sym_BSLASHlh] = ACTIONS(2653),
    [anon_sym_BSLASHli] = ACTIONS(2653),
    [anon_sym_BSLASHlim] = ACTIONS(2653),
    [anon_sym_BSLASHtr] = ACTIONS(2653),
    [sym_thTag] = ACTIONS(2653),
    [sym_thrTag] = ACTIONS(2653),
    [sym_tcTag] = ACTIONS(2653),
    [sym_tcrTag] = ACTIONS(2653),
    [anon_sym_BSLASHf] = ACTIONS(2653),
    [anon_sym_BSLASHfe] = ACTIONS(2653),
    [anon_sym_BSLASHef] = ACTIONS(2653),
    [anon_sym_BSLASHfm] = ACTIONS(2653),
    [anon_sym_BSLASHadd] = ACTIONS(2653),
    [anon_sym_BSLASHbk] = ACTIONS(2653),
    [anon_sym_BSLASHdc] = ACTIONS(2653),
    [anon_sym_BSLASHk] = ACTIONS(2653),
    [anon_sym_BSLASHnd] = ACTIONS(2653),
    [anon_sym_BSLASHord] = ACTIONS(2653),
    [anon_sym_BSLASHpn] = ACTIONS(2653),
    [anon_sym_BSLASHpng] = ACTIONS(2653),
    [anon_sym_BSLASHaddpn] = ACTIONS(2653),
    [anon_sym_BSLASHqt] = ACTIONS(2653),
    [anon_sym_BSLASHsig] = ACTIONS(2653),
    [anon_sym_BSLASHsls] = ACTIONS(2653),
    [anon_sym_BSLASHtl] = ACTIONS(2653),
    [anon_sym_BSLASHwj] = ACTIONS(2653),
    [anon_sym_BSLASHem] = ACTIONS(2653),
    [anon_sym_BSLASHbd] = ACTIONS(2653),
    [anon_sym_BSLASHit] = ACTIONS(2653),
    [anon_sym_BSLASHbdit] = ACTIONS(2653),
    [anon_sym_BSLASHno] = ACTIONS(2653),
    [anon_sym_BSLASHsc] = ACTIONS(2653),
    [anon_sym_BSLASHsup] = ACTIONS(2653),
    [anon_sym_BSLASHndx] = ACTIONS(2653),
    [anon_sym_BSLASHpro] = ACTIONS(2653),
    [anon_sym_BSLASHrb] = ACTIONS(2653),
    [anon_sym_BSLASHw] = ACTIONS(2653),
    [anon_sym_BSLASHwg] = ACTIONS(2653),
    [anon_sym_BSLASHwh] = ACTIONS(2653),
    [anon_sym_BSLASHwa] = ACTIONS(2653),
    [anon_sym_BSLASHfig] = ACTIONS(2653),
    [anon_sym_BSLASHjmp] = ACTIONS(2653),
    [anon_sym_BSLASHpb] = ACTIONS(2653),
    [anon_sym_BSLASH] = ACTIONS(2653),
    [sym_milestoneStartTag] = ACTIONS(2653),
    [sym_milestoneEndTag] = ACTIONS(2653),
    [sym_zSpaceTag] = ACTIONS(2653),
    [anon_sym_BSLASHesb] = ACTIONS(2653),
  },
  [606] = {
    [ts_builtin_sym_end] = ACTIONS(2699),
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHiex] = ACTIONS(2701),
    [anon_sym_BSLASHc] = ACTIONS(2701),
    [anon_sym_BSLASHcl] = ACTIONS(2701),
    [anon_sym_BSLASHca] = ACTIONS(2701),
    [anon_sym_BSLASHcp] = ACTIONS(2701),
    [anon_sym_BSLASHcd] = ACTIONS(2701),
    [anon_sym_BSLASHmte] = ACTIONS(2701),
    [anon_sym_BSLASHms] = ACTIONS(2701),
    [anon_sym_BSLASHs] = ACTIONS(2701),
    [anon_sym_BSLASHr] = ACTIONS(2701),
    [anon_sym_BSLASHsp] = ACTIONS(2701),
    [anon_sym_BSLASHd] = ACTIONS(2701),
    [anon_sym_BSLASHsd] = ACTIONS(2701),
    [anon_sym_BSLASHp] = ACTIONS(2701),
    [anon_sym_BSLASHm] = ACTIONS(2701),
    [anon_sym_BSLASHpo] = ACTIONS(2701),
    [anon_sym_BSLASHpr] = ACTIONS(2701),
    [anon_sym_BSLASHcls] = ACTIONS(2701),
    [anon_sym_BSLASHpmo] = ACTIONS(2701),
    [anon_sym_BSLASHpm] = ACTIONS(2701),
    [anon_sym_BSLASHpmc] = ACTIONS(2701),
    [anon_sym_BSLASHpmr] = ACTIONS(2701),
    [anon_sym_BSLASHpi] = ACTIONS(2701),
    [anon_sym_BSLASHmi] = ACTIONS(2701),
    [anon_sym_BSLASHnb] = ACTIONS(2701),
    [anon_sym_BSLASHpc] = ACTIONS(2701),
    [anon_sym_BSLASHph] = ACTIONS(2701),
    [anon_sym_BSLASHb] = ACTIONS(2701),
    [anon_sym_BSLASHq] = ACTIONS(2701),
    [anon_sym_BSLASHqr] = ACTIONS(2701),
    [anon_sym_BSLASHqc] = ACTIONS(2701),
    [anon_sym_BSLASHqa] = ACTIONS(2701),
    [anon_sym_BSLASHqm] = ACTIONS(2701),
    [anon_sym_BSLASHqd] = ACTIONS(2701),
    [anon_sym_BSLASHlh] = ACTIONS(2701),
    [anon_sym_BSLASHli] = ACTIONS(2701),
    [anon_sym_BSLASHlim] = ACTIONS(2701),
    [anon_sym_BSLASHtr] = ACTIONS(2701),
    [sym_thTag] = ACTIONS(2701),
    [sym_thrTag] = ACTIONS(2701),
    [sym_tcTag] = ACTIONS(2701),
    [sym_tcrTag] = ACTIONS(2701),
    [anon_sym_BSLASHf] = ACTIONS(2701),
    [anon_sym_BSLASHfe] = ACTIONS(2701),
    [anon_sym_BSLASHef] = ACTIONS(2701),
    [anon_sym_BSLASHfm] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASHfig] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASHpb] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesb] = ACTIONS(2701),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(2703),
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHiex] = ACTIONS(2705),
    [anon_sym_BSLASHc] = ACTIONS(2705),
    [anon_sym_BSLASHcl] = ACTIONS(2705),
    [anon_sym_BSLASHca] = ACTIONS(2705),
    [anon_sym_BSLASHcp] = ACTIONS(2705),
    [anon_sym_BSLASHcd] = ACTIONS(2705),
    [anon_sym_BSLASHmte] = ACTIONS(2705),
    [anon_sym_BSLASHms] = ACTIONS(2705),
    [anon_sym_BSLASHs] = ACTIONS(2705),
    [anon_sym_BSLASHr] = ACTIONS(2705),
    [anon_sym_BSLASHsp] = ACTIONS(2705),
    [anon_sym_BSLASHd] = ACTIONS(2705),
    [anon_sym_BSLASHsd] = ACTIONS(2705),
    [anon_sym_BSLASHp] = ACTIONS(2705),
    [anon_sym_BSLASHm] = ACTIONS(2705),
    [anon_sym_BSLASHpo] = ACTIONS(2705),
    [anon_sym_BSLASHpr] = ACTIONS(2705),
    [anon_sym_BSLASHcls] = ACTIONS(2705),
    [anon_sym_BSLASHpmo] = ACTIONS(2705),
    [anon_sym_BSLASHpm] = ACTIONS(2705),
    [anon_sym_BSLASHpmc] = ACTIONS(2705),
    [anon_sym_BSLASHpmr] = ACTIONS(2705),
    [anon_sym_BSLASHpi] = ACTIONS(2705),
    [anon_sym_BSLASHmi] = ACTIONS(2705),
    [anon_sym_BSLASHnb] = ACTIONS(2705),
    [anon_sym_BSLASHpc] = ACTIONS(2705),
    [anon_sym_BSLASHph] = ACTIONS(2705),
    [anon_sym_BSLASHb] = ACTIONS(2705),
    [anon_sym_BSLASHq] = ACTIONS(2705),
    [anon_sym_BSLASHqr] = ACTIONS(2705),
    [anon_sym_BSLASHqc] = ACTIONS(2705),
    [anon_sym_BSLASHqa] = ACTIONS(2705),
    [anon_sym_BSLASHqm] = ACTIONS(2705),
    [anon_sym_BSLASHqd] = ACTIONS(2705),
    [anon_sym_BSLASHlh] = ACTIONS(2705),
    [anon_sym_BSLASHli] = ACTIONS(2705),
    [anon_sym_BSLASHlim] = ACTIONS(2705),
    [anon_sym_BSLASHtr] = ACTIONS(2705),
    [sym_thTag] = ACTIONS(2705),
    [sym_thrTag] = ACTIONS(2705),
    [sym_tcTag] = ACTIONS(2705),
    [sym_tcrTag] = ACTIONS(2705),
    [anon_sym_BSLASHf] = ACTIONS(2705),
    [anon_sym_BSLASHfe] = ACTIONS(2705),
    [anon_sym_BSLASHef] = ACTIONS(2705),
    [anon_sym_BSLASHfm] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASHfig] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASHpb] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesb] = ACTIONS(2705),
  },
  [608] = {
    [ts_builtin_sym_end] = ACTIONS(2707),
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHiex] = ACTIONS(2709),
    [anon_sym_BSLASHc] = ACTIONS(2709),
    [anon_sym_BSLASHcl] = ACTIONS(2709),
    [anon_sym_BSLASHca] = ACTIONS(2709),
    [anon_sym_BSLASHcp] = ACTIONS(2709),
    [anon_sym_BSLASHcd] = ACTIONS(2709),
    [anon_sym_BSLASHmte] = ACTIONS(2709),
    [anon_sym_BSLASHms] = ACTIONS(2709),
    [anon_sym_BSLASHs] = ACTIONS(2709),
    [anon_sym_BSLASHr] = ACTIONS(2709),
    [anon_sym_BSLASHsp] = ACTIONS(2709),
    [anon_sym_BSLASHd] = ACTIONS(2709),
    [anon_sym_BSLASHsd] = ACTIONS(2709),
    [anon_sym_BSLASHp] = ACTIONS(2709),
    [anon_sym_BSLASHm] = ACTIONS(2709),
    [anon_sym_BSLASHpo] = ACTIONS(2709),
    [anon_sym_BSLASHpr] = ACTIONS(2709),
    [anon_sym_BSLASHcls] = ACTIONS(2709),
    [anon_sym_BSLASHpmo] = ACTIONS(2709),
    [anon_sym_BSLASHpm] = ACTIONS(2709),
    [anon_sym_BSLASHpmc] = ACTIONS(2709),
    [anon_sym_BSLASHpmr] = ACTIONS(2709),
    [anon_sym_BSLASHpi] = ACTIONS(2709),
    [anon_sym_BSLASHmi] = ACTIONS(2709),
    [anon_sym_BSLASHnb] = ACTIONS(2709),
    [anon_sym_BSLASHpc] = ACTIONS(2709),
    [anon_sym_BSLASHph] = ACTIONS(2709),
    [anon_sym_BSLASHb] = ACTIONS(2709),
    [anon_sym_BSLASHq] = ACTIONS(2709),
    [anon_sym_BSLASHqr] = ACTIONS(2709),
    [anon_sym_BSLASHqc] = ACTIONS(2709),
    [anon_sym_BSLASHqa] = ACTIONS(2709),
    [anon_sym_BSLASHqm] = ACTIONS(2709),
    [anon_sym_BSLASHqd] = ACTIONS(2709),
    [anon_sym_BSLASHlh] = ACTIONS(2709),
    [anon_sym_BSLASHli] = ACTIONS(2709),
    [anon_sym_BSLASHlim] = ACTIONS(2709),
    [anon_sym_BSLASHtr] = ACTIONS(2709),
    [sym_thTag] = ACTIONS(2709),
    [sym_thrTag] = ACTIONS(2709),
    [sym_tcTag] = ACTIONS(2709),
    [sym_tcrTag] = ACTIONS(2709),
    [anon_sym_BSLASHf] = ACTIONS(2709),
    [anon_sym_BSLASHfe] = ACTIONS(2709),
    [anon_sym_BSLASHef] = ACTIONS(2709),
    [anon_sym_BSLASHfm] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASHfig] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASHpb] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesb] = ACTIONS(2709),
  },
  [609] = {
    [ts_builtin_sym_end] = ACTIONS(2711),
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHiex] = ACTIONS(2713),
    [anon_sym_BSLASHc] = ACTIONS(2713),
    [anon_sym_BSLASHcl] = ACTIONS(2713),
    [anon_sym_BSLASHca] = ACTIONS(2713),
    [anon_sym_BSLASHcp] = ACTIONS(2713),
    [anon_sym_BSLASHcd] = ACTIONS(2713),
    [anon_sym_BSLASHmte] = ACTIONS(2713),
    [anon_sym_BSLASHms] = ACTIONS(2713),
    [anon_sym_BSLASHs] = ACTIONS(2713),
    [anon_sym_BSLASHr] = ACTIONS(2713),
    [anon_sym_BSLASHsp] = ACTIONS(2713),
    [anon_sym_BSLASHd] = ACTIONS(2713),
    [anon_sym_BSLASHsd] = ACTIONS(2713),
    [anon_sym_BSLASHp] = ACTIONS(2713),
    [anon_sym_BSLASHm] = ACTIONS(2713),
    [anon_sym_BSLASHpo] = ACTIONS(2713),
    [anon_sym_BSLASHpr] = ACTIONS(2713),
    [anon_sym_BSLASHcls] = ACTIONS(2713),
    [anon_sym_BSLASHpmo] = ACTIONS(2713),
    [anon_sym_BSLASHpm] = ACTIONS(2713),
    [anon_sym_BSLASHpmc] = ACTIONS(2713),
    [anon_sym_BSLASHpmr] = ACTIONS(2713),
    [anon_sym_BSLASHpi] = ACTIONS(2713),
    [anon_sym_BSLASHmi] = ACTIONS(2713),
    [anon_sym_BSLASHnb] = ACTIONS(2713),
    [anon_sym_BSLASHpc] = ACTIONS(2713),
    [anon_sym_BSLASHph] = ACTIONS(2713),
    [anon_sym_BSLASHb] = ACTIONS(2713),
    [anon_sym_BSLASHq] = ACTIONS(2713),
    [anon_sym_BSLASHqr] = ACTIONS(2713),
    [anon_sym_BSLASHqc] = ACTIONS(2713),
    [anon_sym_BSLASHqa] = ACTIONS(2713),
    [anon_sym_BSLASHqm] = ACTIONS(2713),
    [anon_sym_BSLASHqd] = ACTIONS(2713),
    [anon_sym_BSLASHlh] = ACTIONS(2713),
    [anon_sym_BSLASHli] = ACTIONS(2713),
    [anon_sym_BSLASHlim] = ACTIONS(2713),
    [anon_sym_BSLASHtr] = ACTIONS(2713),
    [sym_thTag] = ACTIONS(2713),
    [sym_thrTag] = ACTIONS(2713),
    [sym_tcTag] = ACTIONS(2713),
    [sym_tcrTag] = ACTIONS(2713),
    [anon_sym_BSLASHf] = ACTIONS(2713),
    [anon_sym_BSLASHfe] = ACTIONS(2713),
    [anon_sym_BSLASHef] = ACTIONS(2713),
    [anon_sym_BSLASHfm] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASHfig] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASHpb] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesb] = ACTIONS(2713),
  },
  [610] = {
    [ts_builtin_sym_end] = ACTIONS(2719),
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHiex] = ACTIONS(2721),
    [anon_sym_BSLASHc] = ACTIONS(2721),
    [anon_sym_BSLASHcl] = ACTIONS(2721),
    [anon_sym_BSLASHca] = ACTIONS(2721),
    [anon_sym_BSLASHcp] = ACTIONS(2721),
    [anon_sym_BSLASHcd] = ACTIONS(2721),
    [anon_sym_BSLASHmte] = ACTIONS(2721),
    [anon_sym_BSLASHms] = ACTIONS(2721),
    [anon_sym_BSLASHs] = ACTIONS(2721),
    [anon_sym_BSLASHr] = ACTIONS(2721),
    [anon_sym_BSLASHsp] = ACTIONS(2721),
    [anon_sym_BSLASHd] = ACTIONS(2721),
    [anon_sym_BSLASHsd] = ACTIONS(2721),
    [anon_sym_BSLASHp] = ACTIONS(2721),
    [anon_sym_BSLASHm] = ACTIONS(2721),
    [anon_sym_BSLASHpo] = ACTIONS(2721),
    [anon_sym_BSLASHpr] = ACTIONS(2721),
    [anon_sym_BSLASHcls] = ACTIONS(2721),
    [anon_sym_BSLASHpmo] = ACTIONS(2721),
    [anon_sym_BSLASHpm] = ACTIONS(2721),
    [anon_sym_BSLASHpmc] = ACTIONS(2721),
    [anon_sym_BSLASHpmr] = ACTIONS(2721),
    [anon_sym_BSLASHpi] = ACTIONS(2721),
    [anon_sym_BSLASHmi] = ACTIONS(2721),
    [anon_sym_BSLASHnb] = ACTIONS(2721),
    [anon_sym_BSLASHpc] = ACTIONS(2721),
    [anon_sym_BSLASHph] = ACTIONS(2721),
    [anon_sym_BSLASHb] = ACTIONS(2721),
    [anon_sym_BSLASHq] = ACTIONS(2721),
    [anon_sym_BSLASHqr] = ACTIONS(2721),
    [anon_sym_BSLASHqc] = ACTIONS(2721),
    [anon_sym_BSLASHqa] = ACTIONS(2721),
    [anon_sym_BSLASHqm] = ACTIONS(2721),
    [anon_sym_BSLASHqd] = ACTIONS(2721),
    [anon_sym_BSLASHlh] = ACTIONS(2721),
    [anon_sym_BSLASHli] = ACTIONS(2721),
    [anon_sym_BSLASHlim] = ACTIONS(2721),
    [anon_sym_BSLASHtr] = ACTIONS(2721),
    [sym_thTag] = ACTIONS(2721),
    [sym_thrTag] = ACTIONS(2721),
    [sym_tcTag] = ACTIONS(2721),
    [sym_tcrTag] = ACTIONS(2721),
    [anon_sym_BSLASHf] = ACTIONS(2721),
    [anon_sym_BSLASHfe] = ACTIONS(2721),
    [anon_sym_BSLASHef] = ACTIONS(2721),
    [anon_sym_BSLASHfm] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASHfig] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASHpb] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesb] = ACTIONS(2721),
  },
  [611] = {
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHiex] = ACTIONS(7),
    [anon_sym_BSLASHc] = ACTIONS(7),
    [anon_sym_BSLASHcl] = ACTIONS(7),
    [anon_sym_BSLASHca] = ACTIONS(7),
    [anon_sym_BSLASHcp] = ACTIONS(7),
    [anon_sym_BSLASHcd] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [sym_thTag] = ACTIONS(7),
    [sym_thrTag] = ACTIONS(7),
    [sym_tcTag] = ACTIONS(7),
    [sym_tcrTag] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesb] = ACTIONS(7),
  },
  [612] = {
    [ts_builtin_sym_end] = ACTIONS(2727),
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHiex] = ACTIONS(2729),
    [anon_sym_BSLASHc] = ACTIONS(2729),
    [anon_sym_BSLASHcl] = ACTIONS(2729),
    [anon_sym_BSLASHca] = ACTIONS(2729),
    [anon_sym_BSLASHcp] = ACTIONS(2729),
    [anon_sym_BSLASHcd] = ACTIONS(2729),
    [anon_sym_BSLASHmte] = ACTIONS(2729),
    [anon_sym_BSLASHms] = ACTIONS(2729),
    [anon_sym_BSLASHs] = ACTIONS(2729),
    [anon_sym_BSLASHr] = ACTIONS(2729),
    [anon_sym_BSLASHsp] = ACTIONS(2729),
    [anon_sym_BSLASHd] = ACTIONS(2729),
    [anon_sym_BSLASHsd] = ACTIONS(2729),
    [anon_sym_BSLASHp] = ACTIONS(2729),
    [anon_sym_BSLASHm] = ACTIONS(2729),
    [anon_sym_BSLASHpo] = ACTIONS(2729),
    [anon_sym_BSLASHpr] = ACTIONS(2729),
    [anon_sym_BSLASHcls] = ACTIONS(2729),
    [anon_sym_BSLASHpmo] = ACTIONS(2729),
    [anon_sym_BSLASHpm] = ACTIONS(2729),
    [anon_sym_BSLASHpmc] = ACTIONS(2729),
    [anon_sym_BSLASHpmr] = ACTIONS(2729),
    [anon_sym_BSLASHpi] = ACTIONS(2729),
    [anon_sym_BSLASHmi] = ACTIONS(2729),
    [anon_sym_BSLASHnb] = ACTIONS(2729),
    [anon_sym_BSLASHpc] = ACTIONS(2729),
    [anon_sym_BSLASHph] = ACTIONS(2729),
    [anon_sym_BSLASHb] = ACTIONS(2729),
    [anon_sym_BSLASHq] = ACTIONS(2729),
    [anon_sym_BSLASHqr] = ACTIONS(2729),
    [anon_sym_BSLASHqc] = ACTIONS(2729),
    [anon_sym_BSLASHqa] = ACTIONS(2729),
    [anon_sym_BSLASHqm] = ACTIONS(2729),
    [anon_sym_BSLASHqd] = ACTIONS(2729),
    [anon_sym_BSLASHlh] = ACTIONS(2729),
    [anon_sym_BSLASHli] = ACTIONS(2729),
    [anon_sym_BSLASHlim] = ACTIONS(2729),
    [anon_sym_BSLASHtr] = ACTIONS(2729),
    [sym_thTag] = ACTIONS(2729),
    [sym_thrTag] = ACTIONS(2729),
    [sym_tcTag] = ACTIONS(2729),
    [sym_tcrTag] = ACTIONS(2729),
    [anon_sym_BSLASHf] = ACTIONS(2729),
    [anon_sym_BSLASHfe] = ACTIONS(2729),
    [anon_sym_BSLASHef] = ACTIONS(2729),
    [anon_sym_BSLASHfm] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASHfig] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASHpb] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesb] = ACTIONS(2729),
  },
  [613] = {
    [ts_builtin_sym_end] = ACTIONS(2731),
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHiex] = ACTIONS(2733),
    [anon_sym_BSLASHc] = ACTIONS(2733),
    [anon_sym_BSLASHcl] = ACTIONS(2733),
    [anon_sym_BSLASHca] = ACTIONS(2733),
    [anon_sym_BSLASHcp] = ACTIONS(2733),
    [anon_sym_BSLASHcd] = ACTIONS(2733),
    [anon_sym_BSLASHmte] = ACTIONS(2733),
    [anon_sym_BSLASHms] = ACTIONS(2733),
    [anon_sym_BSLASHs] = ACTIONS(2733),
    [anon_sym_BSLASHr] = ACTIONS(2733),
    [anon_sym_BSLASHsp] = ACTIONS(2733),
    [anon_sym_BSLASHd] = ACTIONS(2733),
    [anon_sym_BSLASHsd] = ACTIONS(2733),
    [anon_sym_BSLASHp] = ACTIONS(2733),
    [anon_sym_BSLASHm] = ACTIONS(2733),
    [anon_sym_BSLASHpo] = ACTIONS(2733),
    [anon_sym_BSLASHpr] = ACTIONS(2733),
    [anon_sym_BSLASHcls] = ACTIONS(2733),
    [anon_sym_BSLASHpmo] = ACTIONS(2733),
    [anon_sym_BSLASHpm] = ACTIONS(2733),
    [anon_sym_BSLASHpmc] = ACTIONS(2733),
    [anon_sym_BSLASHpmr] = ACTIONS(2733),
    [anon_sym_BSLASHpi] = ACTIONS(2733),
    [anon_sym_BSLASHmi] = ACTIONS(2733),
    [anon_sym_BSLASHnb] = ACTIONS(2733),
    [anon_sym_BSLASHpc] = ACTIONS(2733),
    [anon_sym_BSLASHph] = ACTIONS(2733),
    [anon_sym_BSLASHb] = ACTIONS(2733),
    [anon_sym_BSLASHq] = ACTIONS(2733),
    [anon_sym_BSLASHqr] = ACTIONS(2733),
    [anon_sym_BSLASHqc] = ACTIONS(2733),
    [anon_sym_BSLASHqa] = ACTIONS(2733),
    [anon_sym_BSLASHqm] = ACTIONS(2733),
    [anon_sym_BSLASHqd] = ACTIONS(2733),
    [anon_sym_BSLASHlh] = ACTIONS(2733),
    [anon_sym_BSLASHli] = ACTIONS(2733),
    [anon_sym_BSLASHlim] = ACTIONS(2733),
    [anon_sym_BSLASHtr] = ACTIONS(2733),
    [sym_thTag] = ACTIONS(2733),
    [sym_thrTag] = ACTIONS(2733),
    [sym_tcTag] = ACTIONS(2733),
    [sym_tcrTag] = ACTIONS(2733),
    [anon_sym_BSLASHf] = ACTIONS(2733),
    [anon_sym_BSLASHfe] = ACTIONS(2733),
    [anon_sym_BSLASHef] = ACTIONS(2733),
    [anon_sym_BSLASHfm] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASHfig] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASHpb] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesb] = ACTIONS(2733),
  },
  [614] = {
    [ts_builtin_sym_end] = ACTIONS(5528),
    [aux_sym_text_token1] = ACTIONS(5528),
    [anon_sym_BSLASHsts] = ACTIONS(5530),
    [anon_sym_BSLASHrem] = ACTIONS(5530),
    [anon_sym_BSLASHrestore] = ACTIONS(5530),
    [anon_sym_BSLASHlit] = ACTIONS(5530),
    [anon_sym_BSLASHip] = ACTIONS(5530),
    [anon_sym_BSLASHiex] = ACTIONS(5530),
    [anon_sym_BSLASHc] = ACTIONS(5530),
    [anon_sym_BSLASHcl] = ACTIONS(5530),
    [anon_sym_BSLASHca] = ACTIONS(5530),
    [anon_sym_BSLASHcp] = ACTIONS(5530),
    [anon_sym_BSLASHcd] = ACTIONS(5530),
    [anon_sym_BSLASHmte] = ACTIONS(5530),
    [anon_sym_BSLASHms] = ACTIONS(5530),
    [anon_sym_BSLASHs] = ACTIONS(5530),
    [anon_sym_BSLASHsr] = ACTIONS(5530),
    [anon_sym_BSLASHr] = ACTIONS(5530),
    [anon_sym_BSLASHsp] = ACTIONS(5530),
    [anon_sym_BSLASHd] = ACTIONS(5530),
    [anon_sym_BSLASHsd] = ACTIONS(5530),
    [anon_sym_BSLASHp] = ACTIONS(5530),
    [anon_sym_BSLASHm] = ACTIONS(5530),
    [anon_sym_BSLASHpo] = ACTIONS(5530),
    [anon_sym_BSLASHpr] = ACTIONS(5530),
    [anon_sym_BSLASHcls] = ACTIONS(5530),
    [anon_sym_BSLASHpmo] = ACTIONS(5530),
    [anon_sym_BSLASHpm] = ACTIONS(5530),
    [anon_sym_BSLASHpmc] = ACTIONS(5530),
    [anon_sym_BSLASHpmr] = ACTIONS(5530),
    [anon_sym_BSLASHpi] = ACTIONS(5530),
    [anon_sym_BSLASHmi] = ACTIONS(5530),
    [anon_sym_BSLASHnb] = ACTIONS(5530),
    [anon_sym_BSLASHpc] = ACTIONS(5530),
    [anon_sym_BSLASHph] = ACTIONS(5530),
    [anon_sym_BSLASHb] = ACTIONS(5530),
    [anon_sym_BSLASHq] = ACTIONS(5530),
    [anon_sym_BSLASHqr] = ACTIONS(5530),
    [anon_sym_BSLASHqc] = ACTIONS(5530),
    [anon_sym_BSLASHqa] = ACTIONS(5530),
    [anon_sym_BSLASHqm] = ACTIONS(5530),
    [anon_sym_BSLASHqd] = ACTIONS(5530),
    [anon_sym_BSLASHlh] = ACTIONS(5530),
    [anon_sym_BSLASHli] = ACTIONS(5530),
    [anon_sym_BSLASHlim] = ACTIONS(5530),
    [anon_sym_BSLASHtr] = ACTIONS(5530),
    [anon_sym_BSLASHf] = ACTIONS(5530),
    [anon_sym_BSLASHfe] = ACTIONS(5530),
    [anon_sym_BSLASHef] = ACTIONS(5530),
    [anon_sym_BSLASHfm] = ACTIONS(5530),
    [anon_sym_BSLASHx] = ACTIONS(5530),
    [anon_sym_BSLASHxt] = ACTIONS(5530),
    [anon_sym_BSLASHrq] = ACTIONS(5530),
    [anon_sym_BSLASHadd] = ACTIONS(5530),
    [anon_sym_BSLASHbk] = ACTIONS(5530),
    [anon_sym_BSLASHdc] = ACTIONS(5530),
    [anon_sym_BSLASHk] = ACTIONS(5530),
    [anon_sym_BSLASHnd] = ACTIONS(5530),
    [anon_sym_BSLASHord] = ACTIONS(5530),
    [anon_sym_BSLASHpn] = ACTIONS(5530),
    [anon_sym_BSLASHpng] = ACTIONS(5530),
    [anon_sym_BSLASHaddpn] = ACTIONS(5530),
    [anon_sym_BSLASHqt] = ACTIONS(5530),
    [anon_sym_BSLASHsig] = ACTIONS(5530),
    [anon_sym_BSLASHsls] = ACTIONS(5530),
    [anon_sym_BSLASHtl] = ACTIONS(5530),
    [anon_sym_BSLASHwj] = ACTIONS(5530),
    [anon_sym_BSLASHem] = ACTIONS(5530),
    [anon_sym_BSLASHbd] = ACTIONS(5530),
    [anon_sym_BSLASHit] = ACTIONS(5530),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5530),
    [anon_sym_BSLASHsc] = ACTIONS(5530),
    [anon_sym_BSLASHsup] = ACTIONS(5530),
    [anon_sym_BSLASHndx] = ACTIONS(5530),
    [anon_sym_BSLASHpro] = ACTIONS(5530),
    [anon_sym_BSLASHrb] = ACTIONS(5530),
    [anon_sym_BSLASHw] = ACTIONS(5530),
    [anon_sym_BSLASHwg] = ACTIONS(5530),
    [anon_sym_BSLASHwh] = ACTIONS(5530),
    [anon_sym_BSLASHwa] = ACTIONS(5530),
    [anon_sym_BSLASHfig] = ACTIONS(5530),
    [anon_sym_BSLASHjmp] = ACTIONS(5530),
    [anon_sym_BSLASHpb] = ACTIONS(5530),
    [anon_sym_BSLASH] = ACTIONS(5530),
    [sym_milestoneStartTag] = ACTIONS(5530),
    [sym_milestoneEndTag] = ACTIONS(5530),
    [sym_zSpaceTag] = ACTIONS(5530),
    [anon_sym_BSLASHesb] = ACTIONS(5530),
  },
  [615] = {
    [ts_builtin_sym_end] = ACTIONS(2639),
    [aux_sym_text_token1] = ACTIONS(2639),
    [anon_sym_BSLASHsts] = ACTIONS(2641),
    [anon_sym_BSLASHrem] = ACTIONS(2641),
    [anon_sym_BSLASHrestore] = ACTIONS(2641),
    [anon_sym_BSLASHlit] = ACTIONS(2641),
    [anon_sym_BSLASHip] = ACTIONS(2641),
    [anon_sym_BSLASHiex] = ACTIONS(2641),
    [anon_sym_BSLASHc] = ACTIONS(2641),
    [anon_sym_BSLASHcl] = ACTIONS(2641),
    [anon_sym_BSLASHca] = ACTIONS(2641),
    [anon_sym_BSLASHcp] = ACTIONS(2641),
    [anon_sym_BSLASHcd] = ACTIONS(2641),
    [anon_sym_BSLASHmte] = ACTIONS(2641),
    [anon_sym_BSLASHms] = ACTIONS(2641),
    [anon_sym_BSLASHs] = ACTIONS(2641),
    [anon_sym_BSLASHr] = ACTIONS(2641),
    [anon_sym_BSLASHsp] = ACTIONS(2641),
    [anon_sym_BSLASHd] = ACTIONS(2641),
    [anon_sym_BSLASHsd] = ACTIONS(2641),
    [anon_sym_BSLASHp] = ACTIONS(2641),
    [anon_sym_BSLASHm] = ACTIONS(2641),
    [anon_sym_BSLASHpo] = ACTIONS(2641),
    [anon_sym_BSLASHpr] = ACTIONS(2641),
    [anon_sym_BSLASHcls] = ACTIONS(2641),
    [anon_sym_BSLASHpmo] = ACTIONS(2641),
    [anon_sym_BSLASHpm] = ACTIONS(2641),
    [anon_sym_BSLASHpmc] = ACTIONS(2641),
    [anon_sym_BSLASHpmr] = ACTIONS(2641),
    [anon_sym_BSLASHpi] = ACTIONS(2641),
    [anon_sym_BSLASHmi] = ACTIONS(2641),
    [anon_sym_BSLASHnb] = ACTIONS(2641),
    [anon_sym_BSLASHpc] = ACTIONS(2641),
    [anon_sym_BSLASHph] = ACTIONS(2641),
    [anon_sym_BSLASHb] = ACTIONS(2641),
    [anon_sym_BSLASHq] = ACTIONS(2641),
    [anon_sym_BSLASHqr] = ACTIONS(2641),
    [anon_sym_BSLASHqc] = ACTIONS(2641),
    [anon_sym_BSLASHqa] = ACTIONS(2641),
    [anon_sym_BSLASHqm] = ACTIONS(2641),
    [anon_sym_BSLASHqd] = ACTIONS(2641),
    [anon_sym_BSLASHlh] = ACTIONS(2641),
    [anon_sym_BSLASHli] = ACTIONS(2641),
    [anon_sym_BSLASHlim] = ACTIONS(2641),
    [anon_sym_BSLASHtr] = ACTIONS(2641),
    [sym_thTag] = ACTIONS(2641),
    [sym_thrTag] = ACTIONS(2641),
    [sym_tcTag] = ACTIONS(2641),
    [sym_tcrTag] = ACTIONS(2641),
    [anon_sym_BSLASHf] = ACTIONS(2641),
    [anon_sym_BSLASHfe] = ACTIONS(2641),
    [anon_sym_BSLASHef] = ACTIONS(2641),
    [anon_sym_BSLASHfm] = ACTIONS(2641),
    [anon_sym_BSLASHadd] = ACTIONS(2641),
    [anon_sym_BSLASHbk] = ACTIONS(2641),
    [anon_sym_BSLASHdc] = ACTIONS(2641),
    [anon_sym_BSLASHk] = ACTIONS(2641),
    [anon_sym_BSLASHnd] = ACTIONS(2641),
    [anon_sym_BSLASHord] = ACTIONS(2641),
    [anon_sym_BSLASHpn] = ACTIONS(2641),
    [anon_sym_BSLASHpng] = ACTIONS(2641),
    [anon_sym_BSLASHaddpn] = ACTIONS(2641),
    [anon_sym_BSLASHqt] = ACTIONS(2641),
    [anon_sym_BSLASHsig] = ACTIONS(2641),
    [anon_sym_BSLASHsls] = ACTIONS(2641),
    [anon_sym_BSLASHtl] = ACTIONS(2641),
    [anon_sym_BSLASHwj] = ACTIONS(2641),
    [anon_sym_BSLASHem] = ACTIONS(2641),
    [anon_sym_BSLASHbd] = ACTIONS(2641),
    [anon_sym_BSLASHit] = ACTIONS(2641),
    [anon_sym_BSLASHbdit] = ACTIONS(2641),
    [anon_sym_BSLASHno] = ACTIONS(2641),
    [anon_sym_BSLASHsc] = ACTIONS(2641),
    [anon_sym_BSLASHsup] = ACTIONS(2641),
    [anon_sym_BSLASHndx] = ACTIONS(2641),
    [anon_sym_BSLASHpro] = ACTIONS(2641),
    [anon_sym_BSLASHrb] = ACTIONS(2641),
    [anon_sym_BSLASHw] = ACTIONS(2641),
    [anon_sym_BSLASHwg] = ACTIONS(2641),
    [anon_sym_BSLASHwh] = ACTIONS(2641),
    [anon_sym_BSLASHwa] = ACTIONS(2641),
    [anon_sym_BSLASHfig] = ACTIONS(2641),
    [anon_sym_BSLASHjmp] = ACTIONS(2641),
    [anon_sym_BSLASHpb] = ACTIONS(2641),
    [anon_sym_BSLASH] = ACTIONS(2641),
    [sym_milestoneStartTag] = ACTIONS(2641),
    [sym_milestoneEndTag] = ACTIONS(2641),
    [sym_zSpaceTag] = ACTIONS(2641),
    [anon_sym_BSLASHesb] = ACTIONS(2641),
  },
  [616] = {
    [ts_builtin_sym_end] = ACTIONS(2735),
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHiex] = ACTIONS(2737),
    [anon_sym_BSLASHc] = ACTIONS(2737),
    [anon_sym_BSLASHcl] = ACTIONS(2737),
    [anon_sym_BSLASHca] = ACTIONS(2737),
    [anon_sym_BSLASHcp] = ACTIONS(2737),
    [anon_sym_BSLASHcd] = ACTIONS(2737),
    [anon_sym_BSLASHmte] = ACTIONS(2737),
    [anon_sym_BSLASHms] = ACTIONS(2737),
    [anon_sym_BSLASHs] = ACTIONS(2737),
    [anon_sym_BSLASHr] = ACTIONS(2737),
    [anon_sym_BSLASHsp] = ACTIONS(2737),
    [anon_sym_BSLASHd] = ACTIONS(2737),
    [anon_sym_BSLASHsd] = ACTIONS(2737),
    [anon_sym_BSLASHp] = ACTIONS(2737),
    [anon_sym_BSLASHm] = ACTIONS(2737),
    [anon_sym_BSLASHpo] = ACTIONS(2737),
    [anon_sym_BSLASHpr] = ACTIONS(2737),
    [anon_sym_BSLASHcls] = ACTIONS(2737),
    [anon_sym_BSLASHpmo] = ACTIONS(2737),
    [anon_sym_BSLASHpm] = ACTIONS(2737),
    [anon_sym_BSLASHpmc] = ACTIONS(2737),
    [anon_sym_BSLASHpmr] = ACTIONS(2737),
    [anon_sym_BSLASHpi] = ACTIONS(2737),
    [anon_sym_BSLASHmi] = ACTIONS(2737),
    [anon_sym_BSLASHnb] = ACTIONS(2737),
    [anon_sym_BSLASHpc] = ACTIONS(2737),
    [anon_sym_BSLASHph] = ACTIONS(2737),
    [anon_sym_BSLASHb] = ACTIONS(2737),
    [anon_sym_BSLASHq] = ACTIONS(2737),
    [anon_sym_BSLASHqr] = ACTIONS(2737),
    [anon_sym_BSLASHqc] = ACTIONS(2737),
    [anon_sym_BSLASHqa] = ACTIONS(2737),
    [anon_sym_BSLASHqm] = ACTIONS(2737),
    [anon_sym_BSLASHqd] = ACTIONS(2737),
    [anon_sym_BSLASHlh] = ACTIONS(2737),
    [anon_sym_BSLASHli] = ACTIONS(2737),
    [anon_sym_BSLASHlim] = ACTIONS(2737),
    [anon_sym_BSLASHtr] = ACTIONS(2737),
    [sym_thTag] = ACTIONS(2737),
    [sym_thrTag] = ACTIONS(2737),
    [sym_tcTag] = ACTIONS(2737),
    [sym_tcrTag] = ACTIONS(2737),
    [anon_sym_BSLASHf] = ACTIONS(2737),
    [anon_sym_BSLASHfe] = ACTIONS(2737),
    [anon_sym_BSLASHef] = ACTIONS(2737),
    [anon_sym_BSLASHfm] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASHfig] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASHpb] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesb] = ACTIONS(2737),
  },
  [617] = {
    [ts_builtin_sym_end] = ACTIONS(2675),
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHiex] = ACTIONS(2677),
    [anon_sym_BSLASHc] = ACTIONS(2677),
    [anon_sym_BSLASHcl] = ACTIONS(2677),
    [anon_sym_BSLASHca] = ACTIONS(2677),
    [anon_sym_BSLASHcp] = ACTIONS(2677),
    [anon_sym_BSLASHcd] = ACTIONS(2677),
    [anon_sym_BSLASHmte] = ACTIONS(2677),
    [anon_sym_BSLASHms] = ACTIONS(2677),
    [anon_sym_BSLASHs] = ACTIONS(2677),
    [anon_sym_BSLASHr] = ACTIONS(2677),
    [anon_sym_BSLASHsp] = ACTIONS(2677),
    [anon_sym_BSLASHd] = ACTIONS(2677),
    [anon_sym_BSLASHsd] = ACTIONS(2677),
    [anon_sym_BSLASHp] = ACTIONS(2677),
    [anon_sym_BSLASHm] = ACTIONS(2677),
    [anon_sym_BSLASHpo] = ACTIONS(2677),
    [anon_sym_BSLASHpr] = ACTIONS(2677),
    [anon_sym_BSLASHcls] = ACTIONS(2677),
    [anon_sym_BSLASHpmo] = ACTIONS(2677),
    [anon_sym_BSLASHpm] = ACTIONS(2677),
    [anon_sym_BSLASHpmc] = ACTIONS(2677),
    [anon_sym_BSLASHpmr] = ACTIONS(2677),
    [anon_sym_BSLASHpi] = ACTIONS(2677),
    [anon_sym_BSLASHmi] = ACTIONS(2677),
    [anon_sym_BSLASHnb] = ACTIONS(2677),
    [anon_sym_BSLASHpc] = ACTIONS(2677),
    [anon_sym_BSLASHph] = ACTIONS(2677),
    [anon_sym_BSLASHb] = ACTIONS(2677),
    [anon_sym_BSLASHq] = ACTIONS(2677),
    [anon_sym_BSLASHqr] = ACTIONS(2677),
    [anon_sym_BSLASHqc] = ACTIONS(2677),
    [anon_sym_BSLASHqa] = ACTIONS(2677),
    [anon_sym_BSLASHqm] = ACTIONS(2677),
    [anon_sym_BSLASHqd] = ACTIONS(2677),
    [anon_sym_BSLASHlh] = ACTIONS(2677),
    [anon_sym_BSLASHli] = ACTIONS(2677),
    [anon_sym_BSLASHlim] = ACTIONS(2677),
    [anon_sym_BSLASHtr] = ACTIONS(2677),
    [sym_thTag] = ACTIONS(2677),
    [sym_thrTag] = ACTIONS(2677),
    [sym_tcTag] = ACTIONS(2677),
    [sym_tcrTag] = ACTIONS(2677),
    [anon_sym_BSLASHf] = ACTIONS(2677),
    [anon_sym_BSLASHfe] = ACTIONS(2677),
    [anon_sym_BSLASHef] = ACTIONS(2677),
    [anon_sym_BSLASHfm] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASHfig] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASHpb] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesb] = ACTIONS(2677),
  },
  [618] = {
    [ts_builtin_sym_end] = ACTIONS(13),
    [aux_sym_text_token1] = ACTIONS(13),
    [anon_sym_BSLASHsts] = ACTIONS(15),
    [anon_sym_BSLASHrem] = ACTIONS(15),
    [anon_sym_BSLASHrestore] = ACTIONS(15),
    [anon_sym_BSLASHlit] = ACTIONS(15),
    [anon_sym_BSLASHip] = ACTIONS(15),
    [anon_sym_BSLASHiex] = ACTIONS(15),
    [anon_sym_BSLASHc] = ACTIONS(15),
    [anon_sym_BSLASHcl] = ACTIONS(15),
    [anon_sym_BSLASHca] = ACTIONS(15),
    [anon_sym_BSLASHcp] = ACTIONS(15),
    [anon_sym_BSLASHcd] = ACTIONS(15),
    [anon_sym_BSLASHmte] = ACTIONS(15),
    [anon_sym_BSLASHms] = ACTIONS(15),
    [anon_sym_BSLASHs] = ACTIONS(15),
    [anon_sym_BSLASHr] = ACTIONS(15),
    [anon_sym_BSLASHsp] = ACTIONS(15),
    [anon_sym_BSLASHd] = ACTIONS(15),
    [anon_sym_BSLASHsd] = ACTIONS(15),
    [anon_sym_BSLASHp] = ACTIONS(15),
    [anon_sym_BSLASHm] = ACTIONS(15),
    [anon_sym_BSLASHpo] = ACTIONS(15),
    [anon_sym_BSLASHpr] = ACTIONS(15),
    [anon_sym_BSLASHcls] = ACTIONS(15),
    [anon_sym_BSLASHpmo] = ACTIONS(15),
    [anon_sym_BSLASHpm] = ACTIONS(15),
    [anon_sym_BSLASHpmc] = ACTIONS(15),
    [anon_sym_BSLASHpmr] = ACTIONS(15),
    [anon_sym_BSLASHpi] = ACTIONS(15),
    [anon_sym_BSLASHmi] = ACTIONS(15),
    [anon_sym_BSLASHnb] = ACTIONS(15),
    [anon_sym_BSLASHpc] = ACTIONS(15),
    [anon_sym_BSLASHph] = ACTIONS(15),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [anon_sym_BSLASHq] = ACTIONS(15),
    [anon_sym_BSLASHqr] = ACTIONS(15),
    [anon_sym_BSLASHqc] = ACTIONS(15),
    [anon_sym_BSLASHqa] = ACTIONS(15),
    [anon_sym_BSLASHqm] = ACTIONS(15),
    [anon_sym_BSLASHqd] = ACTIONS(15),
    [anon_sym_BSLASHlh] = ACTIONS(15),
    [anon_sym_BSLASHli] = ACTIONS(15),
    [anon_sym_BSLASHlim] = ACTIONS(15),
    [anon_sym_BSLASHtr] = ACTIONS(15),
    [sym_thTag] = ACTIONS(15),
    [sym_thrTag] = ACTIONS(15),
    [sym_tcTag] = ACTIONS(15),
    [sym_tcrTag] = ACTIONS(15),
    [anon_sym_BSLASHf] = ACTIONS(15),
    [anon_sym_BSLASHfe] = ACTIONS(15),
    [anon_sym_BSLASHef] = ACTIONS(15),
    [anon_sym_BSLASHfm] = ACTIONS(15),
    [anon_sym_BSLASHadd] = ACTIONS(15),
    [anon_sym_BSLASHbk] = ACTIONS(15),
    [anon_sym_BSLASHdc] = ACTIONS(15),
    [anon_sym_BSLASHk] = ACTIONS(15),
    [anon_sym_BSLASHnd] = ACTIONS(15),
    [anon_sym_BSLASHord] = ACTIONS(15),
    [anon_sym_BSLASHpn] = ACTIONS(15),
    [anon_sym_BSLASHpng] = ACTIONS(15),
    [anon_sym_BSLASHaddpn] = ACTIONS(15),
    [anon_sym_BSLASHqt] = ACTIONS(15),
    [anon_sym_BSLASHsig] = ACTIONS(15),
    [anon_sym_BSLASHsls] = ACTIONS(15),
    [anon_sym_BSLASHtl] = ACTIONS(15),
    [anon_sym_BSLASHwj] = ACTIONS(15),
    [anon_sym_BSLASHem] = ACTIONS(15),
    [anon_sym_BSLASHbd] = ACTIONS(15),
    [anon_sym_BSLASHit] = ACTIONS(15),
    [anon_sym_BSLASHbdit] = ACTIONS(15),
    [anon_sym_BSLASHno] = ACTIONS(15),
    [anon_sym_BSLASHsc] = ACTIONS(15),
    [anon_sym_BSLASHsup] = ACTIONS(15),
    [anon_sym_BSLASHndx] = ACTIONS(15),
    [anon_sym_BSLASHpro] = ACTIONS(15),
    [anon_sym_BSLASHrb] = ACTIONS(15),
    [anon_sym_BSLASHw] = ACTIONS(15),
    [anon_sym_BSLASHwg] = ACTIONS(15),
    [anon_sym_BSLASHwh] = ACTIONS(15),
    [anon_sym_BSLASHwa] = ACTIONS(15),
    [anon_sym_BSLASHfig] = ACTIONS(15),
    [anon_sym_BSLASHjmp] = ACTIONS(15),
    [anon_sym_BSLASHpb] = ACTIONS(15),
    [anon_sym_BSLASH] = ACTIONS(15),
    [sym_milestoneStartTag] = ACTIONS(15),
    [sym_milestoneEndTag] = ACTIONS(15),
    [sym_zSpaceTag] = ACTIONS(15),
    [anon_sym_BSLASHesb] = ACTIONS(15),
  },
  [619] = {
    [ts_builtin_sym_end] = ACTIONS(17),
    [aux_sym_text_token1] = ACTIONS(17),
    [anon_sym_BSLASHsts] = ACTIONS(19),
    [anon_sym_BSLASHrem] = ACTIONS(19),
    [anon_sym_BSLASHrestore] = ACTIONS(19),
    [anon_sym_BSLASHlit] = ACTIONS(19),
    [anon_sym_BSLASHip] = ACTIONS(19),
    [anon_sym_BSLASHiex] = ACTIONS(19),
    [anon_sym_BSLASHc] = ACTIONS(19),
    [anon_sym_BSLASHcl] = ACTIONS(19),
    [anon_sym_BSLASHca] = ACTIONS(19),
    [anon_sym_BSLASHcp] = ACTIONS(19),
    [anon_sym_BSLASHcd] = ACTIONS(19),
    [anon_sym_BSLASHmte] = ACTIONS(19),
    [anon_sym_BSLASHms] = ACTIONS(19),
    [anon_sym_BSLASHs] = ACTIONS(19),
    [anon_sym_BSLASHr] = ACTIONS(19),
    [anon_sym_BSLASHsp] = ACTIONS(19),
    [anon_sym_BSLASHd] = ACTIONS(19),
    [anon_sym_BSLASHsd] = ACTIONS(19),
    [anon_sym_BSLASHp] = ACTIONS(19),
    [anon_sym_BSLASHm] = ACTIONS(19),
    [anon_sym_BSLASHpo] = ACTIONS(19),
    [anon_sym_BSLASHpr] = ACTIONS(19),
    [anon_sym_BSLASHcls] = ACTIONS(19),
    [anon_sym_BSLASHpmo] = ACTIONS(19),
    [anon_sym_BSLASHpm] = ACTIONS(19),
    [anon_sym_BSLASHpmc] = ACTIONS(19),
    [anon_sym_BSLASHpmr] = ACTIONS(19),
    [anon_sym_BSLASHpi] = ACTIONS(19),
    [anon_sym_BSLASHmi] = ACTIONS(19),
    [anon_sym_BSLASHnb] = ACTIONS(19),
    [anon_sym_BSLASHpc] = ACTIONS(19),
    [anon_sym_BSLASHph] = ACTIONS(19),
    [anon_sym_BSLASHb] = ACTIONS(19),
    [anon_sym_BSLASHq] = ACTIONS(19),
    [anon_sym_BSLASHqr] = ACTIONS(19),
    [anon_sym_BSLASHqc] = ACTIONS(19),
    [anon_sym_BSLASHqa] = ACTIONS(19),
    [anon_sym_BSLASHqm] = ACTIONS(19),
    [anon_sym_BSLASHqd] = ACTIONS(19),
    [anon_sym_BSLASHlh] = ACTIONS(19),
    [anon_sym_BSLASHli] = ACTIONS(19),
    [anon_sym_BSLASHlim] = ACTIONS(19),
    [anon_sym_BSLASHtr] = ACTIONS(19),
    [sym_thTag] = ACTIONS(19),
    [sym_thrTag] = ACTIONS(19),
    [sym_tcTag] = ACTIONS(19),
    [sym_tcrTag] = ACTIONS(19),
    [anon_sym_BSLASHf] = ACTIONS(19),
    [anon_sym_BSLASHfe] = ACTIONS(19),
    [anon_sym_BSLASHef] = ACTIONS(19),
    [anon_sym_BSLASHfm] = ACTIONS(19),
    [anon_sym_BSLASHadd] = ACTIONS(19),
    [anon_sym_BSLASHbk] = ACTIONS(19),
    [anon_sym_BSLASHdc] = ACTIONS(19),
    [anon_sym_BSLASHk] = ACTIONS(19),
    [anon_sym_BSLASHnd] = ACTIONS(19),
    [anon_sym_BSLASHord] = ACTIONS(19),
    [anon_sym_BSLASHpn] = ACTIONS(19),
    [anon_sym_BSLASHpng] = ACTIONS(19),
    [anon_sym_BSLASHaddpn] = ACTIONS(19),
    [anon_sym_BSLASHqt] = ACTIONS(19),
    [anon_sym_BSLASHsig] = ACTIONS(19),
    [anon_sym_BSLASHsls] = ACTIONS(19),
    [anon_sym_BSLASHtl] = ACTIONS(19),
    [anon_sym_BSLASHwj] = ACTIONS(19),
    [anon_sym_BSLASHem] = ACTIONS(19),
    [anon_sym_BSLASHbd] = ACTIONS(19),
    [anon_sym_BSLASHit] = ACTIONS(19),
    [anon_sym_BSLASHbdit] = ACTIONS(19),
    [anon_sym_BSLASHno] = ACTIONS(19),
    [anon_sym_BSLASHsc] = ACTIONS(19),
    [anon_sym_BSLASHsup] = ACTIONS(19),
    [anon_sym_BSLASHndx] = ACTIONS(19),
    [anon_sym_BSLASHpro] = ACTIONS(19),
    [anon_sym_BSLASHrb] = ACTIONS(19),
    [anon_sym_BSLASHw] = ACTIONS(19),
    [anon_sym_BSLASHwg] = ACTIONS(19),
    [anon_sym_BSLASHwh] = ACTIONS(19),
    [anon_sym_BSLASHwa] = ACTIONS(19),
    [anon_sym_BSLASHfig] = ACTIONS(19),
    [anon_sym_BSLASHjmp] = ACTIONS(19),
    [anon_sym_BSLASHpb] = ACTIONS(19),
    [anon_sym_BSLASH] = ACTIONS(19),
    [sym_milestoneStartTag] = ACTIONS(19),
    [sym_milestoneEndTag] = ACTIONS(19),
    [sym_zSpaceTag] = ACTIONS(19),
    [anon_sym_BSLASHesb] = ACTIONS(19),
  },
  [620] = {
    [ts_builtin_sym_end] = ACTIONS(2683),
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHiex] = ACTIONS(2685),
    [anon_sym_BSLASHc] = ACTIONS(2685),
    [anon_sym_BSLASHcl] = ACTIONS(2685),
    [anon_sym_BSLASHca] = ACTIONS(2685),
    [anon_sym_BSLASHcp] = ACTIONS(2685),
    [anon_sym_BSLASHcd] = ACTIONS(2685),
    [anon_sym_BSLASHmte] = ACTIONS(2685),
    [anon_sym_BSLASHms] = ACTIONS(2685),
    [anon_sym_BSLASHs] = ACTIONS(2685),
    [anon_sym_BSLASHr] = ACTIONS(2685),
    [anon_sym_BSLASHsp] = ACTIONS(2685),
    [anon_sym_BSLASHd] = ACTIONS(2685),
    [anon_sym_BSLASHsd] = ACTIONS(2685),
    [anon_sym_BSLASHp] = ACTIONS(2685),
    [anon_sym_BSLASHm] = ACTIONS(2685),
    [anon_sym_BSLASHpo] = ACTIONS(2685),
    [anon_sym_BSLASHpr] = ACTIONS(2685),
    [anon_sym_BSLASHcls] = ACTIONS(2685),
    [anon_sym_BSLASHpmo] = ACTIONS(2685),
    [anon_sym_BSLASHpm] = ACTIONS(2685),
    [anon_sym_BSLASHpmc] = ACTIONS(2685),
    [anon_sym_BSLASHpmr] = ACTIONS(2685),
    [anon_sym_BSLASHpi] = ACTIONS(2685),
    [anon_sym_BSLASHmi] = ACTIONS(2685),
    [anon_sym_BSLASHnb] = ACTIONS(2685),
    [anon_sym_BSLASHpc] = ACTIONS(2685),
    [anon_sym_BSLASHph] = ACTIONS(2685),
    [anon_sym_BSLASHb] = ACTIONS(2685),
    [anon_sym_BSLASHq] = ACTIONS(2685),
    [anon_sym_BSLASHqr] = ACTIONS(2685),
    [anon_sym_BSLASHqc] = ACTIONS(2685),
    [anon_sym_BSLASHqa] = ACTIONS(2685),
    [anon_sym_BSLASHqm] = ACTIONS(2685),
    [anon_sym_BSLASHqd] = ACTIONS(2685),
    [anon_sym_BSLASHlh] = ACTIONS(2685),
    [anon_sym_BSLASHli] = ACTIONS(2685),
    [anon_sym_BSLASHlim] = ACTIONS(2685),
    [anon_sym_BSLASHtr] = ACTIONS(2685),
    [sym_thTag] = ACTIONS(2685),
    [sym_thrTag] = ACTIONS(2685),
    [sym_tcTag] = ACTIONS(2685),
    [sym_tcrTag] = ACTIONS(2685),
    [anon_sym_BSLASHf] = ACTIONS(2685),
    [anon_sym_BSLASHfe] = ACTIONS(2685),
    [anon_sym_BSLASHef] = ACTIONS(2685),
    [anon_sym_BSLASHfm] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASHfig] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASHpb] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesb] = ACTIONS(2685),
  },
  [621] = {
    [ts_builtin_sym_end] = ACTIONS(2623),
    [aux_sym_text_token1] = ACTIONS(2623),
    [anon_sym_BSLASHsts] = ACTIONS(2625),
    [anon_sym_BSLASHrem] = ACTIONS(2625),
    [anon_sym_BSLASHrestore] = ACTIONS(2625),
    [anon_sym_BSLASHlit] = ACTIONS(2625),
    [anon_sym_BSLASHip] = ACTIONS(2625),
    [anon_sym_BSLASHiex] = ACTIONS(2625),
    [anon_sym_BSLASHc] = ACTIONS(2625),
    [anon_sym_BSLASHcl] = ACTIONS(2625),
    [anon_sym_BSLASHca] = ACTIONS(2625),
    [anon_sym_BSLASHcp] = ACTIONS(2625),
    [anon_sym_BSLASHcd] = ACTIONS(2625),
    [anon_sym_BSLASHmte] = ACTIONS(2625),
    [anon_sym_BSLASHms] = ACTIONS(2625),
    [anon_sym_BSLASHs] = ACTIONS(2625),
    [anon_sym_BSLASHr] = ACTIONS(2625),
    [anon_sym_BSLASHsp] = ACTIONS(2625),
    [anon_sym_BSLASHd] = ACTIONS(2625),
    [anon_sym_BSLASHsd] = ACTIONS(2625),
    [anon_sym_BSLASHp] = ACTIONS(2625),
    [anon_sym_BSLASHm] = ACTIONS(2625),
    [anon_sym_BSLASHpo] = ACTIONS(2625),
    [anon_sym_BSLASHpr] = ACTIONS(2625),
    [anon_sym_BSLASHcls] = ACTIONS(2625),
    [anon_sym_BSLASHpmo] = ACTIONS(2625),
    [anon_sym_BSLASHpm] = ACTIONS(2625),
    [anon_sym_BSLASHpmc] = ACTIONS(2625),
    [anon_sym_BSLASHpmr] = ACTIONS(2625),
    [anon_sym_BSLASHpi] = ACTIONS(2625),
    [anon_sym_BSLASHmi] = ACTIONS(2625),
    [anon_sym_BSLASHnb] = ACTIONS(2625),
    [anon_sym_BSLASHpc] = ACTIONS(2625),
    [anon_sym_BSLASHph] = ACTIONS(2625),
    [anon_sym_BSLASHb] = ACTIONS(2625),
    [anon_sym_BSLASHq] = ACTIONS(2625),
    [anon_sym_BSLASHqr] = ACTIONS(2625),
    [anon_sym_BSLASHqc] = ACTIONS(2625),
    [anon_sym_BSLASHqa] = ACTIONS(2625),
    [anon_sym_BSLASHqm] = ACTIONS(2625),
    [anon_sym_BSLASHqd] = ACTIONS(2625),
    [anon_sym_BSLASHlh] = ACTIONS(2625),
    [anon_sym_BSLASHli] = ACTIONS(2625),
    [anon_sym_BSLASHlim] = ACTIONS(2625),
    [anon_sym_BSLASHtr] = ACTIONS(2625),
    [sym_thTag] = ACTIONS(2625),
    [sym_thrTag] = ACTIONS(2625),
    [sym_tcTag] = ACTIONS(2625),
    [sym_tcrTag] = ACTIONS(2625),
    [anon_sym_BSLASHf] = ACTIONS(2625),
    [anon_sym_BSLASHfe] = ACTIONS(2625),
    [anon_sym_BSLASHef] = ACTIONS(2625),
    [anon_sym_BSLASHfm] = ACTIONS(2625),
    [anon_sym_BSLASHadd] = ACTIONS(2625),
    [anon_sym_BSLASHbk] = ACTIONS(2625),
    [anon_sym_BSLASHdc] = ACTIONS(2625),
    [anon_sym_BSLASHk] = ACTIONS(2625),
    [anon_sym_BSLASHnd] = ACTIONS(2625),
    [anon_sym_BSLASHord] = ACTIONS(2625),
    [anon_sym_BSLASHpn] = ACTIONS(2625),
    [anon_sym_BSLASHpng] = ACTIONS(2625),
    [anon_sym_BSLASHaddpn] = ACTIONS(2625),
    [anon_sym_BSLASHqt] = ACTIONS(2625),
    [anon_sym_BSLASHsig] = ACTIONS(2625),
    [anon_sym_BSLASHsls] = ACTIONS(2625),
    [anon_sym_BSLASHtl] = ACTIONS(2625),
    [anon_sym_BSLASHwj] = ACTIONS(2625),
    [anon_sym_BSLASHem] = ACTIONS(2625),
    [anon_sym_BSLASHbd] = ACTIONS(2625),
    [anon_sym_BSLASHit] = ACTIONS(2625),
    [anon_sym_BSLASHbdit] = ACTIONS(2625),
    [anon_sym_BSLASHno] = ACTIONS(2625),
    [anon_sym_BSLASHsc] = ACTIONS(2625),
    [anon_sym_BSLASHsup] = ACTIONS(2625),
    [anon_sym_BSLASHndx] = ACTIONS(2625),
    [anon_sym_BSLASHpro] = ACTIONS(2625),
    [anon_sym_BSLASHrb] = ACTIONS(2625),
    [anon_sym_BSLASHw] = ACTIONS(2625),
    [anon_sym_BSLASHwg] = ACTIONS(2625),
    [anon_sym_BSLASHwh] = ACTIONS(2625),
    [anon_sym_BSLASHwa] = ACTIONS(2625),
    [anon_sym_BSLASHfig] = ACTIONS(2625),
    [anon_sym_BSLASHjmp] = ACTIONS(2625),
    [anon_sym_BSLASHpb] = ACTIONS(2625),
    [anon_sym_BSLASH] = ACTIONS(2625),
    [sym_milestoneStartTag] = ACTIONS(2625),
    [sym_milestoneEndTag] = ACTIONS(2625),
    [sym_zSpaceTag] = ACTIONS(2625),
    [anon_sym_BSLASHesb] = ACTIONS(2625),
  },
  [622] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHiex] = ACTIONS(2673),
    [anon_sym_BSLASHc] = ACTIONS(2673),
    [anon_sym_BSLASHcl] = ACTIONS(2673),
    [anon_sym_BSLASHca] = ACTIONS(2673),
    [anon_sym_BSLASHcp] = ACTIONS(2673),
    [anon_sym_BSLASHcd] = ACTIONS(2673),
    [anon_sym_BSLASHmte] = ACTIONS(2673),
    [anon_sym_BSLASHms] = ACTIONS(2673),
    [anon_sym_BSLASHs] = ACTIONS(2673),
    [anon_sym_BSLASHr] = ACTIONS(2673),
    [anon_sym_BSLASHsp] = ACTIONS(2673),
    [anon_sym_BSLASHd] = ACTIONS(2673),
    [anon_sym_BSLASHsd] = ACTIONS(2673),
    [anon_sym_BSLASHp] = ACTIONS(2673),
    [anon_sym_BSLASHm] = ACTIONS(2673),
    [anon_sym_BSLASHpo] = ACTIONS(2673),
    [anon_sym_BSLASHpr] = ACTIONS(2673),
    [anon_sym_BSLASHcls] = ACTIONS(2673),
    [anon_sym_BSLASHpmo] = ACTIONS(2673),
    [anon_sym_BSLASHpm] = ACTIONS(2673),
    [anon_sym_BSLASHpmc] = ACTIONS(2673),
    [anon_sym_BSLASHpmr] = ACTIONS(2673),
    [anon_sym_BSLASHpi] = ACTIONS(2673),
    [anon_sym_BSLASHmi] = ACTIONS(2673),
    [anon_sym_BSLASHnb] = ACTIONS(2673),
    [anon_sym_BSLASHpc] = ACTIONS(2673),
    [anon_sym_BSLASHph] = ACTIONS(2673),
    [anon_sym_BSLASHb] = ACTIONS(2673),
    [anon_sym_BSLASHq] = ACTIONS(2673),
    [anon_sym_BSLASHqr] = ACTIONS(2673),
    [anon_sym_BSLASHqc] = ACTIONS(2673),
    [anon_sym_BSLASHqa] = ACTIONS(2673),
    [anon_sym_BSLASHqm] = ACTIONS(2673),
    [anon_sym_BSLASHqd] = ACTIONS(2673),
    [anon_sym_BSLASHlh] = ACTIONS(2673),
    [anon_sym_BSLASHli] = ACTIONS(2673),
    [anon_sym_BSLASHlim] = ACTIONS(2673),
    [anon_sym_BSLASHtr] = ACTIONS(2673),
    [sym_thTag] = ACTIONS(2673),
    [sym_thrTag] = ACTIONS(2673),
    [sym_tcTag] = ACTIONS(2673),
    [sym_tcrTag] = ACTIONS(2673),
    [anon_sym_BSLASHf] = ACTIONS(2673),
    [anon_sym_BSLASHfe] = ACTIONS(2673),
    [anon_sym_BSLASHef] = ACTIONS(2673),
    [anon_sym_BSLASHfm] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASHfig] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASHpb] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesb] = ACTIONS(2673),
  },
  [623] = {
    [ts_builtin_sym_end] = ACTIONS(2667),
    [aux_sym_text_token1] = ACTIONS(2667),
    [anon_sym_BSLASHsts] = ACTIONS(2669),
    [anon_sym_BSLASHrem] = ACTIONS(2669),
    [anon_sym_BSLASHrestore] = ACTIONS(2669),
    [anon_sym_BSLASHlit] = ACTIONS(2669),
    [anon_sym_BSLASHip] = ACTIONS(2669),
    [anon_sym_BSLASHiex] = ACTIONS(2669),
    [anon_sym_BSLASHc] = ACTIONS(2669),
    [anon_sym_BSLASHcl] = ACTIONS(2669),
    [anon_sym_BSLASHca] = ACTIONS(2669),
    [anon_sym_BSLASHcp] = ACTIONS(2669),
    [anon_sym_BSLASHcd] = ACTIONS(2669),
    [anon_sym_BSLASHmte] = ACTIONS(2669),
    [anon_sym_BSLASHms] = ACTIONS(2669),
    [anon_sym_BSLASHs] = ACTIONS(2669),
    [anon_sym_BSLASHr] = ACTIONS(2669),
    [anon_sym_BSLASHsp] = ACTIONS(2669),
    [anon_sym_BSLASHd] = ACTIONS(2669),
    [anon_sym_BSLASHsd] = ACTIONS(2669),
    [anon_sym_BSLASHp] = ACTIONS(2669),
    [anon_sym_BSLASHm] = ACTIONS(2669),
    [anon_sym_BSLASHpo] = ACTIONS(2669),
    [anon_sym_BSLASHpr] = ACTIONS(2669),
    [anon_sym_BSLASHcls] = ACTIONS(2669),
    [anon_sym_BSLASHpmo] = ACTIONS(2669),
    [anon_sym_BSLASHpm] = ACTIONS(2669),
    [anon_sym_BSLASHpmc] = ACTIONS(2669),
    [anon_sym_BSLASHpmr] = ACTIONS(2669),
    [anon_sym_BSLASHpi] = ACTIONS(2669),
    [anon_sym_BSLASHmi] = ACTIONS(2669),
    [anon_sym_BSLASHnb] = ACTIONS(2669),
    [anon_sym_BSLASHpc] = ACTIONS(2669),
    [anon_sym_BSLASHph] = ACTIONS(2669),
    [anon_sym_BSLASHb] = ACTIONS(2669),
    [anon_sym_BSLASHq] = ACTIONS(2669),
    [anon_sym_BSLASHqr] = ACTIONS(2669),
    [anon_sym_BSLASHqc] = ACTIONS(2669),
    [anon_sym_BSLASHqa] = ACTIONS(2669),
    [anon_sym_BSLASHqm] = ACTIONS(2669),
    [anon_sym_BSLASHqd] = ACTIONS(2669),
    [anon_sym_BSLASHlh] = ACTIONS(2669),
    [anon_sym_BSLASHli] = ACTIONS(2669),
    [anon_sym_BSLASHlim] = ACTIONS(2669),
    [anon_sym_BSLASHtr] = ACTIONS(2669),
    [sym_thTag] = ACTIONS(2669),
    [sym_thrTag] = ACTIONS(2669),
    [sym_tcTag] = ACTIONS(2669),
    [sym_tcrTag] = ACTIONS(2669),
    [anon_sym_BSLASHf] = ACTIONS(2669),
    [anon_sym_BSLASHfe] = ACTIONS(2669),
    [anon_sym_BSLASHef] = ACTIONS(2669),
    [anon_sym_BSLASHfm] = ACTIONS(2669),
    [anon_sym_BSLASHadd] = ACTIONS(2669),
    [anon_sym_BSLASHbk] = ACTIONS(2669),
    [anon_sym_BSLASHdc] = ACTIONS(2669),
    [anon_sym_BSLASHk] = ACTIONS(2669),
    [anon_sym_BSLASHnd] = ACTIONS(2669),
    [anon_sym_BSLASHord] = ACTIONS(2669),
    [anon_sym_BSLASHpn] = ACTIONS(2669),
    [anon_sym_BSLASHpng] = ACTIONS(2669),
    [anon_sym_BSLASHaddpn] = ACTIONS(2669),
    [anon_sym_BSLASHqt] = ACTIONS(2669),
    [anon_sym_BSLASHsig] = ACTIONS(2669),
    [anon_sym_BSLASHsls] = ACTIONS(2669),
    [anon_sym_BSLASHtl] = ACTIONS(2669),
    [anon_sym_BSLASHwj] = ACTIONS(2669),
    [anon_sym_BSLASHem] = ACTIONS(2669),
    [anon_sym_BSLASHbd] = ACTIONS(2669),
    [anon_sym_BSLASHit] = ACTIONS(2669),
    [anon_sym_BSLASHbdit] = ACTIONS(2669),
    [anon_sym_BSLASHno] = ACTIONS(2669),
    [anon_sym_BSLASHsc] = ACTIONS(2669),
    [anon_sym_BSLASHsup] = ACTIONS(2669),
    [anon_sym_BSLASHndx] = ACTIONS(2669),
    [anon_sym_BSLASHpro] = ACTIONS(2669),
    [anon_sym_BSLASHrb] = ACTIONS(2669),
    [anon_sym_BSLASHw] = ACTIONS(2669),
    [anon_sym_BSLASHwg] = ACTIONS(2669),
    [anon_sym_BSLASHwh] = ACTIONS(2669),
    [anon_sym_BSLASHwa] = ACTIONS(2669),
    [anon_sym_BSLASHfig] = ACTIONS(2669),
    [anon_sym_BSLASHjmp] = ACTIONS(2669),
    [anon_sym_BSLASHpb] = ACTIONS(2669),
    [anon_sym_BSLASH] = ACTIONS(2669),
    [sym_milestoneStartTag] = ACTIONS(2669),
    [sym_milestoneEndTag] = ACTIONS(2669),
    [sym_zSpaceTag] = ACTIONS(2669),
    [anon_sym_BSLASHesb] = ACTIONS(2669),
  },
  [624] = {
    [ts_builtin_sym_end] = ACTIONS(2663),
    [aux_sym_text_token1] = ACTIONS(2663),
    [anon_sym_BSLASHsts] = ACTIONS(2665),
    [anon_sym_BSLASHrem] = ACTIONS(2665),
    [anon_sym_BSLASHrestore] = ACTIONS(2665),
    [anon_sym_BSLASHlit] = ACTIONS(2665),
    [anon_sym_BSLASHip] = ACTIONS(2665),
    [anon_sym_BSLASHiex] = ACTIONS(2665),
    [anon_sym_BSLASHc] = ACTIONS(2665),
    [anon_sym_BSLASHcl] = ACTIONS(2665),
    [anon_sym_BSLASHca] = ACTIONS(2665),
    [anon_sym_BSLASHcp] = ACTIONS(2665),
    [anon_sym_BSLASHcd] = ACTIONS(2665),
    [anon_sym_BSLASHmte] = ACTIONS(2665),
    [anon_sym_BSLASHms] = ACTIONS(2665),
    [anon_sym_BSLASHs] = ACTIONS(2665),
    [anon_sym_BSLASHr] = ACTIONS(2665),
    [anon_sym_BSLASHsp] = ACTIONS(2665),
    [anon_sym_BSLASHd] = ACTIONS(2665),
    [anon_sym_BSLASHsd] = ACTIONS(2665),
    [anon_sym_BSLASHp] = ACTIONS(2665),
    [anon_sym_BSLASHm] = ACTIONS(2665),
    [anon_sym_BSLASHpo] = ACTIONS(2665),
    [anon_sym_BSLASHpr] = ACTIONS(2665),
    [anon_sym_BSLASHcls] = ACTIONS(2665),
    [anon_sym_BSLASHpmo] = ACTIONS(2665),
    [anon_sym_BSLASHpm] = ACTIONS(2665),
    [anon_sym_BSLASHpmc] = ACTIONS(2665),
    [anon_sym_BSLASHpmr] = ACTIONS(2665),
    [anon_sym_BSLASHpi] = ACTIONS(2665),
    [anon_sym_BSLASHmi] = ACTIONS(2665),
    [anon_sym_BSLASHnb] = ACTIONS(2665),
    [anon_sym_BSLASHpc] = ACTIONS(2665),
    [anon_sym_BSLASHph] = ACTIONS(2665),
    [anon_sym_BSLASHb] = ACTIONS(2665),
    [anon_sym_BSLASHq] = ACTIONS(2665),
    [anon_sym_BSLASHqr] = ACTIONS(2665),
    [anon_sym_BSLASHqc] = ACTIONS(2665),
    [anon_sym_BSLASHqa] = ACTIONS(2665),
    [anon_sym_BSLASHqm] = ACTIONS(2665),
    [anon_sym_BSLASHqd] = ACTIONS(2665),
    [anon_sym_BSLASHlh] = ACTIONS(2665),
    [anon_sym_BSLASHli] = ACTIONS(2665),
    [anon_sym_BSLASHlim] = ACTIONS(2665),
    [anon_sym_BSLASHtr] = ACTIONS(2665),
    [sym_thTag] = ACTIONS(2665),
    [sym_thrTag] = ACTIONS(2665),
    [sym_tcTag] = ACTIONS(2665),
    [sym_tcrTag] = ACTIONS(2665),
    [anon_sym_BSLASHf] = ACTIONS(2665),
    [anon_sym_BSLASHfe] = ACTIONS(2665),
    [anon_sym_BSLASHef] = ACTIONS(2665),
    [anon_sym_BSLASHfm] = ACTIONS(2665),
    [anon_sym_BSLASHadd] = ACTIONS(2665),
    [anon_sym_BSLASHbk] = ACTIONS(2665),
    [anon_sym_BSLASHdc] = ACTIONS(2665),
    [anon_sym_BSLASHk] = ACTIONS(2665),
    [anon_sym_BSLASHnd] = ACTIONS(2665),
    [anon_sym_BSLASHord] = ACTIONS(2665),
    [anon_sym_BSLASHpn] = ACTIONS(2665),
    [anon_sym_BSLASHpng] = ACTIONS(2665),
    [anon_sym_BSLASHaddpn] = ACTIONS(2665),
    [anon_sym_BSLASHqt] = ACTIONS(2665),
    [anon_sym_BSLASHsig] = ACTIONS(2665),
    [anon_sym_BSLASHsls] = ACTIONS(2665),
    [anon_sym_BSLASHtl] = ACTIONS(2665),
    [anon_sym_BSLASHwj] = ACTIONS(2665),
    [anon_sym_BSLASHem] = ACTIONS(2665),
    [anon_sym_BSLASHbd] = ACTIONS(2665),
    [anon_sym_BSLASHit] = ACTIONS(2665),
    [anon_sym_BSLASHbdit] = ACTIONS(2665),
    [anon_sym_BSLASHno] = ACTIONS(2665),
    [anon_sym_BSLASHsc] = ACTIONS(2665),
    [anon_sym_BSLASHsup] = ACTIONS(2665),
    [anon_sym_BSLASHndx] = ACTIONS(2665),
    [anon_sym_BSLASHpro] = ACTIONS(2665),
    [anon_sym_BSLASHrb] = ACTIONS(2665),
    [anon_sym_BSLASHw] = ACTIONS(2665),
    [anon_sym_BSLASHwg] = ACTIONS(2665),
    [anon_sym_BSLASHwh] = ACTIONS(2665),
    [anon_sym_BSLASHwa] = ACTIONS(2665),
    [anon_sym_BSLASHfig] = ACTIONS(2665),
    [anon_sym_BSLASHjmp] = ACTIONS(2665),
    [anon_sym_BSLASHpb] = ACTIONS(2665),
    [anon_sym_BSLASH] = ACTIONS(2665),
    [sym_milestoneStartTag] = ACTIONS(2665),
    [sym_milestoneEndTag] = ACTIONS(2665),
    [sym_zSpaceTag] = ACTIONS(2665),
    [anon_sym_BSLASHesb] = ACTIONS(2665),
  },
  [625] = {
    [ts_builtin_sym_end] = ACTIONS(2655),
    [aux_sym_text_token1] = ACTIONS(2655),
    [anon_sym_BSLASHsts] = ACTIONS(2657),
    [anon_sym_BSLASHrem] = ACTIONS(2657),
    [anon_sym_BSLASHrestore] = ACTIONS(2657),
    [anon_sym_BSLASHlit] = ACTIONS(2657),
    [anon_sym_BSLASHip] = ACTIONS(2657),
    [anon_sym_BSLASHiex] = ACTIONS(2657),
    [anon_sym_BSLASHc] = ACTIONS(2657),
    [anon_sym_BSLASHcl] = ACTIONS(2657),
    [anon_sym_BSLASHca] = ACTIONS(2657),
    [anon_sym_BSLASHcp] = ACTIONS(2657),
    [anon_sym_BSLASHcd] = ACTIONS(2657),
    [anon_sym_BSLASHmte] = ACTIONS(2657),
    [anon_sym_BSLASHms] = ACTIONS(2657),
    [anon_sym_BSLASHs] = ACTIONS(2657),
    [anon_sym_BSLASHr] = ACTIONS(2657),
    [anon_sym_BSLASHsp] = ACTIONS(2657),
    [anon_sym_BSLASHd] = ACTIONS(2657),
    [anon_sym_BSLASHsd] = ACTIONS(2657),
    [anon_sym_BSLASHp] = ACTIONS(2657),
    [anon_sym_BSLASHm] = ACTIONS(2657),
    [anon_sym_BSLASHpo] = ACTIONS(2657),
    [anon_sym_BSLASHpr] = ACTIONS(2657),
    [anon_sym_BSLASHcls] = ACTIONS(2657),
    [anon_sym_BSLASHpmo] = ACTIONS(2657),
    [anon_sym_BSLASHpm] = ACTIONS(2657),
    [anon_sym_BSLASHpmc] = ACTIONS(2657),
    [anon_sym_BSLASHpmr] = ACTIONS(2657),
    [anon_sym_BSLASHpi] = ACTIONS(2657),
    [anon_sym_BSLASHmi] = ACTIONS(2657),
    [anon_sym_BSLASHnb] = ACTIONS(2657),
    [anon_sym_BSLASHpc] = ACTIONS(2657),
    [anon_sym_BSLASHph] = ACTIONS(2657),
    [anon_sym_BSLASHb] = ACTIONS(2657),
    [anon_sym_BSLASHq] = ACTIONS(2657),
    [anon_sym_BSLASHqr] = ACTIONS(2657),
    [anon_sym_BSLASHqc] = ACTIONS(2657),
    [anon_sym_BSLASHqa] = ACTIONS(2657),
    [anon_sym_BSLASHqm] = ACTIONS(2657),
    [anon_sym_BSLASHqd] = ACTIONS(2657),
    [anon_sym_BSLASHlh] = ACTIONS(2657),
    [anon_sym_BSLASHli] = ACTIONS(2657),
    [anon_sym_BSLASHlim] = ACTIONS(2657),
    [anon_sym_BSLASHtr] = ACTIONS(2657),
    [sym_thTag] = ACTIONS(2657),
    [sym_thrTag] = ACTIONS(2657),
    [sym_tcTag] = ACTIONS(2657),
    [sym_tcrTag] = ACTIONS(2657),
    [anon_sym_BSLASHf] = ACTIONS(2657),
    [anon_sym_BSLASHfe] = ACTIONS(2657),
    [anon_sym_BSLASHef] = ACTIONS(2657),
    [anon_sym_BSLASHfm] = ACTIONS(2657),
    [anon_sym_BSLASHadd] = ACTIONS(2657),
    [anon_sym_BSLASHbk] = ACTIONS(2657),
    [anon_sym_BSLASHdc] = ACTIONS(2657),
    [anon_sym_BSLASHk] = ACTIONS(2657),
    [anon_sym_BSLASHnd] = ACTIONS(2657),
    [anon_sym_BSLASHord] = ACTIONS(2657),
    [anon_sym_BSLASHpn] = ACTIONS(2657),
    [anon_sym_BSLASHpng] = ACTIONS(2657),
    [anon_sym_BSLASHaddpn] = ACTIONS(2657),
    [anon_sym_BSLASHqt] = ACTIONS(2657),
    [anon_sym_BSLASHsig] = ACTIONS(2657),
    [anon_sym_BSLASHsls] = ACTIONS(2657),
    [anon_sym_BSLASHtl] = ACTIONS(2657),
    [anon_sym_BSLASHwj] = ACTIONS(2657),
    [anon_sym_BSLASHem] = ACTIONS(2657),
    [anon_sym_BSLASHbd] = ACTIONS(2657),
    [anon_sym_BSLASHit] = ACTIONS(2657),
    [anon_sym_BSLASHbdit] = ACTIONS(2657),
    [anon_sym_BSLASHno] = ACTIONS(2657),
    [anon_sym_BSLASHsc] = ACTIONS(2657),
    [anon_sym_BSLASHsup] = ACTIONS(2657),
    [anon_sym_BSLASHndx] = ACTIONS(2657),
    [anon_sym_BSLASHpro] = ACTIONS(2657),
    [anon_sym_BSLASHrb] = ACTIONS(2657),
    [anon_sym_BSLASHw] = ACTIONS(2657),
    [anon_sym_BSLASHwg] = ACTIONS(2657),
    [anon_sym_BSLASHwh] = ACTIONS(2657),
    [anon_sym_BSLASHwa] = ACTIONS(2657),
    [anon_sym_BSLASHfig] = ACTIONS(2657),
    [anon_sym_BSLASHjmp] = ACTIONS(2657),
    [anon_sym_BSLASHpb] = ACTIONS(2657),
    [anon_sym_BSLASH] = ACTIONS(2657),
    [sym_milestoneStartTag] = ACTIONS(2657),
    [sym_milestoneEndTag] = ACTIONS(2657),
    [sym_zSpaceTag] = ACTIONS(2657),
    [anon_sym_BSLASHesb] = ACTIONS(2657),
  },
  [626] = {
    [ts_builtin_sym_end] = ACTIONS(2635),
    [aux_sym_text_token1] = ACTIONS(2635),
    [anon_sym_BSLASHsts] = ACTIONS(2637),
    [anon_sym_BSLASHrem] = ACTIONS(2637),
    [anon_sym_BSLASHrestore] = ACTIONS(2637),
    [anon_sym_BSLASHlit] = ACTIONS(2637),
    [anon_sym_BSLASHip] = ACTIONS(2637),
    [anon_sym_BSLASHiex] = ACTIONS(2637),
    [anon_sym_BSLASHc] = ACTIONS(2637),
    [anon_sym_BSLASHcl] = ACTIONS(2637),
    [anon_sym_BSLASHca] = ACTIONS(2637),
    [anon_sym_BSLASHcp] = ACTIONS(2637),
    [anon_sym_BSLASHcd] = ACTIONS(2637),
    [anon_sym_BSLASHmte] = ACTIONS(2637),
    [anon_sym_BSLASHms] = ACTIONS(2637),
    [anon_sym_BSLASHs] = ACTIONS(2637),
    [anon_sym_BSLASHr] = ACTIONS(2637),
    [anon_sym_BSLASHsp] = ACTIONS(2637),
    [anon_sym_BSLASHd] = ACTIONS(2637),
    [anon_sym_BSLASHsd] = ACTIONS(2637),
    [anon_sym_BSLASHp] = ACTIONS(2637),
    [anon_sym_BSLASHm] = ACTIONS(2637),
    [anon_sym_BSLASHpo] = ACTIONS(2637),
    [anon_sym_BSLASHpr] = ACTIONS(2637),
    [anon_sym_BSLASHcls] = ACTIONS(2637),
    [anon_sym_BSLASHpmo] = ACTIONS(2637),
    [anon_sym_BSLASHpm] = ACTIONS(2637),
    [anon_sym_BSLASHpmc] = ACTIONS(2637),
    [anon_sym_BSLASHpmr] = ACTIONS(2637),
    [anon_sym_BSLASHpi] = ACTIONS(2637),
    [anon_sym_BSLASHmi] = ACTIONS(2637),
    [anon_sym_BSLASHnb] = ACTIONS(2637),
    [anon_sym_BSLASHpc] = ACTIONS(2637),
    [anon_sym_BSLASHph] = ACTIONS(2637),
    [anon_sym_BSLASHb] = ACTIONS(2637),
    [anon_sym_BSLASHq] = ACTIONS(2637),
    [anon_sym_BSLASHqr] = ACTIONS(2637),
    [anon_sym_BSLASHqc] = ACTIONS(2637),
    [anon_sym_BSLASHqa] = ACTIONS(2637),
    [anon_sym_BSLASHqm] = ACTIONS(2637),
    [anon_sym_BSLASHqd] = ACTIONS(2637),
    [anon_sym_BSLASHlh] = ACTIONS(2637),
    [anon_sym_BSLASHli] = ACTIONS(2637),
    [anon_sym_BSLASHlim] = ACTIONS(2637),
    [anon_sym_BSLASHtr] = ACTIONS(2637),
    [sym_thTag] = ACTIONS(2637),
    [sym_thrTag] = ACTIONS(2637),
    [sym_tcTag] = ACTIONS(2637),
    [sym_tcrTag] = ACTIONS(2637),
    [anon_sym_BSLASHf] = ACTIONS(2637),
    [anon_sym_BSLASHfe] = ACTIONS(2637),
    [anon_sym_BSLASHef] = ACTIONS(2637),
    [anon_sym_BSLASHfm] = ACTIONS(2637),
    [anon_sym_BSLASHadd] = ACTIONS(2637),
    [anon_sym_BSLASHbk] = ACTIONS(2637),
    [anon_sym_BSLASHdc] = ACTIONS(2637),
    [anon_sym_BSLASHk] = ACTIONS(2637),
    [anon_sym_BSLASHnd] = ACTIONS(2637),
    [anon_sym_BSLASHord] = ACTIONS(2637),
    [anon_sym_BSLASHpn] = ACTIONS(2637),
    [anon_sym_BSLASHpng] = ACTIONS(2637),
    [anon_sym_BSLASHaddpn] = ACTIONS(2637),
    [anon_sym_BSLASHqt] = ACTIONS(2637),
    [anon_sym_BSLASHsig] = ACTIONS(2637),
    [anon_sym_BSLASHsls] = ACTIONS(2637),
    [anon_sym_BSLASHtl] = ACTIONS(2637),
    [anon_sym_BSLASHwj] = ACTIONS(2637),
    [anon_sym_BSLASHem] = ACTIONS(2637),
    [anon_sym_BSLASHbd] = ACTIONS(2637),
    [anon_sym_BSLASHit] = ACTIONS(2637),
    [anon_sym_BSLASHbdit] = ACTIONS(2637),
    [anon_sym_BSLASHno] = ACTIONS(2637),
    [anon_sym_BSLASHsc] = ACTIONS(2637),
    [anon_sym_BSLASHsup] = ACTIONS(2637),
    [anon_sym_BSLASHndx] = ACTIONS(2637),
    [anon_sym_BSLASHpro] = ACTIONS(2637),
    [anon_sym_BSLASHrb] = ACTIONS(2637),
    [anon_sym_BSLASHw] = ACTIONS(2637),
    [anon_sym_BSLASHwg] = ACTIONS(2637),
    [anon_sym_BSLASHwh] = ACTIONS(2637),
    [anon_sym_BSLASHwa] = ACTIONS(2637),
    [anon_sym_BSLASHfig] = ACTIONS(2637),
    [anon_sym_BSLASHjmp] = ACTIONS(2637),
    [anon_sym_BSLASHpb] = ACTIONS(2637),
    [anon_sym_BSLASH] = ACTIONS(2637),
    [sym_milestoneStartTag] = ACTIONS(2637),
    [sym_milestoneEndTag] = ACTIONS(2637),
    [sym_zSpaceTag] = ACTIONS(2637),
    [anon_sym_BSLASHesb] = ACTIONS(2637),
  },
  [627] = {
    [ts_builtin_sym_end] = ACTIONS(2739),
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHiex] = ACTIONS(2741),
    [anon_sym_BSLASHc] = ACTIONS(2741),
    [anon_sym_BSLASHcl] = ACTIONS(2741),
    [anon_sym_BSLASHca] = ACTIONS(2741),
    [anon_sym_BSLASHcp] = ACTIONS(2741),
    [anon_sym_BSLASHcd] = ACTIONS(2741),
    [anon_sym_BSLASHmte] = ACTIONS(2741),
    [anon_sym_BSLASHms] = ACTIONS(2741),
    [anon_sym_BSLASHs] = ACTIONS(2741),
    [anon_sym_BSLASHr] = ACTIONS(2741),
    [anon_sym_BSLASHsp] = ACTIONS(2741),
    [anon_sym_BSLASHd] = ACTIONS(2741),
    [anon_sym_BSLASHsd] = ACTIONS(2741),
    [anon_sym_BSLASHp] = ACTIONS(2741),
    [anon_sym_BSLASHm] = ACTIONS(2741),
    [anon_sym_BSLASHpo] = ACTIONS(2741),
    [anon_sym_BSLASHpr] = ACTIONS(2741),
    [anon_sym_BSLASHcls] = ACTIONS(2741),
    [anon_sym_BSLASHpmo] = ACTIONS(2741),
    [anon_sym_BSLASHpm] = ACTIONS(2741),
    [anon_sym_BSLASHpmc] = ACTIONS(2741),
    [anon_sym_BSLASHpmr] = ACTIONS(2741),
    [anon_sym_BSLASHpi] = ACTIONS(2741),
    [anon_sym_BSLASHmi] = ACTIONS(2741),
    [anon_sym_BSLASHnb] = ACTIONS(2741),
    [anon_sym_BSLASHpc] = ACTIONS(2741),
    [anon_sym_BSLASHph] = ACTIONS(2741),
    [anon_sym_BSLASHb] = ACTIONS(2741),
    [anon_sym_BSLASHq] = ACTIONS(2741),
    [anon_sym_BSLASHqr] = ACTIONS(2741),
    [anon_sym_BSLASHqc] = ACTIONS(2741),
    [anon_sym_BSLASHqa] = ACTIONS(2741),
    [anon_sym_BSLASHqm] = ACTIONS(2741),
    [anon_sym_BSLASHqd] = ACTIONS(2741),
    [anon_sym_BSLASHlh] = ACTIONS(2741),
    [anon_sym_BSLASHli] = ACTIONS(2741),
    [anon_sym_BSLASHlim] = ACTIONS(2741),
    [anon_sym_BSLASHtr] = ACTIONS(2741),
    [sym_thTag] = ACTIONS(2741),
    [sym_thrTag] = ACTIONS(2741),
    [sym_tcTag] = ACTIONS(2741),
    [sym_tcrTag] = ACTIONS(2741),
    [anon_sym_BSLASHf] = ACTIONS(2741),
    [anon_sym_BSLASHfe] = ACTIONS(2741),
    [anon_sym_BSLASHef] = ACTIONS(2741),
    [anon_sym_BSLASHfm] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASHfig] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASHpb] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesb] = ACTIONS(2741),
  },
  [628] = {
    [ts_builtin_sym_end] = ACTIONS(2723),
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHiex] = ACTIONS(2725),
    [anon_sym_BSLASHc] = ACTIONS(2725),
    [anon_sym_BSLASHcl] = ACTIONS(2725),
    [anon_sym_BSLASHca] = ACTIONS(2725),
    [anon_sym_BSLASHcp] = ACTIONS(2725),
    [anon_sym_BSLASHcd] = ACTIONS(2725),
    [anon_sym_BSLASHmte] = ACTIONS(2725),
    [anon_sym_BSLASHms] = ACTIONS(2725),
    [anon_sym_BSLASHs] = ACTIONS(2725),
    [anon_sym_BSLASHr] = ACTIONS(2725),
    [anon_sym_BSLASHsp] = ACTIONS(2725),
    [anon_sym_BSLASHd] = ACTIONS(2725),
    [anon_sym_BSLASHsd] = ACTIONS(2725),
    [anon_sym_BSLASHp] = ACTIONS(2725),
    [anon_sym_BSLASHm] = ACTIONS(2725),
    [anon_sym_BSLASHpo] = ACTIONS(2725),
    [anon_sym_BSLASHpr] = ACTIONS(2725),
    [anon_sym_BSLASHcls] = ACTIONS(2725),
    [anon_sym_BSLASHpmo] = ACTIONS(2725),
    [anon_sym_BSLASHpm] = ACTIONS(2725),
    [anon_sym_BSLASHpmc] = ACTIONS(2725),
    [anon_sym_BSLASHpmr] = ACTIONS(2725),
    [anon_sym_BSLASHpi] = ACTIONS(2725),
    [anon_sym_BSLASHmi] = ACTIONS(2725),
    [anon_sym_BSLASHnb] = ACTIONS(2725),
    [anon_sym_BSLASHpc] = ACTIONS(2725),
    [anon_sym_BSLASHph] = ACTIONS(2725),
    [anon_sym_BSLASHb] = ACTIONS(2725),
    [anon_sym_BSLASHq] = ACTIONS(2725),
    [anon_sym_BSLASHqr] = ACTIONS(2725),
    [anon_sym_BSLASHqc] = ACTIONS(2725),
    [anon_sym_BSLASHqa] = ACTIONS(2725),
    [anon_sym_BSLASHqm] = ACTIONS(2725),
    [anon_sym_BSLASHqd] = ACTIONS(2725),
    [anon_sym_BSLASHlh] = ACTIONS(2725),
    [anon_sym_BSLASHli] = ACTIONS(2725),
    [anon_sym_BSLASHlim] = ACTIONS(2725),
    [anon_sym_BSLASHtr] = ACTIONS(2725),
    [sym_thTag] = ACTIONS(2725),
    [sym_thrTag] = ACTIONS(2725),
    [sym_tcTag] = ACTIONS(2725),
    [sym_tcrTag] = ACTIONS(2725),
    [anon_sym_BSLASHf] = ACTIONS(2725),
    [anon_sym_BSLASHfe] = ACTIONS(2725),
    [anon_sym_BSLASHef] = ACTIONS(2725),
    [anon_sym_BSLASHfm] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASHfig] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASHpb] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesb] = ACTIONS(2725),
  },
  [629] = {
    [ts_builtin_sym_end] = ACTIONS(2659),
    [aux_sym_text_token1] = ACTIONS(2659),
    [anon_sym_BSLASHsts] = ACTIONS(2661),
    [anon_sym_BSLASHrem] = ACTIONS(2661),
    [anon_sym_BSLASHrestore] = ACTIONS(2661),
    [anon_sym_BSLASHlit] = ACTIONS(2661),
    [anon_sym_BSLASHip] = ACTIONS(2661),
    [anon_sym_BSLASHiex] = ACTIONS(2661),
    [anon_sym_BSLASHc] = ACTIONS(2661),
    [anon_sym_BSLASHcl] = ACTIONS(2661),
    [anon_sym_BSLASHca] = ACTIONS(2661),
    [anon_sym_BSLASHcp] = ACTIONS(2661),
    [anon_sym_BSLASHcd] = ACTIONS(2661),
    [anon_sym_BSLASHmte] = ACTIONS(2661),
    [anon_sym_BSLASHms] = ACTIONS(2661),
    [anon_sym_BSLASHs] = ACTIONS(2661),
    [anon_sym_BSLASHr] = ACTIONS(2661),
    [anon_sym_BSLASHsp] = ACTIONS(2661),
    [anon_sym_BSLASHd] = ACTIONS(2661),
    [anon_sym_BSLASHsd] = ACTIONS(2661),
    [anon_sym_BSLASHp] = ACTIONS(2661),
    [anon_sym_BSLASHm] = ACTIONS(2661),
    [anon_sym_BSLASHpo] = ACTIONS(2661),
    [anon_sym_BSLASHpr] = ACTIONS(2661),
    [anon_sym_BSLASHcls] = ACTIONS(2661),
    [anon_sym_BSLASHpmo] = ACTIONS(2661),
    [anon_sym_BSLASHpm] = ACTIONS(2661),
    [anon_sym_BSLASHpmc] = ACTIONS(2661),
    [anon_sym_BSLASHpmr] = ACTIONS(2661),
    [anon_sym_BSLASHpi] = ACTIONS(2661),
    [anon_sym_BSLASHmi] = ACTIONS(2661),
    [anon_sym_BSLASHnb] = ACTIONS(2661),
    [anon_sym_BSLASHpc] = ACTIONS(2661),
    [anon_sym_BSLASHph] = ACTIONS(2661),
    [anon_sym_BSLASHb] = ACTIONS(2661),
    [anon_sym_BSLASHq] = ACTIONS(2661),
    [anon_sym_BSLASHqr] = ACTIONS(2661),
    [anon_sym_BSLASHqc] = ACTIONS(2661),
    [anon_sym_BSLASHqa] = ACTIONS(2661),
    [anon_sym_BSLASHqm] = ACTIONS(2661),
    [anon_sym_BSLASHqd] = ACTIONS(2661),
    [anon_sym_BSLASHlh] = ACTIONS(2661),
    [anon_sym_BSLASHli] = ACTIONS(2661),
    [anon_sym_BSLASHlim] = ACTIONS(2661),
    [anon_sym_BSLASHtr] = ACTIONS(2661),
    [sym_thTag] = ACTIONS(2661),
    [sym_thrTag] = ACTIONS(2661),
    [sym_tcTag] = ACTIONS(2661),
    [sym_tcrTag] = ACTIONS(2661),
    [anon_sym_BSLASHf] = ACTIONS(2661),
    [anon_sym_BSLASHfe] = ACTIONS(2661),
    [anon_sym_BSLASHef] = ACTIONS(2661),
    [anon_sym_BSLASHfm] = ACTIONS(2661),
    [anon_sym_BSLASHadd] = ACTIONS(2661),
    [anon_sym_BSLASHbk] = ACTIONS(2661),
    [anon_sym_BSLASHdc] = ACTIONS(2661),
    [anon_sym_BSLASHk] = ACTIONS(2661),
    [anon_sym_BSLASHnd] = ACTIONS(2661),
    [anon_sym_BSLASHord] = ACTIONS(2661),
    [anon_sym_BSLASHpn] = ACTIONS(2661),
    [anon_sym_BSLASHpng] = ACTIONS(2661),
    [anon_sym_BSLASHaddpn] = ACTIONS(2661),
    [anon_sym_BSLASHqt] = ACTIONS(2661),
    [anon_sym_BSLASHsig] = ACTIONS(2661),
    [anon_sym_BSLASHsls] = ACTIONS(2661),
    [anon_sym_BSLASHtl] = ACTIONS(2661),
    [anon_sym_BSLASHwj] = ACTIONS(2661),
    [anon_sym_BSLASHem] = ACTIONS(2661),
    [anon_sym_BSLASHbd] = ACTIONS(2661),
    [anon_sym_BSLASHit] = ACTIONS(2661),
    [anon_sym_BSLASHbdit] = ACTIONS(2661),
    [anon_sym_BSLASHno] = ACTIONS(2661),
    [anon_sym_BSLASHsc] = ACTIONS(2661),
    [anon_sym_BSLASHsup] = ACTIONS(2661),
    [anon_sym_BSLASHndx] = ACTIONS(2661),
    [anon_sym_BSLASHpro] = ACTIONS(2661),
    [anon_sym_BSLASHrb] = ACTIONS(2661),
    [anon_sym_BSLASHw] = ACTIONS(2661),
    [anon_sym_BSLASHwg] = ACTIONS(2661),
    [anon_sym_BSLASHwh] = ACTIONS(2661),
    [anon_sym_BSLASHwa] = ACTIONS(2661),
    [anon_sym_BSLASHfig] = ACTIONS(2661),
    [anon_sym_BSLASHjmp] = ACTIONS(2661),
    [anon_sym_BSLASHpb] = ACTIONS(2661),
    [anon_sym_BSLASH] = ACTIONS(2661),
    [sym_milestoneStartTag] = ACTIONS(2661),
    [sym_milestoneEndTag] = ACTIONS(2661),
    [sym_zSpaceTag] = ACTIONS(2661),
    [anon_sym_BSLASHesb] = ACTIONS(2661),
  },
  [630] = {
    [ts_builtin_sym_end] = ACTIONS(2627),
    [aux_sym_text_token1] = ACTIONS(2627),
    [anon_sym_BSLASHsts] = ACTIONS(2629),
    [anon_sym_BSLASHrem] = ACTIONS(2629),
    [anon_sym_BSLASHrestore] = ACTIONS(2629),
    [anon_sym_BSLASHlit] = ACTIONS(2629),
    [anon_sym_BSLASHip] = ACTIONS(2629),
    [anon_sym_BSLASHiex] = ACTIONS(2629),
    [anon_sym_BSLASHc] = ACTIONS(2629),
    [anon_sym_BSLASHcl] = ACTIONS(2629),
    [anon_sym_BSLASHca] = ACTIONS(2629),
    [anon_sym_BSLASHcp] = ACTIONS(2629),
    [anon_sym_BSLASHcd] = ACTIONS(2629),
    [anon_sym_BSLASHmte] = ACTIONS(2629),
    [anon_sym_BSLASHms] = ACTIONS(2629),
    [anon_sym_BSLASHs] = ACTIONS(2629),
    [anon_sym_BSLASHr] = ACTIONS(2629),
    [anon_sym_BSLASHsp] = ACTIONS(2629),
    [anon_sym_BSLASHd] = ACTIONS(2629),
    [anon_sym_BSLASHsd] = ACTIONS(2629),
    [anon_sym_BSLASHp] = ACTIONS(2629),
    [anon_sym_BSLASHm] = ACTIONS(2629),
    [anon_sym_BSLASHpo] = ACTIONS(2629),
    [anon_sym_BSLASHpr] = ACTIONS(2629),
    [anon_sym_BSLASHcls] = ACTIONS(2629),
    [anon_sym_BSLASHpmo] = ACTIONS(2629),
    [anon_sym_BSLASHpm] = ACTIONS(2629),
    [anon_sym_BSLASHpmc] = ACTIONS(2629),
    [anon_sym_BSLASHpmr] = ACTIONS(2629),
    [anon_sym_BSLASHpi] = ACTIONS(2629),
    [anon_sym_BSLASHmi] = ACTIONS(2629),
    [anon_sym_BSLASHnb] = ACTIONS(2629),
    [anon_sym_BSLASHpc] = ACTIONS(2629),
    [anon_sym_BSLASHph] = ACTIONS(2629),
    [anon_sym_BSLASHb] = ACTIONS(2629),
    [anon_sym_BSLASHq] = ACTIONS(2629),
    [anon_sym_BSLASHqr] = ACTIONS(2629),
    [anon_sym_BSLASHqc] = ACTIONS(2629),
    [anon_sym_BSLASHqa] = ACTIONS(2629),
    [anon_sym_BSLASHqm] = ACTIONS(2629),
    [anon_sym_BSLASHqd] = ACTIONS(2629),
    [anon_sym_BSLASHlh] = ACTIONS(2629),
    [anon_sym_BSLASHli] = ACTIONS(2629),
    [anon_sym_BSLASHlim] = ACTIONS(2629),
    [anon_sym_BSLASHtr] = ACTIONS(2629),
    [sym_thTag] = ACTIONS(2629),
    [sym_thrTag] = ACTIONS(2629),
    [sym_tcTag] = ACTIONS(2629),
    [sym_tcrTag] = ACTIONS(2629),
    [anon_sym_BSLASHf] = ACTIONS(2629),
    [anon_sym_BSLASHfe] = ACTIONS(2629),
    [anon_sym_BSLASHef] = ACTIONS(2629),
    [anon_sym_BSLASHfm] = ACTIONS(2629),
    [anon_sym_BSLASHadd] = ACTIONS(2629),
    [anon_sym_BSLASHbk] = ACTIONS(2629),
    [anon_sym_BSLASHdc] = ACTIONS(2629),
    [anon_sym_BSLASHk] = ACTIONS(2629),
    [anon_sym_BSLASHnd] = ACTIONS(2629),
    [anon_sym_BSLASHord] = ACTIONS(2629),
    [anon_sym_BSLASHpn] = ACTIONS(2629),
    [anon_sym_BSLASHpng] = ACTIONS(2629),
    [anon_sym_BSLASHaddpn] = ACTIONS(2629),
    [anon_sym_BSLASHqt] = ACTIONS(2629),
    [anon_sym_BSLASHsig] = ACTIONS(2629),
    [anon_sym_BSLASHsls] = ACTIONS(2629),
    [anon_sym_BSLASHtl] = ACTIONS(2629),
    [anon_sym_BSLASHwj] = ACTIONS(2629),
    [anon_sym_BSLASHem] = ACTIONS(2629),
    [anon_sym_BSLASHbd] = ACTIONS(2629),
    [anon_sym_BSLASHit] = ACTIONS(2629),
    [anon_sym_BSLASHbdit] = ACTIONS(2629),
    [anon_sym_BSLASHno] = ACTIONS(2629),
    [anon_sym_BSLASHsc] = ACTIONS(2629),
    [anon_sym_BSLASHsup] = ACTIONS(2629),
    [anon_sym_BSLASHndx] = ACTIONS(2629),
    [anon_sym_BSLASHpro] = ACTIONS(2629),
    [anon_sym_BSLASHrb] = ACTIONS(2629),
    [anon_sym_BSLASHw] = ACTIONS(2629),
    [anon_sym_BSLASHwg] = ACTIONS(2629),
    [anon_sym_BSLASHwh] = ACTIONS(2629),
    [anon_sym_BSLASHwa] = ACTIONS(2629),
    [anon_sym_BSLASHfig] = ACTIONS(2629),
    [anon_sym_BSLASHjmp] = ACTIONS(2629),
    [anon_sym_BSLASHpb] = ACTIONS(2629),
    [anon_sym_BSLASH] = ACTIONS(2629),
    [sym_milestoneStartTag] = ACTIONS(2629),
    [sym_milestoneEndTag] = ACTIONS(2629),
    [sym_zSpaceTag] = ACTIONS(2629),
    [anon_sym_BSLASHesb] = ACTIONS(2629),
  },
  [631] = {
    [ts_builtin_sym_end] = ACTIONS(2747),
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHiex] = ACTIONS(2749),
    [anon_sym_BSLASHc] = ACTIONS(2749),
    [anon_sym_BSLASHcl] = ACTIONS(2749),
    [anon_sym_BSLASHca] = ACTIONS(2749),
    [anon_sym_BSLASHcp] = ACTIONS(2749),
    [anon_sym_BSLASHcd] = ACTIONS(2749),
    [anon_sym_BSLASHmte] = ACTIONS(2749),
    [anon_sym_BSLASHms] = ACTIONS(2749),
    [anon_sym_BSLASHs] = ACTIONS(2749),
    [anon_sym_BSLASHr] = ACTIONS(2749),
    [anon_sym_BSLASHsp] = ACTIONS(2749),
    [anon_sym_BSLASHd] = ACTIONS(2749),
    [anon_sym_BSLASHsd] = ACTIONS(2749),
    [anon_sym_BSLASHp] = ACTIONS(2749),
    [anon_sym_BSLASHm] = ACTIONS(2749),
    [anon_sym_BSLASHpo] = ACTIONS(2749),
    [anon_sym_BSLASHpr] = ACTIONS(2749),
    [anon_sym_BSLASHcls] = ACTIONS(2749),
    [anon_sym_BSLASHpmo] = ACTIONS(2749),
    [anon_sym_BSLASHpm] = ACTIONS(2749),
    [anon_sym_BSLASHpmc] = ACTIONS(2749),
    [anon_sym_BSLASHpmr] = ACTIONS(2749),
    [anon_sym_BSLASHpi] = ACTIONS(2749),
    [anon_sym_BSLASHmi] = ACTIONS(2749),
    [anon_sym_BSLASHnb] = ACTIONS(2749),
    [anon_sym_BSLASHpc] = ACTIONS(2749),
    [anon_sym_BSLASHph] = ACTIONS(2749),
    [anon_sym_BSLASHb] = ACTIONS(2749),
    [anon_sym_BSLASHq] = ACTIONS(2749),
    [anon_sym_BSLASHqr] = ACTIONS(2749),
    [anon_sym_BSLASHqc] = ACTIONS(2749),
    [anon_sym_BSLASHqa] = ACTIONS(2749),
    [anon_sym_BSLASHqm] = ACTIONS(2749),
    [anon_sym_BSLASHqd] = ACTIONS(2749),
    [anon_sym_BSLASHlh] = ACTIONS(2749),
    [anon_sym_BSLASHli] = ACTIONS(2749),
    [anon_sym_BSLASHlim] = ACTIONS(2749),
    [anon_sym_BSLASHtr] = ACTIONS(2749),
    [sym_thTag] = ACTIONS(2749),
    [sym_thrTag] = ACTIONS(2749),
    [sym_tcTag] = ACTIONS(2749),
    [sym_tcrTag] = ACTIONS(2749),
    [anon_sym_BSLASHf] = ACTIONS(2749),
    [anon_sym_BSLASHfe] = ACTIONS(2749),
    [anon_sym_BSLASHef] = ACTIONS(2749),
    [anon_sym_BSLASHfm] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASHfig] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASHpb] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesb] = ACTIONS(2749),
  },
  [632] = {
    [ts_builtin_sym_end] = ACTIONS(2743),
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHiex] = ACTIONS(2745),
    [anon_sym_BSLASHc] = ACTIONS(2745),
    [anon_sym_BSLASHcl] = ACTIONS(2745),
    [anon_sym_BSLASHca] = ACTIONS(2745),
    [anon_sym_BSLASHcp] = ACTIONS(2745),
    [anon_sym_BSLASHcd] = ACTIONS(2745),
    [anon_sym_BSLASHmte] = ACTIONS(2745),
    [anon_sym_BSLASHms] = ACTIONS(2745),
    [anon_sym_BSLASHs] = ACTIONS(2745),
    [anon_sym_BSLASHr] = ACTIONS(2745),
    [anon_sym_BSLASHsp] = ACTIONS(2745),
    [anon_sym_BSLASHd] = ACTIONS(2745),
    [anon_sym_BSLASHsd] = ACTIONS(2745),
    [anon_sym_BSLASHp] = ACTIONS(2745),
    [anon_sym_BSLASHm] = ACTIONS(2745),
    [anon_sym_BSLASHpo] = ACTIONS(2745),
    [anon_sym_BSLASHpr] = ACTIONS(2745),
    [anon_sym_BSLASHcls] = ACTIONS(2745),
    [anon_sym_BSLASHpmo] = ACTIONS(2745),
    [anon_sym_BSLASHpm] = ACTIONS(2745),
    [anon_sym_BSLASHpmc] = ACTIONS(2745),
    [anon_sym_BSLASHpmr] = ACTIONS(2745),
    [anon_sym_BSLASHpi] = ACTIONS(2745),
    [anon_sym_BSLASHmi] = ACTIONS(2745),
    [anon_sym_BSLASHnb] = ACTIONS(2745),
    [anon_sym_BSLASHpc] = ACTIONS(2745),
    [anon_sym_BSLASHph] = ACTIONS(2745),
    [anon_sym_BSLASHb] = ACTIONS(2745),
    [anon_sym_BSLASHq] = ACTIONS(2745),
    [anon_sym_BSLASHqr] = ACTIONS(2745),
    [anon_sym_BSLASHqc] = ACTIONS(2745),
    [anon_sym_BSLASHqa] = ACTIONS(2745),
    [anon_sym_BSLASHqm] = ACTIONS(2745),
    [anon_sym_BSLASHqd] = ACTIONS(2745),
    [anon_sym_BSLASHlh] = ACTIONS(2745),
    [anon_sym_BSLASHli] = ACTIONS(2745),
    [anon_sym_BSLASHlim] = ACTIONS(2745),
    [anon_sym_BSLASHtr] = ACTIONS(2745),
    [sym_thTag] = ACTIONS(2745),
    [sym_thrTag] = ACTIONS(2745),
    [sym_tcTag] = ACTIONS(2745),
    [sym_tcrTag] = ACTIONS(2745),
    [anon_sym_BSLASHf] = ACTIONS(2745),
    [anon_sym_BSLASHfe] = ACTIONS(2745),
    [anon_sym_BSLASHef] = ACTIONS(2745),
    [anon_sym_BSLASHfm] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASHfig] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASHpb] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesb] = ACTIONS(2745),
  },
  [633] = {
    [ts_builtin_sym_end] = ACTIONS(5532),
    [aux_sym_text_token1] = ACTIONS(5532),
    [anon_sym_BSLASHsts] = ACTIONS(5534),
    [anon_sym_BSLASHrem] = ACTIONS(5534),
    [anon_sym_BSLASHrestore] = ACTIONS(5534),
    [anon_sym_BSLASHlit] = ACTIONS(5534),
    [anon_sym_BSLASHip] = ACTIONS(5534),
    [anon_sym_BSLASHiex] = ACTIONS(5534),
    [anon_sym_BSLASHc] = ACTIONS(5534),
    [anon_sym_BSLASHcl] = ACTIONS(5534),
    [anon_sym_BSLASHca] = ACTIONS(5534),
    [anon_sym_BSLASHcp] = ACTIONS(5534),
    [anon_sym_BSLASHcd] = ACTIONS(5534),
    [anon_sym_BSLASHmte] = ACTIONS(5534),
    [anon_sym_BSLASHms] = ACTIONS(5534),
    [anon_sym_BSLASHs] = ACTIONS(5534),
    [anon_sym_BSLASHsr] = ACTIONS(5534),
    [anon_sym_BSLASHr] = ACTIONS(5534),
    [anon_sym_BSLASHsp] = ACTIONS(5534),
    [anon_sym_BSLASHd] = ACTIONS(5534),
    [anon_sym_BSLASHsd] = ACTIONS(5534),
    [anon_sym_BSLASHp] = ACTIONS(5534),
    [anon_sym_BSLASHm] = ACTIONS(5534),
    [anon_sym_BSLASHpo] = ACTIONS(5534),
    [anon_sym_BSLASHpr] = ACTIONS(5534),
    [anon_sym_BSLASHcls] = ACTIONS(5534),
    [anon_sym_BSLASHpmo] = ACTIONS(5534),
    [anon_sym_BSLASHpm] = ACTIONS(5534),
    [anon_sym_BSLASHpmc] = ACTIONS(5534),
    [anon_sym_BSLASHpmr] = ACTIONS(5534),
    [anon_sym_BSLASHpi] = ACTIONS(5534),
    [anon_sym_BSLASHmi] = ACTIONS(5534),
    [anon_sym_BSLASHnb] = ACTIONS(5534),
    [anon_sym_BSLASHpc] = ACTIONS(5534),
    [anon_sym_BSLASHph] = ACTIONS(5534),
    [anon_sym_BSLASHb] = ACTIONS(5534),
    [anon_sym_BSLASHq] = ACTIONS(5534),
    [anon_sym_BSLASHqr] = ACTIONS(5534),
    [anon_sym_BSLASHqc] = ACTIONS(5534),
    [anon_sym_BSLASHqa] = ACTIONS(5534),
    [anon_sym_BSLASHqm] = ACTIONS(5534),
    [anon_sym_BSLASHqd] = ACTIONS(5534),
    [anon_sym_BSLASHlh] = ACTIONS(5534),
    [anon_sym_BSLASHli] = ACTIONS(5534),
    [anon_sym_BSLASHlim] = ACTIONS(5534),
    [anon_sym_BSLASHtr] = ACTIONS(5534),
    [anon_sym_BSLASHf] = ACTIONS(5534),
    [anon_sym_BSLASHfe] = ACTIONS(5534),
    [anon_sym_BSLASHef] = ACTIONS(5534),
    [anon_sym_BSLASHfm] = ACTIONS(5534),
    [anon_sym_BSLASHx] = ACTIONS(5534),
    [anon_sym_BSLASHxt] = ACTIONS(5534),
    [anon_sym_BSLASHrq] = ACTIONS(5534),
    [anon_sym_BSLASHadd] = ACTIONS(5534),
    [anon_sym_BSLASHbk] = ACTIONS(5534),
    [anon_sym_BSLASHdc] = ACTIONS(5534),
    [anon_sym_BSLASHk] = ACTIONS(5534),
    [anon_sym_BSLASHnd] = ACTIONS(5534),
    [anon_sym_BSLASHord] = ACTIONS(5534),
    [anon_sym_BSLASHpn] = ACTIONS(5534),
    [anon_sym_BSLASHpng] = ACTIONS(5534),
    [anon_sym_BSLASHaddpn] = ACTIONS(5534),
    [anon_sym_BSLASHqt] = ACTIONS(5534),
    [anon_sym_BSLASHsig] = ACTIONS(5534),
    [anon_sym_BSLASHsls] = ACTIONS(5534),
    [anon_sym_BSLASHtl] = ACTIONS(5534),
    [anon_sym_BSLASHwj] = ACTIONS(5534),
    [anon_sym_BSLASHem] = ACTIONS(5534),
    [anon_sym_BSLASHbd] = ACTIONS(5534),
    [anon_sym_BSLASHit] = ACTIONS(5534),
    [anon_sym_BSLASHbdit] = ACTIONS(5534),
    [anon_sym_BSLASHno] = ACTIONS(5534),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5534),
    [anon_sym_BSLASHndx] = ACTIONS(5534),
    [anon_sym_BSLASHpro] = ACTIONS(5534),
    [anon_sym_BSLASHrb] = ACTIONS(5534),
    [anon_sym_BSLASHw] = ACTIONS(5534),
    [anon_sym_BSLASHwg] = ACTIONS(5534),
    [anon_sym_BSLASHwh] = ACTIONS(5534),
    [anon_sym_BSLASHwa] = ACTIONS(5534),
    [anon_sym_BSLASHfig] = ACTIONS(5534),
    [anon_sym_BSLASHjmp] = ACTIONS(5534),
    [anon_sym_BSLASHpb] = ACTIONS(5534),
    [anon_sym_BSLASH] = ACTIONS(5534),
    [sym_milestoneStartTag] = ACTIONS(5534),
    [sym_milestoneEndTag] = ACTIONS(5534),
    [sym_zSpaceTag] = ACTIONS(5534),
    [anon_sym_BSLASHesb] = ACTIONS(5534),
  },
  [634] = {
    [ts_builtin_sym_end] = ACTIONS(2631),
    [aux_sym_text_token1] = ACTIONS(2631),
    [anon_sym_BSLASHsts] = ACTIONS(2633),
    [anon_sym_BSLASHrem] = ACTIONS(2633),
    [anon_sym_BSLASHrestore] = ACTIONS(2633),
    [anon_sym_BSLASHlit] = ACTIONS(2633),
    [anon_sym_BSLASHip] = ACTIONS(2633),
    [anon_sym_BSLASHiex] = ACTIONS(2633),
    [anon_sym_BSLASHc] = ACTIONS(2633),
    [anon_sym_BSLASHcl] = ACTIONS(2633),
    [anon_sym_BSLASHca] = ACTIONS(2633),
    [anon_sym_BSLASHcp] = ACTIONS(2633),
    [anon_sym_BSLASHcd] = ACTIONS(2633),
    [anon_sym_BSLASHmte] = ACTIONS(2633),
    [anon_sym_BSLASHms] = ACTIONS(2633),
    [anon_sym_BSLASHs] = ACTIONS(2633),
    [anon_sym_BSLASHr] = ACTIONS(2633),
    [anon_sym_BSLASHsp] = ACTIONS(2633),
    [anon_sym_BSLASHd] = ACTIONS(2633),
    [anon_sym_BSLASHsd] = ACTIONS(2633),
    [anon_sym_BSLASHp] = ACTIONS(2633),
    [anon_sym_BSLASHm] = ACTIONS(2633),
    [anon_sym_BSLASHpo] = ACTIONS(2633),
    [anon_sym_BSLASHpr] = ACTIONS(2633),
    [anon_sym_BSLASHcls] = ACTIONS(2633),
    [anon_sym_BSLASHpmo] = ACTIONS(2633),
    [anon_sym_BSLASHpm] = ACTIONS(2633),
    [anon_sym_BSLASHpmc] = ACTIONS(2633),
    [anon_sym_BSLASHpmr] = ACTIONS(2633),
    [anon_sym_BSLASHpi] = ACTIONS(2633),
    [anon_sym_BSLASHmi] = ACTIONS(2633),
    [anon_sym_BSLASHnb] = ACTIONS(2633),
    [anon_sym_BSLASHpc] = ACTIONS(2633),
    [anon_sym_BSLASHph] = ACTIONS(2633),
    [anon_sym_BSLASHb] = ACTIONS(2633),
    [anon_sym_BSLASHq] = ACTIONS(2633),
    [anon_sym_BSLASHqr] = ACTIONS(2633),
    [anon_sym_BSLASHqc] = ACTIONS(2633),
    [anon_sym_BSLASHqa] = ACTIONS(2633),
    [anon_sym_BSLASHqm] = ACTIONS(2633),
    [anon_sym_BSLASHqd] = ACTIONS(2633),
    [anon_sym_BSLASHlh] = ACTIONS(2633),
    [anon_sym_BSLASHli] = ACTIONS(2633),
    [anon_sym_BSLASHlim] = ACTIONS(2633),
    [anon_sym_BSLASHtr] = ACTIONS(2633),
    [sym_thTag] = ACTIONS(2633),
    [sym_thrTag] = ACTIONS(2633),
    [sym_tcTag] = ACTIONS(2633),
    [sym_tcrTag] = ACTIONS(2633),
    [anon_sym_BSLASHf] = ACTIONS(2633),
    [anon_sym_BSLASHfe] = ACTIONS(2633),
    [anon_sym_BSLASHef] = ACTIONS(2633),
    [anon_sym_BSLASHfm] = ACTIONS(2633),
    [anon_sym_BSLASHadd] = ACTIONS(2633),
    [anon_sym_BSLASHbk] = ACTIONS(2633),
    [anon_sym_BSLASHdc] = ACTIONS(2633),
    [anon_sym_BSLASHk] = ACTIONS(2633),
    [anon_sym_BSLASHnd] = ACTIONS(2633),
    [anon_sym_BSLASHord] = ACTIONS(2633),
    [anon_sym_BSLASHpn] = ACTIONS(2633),
    [anon_sym_BSLASHpng] = ACTIONS(2633),
    [anon_sym_BSLASHaddpn] = ACTIONS(2633),
    [anon_sym_BSLASHqt] = ACTIONS(2633),
    [anon_sym_BSLASHsig] = ACTIONS(2633),
    [anon_sym_BSLASHsls] = ACTIONS(2633),
    [anon_sym_BSLASHtl] = ACTIONS(2633),
    [anon_sym_BSLASHwj] = ACTIONS(2633),
    [anon_sym_BSLASHem] = ACTIONS(2633),
    [anon_sym_BSLASHbd] = ACTIONS(2633),
    [anon_sym_BSLASHit] = ACTIONS(2633),
    [anon_sym_BSLASHbdit] = ACTIONS(2633),
    [anon_sym_BSLASHno] = ACTIONS(2633),
    [anon_sym_BSLASHsc] = ACTIONS(2633),
    [anon_sym_BSLASHsup] = ACTIONS(2633),
    [anon_sym_BSLASHndx] = ACTIONS(2633),
    [anon_sym_BSLASHpro] = ACTIONS(2633),
    [anon_sym_BSLASHrb] = ACTIONS(2633),
    [anon_sym_BSLASHw] = ACTIONS(2633),
    [anon_sym_BSLASHwg] = ACTIONS(2633),
    [anon_sym_BSLASHwh] = ACTIONS(2633),
    [anon_sym_BSLASHwa] = ACTIONS(2633),
    [anon_sym_BSLASHfig] = ACTIONS(2633),
    [anon_sym_BSLASHjmp] = ACTIONS(2633),
    [anon_sym_BSLASHpb] = ACTIONS(2633),
    [anon_sym_BSLASH] = ACTIONS(2633),
    [sym_milestoneStartTag] = ACTIONS(2633),
    [sym_milestoneEndTag] = ACTIONS(2633),
    [sym_zSpaceTag] = ACTIONS(2633),
    [anon_sym_BSLASHesb] = ACTIONS(2633),
  },
  [635] = {
    [ts_builtin_sym_end] = ACTIONS(2715),
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHiex] = ACTIONS(2717),
    [anon_sym_BSLASHc] = ACTIONS(2717),
    [anon_sym_BSLASHcl] = ACTIONS(2717),
    [anon_sym_BSLASHca] = ACTIONS(2717),
    [anon_sym_BSLASHcp] = ACTIONS(2717),
    [anon_sym_BSLASHcd] = ACTIONS(2717),
    [anon_sym_BSLASHmte] = ACTIONS(2717),
    [anon_sym_BSLASHms] = ACTIONS(2717),
    [anon_sym_BSLASHs] = ACTIONS(2717),
    [anon_sym_BSLASHr] = ACTIONS(2717),
    [anon_sym_BSLASHsp] = ACTIONS(2717),
    [anon_sym_BSLASHd] = ACTIONS(2717),
    [anon_sym_BSLASHsd] = ACTIONS(2717),
    [anon_sym_BSLASHp] = ACTIONS(2717),
    [anon_sym_BSLASHm] = ACTIONS(2717),
    [anon_sym_BSLASHpo] = ACTIONS(2717),
    [anon_sym_BSLASHpr] = ACTIONS(2717),
    [anon_sym_BSLASHcls] = ACTIONS(2717),
    [anon_sym_BSLASHpmo] = ACTIONS(2717),
    [anon_sym_BSLASHpm] = ACTIONS(2717),
    [anon_sym_BSLASHpmc] = ACTIONS(2717),
    [anon_sym_BSLASHpmr] = ACTIONS(2717),
    [anon_sym_BSLASHpi] = ACTIONS(2717),
    [anon_sym_BSLASHmi] = ACTIONS(2717),
    [anon_sym_BSLASHnb] = ACTIONS(2717),
    [anon_sym_BSLASHpc] = ACTIONS(2717),
    [anon_sym_BSLASHph] = ACTIONS(2717),
    [anon_sym_BSLASHb] = ACTIONS(2717),
    [anon_sym_BSLASHq] = ACTIONS(2717),
    [anon_sym_BSLASHqr] = ACTIONS(2717),
    [anon_sym_BSLASHqc] = ACTIONS(2717),
    [anon_sym_BSLASHqa] = ACTIONS(2717),
    [anon_sym_BSLASHqm] = ACTIONS(2717),
    [anon_sym_BSLASHqd] = ACTIONS(2717),
    [anon_sym_BSLASHlh] = ACTIONS(2717),
    [anon_sym_BSLASHli] = ACTIONS(2717),
    [anon_sym_BSLASHlim] = ACTIONS(2717),
    [anon_sym_BSLASHtr] = ACTIONS(2717),
    [sym_thTag] = ACTIONS(2717),
    [sym_thrTag] = ACTIONS(2717),
    [sym_tcTag] = ACTIONS(2717),
    [sym_tcrTag] = ACTIONS(2717),
    [anon_sym_BSLASHf] = ACTIONS(2717),
    [anon_sym_BSLASHfe] = ACTIONS(2717),
    [anon_sym_BSLASHef] = ACTIONS(2717),
    [anon_sym_BSLASHfm] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASHfig] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASHpb] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesb] = ACTIONS(2717),
  },
  [636] = {
    [aux_sym_text_token1] = ACTIONS(5462),
    [anon_sym_BSLASHref] = ACTIONS(5464),
    [anon_sym_BSLASHsts] = ACTIONS(5464),
    [anon_sym_BSLASHrem] = ACTIONS(5464),
    [anon_sym_BSLASHrestore] = ACTIONS(5464),
    [anon_sym_BSLASHlit] = ACTIONS(5464),
    [anon_sym_BSLASHip] = ACTIONS(5464),
    [anon_sym_BSLASHv] = ACTIONS(5464),
    [anon_sym_BSLASHva] = ACTIONS(5464),
    [anon_sym_BSLASHvp] = ACTIONS(5464),
    [anon_sym_BSLASHmte] = ACTIONS(5464),
    [anon_sym_BSLASHms] = ACTIONS(5464),
    [anon_sym_BSLASHs] = ACTIONS(5464),
    [anon_sym_BSLASHr] = ACTIONS(5464),
    [anon_sym_BSLASHsp] = ACTIONS(5464),
    [anon_sym_BSLASHd] = ACTIONS(5464),
    [anon_sym_BSLASHsd] = ACTIONS(5464),
    [anon_sym_BSLASHp] = ACTIONS(5464),
    [anon_sym_BSLASHm] = ACTIONS(5464),
    [anon_sym_BSLASHpo] = ACTIONS(5464),
    [anon_sym_BSLASHpr] = ACTIONS(5464),
    [anon_sym_BSLASHcls] = ACTIONS(5464),
    [anon_sym_BSLASHpmo] = ACTIONS(5464),
    [anon_sym_BSLASHpm] = ACTIONS(5464),
    [anon_sym_BSLASHpmc] = ACTIONS(5464),
    [anon_sym_BSLASHpmr] = ACTIONS(5464),
    [anon_sym_BSLASHpi] = ACTIONS(5464),
    [anon_sym_BSLASHmi] = ACTIONS(5464),
    [anon_sym_BSLASHnb] = ACTIONS(5464),
    [anon_sym_BSLASHpc] = ACTIONS(5464),
    [anon_sym_BSLASHph] = ACTIONS(5464),
    [anon_sym_BSLASHb] = ACTIONS(5464),
    [anon_sym_BSLASHq] = ACTIONS(5464),
    [anon_sym_BSLASHqr] = ACTIONS(5464),
    [anon_sym_BSLASHqc] = ACTIONS(5464),
    [anon_sym_BSLASHqs] = ACTIONS(5464),
    [anon_sym_BSLASHqa] = ACTIONS(5464),
    [anon_sym_BSLASHqac] = ACTIONS(5464),
    [anon_sym_BSLASHqm] = ACTIONS(5464),
    [anon_sym_BSLASHqd] = ACTIONS(5464),
    [anon_sym_BSLASHlh] = ACTIONS(5464),
    [anon_sym_BSLASHli] = ACTIONS(5464),
    [anon_sym_BSLASHlim] = ACTIONS(5464),
    [anon_sym_BSLASHtr] = ACTIONS(5464),
    [anon_sym_BSLASHf] = ACTIONS(5464),
    [anon_sym_BSLASHfe] = ACTIONS(5464),
    [anon_sym_BSLASHef] = ACTIONS(5464),
    [anon_sym_BSLASHfm] = ACTIONS(5464),
    [anon_sym_BSLASHx] = ACTIONS(5464),
    [anon_sym_BSLASHxt] = ACTIONS(5464),
    [anon_sym_BSLASHrq] = ACTIONS(5464),
    [anon_sym_BSLASHadd] = ACTIONS(5464),
    [anon_sym_BSLASHbk] = ACTIONS(5464),
    [anon_sym_BSLASHdc] = ACTIONS(5464),
    [anon_sym_BSLASHk] = ACTIONS(5464),
    [anon_sym_BSLASHnd] = ACTIONS(5464),
    [anon_sym_BSLASHord] = ACTIONS(5464),
    [anon_sym_BSLASHpn] = ACTIONS(5464),
    [anon_sym_BSLASHpng] = ACTIONS(5464),
    [anon_sym_BSLASHaddpn] = ACTIONS(5464),
    [anon_sym_BSLASHqt] = ACTIONS(5464),
    [anon_sym_BSLASHsig] = ACTIONS(5464),
    [anon_sym_BSLASHsls] = ACTIONS(5464),
    [anon_sym_BSLASHtl] = ACTIONS(5464),
    [anon_sym_BSLASHwj] = ACTIONS(5464),
    [anon_sym_BSLASHem] = ACTIONS(5464),
    [anon_sym_BSLASHbd] = ACTIONS(5464),
    [anon_sym_BSLASHit] = ACTIONS(5464),
    [anon_sym_BSLASHbdit] = ACTIONS(5464),
    [anon_sym_BSLASHno] = ACTIONS(5464),
    [anon_sym_BSLASHsc] = ACTIONS(5464),
    [anon_sym_BSLASHsup] = ACTIONS(5464),
    [anon_sym_BSLASHndx] = ACTIONS(5464),
    [anon_sym_BSLASHpro] = ACTIONS(5464),
    [anon_sym_BSLASHrb] = ACTIONS(5464),
    [anon_sym_BSLASHw] = ACTIONS(5464),
    [anon_sym_BSLASHwg] = ACTIONS(5464),
    [anon_sym_BSLASHwh] = ACTIONS(5464),
    [anon_sym_BSLASHwa] = ACTIONS(5464),
    [anon_sym_BSLASHfig] = ACTIONS(5464),
    [anon_sym_BSLASHjmp] = ACTIONS(5464),
    [anon_sym_BSLASHpb] = ACTIONS(5464),
    [anon_sym_BSLASH] = ACTIONS(5464),
    [sym_milestoneStartTag] = ACTIONS(5464),
    [sym_milestoneEndTag] = ACTIONS(5464),
    [sym_zSpaceTag] = ACTIONS(5464),
    [anon_sym_BSLASHesbe] = ACTIONS(5464),
    [anon_sym_BSLASHcat] = ACTIONS(5464),
  },
  [637] = {
    [aux_sym_text_token1] = ACTIONS(21),
    [anon_sym_BSLASHref] = ACTIONS(23),
    [anon_sym_BSLASHsts] = ACTIONS(23),
    [anon_sym_BSLASHrem] = ACTIONS(23),
    [anon_sym_BSLASHrestore] = ACTIONS(23),
    [anon_sym_BSLASHlit] = ACTIONS(23),
    [anon_sym_BSLASHip] = ACTIONS(23),
    [anon_sym_BSLASHv] = ACTIONS(23),
    [anon_sym_BSLASHva] = ACTIONS(23),
    [anon_sym_BSLASHvp] = ACTIONS(23),
    [anon_sym_BSLASHmte] = ACTIONS(23),
    [anon_sym_BSLASHms] = ACTIONS(23),
    [anon_sym_BSLASHs] = ACTIONS(23),
    [anon_sym_BSLASHr] = ACTIONS(23),
    [anon_sym_BSLASHsp] = ACTIONS(23),
    [anon_sym_BSLASHd] = ACTIONS(23),
    [anon_sym_BSLASHsd] = ACTIONS(23),
    [anon_sym_BSLASHp] = ACTIONS(23),
    [anon_sym_BSLASHm] = ACTIONS(23),
    [anon_sym_BSLASHpo] = ACTIONS(23),
    [anon_sym_BSLASHpr] = ACTIONS(23),
    [anon_sym_BSLASHcls] = ACTIONS(23),
    [anon_sym_BSLASHpmo] = ACTIONS(23),
    [anon_sym_BSLASHpm] = ACTIONS(23),
    [anon_sym_BSLASHpmc] = ACTIONS(23),
    [anon_sym_BSLASHpmr] = ACTIONS(23),
    [anon_sym_BSLASHpi] = ACTIONS(23),
    [anon_sym_BSLASHmi] = ACTIONS(23),
    [anon_sym_BSLASHnb] = ACTIONS(23),
    [anon_sym_BSLASHpc] = ACTIONS(23),
    [anon_sym_BSLASHph] = ACTIONS(23),
    [anon_sym_BSLASHb] = ACTIONS(23),
    [anon_sym_BSLASHq] = ACTIONS(23),
    [anon_sym_BSLASHqr] = ACTIONS(23),
    [anon_sym_BSLASHqc] = ACTIONS(23),
    [anon_sym_BSLASHqs] = ACTIONS(23),
    [anon_sym_BSLASHqa] = ACTIONS(23),
    [anon_sym_BSLASHqac] = ACTIONS(23),
    [anon_sym_BSLASHqm] = ACTIONS(23),
    [anon_sym_BSLASHqd] = ACTIONS(23),
    [anon_sym_BSLASHlh] = ACTIONS(23),
    [anon_sym_BSLASHli] = ACTIONS(23),
    [anon_sym_BSLASHlim] = ACTIONS(23),
    [anon_sym_BSLASHtr] = ACTIONS(23),
    [anon_sym_BSLASHf] = ACTIONS(23),
    [anon_sym_BSLASHfe] = ACTIONS(23),
    [anon_sym_BSLASHef] = ACTIONS(23),
    [anon_sym_BSLASHfm] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(23),
    [anon_sym_BSLASHxt] = ACTIONS(23),
    [anon_sym_BSLASHrq] = ACTIONS(23),
    [anon_sym_BSLASHadd] = ACTIONS(23),
    [anon_sym_BSLASHbk] = ACTIONS(23),
    [anon_sym_BSLASHdc] = ACTIONS(23),
    [anon_sym_BSLASHk] = ACTIONS(23),
    [anon_sym_BSLASHnd] = ACTIONS(23),
    [anon_sym_BSLASHord] = ACTIONS(23),
    [anon_sym_BSLASHpn] = ACTIONS(23),
    [anon_sym_BSLASHpng] = ACTIONS(23),
    [anon_sym_BSLASHaddpn] = ACTIONS(23),
    [anon_sym_BSLASHqt] = ACTIONS(23),
    [anon_sym_BSLASHsig] = ACTIONS(23),
    [anon_sym_BSLASHsls] = ACTIONS(23),
    [anon_sym_BSLASHtl] = ACTIONS(23),
    [anon_sym_BSLASHwj] = ACTIONS(23),
    [anon_sym_BSLASHem] = ACTIONS(23),
    [anon_sym_BSLASHbd] = ACTIONS(23),
    [anon_sym_BSLASHit] = ACTIONS(23),
    [anon_sym_BSLASHbdit] = ACTIONS(23),
    [anon_sym_BSLASHno] = ACTIONS(23),
    [anon_sym_BSLASHsc] = ACTIONS(23),
    [anon_sym_BSLASHsup] = ACTIONS(23),
    [anon_sym_BSLASHndx] = ACTIONS(23),
    [anon_sym_BSLASHpro] = ACTIONS(23),
    [anon_sym_BSLASHrb] = ACTIONS(23),
    [anon_sym_BSLASHw] = ACTIONS(23),
    [anon_sym_BSLASHwg] = ACTIONS(23),
    [anon_sym_BSLASHwh] = ACTIONS(23),
    [anon_sym_BSLASHwa] = ACTIONS(23),
    [anon_sym_BSLASHfig] = ACTIONS(23),
    [anon_sym_BSLASHjmp] = ACTIONS(23),
    [anon_sym_BSLASHpb] = ACTIONS(23),
    [anon_sym_BSLASH] = ACTIONS(23),
    [sym_milestoneStartTag] = ACTIONS(23),
    [sym_milestoneEndTag] = ACTIONS(23),
    [sym_zSpaceTag] = ACTIONS(23),
    [anon_sym_BSLASHesbe] = ACTIONS(23),
    [anon_sym_BSLASHcat] = ACTIONS(23),
  },
  [638] = {
    [aux_sym_text_token1] = ACTIONS(2663),
    [anon_sym_BSLASHref] = ACTIONS(2665),
    [anon_sym_BSLASHsts] = ACTIONS(2665),
    [anon_sym_BSLASHrem] = ACTIONS(2665),
    [anon_sym_BSLASHrestore] = ACTIONS(2665),
    [anon_sym_BSLASHlit] = ACTIONS(2665),
    [anon_sym_BSLASHip] = ACTIONS(2665),
    [anon_sym_BSLASHv] = ACTIONS(2665),
    [anon_sym_BSLASHva] = ACTIONS(2665),
    [anon_sym_BSLASHvp] = ACTIONS(2665),
    [anon_sym_BSLASHmte] = ACTIONS(2665),
    [anon_sym_BSLASHms] = ACTIONS(2665),
    [anon_sym_BSLASHs] = ACTIONS(2665),
    [anon_sym_BSLASHr] = ACTIONS(2665),
    [anon_sym_BSLASHsp] = ACTIONS(2665),
    [anon_sym_BSLASHd] = ACTIONS(2665),
    [anon_sym_BSLASHsd] = ACTIONS(2665),
    [anon_sym_BSLASHp] = ACTIONS(2665),
    [anon_sym_BSLASHm] = ACTIONS(2665),
    [anon_sym_BSLASHpo] = ACTIONS(2665),
    [anon_sym_BSLASHpr] = ACTIONS(2665),
    [anon_sym_BSLASHcls] = ACTIONS(2665),
    [anon_sym_BSLASHpmo] = ACTIONS(2665),
    [anon_sym_BSLASHpm] = ACTIONS(2665),
    [anon_sym_BSLASHpmc] = ACTIONS(2665),
    [anon_sym_BSLASHpmr] = ACTIONS(2665),
    [anon_sym_BSLASHpi] = ACTIONS(2665),
    [anon_sym_BSLASHmi] = ACTIONS(2665),
    [anon_sym_BSLASHnb] = ACTIONS(2665),
    [anon_sym_BSLASHpc] = ACTIONS(2665),
    [anon_sym_BSLASHph] = ACTIONS(2665),
    [anon_sym_BSLASHb] = ACTIONS(2665),
    [anon_sym_BSLASHq] = ACTIONS(2665),
    [anon_sym_BSLASHqr] = ACTIONS(2665),
    [anon_sym_BSLASHqc] = ACTIONS(2665),
    [anon_sym_BSLASHqs] = ACTIONS(2665),
    [anon_sym_BSLASHqa] = ACTIONS(2665),
    [anon_sym_BSLASHqac] = ACTIONS(2665),
    [anon_sym_BSLASHqm] = ACTIONS(2665),
    [anon_sym_BSLASHqd] = ACTIONS(2665),
    [anon_sym_BSLASHlh] = ACTIONS(2665),
    [anon_sym_BSLASHli] = ACTIONS(2665),
    [anon_sym_BSLASHlim] = ACTIONS(2665),
    [anon_sym_BSLASHtr] = ACTIONS(2665),
    [anon_sym_BSLASHf] = ACTIONS(2665),
    [anon_sym_BSLASHfe] = ACTIONS(2665),
    [anon_sym_BSLASHef] = ACTIONS(2665),
    [anon_sym_BSLASHfm] = ACTIONS(2665),
    [anon_sym_BSLASHx] = ACTIONS(2665),
    [anon_sym_BSLASHxt] = ACTIONS(2665),
    [anon_sym_BSLASHrq] = ACTIONS(2665),
    [anon_sym_BSLASHadd] = ACTIONS(2665),
    [anon_sym_BSLASHbk] = ACTIONS(2665),
    [anon_sym_BSLASHdc] = ACTIONS(2665),
    [anon_sym_BSLASHk] = ACTIONS(2665),
    [anon_sym_BSLASHnd] = ACTIONS(2665),
    [anon_sym_BSLASHord] = ACTIONS(2665),
    [anon_sym_BSLASHpn] = ACTIONS(2665),
    [anon_sym_BSLASHpng] = ACTIONS(2665),
    [anon_sym_BSLASHaddpn] = ACTIONS(2665),
    [anon_sym_BSLASHqt] = ACTIONS(2665),
    [anon_sym_BSLASHsig] = ACTIONS(2665),
    [anon_sym_BSLASHsls] = ACTIONS(2665),
    [anon_sym_BSLASHtl] = ACTIONS(2665),
    [anon_sym_BSLASHwj] = ACTIONS(2665),
    [anon_sym_BSLASHem] = ACTIONS(2665),
    [anon_sym_BSLASHbd] = ACTIONS(2665),
    [anon_sym_BSLASHit] = ACTIONS(2665),
    [anon_sym_BSLASHbdit] = ACTIONS(2665),
    [anon_sym_BSLASHno] = ACTIONS(2665),
    [anon_sym_BSLASHsc] = ACTIONS(2665),
    [anon_sym_BSLASHsup] = ACTIONS(2665),
    [anon_sym_BSLASHndx] = ACTIONS(2665),
    [anon_sym_BSLASHpro] = ACTIONS(2665),
    [anon_sym_BSLASHrb] = ACTIONS(2665),
    [anon_sym_BSLASHw] = ACTIONS(2665),
    [anon_sym_BSLASHwg] = ACTIONS(2665),
    [anon_sym_BSLASHwh] = ACTIONS(2665),
    [anon_sym_BSLASHwa] = ACTIONS(2665),
    [anon_sym_BSLASHfig] = ACTIONS(2665),
    [anon_sym_BSLASHjmp] = ACTIONS(2665),
    [anon_sym_BSLASHpb] = ACTIONS(2665),
    [anon_sym_BSLASH] = ACTIONS(2665),
    [sym_milestoneStartTag] = ACTIONS(2665),
    [sym_milestoneEndTag] = ACTIONS(2665),
    [sym_zSpaceTag] = ACTIONS(2665),
    [anon_sym_BSLASHesbe] = ACTIONS(2665),
    [anon_sym_BSLASHcat] = ACTIONS(2665),
  },
  [639] = {
    [aux_sym_text_token1] = ACTIONS(2667),
    [anon_sym_BSLASHref] = ACTIONS(2669),
    [anon_sym_BSLASHsts] = ACTIONS(2669),
    [anon_sym_BSLASHrem] = ACTIONS(2669),
    [anon_sym_BSLASHrestore] = ACTIONS(2669),
    [anon_sym_BSLASHlit] = ACTIONS(2669),
    [anon_sym_BSLASHip] = ACTIONS(2669),
    [anon_sym_BSLASHv] = ACTIONS(2669),
    [anon_sym_BSLASHva] = ACTIONS(2669),
    [anon_sym_BSLASHvp] = ACTIONS(2669),
    [anon_sym_BSLASHmte] = ACTIONS(2669),
    [anon_sym_BSLASHms] = ACTIONS(2669),
    [anon_sym_BSLASHs] = ACTIONS(2669),
    [anon_sym_BSLASHr] = ACTIONS(2669),
    [anon_sym_BSLASHsp] = ACTIONS(2669),
    [anon_sym_BSLASHd] = ACTIONS(2669),
    [anon_sym_BSLASHsd] = ACTIONS(2669),
    [anon_sym_BSLASHp] = ACTIONS(2669),
    [anon_sym_BSLASHm] = ACTIONS(2669),
    [anon_sym_BSLASHpo] = ACTIONS(2669),
    [anon_sym_BSLASHpr] = ACTIONS(2669),
    [anon_sym_BSLASHcls] = ACTIONS(2669),
    [anon_sym_BSLASHpmo] = ACTIONS(2669),
    [anon_sym_BSLASHpm] = ACTIONS(2669),
    [anon_sym_BSLASHpmc] = ACTIONS(2669),
    [anon_sym_BSLASHpmr] = ACTIONS(2669),
    [anon_sym_BSLASHpi] = ACTIONS(2669),
    [anon_sym_BSLASHmi] = ACTIONS(2669),
    [anon_sym_BSLASHnb] = ACTIONS(2669),
    [anon_sym_BSLASHpc] = ACTIONS(2669),
    [anon_sym_BSLASHph] = ACTIONS(2669),
    [anon_sym_BSLASHb] = ACTIONS(2669),
    [anon_sym_BSLASHq] = ACTIONS(2669),
    [anon_sym_BSLASHqr] = ACTIONS(2669),
    [anon_sym_BSLASHqc] = ACTIONS(2669),
    [anon_sym_BSLASHqs] = ACTIONS(2669),
    [anon_sym_BSLASHqa] = ACTIONS(2669),
    [anon_sym_BSLASHqac] = ACTIONS(2669),
    [anon_sym_BSLASHqm] = ACTIONS(2669),
    [anon_sym_BSLASHqd] = ACTIONS(2669),
    [anon_sym_BSLASHlh] = ACTIONS(2669),
    [anon_sym_BSLASHli] = ACTIONS(2669),
    [anon_sym_BSLASHlim] = ACTIONS(2669),
    [anon_sym_BSLASHtr] = ACTIONS(2669),
    [anon_sym_BSLASHf] = ACTIONS(2669),
    [anon_sym_BSLASHfe] = ACTIONS(2669),
    [anon_sym_BSLASHef] = ACTIONS(2669),
    [anon_sym_BSLASHfm] = ACTIONS(2669),
    [anon_sym_BSLASHx] = ACTIONS(2669),
    [anon_sym_BSLASHxt] = ACTIONS(2669),
    [anon_sym_BSLASHrq] = ACTIONS(2669),
    [anon_sym_BSLASHadd] = ACTIONS(2669),
    [anon_sym_BSLASHbk] = ACTIONS(2669),
    [anon_sym_BSLASHdc] = ACTIONS(2669),
    [anon_sym_BSLASHk] = ACTIONS(2669),
    [anon_sym_BSLASHnd] = ACTIONS(2669),
    [anon_sym_BSLASHord] = ACTIONS(2669),
    [anon_sym_BSLASHpn] = ACTIONS(2669),
    [anon_sym_BSLASHpng] = ACTIONS(2669),
    [anon_sym_BSLASHaddpn] = ACTIONS(2669),
    [anon_sym_BSLASHqt] = ACTIONS(2669),
    [anon_sym_BSLASHsig] = ACTIONS(2669),
    [anon_sym_BSLASHsls] = ACTIONS(2669),
    [anon_sym_BSLASHtl] = ACTIONS(2669),
    [anon_sym_BSLASHwj] = ACTIONS(2669),
    [anon_sym_BSLASHem] = ACTIONS(2669),
    [anon_sym_BSLASHbd] = ACTIONS(2669),
    [anon_sym_BSLASHit] = ACTIONS(2669),
    [anon_sym_BSLASHbdit] = ACTIONS(2669),
    [anon_sym_BSLASHno] = ACTIONS(2669),
    [anon_sym_BSLASHsc] = ACTIONS(2669),
    [anon_sym_BSLASHsup] = ACTIONS(2669),
    [anon_sym_BSLASHndx] = ACTIONS(2669),
    [anon_sym_BSLASHpro] = ACTIONS(2669),
    [anon_sym_BSLASHrb] = ACTIONS(2669),
    [anon_sym_BSLASHw] = ACTIONS(2669),
    [anon_sym_BSLASHwg] = ACTIONS(2669),
    [anon_sym_BSLASHwh] = ACTIONS(2669),
    [anon_sym_BSLASHwa] = ACTIONS(2669),
    [anon_sym_BSLASHfig] = ACTIONS(2669),
    [anon_sym_BSLASHjmp] = ACTIONS(2669),
    [anon_sym_BSLASHpb] = ACTIONS(2669),
    [anon_sym_BSLASH] = ACTIONS(2669),
    [sym_milestoneStartTag] = ACTIONS(2669),
    [sym_milestoneEndTag] = ACTIONS(2669),
    [sym_zSpaceTag] = ACTIONS(2669),
    [anon_sym_BSLASHesbe] = ACTIONS(2669),
    [anon_sym_BSLASHcat] = ACTIONS(2669),
  },
  [640] = {
    [aux_sym_text_token1] = ACTIONS(2623),
    [anon_sym_BSLASHref] = ACTIONS(2625),
    [anon_sym_BSLASHsts] = ACTIONS(2625),
    [anon_sym_BSLASHrem] = ACTIONS(2625),
    [anon_sym_BSLASHrestore] = ACTIONS(2625),
    [anon_sym_BSLASHlit] = ACTIONS(2625),
    [anon_sym_BSLASHip] = ACTIONS(2625),
    [anon_sym_BSLASHv] = ACTIONS(2625),
    [anon_sym_BSLASHva] = ACTIONS(2625),
    [anon_sym_BSLASHvp] = ACTIONS(2625),
    [anon_sym_BSLASHmte] = ACTIONS(2625),
    [anon_sym_BSLASHms] = ACTIONS(2625),
    [anon_sym_BSLASHs] = ACTIONS(2625),
    [anon_sym_BSLASHr] = ACTIONS(2625),
    [anon_sym_BSLASHsp] = ACTIONS(2625),
    [anon_sym_BSLASHd] = ACTIONS(2625),
    [anon_sym_BSLASHsd] = ACTIONS(2625),
    [anon_sym_BSLASHp] = ACTIONS(2625),
    [anon_sym_BSLASHm] = ACTIONS(2625),
    [anon_sym_BSLASHpo] = ACTIONS(2625),
    [anon_sym_BSLASHpr] = ACTIONS(2625),
    [anon_sym_BSLASHcls] = ACTIONS(2625),
    [anon_sym_BSLASHpmo] = ACTIONS(2625),
    [anon_sym_BSLASHpm] = ACTIONS(2625),
    [anon_sym_BSLASHpmc] = ACTIONS(2625),
    [anon_sym_BSLASHpmr] = ACTIONS(2625),
    [anon_sym_BSLASHpi] = ACTIONS(2625),
    [anon_sym_BSLASHmi] = ACTIONS(2625),
    [anon_sym_BSLASHnb] = ACTIONS(2625),
    [anon_sym_BSLASHpc] = ACTIONS(2625),
    [anon_sym_BSLASHph] = ACTIONS(2625),
    [anon_sym_BSLASHb] = ACTIONS(2625),
    [anon_sym_BSLASHq] = ACTIONS(2625),
    [anon_sym_BSLASHqr] = ACTIONS(2625),
    [anon_sym_BSLASHqc] = ACTIONS(2625),
    [anon_sym_BSLASHqs] = ACTIONS(2625),
    [anon_sym_BSLASHqa] = ACTIONS(2625),
    [anon_sym_BSLASHqac] = ACTIONS(2625),
    [anon_sym_BSLASHqm] = ACTIONS(2625),
    [anon_sym_BSLASHqd] = ACTIONS(2625),
    [anon_sym_BSLASHlh] = ACTIONS(2625),
    [anon_sym_BSLASHli] = ACTIONS(2625),
    [anon_sym_BSLASHlim] = ACTIONS(2625),
    [anon_sym_BSLASHtr] = ACTIONS(2625),
    [anon_sym_BSLASHf] = ACTIONS(2625),
    [anon_sym_BSLASHfe] = ACTIONS(2625),
    [anon_sym_BSLASHef] = ACTIONS(2625),
    [anon_sym_BSLASHfm] = ACTIONS(2625),
    [anon_sym_BSLASHx] = ACTIONS(2625),
    [anon_sym_BSLASHxt] = ACTIONS(2625),
    [anon_sym_BSLASHrq] = ACTIONS(2625),
    [anon_sym_BSLASHadd] = ACTIONS(2625),
    [anon_sym_BSLASHbk] = ACTIONS(2625),
    [anon_sym_BSLASHdc] = ACTIONS(2625),
    [anon_sym_BSLASHk] = ACTIONS(2625),
    [anon_sym_BSLASHnd] = ACTIONS(2625),
    [anon_sym_BSLASHord] = ACTIONS(2625),
    [anon_sym_BSLASHpn] = ACTIONS(2625),
    [anon_sym_BSLASHpng] = ACTIONS(2625),
    [anon_sym_BSLASHaddpn] = ACTIONS(2625),
    [anon_sym_BSLASHqt] = ACTIONS(2625),
    [anon_sym_BSLASHsig] = ACTIONS(2625),
    [anon_sym_BSLASHsls] = ACTIONS(2625),
    [anon_sym_BSLASHtl] = ACTIONS(2625),
    [anon_sym_BSLASHwj] = ACTIONS(2625),
    [anon_sym_BSLASHem] = ACTIONS(2625),
    [anon_sym_BSLASHbd] = ACTIONS(2625),
    [anon_sym_BSLASHit] = ACTIONS(2625),
    [anon_sym_BSLASHbdit] = ACTIONS(2625),
    [anon_sym_BSLASHno] = ACTIONS(2625),
    [anon_sym_BSLASHsc] = ACTIONS(2625),
    [anon_sym_BSLASHsup] = ACTIONS(2625),
    [anon_sym_BSLASHndx] = ACTIONS(2625),
    [anon_sym_BSLASHpro] = ACTIONS(2625),
    [anon_sym_BSLASHrb] = ACTIONS(2625),
    [anon_sym_BSLASHw] = ACTIONS(2625),
    [anon_sym_BSLASHwg] = ACTIONS(2625),
    [anon_sym_BSLASHwh] = ACTIONS(2625),
    [anon_sym_BSLASHwa] = ACTIONS(2625),
    [anon_sym_BSLASHfig] = ACTIONS(2625),
    [anon_sym_BSLASHjmp] = ACTIONS(2625),
    [anon_sym_BSLASHpb] = ACTIONS(2625),
    [anon_sym_BSLASH] = ACTIONS(2625),
    [sym_milestoneStartTag] = ACTIONS(2625),
    [sym_milestoneEndTag] = ACTIONS(2625),
    [sym_zSpaceTag] = ACTIONS(2625),
    [anon_sym_BSLASHesbe] = ACTIONS(2625),
    [anon_sym_BSLASHcat] = ACTIONS(2625),
  },
  [641] = {
    [aux_sym_text_token1] = ACTIONS(2639),
    [anon_sym_BSLASHref] = ACTIONS(2641),
    [anon_sym_BSLASHsts] = ACTIONS(2641),
    [anon_sym_BSLASHrem] = ACTIONS(2641),
    [anon_sym_BSLASHrestore] = ACTIONS(2641),
    [anon_sym_BSLASHlit] = ACTIONS(2641),
    [anon_sym_BSLASHip] = ACTIONS(2641),
    [anon_sym_BSLASHv] = ACTIONS(2641),
    [anon_sym_BSLASHva] = ACTIONS(2641),
    [anon_sym_BSLASHvp] = ACTIONS(2641),
    [anon_sym_BSLASHmte] = ACTIONS(2641),
    [anon_sym_BSLASHms] = ACTIONS(2641),
    [anon_sym_BSLASHs] = ACTIONS(2641),
    [anon_sym_BSLASHr] = ACTIONS(2641),
    [anon_sym_BSLASHsp] = ACTIONS(2641),
    [anon_sym_BSLASHd] = ACTIONS(2641),
    [anon_sym_BSLASHsd] = ACTIONS(2641),
    [anon_sym_BSLASHp] = ACTIONS(2641),
    [anon_sym_BSLASHm] = ACTIONS(2641),
    [anon_sym_BSLASHpo] = ACTIONS(2641),
    [anon_sym_BSLASHpr] = ACTIONS(2641),
    [anon_sym_BSLASHcls] = ACTIONS(2641),
    [anon_sym_BSLASHpmo] = ACTIONS(2641),
    [anon_sym_BSLASHpm] = ACTIONS(2641),
    [anon_sym_BSLASHpmc] = ACTIONS(2641),
    [anon_sym_BSLASHpmr] = ACTIONS(2641),
    [anon_sym_BSLASHpi] = ACTIONS(2641),
    [anon_sym_BSLASHmi] = ACTIONS(2641),
    [anon_sym_BSLASHnb] = ACTIONS(2641),
    [anon_sym_BSLASHpc] = ACTIONS(2641),
    [anon_sym_BSLASHph] = ACTIONS(2641),
    [anon_sym_BSLASHb] = ACTIONS(2641),
    [anon_sym_BSLASHq] = ACTIONS(2641),
    [anon_sym_BSLASHqr] = ACTIONS(2641),
    [anon_sym_BSLASHqc] = ACTIONS(2641),
    [anon_sym_BSLASHqs] = ACTIONS(2641),
    [anon_sym_BSLASHqa] = ACTIONS(2641),
    [anon_sym_BSLASHqac] = ACTIONS(2641),
    [anon_sym_BSLASHqm] = ACTIONS(2641),
    [anon_sym_BSLASHqd] = ACTIONS(2641),
    [anon_sym_BSLASHlh] = ACTIONS(2641),
    [anon_sym_BSLASHli] = ACTIONS(2641),
    [anon_sym_BSLASHlim] = ACTIONS(2641),
    [anon_sym_BSLASHtr] = ACTIONS(2641),
    [anon_sym_BSLASHf] = ACTIONS(2641),
    [anon_sym_BSLASHfe] = ACTIONS(2641),
    [anon_sym_BSLASHef] = ACTIONS(2641),
    [anon_sym_BSLASHfm] = ACTIONS(2641),
    [anon_sym_BSLASHx] = ACTIONS(2641),
    [anon_sym_BSLASHxt] = ACTIONS(2641),
    [anon_sym_BSLASHrq] = ACTIONS(2641),
    [anon_sym_BSLASHadd] = ACTIONS(2641),
    [anon_sym_BSLASHbk] = ACTIONS(2641),
    [anon_sym_BSLASHdc] = ACTIONS(2641),
    [anon_sym_BSLASHk] = ACTIONS(2641),
    [anon_sym_BSLASHnd] = ACTIONS(2641),
    [anon_sym_BSLASHord] = ACTIONS(2641),
    [anon_sym_BSLASHpn] = ACTIONS(2641),
    [anon_sym_BSLASHpng] = ACTIONS(2641),
    [anon_sym_BSLASHaddpn] = ACTIONS(2641),
    [anon_sym_BSLASHqt] = ACTIONS(2641),
    [anon_sym_BSLASHsig] = ACTIONS(2641),
    [anon_sym_BSLASHsls] = ACTIONS(2641),
    [anon_sym_BSLASHtl] = ACTIONS(2641),
    [anon_sym_BSLASHwj] = ACTIONS(2641),
    [anon_sym_BSLASHem] = ACTIONS(2641),
    [anon_sym_BSLASHbd] = ACTIONS(2641),
    [anon_sym_BSLASHit] = ACTIONS(2641),
    [anon_sym_BSLASHbdit] = ACTIONS(2641),
    [anon_sym_BSLASHno] = ACTIONS(2641),
    [anon_sym_BSLASHsc] = ACTIONS(2641),
    [anon_sym_BSLASHsup] = ACTIONS(2641),
    [anon_sym_BSLASHndx] = ACTIONS(2641),
    [anon_sym_BSLASHpro] = ACTIONS(2641),
    [anon_sym_BSLASHrb] = ACTIONS(2641),
    [anon_sym_BSLASHw] = ACTIONS(2641),
    [anon_sym_BSLASHwg] = ACTIONS(2641),
    [anon_sym_BSLASHwh] = ACTIONS(2641),
    [anon_sym_BSLASHwa] = ACTIONS(2641),
    [anon_sym_BSLASHfig] = ACTIONS(2641),
    [anon_sym_BSLASHjmp] = ACTIONS(2641),
    [anon_sym_BSLASHpb] = ACTIONS(2641),
    [anon_sym_BSLASH] = ACTIONS(2641),
    [sym_milestoneStartTag] = ACTIONS(2641),
    [sym_milestoneEndTag] = ACTIONS(2641),
    [sym_zSpaceTag] = ACTIONS(2641),
    [anon_sym_BSLASHesbe] = ACTIONS(2641),
    [anon_sym_BSLASHcat] = ACTIONS(2641),
  },
  [642] = {
    [aux_sym_text_token1] = ACTIONS(2631),
    [anon_sym_BSLASHref] = ACTIONS(2633),
    [anon_sym_BSLASHsts] = ACTIONS(2633),
    [anon_sym_BSLASHrem] = ACTIONS(2633),
    [anon_sym_BSLASHrestore] = ACTIONS(2633),
    [anon_sym_BSLASHlit] = ACTIONS(2633),
    [anon_sym_BSLASHip] = ACTIONS(2633),
    [anon_sym_BSLASHv] = ACTIONS(2633),
    [anon_sym_BSLASHva] = ACTIONS(2633),
    [anon_sym_BSLASHvp] = ACTIONS(2633),
    [anon_sym_BSLASHmte] = ACTIONS(2633),
    [anon_sym_BSLASHms] = ACTIONS(2633),
    [anon_sym_BSLASHs] = ACTIONS(2633),
    [anon_sym_BSLASHr] = ACTIONS(2633),
    [anon_sym_BSLASHsp] = ACTIONS(2633),
    [anon_sym_BSLASHd] = ACTIONS(2633),
    [anon_sym_BSLASHsd] = ACTIONS(2633),
    [anon_sym_BSLASHp] = ACTIONS(2633),
    [anon_sym_BSLASHm] = ACTIONS(2633),
    [anon_sym_BSLASHpo] = ACTIONS(2633),
    [anon_sym_BSLASHpr] = ACTIONS(2633),
    [anon_sym_BSLASHcls] = ACTIONS(2633),
    [anon_sym_BSLASHpmo] = ACTIONS(2633),
    [anon_sym_BSLASHpm] = ACTIONS(2633),
    [anon_sym_BSLASHpmc] = ACTIONS(2633),
    [anon_sym_BSLASHpmr] = ACTIONS(2633),
    [anon_sym_BSLASHpi] = ACTIONS(2633),
    [anon_sym_BSLASHmi] = ACTIONS(2633),
    [anon_sym_BSLASHnb] = ACTIONS(2633),
    [anon_sym_BSLASHpc] = ACTIONS(2633),
    [anon_sym_BSLASHph] = ACTIONS(2633),
    [anon_sym_BSLASHb] = ACTIONS(2633),
    [anon_sym_BSLASHq] = ACTIONS(2633),
    [anon_sym_BSLASHqr] = ACTIONS(2633),
    [anon_sym_BSLASHqc] = ACTIONS(2633),
    [anon_sym_BSLASHqs] = ACTIONS(2633),
    [anon_sym_BSLASHqa] = ACTIONS(2633),
    [anon_sym_BSLASHqac] = ACTIONS(2633),
    [anon_sym_BSLASHqm] = ACTIONS(2633),
    [anon_sym_BSLASHqd] = ACTIONS(2633),
    [anon_sym_BSLASHlh] = ACTIONS(2633),
    [anon_sym_BSLASHli] = ACTIONS(2633),
    [anon_sym_BSLASHlim] = ACTIONS(2633),
    [anon_sym_BSLASHtr] = ACTIONS(2633),
    [anon_sym_BSLASHf] = ACTIONS(2633),
    [anon_sym_BSLASHfe] = ACTIONS(2633),
    [anon_sym_BSLASHef] = ACTIONS(2633),
    [anon_sym_BSLASHfm] = ACTIONS(2633),
    [anon_sym_BSLASHx] = ACTIONS(2633),
    [anon_sym_BSLASHxt] = ACTIONS(2633),
    [anon_sym_BSLASHrq] = ACTIONS(2633),
    [anon_sym_BSLASHadd] = ACTIONS(2633),
    [anon_sym_BSLASHbk] = ACTIONS(2633),
    [anon_sym_BSLASHdc] = ACTIONS(2633),
    [anon_sym_BSLASHk] = ACTIONS(2633),
    [anon_sym_BSLASHnd] = ACTIONS(2633),
    [anon_sym_BSLASHord] = ACTIONS(2633),
    [anon_sym_BSLASHpn] = ACTIONS(2633),
    [anon_sym_BSLASHpng] = ACTIONS(2633),
    [anon_sym_BSLASHaddpn] = ACTIONS(2633),
    [anon_sym_BSLASHqt] = ACTIONS(2633),
    [anon_sym_BSLASHsig] = ACTIONS(2633),
    [anon_sym_BSLASHsls] = ACTIONS(2633),
    [anon_sym_BSLASHtl] = ACTIONS(2633),
    [anon_sym_BSLASHwj] = ACTIONS(2633),
    [anon_sym_BSLASHem] = ACTIONS(2633),
    [anon_sym_BSLASHbd] = ACTIONS(2633),
    [anon_sym_BSLASHit] = ACTIONS(2633),
    [anon_sym_BSLASHbdit] = ACTIONS(2633),
    [anon_sym_BSLASHno] = ACTIONS(2633),
    [anon_sym_BSLASHsc] = ACTIONS(2633),
    [anon_sym_BSLASHsup] = ACTIONS(2633),
    [anon_sym_BSLASHndx] = ACTIONS(2633),
    [anon_sym_BSLASHpro] = ACTIONS(2633),
    [anon_sym_BSLASHrb] = ACTIONS(2633),
    [anon_sym_BSLASHw] = ACTIONS(2633),
    [anon_sym_BSLASHwg] = ACTIONS(2633),
    [anon_sym_BSLASHwh] = ACTIONS(2633),
    [anon_sym_BSLASHwa] = ACTIONS(2633),
    [anon_sym_BSLASHfig] = ACTIONS(2633),
    [anon_sym_BSLASHjmp] = ACTIONS(2633),
    [anon_sym_BSLASHpb] = ACTIONS(2633),
    [anon_sym_BSLASH] = ACTIONS(2633),
    [sym_milestoneStartTag] = ACTIONS(2633),
    [sym_milestoneEndTag] = ACTIONS(2633),
    [sym_zSpaceTag] = ACTIONS(2633),
    [anon_sym_BSLASHesbe] = ACTIONS(2633),
    [anon_sym_BSLASHcat] = ACTIONS(2633),
  },
  [643] = {
    [aux_sym_text_token1] = ACTIONS(2643),
    [anon_sym_BSLASHref] = ACTIONS(2645),
    [anon_sym_BSLASHsts] = ACTIONS(2645),
    [anon_sym_BSLASHrem] = ACTIONS(2645),
    [anon_sym_BSLASHrestore] = ACTIONS(2645),
    [anon_sym_BSLASHlit] = ACTIONS(2645),
    [anon_sym_BSLASHip] = ACTIONS(2645),
    [anon_sym_BSLASHv] = ACTIONS(2645),
    [anon_sym_BSLASHva] = ACTIONS(2645),
    [anon_sym_BSLASHvp] = ACTIONS(2645),
    [anon_sym_BSLASHmte] = ACTIONS(2645),
    [anon_sym_BSLASHms] = ACTIONS(2645),
    [anon_sym_BSLASHs] = ACTIONS(2645),
    [anon_sym_BSLASHr] = ACTIONS(2645),
    [anon_sym_BSLASHsp] = ACTIONS(2645),
    [anon_sym_BSLASHd] = ACTIONS(2645),
    [anon_sym_BSLASHsd] = ACTIONS(2645),
    [anon_sym_BSLASHp] = ACTIONS(2645),
    [anon_sym_BSLASHm] = ACTIONS(2645),
    [anon_sym_BSLASHpo] = ACTIONS(2645),
    [anon_sym_BSLASHpr] = ACTIONS(2645),
    [anon_sym_BSLASHcls] = ACTIONS(2645),
    [anon_sym_BSLASHpmo] = ACTIONS(2645),
    [anon_sym_BSLASHpm] = ACTIONS(2645),
    [anon_sym_BSLASHpmc] = ACTIONS(2645),
    [anon_sym_BSLASHpmr] = ACTIONS(2645),
    [anon_sym_BSLASHpi] = ACTIONS(2645),
    [anon_sym_BSLASHmi] = ACTIONS(2645),
    [anon_sym_BSLASHnb] = ACTIONS(2645),
    [anon_sym_BSLASHpc] = ACTIONS(2645),
    [anon_sym_BSLASHph] = ACTIONS(2645),
    [anon_sym_BSLASHb] = ACTIONS(2645),
    [anon_sym_BSLASHq] = ACTIONS(2645),
    [anon_sym_BSLASHqr] = ACTIONS(2645),
    [anon_sym_BSLASHqc] = ACTIONS(2645),
    [anon_sym_BSLASHqs] = ACTIONS(2645),
    [anon_sym_BSLASHqa] = ACTIONS(2645),
    [anon_sym_BSLASHqac] = ACTIONS(2645),
    [anon_sym_BSLASHqm] = ACTIONS(2645),
    [anon_sym_BSLASHqd] = ACTIONS(2645),
    [anon_sym_BSLASHlh] = ACTIONS(2645),
    [anon_sym_BSLASHli] = ACTIONS(2645),
    [anon_sym_BSLASHlim] = ACTIONS(2645),
    [anon_sym_BSLASHtr] = ACTIONS(2645),
    [anon_sym_BSLASHf] = ACTIONS(2645),
    [anon_sym_BSLASHfe] = ACTIONS(2645),
    [anon_sym_BSLASHef] = ACTIONS(2645),
    [anon_sym_BSLASHfm] = ACTIONS(2645),
    [anon_sym_BSLASHx] = ACTIONS(2645),
    [anon_sym_BSLASHxt] = ACTIONS(2645),
    [anon_sym_BSLASHrq] = ACTIONS(2645),
    [anon_sym_BSLASHadd] = ACTIONS(2645),
    [anon_sym_BSLASHbk] = ACTIONS(2645),
    [anon_sym_BSLASHdc] = ACTIONS(2645),
    [anon_sym_BSLASHk] = ACTIONS(2645),
    [anon_sym_BSLASHnd] = ACTIONS(2645),
    [anon_sym_BSLASHord] = ACTIONS(2645),
    [anon_sym_BSLASHpn] = ACTIONS(2645),
    [anon_sym_BSLASHpng] = ACTIONS(2645),
    [anon_sym_BSLASHaddpn] = ACTIONS(2645),
    [anon_sym_BSLASHqt] = ACTIONS(2645),
    [anon_sym_BSLASHsig] = ACTIONS(2645),
    [anon_sym_BSLASHsls] = ACTIONS(2645),
    [anon_sym_BSLASHtl] = ACTIONS(2645),
    [anon_sym_BSLASHwj] = ACTIONS(2645),
    [anon_sym_BSLASHem] = ACTIONS(2645),
    [anon_sym_BSLASHbd] = ACTIONS(2645),
    [anon_sym_BSLASHit] = ACTIONS(2645),
    [anon_sym_BSLASHbdit] = ACTIONS(2645),
    [anon_sym_BSLASHno] = ACTIONS(2645),
    [anon_sym_BSLASHsc] = ACTIONS(2645),
    [anon_sym_BSLASHsup] = ACTIONS(2645),
    [anon_sym_BSLASHndx] = ACTIONS(2645),
    [anon_sym_BSLASHpro] = ACTIONS(2645),
    [anon_sym_BSLASHrb] = ACTIONS(2645),
    [anon_sym_BSLASHw] = ACTIONS(2645),
    [anon_sym_BSLASHwg] = ACTIONS(2645),
    [anon_sym_BSLASHwh] = ACTIONS(2645),
    [anon_sym_BSLASHwa] = ACTIONS(2645),
    [anon_sym_BSLASHfig] = ACTIONS(2645),
    [anon_sym_BSLASHjmp] = ACTIONS(2645),
    [anon_sym_BSLASHpb] = ACTIONS(2645),
    [anon_sym_BSLASH] = ACTIONS(2645),
    [sym_milestoneStartTag] = ACTIONS(2645),
    [sym_milestoneEndTag] = ACTIONS(2645),
    [sym_zSpaceTag] = ACTIONS(2645),
    [anon_sym_BSLASHesbe] = ACTIONS(2645),
    [anon_sym_BSLASHcat] = ACTIONS(2645),
  },
  [644] = {
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHref] = ACTIONS(2673),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHv] = ACTIONS(2673),
    [anon_sym_BSLASHva] = ACTIONS(2673),
    [anon_sym_BSLASHvp] = ACTIONS(2673),
    [anon_sym_BSLASHmte] = ACTIONS(2673),
    [anon_sym_BSLASHms] = ACTIONS(2673),
    [anon_sym_BSLASHs] = ACTIONS(2673),
    [anon_sym_BSLASHr] = ACTIONS(2673),
    [anon_sym_BSLASHsp] = ACTIONS(2673),
    [anon_sym_BSLASHd] = ACTIONS(2673),
    [anon_sym_BSLASHsd] = ACTIONS(2673),
    [anon_sym_BSLASHp] = ACTIONS(2673),
    [anon_sym_BSLASHm] = ACTIONS(2673),
    [anon_sym_BSLASHpo] = ACTIONS(2673),
    [anon_sym_BSLASHpr] = ACTIONS(2673),
    [anon_sym_BSLASHcls] = ACTIONS(2673),
    [anon_sym_BSLASHpmo] = ACTIONS(2673),
    [anon_sym_BSLASHpm] = ACTIONS(2673),
    [anon_sym_BSLASHpmc] = ACTIONS(2673),
    [anon_sym_BSLASHpmr] = ACTIONS(2673),
    [anon_sym_BSLASHpi] = ACTIONS(2673),
    [anon_sym_BSLASHmi] = ACTIONS(2673),
    [anon_sym_BSLASHnb] = ACTIONS(2673),
    [anon_sym_BSLASHpc] = ACTIONS(2673),
    [anon_sym_BSLASHph] = ACTIONS(2673),
    [anon_sym_BSLASHb] = ACTIONS(2673),
    [anon_sym_BSLASHq] = ACTIONS(2673),
    [anon_sym_BSLASHqr] = ACTIONS(2673),
    [anon_sym_BSLASHqc] = ACTIONS(2673),
    [anon_sym_BSLASHqs] = ACTIONS(2673),
    [anon_sym_BSLASHqa] = ACTIONS(2673),
    [anon_sym_BSLASHqac] = ACTIONS(2673),
    [anon_sym_BSLASHqm] = ACTIONS(2673),
    [anon_sym_BSLASHqd] = ACTIONS(2673),
    [anon_sym_BSLASHlh] = ACTIONS(2673),
    [anon_sym_BSLASHli] = ACTIONS(2673),
    [anon_sym_BSLASHlim] = ACTIONS(2673),
    [anon_sym_BSLASHtr] = ACTIONS(2673),
    [anon_sym_BSLASHf] = ACTIONS(2673),
    [anon_sym_BSLASHfe] = ACTIONS(2673),
    [anon_sym_BSLASHef] = ACTIONS(2673),
    [anon_sym_BSLASHfm] = ACTIONS(2673),
    [anon_sym_BSLASHx] = ACTIONS(2673),
    [anon_sym_BSLASHxt] = ACTIONS(2673),
    [anon_sym_BSLASHrq] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASHfig] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASHpb] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesbe] = ACTIONS(2673),
    [anon_sym_BSLASHcat] = ACTIONS(2673),
  },
  [645] = {
    [aux_sym_text_token1] = ACTIONS(2627),
    [anon_sym_BSLASHref] = ACTIONS(2629),
    [anon_sym_BSLASHsts] = ACTIONS(2629),
    [anon_sym_BSLASHrem] = ACTIONS(2629),
    [anon_sym_BSLASHrestore] = ACTIONS(2629),
    [anon_sym_BSLASHlit] = ACTIONS(2629),
    [anon_sym_BSLASHip] = ACTIONS(2629),
    [anon_sym_BSLASHv] = ACTIONS(2629),
    [anon_sym_BSLASHva] = ACTIONS(2629),
    [anon_sym_BSLASHvp] = ACTIONS(2629),
    [anon_sym_BSLASHmte] = ACTIONS(2629),
    [anon_sym_BSLASHms] = ACTIONS(2629),
    [anon_sym_BSLASHs] = ACTIONS(2629),
    [anon_sym_BSLASHr] = ACTIONS(2629),
    [anon_sym_BSLASHsp] = ACTIONS(2629),
    [anon_sym_BSLASHd] = ACTIONS(2629),
    [anon_sym_BSLASHsd] = ACTIONS(2629),
    [anon_sym_BSLASHp] = ACTIONS(2629),
    [anon_sym_BSLASHm] = ACTIONS(2629),
    [anon_sym_BSLASHpo] = ACTIONS(2629),
    [anon_sym_BSLASHpr] = ACTIONS(2629),
    [anon_sym_BSLASHcls] = ACTIONS(2629),
    [anon_sym_BSLASHpmo] = ACTIONS(2629),
    [anon_sym_BSLASHpm] = ACTIONS(2629),
    [anon_sym_BSLASHpmc] = ACTIONS(2629),
    [anon_sym_BSLASHpmr] = ACTIONS(2629),
    [anon_sym_BSLASHpi] = ACTIONS(2629),
    [anon_sym_BSLASHmi] = ACTIONS(2629),
    [anon_sym_BSLASHnb] = ACTIONS(2629),
    [anon_sym_BSLASHpc] = ACTIONS(2629),
    [anon_sym_BSLASHph] = ACTIONS(2629),
    [anon_sym_BSLASHb] = ACTIONS(2629),
    [anon_sym_BSLASHq] = ACTIONS(2629),
    [anon_sym_BSLASHqr] = ACTIONS(2629),
    [anon_sym_BSLASHqc] = ACTIONS(2629),
    [anon_sym_BSLASHqs] = ACTIONS(2629),
    [anon_sym_BSLASHqa] = ACTIONS(2629),
    [anon_sym_BSLASHqac] = ACTIONS(2629),
    [anon_sym_BSLASHqm] = ACTIONS(2629),
    [anon_sym_BSLASHqd] = ACTIONS(2629),
    [anon_sym_BSLASHlh] = ACTIONS(2629),
    [anon_sym_BSLASHli] = ACTIONS(2629),
    [anon_sym_BSLASHlim] = ACTIONS(2629),
    [anon_sym_BSLASHtr] = ACTIONS(2629),
    [anon_sym_BSLASHf] = ACTIONS(2629),
    [anon_sym_BSLASHfe] = ACTIONS(2629),
    [anon_sym_BSLASHef] = ACTIONS(2629),
    [anon_sym_BSLASHfm] = ACTIONS(2629),
    [anon_sym_BSLASHx] = ACTIONS(2629),
    [anon_sym_BSLASHxt] = ACTIONS(2629),
    [anon_sym_BSLASHrq] = ACTIONS(2629),
    [anon_sym_BSLASHadd] = ACTIONS(2629),
    [anon_sym_BSLASHbk] = ACTIONS(2629),
    [anon_sym_BSLASHdc] = ACTIONS(2629),
    [anon_sym_BSLASHk] = ACTIONS(2629),
    [anon_sym_BSLASHnd] = ACTIONS(2629),
    [anon_sym_BSLASHord] = ACTIONS(2629),
    [anon_sym_BSLASHpn] = ACTIONS(2629),
    [anon_sym_BSLASHpng] = ACTIONS(2629),
    [anon_sym_BSLASHaddpn] = ACTIONS(2629),
    [anon_sym_BSLASHqt] = ACTIONS(2629),
    [anon_sym_BSLASHsig] = ACTIONS(2629),
    [anon_sym_BSLASHsls] = ACTIONS(2629),
    [anon_sym_BSLASHtl] = ACTIONS(2629),
    [anon_sym_BSLASHwj] = ACTIONS(2629),
    [anon_sym_BSLASHem] = ACTIONS(2629),
    [anon_sym_BSLASHbd] = ACTIONS(2629),
    [anon_sym_BSLASHit] = ACTIONS(2629),
    [anon_sym_BSLASHbdit] = ACTIONS(2629),
    [anon_sym_BSLASHno] = ACTIONS(2629),
    [anon_sym_BSLASHsc] = ACTIONS(2629),
    [anon_sym_BSLASHsup] = ACTIONS(2629),
    [anon_sym_BSLASHndx] = ACTIONS(2629),
    [anon_sym_BSLASHpro] = ACTIONS(2629),
    [anon_sym_BSLASHrb] = ACTIONS(2629),
    [anon_sym_BSLASHw] = ACTIONS(2629),
    [anon_sym_BSLASHwg] = ACTIONS(2629),
    [anon_sym_BSLASHwh] = ACTIONS(2629),
    [anon_sym_BSLASHwa] = ACTIONS(2629),
    [anon_sym_BSLASHfig] = ACTIONS(2629),
    [anon_sym_BSLASHjmp] = ACTIONS(2629),
    [anon_sym_BSLASHpb] = ACTIONS(2629),
    [anon_sym_BSLASH] = ACTIONS(2629),
    [sym_milestoneStartTag] = ACTIONS(2629),
    [sym_milestoneEndTag] = ACTIONS(2629),
    [sym_zSpaceTag] = ACTIONS(2629),
    [anon_sym_BSLASHesbe] = ACTIONS(2629),
    [anon_sym_BSLASHcat] = ACTIONS(2629),
  },
  [646] = {
    [aux_sym_text_token1] = ACTIONS(2659),
    [anon_sym_BSLASHref] = ACTIONS(2661),
    [anon_sym_BSLASHsts] = ACTIONS(2661),
    [anon_sym_BSLASHrem] = ACTIONS(2661),
    [anon_sym_BSLASHrestore] = ACTIONS(2661),
    [anon_sym_BSLASHlit] = ACTIONS(2661),
    [anon_sym_BSLASHip] = ACTIONS(2661),
    [anon_sym_BSLASHv] = ACTIONS(2661),
    [anon_sym_BSLASHva] = ACTIONS(2661),
    [anon_sym_BSLASHvp] = ACTIONS(2661),
    [anon_sym_BSLASHmte] = ACTIONS(2661),
    [anon_sym_BSLASHms] = ACTIONS(2661),
    [anon_sym_BSLASHs] = ACTIONS(2661),
    [anon_sym_BSLASHr] = ACTIONS(2661),
    [anon_sym_BSLASHsp] = ACTIONS(2661),
    [anon_sym_BSLASHd] = ACTIONS(2661),
    [anon_sym_BSLASHsd] = ACTIONS(2661),
    [anon_sym_BSLASHp] = ACTIONS(2661),
    [anon_sym_BSLASHm] = ACTIONS(2661),
    [anon_sym_BSLASHpo] = ACTIONS(2661),
    [anon_sym_BSLASHpr] = ACTIONS(2661),
    [anon_sym_BSLASHcls] = ACTIONS(2661),
    [anon_sym_BSLASHpmo] = ACTIONS(2661),
    [anon_sym_BSLASHpm] = ACTIONS(2661),
    [anon_sym_BSLASHpmc] = ACTIONS(2661),
    [anon_sym_BSLASHpmr] = ACTIONS(2661),
    [anon_sym_BSLASHpi] = ACTIONS(2661),
    [anon_sym_BSLASHmi] = ACTIONS(2661),
    [anon_sym_BSLASHnb] = ACTIONS(2661),
    [anon_sym_BSLASHpc] = ACTIONS(2661),
    [anon_sym_BSLASHph] = ACTIONS(2661),
    [anon_sym_BSLASHb] = ACTIONS(2661),
    [anon_sym_BSLASHq] = ACTIONS(2661),
    [anon_sym_BSLASHqr] = ACTIONS(2661),
    [anon_sym_BSLASHqc] = ACTIONS(2661),
    [anon_sym_BSLASHqs] = ACTIONS(2661),
    [anon_sym_BSLASHqa] = ACTIONS(2661),
    [anon_sym_BSLASHqac] = ACTIONS(2661),
    [anon_sym_BSLASHqm] = ACTIONS(2661),
    [anon_sym_BSLASHqd] = ACTIONS(2661),
    [anon_sym_BSLASHlh] = ACTIONS(2661),
    [anon_sym_BSLASHli] = ACTIONS(2661),
    [anon_sym_BSLASHlim] = ACTIONS(2661),
    [anon_sym_BSLASHtr] = ACTIONS(2661),
    [anon_sym_BSLASHf] = ACTIONS(2661),
    [anon_sym_BSLASHfe] = ACTIONS(2661),
    [anon_sym_BSLASHef] = ACTIONS(2661),
    [anon_sym_BSLASHfm] = ACTIONS(2661),
    [anon_sym_BSLASHx] = ACTIONS(2661),
    [anon_sym_BSLASHxt] = ACTIONS(2661),
    [anon_sym_BSLASHrq] = ACTIONS(2661),
    [anon_sym_BSLASHadd] = ACTIONS(2661),
    [anon_sym_BSLASHbk] = ACTIONS(2661),
    [anon_sym_BSLASHdc] = ACTIONS(2661),
    [anon_sym_BSLASHk] = ACTIONS(2661),
    [anon_sym_BSLASHnd] = ACTIONS(2661),
    [anon_sym_BSLASHord] = ACTIONS(2661),
    [anon_sym_BSLASHpn] = ACTIONS(2661),
    [anon_sym_BSLASHpng] = ACTIONS(2661),
    [anon_sym_BSLASHaddpn] = ACTIONS(2661),
    [anon_sym_BSLASHqt] = ACTIONS(2661),
    [anon_sym_BSLASHsig] = ACTIONS(2661),
    [anon_sym_BSLASHsls] = ACTIONS(2661),
    [anon_sym_BSLASHtl] = ACTIONS(2661),
    [anon_sym_BSLASHwj] = ACTIONS(2661),
    [anon_sym_BSLASHem] = ACTIONS(2661),
    [anon_sym_BSLASHbd] = ACTIONS(2661),
    [anon_sym_BSLASHit] = ACTIONS(2661),
    [anon_sym_BSLASHbdit] = ACTIONS(2661),
    [anon_sym_BSLASHno] = ACTIONS(2661),
    [anon_sym_BSLASHsc] = ACTIONS(2661),
    [anon_sym_BSLASHsup] = ACTIONS(2661),
    [anon_sym_BSLASHndx] = ACTIONS(2661),
    [anon_sym_BSLASHpro] = ACTIONS(2661),
    [anon_sym_BSLASHrb] = ACTIONS(2661),
    [anon_sym_BSLASHw] = ACTIONS(2661),
    [anon_sym_BSLASHwg] = ACTIONS(2661),
    [anon_sym_BSLASHwh] = ACTIONS(2661),
    [anon_sym_BSLASHwa] = ACTIONS(2661),
    [anon_sym_BSLASHfig] = ACTIONS(2661),
    [anon_sym_BSLASHjmp] = ACTIONS(2661),
    [anon_sym_BSLASHpb] = ACTIONS(2661),
    [anon_sym_BSLASH] = ACTIONS(2661),
    [sym_milestoneStartTag] = ACTIONS(2661),
    [sym_milestoneEndTag] = ACTIONS(2661),
    [sym_zSpaceTag] = ACTIONS(2661),
    [anon_sym_BSLASHesbe] = ACTIONS(2661),
    [anon_sym_BSLASHcat] = ACTIONS(2661),
  },
  [647] = {
    [ts_builtin_sym_end] = ACTIONS(5536),
    [aux_sym_text_token1] = ACTIONS(5536),
    [anon_sym_BSLASHref] = ACTIONS(5538),
    [anon_sym_BSLASHsts] = ACTIONS(5538),
    [anon_sym_BSLASHrem] = ACTIONS(5538),
    [anon_sym_BSLASHrestore] = ACTIONS(5538),
    [anon_sym_BSLASHlit] = ACTIONS(5538),
    [anon_sym_BSLASHiqt] = ACTIONS(5538),
    [anon_sym_BSLASHip] = ACTIONS(5538),
    [anon_sym_BSLASHiex] = ACTIONS(5538),
    [anon_sym_BSLASHc] = ACTIONS(5538),
    [anon_sym_BSLASHcl] = ACTIONS(5538),
    [anon_sym_BSLASHca] = ACTIONS(5538),
    [anon_sym_BSLASHcp] = ACTIONS(5538),
    [anon_sym_BSLASHcd] = ACTIONS(5538),
    [anon_sym_BSLASHmte] = ACTIONS(5538),
    [anon_sym_BSLASHms] = ACTIONS(5538),
    [anon_sym_BSLASHs] = ACTIONS(5538),
    [anon_sym_BSLASHr] = ACTIONS(5538),
    [anon_sym_BSLASHsp] = ACTIONS(5538),
    [anon_sym_BSLASHd] = ACTIONS(5538),
    [anon_sym_BSLASHsd] = ACTIONS(5538),
    [anon_sym_BSLASHp] = ACTIONS(5538),
    [anon_sym_BSLASHm] = ACTIONS(5538),
    [anon_sym_BSLASHpo] = ACTIONS(5538),
    [anon_sym_BSLASHpr] = ACTIONS(5538),
    [anon_sym_BSLASHcls] = ACTIONS(5538),
    [anon_sym_BSLASHpmo] = ACTIONS(5538),
    [anon_sym_BSLASHpm] = ACTIONS(5538),
    [anon_sym_BSLASHpmc] = ACTIONS(5538),
    [anon_sym_BSLASHpmr] = ACTIONS(5538),
    [anon_sym_BSLASHpi] = ACTIONS(5538),
    [anon_sym_BSLASHmi] = ACTIONS(5538),
    [anon_sym_BSLASHnb] = ACTIONS(5538),
    [anon_sym_BSLASHpc] = ACTIONS(5538),
    [anon_sym_BSLASHph] = ACTIONS(5538),
    [anon_sym_BSLASHb] = ACTIONS(5538),
    [anon_sym_BSLASHq] = ACTIONS(5538),
    [anon_sym_BSLASHqr] = ACTIONS(5538),
    [anon_sym_BSLASHqc] = ACTIONS(5538),
    [anon_sym_BSLASHqa] = ACTIONS(5538),
    [anon_sym_BSLASHqm] = ACTIONS(5538),
    [anon_sym_BSLASHqd] = ACTIONS(5538),
    [anon_sym_BSLASHlh] = ACTIONS(5538),
    [anon_sym_BSLASHli] = ACTIONS(5538),
    [anon_sym_BSLASHlim] = ACTIONS(5538),
    [anon_sym_BSLASHtr] = ACTIONS(5538),
    [anon_sym_BSLASHf] = ACTIONS(5538),
    [anon_sym_BSLASHfe] = ACTIONS(5538),
    [anon_sym_BSLASHef] = ACTIONS(5538),
    [anon_sym_BSLASHfm] = ACTIONS(5538),
    [anon_sym_BSLASHxt] = ACTIONS(5538),
    [anon_sym_BSLASHadd] = ACTIONS(5538),
    [anon_sym_BSLASHbk] = ACTIONS(5538),
    [anon_sym_BSLASHdc] = ACTIONS(5538),
    [anon_sym_BSLASHk] = ACTIONS(5538),
    [anon_sym_BSLASHnd] = ACTIONS(5538),
    [anon_sym_BSLASHord] = ACTIONS(5538),
    [anon_sym_BSLASHpn] = ACTIONS(5538),
    [anon_sym_BSLASHpng] = ACTIONS(5538),
    [anon_sym_BSLASHaddpn] = ACTIONS(5538),
    [anon_sym_BSLASHqt] = ACTIONS(5538),
    [anon_sym_BSLASHsig] = ACTIONS(5538),
    [anon_sym_BSLASHsls] = ACTIONS(5538),
    [anon_sym_BSLASHtl] = ACTIONS(5538),
    [anon_sym_BSLASHwj] = ACTIONS(5538),
    [anon_sym_BSLASHem] = ACTIONS(5538),
    [anon_sym_BSLASHbd] = ACTIONS(5538),
    [anon_sym_BSLASHit] = ACTIONS(5538),
    [anon_sym_BSLASHbdit] = ACTIONS(5538),
    [anon_sym_BSLASHno] = ACTIONS(5538),
    [anon_sym_BSLASHsc] = ACTIONS(5538),
    [anon_sym_BSLASHsup] = ACTIONS(5538),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5538),
    [anon_sym_BSLASHrb] = ACTIONS(5538),
    [anon_sym_BSLASHw] = ACTIONS(5538),
    [anon_sym_BSLASHwg] = ACTIONS(5538),
    [anon_sym_BSLASHwh] = ACTIONS(5538),
    [anon_sym_BSLASHwa] = ACTIONS(5538),
    [anon_sym_BSLASHfig] = ACTIONS(5538),
    [anon_sym_BSLASHjmp] = ACTIONS(5538),
    [anon_sym_BSLASHpb] = ACTIONS(5538),
    [anon_sym_BSLASH] = ACTIONS(5538),
    [sym_milestoneStartTag] = ACTIONS(5538),
    [sym_milestoneEndTag] = ACTIONS(5538),
    [sym_zSpaceTag] = ACTIONS(5538),
    [anon_sym_BSLASHesb] = ACTIONS(5538),
  },
  [648] = {
    [aux_sym_text_token1] = ACTIONS(9),
    [anon_sym_BSLASHref] = ACTIONS(11),
    [anon_sym_BSLASHsts] = ACTIONS(11),
    [anon_sym_BSLASHrem] = ACTIONS(11),
    [anon_sym_BSLASHrestore] = ACTIONS(11),
    [anon_sym_BSLASHlit] = ACTIONS(11),
    [anon_sym_BSLASHip] = ACTIONS(11),
    [anon_sym_BSLASHv] = ACTIONS(11),
    [anon_sym_BSLASHva] = ACTIONS(11),
    [anon_sym_BSLASHvp] = ACTIONS(11),
    [anon_sym_BSLASHmte] = ACTIONS(11),
    [anon_sym_BSLASHms] = ACTIONS(11),
    [anon_sym_BSLASHs] = ACTIONS(11),
    [anon_sym_BSLASHr] = ACTIONS(11),
    [anon_sym_BSLASHsp] = ACTIONS(11),
    [anon_sym_BSLASHd] = ACTIONS(11),
    [anon_sym_BSLASHsd] = ACTIONS(11),
    [anon_sym_BSLASHp] = ACTIONS(11),
    [anon_sym_BSLASHm] = ACTIONS(11),
    [anon_sym_BSLASHpo] = ACTIONS(11),
    [anon_sym_BSLASHpr] = ACTIONS(11),
    [anon_sym_BSLASHcls] = ACTIONS(11),
    [anon_sym_BSLASHpmo] = ACTIONS(11),
    [anon_sym_BSLASHpm] = ACTIONS(11),
    [anon_sym_BSLASHpmc] = ACTIONS(11),
    [anon_sym_BSLASHpmr] = ACTIONS(11),
    [anon_sym_BSLASHpi] = ACTIONS(11),
    [anon_sym_BSLASHmi] = ACTIONS(11),
    [anon_sym_BSLASHnb] = ACTIONS(11),
    [anon_sym_BSLASHpc] = ACTIONS(11),
    [anon_sym_BSLASHph] = ACTIONS(11),
    [anon_sym_BSLASHb] = ACTIONS(11),
    [anon_sym_BSLASHq] = ACTIONS(11),
    [anon_sym_BSLASHqr] = ACTIONS(11),
    [anon_sym_BSLASHqc] = ACTIONS(11),
    [anon_sym_BSLASHqs] = ACTIONS(11),
    [anon_sym_BSLASHqa] = ACTIONS(11),
    [anon_sym_BSLASHqac] = ACTIONS(11),
    [anon_sym_BSLASHqm] = ACTIONS(11),
    [anon_sym_BSLASHqd] = ACTIONS(11),
    [anon_sym_BSLASHlh] = ACTIONS(11),
    [anon_sym_BSLASHli] = ACTIONS(11),
    [anon_sym_BSLASHlim] = ACTIONS(11),
    [anon_sym_BSLASHtr] = ACTIONS(11),
    [anon_sym_BSLASHf] = ACTIONS(11),
    [anon_sym_BSLASHfe] = ACTIONS(11),
    [anon_sym_BSLASHef] = ACTIONS(11),
    [anon_sym_BSLASHfm] = ACTIONS(11),
    [anon_sym_BSLASHx] = ACTIONS(11),
    [anon_sym_BSLASHxt] = ACTIONS(11),
    [anon_sym_BSLASHrq] = ACTIONS(11),
    [anon_sym_BSLASHadd] = ACTIONS(11),
    [anon_sym_BSLASHbk] = ACTIONS(11),
    [anon_sym_BSLASHdc] = ACTIONS(11),
    [anon_sym_BSLASHk] = ACTIONS(11),
    [anon_sym_BSLASHnd] = ACTIONS(11),
    [anon_sym_BSLASHord] = ACTIONS(11),
    [anon_sym_BSLASHpn] = ACTIONS(11),
    [anon_sym_BSLASHpng] = ACTIONS(11),
    [anon_sym_BSLASHaddpn] = ACTIONS(11),
    [anon_sym_BSLASHqt] = ACTIONS(11),
    [anon_sym_BSLASHsig] = ACTIONS(11),
    [anon_sym_BSLASHsls] = ACTIONS(11),
    [anon_sym_BSLASHtl] = ACTIONS(11),
    [anon_sym_BSLASHwj] = ACTIONS(11),
    [anon_sym_BSLASHem] = ACTIONS(11),
    [anon_sym_BSLASHbd] = ACTIONS(11),
    [anon_sym_BSLASHit] = ACTIONS(11),
    [anon_sym_BSLASHbdit] = ACTIONS(11),
    [anon_sym_BSLASHno] = ACTIONS(11),
    [anon_sym_BSLASHsc] = ACTIONS(11),
    [anon_sym_BSLASHsup] = ACTIONS(11),
    [anon_sym_BSLASHndx] = ACTIONS(11),
    [anon_sym_BSLASHpro] = ACTIONS(11),
    [anon_sym_BSLASHrb] = ACTIONS(11),
    [anon_sym_BSLASHw] = ACTIONS(11),
    [anon_sym_BSLASHwg] = ACTIONS(11),
    [anon_sym_BSLASHwh] = ACTIONS(11),
    [anon_sym_BSLASHwa] = ACTIONS(11),
    [anon_sym_BSLASHfig] = ACTIONS(11),
    [anon_sym_BSLASHjmp] = ACTIONS(11),
    [anon_sym_BSLASHpb] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(11),
    [sym_milestoneStartTag] = ACTIONS(11),
    [sym_milestoneEndTag] = ACTIONS(11),
    [sym_zSpaceTag] = ACTIONS(11),
    [anon_sym_BSLASHesbe] = ACTIONS(11),
    [anon_sym_BSLASHcat] = ACTIONS(11),
  },
  [649] = {
    [aux_sym_text_token1] = ACTIONS(2647),
    [anon_sym_BSLASHref] = ACTIONS(2649),
    [anon_sym_BSLASHsts] = ACTIONS(2649),
    [anon_sym_BSLASHrem] = ACTIONS(2649),
    [anon_sym_BSLASHrestore] = ACTIONS(2649),
    [anon_sym_BSLASHlit] = ACTIONS(2649),
    [anon_sym_BSLASHip] = ACTIONS(2649),
    [anon_sym_BSLASHv] = ACTIONS(2649),
    [anon_sym_BSLASHva] = ACTIONS(2649),
    [anon_sym_BSLASHvp] = ACTIONS(2649),
    [anon_sym_BSLASHmte] = ACTIONS(2649),
    [anon_sym_BSLASHms] = ACTIONS(2649),
    [anon_sym_BSLASHs] = ACTIONS(2649),
    [anon_sym_BSLASHr] = ACTIONS(2649),
    [anon_sym_BSLASHsp] = ACTIONS(2649),
    [anon_sym_BSLASHd] = ACTIONS(2649),
    [anon_sym_BSLASHsd] = ACTIONS(2649),
    [anon_sym_BSLASHp] = ACTIONS(2649),
    [anon_sym_BSLASHm] = ACTIONS(2649),
    [anon_sym_BSLASHpo] = ACTIONS(2649),
    [anon_sym_BSLASHpr] = ACTIONS(2649),
    [anon_sym_BSLASHcls] = ACTIONS(2649),
    [anon_sym_BSLASHpmo] = ACTIONS(2649),
    [anon_sym_BSLASHpm] = ACTIONS(2649),
    [anon_sym_BSLASHpmc] = ACTIONS(2649),
    [anon_sym_BSLASHpmr] = ACTIONS(2649),
    [anon_sym_BSLASHpi] = ACTIONS(2649),
    [anon_sym_BSLASHmi] = ACTIONS(2649),
    [anon_sym_BSLASHnb] = ACTIONS(2649),
    [anon_sym_BSLASHpc] = ACTIONS(2649),
    [anon_sym_BSLASHph] = ACTIONS(2649),
    [anon_sym_BSLASHb] = ACTIONS(2649),
    [anon_sym_BSLASHq] = ACTIONS(2649),
    [anon_sym_BSLASHqr] = ACTIONS(2649),
    [anon_sym_BSLASHqc] = ACTIONS(2649),
    [anon_sym_BSLASHqs] = ACTIONS(2649),
    [anon_sym_BSLASHqa] = ACTIONS(2649),
    [anon_sym_BSLASHqac] = ACTIONS(2649),
    [anon_sym_BSLASHqm] = ACTIONS(2649),
    [anon_sym_BSLASHqd] = ACTIONS(2649),
    [anon_sym_BSLASHlh] = ACTIONS(2649),
    [anon_sym_BSLASHli] = ACTIONS(2649),
    [anon_sym_BSLASHlim] = ACTIONS(2649),
    [anon_sym_BSLASHtr] = ACTIONS(2649),
    [anon_sym_BSLASHf] = ACTIONS(2649),
    [anon_sym_BSLASHfe] = ACTIONS(2649),
    [anon_sym_BSLASHef] = ACTIONS(2649),
    [anon_sym_BSLASHfm] = ACTIONS(2649),
    [anon_sym_BSLASHx] = ACTIONS(2649),
    [anon_sym_BSLASHxt] = ACTIONS(2649),
    [anon_sym_BSLASHrq] = ACTIONS(2649),
    [anon_sym_BSLASHadd] = ACTIONS(2649),
    [anon_sym_BSLASHbk] = ACTIONS(2649),
    [anon_sym_BSLASHdc] = ACTIONS(2649),
    [anon_sym_BSLASHk] = ACTIONS(2649),
    [anon_sym_BSLASHnd] = ACTIONS(2649),
    [anon_sym_BSLASHord] = ACTIONS(2649),
    [anon_sym_BSLASHpn] = ACTIONS(2649),
    [anon_sym_BSLASHpng] = ACTIONS(2649),
    [anon_sym_BSLASHaddpn] = ACTIONS(2649),
    [anon_sym_BSLASHqt] = ACTIONS(2649),
    [anon_sym_BSLASHsig] = ACTIONS(2649),
    [anon_sym_BSLASHsls] = ACTIONS(2649),
    [anon_sym_BSLASHtl] = ACTIONS(2649),
    [anon_sym_BSLASHwj] = ACTIONS(2649),
    [anon_sym_BSLASHem] = ACTIONS(2649),
    [anon_sym_BSLASHbd] = ACTIONS(2649),
    [anon_sym_BSLASHit] = ACTIONS(2649),
    [anon_sym_BSLASHbdit] = ACTIONS(2649),
    [anon_sym_BSLASHno] = ACTIONS(2649),
    [anon_sym_BSLASHsc] = ACTIONS(2649),
    [anon_sym_BSLASHsup] = ACTIONS(2649),
    [anon_sym_BSLASHndx] = ACTIONS(2649),
    [anon_sym_BSLASHpro] = ACTIONS(2649),
    [anon_sym_BSLASHrb] = ACTIONS(2649),
    [anon_sym_BSLASHw] = ACTIONS(2649),
    [anon_sym_BSLASHwg] = ACTIONS(2649),
    [anon_sym_BSLASHwh] = ACTIONS(2649),
    [anon_sym_BSLASHwa] = ACTIONS(2649),
    [anon_sym_BSLASHfig] = ACTIONS(2649),
    [anon_sym_BSLASHjmp] = ACTIONS(2649),
    [anon_sym_BSLASHpb] = ACTIONS(2649),
    [anon_sym_BSLASH] = ACTIONS(2649),
    [sym_milestoneStartTag] = ACTIONS(2649),
    [sym_milestoneEndTag] = ACTIONS(2649),
    [sym_zSpaceTag] = ACTIONS(2649),
    [anon_sym_BSLASHesbe] = ACTIONS(2649),
    [anon_sym_BSLASHcat] = ACTIONS(2649),
  },
  [650] = {
    [aux_sym_text_token1] = ACTIONS(5540),
    [anon_sym_BSLASHref] = ACTIONS(5324),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfr] = ACTIONS(5324),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfq] = ACTIONS(5324),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfqa] = ACTIONS(5324),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfk] = ACTIONS(5324),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfl] = ACTIONS(5324),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfw] = ACTIONS(5324),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfp] = ACTIONS(5324),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHft] = ACTIONS(5324),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfdc] = ACTIONS(5324),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHfv] = ACTIONS(5324),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHxt] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5324),
    [anon_sym_BSLASHadd] = ACTIONS(5324),
    [anon_sym_BSLASHbk] = ACTIONS(5324),
    [anon_sym_BSLASHdc] = ACTIONS(5324),
    [anon_sym_BSLASHk] = ACTIONS(5324),
    [anon_sym_BSLASHnd] = ACTIONS(5324),
    [anon_sym_BSLASHord] = ACTIONS(5324),
    [anon_sym_BSLASHpn] = ACTIONS(5324),
    [anon_sym_BSLASHpng] = ACTIONS(5324),
    [anon_sym_BSLASHaddpn] = ACTIONS(5324),
    [anon_sym_BSLASHqt] = ACTIONS(5324),
    [anon_sym_BSLASHsig] = ACTIONS(5324),
    [anon_sym_BSLASHsls] = ACTIONS(5324),
    [anon_sym_BSLASHtl] = ACTIONS(5324),
    [anon_sym_BSLASHwj] = ACTIONS(5324),
    [anon_sym_BSLASHem] = ACTIONS(5324),
    [anon_sym_BSLASHbd] = ACTIONS(5324),
    [anon_sym_BSLASHit] = ACTIONS(5324),
    [anon_sym_BSLASHbdit] = ACTIONS(5324),
    [anon_sym_BSLASHno] = ACTIONS(5324),
    [anon_sym_BSLASHsc] = ACTIONS(5324),
    [anon_sym_BSLASHsup] = ACTIONS(5324),
    [anon_sym_BSLASHndx] = ACTIONS(5324),
    [anon_sym_BSLASHpro] = ACTIONS(5324),
    [anon_sym_BSLASHrb] = ACTIONS(5324),
    [anon_sym_BSLASHw] = ACTIONS(5324),
    [anon_sym_BSLASHwg] = ACTIONS(5324),
    [anon_sym_BSLASHwh] = ACTIONS(5324),
    [anon_sym_BSLASHwa] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5324),
    [anon_sym_BSLASHfig] = ACTIONS(5324),
    [anon_sym_BSLASHjmp] = ACTIONS(5324),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5324),
    [anon_sym_BSLASHcat] = ACTIONS(5324),
  },
  [651] = {
    [aux_sym_text_token1] = ACTIONS(2615),
    [anon_sym_BSLASHref] = ACTIONS(2617),
    [anon_sym_BSLASHsts] = ACTIONS(2617),
    [anon_sym_BSLASHrem] = ACTIONS(2617),
    [anon_sym_BSLASHrestore] = ACTIONS(2617),
    [anon_sym_BSLASHlit] = ACTIONS(2617),
    [anon_sym_BSLASHip] = ACTIONS(2617),
    [anon_sym_BSLASHv] = ACTIONS(2617),
    [anon_sym_BSLASHva] = ACTIONS(2617),
    [anon_sym_BSLASHvp] = ACTIONS(2617),
    [anon_sym_BSLASHmte] = ACTIONS(2617),
    [anon_sym_BSLASHms] = ACTIONS(2617),
    [anon_sym_BSLASHs] = ACTIONS(2617),
    [anon_sym_BSLASHr] = ACTIONS(2617),
    [anon_sym_BSLASHsp] = ACTIONS(2617),
    [anon_sym_BSLASHd] = ACTIONS(2617),
    [anon_sym_BSLASHsd] = ACTIONS(2617),
    [anon_sym_BSLASHp] = ACTIONS(2617),
    [anon_sym_BSLASHm] = ACTIONS(2617),
    [anon_sym_BSLASHpo] = ACTIONS(2617),
    [anon_sym_BSLASHpr] = ACTIONS(2617),
    [anon_sym_BSLASHcls] = ACTIONS(2617),
    [anon_sym_BSLASHpmo] = ACTIONS(2617),
    [anon_sym_BSLASHpm] = ACTIONS(2617),
    [anon_sym_BSLASHpmc] = ACTIONS(2617),
    [anon_sym_BSLASHpmr] = ACTIONS(2617),
    [anon_sym_BSLASHpi] = ACTIONS(2617),
    [anon_sym_BSLASHmi] = ACTIONS(2617),
    [anon_sym_BSLASHnb] = ACTIONS(2617),
    [anon_sym_BSLASHpc] = ACTIONS(2617),
    [anon_sym_BSLASHph] = ACTIONS(2617),
    [anon_sym_BSLASHb] = ACTIONS(2617),
    [anon_sym_BSLASHq] = ACTIONS(2617),
    [anon_sym_BSLASHqr] = ACTIONS(2617),
    [anon_sym_BSLASHqc] = ACTIONS(2617),
    [anon_sym_BSLASHqs] = ACTIONS(2617),
    [anon_sym_BSLASHqa] = ACTIONS(2617),
    [anon_sym_BSLASHqac] = ACTIONS(2617),
    [anon_sym_BSLASHqm] = ACTIONS(2617),
    [anon_sym_BSLASHqd] = ACTIONS(2617),
    [anon_sym_BSLASHlh] = ACTIONS(2617),
    [anon_sym_BSLASHli] = ACTIONS(2617),
    [anon_sym_BSLASHlim] = ACTIONS(2617),
    [anon_sym_BSLASHtr] = ACTIONS(2617),
    [anon_sym_BSLASHf] = ACTIONS(2617),
    [anon_sym_BSLASHfe] = ACTIONS(2617),
    [anon_sym_BSLASHef] = ACTIONS(2617),
    [anon_sym_BSLASHfm] = ACTIONS(2617),
    [anon_sym_BSLASHx] = ACTIONS(2617),
    [anon_sym_BSLASHxt] = ACTIONS(2617),
    [anon_sym_BSLASHrq] = ACTIONS(2617),
    [anon_sym_BSLASHadd] = ACTIONS(2617),
    [anon_sym_BSLASHbk] = ACTIONS(2617),
    [anon_sym_BSLASHdc] = ACTIONS(2617),
    [anon_sym_BSLASHk] = ACTIONS(2617),
    [anon_sym_BSLASHnd] = ACTIONS(2617),
    [anon_sym_BSLASHord] = ACTIONS(2617),
    [anon_sym_BSLASHpn] = ACTIONS(2617),
    [anon_sym_BSLASHpng] = ACTIONS(2617),
    [anon_sym_BSLASHaddpn] = ACTIONS(2617),
    [anon_sym_BSLASHqt] = ACTIONS(2617),
    [anon_sym_BSLASHsig] = ACTIONS(2617),
    [anon_sym_BSLASHsls] = ACTIONS(2617),
    [anon_sym_BSLASHtl] = ACTIONS(2617),
    [anon_sym_BSLASHwj] = ACTIONS(2617),
    [anon_sym_BSLASHem] = ACTIONS(2617),
    [anon_sym_BSLASHbd] = ACTIONS(2617),
    [anon_sym_BSLASHit] = ACTIONS(2617),
    [anon_sym_BSLASHbdit] = ACTIONS(2617),
    [anon_sym_BSLASHno] = ACTIONS(2617),
    [anon_sym_BSLASHsc] = ACTIONS(2617),
    [anon_sym_BSLASHsup] = ACTIONS(2617),
    [anon_sym_BSLASHndx] = ACTIONS(2617),
    [anon_sym_BSLASHpro] = ACTIONS(2617),
    [anon_sym_BSLASHrb] = ACTIONS(2617),
    [anon_sym_BSLASHw] = ACTIONS(2617),
    [anon_sym_BSLASHwg] = ACTIONS(2617),
    [anon_sym_BSLASHwh] = ACTIONS(2617),
    [anon_sym_BSLASHwa] = ACTIONS(2617),
    [anon_sym_BSLASHfig] = ACTIONS(2617),
    [anon_sym_BSLASHjmp] = ACTIONS(2617),
    [anon_sym_BSLASHpb] = ACTIONS(2617),
    [anon_sym_BSLASH] = ACTIONS(2617),
    [sym_milestoneStartTag] = ACTIONS(2617),
    [sym_milestoneEndTag] = ACTIONS(2617),
    [sym_zSpaceTag] = ACTIONS(2617),
    [anon_sym_BSLASHesbe] = ACTIONS(2617),
    [anon_sym_BSLASHcat] = ACTIONS(2617),
  },
  [652] = {
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHref] = ACTIONS(2713),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHv] = ACTIONS(2713),
    [anon_sym_BSLASHva] = ACTIONS(2713),
    [anon_sym_BSLASHvp] = ACTIONS(2713),
    [anon_sym_BSLASHmte] = ACTIONS(2713),
    [anon_sym_BSLASHms] = ACTIONS(2713),
    [anon_sym_BSLASHs] = ACTIONS(2713),
    [anon_sym_BSLASHr] = ACTIONS(2713),
    [anon_sym_BSLASHsp] = ACTIONS(2713),
    [anon_sym_BSLASHd] = ACTIONS(2713),
    [anon_sym_BSLASHsd] = ACTIONS(2713),
    [anon_sym_BSLASHp] = ACTIONS(2713),
    [anon_sym_BSLASHm] = ACTIONS(2713),
    [anon_sym_BSLASHpo] = ACTIONS(2713),
    [anon_sym_BSLASHpr] = ACTIONS(2713),
    [anon_sym_BSLASHcls] = ACTIONS(2713),
    [anon_sym_BSLASHpmo] = ACTIONS(2713),
    [anon_sym_BSLASHpm] = ACTIONS(2713),
    [anon_sym_BSLASHpmc] = ACTIONS(2713),
    [anon_sym_BSLASHpmr] = ACTIONS(2713),
    [anon_sym_BSLASHpi] = ACTIONS(2713),
    [anon_sym_BSLASHmi] = ACTIONS(2713),
    [anon_sym_BSLASHnb] = ACTIONS(2713),
    [anon_sym_BSLASHpc] = ACTIONS(2713),
    [anon_sym_BSLASHph] = ACTIONS(2713),
    [anon_sym_BSLASHb] = ACTIONS(2713),
    [anon_sym_BSLASHq] = ACTIONS(2713),
    [anon_sym_BSLASHqr] = ACTIONS(2713),
    [anon_sym_BSLASHqc] = ACTIONS(2713),
    [anon_sym_BSLASHqs] = ACTIONS(2713),
    [anon_sym_BSLASHqa] = ACTIONS(2713),
    [anon_sym_BSLASHqac] = ACTIONS(2713),
    [anon_sym_BSLASHqm] = ACTIONS(2713),
    [anon_sym_BSLASHqd] = ACTIONS(2713),
    [anon_sym_BSLASHlh] = ACTIONS(2713),
    [anon_sym_BSLASHli] = ACTIONS(2713),
    [anon_sym_BSLASHlim] = ACTIONS(2713),
    [anon_sym_BSLASHtr] = ACTIONS(2713),
    [anon_sym_BSLASHf] = ACTIONS(2713),
    [anon_sym_BSLASHfe] = ACTIONS(2713),
    [anon_sym_BSLASHef] = ACTIONS(2713),
    [anon_sym_BSLASHfm] = ACTIONS(2713),
    [anon_sym_BSLASHx] = ACTIONS(2713),
    [anon_sym_BSLASHxt] = ACTIONS(2713),
    [anon_sym_BSLASHrq] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASHfig] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASHpb] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesbe] = ACTIONS(2713),
    [anon_sym_BSLASHcat] = ACTIONS(2713),
  },
  [653] = {
    [aux_sym_text_token1] = ACTIONS(2655),
    [anon_sym_BSLASHref] = ACTIONS(2657),
    [anon_sym_BSLASHsts] = ACTIONS(2657),
    [anon_sym_BSLASHrem] = ACTIONS(2657),
    [anon_sym_BSLASHrestore] = ACTIONS(2657),
    [anon_sym_BSLASHlit] = ACTIONS(2657),
    [anon_sym_BSLASHip] = ACTIONS(2657),
    [anon_sym_BSLASHv] = ACTIONS(2657),
    [anon_sym_BSLASHva] = ACTIONS(2657),
    [anon_sym_BSLASHvp] = ACTIONS(2657),
    [anon_sym_BSLASHmte] = ACTIONS(2657),
    [anon_sym_BSLASHms] = ACTIONS(2657),
    [anon_sym_BSLASHs] = ACTIONS(2657),
    [anon_sym_BSLASHr] = ACTIONS(2657),
    [anon_sym_BSLASHsp] = ACTIONS(2657),
    [anon_sym_BSLASHd] = ACTIONS(2657),
    [anon_sym_BSLASHsd] = ACTIONS(2657),
    [anon_sym_BSLASHp] = ACTIONS(2657),
    [anon_sym_BSLASHm] = ACTIONS(2657),
    [anon_sym_BSLASHpo] = ACTIONS(2657),
    [anon_sym_BSLASHpr] = ACTIONS(2657),
    [anon_sym_BSLASHcls] = ACTIONS(2657),
    [anon_sym_BSLASHpmo] = ACTIONS(2657),
    [anon_sym_BSLASHpm] = ACTIONS(2657),
    [anon_sym_BSLASHpmc] = ACTIONS(2657),
    [anon_sym_BSLASHpmr] = ACTIONS(2657),
    [anon_sym_BSLASHpi] = ACTIONS(2657),
    [anon_sym_BSLASHmi] = ACTIONS(2657),
    [anon_sym_BSLASHnb] = ACTIONS(2657),
    [anon_sym_BSLASHpc] = ACTIONS(2657),
    [anon_sym_BSLASHph] = ACTIONS(2657),
    [anon_sym_BSLASHb] = ACTIONS(2657),
    [anon_sym_BSLASHq] = ACTIONS(2657),
    [anon_sym_BSLASHqr] = ACTIONS(2657),
    [anon_sym_BSLASHqc] = ACTIONS(2657),
    [anon_sym_BSLASHqs] = ACTIONS(2657),
    [anon_sym_BSLASHqa] = ACTIONS(2657),
    [anon_sym_BSLASHqac] = ACTIONS(2657),
    [anon_sym_BSLASHqm] = ACTIONS(2657),
    [anon_sym_BSLASHqd] = ACTIONS(2657),
    [anon_sym_BSLASHlh] = ACTIONS(2657),
    [anon_sym_BSLASHli] = ACTIONS(2657),
    [anon_sym_BSLASHlim] = ACTIONS(2657),
    [anon_sym_BSLASHtr] = ACTIONS(2657),
    [anon_sym_BSLASHf] = ACTIONS(2657),
    [anon_sym_BSLASHfe] = ACTIONS(2657),
    [anon_sym_BSLASHef] = ACTIONS(2657),
    [anon_sym_BSLASHfm] = ACTIONS(2657),
    [anon_sym_BSLASHx] = ACTIONS(2657),
    [anon_sym_BSLASHxt] = ACTIONS(2657),
    [anon_sym_BSLASHrq] = ACTIONS(2657),
    [anon_sym_BSLASHadd] = ACTIONS(2657),
    [anon_sym_BSLASHbk] = ACTIONS(2657),
    [anon_sym_BSLASHdc] = ACTIONS(2657),
    [anon_sym_BSLASHk] = ACTIONS(2657),
    [anon_sym_BSLASHnd] = ACTIONS(2657),
    [anon_sym_BSLASHord] = ACTIONS(2657),
    [anon_sym_BSLASHpn] = ACTIONS(2657),
    [anon_sym_BSLASHpng] = ACTIONS(2657),
    [anon_sym_BSLASHaddpn] = ACTIONS(2657),
    [anon_sym_BSLASHqt] = ACTIONS(2657),
    [anon_sym_BSLASHsig] = ACTIONS(2657),
    [anon_sym_BSLASHsls] = ACTIONS(2657),
    [anon_sym_BSLASHtl] = ACTIONS(2657),
    [anon_sym_BSLASHwj] = ACTIONS(2657),
    [anon_sym_BSLASHem] = ACTIONS(2657),
    [anon_sym_BSLASHbd] = ACTIONS(2657),
    [anon_sym_BSLASHit] = ACTIONS(2657),
    [anon_sym_BSLASHbdit] = ACTIONS(2657),
    [anon_sym_BSLASHno] = ACTIONS(2657),
    [anon_sym_BSLASHsc] = ACTIONS(2657),
    [anon_sym_BSLASHsup] = ACTIONS(2657),
    [anon_sym_BSLASHndx] = ACTIONS(2657),
    [anon_sym_BSLASHpro] = ACTIONS(2657),
    [anon_sym_BSLASHrb] = ACTIONS(2657),
    [anon_sym_BSLASHw] = ACTIONS(2657),
    [anon_sym_BSLASHwg] = ACTIONS(2657),
    [anon_sym_BSLASHwh] = ACTIONS(2657),
    [anon_sym_BSLASHwa] = ACTIONS(2657),
    [anon_sym_BSLASHfig] = ACTIONS(2657),
    [anon_sym_BSLASHjmp] = ACTIONS(2657),
    [anon_sym_BSLASHpb] = ACTIONS(2657),
    [anon_sym_BSLASH] = ACTIONS(2657),
    [sym_milestoneStartTag] = ACTIONS(2657),
    [sym_milestoneEndTag] = ACTIONS(2657),
    [sym_zSpaceTag] = ACTIONS(2657),
    [anon_sym_BSLASHesbe] = ACTIONS(2657),
    [anon_sym_BSLASHcat] = ACTIONS(2657),
  },
  [654] = {
    [aux_sym_text_token1] = ACTIONS(454),
    [anon_sym_BSLASHref] = ACTIONS(456),
    [anon_sym_BSLASHsts] = ACTIONS(456),
    [anon_sym_BSLASHrem] = ACTIONS(456),
    [anon_sym_BSLASHrestore] = ACTIONS(456),
    [anon_sym_BSLASHlit] = ACTIONS(456),
    [anon_sym_BSLASHip] = ACTIONS(456),
    [anon_sym_BSLASHv] = ACTIONS(456),
    [anon_sym_BSLASHva] = ACTIONS(456),
    [anon_sym_BSLASHvp] = ACTIONS(456),
    [anon_sym_BSLASHmte] = ACTIONS(456),
    [anon_sym_BSLASHms] = ACTIONS(456),
    [anon_sym_BSLASHs] = ACTIONS(456),
    [anon_sym_BSLASHr] = ACTIONS(456),
    [anon_sym_BSLASHsp] = ACTIONS(456),
    [anon_sym_BSLASHd] = ACTIONS(456),
    [anon_sym_BSLASHsd] = ACTIONS(456),
    [anon_sym_BSLASHp] = ACTIONS(456),
    [anon_sym_BSLASHm] = ACTIONS(456),
    [anon_sym_BSLASHpo] = ACTIONS(456),
    [anon_sym_BSLASHpr] = ACTIONS(456),
    [anon_sym_BSLASHcls] = ACTIONS(456),
    [anon_sym_BSLASHpmo] = ACTIONS(456),
    [anon_sym_BSLASHpm] = ACTIONS(456),
    [anon_sym_BSLASHpmc] = ACTIONS(456),
    [anon_sym_BSLASHpmr] = ACTIONS(456),
    [anon_sym_BSLASHpi] = ACTIONS(456),
    [anon_sym_BSLASHmi] = ACTIONS(456),
    [anon_sym_BSLASHnb] = ACTIONS(456),
    [anon_sym_BSLASHpc] = ACTIONS(456),
    [anon_sym_BSLASHph] = ACTIONS(456),
    [anon_sym_BSLASHb] = ACTIONS(456),
    [anon_sym_BSLASHq] = ACTIONS(456),
    [anon_sym_BSLASHqr] = ACTIONS(456),
    [anon_sym_BSLASHqc] = ACTIONS(456),
    [anon_sym_BSLASHqs] = ACTIONS(456),
    [anon_sym_BSLASHqa] = ACTIONS(456),
    [anon_sym_BSLASHqac] = ACTIONS(456),
    [anon_sym_BSLASHqm] = ACTIONS(456),
    [anon_sym_BSLASHqd] = ACTIONS(456),
    [anon_sym_BSLASHlh] = ACTIONS(456),
    [anon_sym_BSLASHli] = ACTIONS(456),
    [anon_sym_BSLASHlim] = ACTIONS(456),
    [anon_sym_BSLASHtr] = ACTIONS(456),
    [anon_sym_BSLASHf] = ACTIONS(456),
    [anon_sym_BSLASHfe] = ACTIONS(456),
    [anon_sym_BSLASHef] = ACTIONS(456),
    [anon_sym_BSLASHfm] = ACTIONS(456),
    [anon_sym_BSLASHx] = ACTIONS(456),
    [anon_sym_BSLASHxt] = ACTIONS(456),
    [anon_sym_BSLASHrq] = ACTIONS(456),
    [anon_sym_BSLASHadd] = ACTIONS(456),
    [anon_sym_BSLASHbk] = ACTIONS(456),
    [anon_sym_BSLASHdc] = ACTIONS(456),
    [anon_sym_BSLASHk] = ACTIONS(456),
    [anon_sym_BSLASHnd] = ACTIONS(456),
    [anon_sym_BSLASHord] = ACTIONS(456),
    [anon_sym_BSLASHpn] = ACTIONS(456),
    [anon_sym_BSLASHpng] = ACTIONS(456),
    [anon_sym_BSLASHaddpn] = ACTIONS(456),
    [anon_sym_BSLASHqt] = ACTIONS(456),
    [anon_sym_BSLASHsig] = ACTIONS(456),
    [anon_sym_BSLASHsls] = ACTIONS(456),
    [anon_sym_BSLASHtl] = ACTIONS(456),
    [anon_sym_BSLASHwj] = ACTIONS(456),
    [anon_sym_BSLASHem] = ACTIONS(456),
    [anon_sym_BSLASHbd] = ACTIONS(456),
    [anon_sym_BSLASHit] = ACTIONS(456),
    [anon_sym_BSLASHbdit] = ACTIONS(456),
    [anon_sym_BSLASHno] = ACTIONS(456),
    [anon_sym_BSLASHsc] = ACTIONS(456),
    [anon_sym_BSLASHsup] = ACTIONS(456),
    [anon_sym_BSLASHndx] = ACTIONS(456),
    [anon_sym_BSLASHpro] = ACTIONS(456),
    [anon_sym_BSLASHrb] = ACTIONS(456),
    [anon_sym_BSLASHw] = ACTIONS(456),
    [anon_sym_BSLASHwg] = ACTIONS(456),
    [anon_sym_BSLASHwh] = ACTIONS(456),
    [anon_sym_BSLASHwa] = ACTIONS(456),
    [anon_sym_BSLASHfig] = ACTIONS(456),
    [anon_sym_BSLASHjmp] = ACTIONS(456),
    [anon_sym_BSLASHpb] = ACTIONS(456),
    [anon_sym_BSLASH] = ACTIONS(456),
    [sym_milestoneStartTag] = ACTIONS(456),
    [sym_milestoneEndTag] = ACTIONS(456),
    [sym_zSpaceTag] = ACTIONS(456),
    [anon_sym_BSLASHesbe] = ACTIONS(456),
    [anon_sym_BSLASHcat] = ACTIONS(456),
  },
  [655] = {
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHref] = ACTIONS(2717),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHv] = ACTIONS(2717),
    [anon_sym_BSLASHva] = ACTIONS(2717),
    [anon_sym_BSLASHvp] = ACTIONS(2717),
    [anon_sym_BSLASHmte] = ACTIONS(2717),
    [anon_sym_BSLASHms] = ACTIONS(2717),
    [anon_sym_BSLASHs] = ACTIONS(2717),
    [anon_sym_BSLASHr] = ACTIONS(2717),
    [anon_sym_BSLASHsp] = ACTIONS(2717),
    [anon_sym_BSLASHd] = ACTIONS(2717),
    [anon_sym_BSLASHsd] = ACTIONS(2717),
    [anon_sym_BSLASHp] = ACTIONS(2717),
    [anon_sym_BSLASHm] = ACTIONS(2717),
    [anon_sym_BSLASHpo] = ACTIONS(2717),
    [anon_sym_BSLASHpr] = ACTIONS(2717),
    [anon_sym_BSLASHcls] = ACTIONS(2717),
    [anon_sym_BSLASHpmo] = ACTIONS(2717),
    [anon_sym_BSLASHpm] = ACTIONS(2717),
    [anon_sym_BSLASHpmc] = ACTIONS(2717),
    [anon_sym_BSLASHpmr] = ACTIONS(2717),
    [anon_sym_BSLASHpi] = ACTIONS(2717),
    [anon_sym_BSLASHmi] = ACTIONS(2717),
    [anon_sym_BSLASHnb] = ACTIONS(2717),
    [anon_sym_BSLASHpc] = ACTIONS(2717),
    [anon_sym_BSLASHph] = ACTIONS(2717),
    [anon_sym_BSLASHb] = ACTIONS(2717),
    [anon_sym_BSLASHq] = ACTIONS(2717),
    [anon_sym_BSLASHqr] = ACTIONS(2717),
    [anon_sym_BSLASHqc] = ACTIONS(2717),
    [anon_sym_BSLASHqs] = ACTIONS(2717),
    [anon_sym_BSLASHqa] = ACTIONS(2717),
    [anon_sym_BSLASHqac] = ACTIONS(2717),
    [anon_sym_BSLASHqm] = ACTIONS(2717),
    [anon_sym_BSLASHqd] = ACTIONS(2717),
    [anon_sym_BSLASHlh] = ACTIONS(2717),
    [anon_sym_BSLASHli] = ACTIONS(2717),
    [anon_sym_BSLASHlim] = ACTIONS(2717),
    [anon_sym_BSLASHtr] = ACTIONS(2717),
    [anon_sym_BSLASHf] = ACTIONS(2717),
    [anon_sym_BSLASHfe] = ACTIONS(2717),
    [anon_sym_BSLASHef] = ACTIONS(2717),
    [anon_sym_BSLASHfm] = ACTIONS(2717),
    [anon_sym_BSLASHx] = ACTIONS(2717),
    [anon_sym_BSLASHxt] = ACTIONS(2717),
    [anon_sym_BSLASHrq] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASHfig] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASHpb] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesbe] = ACTIONS(2717),
    [anon_sym_BSLASHcat] = ACTIONS(2717),
  },
  [656] = {
    [aux_sym_text_token1] = ACTIONS(5450),
    [anon_sym_BSLASHref] = ACTIONS(5452),
    [anon_sym_BSLASHsts] = ACTIONS(5452),
    [anon_sym_BSLASHrem] = ACTIONS(5452),
    [anon_sym_BSLASHrestore] = ACTIONS(5452),
    [anon_sym_BSLASHlit] = ACTIONS(5452),
    [anon_sym_BSLASHip] = ACTIONS(5452),
    [anon_sym_BSLASHv] = ACTIONS(5452),
    [anon_sym_BSLASHva] = ACTIONS(5452),
    [anon_sym_BSLASHvp] = ACTIONS(5452),
    [anon_sym_BSLASHmte] = ACTIONS(5452),
    [anon_sym_BSLASHms] = ACTIONS(5452),
    [anon_sym_BSLASHs] = ACTIONS(5452),
    [anon_sym_BSLASHr] = ACTIONS(5452),
    [anon_sym_BSLASHsp] = ACTIONS(5452),
    [anon_sym_BSLASHd] = ACTIONS(5452),
    [anon_sym_BSLASHsd] = ACTIONS(5452),
    [anon_sym_BSLASHp] = ACTIONS(5452),
    [anon_sym_BSLASHm] = ACTIONS(5452),
    [anon_sym_BSLASHpo] = ACTIONS(5452),
    [anon_sym_BSLASHpr] = ACTIONS(5452),
    [anon_sym_BSLASHcls] = ACTIONS(5452),
    [anon_sym_BSLASHpmo] = ACTIONS(5452),
    [anon_sym_BSLASHpm] = ACTIONS(5452),
    [anon_sym_BSLASHpmc] = ACTIONS(5452),
    [anon_sym_BSLASHpmr] = ACTIONS(5452),
    [anon_sym_BSLASHpi] = ACTIONS(5452),
    [anon_sym_BSLASHmi] = ACTIONS(5452),
    [anon_sym_BSLASHnb] = ACTIONS(5452),
    [anon_sym_BSLASHpc] = ACTIONS(5452),
    [anon_sym_BSLASHph] = ACTIONS(5452),
    [anon_sym_BSLASHb] = ACTIONS(5452),
    [anon_sym_BSLASHq] = ACTIONS(5452),
    [anon_sym_BSLASHqr] = ACTIONS(5452),
    [anon_sym_BSLASHqc] = ACTIONS(5452),
    [anon_sym_BSLASHqs] = ACTIONS(5452),
    [anon_sym_BSLASHqa] = ACTIONS(5452),
    [anon_sym_BSLASHqac] = ACTIONS(5452),
    [anon_sym_BSLASHqm] = ACTIONS(5452),
    [anon_sym_BSLASHqd] = ACTIONS(5452),
    [anon_sym_BSLASHlh] = ACTIONS(5452),
    [anon_sym_BSLASHli] = ACTIONS(5452),
    [anon_sym_BSLASHlim] = ACTIONS(5452),
    [anon_sym_BSLASHtr] = ACTIONS(5452),
    [anon_sym_BSLASHf] = ACTIONS(5452),
    [anon_sym_BSLASHfe] = ACTIONS(5452),
    [anon_sym_BSLASHef] = ACTIONS(5452),
    [anon_sym_BSLASHfm] = ACTIONS(5452),
    [anon_sym_BSLASHx] = ACTIONS(5452),
    [anon_sym_BSLASHxt] = ACTIONS(5452),
    [anon_sym_BSLASHrq] = ACTIONS(5452),
    [anon_sym_BSLASHadd] = ACTIONS(5452),
    [anon_sym_BSLASHbk] = ACTIONS(5452),
    [anon_sym_BSLASHdc] = ACTIONS(5452),
    [anon_sym_BSLASHk] = ACTIONS(5452),
    [anon_sym_BSLASHnd] = ACTIONS(5452),
    [anon_sym_BSLASHord] = ACTIONS(5452),
    [anon_sym_BSLASHpn] = ACTIONS(5452),
    [anon_sym_BSLASHpng] = ACTIONS(5452),
    [anon_sym_BSLASHaddpn] = ACTIONS(5452),
    [anon_sym_BSLASHqt] = ACTIONS(5452),
    [anon_sym_BSLASHsig] = ACTIONS(5452),
    [anon_sym_BSLASHsls] = ACTIONS(5452),
    [anon_sym_BSLASHtl] = ACTIONS(5452),
    [anon_sym_BSLASHwj] = ACTIONS(5452),
    [anon_sym_BSLASHem] = ACTIONS(5452),
    [anon_sym_BSLASHbd] = ACTIONS(5452),
    [anon_sym_BSLASHit] = ACTIONS(5452),
    [anon_sym_BSLASHbdit] = ACTIONS(5452),
    [anon_sym_BSLASHno] = ACTIONS(5452),
    [anon_sym_BSLASHsc] = ACTIONS(5452),
    [anon_sym_BSLASHsup] = ACTIONS(5452),
    [anon_sym_BSLASHndx] = ACTIONS(5452),
    [anon_sym_BSLASHpro] = ACTIONS(5452),
    [anon_sym_BSLASHrb] = ACTIONS(5452),
    [anon_sym_BSLASHw] = ACTIONS(5452),
    [anon_sym_BSLASHwg] = ACTIONS(5452),
    [anon_sym_BSLASHwh] = ACTIONS(5452),
    [anon_sym_BSLASHwa] = ACTIONS(5452),
    [anon_sym_BSLASHfig] = ACTIONS(5452),
    [anon_sym_BSLASHjmp] = ACTIONS(5452),
    [anon_sym_BSLASHpb] = ACTIONS(5452),
    [anon_sym_BSLASH] = ACTIONS(5452),
    [sym_milestoneStartTag] = ACTIONS(5452),
    [sym_milestoneEndTag] = ACTIONS(5452),
    [sym_zSpaceTag] = ACTIONS(5452),
    [anon_sym_BSLASHesbe] = ACTIONS(5452),
    [anon_sym_BSLASHcat] = ACTIONS(5452),
  },
  [657] = {
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHref] = ACTIONS(2745),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHv] = ACTIONS(2745),
    [anon_sym_BSLASHva] = ACTIONS(2745),
    [anon_sym_BSLASHvp] = ACTIONS(2745),
    [anon_sym_BSLASHmte] = ACTIONS(2745),
    [anon_sym_BSLASHms] = ACTIONS(2745),
    [anon_sym_BSLASHs] = ACTIONS(2745),
    [anon_sym_BSLASHr] = ACTIONS(2745),
    [anon_sym_BSLASHsp] = ACTIONS(2745),
    [anon_sym_BSLASHd] = ACTIONS(2745),
    [anon_sym_BSLASHsd] = ACTIONS(2745),
    [anon_sym_BSLASHp] = ACTIONS(2745),
    [anon_sym_BSLASHm] = ACTIONS(2745),
    [anon_sym_BSLASHpo] = ACTIONS(2745),
    [anon_sym_BSLASHpr] = ACTIONS(2745),
    [anon_sym_BSLASHcls] = ACTIONS(2745),
    [anon_sym_BSLASHpmo] = ACTIONS(2745),
    [anon_sym_BSLASHpm] = ACTIONS(2745),
    [anon_sym_BSLASHpmc] = ACTIONS(2745),
    [anon_sym_BSLASHpmr] = ACTIONS(2745),
    [anon_sym_BSLASHpi] = ACTIONS(2745),
    [anon_sym_BSLASHmi] = ACTIONS(2745),
    [anon_sym_BSLASHnb] = ACTIONS(2745),
    [anon_sym_BSLASHpc] = ACTIONS(2745),
    [anon_sym_BSLASHph] = ACTIONS(2745),
    [anon_sym_BSLASHb] = ACTIONS(2745),
    [anon_sym_BSLASHq] = ACTIONS(2745),
    [anon_sym_BSLASHqr] = ACTIONS(2745),
    [anon_sym_BSLASHqc] = ACTIONS(2745),
    [anon_sym_BSLASHqs] = ACTIONS(2745),
    [anon_sym_BSLASHqa] = ACTIONS(2745),
    [anon_sym_BSLASHqac] = ACTIONS(2745),
    [anon_sym_BSLASHqm] = ACTIONS(2745),
    [anon_sym_BSLASHqd] = ACTIONS(2745),
    [anon_sym_BSLASHlh] = ACTIONS(2745),
    [anon_sym_BSLASHli] = ACTIONS(2745),
    [anon_sym_BSLASHlim] = ACTIONS(2745),
    [anon_sym_BSLASHtr] = ACTIONS(2745),
    [anon_sym_BSLASHf] = ACTIONS(2745),
    [anon_sym_BSLASHfe] = ACTIONS(2745),
    [anon_sym_BSLASHef] = ACTIONS(2745),
    [anon_sym_BSLASHfm] = ACTIONS(2745),
    [anon_sym_BSLASHx] = ACTIONS(2745),
    [anon_sym_BSLASHxt] = ACTIONS(2745),
    [anon_sym_BSLASHrq] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASHfig] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASHpb] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesbe] = ACTIONS(2745),
    [anon_sym_BSLASHcat] = ACTIONS(2745),
  },
  [658] = {
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHref] = ACTIONS(2677),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHv] = ACTIONS(2677),
    [anon_sym_BSLASHva] = ACTIONS(2677),
    [anon_sym_BSLASHvp] = ACTIONS(2677),
    [anon_sym_BSLASHmte] = ACTIONS(2677),
    [anon_sym_BSLASHms] = ACTIONS(2677),
    [anon_sym_BSLASHs] = ACTIONS(2677),
    [anon_sym_BSLASHr] = ACTIONS(2677),
    [anon_sym_BSLASHsp] = ACTIONS(2677),
    [anon_sym_BSLASHd] = ACTIONS(2677),
    [anon_sym_BSLASHsd] = ACTIONS(2677),
    [anon_sym_BSLASHp] = ACTIONS(2677),
    [anon_sym_BSLASHm] = ACTIONS(2677),
    [anon_sym_BSLASHpo] = ACTIONS(2677),
    [anon_sym_BSLASHpr] = ACTIONS(2677),
    [anon_sym_BSLASHcls] = ACTIONS(2677),
    [anon_sym_BSLASHpmo] = ACTIONS(2677),
    [anon_sym_BSLASHpm] = ACTIONS(2677),
    [anon_sym_BSLASHpmc] = ACTIONS(2677),
    [anon_sym_BSLASHpmr] = ACTIONS(2677),
    [anon_sym_BSLASHpi] = ACTIONS(2677),
    [anon_sym_BSLASHmi] = ACTIONS(2677),
    [anon_sym_BSLASHnb] = ACTIONS(2677),
    [anon_sym_BSLASHpc] = ACTIONS(2677),
    [anon_sym_BSLASHph] = ACTIONS(2677),
    [anon_sym_BSLASHb] = ACTIONS(2677),
    [anon_sym_BSLASHq] = ACTIONS(2677),
    [anon_sym_BSLASHqr] = ACTIONS(2677),
    [anon_sym_BSLASHqc] = ACTIONS(2677),
    [anon_sym_BSLASHqs] = ACTIONS(2677),
    [anon_sym_BSLASHqa] = ACTIONS(2677),
    [anon_sym_BSLASHqac] = ACTIONS(2677),
    [anon_sym_BSLASHqm] = ACTIONS(2677),
    [anon_sym_BSLASHqd] = ACTIONS(2677),
    [anon_sym_BSLASHlh] = ACTIONS(2677),
    [anon_sym_BSLASHli] = ACTIONS(2677),
    [anon_sym_BSLASHlim] = ACTIONS(2677),
    [anon_sym_BSLASHtr] = ACTIONS(2677),
    [anon_sym_BSLASHf] = ACTIONS(2677),
    [anon_sym_BSLASHfe] = ACTIONS(2677),
    [anon_sym_BSLASHef] = ACTIONS(2677),
    [anon_sym_BSLASHfm] = ACTIONS(2677),
    [anon_sym_BSLASHx] = ACTIONS(2677),
    [anon_sym_BSLASHxt] = ACTIONS(2677),
    [anon_sym_BSLASHrq] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASHfig] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASHpb] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesbe] = ACTIONS(2677),
    [anon_sym_BSLASHcat] = ACTIONS(2677),
  },
  [659] = {
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHref] = ACTIONS(2749),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHv] = ACTIONS(2749),
    [anon_sym_BSLASHva] = ACTIONS(2749),
    [anon_sym_BSLASHvp] = ACTIONS(2749),
    [anon_sym_BSLASHmte] = ACTIONS(2749),
    [anon_sym_BSLASHms] = ACTIONS(2749),
    [anon_sym_BSLASHs] = ACTIONS(2749),
    [anon_sym_BSLASHr] = ACTIONS(2749),
    [anon_sym_BSLASHsp] = ACTIONS(2749),
    [anon_sym_BSLASHd] = ACTIONS(2749),
    [anon_sym_BSLASHsd] = ACTIONS(2749),
    [anon_sym_BSLASHp] = ACTIONS(2749),
    [anon_sym_BSLASHm] = ACTIONS(2749),
    [anon_sym_BSLASHpo] = ACTIONS(2749),
    [anon_sym_BSLASHpr] = ACTIONS(2749),
    [anon_sym_BSLASHcls] = ACTIONS(2749),
    [anon_sym_BSLASHpmo] = ACTIONS(2749),
    [anon_sym_BSLASHpm] = ACTIONS(2749),
    [anon_sym_BSLASHpmc] = ACTIONS(2749),
    [anon_sym_BSLASHpmr] = ACTIONS(2749),
    [anon_sym_BSLASHpi] = ACTIONS(2749),
    [anon_sym_BSLASHmi] = ACTIONS(2749),
    [anon_sym_BSLASHnb] = ACTIONS(2749),
    [anon_sym_BSLASHpc] = ACTIONS(2749),
    [anon_sym_BSLASHph] = ACTIONS(2749),
    [anon_sym_BSLASHb] = ACTIONS(2749),
    [anon_sym_BSLASHq] = ACTIONS(2749),
    [anon_sym_BSLASHqr] = ACTIONS(2749),
    [anon_sym_BSLASHqc] = ACTIONS(2749),
    [anon_sym_BSLASHqs] = ACTIONS(2749),
    [anon_sym_BSLASHqa] = ACTIONS(2749),
    [anon_sym_BSLASHqac] = ACTIONS(2749),
    [anon_sym_BSLASHqm] = ACTIONS(2749),
    [anon_sym_BSLASHqd] = ACTIONS(2749),
    [anon_sym_BSLASHlh] = ACTIONS(2749),
    [anon_sym_BSLASHli] = ACTIONS(2749),
    [anon_sym_BSLASHlim] = ACTIONS(2749),
    [anon_sym_BSLASHtr] = ACTIONS(2749),
    [anon_sym_BSLASHf] = ACTIONS(2749),
    [anon_sym_BSLASHfe] = ACTIONS(2749),
    [anon_sym_BSLASHef] = ACTIONS(2749),
    [anon_sym_BSLASHfm] = ACTIONS(2749),
    [anon_sym_BSLASHx] = ACTIONS(2749),
    [anon_sym_BSLASHxt] = ACTIONS(2749),
    [anon_sym_BSLASHrq] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASHfig] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASHpb] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesbe] = ACTIONS(2749),
    [anon_sym_BSLASHcat] = ACTIONS(2749),
  },
  [660] = {
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHref] = ACTIONS(2721),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHv] = ACTIONS(2721),
    [anon_sym_BSLASHva] = ACTIONS(2721),
    [anon_sym_BSLASHvp] = ACTIONS(2721),
    [anon_sym_BSLASHmte] = ACTIONS(2721),
    [anon_sym_BSLASHms] = ACTIONS(2721),
    [anon_sym_BSLASHs] = ACTIONS(2721),
    [anon_sym_BSLASHr] = ACTIONS(2721),
    [anon_sym_BSLASHsp] = ACTIONS(2721),
    [anon_sym_BSLASHd] = ACTIONS(2721),
    [anon_sym_BSLASHsd] = ACTIONS(2721),
    [anon_sym_BSLASHp] = ACTIONS(2721),
    [anon_sym_BSLASHm] = ACTIONS(2721),
    [anon_sym_BSLASHpo] = ACTIONS(2721),
    [anon_sym_BSLASHpr] = ACTIONS(2721),
    [anon_sym_BSLASHcls] = ACTIONS(2721),
    [anon_sym_BSLASHpmo] = ACTIONS(2721),
    [anon_sym_BSLASHpm] = ACTIONS(2721),
    [anon_sym_BSLASHpmc] = ACTIONS(2721),
    [anon_sym_BSLASHpmr] = ACTIONS(2721),
    [anon_sym_BSLASHpi] = ACTIONS(2721),
    [anon_sym_BSLASHmi] = ACTIONS(2721),
    [anon_sym_BSLASHnb] = ACTIONS(2721),
    [anon_sym_BSLASHpc] = ACTIONS(2721),
    [anon_sym_BSLASHph] = ACTIONS(2721),
    [anon_sym_BSLASHb] = ACTIONS(2721),
    [anon_sym_BSLASHq] = ACTIONS(2721),
    [anon_sym_BSLASHqr] = ACTIONS(2721),
    [anon_sym_BSLASHqc] = ACTIONS(2721),
    [anon_sym_BSLASHqs] = ACTIONS(2721),
    [anon_sym_BSLASHqa] = ACTIONS(2721),
    [anon_sym_BSLASHqac] = ACTIONS(2721),
    [anon_sym_BSLASHqm] = ACTIONS(2721),
    [anon_sym_BSLASHqd] = ACTIONS(2721),
    [anon_sym_BSLASHlh] = ACTIONS(2721),
    [anon_sym_BSLASHli] = ACTIONS(2721),
    [anon_sym_BSLASHlim] = ACTIONS(2721),
    [anon_sym_BSLASHtr] = ACTIONS(2721),
    [anon_sym_BSLASHf] = ACTIONS(2721),
    [anon_sym_BSLASHfe] = ACTIONS(2721),
    [anon_sym_BSLASHef] = ACTIONS(2721),
    [anon_sym_BSLASHfm] = ACTIONS(2721),
    [anon_sym_BSLASHx] = ACTIONS(2721),
    [anon_sym_BSLASHxt] = ACTIONS(2721),
    [anon_sym_BSLASHrq] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASHfig] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASHpb] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesbe] = ACTIONS(2721),
    [anon_sym_BSLASHcat] = ACTIONS(2721),
  },
  [661] = {
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHref] = ACTIONS(2725),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHv] = ACTIONS(2725),
    [anon_sym_BSLASHva] = ACTIONS(2725),
    [anon_sym_BSLASHvp] = ACTIONS(2725),
    [anon_sym_BSLASHmte] = ACTIONS(2725),
    [anon_sym_BSLASHms] = ACTIONS(2725),
    [anon_sym_BSLASHs] = ACTIONS(2725),
    [anon_sym_BSLASHr] = ACTIONS(2725),
    [anon_sym_BSLASHsp] = ACTIONS(2725),
    [anon_sym_BSLASHd] = ACTIONS(2725),
    [anon_sym_BSLASHsd] = ACTIONS(2725),
    [anon_sym_BSLASHp] = ACTIONS(2725),
    [anon_sym_BSLASHm] = ACTIONS(2725),
    [anon_sym_BSLASHpo] = ACTIONS(2725),
    [anon_sym_BSLASHpr] = ACTIONS(2725),
    [anon_sym_BSLASHcls] = ACTIONS(2725),
    [anon_sym_BSLASHpmo] = ACTIONS(2725),
    [anon_sym_BSLASHpm] = ACTIONS(2725),
    [anon_sym_BSLASHpmc] = ACTIONS(2725),
    [anon_sym_BSLASHpmr] = ACTIONS(2725),
    [anon_sym_BSLASHpi] = ACTIONS(2725),
    [anon_sym_BSLASHmi] = ACTIONS(2725),
    [anon_sym_BSLASHnb] = ACTIONS(2725),
    [anon_sym_BSLASHpc] = ACTIONS(2725),
    [anon_sym_BSLASHph] = ACTIONS(2725),
    [anon_sym_BSLASHb] = ACTIONS(2725),
    [anon_sym_BSLASHq] = ACTIONS(2725),
    [anon_sym_BSLASHqr] = ACTIONS(2725),
    [anon_sym_BSLASHqc] = ACTIONS(2725),
    [anon_sym_BSLASHqs] = ACTIONS(2725),
    [anon_sym_BSLASHqa] = ACTIONS(2725),
    [anon_sym_BSLASHqac] = ACTIONS(2725),
    [anon_sym_BSLASHqm] = ACTIONS(2725),
    [anon_sym_BSLASHqd] = ACTIONS(2725),
    [anon_sym_BSLASHlh] = ACTIONS(2725),
    [anon_sym_BSLASHli] = ACTIONS(2725),
    [anon_sym_BSLASHlim] = ACTIONS(2725),
    [anon_sym_BSLASHtr] = ACTIONS(2725),
    [anon_sym_BSLASHf] = ACTIONS(2725),
    [anon_sym_BSLASHfe] = ACTIONS(2725),
    [anon_sym_BSLASHef] = ACTIONS(2725),
    [anon_sym_BSLASHfm] = ACTIONS(2725),
    [anon_sym_BSLASHx] = ACTIONS(2725),
    [anon_sym_BSLASHxt] = ACTIONS(2725),
    [anon_sym_BSLASHrq] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASHfig] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASHpb] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesbe] = ACTIONS(2725),
    [anon_sym_BSLASHcat] = ACTIONS(2725),
  },
  [662] = {
    [aux_sym_text_token1] = ACTIONS(3060),
    [anon_sym_BSLASHref] = ACTIONS(3062),
    [anon_sym_BSLASHsts] = ACTIONS(3062),
    [anon_sym_BSLASHrem] = ACTIONS(3062),
    [anon_sym_BSLASHrestore] = ACTIONS(3062),
    [anon_sym_BSLASHlit] = ACTIONS(3062),
    [anon_sym_BSLASHip] = ACTIONS(3062),
    [anon_sym_BSLASHv] = ACTIONS(3062),
    [anon_sym_BSLASHva] = ACTIONS(3062),
    [anon_sym_BSLASHvp] = ACTIONS(3062),
    [anon_sym_BSLASHmte] = ACTIONS(3062),
    [anon_sym_BSLASHms] = ACTIONS(3062),
    [anon_sym_BSLASHs] = ACTIONS(3062),
    [anon_sym_BSLASHr] = ACTIONS(3062),
    [anon_sym_BSLASHsp] = ACTIONS(3062),
    [anon_sym_BSLASHd] = ACTIONS(3062),
    [anon_sym_BSLASHsd] = ACTIONS(3062),
    [anon_sym_BSLASHp] = ACTIONS(3062),
    [anon_sym_BSLASHm] = ACTIONS(3062),
    [anon_sym_BSLASHpo] = ACTIONS(3062),
    [anon_sym_BSLASHpr] = ACTIONS(3062),
    [anon_sym_BSLASHcls] = ACTIONS(3062),
    [anon_sym_BSLASHpmo] = ACTIONS(3062),
    [anon_sym_BSLASHpm] = ACTIONS(3062),
    [anon_sym_BSLASHpmc] = ACTIONS(3062),
    [anon_sym_BSLASHpmr] = ACTIONS(3062),
    [anon_sym_BSLASHpi] = ACTIONS(3062),
    [anon_sym_BSLASHmi] = ACTIONS(3062),
    [anon_sym_BSLASHnb] = ACTIONS(3062),
    [anon_sym_BSLASHpc] = ACTIONS(3062),
    [anon_sym_BSLASHph] = ACTIONS(3062),
    [anon_sym_BSLASHb] = ACTIONS(3062),
    [anon_sym_BSLASHq] = ACTIONS(3062),
    [anon_sym_BSLASHqr] = ACTIONS(3062),
    [anon_sym_BSLASHqc] = ACTIONS(3062),
    [anon_sym_BSLASHqs] = ACTIONS(3062),
    [anon_sym_BSLASHqa] = ACTIONS(3062),
    [anon_sym_BSLASHqac] = ACTIONS(3062),
    [anon_sym_BSLASHqm] = ACTIONS(3062),
    [anon_sym_BSLASHqd] = ACTIONS(3062),
    [anon_sym_BSLASHlh] = ACTIONS(3062),
    [anon_sym_BSLASHli] = ACTIONS(3062),
    [anon_sym_BSLASHlim] = ACTIONS(3062),
    [anon_sym_BSLASHtr] = ACTIONS(3062),
    [anon_sym_BSLASHf] = ACTIONS(3062),
    [anon_sym_BSLASHfe] = ACTIONS(3062),
    [anon_sym_BSLASHef] = ACTIONS(3062),
    [anon_sym_BSLASHfm] = ACTIONS(3062),
    [anon_sym_BSLASHx] = ACTIONS(3062),
    [anon_sym_BSLASHxt] = ACTIONS(3062),
    [anon_sym_BSLASHrq] = ACTIONS(3062),
    [anon_sym_BSLASHadd] = ACTIONS(3062),
    [anon_sym_BSLASHbk] = ACTIONS(3062),
    [anon_sym_BSLASHdc] = ACTIONS(3062),
    [anon_sym_BSLASHk] = ACTIONS(3062),
    [anon_sym_BSLASHnd] = ACTIONS(3062),
    [anon_sym_BSLASHord] = ACTIONS(3062),
    [anon_sym_BSLASHpn] = ACTIONS(3062),
    [anon_sym_BSLASHpng] = ACTIONS(3062),
    [anon_sym_BSLASHaddpn] = ACTIONS(3062),
    [anon_sym_BSLASHqt] = ACTIONS(3062),
    [anon_sym_BSLASHsig] = ACTIONS(3062),
    [anon_sym_BSLASHsls] = ACTIONS(3062),
    [anon_sym_BSLASHtl] = ACTIONS(3062),
    [anon_sym_BSLASHwj] = ACTIONS(3062),
    [anon_sym_BSLASHem] = ACTIONS(3062),
    [anon_sym_BSLASHbd] = ACTIONS(3062),
    [anon_sym_BSLASHit] = ACTIONS(3062),
    [anon_sym_BSLASHbdit] = ACTIONS(3062),
    [anon_sym_BSLASHno] = ACTIONS(3062),
    [anon_sym_BSLASHsc] = ACTIONS(3062),
    [anon_sym_BSLASHsup] = ACTIONS(3062),
    [anon_sym_BSLASHndx] = ACTIONS(3062),
    [anon_sym_BSLASHpro] = ACTIONS(3062),
    [anon_sym_BSLASHrb] = ACTIONS(3062),
    [anon_sym_BSLASHw] = ACTIONS(3062),
    [anon_sym_BSLASHwg] = ACTIONS(3062),
    [anon_sym_BSLASHwh] = ACTIONS(3062),
    [anon_sym_BSLASHwa] = ACTIONS(3062),
    [anon_sym_BSLASHfig] = ACTIONS(3062),
    [anon_sym_BSLASHjmp] = ACTIONS(3062),
    [anon_sym_BSLASHpb] = ACTIONS(3062),
    [anon_sym_BSLASH] = ACTIONS(3062),
    [sym_milestoneStartTag] = ACTIONS(3062),
    [sym_milestoneEndTag] = ACTIONS(3062),
    [sym_zSpaceTag] = ACTIONS(3062),
    [anon_sym_BSLASHesbe] = ACTIONS(3062),
    [anon_sym_BSLASHcat] = ACTIONS(3062),
  },
  [663] = {
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHref] = ACTIONS(2741),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHv] = ACTIONS(2741),
    [anon_sym_BSLASHva] = ACTIONS(2741),
    [anon_sym_BSLASHvp] = ACTIONS(2741),
    [anon_sym_BSLASHmte] = ACTIONS(2741),
    [anon_sym_BSLASHms] = ACTIONS(2741),
    [anon_sym_BSLASHs] = ACTIONS(2741),
    [anon_sym_BSLASHr] = ACTIONS(2741),
    [anon_sym_BSLASHsp] = ACTIONS(2741),
    [anon_sym_BSLASHd] = ACTIONS(2741),
    [anon_sym_BSLASHsd] = ACTIONS(2741),
    [anon_sym_BSLASHp] = ACTIONS(2741),
    [anon_sym_BSLASHm] = ACTIONS(2741),
    [anon_sym_BSLASHpo] = ACTIONS(2741),
    [anon_sym_BSLASHpr] = ACTIONS(2741),
    [anon_sym_BSLASHcls] = ACTIONS(2741),
    [anon_sym_BSLASHpmo] = ACTIONS(2741),
    [anon_sym_BSLASHpm] = ACTIONS(2741),
    [anon_sym_BSLASHpmc] = ACTIONS(2741),
    [anon_sym_BSLASHpmr] = ACTIONS(2741),
    [anon_sym_BSLASHpi] = ACTIONS(2741),
    [anon_sym_BSLASHmi] = ACTIONS(2741),
    [anon_sym_BSLASHnb] = ACTIONS(2741),
    [anon_sym_BSLASHpc] = ACTIONS(2741),
    [anon_sym_BSLASHph] = ACTIONS(2741),
    [anon_sym_BSLASHb] = ACTIONS(2741),
    [anon_sym_BSLASHq] = ACTIONS(2741),
    [anon_sym_BSLASHqr] = ACTIONS(2741),
    [anon_sym_BSLASHqc] = ACTIONS(2741),
    [anon_sym_BSLASHqs] = ACTIONS(2741),
    [anon_sym_BSLASHqa] = ACTIONS(2741),
    [anon_sym_BSLASHqac] = ACTIONS(2741),
    [anon_sym_BSLASHqm] = ACTIONS(2741),
    [anon_sym_BSLASHqd] = ACTIONS(2741),
    [anon_sym_BSLASHlh] = ACTIONS(2741),
    [anon_sym_BSLASHli] = ACTIONS(2741),
    [anon_sym_BSLASHlim] = ACTIONS(2741),
    [anon_sym_BSLASHtr] = ACTIONS(2741),
    [anon_sym_BSLASHf] = ACTIONS(2741),
    [anon_sym_BSLASHfe] = ACTIONS(2741),
    [anon_sym_BSLASHef] = ACTIONS(2741),
    [anon_sym_BSLASHfm] = ACTIONS(2741),
    [anon_sym_BSLASHx] = ACTIONS(2741),
    [anon_sym_BSLASHxt] = ACTIONS(2741),
    [anon_sym_BSLASHrq] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASHfig] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASHpb] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesbe] = ACTIONS(2741),
    [anon_sym_BSLASHcat] = ACTIONS(2741),
  },
  [664] = {
    [aux_sym_text_token1] = ACTIONS(3088),
    [anon_sym_BSLASHref] = ACTIONS(3090),
    [anon_sym_BSLASHsts] = ACTIONS(3090),
    [anon_sym_BSLASHrem] = ACTIONS(3090),
    [anon_sym_BSLASHrestore] = ACTIONS(3090),
    [anon_sym_BSLASHlit] = ACTIONS(3090),
    [anon_sym_BSLASHip] = ACTIONS(3090),
    [anon_sym_BSLASHv] = ACTIONS(3090),
    [anon_sym_BSLASHva] = ACTIONS(3090),
    [anon_sym_BSLASHvp] = ACTIONS(3090),
    [anon_sym_BSLASHmte] = ACTIONS(3090),
    [anon_sym_BSLASHms] = ACTIONS(3090),
    [anon_sym_BSLASHs] = ACTIONS(3090),
    [anon_sym_BSLASHr] = ACTIONS(3090),
    [anon_sym_BSLASHsp] = ACTIONS(3090),
    [anon_sym_BSLASHd] = ACTIONS(3090),
    [anon_sym_BSLASHsd] = ACTIONS(3090),
    [anon_sym_BSLASHp] = ACTIONS(3090),
    [anon_sym_BSLASHm] = ACTIONS(3090),
    [anon_sym_BSLASHpo] = ACTIONS(3090),
    [anon_sym_BSLASHpr] = ACTIONS(3090),
    [anon_sym_BSLASHcls] = ACTIONS(3090),
    [anon_sym_BSLASHpmo] = ACTIONS(3090),
    [anon_sym_BSLASHpm] = ACTIONS(3090),
    [anon_sym_BSLASHpmc] = ACTIONS(3090),
    [anon_sym_BSLASHpmr] = ACTIONS(3090),
    [anon_sym_BSLASHpi] = ACTIONS(3090),
    [anon_sym_BSLASHmi] = ACTIONS(3090),
    [anon_sym_BSLASHnb] = ACTIONS(3090),
    [anon_sym_BSLASHpc] = ACTIONS(3090),
    [anon_sym_BSLASHph] = ACTIONS(3090),
    [anon_sym_BSLASHb] = ACTIONS(3090),
    [anon_sym_BSLASHq] = ACTIONS(3090),
    [anon_sym_BSLASHqr] = ACTIONS(3090),
    [anon_sym_BSLASHqc] = ACTIONS(3090),
    [anon_sym_BSLASHqs] = ACTIONS(3090),
    [anon_sym_BSLASHqa] = ACTIONS(3090),
    [anon_sym_BSLASHqac] = ACTIONS(3090),
    [anon_sym_BSLASHqm] = ACTIONS(3090),
    [anon_sym_BSLASHqd] = ACTIONS(3090),
    [anon_sym_BSLASHlh] = ACTIONS(3090),
    [anon_sym_BSLASHli] = ACTIONS(3090),
    [anon_sym_BSLASHlim] = ACTIONS(3090),
    [anon_sym_BSLASHtr] = ACTIONS(3090),
    [anon_sym_BSLASHf] = ACTIONS(3090),
    [anon_sym_BSLASHfe] = ACTIONS(3090),
    [anon_sym_BSLASHef] = ACTIONS(3090),
    [anon_sym_BSLASHfm] = ACTIONS(3090),
    [anon_sym_BSLASHx] = ACTIONS(3090),
    [anon_sym_BSLASHxt] = ACTIONS(3090),
    [anon_sym_BSLASHrq] = ACTIONS(3090),
    [anon_sym_BSLASHadd] = ACTIONS(3090),
    [anon_sym_BSLASHbk] = ACTIONS(3090),
    [anon_sym_BSLASHdc] = ACTIONS(3090),
    [anon_sym_BSLASHk] = ACTIONS(3090),
    [anon_sym_BSLASHnd] = ACTIONS(3090),
    [anon_sym_BSLASHord] = ACTIONS(3090),
    [anon_sym_BSLASHpn] = ACTIONS(3090),
    [anon_sym_BSLASHpng] = ACTIONS(3090),
    [anon_sym_BSLASHaddpn] = ACTIONS(3090),
    [anon_sym_BSLASHqt] = ACTIONS(3090),
    [anon_sym_BSLASHsig] = ACTIONS(3090),
    [anon_sym_BSLASHsls] = ACTIONS(3090),
    [anon_sym_BSLASHtl] = ACTIONS(3090),
    [anon_sym_BSLASHwj] = ACTIONS(3090),
    [anon_sym_BSLASHem] = ACTIONS(3090),
    [anon_sym_BSLASHbd] = ACTIONS(3090),
    [anon_sym_BSLASHit] = ACTIONS(3090),
    [anon_sym_BSLASHbdit] = ACTIONS(3090),
    [anon_sym_BSLASHno] = ACTIONS(3090),
    [anon_sym_BSLASHsc] = ACTIONS(3090),
    [anon_sym_BSLASHsup] = ACTIONS(3090),
    [anon_sym_BSLASHndx] = ACTIONS(3090),
    [anon_sym_BSLASHpro] = ACTIONS(3090),
    [anon_sym_BSLASHrb] = ACTIONS(3090),
    [anon_sym_BSLASHw] = ACTIONS(3090),
    [anon_sym_BSLASHwg] = ACTIONS(3090),
    [anon_sym_BSLASHwh] = ACTIONS(3090),
    [anon_sym_BSLASHwa] = ACTIONS(3090),
    [anon_sym_BSLASHfig] = ACTIONS(3090),
    [anon_sym_BSLASHjmp] = ACTIONS(3090),
    [anon_sym_BSLASHpb] = ACTIONS(3090),
    [anon_sym_BSLASH] = ACTIONS(3090),
    [sym_milestoneStartTag] = ACTIONS(3090),
    [sym_milestoneEndTag] = ACTIONS(3090),
    [sym_zSpaceTag] = ACTIONS(3090),
    [anon_sym_BSLASHesbe] = ACTIONS(3090),
    [anon_sym_BSLASHcat] = ACTIONS(3090),
  },
  [665] = {
    [aux_sym_text_token1] = ACTIONS(3076),
    [anon_sym_BSLASHref] = ACTIONS(3078),
    [anon_sym_BSLASHsts] = ACTIONS(3078),
    [anon_sym_BSLASHrem] = ACTIONS(3078),
    [anon_sym_BSLASHrestore] = ACTIONS(3078),
    [anon_sym_BSLASHlit] = ACTIONS(3078),
    [anon_sym_BSLASHip] = ACTIONS(3078),
    [anon_sym_BSLASHv] = ACTIONS(3078),
    [anon_sym_BSLASHva] = ACTIONS(3078),
    [anon_sym_BSLASHvp] = ACTIONS(3078),
    [anon_sym_BSLASHmte] = ACTIONS(3078),
    [anon_sym_BSLASHms] = ACTIONS(3078),
    [anon_sym_BSLASHs] = ACTIONS(3078),
    [anon_sym_BSLASHr] = ACTIONS(3078),
    [anon_sym_BSLASHsp] = ACTIONS(3078),
    [anon_sym_BSLASHd] = ACTIONS(3078),
    [anon_sym_BSLASHsd] = ACTIONS(3078),
    [anon_sym_BSLASHp] = ACTIONS(3078),
    [anon_sym_BSLASHm] = ACTIONS(3078),
    [anon_sym_BSLASHpo] = ACTIONS(3078),
    [anon_sym_BSLASHpr] = ACTIONS(3078),
    [anon_sym_BSLASHcls] = ACTIONS(3078),
    [anon_sym_BSLASHpmo] = ACTIONS(3078),
    [anon_sym_BSLASHpm] = ACTIONS(3078),
    [anon_sym_BSLASHpmc] = ACTIONS(3078),
    [anon_sym_BSLASHpmr] = ACTIONS(3078),
    [anon_sym_BSLASHpi] = ACTIONS(3078),
    [anon_sym_BSLASHmi] = ACTIONS(3078),
    [anon_sym_BSLASHnb] = ACTIONS(3078),
    [anon_sym_BSLASHpc] = ACTIONS(3078),
    [anon_sym_BSLASHph] = ACTIONS(3078),
    [anon_sym_BSLASHb] = ACTIONS(3078),
    [anon_sym_BSLASHq] = ACTIONS(3078),
    [anon_sym_BSLASHqr] = ACTIONS(3078),
    [anon_sym_BSLASHqc] = ACTIONS(3078),
    [anon_sym_BSLASHqs] = ACTIONS(3078),
    [anon_sym_BSLASHqa] = ACTIONS(3078),
    [anon_sym_BSLASHqac] = ACTIONS(3078),
    [anon_sym_BSLASHqm] = ACTIONS(3078),
    [anon_sym_BSLASHqd] = ACTIONS(3078),
    [anon_sym_BSLASHlh] = ACTIONS(3078),
    [anon_sym_BSLASHli] = ACTIONS(3078),
    [anon_sym_BSLASHlim] = ACTIONS(3078),
    [anon_sym_BSLASHtr] = ACTIONS(3078),
    [anon_sym_BSLASHf] = ACTIONS(3078),
    [anon_sym_BSLASHfe] = ACTIONS(3078),
    [anon_sym_BSLASHef] = ACTIONS(3078),
    [anon_sym_BSLASHfm] = ACTIONS(3078),
    [anon_sym_BSLASHx] = ACTIONS(3078),
    [anon_sym_BSLASHxt] = ACTIONS(3078),
    [anon_sym_BSLASHrq] = ACTIONS(3078),
    [anon_sym_BSLASHadd] = ACTIONS(3078),
    [anon_sym_BSLASHbk] = ACTIONS(3078),
    [anon_sym_BSLASHdc] = ACTIONS(3078),
    [anon_sym_BSLASHk] = ACTIONS(3078),
    [anon_sym_BSLASHnd] = ACTIONS(3078),
    [anon_sym_BSLASHord] = ACTIONS(3078),
    [anon_sym_BSLASHpn] = ACTIONS(3078),
    [anon_sym_BSLASHpng] = ACTIONS(3078),
    [anon_sym_BSLASHaddpn] = ACTIONS(3078),
    [anon_sym_BSLASHqt] = ACTIONS(3078),
    [anon_sym_BSLASHsig] = ACTIONS(3078),
    [anon_sym_BSLASHsls] = ACTIONS(3078),
    [anon_sym_BSLASHtl] = ACTIONS(3078),
    [anon_sym_BSLASHwj] = ACTIONS(3078),
    [anon_sym_BSLASHem] = ACTIONS(3078),
    [anon_sym_BSLASHbd] = ACTIONS(3078),
    [anon_sym_BSLASHit] = ACTIONS(3078),
    [anon_sym_BSLASHbdit] = ACTIONS(3078),
    [anon_sym_BSLASHno] = ACTIONS(3078),
    [anon_sym_BSLASHsc] = ACTIONS(3078),
    [anon_sym_BSLASHsup] = ACTIONS(3078),
    [anon_sym_BSLASHndx] = ACTIONS(3078),
    [anon_sym_BSLASHpro] = ACTIONS(3078),
    [anon_sym_BSLASHrb] = ACTIONS(3078),
    [anon_sym_BSLASHw] = ACTIONS(3078),
    [anon_sym_BSLASHwg] = ACTIONS(3078),
    [anon_sym_BSLASHwh] = ACTIONS(3078),
    [anon_sym_BSLASHwa] = ACTIONS(3078),
    [anon_sym_BSLASHfig] = ACTIONS(3078),
    [anon_sym_BSLASHjmp] = ACTIONS(3078),
    [anon_sym_BSLASHpb] = ACTIONS(3078),
    [anon_sym_BSLASH] = ACTIONS(3078),
    [sym_milestoneStartTag] = ACTIONS(3078),
    [sym_milestoneEndTag] = ACTIONS(3078),
    [sym_zSpaceTag] = ACTIONS(3078),
    [anon_sym_BSLASHesbe] = ACTIONS(3078),
    [anon_sym_BSLASHcat] = ACTIONS(3078),
  },
  [666] = {
    [aux_sym_text_token1] = ACTIONS(3068),
    [anon_sym_BSLASHref] = ACTIONS(3070),
    [anon_sym_BSLASHsts] = ACTIONS(3070),
    [anon_sym_BSLASHrem] = ACTIONS(3070),
    [anon_sym_BSLASHrestore] = ACTIONS(3070),
    [anon_sym_BSLASHlit] = ACTIONS(3070),
    [anon_sym_BSLASHip] = ACTIONS(3070),
    [anon_sym_BSLASHv] = ACTIONS(3070),
    [anon_sym_BSLASHva] = ACTIONS(3070),
    [anon_sym_BSLASHvp] = ACTIONS(3070),
    [anon_sym_BSLASHmte] = ACTIONS(3070),
    [anon_sym_BSLASHms] = ACTIONS(3070),
    [anon_sym_BSLASHs] = ACTIONS(3070),
    [anon_sym_BSLASHr] = ACTIONS(3070),
    [anon_sym_BSLASHsp] = ACTIONS(3070),
    [anon_sym_BSLASHd] = ACTIONS(3070),
    [anon_sym_BSLASHsd] = ACTIONS(3070),
    [anon_sym_BSLASHp] = ACTIONS(3070),
    [anon_sym_BSLASHm] = ACTIONS(3070),
    [anon_sym_BSLASHpo] = ACTIONS(3070),
    [anon_sym_BSLASHpr] = ACTIONS(3070),
    [anon_sym_BSLASHcls] = ACTIONS(3070),
    [anon_sym_BSLASHpmo] = ACTIONS(3070),
    [anon_sym_BSLASHpm] = ACTIONS(3070),
    [anon_sym_BSLASHpmc] = ACTIONS(3070),
    [anon_sym_BSLASHpmr] = ACTIONS(3070),
    [anon_sym_BSLASHpi] = ACTIONS(3070),
    [anon_sym_BSLASHmi] = ACTIONS(3070),
    [anon_sym_BSLASHnb] = ACTIONS(3070),
    [anon_sym_BSLASHpc] = ACTIONS(3070),
    [anon_sym_BSLASHph] = ACTIONS(3070),
    [anon_sym_BSLASHb] = ACTIONS(3070),
    [anon_sym_BSLASHq] = ACTIONS(3070),
    [anon_sym_BSLASHqr] = ACTIONS(3070),
    [anon_sym_BSLASHqc] = ACTIONS(3070),
    [anon_sym_BSLASHqs] = ACTIONS(3070),
    [anon_sym_BSLASHqa] = ACTIONS(3070),
    [anon_sym_BSLASHqac] = ACTIONS(3070),
    [anon_sym_BSLASHqm] = ACTIONS(3070),
    [anon_sym_BSLASHqd] = ACTIONS(3070),
    [anon_sym_BSLASHlh] = ACTIONS(3070),
    [anon_sym_BSLASHli] = ACTIONS(3070),
    [anon_sym_BSLASHlim] = ACTIONS(3070),
    [anon_sym_BSLASHtr] = ACTIONS(3070),
    [anon_sym_BSLASHf] = ACTIONS(3070),
    [anon_sym_BSLASHfe] = ACTIONS(3070),
    [anon_sym_BSLASHef] = ACTIONS(3070),
    [anon_sym_BSLASHfm] = ACTIONS(3070),
    [anon_sym_BSLASHx] = ACTIONS(3070),
    [anon_sym_BSLASHxt] = ACTIONS(3070),
    [anon_sym_BSLASHrq] = ACTIONS(3070),
    [anon_sym_BSLASHadd] = ACTIONS(3070),
    [anon_sym_BSLASHbk] = ACTIONS(3070),
    [anon_sym_BSLASHdc] = ACTIONS(3070),
    [anon_sym_BSLASHk] = ACTIONS(3070),
    [anon_sym_BSLASHnd] = ACTIONS(3070),
    [anon_sym_BSLASHord] = ACTIONS(3070),
    [anon_sym_BSLASHpn] = ACTIONS(3070),
    [anon_sym_BSLASHpng] = ACTIONS(3070),
    [anon_sym_BSLASHaddpn] = ACTIONS(3070),
    [anon_sym_BSLASHqt] = ACTIONS(3070),
    [anon_sym_BSLASHsig] = ACTIONS(3070),
    [anon_sym_BSLASHsls] = ACTIONS(3070),
    [anon_sym_BSLASHtl] = ACTIONS(3070),
    [anon_sym_BSLASHwj] = ACTIONS(3070),
    [anon_sym_BSLASHem] = ACTIONS(3070),
    [anon_sym_BSLASHbd] = ACTIONS(3070),
    [anon_sym_BSLASHit] = ACTIONS(3070),
    [anon_sym_BSLASHbdit] = ACTIONS(3070),
    [anon_sym_BSLASHno] = ACTIONS(3070),
    [anon_sym_BSLASHsc] = ACTIONS(3070),
    [anon_sym_BSLASHsup] = ACTIONS(3070),
    [anon_sym_BSLASHndx] = ACTIONS(3070),
    [anon_sym_BSLASHpro] = ACTIONS(3070),
    [anon_sym_BSLASHrb] = ACTIONS(3070),
    [anon_sym_BSLASHw] = ACTIONS(3070),
    [anon_sym_BSLASHwg] = ACTIONS(3070),
    [anon_sym_BSLASHwh] = ACTIONS(3070),
    [anon_sym_BSLASHwa] = ACTIONS(3070),
    [anon_sym_BSLASHfig] = ACTIONS(3070),
    [anon_sym_BSLASHjmp] = ACTIONS(3070),
    [anon_sym_BSLASHpb] = ACTIONS(3070),
    [anon_sym_BSLASH] = ACTIONS(3070),
    [sym_milestoneStartTag] = ACTIONS(3070),
    [sym_milestoneEndTag] = ACTIONS(3070),
    [sym_zSpaceTag] = ACTIONS(3070),
    [anon_sym_BSLASHesbe] = ACTIONS(3070),
    [anon_sym_BSLASHcat] = ACTIONS(3070),
  },
  [667] = {
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqs] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqac] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesbe] = ACTIONS(7),
    [anon_sym_BSLASHcat] = ACTIONS(7),
  },
  [668] = {
    [aux_sym_text_token1] = ACTIONS(5454),
    [anon_sym_BSLASHref] = ACTIONS(5456),
    [anon_sym_BSLASHsts] = ACTIONS(5456),
    [anon_sym_BSLASHrem] = ACTIONS(5456),
    [anon_sym_BSLASHrestore] = ACTIONS(5456),
    [anon_sym_BSLASHlit] = ACTIONS(5456),
    [anon_sym_BSLASHip] = ACTIONS(5456),
    [anon_sym_BSLASHv] = ACTIONS(5456),
    [anon_sym_BSLASHva] = ACTIONS(5456),
    [anon_sym_BSLASHvp] = ACTIONS(5456),
    [anon_sym_BSLASHmte] = ACTIONS(5456),
    [anon_sym_BSLASHms] = ACTIONS(5456),
    [anon_sym_BSLASHs] = ACTIONS(5456),
    [anon_sym_BSLASHr] = ACTIONS(5456),
    [anon_sym_BSLASHsp] = ACTIONS(5456),
    [anon_sym_BSLASHd] = ACTIONS(5456),
    [anon_sym_BSLASHsd] = ACTIONS(5456),
    [anon_sym_BSLASHp] = ACTIONS(5456),
    [anon_sym_BSLASHm] = ACTIONS(5456),
    [anon_sym_BSLASHpo] = ACTIONS(5456),
    [anon_sym_BSLASHpr] = ACTIONS(5456),
    [anon_sym_BSLASHcls] = ACTIONS(5456),
    [anon_sym_BSLASHpmo] = ACTIONS(5456),
    [anon_sym_BSLASHpm] = ACTIONS(5456),
    [anon_sym_BSLASHpmc] = ACTIONS(5456),
    [anon_sym_BSLASHpmr] = ACTIONS(5456),
    [anon_sym_BSLASHpi] = ACTIONS(5456),
    [anon_sym_BSLASHmi] = ACTIONS(5456),
    [anon_sym_BSLASHnb] = ACTIONS(5456),
    [anon_sym_BSLASHpc] = ACTIONS(5456),
    [anon_sym_BSLASHph] = ACTIONS(5456),
    [anon_sym_BSLASHb] = ACTIONS(5456),
    [anon_sym_BSLASHq] = ACTIONS(5456),
    [anon_sym_BSLASHqr] = ACTIONS(5456),
    [anon_sym_BSLASHqc] = ACTIONS(5456),
    [anon_sym_BSLASHqs] = ACTIONS(5456),
    [anon_sym_BSLASHqa] = ACTIONS(5456),
    [anon_sym_BSLASHqac] = ACTIONS(5456),
    [anon_sym_BSLASHqm] = ACTIONS(5456),
    [anon_sym_BSLASHqd] = ACTIONS(5456),
    [anon_sym_BSLASHlh] = ACTIONS(5456),
    [anon_sym_BSLASHli] = ACTIONS(5456),
    [anon_sym_BSLASHlim] = ACTIONS(5456),
    [anon_sym_BSLASHtr] = ACTIONS(5456),
    [anon_sym_BSLASHf] = ACTIONS(5456),
    [anon_sym_BSLASHfe] = ACTIONS(5456),
    [anon_sym_BSLASHef] = ACTIONS(5456),
    [anon_sym_BSLASHfm] = ACTIONS(5456),
    [anon_sym_BSLASHx] = ACTIONS(5456),
    [anon_sym_BSLASHxt] = ACTIONS(5456),
    [anon_sym_BSLASHrq] = ACTIONS(5456),
    [anon_sym_BSLASHadd] = ACTIONS(5456),
    [anon_sym_BSLASHbk] = ACTIONS(5456),
    [anon_sym_BSLASHdc] = ACTIONS(5456),
    [anon_sym_BSLASHk] = ACTIONS(5456),
    [anon_sym_BSLASHnd] = ACTIONS(5456),
    [anon_sym_BSLASHord] = ACTIONS(5456),
    [anon_sym_BSLASHpn] = ACTIONS(5456),
    [anon_sym_BSLASHpng] = ACTIONS(5456),
    [anon_sym_BSLASHaddpn] = ACTIONS(5456),
    [anon_sym_BSLASHqt] = ACTIONS(5456),
    [anon_sym_BSLASHsig] = ACTIONS(5456),
    [anon_sym_BSLASHsls] = ACTIONS(5456),
    [anon_sym_BSLASHtl] = ACTIONS(5456),
    [anon_sym_BSLASHwj] = ACTIONS(5456),
    [anon_sym_BSLASHem] = ACTIONS(5456),
    [anon_sym_BSLASHbd] = ACTIONS(5456),
    [anon_sym_BSLASHit] = ACTIONS(5456),
    [anon_sym_BSLASHbdit] = ACTIONS(5456),
    [anon_sym_BSLASHno] = ACTIONS(5456),
    [anon_sym_BSLASHsc] = ACTIONS(5456),
    [anon_sym_BSLASHsup] = ACTIONS(5456),
    [anon_sym_BSLASHndx] = ACTIONS(5456),
    [anon_sym_BSLASHpro] = ACTIONS(5456),
    [anon_sym_BSLASHrb] = ACTIONS(5456),
    [anon_sym_BSLASHw] = ACTIONS(5456),
    [anon_sym_BSLASHwg] = ACTIONS(5456),
    [anon_sym_BSLASHwh] = ACTIONS(5456),
    [anon_sym_BSLASHwa] = ACTIONS(5456),
    [anon_sym_BSLASHfig] = ACTIONS(5456),
    [anon_sym_BSLASHjmp] = ACTIONS(5456),
    [anon_sym_BSLASHpb] = ACTIONS(5456),
    [anon_sym_BSLASH] = ACTIONS(5456),
    [sym_milestoneStartTag] = ACTIONS(5456),
    [sym_milestoneEndTag] = ACTIONS(5456),
    [sym_zSpaceTag] = ACTIONS(5456),
    [anon_sym_BSLASHesbe] = ACTIONS(5456),
    [anon_sym_BSLASHcat] = ACTIONS(5456),
  },
  [669] = {
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHref] = ACTIONS(2681),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHv] = ACTIONS(2681),
    [anon_sym_BSLASHva] = ACTIONS(2681),
    [anon_sym_BSLASHvp] = ACTIONS(2681),
    [anon_sym_BSLASHmte] = ACTIONS(2681),
    [anon_sym_BSLASHms] = ACTIONS(2681),
    [anon_sym_BSLASHs] = ACTIONS(2681),
    [anon_sym_BSLASHr] = ACTIONS(2681),
    [anon_sym_BSLASHsp] = ACTIONS(2681),
    [anon_sym_BSLASHd] = ACTIONS(2681),
    [anon_sym_BSLASHsd] = ACTIONS(2681),
    [anon_sym_BSLASHp] = ACTIONS(2681),
    [anon_sym_BSLASHm] = ACTIONS(2681),
    [anon_sym_BSLASHpo] = ACTIONS(2681),
    [anon_sym_BSLASHpr] = ACTIONS(2681),
    [anon_sym_BSLASHcls] = ACTIONS(2681),
    [anon_sym_BSLASHpmo] = ACTIONS(2681),
    [anon_sym_BSLASHpm] = ACTIONS(2681),
    [anon_sym_BSLASHpmc] = ACTIONS(2681),
    [anon_sym_BSLASHpmr] = ACTIONS(2681),
    [anon_sym_BSLASHpi] = ACTIONS(2681),
    [anon_sym_BSLASHmi] = ACTIONS(2681),
    [anon_sym_BSLASHnb] = ACTIONS(2681),
    [anon_sym_BSLASHpc] = ACTIONS(2681),
    [anon_sym_BSLASHph] = ACTIONS(2681),
    [anon_sym_BSLASHb] = ACTIONS(2681),
    [anon_sym_BSLASHq] = ACTIONS(2681),
    [anon_sym_BSLASHqr] = ACTIONS(2681),
    [anon_sym_BSLASHqc] = ACTIONS(2681),
    [anon_sym_BSLASHqs] = ACTIONS(2681),
    [anon_sym_BSLASHqa] = ACTIONS(2681),
    [anon_sym_BSLASHqac] = ACTIONS(2681),
    [anon_sym_BSLASHqm] = ACTIONS(2681),
    [anon_sym_BSLASHqd] = ACTIONS(2681),
    [anon_sym_BSLASHlh] = ACTIONS(2681),
    [anon_sym_BSLASHli] = ACTIONS(2681),
    [anon_sym_BSLASHlim] = ACTIONS(2681),
    [anon_sym_BSLASHtr] = ACTIONS(2681),
    [anon_sym_BSLASHf] = ACTIONS(2681),
    [anon_sym_BSLASHfe] = ACTIONS(2681),
    [anon_sym_BSLASHef] = ACTIONS(2681),
    [anon_sym_BSLASHfm] = ACTIONS(2681),
    [anon_sym_BSLASHx] = ACTIONS(2681),
    [anon_sym_BSLASHxt] = ACTIONS(2681),
    [anon_sym_BSLASHrq] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASHfig] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASHpb] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesbe] = ACTIONS(2681),
    [anon_sym_BSLASHcat] = ACTIONS(2681),
  },
  [670] = {
    [aux_sym_text_token1] = ACTIONS(5542),
    [anon_sym_BSLASHref] = ACTIONS(5316),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfr] = ACTIONS(5316),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfq] = ACTIONS(5316),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfqa] = ACTIONS(5316),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfk] = ACTIONS(5316),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfl] = ACTIONS(5316),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfw] = ACTIONS(5316),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfp] = ACTIONS(5316),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHft] = ACTIONS(5316),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfdc] = ACTIONS(5316),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfv] = ACTIONS(5316),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHxt] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHadd] = ACTIONS(5316),
    [anon_sym_BSLASHbk] = ACTIONS(5316),
    [anon_sym_BSLASHdc] = ACTIONS(5316),
    [anon_sym_BSLASHk] = ACTIONS(5316),
    [anon_sym_BSLASHnd] = ACTIONS(5316),
    [anon_sym_BSLASHord] = ACTIONS(5316),
    [anon_sym_BSLASHpn] = ACTIONS(5316),
    [anon_sym_BSLASHpng] = ACTIONS(5316),
    [anon_sym_BSLASHaddpn] = ACTIONS(5316),
    [anon_sym_BSLASHqt] = ACTIONS(5316),
    [anon_sym_BSLASHsig] = ACTIONS(5316),
    [anon_sym_BSLASHsls] = ACTIONS(5316),
    [anon_sym_BSLASHtl] = ACTIONS(5316),
    [anon_sym_BSLASHwj] = ACTIONS(5316),
    [anon_sym_BSLASHem] = ACTIONS(5316),
    [anon_sym_BSLASHbd] = ACTIONS(5316),
    [anon_sym_BSLASHit] = ACTIONS(5316),
    [anon_sym_BSLASHbdit] = ACTIONS(5316),
    [anon_sym_BSLASHno] = ACTIONS(5316),
    [anon_sym_BSLASHsc] = ACTIONS(5316),
    [anon_sym_BSLASHsup] = ACTIONS(5316),
    [anon_sym_BSLASHndx] = ACTIONS(5316),
    [anon_sym_BSLASHpro] = ACTIONS(5316),
    [anon_sym_BSLASHrb] = ACTIONS(5316),
    [anon_sym_BSLASHw] = ACTIONS(5316),
    [anon_sym_BSLASHwg] = ACTIONS(5316),
    [anon_sym_BSLASHwh] = ACTIONS(5316),
    [anon_sym_BSLASHwa] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5316),
    [anon_sym_BSLASHfig] = ACTIONS(5316),
    [anon_sym_BSLASHjmp] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5316),
    [anon_sym_BSLASHcat] = ACTIONS(5316),
  },
  [671] = {
    [aux_sym_text_token1] = ACTIONS(5458),
    [anon_sym_BSLASHref] = ACTIONS(5460),
    [anon_sym_BSLASHsts] = ACTIONS(5460),
    [anon_sym_BSLASHrem] = ACTIONS(5460),
    [anon_sym_BSLASHrestore] = ACTIONS(5460),
    [anon_sym_BSLASHlit] = ACTIONS(5460),
    [anon_sym_BSLASHip] = ACTIONS(5460),
    [anon_sym_BSLASHv] = ACTIONS(5460),
    [anon_sym_BSLASHva] = ACTIONS(5460),
    [anon_sym_BSLASHvp] = ACTIONS(5460),
    [anon_sym_BSLASHmte] = ACTIONS(5460),
    [anon_sym_BSLASHms] = ACTIONS(5460),
    [anon_sym_BSLASHs] = ACTIONS(5460),
    [anon_sym_BSLASHr] = ACTIONS(5460),
    [anon_sym_BSLASHsp] = ACTIONS(5460),
    [anon_sym_BSLASHd] = ACTIONS(5460),
    [anon_sym_BSLASHsd] = ACTIONS(5460),
    [anon_sym_BSLASHp] = ACTIONS(5460),
    [anon_sym_BSLASHm] = ACTIONS(5460),
    [anon_sym_BSLASHpo] = ACTIONS(5460),
    [anon_sym_BSLASHpr] = ACTIONS(5460),
    [anon_sym_BSLASHcls] = ACTIONS(5460),
    [anon_sym_BSLASHpmo] = ACTIONS(5460),
    [anon_sym_BSLASHpm] = ACTIONS(5460),
    [anon_sym_BSLASHpmc] = ACTIONS(5460),
    [anon_sym_BSLASHpmr] = ACTIONS(5460),
    [anon_sym_BSLASHpi] = ACTIONS(5460),
    [anon_sym_BSLASHmi] = ACTIONS(5460),
    [anon_sym_BSLASHnb] = ACTIONS(5460),
    [anon_sym_BSLASHpc] = ACTIONS(5460),
    [anon_sym_BSLASHph] = ACTIONS(5460),
    [anon_sym_BSLASHb] = ACTIONS(5460),
    [anon_sym_BSLASHq] = ACTIONS(5460),
    [anon_sym_BSLASHqr] = ACTIONS(5460),
    [anon_sym_BSLASHqc] = ACTIONS(5460),
    [anon_sym_BSLASHqs] = ACTIONS(5460),
    [anon_sym_BSLASHqa] = ACTIONS(5460),
    [anon_sym_BSLASHqac] = ACTIONS(5460),
    [anon_sym_BSLASHqm] = ACTIONS(5460),
    [anon_sym_BSLASHqd] = ACTIONS(5460),
    [anon_sym_BSLASHlh] = ACTIONS(5460),
    [anon_sym_BSLASHli] = ACTIONS(5460),
    [anon_sym_BSLASHlim] = ACTIONS(5460),
    [anon_sym_BSLASHtr] = ACTIONS(5460),
    [anon_sym_BSLASHf] = ACTIONS(5460),
    [anon_sym_BSLASHfe] = ACTIONS(5460),
    [anon_sym_BSLASHef] = ACTIONS(5460),
    [anon_sym_BSLASHfm] = ACTIONS(5460),
    [anon_sym_BSLASHx] = ACTIONS(5460),
    [anon_sym_BSLASHxt] = ACTIONS(5460),
    [anon_sym_BSLASHrq] = ACTIONS(5460),
    [anon_sym_BSLASHadd] = ACTIONS(5460),
    [anon_sym_BSLASHbk] = ACTIONS(5460),
    [anon_sym_BSLASHdc] = ACTIONS(5460),
    [anon_sym_BSLASHk] = ACTIONS(5460),
    [anon_sym_BSLASHnd] = ACTIONS(5460),
    [anon_sym_BSLASHord] = ACTIONS(5460),
    [anon_sym_BSLASHpn] = ACTIONS(5460),
    [anon_sym_BSLASHpng] = ACTIONS(5460),
    [anon_sym_BSLASHaddpn] = ACTIONS(5460),
    [anon_sym_BSLASHqt] = ACTIONS(5460),
    [anon_sym_BSLASHsig] = ACTIONS(5460),
    [anon_sym_BSLASHsls] = ACTIONS(5460),
    [anon_sym_BSLASHtl] = ACTIONS(5460),
    [anon_sym_BSLASHwj] = ACTIONS(5460),
    [anon_sym_BSLASHem] = ACTIONS(5460),
    [anon_sym_BSLASHbd] = ACTIONS(5460),
    [anon_sym_BSLASHit] = ACTIONS(5460),
    [anon_sym_BSLASHbdit] = ACTIONS(5460),
    [anon_sym_BSLASHno] = ACTIONS(5460),
    [anon_sym_BSLASHsc] = ACTIONS(5460),
    [anon_sym_BSLASHsup] = ACTIONS(5460),
    [anon_sym_BSLASHndx] = ACTIONS(5460),
    [anon_sym_BSLASHpro] = ACTIONS(5460),
    [anon_sym_BSLASHrb] = ACTIONS(5460),
    [anon_sym_BSLASHw] = ACTIONS(5460),
    [anon_sym_BSLASHwg] = ACTIONS(5460),
    [anon_sym_BSLASHwh] = ACTIONS(5460),
    [anon_sym_BSLASHwa] = ACTIONS(5460),
    [anon_sym_BSLASHfig] = ACTIONS(5460),
    [anon_sym_BSLASHjmp] = ACTIONS(5460),
    [anon_sym_BSLASHpb] = ACTIONS(5460),
    [anon_sym_BSLASH] = ACTIONS(5460),
    [sym_milestoneStartTag] = ACTIONS(5460),
    [sym_milestoneEndTag] = ACTIONS(5460),
    [sym_zSpaceTag] = ACTIONS(5460),
    [anon_sym_BSLASHesbe] = ACTIONS(5460),
    [anon_sym_BSLASHcat] = ACTIONS(5460),
  },
  [672] = {
    [aux_sym_text_token1] = ACTIONS(5544),
    [anon_sym_BSLASHref] = ACTIONS(5546),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfr] = ACTIONS(5546),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfq] = ACTIONS(5546),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfqa] = ACTIONS(5546),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfk] = ACTIONS(5546),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfl] = ACTIONS(5546),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfw] = ACTIONS(5546),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfp] = ACTIONS(5546),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHft] = ACTIONS(5546),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfdc] = ACTIONS(5546),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfv] = ACTIONS(5546),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHxt] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5548),
    [anon_sym_BSLASHadd] = ACTIONS(5546),
    [anon_sym_BSLASHbk] = ACTIONS(5546),
    [anon_sym_BSLASHdc] = ACTIONS(5546),
    [anon_sym_BSLASHk] = ACTIONS(5546),
    [anon_sym_BSLASHnd] = ACTIONS(5546),
    [anon_sym_BSLASHord] = ACTIONS(5546),
    [anon_sym_BSLASHpn] = ACTIONS(5546),
    [anon_sym_BSLASHpng] = ACTIONS(5546),
    [anon_sym_BSLASHaddpn] = ACTIONS(5546),
    [anon_sym_BSLASHqt] = ACTIONS(5546),
    [anon_sym_BSLASHsig] = ACTIONS(5546),
    [anon_sym_BSLASHsls] = ACTIONS(5546),
    [anon_sym_BSLASHtl] = ACTIONS(5546),
    [anon_sym_BSLASHwj] = ACTIONS(5546),
    [anon_sym_BSLASHem] = ACTIONS(5546),
    [anon_sym_BSLASHbd] = ACTIONS(5546),
    [anon_sym_BSLASHit] = ACTIONS(5546),
    [anon_sym_BSLASHbdit] = ACTIONS(5546),
    [anon_sym_BSLASHno] = ACTIONS(5546),
    [anon_sym_BSLASHsc] = ACTIONS(5546),
    [anon_sym_BSLASHsup] = ACTIONS(5546),
    [anon_sym_BSLASHndx] = ACTIONS(5546),
    [anon_sym_BSLASHpro] = ACTIONS(5546),
    [anon_sym_BSLASHrb] = ACTIONS(5546),
    [anon_sym_BSLASHw] = ACTIONS(5546),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5546),
    [anon_sym_BSLASHwa] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5546),
    [anon_sym_BSLASHfig] = ACTIONS(5546),
    [anon_sym_BSLASHjmp] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5546),
    [anon_sym_BSLASHcat] = ACTIONS(5546),
  },
  [673] = {
    [aux_sym_text_token1] = ACTIONS(5446),
    [anon_sym_BSLASHref] = ACTIONS(5448),
    [anon_sym_BSLASHsts] = ACTIONS(5448),
    [anon_sym_BSLASHrem] = ACTIONS(5448),
    [anon_sym_BSLASHrestore] = ACTIONS(5448),
    [anon_sym_BSLASHlit] = ACTIONS(5448),
    [anon_sym_BSLASHip] = ACTIONS(5448),
    [anon_sym_BSLASHv] = ACTIONS(5448),
    [anon_sym_BSLASHva] = ACTIONS(5448),
    [anon_sym_BSLASHvp] = ACTIONS(5448),
    [anon_sym_BSLASHmte] = ACTIONS(5448),
    [anon_sym_BSLASHms] = ACTIONS(5448),
    [anon_sym_BSLASHs] = ACTIONS(5448),
    [anon_sym_BSLASHr] = ACTIONS(5448),
    [anon_sym_BSLASHsp] = ACTIONS(5448),
    [anon_sym_BSLASHd] = ACTIONS(5448),
    [anon_sym_BSLASHsd] = ACTIONS(5448),
    [anon_sym_BSLASHp] = ACTIONS(5448),
    [anon_sym_BSLASHm] = ACTIONS(5448),
    [anon_sym_BSLASHpo] = ACTIONS(5448),
    [anon_sym_BSLASHpr] = ACTIONS(5448),
    [anon_sym_BSLASHcls] = ACTIONS(5448),
    [anon_sym_BSLASHpmo] = ACTIONS(5448),
    [anon_sym_BSLASHpm] = ACTIONS(5448),
    [anon_sym_BSLASHpmc] = ACTIONS(5448),
    [anon_sym_BSLASHpmr] = ACTIONS(5448),
    [anon_sym_BSLASHpi] = ACTIONS(5448),
    [anon_sym_BSLASHmi] = ACTIONS(5448),
    [anon_sym_BSLASHnb] = ACTIONS(5448),
    [anon_sym_BSLASHpc] = ACTIONS(5448),
    [anon_sym_BSLASHph] = ACTIONS(5448),
    [anon_sym_BSLASHb] = ACTIONS(5448),
    [anon_sym_BSLASHq] = ACTIONS(5448),
    [anon_sym_BSLASHqr] = ACTIONS(5448),
    [anon_sym_BSLASHqc] = ACTIONS(5448),
    [anon_sym_BSLASHqs] = ACTIONS(5448),
    [anon_sym_BSLASHqa] = ACTIONS(5448),
    [anon_sym_BSLASHqac] = ACTIONS(5448),
    [anon_sym_BSLASHqm] = ACTIONS(5448),
    [anon_sym_BSLASHqd] = ACTIONS(5448),
    [anon_sym_BSLASHlh] = ACTIONS(5448),
    [anon_sym_BSLASHli] = ACTIONS(5448),
    [anon_sym_BSLASHlim] = ACTIONS(5448),
    [anon_sym_BSLASHtr] = ACTIONS(5448),
    [anon_sym_BSLASHf] = ACTIONS(5448),
    [anon_sym_BSLASHfe] = ACTIONS(5448),
    [anon_sym_BSLASHef] = ACTIONS(5448),
    [anon_sym_BSLASHfm] = ACTIONS(5448),
    [anon_sym_BSLASHx] = ACTIONS(5448),
    [anon_sym_BSLASHxt] = ACTIONS(5448),
    [anon_sym_BSLASHrq] = ACTIONS(5448),
    [anon_sym_BSLASHadd] = ACTIONS(5448),
    [anon_sym_BSLASHbk] = ACTIONS(5448),
    [anon_sym_BSLASHdc] = ACTIONS(5448),
    [anon_sym_BSLASHk] = ACTIONS(5448),
    [anon_sym_BSLASHnd] = ACTIONS(5448),
    [anon_sym_BSLASHord] = ACTIONS(5448),
    [anon_sym_BSLASHpn] = ACTIONS(5448),
    [anon_sym_BSLASHpng] = ACTIONS(5448),
    [anon_sym_BSLASHaddpn] = ACTIONS(5448),
    [anon_sym_BSLASHqt] = ACTIONS(5448),
    [anon_sym_BSLASHsig] = ACTIONS(5448),
    [anon_sym_BSLASHsls] = ACTIONS(5448),
    [anon_sym_BSLASHtl] = ACTIONS(5448),
    [anon_sym_BSLASHwj] = ACTIONS(5448),
    [anon_sym_BSLASHem] = ACTIONS(5448),
    [anon_sym_BSLASHbd] = ACTIONS(5448),
    [anon_sym_BSLASHit] = ACTIONS(5448),
    [anon_sym_BSLASHbdit] = ACTIONS(5448),
    [anon_sym_BSLASHno] = ACTIONS(5448),
    [anon_sym_BSLASHsc] = ACTIONS(5448),
    [anon_sym_BSLASHsup] = ACTIONS(5448),
    [anon_sym_BSLASHndx] = ACTIONS(5448),
    [anon_sym_BSLASHpro] = ACTIONS(5448),
    [anon_sym_BSLASHrb] = ACTIONS(5448),
    [anon_sym_BSLASHw] = ACTIONS(5448),
    [anon_sym_BSLASHwg] = ACTIONS(5448),
    [anon_sym_BSLASHwh] = ACTIONS(5448),
    [anon_sym_BSLASHwa] = ACTIONS(5448),
    [anon_sym_BSLASHfig] = ACTIONS(5448),
    [anon_sym_BSLASHjmp] = ACTIONS(5448),
    [anon_sym_BSLASHpb] = ACTIONS(5448),
    [anon_sym_BSLASH] = ACTIONS(5448),
    [sym_milestoneStartTag] = ACTIONS(5448),
    [sym_milestoneEndTag] = ACTIONS(5448),
    [sym_zSpaceTag] = ACTIONS(5448),
    [anon_sym_BSLASHesbe] = ACTIONS(5448),
    [anon_sym_BSLASHcat] = ACTIONS(5448),
  },
  [674] = {
    [aux_sym_text_token1] = ACTIONS(2635),
    [anon_sym_BSLASHref] = ACTIONS(2637),
    [anon_sym_BSLASHsts] = ACTIONS(2637),
    [anon_sym_BSLASHrem] = ACTIONS(2637),
    [anon_sym_BSLASHrestore] = ACTIONS(2637),
    [anon_sym_BSLASHlit] = ACTIONS(2637),
    [anon_sym_BSLASHip] = ACTIONS(2637),
    [anon_sym_BSLASHv] = ACTIONS(2637),
    [anon_sym_BSLASHva] = ACTIONS(2637),
    [anon_sym_BSLASHvp] = ACTIONS(2637),
    [anon_sym_BSLASHmte] = ACTIONS(2637),
    [anon_sym_BSLASHms] = ACTIONS(2637),
    [anon_sym_BSLASHs] = ACTIONS(2637),
    [anon_sym_BSLASHr] = ACTIONS(2637),
    [anon_sym_BSLASHsp] = ACTIONS(2637),
    [anon_sym_BSLASHd] = ACTIONS(2637),
    [anon_sym_BSLASHsd] = ACTIONS(2637),
    [anon_sym_BSLASHp] = ACTIONS(2637),
    [anon_sym_BSLASHm] = ACTIONS(2637),
    [anon_sym_BSLASHpo] = ACTIONS(2637),
    [anon_sym_BSLASHpr] = ACTIONS(2637),
    [anon_sym_BSLASHcls] = ACTIONS(2637),
    [anon_sym_BSLASHpmo] = ACTIONS(2637),
    [anon_sym_BSLASHpm] = ACTIONS(2637),
    [anon_sym_BSLASHpmc] = ACTIONS(2637),
    [anon_sym_BSLASHpmr] = ACTIONS(2637),
    [anon_sym_BSLASHpi] = ACTIONS(2637),
    [anon_sym_BSLASHmi] = ACTIONS(2637),
    [anon_sym_BSLASHnb] = ACTIONS(2637),
    [anon_sym_BSLASHpc] = ACTIONS(2637),
    [anon_sym_BSLASHph] = ACTIONS(2637),
    [anon_sym_BSLASHb] = ACTIONS(2637),
    [anon_sym_BSLASHq] = ACTIONS(2637),
    [anon_sym_BSLASHqr] = ACTIONS(2637),
    [anon_sym_BSLASHqc] = ACTIONS(2637),
    [anon_sym_BSLASHqs] = ACTIONS(2637),
    [anon_sym_BSLASHqa] = ACTIONS(2637),
    [anon_sym_BSLASHqac] = ACTIONS(2637),
    [anon_sym_BSLASHqm] = ACTIONS(2637),
    [anon_sym_BSLASHqd] = ACTIONS(2637),
    [anon_sym_BSLASHlh] = ACTIONS(2637),
    [anon_sym_BSLASHli] = ACTIONS(2637),
    [anon_sym_BSLASHlim] = ACTIONS(2637),
    [anon_sym_BSLASHtr] = ACTIONS(2637),
    [anon_sym_BSLASHf] = ACTIONS(2637),
    [anon_sym_BSLASHfe] = ACTIONS(2637),
    [anon_sym_BSLASHef] = ACTIONS(2637),
    [anon_sym_BSLASHfm] = ACTIONS(2637),
    [anon_sym_BSLASHx] = ACTIONS(2637),
    [anon_sym_BSLASHxt] = ACTIONS(2637),
    [anon_sym_BSLASHrq] = ACTIONS(2637),
    [anon_sym_BSLASHadd] = ACTIONS(2637),
    [anon_sym_BSLASHbk] = ACTIONS(2637),
    [anon_sym_BSLASHdc] = ACTIONS(2637),
    [anon_sym_BSLASHk] = ACTIONS(2637),
    [anon_sym_BSLASHnd] = ACTIONS(2637),
    [anon_sym_BSLASHord] = ACTIONS(2637),
    [anon_sym_BSLASHpn] = ACTIONS(2637),
    [anon_sym_BSLASHpng] = ACTIONS(2637),
    [anon_sym_BSLASHaddpn] = ACTIONS(2637),
    [anon_sym_BSLASHqt] = ACTIONS(2637),
    [anon_sym_BSLASHsig] = ACTIONS(2637),
    [anon_sym_BSLASHsls] = ACTIONS(2637),
    [anon_sym_BSLASHtl] = ACTIONS(2637),
    [anon_sym_BSLASHwj] = ACTIONS(2637),
    [anon_sym_BSLASHem] = ACTIONS(2637),
    [anon_sym_BSLASHbd] = ACTIONS(2637),
    [anon_sym_BSLASHit] = ACTIONS(2637),
    [anon_sym_BSLASHbdit] = ACTIONS(2637),
    [anon_sym_BSLASHno] = ACTIONS(2637),
    [anon_sym_BSLASHsc] = ACTIONS(2637),
    [anon_sym_BSLASHsup] = ACTIONS(2637),
    [anon_sym_BSLASHndx] = ACTIONS(2637),
    [anon_sym_BSLASHpro] = ACTIONS(2637),
    [anon_sym_BSLASHrb] = ACTIONS(2637),
    [anon_sym_BSLASHw] = ACTIONS(2637),
    [anon_sym_BSLASHwg] = ACTIONS(2637),
    [anon_sym_BSLASHwh] = ACTIONS(2637),
    [anon_sym_BSLASHwa] = ACTIONS(2637),
    [anon_sym_BSLASHfig] = ACTIONS(2637),
    [anon_sym_BSLASHjmp] = ACTIONS(2637),
    [anon_sym_BSLASHpb] = ACTIONS(2637),
    [anon_sym_BSLASH] = ACTIONS(2637),
    [sym_milestoneStartTag] = ACTIONS(2637),
    [sym_milestoneEndTag] = ACTIONS(2637),
    [sym_zSpaceTag] = ACTIONS(2637),
    [anon_sym_BSLASHesbe] = ACTIONS(2637),
    [anon_sym_BSLASHcat] = ACTIONS(2637),
  },
  [675] = {
    [aux_sym_text_token1] = ACTIONS(2619),
    [anon_sym_BSLASHref] = ACTIONS(2621),
    [anon_sym_BSLASHsts] = ACTIONS(2621),
    [anon_sym_BSLASHrem] = ACTIONS(2621),
    [anon_sym_BSLASHrestore] = ACTIONS(2621),
    [anon_sym_BSLASHlit] = ACTIONS(2621),
    [anon_sym_BSLASHip] = ACTIONS(2621),
    [anon_sym_BSLASHv] = ACTIONS(2621),
    [anon_sym_BSLASHva] = ACTIONS(2621),
    [anon_sym_BSLASHvp] = ACTIONS(2621),
    [anon_sym_BSLASHmte] = ACTIONS(2621),
    [anon_sym_BSLASHms] = ACTIONS(2621),
    [anon_sym_BSLASHs] = ACTIONS(2621),
    [anon_sym_BSLASHr] = ACTIONS(2621),
    [anon_sym_BSLASHsp] = ACTIONS(2621),
    [anon_sym_BSLASHd] = ACTIONS(2621),
    [anon_sym_BSLASHsd] = ACTIONS(2621),
    [anon_sym_BSLASHp] = ACTIONS(2621),
    [anon_sym_BSLASHm] = ACTIONS(2621),
    [anon_sym_BSLASHpo] = ACTIONS(2621),
    [anon_sym_BSLASHpr] = ACTIONS(2621),
    [anon_sym_BSLASHcls] = ACTIONS(2621),
    [anon_sym_BSLASHpmo] = ACTIONS(2621),
    [anon_sym_BSLASHpm] = ACTIONS(2621),
    [anon_sym_BSLASHpmc] = ACTIONS(2621),
    [anon_sym_BSLASHpmr] = ACTIONS(2621),
    [anon_sym_BSLASHpi] = ACTIONS(2621),
    [anon_sym_BSLASHmi] = ACTIONS(2621),
    [anon_sym_BSLASHnb] = ACTIONS(2621),
    [anon_sym_BSLASHpc] = ACTIONS(2621),
    [anon_sym_BSLASHph] = ACTIONS(2621),
    [anon_sym_BSLASHb] = ACTIONS(2621),
    [anon_sym_BSLASHq] = ACTIONS(2621),
    [anon_sym_BSLASHqr] = ACTIONS(2621),
    [anon_sym_BSLASHqc] = ACTIONS(2621),
    [anon_sym_BSLASHqs] = ACTIONS(2621),
    [anon_sym_BSLASHqa] = ACTIONS(2621),
    [anon_sym_BSLASHqac] = ACTIONS(2621),
    [anon_sym_BSLASHqm] = ACTIONS(2621),
    [anon_sym_BSLASHqd] = ACTIONS(2621),
    [anon_sym_BSLASHlh] = ACTIONS(2621),
    [anon_sym_BSLASHli] = ACTIONS(2621),
    [anon_sym_BSLASHlim] = ACTIONS(2621),
    [anon_sym_BSLASHtr] = ACTIONS(2621),
    [anon_sym_BSLASHf] = ACTIONS(2621),
    [anon_sym_BSLASHfe] = ACTIONS(2621),
    [anon_sym_BSLASHef] = ACTIONS(2621),
    [anon_sym_BSLASHfm] = ACTIONS(2621),
    [anon_sym_BSLASHx] = ACTIONS(2621),
    [anon_sym_BSLASHxt] = ACTIONS(2621),
    [anon_sym_BSLASHrq] = ACTIONS(2621),
    [anon_sym_BSLASHadd] = ACTIONS(2621),
    [anon_sym_BSLASHbk] = ACTIONS(2621),
    [anon_sym_BSLASHdc] = ACTIONS(2621),
    [anon_sym_BSLASHk] = ACTIONS(2621),
    [anon_sym_BSLASHnd] = ACTIONS(2621),
    [anon_sym_BSLASHord] = ACTIONS(2621),
    [anon_sym_BSLASHpn] = ACTIONS(2621),
    [anon_sym_BSLASHpng] = ACTIONS(2621),
    [anon_sym_BSLASHaddpn] = ACTIONS(2621),
    [anon_sym_BSLASHqt] = ACTIONS(2621),
    [anon_sym_BSLASHsig] = ACTIONS(2621),
    [anon_sym_BSLASHsls] = ACTIONS(2621),
    [anon_sym_BSLASHtl] = ACTIONS(2621),
    [anon_sym_BSLASHwj] = ACTIONS(2621),
    [anon_sym_BSLASHem] = ACTIONS(2621),
    [anon_sym_BSLASHbd] = ACTIONS(2621),
    [anon_sym_BSLASHit] = ACTIONS(2621),
    [anon_sym_BSLASHbdit] = ACTIONS(2621),
    [anon_sym_BSLASHno] = ACTIONS(2621),
    [anon_sym_BSLASHsc] = ACTIONS(2621),
    [anon_sym_BSLASHsup] = ACTIONS(2621),
    [anon_sym_BSLASHndx] = ACTIONS(2621),
    [anon_sym_BSLASHpro] = ACTIONS(2621),
    [anon_sym_BSLASHrb] = ACTIONS(2621),
    [anon_sym_BSLASHw] = ACTIONS(2621),
    [anon_sym_BSLASHwg] = ACTIONS(2621),
    [anon_sym_BSLASHwh] = ACTIONS(2621),
    [anon_sym_BSLASHwa] = ACTIONS(2621),
    [anon_sym_BSLASHfig] = ACTIONS(2621),
    [anon_sym_BSLASHjmp] = ACTIONS(2621),
    [anon_sym_BSLASHpb] = ACTIONS(2621),
    [anon_sym_BSLASH] = ACTIONS(2621),
    [sym_milestoneStartTag] = ACTIONS(2621),
    [sym_milestoneEndTag] = ACTIONS(2621),
    [sym_zSpaceTag] = ACTIONS(2621),
    [anon_sym_BSLASHesbe] = ACTIONS(2621),
    [anon_sym_BSLASHcat] = ACTIONS(2621),
  },
  [676] = {
    [aux_sym_text_token1] = ACTIONS(25),
    [anon_sym_BSLASHref] = ACTIONS(27),
    [anon_sym_BSLASHsts] = ACTIONS(27),
    [anon_sym_BSLASHrem] = ACTIONS(27),
    [anon_sym_BSLASHrestore] = ACTIONS(27),
    [anon_sym_BSLASHlit] = ACTIONS(27),
    [anon_sym_BSLASHip] = ACTIONS(27),
    [anon_sym_BSLASHv] = ACTIONS(27),
    [anon_sym_BSLASHva] = ACTIONS(27),
    [anon_sym_BSLASHvp] = ACTIONS(27),
    [anon_sym_BSLASHmte] = ACTIONS(27),
    [anon_sym_BSLASHms] = ACTIONS(27),
    [anon_sym_BSLASHs] = ACTIONS(27),
    [anon_sym_BSLASHr] = ACTIONS(27),
    [anon_sym_BSLASHsp] = ACTIONS(27),
    [anon_sym_BSLASHd] = ACTIONS(27),
    [anon_sym_BSLASHsd] = ACTIONS(27),
    [anon_sym_BSLASHp] = ACTIONS(27),
    [anon_sym_BSLASHm] = ACTIONS(27),
    [anon_sym_BSLASHpo] = ACTIONS(27),
    [anon_sym_BSLASHpr] = ACTIONS(27),
    [anon_sym_BSLASHcls] = ACTIONS(27),
    [anon_sym_BSLASHpmo] = ACTIONS(27),
    [anon_sym_BSLASHpm] = ACTIONS(27),
    [anon_sym_BSLASHpmc] = ACTIONS(27),
    [anon_sym_BSLASHpmr] = ACTIONS(27),
    [anon_sym_BSLASHpi] = ACTIONS(27),
    [anon_sym_BSLASHmi] = ACTIONS(27),
    [anon_sym_BSLASHnb] = ACTIONS(27),
    [anon_sym_BSLASHpc] = ACTIONS(27),
    [anon_sym_BSLASHph] = ACTIONS(27),
    [anon_sym_BSLASHb] = ACTIONS(27),
    [anon_sym_BSLASHq] = ACTIONS(27),
    [anon_sym_BSLASHqr] = ACTIONS(27),
    [anon_sym_BSLASHqc] = ACTIONS(27),
    [anon_sym_BSLASHqs] = ACTIONS(27),
    [anon_sym_BSLASHqa] = ACTIONS(27),
    [anon_sym_BSLASHqac] = ACTIONS(27),
    [anon_sym_BSLASHqm] = ACTIONS(27),
    [anon_sym_BSLASHqd] = ACTIONS(27),
    [anon_sym_BSLASHlh] = ACTIONS(27),
    [anon_sym_BSLASHli] = ACTIONS(27),
    [anon_sym_BSLASHlim] = ACTIONS(27),
    [anon_sym_BSLASHtr] = ACTIONS(27),
    [anon_sym_BSLASHf] = ACTIONS(27),
    [anon_sym_BSLASHfe] = ACTIONS(27),
    [anon_sym_BSLASHef] = ACTIONS(27),
    [anon_sym_BSLASHfm] = ACTIONS(27),
    [anon_sym_BSLASHx] = ACTIONS(27),
    [anon_sym_BSLASHxt] = ACTIONS(27),
    [anon_sym_BSLASHrq] = ACTIONS(27),
    [anon_sym_BSLASHadd] = ACTIONS(27),
    [anon_sym_BSLASHbk] = ACTIONS(27),
    [anon_sym_BSLASHdc] = ACTIONS(27),
    [anon_sym_BSLASHk] = ACTIONS(27),
    [anon_sym_BSLASHnd] = ACTIONS(27),
    [anon_sym_BSLASHord] = ACTIONS(27),
    [anon_sym_BSLASHpn] = ACTIONS(27),
    [anon_sym_BSLASHpng] = ACTIONS(27),
    [anon_sym_BSLASHaddpn] = ACTIONS(27),
    [anon_sym_BSLASHqt] = ACTIONS(27),
    [anon_sym_BSLASHsig] = ACTIONS(27),
    [anon_sym_BSLASHsls] = ACTIONS(27),
    [anon_sym_BSLASHtl] = ACTIONS(27),
    [anon_sym_BSLASHwj] = ACTIONS(27),
    [anon_sym_BSLASHem] = ACTIONS(27),
    [anon_sym_BSLASHbd] = ACTIONS(27),
    [anon_sym_BSLASHit] = ACTIONS(27),
    [anon_sym_BSLASHbdit] = ACTIONS(27),
    [anon_sym_BSLASHno] = ACTIONS(27),
    [anon_sym_BSLASHsc] = ACTIONS(27),
    [anon_sym_BSLASHsup] = ACTIONS(27),
    [anon_sym_BSLASHndx] = ACTIONS(27),
    [anon_sym_BSLASHpro] = ACTIONS(27),
    [anon_sym_BSLASHrb] = ACTIONS(27),
    [anon_sym_BSLASHw] = ACTIONS(27),
    [anon_sym_BSLASHwg] = ACTIONS(27),
    [anon_sym_BSLASHwh] = ACTIONS(27),
    [anon_sym_BSLASHwa] = ACTIONS(27),
    [anon_sym_BSLASHfig] = ACTIONS(27),
    [anon_sym_BSLASHjmp] = ACTIONS(27),
    [anon_sym_BSLASHpb] = ACTIONS(27),
    [anon_sym_BSLASH] = ACTIONS(27),
    [sym_milestoneStartTag] = ACTIONS(27),
    [sym_milestoneEndTag] = ACTIONS(27),
    [sym_zSpaceTag] = ACTIONS(27),
    [anon_sym_BSLASHesbe] = ACTIONS(27),
    [anon_sym_BSLASHcat] = ACTIONS(27),
  },
  [677] = {
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHref] = ACTIONS(2709),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHv] = ACTIONS(2709),
    [anon_sym_BSLASHva] = ACTIONS(2709),
    [anon_sym_BSLASHvp] = ACTIONS(2709),
    [anon_sym_BSLASHmte] = ACTIONS(2709),
    [anon_sym_BSLASHms] = ACTIONS(2709),
    [anon_sym_BSLASHs] = ACTIONS(2709),
    [anon_sym_BSLASHr] = ACTIONS(2709),
    [anon_sym_BSLASHsp] = ACTIONS(2709),
    [anon_sym_BSLASHd] = ACTIONS(2709),
    [anon_sym_BSLASHsd] = ACTIONS(2709),
    [anon_sym_BSLASHp] = ACTIONS(2709),
    [anon_sym_BSLASHm] = ACTIONS(2709),
    [anon_sym_BSLASHpo] = ACTIONS(2709),
    [anon_sym_BSLASHpr] = ACTIONS(2709),
    [anon_sym_BSLASHcls] = ACTIONS(2709),
    [anon_sym_BSLASHpmo] = ACTIONS(2709),
    [anon_sym_BSLASHpm] = ACTIONS(2709),
    [anon_sym_BSLASHpmc] = ACTIONS(2709),
    [anon_sym_BSLASHpmr] = ACTIONS(2709),
    [anon_sym_BSLASHpi] = ACTIONS(2709),
    [anon_sym_BSLASHmi] = ACTIONS(2709),
    [anon_sym_BSLASHnb] = ACTIONS(2709),
    [anon_sym_BSLASHpc] = ACTIONS(2709),
    [anon_sym_BSLASHph] = ACTIONS(2709),
    [anon_sym_BSLASHb] = ACTIONS(2709),
    [anon_sym_BSLASHq] = ACTIONS(2709),
    [anon_sym_BSLASHqr] = ACTIONS(2709),
    [anon_sym_BSLASHqc] = ACTIONS(2709),
    [anon_sym_BSLASHqs] = ACTIONS(2709),
    [anon_sym_BSLASHqa] = ACTIONS(2709),
    [anon_sym_BSLASHqac] = ACTIONS(2709),
    [anon_sym_BSLASHqm] = ACTIONS(2709),
    [anon_sym_BSLASHqd] = ACTIONS(2709),
    [anon_sym_BSLASHlh] = ACTIONS(2709),
    [anon_sym_BSLASHli] = ACTIONS(2709),
    [anon_sym_BSLASHlim] = ACTIONS(2709),
    [anon_sym_BSLASHtr] = ACTIONS(2709),
    [anon_sym_BSLASHf] = ACTIONS(2709),
    [anon_sym_BSLASHfe] = ACTIONS(2709),
    [anon_sym_BSLASHef] = ACTIONS(2709),
    [anon_sym_BSLASHfm] = ACTIONS(2709),
    [anon_sym_BSLASHx] = ACTIONS(2709),
    [anon_sym_BSLASHxt] = ACTIONS(2709),
    [anon_sym_BSLASHrq] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASHfig] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASHpb] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesbe] = ACTIONS(2709),
    [anon_sym_BSLASHcat] = ACTIONS(2709),
  },
  [678] = {
    [aux_sym_text_token1] = ACTIONS(3100),
    [anon_sym_BSLASHref] = ACTIONS(3102),
    [anon_sym_BSLASHsts] = ACTIONS(3102),
    [anon_sym_BSLASHrem] = ACTIONS(3102),
    [anon_sym_BSLASHrestore] = ACTIONS(3102),
    [anon_sym_BSLASHlit] = ACTIONS(3102),
    [anon_sym_BSLASHip] = ACTIONS(3102),
    [anon_sym_BSLASHv] = ACTIONS(3102),
    [anon_sym_BSLASHva] = ACTIONS(3102),
    [anon_sym_BSLASHvp] = ACTIONS(3102),
    [anon_sym_BSLASHmte] = ACTIONS(3102),
    [anon_sym_BSLASHms] = ACTIONS(3102),
    [anon_sym_BSLASHs] = ACTIONS(3102),
    [anon_sym_BSLASHr] = ACTIONS(3102),
    [anon_sym_BSLASHsp] = ACTIONS(3102),
    [anon_sym_BSLASHd] = ACTIONS(3102),
    [anon_sym_BSLASHsd] = ACTIONS(3102),
    [anon_sym_BSLASHp] = ACTIONS(3102),
    [anon_sym_BSLASHm] = ACTIONS(3102),
    [anon_sym_BSLASHpo] = ACTIONS(3102),
    [anon_sym_BSLASHpr] = ACTIONS(3102),
    [anon_sym_BSLASHcls] = ACTIONS(3102),
    [anon_sym_BSLASHpmo] = ACTIONS(3102),
    [anon_sym_BSLASHpm] = ACTIONS(3102),
    [anon_sym_BSLASHpmc] = ACTIONS(3102),
    [anon_sym_BSLASHpmr] = ACTIONS(3102),
    [anon_sym_BSLASHpi] = ACTIONS(3102),
    [anon_sym_BSLASHmi] = ACTIONS(3102),
    [anon_sym_BSLASHnb] = ACTIONS(3102),
    [anon_sym_BSLASHpc] = ACTIONS(3102),
    [anon_sym_BSLASHph] = ACTIONS(3102),
    [anon_sym_BSLASHb] = ACTIONS(3102),
    [anon_sym_BSLASHq] = ACTIONS(3102),
    [anon_sym_BSLASHqr] = ACTIONS(3102),
    [anon_sym_BSLASHqc] = ACTIONS(3102),
    [anon_sym_BSLASHqs] = ACTIONS(3102),
    [anon_sym_BSLASHqa] = ACTIONS(3102),
    [anon_sym_BSLASHqac] = ACTIONS(3102),
    [anon_sym_BSLASHqm] = ACTIONS(3102),
    [anon_sym_BSLASHqd] = ACTIONS(3102),
    [anon_sym_BSLASHlh] = ACTIONS(3102),
    [anon_sym_BSLASHli] = ACTIONS(3102),
    [anon_sym_BSLASHlim] = ACTIONS(3102),
    [anon_sym_BSLASHtr] = ACTIONS(3102),
    [anon_sym_BSLASHf] = ACTIONS(3102),
    [anon_sym_BSLASHfe] = ACTIONS(3102),
    [anon_sym_BSLASHef] = ACTIONS(3102),
    [anon_sym_BSLASHfm] = ACTIONS(3102),
    [anon_sym_BSLASHx] = ACTIONS(3102),
    [anon_sym_BSLASHxt] = ACTIONS(3102),
    [anon_sym_BSLASHrq] = ACTIONS(3102),
    [anon_sym_BSLASHadd] = ACTIONS(3102),
    [anon_sym_BSLASHbk] = ACTIONS(3102),
    [anon_sym_BSLASHdc] = ACTIONS(3102),
    [anon_sym_BSLASHk] = ACTIONS(3102),
    [anon_sym_BSLASHnd] = ACTIONS(3102),
    [anon_sym_BSLASHord] = ACTIONS(3102),
    [anon_sym_BSLASHpn] = ACTIONS(3102),
    [anon_sym_BSLASHpng] = ACTIONS(3102),
    [anon_sym_BSLASHaddpn] = ACTIONS(3102),
    [anon_sym_BSLASHqt] = ACTIONS(3102),
    [anon_sym_BSLASHsig] = ACTIONS(3102),
    [anon_sym_BSLASHsls] = ACTIONS(3102),
    [anon_sym_BSLASHtl] = ACTIONS(3102),
    [anon_sym_BSLASHwj] = ACTIONS(3102),
    [anon_sym_BSLASHem] = ACTIONS(3102),
    [anon_sym_BSLASHbd] = ACTIONS(3102),
    [anon_sym_BSLASHit] = ACTIONS(3102),
    [anon_sym_BSLASHbdit] = ACTIONS(3102),
    [anon_sym_BSLASHno] = ACTIONS(3102),
    [anon_sym_BSLASHsc] = ACTIONS(3102),
    [anon_sym_BSLASHsup] = ACTIONS(3102),
    [anon_sym_BSLASHndx] = ACTIONS(3102),
    [anon_sym_BSLASHpro] = ACTIONS(3102),
    [anon_sym_BSLASHrb] = ACTIONS(3102),
    [anon_sym_BSLASHw] = ACTIONS(3102),
    [anon_sym_BSLASHwg] = ACTIONS(3102),
    [anon_sym_BSLASHwh] = ACTIONS(3102),
    [anon_sym_BSLASHwa] = ACTIONS(3102),
    [anon_sym_BSLASHfig] = ACTIONS(3102),
    [anon_sym_BSLASHjmp] = ACTIONS(3102),
    [anon_sym_BSLASHpb] = ACTIONS(3102),
    [anon_sym_BSLASH] = ACTIONS(3102),
    [sym_milestoneStartTag] = ACTIONS(3102),
    [sym_milestoneEndTag] = ACTIONS(3102),
    [sym_zSpaceTag] = ACTIONS(3102),
    [anon_sym_BSLASHesbe] = ACTIONS(3102),
    [anon_sym_BSLASHcat] = ACTIONS(3102),
  },
  [679] = {
    [aux_sym_text_token1] = ACTIONS(3096),
    [anon_sym_BSLASHref] = ACTIONS(3098),
    [anon_sym_BSLASHsts] = ACTIONS(3098),
    [anon_sym_BSLASHrem] = ACTIONS(3098),
    [anon_sym_BSLASHrestore] = ACTIONS(3098),
    [anon_sym_BSLASHlit] = ACTIONS(3098),
    [anon_sym_BSLASHip] = ACTIONS(3098),
    [anon_sym_BSLASHv] = ACTIONS(3098),
    [anon_sym_BSLASHva] = ACTIONS(3098),
    [anon_sym_BSLASHvp] = ACTIONS(3098),
    [anon_sym_BSLASHmte] = ACTIONS(3098),
    [anon_sym_BSLASHms] = ACTIONS(3098),
    [anon_sym_BSLASHs] = ACTIONS(3098),
    [anon_sym_BSLASHr] = ACTIONS(3098),
    [anon_sym_BSLASHsp] = ACTIONS(3098),
    [anon_sym_BSLASHd] = ACTIONS(3098),
    [anon_sym_BSLASHsd] = ACTIONS(3098),
    [anon_sym_BSLASHp] = ACTIONS(3098),
    [anon_sym_BSLASHm] = ACTIONS(3098),
    [anon_sym_BSLASHpo] = ACTIONS(3098),
    [anon_sym_BSLASHpr] = ACTIONS(3098),
    [anon_sym_BSLASHcls] = ACTIONS(3098),
    [anon_sym_BSLASHpmo] = ACTIONS(3098),
    [anon_sym_BSLASHpm] = ACTIONS(3098),
    [anon_sym_BSLASHpmc] = ACTIONS(3098),
    [anon_sym_BSLASHpmr] = ACTIONS(3098),
    [anon_sym_BSLASHpi] = ACTIONS(3098),
    [anon_sym_BSLASHmi] = ACTIONS(3098),
    [anon_sym_BSLASHnb] = ACTIONS(3098),
    [anon_sym_BSLASHpc] = ACTIONS(3098),
    [anon_sym_BSLASHph] = ACTIONS(3098),
    [anon_sym_BSLASHb] = ACTIONS(3098),
    [anon_sym_BSLASHq] = ACTIONS(3098),
    [anon_sym_BSLASHqr] = ACTIONS(3098),
    [anon_sym_BSLASHqc] = ACTIONS(3098),
    [anon_sym_BSLASHqs] = ACTIONS(3098),
    [anon_sym_BSLASHqa] = ACTIONS(3098),
    [anon_sym_BSLASHqac] = ACTIONS(3098),
    [anon_sym_BSLASHqm] = ACTIONS(3098),
    [anon_sym_BSLASHqd] = ACTIONS(3098),
    [anon_sym_BSLASHlh] = ACTIONS(3098),
    [anon_sym_BSLASHli] = ACTIONS(3098),
    [anon_sym_BSLASHlim] = ACTIONS(3098),
    [anon_sym_BSLASHtr] = ACTIONS(3098),
    [anon_sym_BSLASHf] = ACTIONS(3098),
    [anon_sym_BSLASHfe] = ACTIONS(3098),
    [anon_sym_BSLASHef] = ACTIONS(3098),
    [anon_sym_BSLASHfm] = ACTIONS(3098),
    [anon_sym_BSLASHx] = ACTIONS(3098),
    [anon_sym_BSLASHxt] = ACTIONS(3098),
    [anon_sym_BSLASHrq] = ACTIONS(3098),
    [anon_sym_BSLASHadd] = ACTIONS(3098),
    [anon_sym_BSLASHbk] = ACTIONS(3098),
    [anon_sym_BSLASHdc] = ACTIONS(3098),
    [anon_sym_BSLASHk] = ACTIONS(3098),
    [anon_sym_BSLASHnd] = ACTIONS(3098),
    [anon_sym_BSLASHord] = ACTIONS(3098),
    [anon_sym_BSLASHpn] = ACTIONS(3098),
    [anon_sym_BSLASHpng] = ACTIONS(3098),
    [anon_sym_BSLASHaddpn] = ACTIONS(3098),
    [anon_sym_BSLASHqt] = ACTIONS(3098),
    [anon_sym_BSLASHsig] = ACTIONS(3098),
    [anon_sym_BSLASHsls] = ACTIONS(3098),
    [anon_sym_BSLASHtl] = ACTIONS(3098),
    [anon_sym_BSLASHwj] = ACTIONS(3098),
    [anon_sym_BSLASHem] = ACTIONS(3098),
    [anon_sym_BSLASHbd] = ACTIONS(3098),
    [anon_sym_BSLASHit] = ACTIONS(3098),
    [anon_sym_BSLASHbdit] = ACTIONS(3098),
    [anon_sym_BSLASHno] = ACTIONS(3098),
    [anon_sym_BSLASHsc] = ACTIONS(3098),
    [anon_sym_BSLASHsup] = ACTIONS(3098),
    [anon_sym_BSLASHndx] = ACTIONS(3098),
    [anon_sym_BSLASHpro] = ACTIONS(3098),
    [anon_sym_BSLASHrb] = ACTIONS(3098),
    [anon_sym_BSLASHw] = ACTIONS(3098),
    [anon_sym_BSLASHwg] = ACTIONS(3098),
    [anon_sym_BSLASHwh] = ACTIONS(3098),
    [anon_sym_BSLASHwa] = ACTIONS(3098),
    [anon_sym_BSLASHfig] = ACTIONS(3098),
    [anon_sym_BSLASHjmp] = ACTIONS(3098),
    [anon_sym_BSLASHpb] = ACTIONS(3098),
    [anon_sym_BSLASH] = ACTIONS(3098),
    [sym_milestoneStartTag] = ACTIONS(3098),
    [sym_milestoneEndTag] = ACTIONS(3098),
    [sym_zSpaceTag] = ACTIONS(3098),
    [anon_sym_BSLASHesbe] = ACTIONS(3098),
    [anon_sym_BSLASHcat] = ACTIONS(3098),
  },
  [680] = {
    [aux_sym_text_token1] = ACTIONS(3092),
    [anon_sym_BSLASHref] = ACTIONS(3094),
    [anon_sym_BSLASHsts] = ACTIONS(3094),
    [anon_sym_BSLASHrem] = ACTIONS(3094),
    [anon_sym_BSLASHrestore] = ACTIONS(3094),
    [anon_sym_BSLASHlit] = ACTIONS(3094),
    [anon_sym_BSLASHip] = ACTIONS(3094),
    [anon_sym_BSLASHv] = ACTIONS(3094),
    [anon_sym_BSLASHva] = ACTIONS(3094),
    [anon_sym_BSLASHvp] = ACTIONS(3094),
    [anon_sym_BSLASHmte] = ACTIONS(3094),
    [anon_sym_BSLASHms] = ACTIONS(3094),
    [anon_sym_BSLASHs] = ACTIONS(3094),
    [anon_sym_BSLASHr] = ACTIONS(3094),
    [anon_sym_BSLASHsp] = ACTIONS(3094),
    [anon_sym_BSLASHd] = ACTIONS(3094),
    [anon_sym_BSLASHsd] = ACTIONS(3094),
    [anon_sym_BSLASHp] = ACTIONS(3094),
    [anon_sym_BSLASHm] = ACTIONS(3094),
    [anon_sym_BSLASHpo] = ACTIONS(3094),
    [anon_sym_BSLASHpr] = ACTIONS(3094),
    [anon_sym_BSLASHcls] = ACTIONS(3094),
    [anon_sym_BSLASHpmo] = ACTIONS(3094),
    [anon_sym_BSLASHpm] = ACTIONS(3094),
    [anon_sym_BSLASHpmc] = ACTIONS(3094),
    [anon_sym_BSLASHpmr] = ACTIONS(3094),
    [anon_sym_BSLASHpi] = ACTIONS(3094),
    [anon_sym_BSLASHmi] = ACTIONS(3094),
    [anon_sym_BSLASHnb] = ACTIONS(3094),
    [anon_sym_BSLASHpc] = ACTIONS(3094),
    [anon_sym_BSLASHph] = ACTIONS(3094),
    [anon_sym_BSLASHb] = ACTIONS(3094),
    [anon_sym_BSLASHq] = ACTIONS(3094),
    [anon_sym_BSLASHqr] = ACTIONS(3094),
    [anon_sym_BSLASHqc] = ACTIONS(3094),
    [anon_sym_BSLASHqs] = ACTIONS(3094),
    [anon_sym_BSLASHqa] = ACTIONS(3094),
    [anon_sym_BSLASHqac] = ACTIONS(3094),
    [anon_sym_BSLASHqm] = ACTIONS(3094),
    [anon_sym_BSLASHqd] = ACTIONS(3094),
    [anon_sym_BSLASHlh] = ACTIONS(3094),
    [anon_sym_BSLASHli] = ACTIONS(3094),
    [anon_sym_BSLASHlim] = ACTIONS(3094),
    [anon_sym_BSLASHtr] = ACTIONS(3094),
    [anon_sym_BSLASHf] = ACTIONS(3094),
    [anon_sym_BSLASHfe] = ACTIONS(3094),
    [anon_sym_BSLASHef] = ACTIONS(3094),
    [anon_sym_BSLASHfm] = ACTIONS(3094),
    [anon_sym_BSLASHx] = ACTIONS(3094),
    [anon_sym_BSLASHxt] = ACTIONS(3094),
    [anon_sym_BSLASHrq] = ACTIONS(3094),
    [anon_sym_BSLASHadd] = ACTIONS(3094),
    [anon_sym_BSLASHbk] = ACTIONS(3094),
    [anon_sym_BSLASHdc] = ACTIONS(3094),
    [anon_sym_BSLASHk] = ACTIONS(3094),
    [anon_sym_BSLASHnd] = ACTIONS(3094),
    [anon_sym_BSLASHord] = ACTIONS(3094),
    [anon_sym_BSLASHpn] = ACTIONS(3094),
    [anon_sym_BSLASHpng] = ACTIONS(3094),
    [anon_sym_BSLASHaddpn] = ACTIONS(3094),
    [anon_sym_BSLASHqt] = ACTIONS(3094),
    [anon_sym_BSLASHsig] = ACTIONS(3094),
    [anon_sym_BSLASHsls] = ACTIONS(3094),
    [anon_sym_BSLASHtl] = ACTIONS(3094),
    [anon_sym_BSLASHwj] = ACTIONS(3094),
    [anon_sym_BSLASHem] = ACTIONS(3094),
    [anon_sym_BSLASHbd] = ACTIONS(3094),
    [anon_sym_BSLASHit] = ACTIONS(3094),
    [anon_sym_BSLASHbdit] = ACTIONS(3094),
    [anon_sym_BSLASHno] = ACTIONS(3094),
    [anon_sym_BSLASHsc] = ACTIONS(3094),
    [anon_sym_BSLASHsup] = ACTIONS(3094),
    [anon_sym_BSLASHndx] = ACTIONS(3094),
    [anon_sym_BSLASHpro] = ACTIONS(3094),
    [anon_sym_BSLASHrb] = ACTIONS(3094),
    [anon_sym_BSLASHw] = ACTIONS(3094),
    [anon_sym_BSLASHwg] = ACTIONS(3094),
    [anon_sym_BSLASHwh] = ACTIONS(3094),
    [anon_sym_BSLASHwa] = ACTIONS(3094),
    [anon_sym_BSLASHfig] = ACTIONS(3094),
    [anon_sym_BSLASHjmp] = ACTIONS(3094),
    [anon_sym_BSLASHpb] = ACTIONS(3094),
    [anon_sym_BSLASH] = ACTIONS(3094),
    [sym_milestoneStartTag] = ACTIONS(3094),
    [sym_milestoneEndTag] = ACTIONS(3094),
    [sym_zSpaceTag] = ACTIONS(3094),
    [anon_sym_BSLASHesbe] = ACTIONS(3094),
    [anon_sym_BSLASHcat] = ACTIONS(3094),
  },
  [681] = {
    [aux_sym_text_token1] = ACTIONS(3080),
    [anon_sym_BSLASHref] = ACTIONS(3082),
    [anon_sym_BSLASHsts] = ACTIONS(3082),
    [anon_sym_BSLASHrem] = ACTIONS(3082),
    [anon_sym_BSLASHrestore] = ACTIONS(3082),
    [anon_sym_BSLASHlit] = ACTIONS(3082),
    [anon_sym_BSLASHip] = ACTIONS(3082),
    [anon_sym_BSLASHv] = ACTIONS(3082),
    [anon_sym_BSLASHva] = ACTIONS(3082),
    [anon_sym_BSLASHvp] = ACTIONS(3082),
    [anon_sym_BSLASHmte] = ACTIONS(3082),
    [anon_sym_BSLASHms] = ACTIONS(3082),
    [anon_sym_BSLASHs] = ACTIONS(3082),
    [anon_sym_BSLASHr] = ACTIONS(3082),
    [anon_sym_BSLASHsp] = ACTIONS(3082),
    [anon_sym_BSLASHd] = ACTIONS(3082),
    [anon_sym_BSLASHsd] = ACTIONS(3082),
    [anon_sym_BSLASHp] = ACTIONS(3082),
    [anon_sym_BSLASHm] = ACTIONS(3082),
    [anon_sym_BSLASHpo] = ACTIONS(3082),
    [anon_sym_BSLASHpr] = ACTIONS(3082),
    [anon_sym_BSLASHcls] = ACTIONS(3082),
    [anon_sym_BSLASHpmo] = ACTIONS(3082),
    [anon_sym_BSLASHpm] = ACTIONS(3082),
    [anon_sym_BSLASHpmc] = ACTIONS(3082),
    [anon_sym_BSLASHpmr] = ACTIONS(3082),
    [anon_sym_BSLASHpi] = ACTIONS(3082),
    [anon_sym_BSLASHmi] = ACTIONS(3082),
    [anon_sym_BSLASHnb] = ACTIONS(3082),
    [anon_sym_BSLASHpc] = ACTIONS(3082),
    [anon_sym_BSLASHph] = ACTIONS(3082),
    [anon_sym_BSLASHb] = ACTIONS(3082),
    [anon_sym_BSLASHq] = ACTIONS(3082),
    [anon_sym_BSLASHqr] = ACTIONS(3082),
    [anon_sym_BSLASHqc] = ACTIONS(3082),
    [anon_sym_BSLASHqs] = ACTIONS(3082),
    [anon_sym_BSLASHqa] = ACTIONS(3082),
    [anon_sym_BSLASHqac] = ACTIONS(3082),
    [anon_sym_BSLASHqm] = ACTIONS(3082),
    [anon_sym_BSLASHqd] = ACTIONS(3082),
    [anon_sym_BSLASHlh] = ACTIONS(3082),
    [anon_sym_BSLASHli] = ACTIONS(3082),
    [anon_sym_BSLASHlim] = ACTIONS(3082),
    [anon_sym_BSLASHtr] = ACTIONS(3082),
    [anon_sym_BSLASHf] = ACTIONS(3082),
    [anon_sym_BSLASHfe] = ACTIONS(3082),
    [anon_sym_BSLASHef] = ACTIONS(3082),
    [anon_sym_BSLASHfm] = ACTIONS(3082),
    [anon_sym_BSLASHx] = ACTIONS(3082),
    [anon_sym_BSLASHxt] = ACTIONS(3082),
    [anon_sym_BSLASHrq] = ACTIONS(3082),
    [anon_sym_BSLASHadd] = ACTIONS(3082),
    [anon_sym_BSLASHbk] = ACTIONS(3082),
    [anon_sym_BSLASHdc] = ACTIONS(3082),
    [anon_sym_BSLASHk] = ACTIONS(3082),
    [anon_sym_BSLASHnd] = ACTIONS(3082),
    [anon_sym_BSLASHord] = ACTIONS(3082),
    [anon_sym_BSLASHpn] = ACTIONS(3082),
    [anon_sym_BSLASHpng] = ACTIONS(3082),
    [anon_sym_BSLASHaddpn] = ACTIONS(3082),
    [anon_sym_BSLASHqt] = ACTIONS(3082),
    [anon_sym_BSLASHsig] = ACTIONS(3082),
    [anon_sym_BSLASHsls] = ACTIONS(3082),
    [anon_sym_BSLASHtl] = ACTIONS(3082),
    [anon_sym_BSLASHwj] = ACTIONS(3082),
    [anon_sym_BSLASHem] = ACTIONS(3082),
    [anon_sym_BSLASHbd] = ACTIONS(3082),
    [anon_sym_BSLASHit] = ACTIONS(3082),
    [anon_sym_BSLASHbdit] = ACTIONS(3082),
    [anon_sym_BSLASHno] = ACTIONS(3082),
    [anon_sym_BSLASHsc] = ACTIONS(3082),
    [anon_sym_BSLASHsup] = ACTIONS(3082),
    [anon_sym_BSLASHndx] = ACTIONS(3082),
    [anon_sym_BSLASHpro] = ACTIONS(3082),
    [anon_sym_BSLASHrb] = ACTIONS(3082),
    [anon_sym_BSLASHw] = ACTIONS(3082),
    [anon_sym_BSLASHwg] = ACTIONS(3082),
    [anon_sym_BSLASHwh] = ACTIONS(3082),
    [anon_sym_BSLASHwa] = ACTIONS(3082),
    [anon_sym_BSLASHfig] = ACTIONS(3082),
    [anon_sym_BSLASHjmp] = ACTIONS(3082),
    [anon_sym_BSLASHpb] = ACTIONS(3082),
    [anon_sym_BSLASH] = ACTIONS(3082),
    [sym_milestoneStartTag] = ACTIONS(3082),
    [sym_milestoneEndTag] = ACTIONS(3082),
    [sym_zSpaceTag] = ACTIONS(3082),
    [anon_sym_BSLASHesbe] = ACTIONS(3082),
    [anon_sym_BSLASHcat] = ACTIONS(3082),
  },
  [682] = {
    [aux_sym_text_token1] = ACTIONS(5416),
    [anon_sym_BSLASHref] = ACTIONS(5418),
    [anon_sym_BSLASHsts] = ACTIONS(5418),
    [anon_sym_BSLASHrem] = ACTIONS(5418),
    [anon_sym_BSLASHrestore] = ACTIONS(5418),
    [anon_sym_BSLASHlit] = ACTIONS(5418),
    [anon_sym_BSLASHip] = ACTIONS(5418),
    [anon_sym_BSLASHv] = ACTIONS(5418),
    [anon_sym_BSLASHva] = ACTIONS(5418),
    [anon_sym_BSLASHvp] = ACTIONS(5418),
    [anon_sym_BSLASHmte] = ACTIONS(5418),
    [anon_sym_BSLASHms] = ACTIONS(5418),
    [anon_sym_BSLASHs] = ACTIONS(5418),
    [anon_sym_BSLASHr] = ACTIONS(5418),
    [anon_sym_BSLASHsp] = ACTIONS(5418),
    [anon_sym_BSLASHd] = ACTIONS(5418),
    [anon_sym_BSLASHsd] = ACTIONS(5418),
    [anon_sym_BSLASHp] = ACTIONS(5418),
    [anon_sym_BSLASHm] = ACTIONS(5418),
    [anon_sym_BSLASHpo] = ACTIONS(5418),
    [anon_sym_BSLASHpr] = ACTIONS(5418),
    [anon_sym_BSLASHcls] = ACTIONS(5418),
    [anon_sym_BSLASHpmo] = ACTIONS(5418),
    [anon_sym_BSLASHpm] = ACTIONS(5418),
    [anon_sym_BSLASHpmc] = ACTIONS(5418),
    [anon_sym_BSLASHpmr] = ACTIONS(5418),
    [anon_sym_BSLASHpi] = ACTIONS(5418),
    [anon_sym_BSLASHmi] = ACTIONS(5418),
    [anon_sym_BSLASHnb] = ACTIONS(5418),
    [anon_sym_BSLASHpc] = ACTIONS(5418),
    [anon_sym_BSLASHph] = ACTIONS(5418),
    [anon_sym_BSLASHb] = ACTIONS(5418),
    [anon_sym_BSLASHq] = ACTIONS(5418),
    [anon_sym_BSLASHqr] = ACTIONS(5418),
    [anon_sym_BSLASHqc] = ACTIONS(5418),
    [anon_sym_BSLASHqs] = ACTIONS(5418),
    [anon_sym_BSLASHqa] = ACTIONS(5418),
    [anon_sym_BSLASHqac] = ACTIONS(5418),
    [anon_sym_BSLASHqm] = ACTIONS(5418),
    [anon_sym_BSLASHqd] = ACTIONS(5418),
    [anon_sym_BSLASHlh] = ACTIONS(5418),
    [anon_sym_BSLASHli] = ACTIONS(5418),
    [anon_sym_BSLASHlim] = ACTIONS(5418),
    [anon_sym_BSLASHtr] = ACTIONS(5418),
    [anon_sym_BSLASHf] = ACTIONS(5418),
    [anon_sym_BSLASHfe] = ACTIONS(5418),
    [anon_sym_BSLASHef] = ACTIONS(5418),
    [anon_sym_BSLASHfm] = ACTIONS(5418),
    [anon_sym_BSLASHx] = ACTIONS(5418),
    [anon_sym_BSLASHxt] = ACTIONS(5418),
    [anon_sym_BSLASHrq] = ACTIONS(5418),
    [anon_sym_BSLASHadd] = ACTIONS(5418),
    [anon_sym_BSLASHbk] = ACTIONS(5418),
    [anon_sym_BSLASHdc] = ACTIONS(5418),
    [anon_sym_BSLASHk] = ACTIONS(5418),
    [anon_sym_BSLASHnd] = ACTIONS(5418),
    [anon_sym_BSLASHord] = ACTIONS(5418),
    [anon_sym_BSLASHpn] = ACTIONS(5418),
    [anon_sym_BSLASHpng] = ACTIONS(5418),
    [anon_sym_BSLASHaddpn] = ACTIONS(5418),
    [anon_sym_BSLASHqt] = ACTIONS(5418),
    [anon_sym_BSLASHsig] = ACTIONS(5418),
    [anon_sym_BSLASHsls] = ACTIONS(5418),
    [anon_sym_BSLASHtl] = ACTIONS(5418),
    [anon_sym_BSLASHwj] = ACTIONS(5418),
    [anon_sym_BSLASHem] = ACTIONS(5418),
    [anon_sym_BSLASHbd] = ACTIONS(5418),
    [anon_sym_BSLASHit] = ACTIONS(5418),
    [anon_sym_BSLASHbdit] = ACTIONS(5418),
    [anon_sym_BSLASHno] = ACTIONS(5418),
    [anon_sym_BSLASHsc] = ACTIONS(5418),
    [anon_sym_BSLASHsup] = ACTIONS(5418),
    [anon_sym_BSLASHndx] = ACTIONS(5418),
    [anon_sym_BSLASHpro] = ACTIONS(5418),
    [anon_sym_BSLASHrb] = ACTIONS(5418),
    [anon_sym_BSLASHw] = ACTIONS(5418),
    [anon_sym_BSLASHwg] = ACTIONS(5418),
    [anon_sym_BSLASHwh] = ACTIONS(5418),
    [anon_sym_BSLASHwa] = ACTIONS(5418),
    [anon_sym_BSLASHfig] = ACTIONS(5418),
    [anon_sym_BSLASHjmp] = ACTIONS(5418),
    [anon_sym_BSLASHpb] = ACTIONS(5418),
    [anon_sym_BSLASH] = ACTIONS(5418),
    [sym_milestoneStartTag] = ACTIONS(5418),
    [sym_milestoneEndTag] = ACTIONS(5418),
    [sym_zSpaceTag] = ACTIONS(5418),
    [anon_sym_BSLASHesbe] = ACTIONS(5418),
    [anon_sym_BSLASHcat] = ACTIONS(5418),
  },
  [683] = {
    [aux_sym_text_token1] = ACTIONS(5396),
    [anon_sym_BSLASHref] = ACTIONS(5398),
    [anon_sym_BSLASHsts] = ACTIONS(5398),
    [anon_sym_BSLASHrem] = ACTIONS(5398),
    [anon_sym_BSLASHrestore] = ACTIONS(5398),
    [anon_sym_BSLASHlit] = ACTIONS(5398),
    [anon_sym_BSLASHip] = ACTIONS(5398),
    [anon_sym_BSLASHv] = ACTIONS(5398),
    [anon_sym_BSLASHva] = ACTIONS(5398),
    [anon_sym_BSLASHvp] = ACTIONS(5398),
    [anon_sym_BSLASHmte] = ACTIONS(5398),
    [anon_sym_BSLASHms] = ACTIONS(5398),
    [anon_sym_BSLASHs] = ACTIONS(5398),
    [anon_sym_BSLASHr] = ACTIONS(5398),
    [anon_sym_BSLASHsp] = ACTIONS(5398),
    [anon_sym_BSLASHd] = ACTIONS(5398),
    [anon_sym_BSLASHsd] = ACTIONS(5398),
    [anon_sym_BSLASHp] = ACTIONS(5398),
    [anon_sym_BSLASHm] = ACTIONS(5398),
    [anon_sym_BSLASHpo] = ACTIONS(5398),
    [anon_sym_BSLASHpr] = ACTIONS(5398),
    [anon_sym_BSLASHcls] = ACTIONS(5398),
    [anon_sym_BSLASHpmo] = ACTIONS(5398),
    [anon_sym_BSLASHpm] = ACTIONS(5398),
    [anon_sym_BSLASHpmc] = ACTIONS(5398),
    [anon_sym_BSLASHpmr] = ACTIONS(5398),
    [anon_sym_BSLASHpi] = ACTIONS(5398),
    [anon_sym_BSLASHmi] = ACTIONS(5398),
    [anon_sym_BSLASHnb] = ACTIONS(5398),
    [anon_sym_BSLASHpc] = ACTIONS(5398),
    [anon_sym_BSLASHph] = ACTIONS(5398),
    [anon_sym_BSLASHb] = ACTIONS(5398),
    [anon_sym_BSLASHq] = ACTIONS(5398),
    [anon_sym_BSLASHqr] = ACTIONS(5398),
    [anon_sym_BSLASHqc] = ACTIONS(5398),
    [anon_sym_BSLASHqs] = ACTIONS(5398),
    [anon_sym_BSLASHqa] = ACTIONS(5398),
    [anon_sym_BSLASHqac] = ACTIONS(5398),
    [anon_sym_BSLASHqm] = ACTIONS(5398),
    [anon_sym_BSLASHqd] = ACTIONS(5398),
    [anon_sym_BSLASHlh] = ACTIONS(5398),
    [anon_sym_BSLASHli] = ACTIONS(5398),
    [anon_sym_BSLASHlim] = ACTIONS(5398),
    [anon_sym_BSLASHtr] = ACTIONS(5398),
    [anon_sym_BSLASHf] = ACTIONS(5398),
    [anon_sym_BSLASHfe] = ACTIONS(5398),
    [anon_sym_BSLASHef] = ACTIONS(5398),
    [anon_sym_BSLASHfm] = ACTIONS(5398),
    [anon_sym_BSLASHx] = ACTIONS(5398),
    [anon_sym_BSLASHxt] = ACTIONS(5398),
    [anon_sym_BSLASHrq] = ACTIONS(5398),
    [anon_sym_BSLASHadd] = ACTIONS(5398),
    [anon_sym_BSLASHbk] = ACTIONS(5398),
    [anon_sym_BSLASHdc] = ACTIONS(5398),
    [anon_sym_BSLASHk] = ACTIONS(5398),
    [anon_sym_BSLASHnd] = ACTIONS(5398),
    [anon_sym_BSLASHord] = ACTIONS(5398),
    [anon_sym_BSLASHpn] = ACTIONS(5398),
    [anon_sym_BSLASHpng] = ACTIONS(5398),
    [anon_sym_BSLASHaddpn] = ACTIONS(5398),
    [anon_sym_BSLASHqt] = ACTIONS(5398),
    [anon_sym_BSLASHsig] = ACTIONS(5398),
    [anon_sym_BSLASHsls] = ACTIONS(5398),
    [anon_sym_BSLASHtl] = ACTIONS(5398),
    [anon_sym_BSLASHwj] = ACTIONS(5398),
    [anon_sym_BSLASHem] = ACTIONS(5398),
    [anon_sym_BSLASHbd] = ACTIONS(5398),
    [anon_sym_BSLASHit] = ACTIONS(5398),
    [anon_sym_BSLASHbdit] = ACTIONS(5398),
    [anon_sym_BSLASHno] = ACTIONS(5398),
    [anon_sym_BSLASHsc] = ACTIONS(5398),
    [anon_sym_BSLASHsup] = ACTIONS(5398),
    [anon_sym_BSLASHndx] = ACTIONS(5398),
    [anon_sym_BSLASHpro] = ACTIONS(5398),
    [anon_sym_BSLASHrb] = ACTIONS(5398),
    [anon_sym_BSLASHw] = ACTIONS(5398),
    [anon_sym_BSLASHwg] = ACTIONS(5398),
    [anon_sym_BSLASHwh] = ACTIONS(5398),
    [anon_sym_BSLASHwa] = ACTIONS(5398),
    [anon_sym_BSLASHfig] = ACTIONS(5398),
    [anon_sym_BSLASHjmp] = ACTIONS(5398),
    [anon_sym_BSLASHpb] = ACTIONS(5398),
    [anon_sym_BSLASH] = ACTIONS(5398),
    [sym_milestoneStartTag] = ACTIONS(5398),
    [sym_milestoneEndTag] = ACTIONS(5398),
    [sym_zSpaceTag] = ACTIONS(5398),
    [anon_sym_BSLASHesbe] = ACTIONS(5398),
    [anon_sym_BSLASHcat] = ACTIONS(5398),
  },
  [684] = {
    [aux_sym_text_token1] = ACTIONS(17),
    [anon_sym_BSLASHref] = ACTIONS(19),
    [anon_sym_BSLASHsts] = ACTIONS(19),
    [anon_sym_BSLASHrem] = ACTIONS(19),
    [anon_sym_BSLASHrestore] = ACTIONS(19),
    [anon_sym_BSLASHlit] = ACTIONS(19),
    [anon_sym_BSLASHip] = ACTIONS(19),
    [anon_sym_BSLASHv] = ACTIONS(19),
    [anon_sym_BSLASHva] = ACTIONS(19),
    [anon_sym_BSLASHvp] = ACTIONS(19),
    [anon_sym_BSLASHmte] = ACTIONS(19),
    [anon_sym_BSLASHms] = ACTIONS(19),
    [anon_sym_BSLASHs] = ACTIONS(19),
    [anon_sym_BSLASHr] = ACTIONS(19),
    [anon_sym_BSLASHsp] = ACTIONS(19),
    [anon_sym_BSLASHd] = ACTIONS(19),
    [anon_sym_BSLASHsd] = ACTIONS(19),
    [anon_sym_BSLASHp] = ACTIONS(19),
    [anon_sym_BSLASHm] = ACTIONS(19),
    [anon_sym_BSLASHpo] = ACTIONS(19),
    [anon_sym_BSLASHpr] = ACTIONS(19),
    [anon_sym_BSLASHcls] = ACTIONS(19),
    [anon_sym_BSLASHpmo] = ACTIONS(19),
    [anon_sym_BSLASHpm] = ACTIONS(19),
    [anon_sym_BSLASHpmc] = ACTIONS(19),
    [anon_sym_BSLASHpmr] = ACTIONS(19),
    [anon_sym_BSLASHpi] = ACTIONS(19),
    [anon_sym_BSLASHmi] = ACTIONS(19),
    [anon_sym_BSLASHnb] = ACTIONS(19),
    [anon_sym_BSLASHpc] = ACTIONS(19),
    [anon_sym_BSLASHph] = ACTIONS(19),
    [anon_sym_BSLASHb] = ACTIONS(19),
    [anon_sym_BSLASHq] = ACTIONS(19),
    [anon_sym_BSLASHqr] = ACTIONS(19),
    [anon_sym_BSLASHqc] = ACTIONS(19),
    [anon_sym_BSLASHqs] = ACTIONS(19),
    [anon_sym_BSLASHqa] = ACTIONS(19),
    [anon_sym_BSLASHqac] = ACTIONS(19),
    [anon_sym_BSLASHqm] = ACTIONS(19),
    [anon_sym_BSLASHqd] = ACTIONS(19),
    [anon_sym_BSLASHlh] = ACTIONS(19),
    [anon_sym_BSLASHli] = ACTIONS(19),
    [anon_sym_BSLASHlim] = ACTIONS(19),
    [anon_sym_BSLASHtr] = ACTIONS(19),
    [anon_sym_BSLASHf] = ACTIONS(19),
    [anon_sym_BSLASHfe] = ACTIONS(19),
    [anon_sym_BSLASHef] = ACTIONS(19),
    [anon_sym_BSLASHfm] = ACTIONS(19),
    [anon_sym_BSLASHx] = ACTIONS(19),
    [anon_sym_BSLASHxt] = ACTIONS(19),
    [anon_sym_BSLASHrq] = ACTIONS(19),
    [anon_sym_BSLASHadd] = ACTIONS(19),
    [anon_sym_BSLASHbk] = ACTIONS(19),
    [anon_sym_BSLASHdc] = ACTIONS(19),
    [anon_sym_BSLASHk] = ACTIONS(19),
    [anon_sym_BSLASHnd] = ACTIONS(19),
    [anon_sym_BSLASHord] = ACTIONS(19),
    [anon_sym_BSLASHpn] = ACTIONS(19),
    [anon_sym_BSLASHpng] = ACTIONS(19),
    [anon_sym_BSLASHaddpn] = ACTIONS(19),
    [anon_sym_BSLASHqt] = ACTIONS(19),
    [anon_sym_BSLASHsig] = ACTIONS(19),
    [anon_sym_BSLASHsls] = ACTIONS(19),
    [anon_sym_BSLASHtl] = ACTIONS(19),
    [anon_sym_BSLASHwj] = ACTIONS(19),
    [anon_sym_BSLASHem] = ACTIONS(19),
    [anon_sym_BSLASHbd] = ACTIONS(19),
    [anon_sym_BSLASHit] = ACTIONS(19),
    [anon_sym_BSLASHbdit] = ACTIONS(19),
    [anon_sym_BSLASHno] = ACTIONS(19),
    [anon_sym_BSLASHsc] = ACTIONS(19),
    [anon_sym_BSLASHsup] = ACTIONS(19),
    [anon_sym_BSLASHndx] = ACTIONS(19),
    [anon_sym_BSLASHpro] = ACTIONS(19),
    [anon_sym_BSLASHrb] = ACTIONS(19),
    [anon_sym_BSLASHw] = ACTIONS(19),
    [anon_sym_BSLASHwg] = ACTIONS(19),
    [anon_sym_BSLASHwh] = ACTIONS(19),
    [anon_sym_BSLASHwa] = ACTIONS(19),
    [anon_sym_BSLASHfig] = ACTIONS(19),
    [anon_sym_BSLASHjmp] = ACTIONS(19),
    [anon_sym_BSLASHpb] = ACTIONS(19),
    [anon_sym_BSLASH] = ACTIONS(19),
    [sym_milestoneStartTag] = ACTIONS(19),
    [sym_milestoneEndTag] = ACTIONS(19),
    [sym_zSpaceTag] = ACTIONS(19),
    [anon_sym_BSLASHesbe] = ACTIONS(19),
    [anon_sym_BSLASHcat] = ACTIONS(19),
  },
  [685] = {
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHref] = ACTIONS(2685),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHv] = ACTIONS(2685),
    [anon_sym_BSLASHva] = ACTIONS(2685),
    [anon_sym_BSLASHvp] = ACTIONS(2685),
    [anon_sym_BSLASHmte] = ACTIONS(2685),
    [anon_sym_BSLASHms] = ACTIONS(2685),
    [anon_sym_BSLASHs] = ACTIONS(2685),
    [anon_sym_BSLASHr] = ACTIONS(2685),
    [anon_sym_BSLASHsp] = ACTIONS(2685),
    [anon_sym_BSLASHd] = ACTIONS(2685),
    [anon_sym_BSLASHsd] = ACTIONS(2685),
    [anon_sym_BSLASHp] = ACTIONS(2685),
    [anon_sym_BSLASHm] = ACTIONS(2685),
    [anon_sym_BSLASHpo] = ACTIONS(2685),
    [anon_sym_BSLASHpr] = ACTIONS(2685),
    [anon_sym_BSLASHcls] = ACTIONS(2685),
    [anon_sym_BSLASHpmo] = ACTIONS(2685),
    [anon_sym_BSLASHpm] = ACTIONS(2685),
    [anon_sym_BSLASHpmc] = ACTIONS(2685),
    [anon_sym_BSLASHpmr] = ACTIONS(2685),
    [anon_sym_BSLASHpi] = ACTIONS(2685),
    [anon_sym_BSLASHmi] = ACTIONS(2685),
    [anon_sym_BSLASHnb] = ACTIONS(2685),
    [anon_sym_BSLASHpc] = ACTIONS(2685),
    [anon_sym_BSLASHph] = ACTIONS(2685),
    [anon_sym_BSLASHb] = ACTIONS(2685),
    [anon_sym_BSLASHq] = ACTIONS(2685),
    [anon_sym_BSLASHqr] = ACTIONS(2685),
    [anon_sym_BSLASHqc] = ACTIONS(2685),
    [anon_sym_BSLASHqs] = ACTIONS(2685),
    [anon_sym_BSLASHqa] = ACTIONS(2685),
    [anon_sym_BSLASHqac] = ACTIONS(2685),
    [anon_sym_BSLASHqm] = ACTIONS(2685),
    [anon_sym_BSLASHqd] = ACTIONS(2685),
    [anon_sym_BSLASHlh] = ACTIONS(2685),
    [anon_sym_BSLASHli] = ACTIONS(2685),
    [anon_sym_BSLASHlim] = ACTIONS(2685),
    [anon_sym_BSLASHtr] = ACTIONS(2685),
    [anon_sym_BSLASHf] = ACTIONS(2685),
    [anon_sym_BSLASHfe] = ACTIONS(2685),
    [anon_sym_BSLASHef] = ACTIONS(2685),
    [anon_sym_BSLASHfm] = ACTIONS(2685),
    [anon_sym_BSLASHx] = ACTIONS(2685),
    [anon_sym_BSLASHxt] = ACTIONS(2685),
    [anon_sym_BSLASHrq] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASHfig] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASHpb] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesbe] = ACTIONS(2685),
    [anon_sym_BSLASHcat] = ACTIONS(2685),
  },
  [686] = {
    [aux_sym_text_token1] = ACTIONS(5336),
    [anon_sym_BSLASHref] = ACTIONS(5338),
    [anon_sym_BSLASHsts] = ACTIONS(5338),
    [anon_sym_BSLASHrem] = ACTIONS(5338),
    [anon_sym_BSLASHrestore] = ACTIONS(5338),
    [anon_sym_BSLASHlit] = ACTIONS(5338),
    [anon_sym_BSLASHip] = ACTIONS(5338),
    [anon_sym_BSLASHv] = ACTIONS(5338),
    [anon_sym_BSLASHva] = ACTIONS(5338),
    [anon_sym_BSLASHvp] = ACTIONS(5338),
    [anon_sym_BSLASHmte] = ACTIONS(5338),
    [anon_sym_BSLASHms] = ACTIONS(5338),
    [anon_sym_BSLASHs] = ACTIONS(5338),
    [anon_sym_BSLASHr] = ACTIONS(5338),
    [anon_sym_BSLASHsp] = ACTIONS(5338),
    [anon_sym_BSLASHd] = ACTIONS(5338),
    [anon_sym_BSLASHsd] = ACTIONS(5338),
    [anon_sym_BSLASHp] = ACTIONS(5338),
    [anon_sym_BSLASHm] = ACTIONS(5338),
    [anon_sym_BSLASHpo] = ACTIONS(5338),
    [anon_sym_BSLASHpr] = ACTIONS(5338),
    [anon_sym_BSLASHcls] = ACTIONS(5338),
    [anon_sym_BSLASHpmo] = ACTIONS(5338),
    [anon_sym_BSLASHpm] = ACTIONS(5338),
    [anon_sym_BSLASHpmc] = ACTIONS(5338),
    [anon_sym_BSLASHpmr] = ACTIONS(5338),
    [anon_sym_BSLASHpi] = ACTIONS(5338),
    [anon_sym_BSLASHmi] = ACTIONS(5338),
    [anon_sym_BSLASHnb] = ACTIONS(5338),
    [anon_sym_BSLASHpc] = ACTIONS(5338),
    [anon_sym_BSLASHph] = ACTIONS(5338),
    [anon_sym_BSLASHb] = ACTIONS(5338),
    [anon_sym_BSLASHq] = ACTIONS(5338),
    [anon_sym_BSLASHqr] = ACTIONS(5338),
    [anon_sym_BSLASHqc] = ACTIONS(5338),
    [anon_sym_BSLASHqs] = ACTIONS(5338),
    [anon_sym_BSLASHqa] = ACTIONS(5338),
    [anon_sym_BSLASHqac] = ACTIONS(5338),
    [anon_sym_BSLASHqm] = ACTIONS(5338),
    [anon_sym_BSLASHqd] = ACTIONS(5338),
    [anon_sym_BSLASHlh] = ACTIONS(5338),
    [anon_sym_BSLASHli] = ACTIONS(5338),
    [anon_sym_BSLASHlim] = ACTIONS(5338),
    [anon_sym_BSLASHtr] = ACTIONS(5338),
    [anon_sym_BSLASHf] = ACTIONS(5338),
    [anon_sym_BSLASHfe] = ACTIONS(5338),
    [anon_sym_BSLASHef] = ACTIONS(5338),
    [anon_sym_BSLASHfm] = ACTIONS(5338),
    [anon_sym_BSLASHx] = ACTIONS(5338),
    [anon_sym_BSLASHxt] = ACTIONS(5338),
    [anon_sym_BSLASHrq] = ACTIONS(5338),
    [anon_sym_BSLASHadd] = ACTIONS(5338),
    [anon_sym_BSLASHbk] = ACTIONS(5338),
    [anon_sym_BSLASHdc] = ACTIONS(5338),
    [anon_sym_BSLASHk] = ACTIONS(5338),
    [anon_sym_BSLASHnd] = ACTIONS(5338),
    [anon_sym_BSLASHord] = ACTIONS(5338),
    [anon_sym_BSLASHpn] = ACTIONS(5338),
    [anon_sym_BSLASHpng] = ACTIONS(5338),
    [anon_sym_BSLASHaddpn] = ACTIONS(5338),
    [anon_sym_BSLASHqt] = ACTIONS(5338),
    [anon_sym_BSLASHsig] = ACTIONS(5338),
    [anon_sym_BSLASHsls] = ACTIONS(5338),
    [anon_sym_BSLASHtl] = ACTIONS(5338),
    [anon_sym_BSLASHwj] = ACTIONS(5338),
    [anon_sym_BSLASHem] = ACTIONS(5338),
    [anon_sym_BSLASHbd] = ACTIONS(5338),
    [anon_sym_BSLASHit] = ACTIONS(5338),
    [anon_sym_BSLASHbdit] = ACTIONS(5338),
    [anon_sym_BSLASHno] = ACTIONS(5338),
    [anon_sym_BSLASHsc] = ACTIONS(5338),
    [anon_sym_BSLASHsup] = ACTIONS(5338),
    [anon_sym_BSLASHndx] = ACTIONS(5338),
    [anon_sym_BSLASHpro] = ACTIONS(5338),
    [anon_sym_BSLASHrb] = ACTIONS(5338),
    [anon_sym_BSLASHw] = ACTIONS(5338),
    [anon_sym_BSLASHwg] = ACTIONS(5338),
    [anon_sym_BSLASHwh] = ACTIONS(5338),
    [anon_sym_BSLASHwa] = ACTIONS(5338),
    [anon_sym_BSLASHfig] = ACTIONS(5338),
    [anon_sym_BSLASHjmp] = ACTIONS(5338),
    [anon_sym_BSLASHpb] = ACTIONS(5338),
    [anon_sym_BSLASH] = ACTIONS(5338),
    [sym_milestoneStartTag] = ACTIONS(5338),
    [sym_milestoneEndTag] = ACTIONS(5338),
    [sym_zSpaceTag] = ACTIONS(5338),
    [anon_sym_BSLASHesbe] = ACTIONS(5338),
    [anon_sym_BSLASHcat] = ACTIONS(5338),
  },
  [687] = {
    [sym__comments] = STATE(752),
    [sym_sts] = STATE(752),
    [sym_rem] = STATE(752),
    [sym_restore] = STATE(752),
    [sym_lit] = STATE(752),
    [sym_imtBlock] = STATE(752),
    [sym_imt] = STATE(1705),
    [sym_imtTag] = STATE(1130),
    [sym_imteBlock] = STATE(1827),
    [sym_imte] = STATE(1831),
    [sym_imteTag] = STATE(1129),
    [sym__midIntroMarker] = STATE(752),
    [sym_isBlock] = STATE(752),
    [sym_is] = STATE(1701),
    [sym_isTag] = STATE(1122),
    [sym_io] = STATE(752),
    [sym_ioTag] = STATE(1123),
    [sym_iot] = STATE(752),
    [sym_ip] = STATE(752),
    [sym_im] = STATE(752),
    [sym_ipi] = STATE(752),
    [sym_imi] = STATE(752),
    [sym_iliBlock] = STATE(752),
    [sym_ili] = STATE(1704),
    [sym_iliTag] = STATE(1124),
    [sym_ipq] = STATE(752),
    [sym_imq] = STATE(752),
    [sym_ipr] = STATE(752),
    [sym_ib] = STATE(752),
    [sym_iqBlock] = STATE(752),
    [sym_iq] = STATE(1702),
    [sym_iqTag] = STATE(1125),
    [sym_ie] = STATE(1845),
    [sym_iex] = STATE(752),
    [sym_chapter] = STATE(1842),
    [sym_c] = STATE(147),
    [sym_cl] = STATE(2007),
    [sym_mtBlock] = STATE(749),
    [sym_mt] = STATE(1698),
    [sym_mtTag] = STATE(1769),
    [sym_milestoneTag] = STATE(1973),
    [sym__milestoneStandaloneMarker] = STATE(1714),
    [sym__milestoneStart] = STATE(1714),
    [sym__milestoneEnd] = STATE(1714),
    [sym_milestone] = STATE(752),
    [sym__zNameSpaceRegular] = STATE(1723),
    [sym__zNameSpaceClosed] = STATE(1723),
    [sym__zNameSpaceStandaloneMarker] = STATE(1723),
    [sym_zNameSpace] = STATE(752),
    [sym_esb] = STATE(752),
    [aux_sym_File_repeat1] = STATE(752),
    [aux_sym_File_repeat2] = STATE(1842),
    [aux_sym_imtBlock_repeat1] = STATE(1705),
    [aux_sym_imteBlock_repeat1] = STATE(1831),
    [aux_sym_isBlock_repeat1] = STATE(1701),
    [aux_sym_iliBlock_repeat1] = STATE(1704),
    [aux_sym_iqBlock_repeat1] = STATE(1702),
    [aux_sym_mtBlock_repeat1] = STATE(1698),
    [ts_builtin_sym_end] = ACTIONS(5550),
    [anon_sym_BSLASHsts] = ACTIONS(5552),
    [anon_sym_BSLASHrem] = ACTIONS(5554),
    [anon_sym_BSLASHrestore] = ACTIONS(5556),
    [anon_sym_BSLASHlit] = ACTIONS(5558),
    [anon_sym_BSLASHimt] = ACTIONS(5560),
    [anon_sym_BSLASHimte] = ACTIONS(5562),
    [anon_sym_BSLASHis] = ACTIONS(5564),
    [anon_sym_BSLASHio] = ACTIONS(5566),
    [anon_sym_BSLASHiot] = ACTIONS(5568),
    [anon_sym_BSLASHip] = ACTIONS(5570),
    [anon_sym_BSLASHim] = ACTIONS(5572),
    [anon_sym_BSLASHipi] = ACTIONS(5574),
    [anon_sym_BSLASHimi] = ACTIONS(5576),
    [anon_sym_BSLASHili] = ACTIONS(5578),
    [anon_sym_BSLASHipq] = ACTIONS(5580),
    [anon_sym_BSLASHimq] = ACTIONS(5582),
    [anon_sym_BSLASHipr] = ACTIONS(5584),
    [anon_sym_BSLASHib] = ACTIONS(5586),
    [anon_sym_BSLASHiq] = ACTIONS(5588),
    [anon_sym_BSLASHie] = ACTIONS(5590),
    [anon_sym_BSLASHiex] = ACTIONS(5592),
    [anon_sym_BSLASHc] = ACTIONS(5594),
    [anon_sym_BSLASHcl] = ACTIONS(5596),
    [anon_sym_BSLASHmt] = ACTIONS(5598),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(5600),
    [sym_milestoneEndTag] = ACTIONS(5602),
    [sym_zSpaceTag] = ACTIONS(5604),
    [anon_sym_BSLASHesb] = ACTIONS(5606),
  },
  [688] = {
    [aux_sym_text_token1] = ACTIONS(5340),
    [anon_sym_BSLASHref] = ACTIONS(5342),
    [anon_sym_BSLASHsts] = ACTIONS(5342),
    [anon_sym_BSLASHrem] = ACTIONS(5342),
    [anon_sym_BSLASHrestore] = ACTIONS(5342),
    [anon_sym_BSLASHlit] = ACTIONS(5342),
    [anon_sym_BSLASHip] = ACTIONS(5342),
    [anon_sym_BSLASHv] = ACTIONS(5342),
    [anon_sym_BSLASHva] = ACTIONS(5342),
    [anon_sym_BSLASHvp] = ACTIONS(5342),
    [anon_sym_BSLASHmte] = ACTIONS(5342),
    [anon_sym_BSLASHms] = ACTIONS(5342),
    [anon_sym_BSLASHs] = ACTIONS(5342),
    [anon_sym_BSLASHr] = ACTIONS(5342),
    [anon_sym_BSLASHsp] = ACTIONS(5342),
    [anon_sym_BSLASHd] = ACTIONS(5342),
    [anon_sym_BSLASHsd] = ACTIONS(5342),
    [anon_sym_BSLASHp] = ACTIONS(5342),
    [anon_sym_BSLASHm] = ACTIONS(5342),
    [anon_sym_BSLASHpo] = ACTIONS(5342),
    [anon_sym_BSLASHpr] = ACTIONS(5342),
    [anon_sym_BSLASHcls] = ACTIONS(5342),
    [anon_sym_BSLASHpmo] = ACTIONS(5342),
    [anon_sym_BSLASHpm] = ACTIONS(5342),
    [anon_sym_BSLASHpmc] = ACTIONS(5342),
    [anon_sym_BSLASHpmr] = ACTIONS(5342),
    [anon_sym_BSLASHpi] = ACTIONS(5342),
    [anon_sym_BSLASHmi] = ACTIONS(5342),
    [anon_sym_BSLASHnb] = ACTIONS(5342),
    [anon_sym_BSLASHpc] = ACTIONS(5342),
    [anon_sym_BSLASHph] = ACTIONS(5342),
    [anon_sym_BSLASHb] = ACTIONS(5342),
    [anon_sym_BSLASHq] = ACTIONS(5342),
    [anon_sym_BSLASHqr] = ACTIONS(5342),
    [anon_sym_BSLASHqc] = ACTIONS(5342),
    [anon_sym_BSLASHqs] = ACTIONS(5342),
    [anon_sym_BSLASHqa] = ACTIONS(5342),
    [anon_sym_BSLASHqac] = ACTIONS(5342),
    [anon_sym_BSLASHqm] = ACTIONS(5342),
    [anon_sym_BSLASHqd] = ACTIONS(5342),
    [anon_sym_BSLASHlh] = ACTIONS(5342),
    [anon_sym_BSLASHli] = ACTIONS(5342),
    [anon_sym_BSLASHlim] = ACTIONS(5342),
    [anon_sym_BSLASHtr] = ACTIONS(5342),
    [anon_sym_BSLASHf] = ACTIONS(5342),
    [anon_sym_BSLASHfe] = ACTIONS(5342),
    [anon_sym_BSLASHef] = ACTIONS(5342),
    [anon_sym_BSLASHfm] = ACTIONS(5342),
    [anon_sym_BSLASHx] = ACTIONS(5342),
    [anon_sym_BSLASHxt] = ACTIONS(5342),
    [anon_sym_BSLASHrq] = ACTIONS(5342),
    [anon_sym_BSLASHadd] = ACTIONS(5342),
    [anon_sym_BSLASHbk] = ACTIONS(5342),
    [anon_sym_BSLASHdc] = ACTIONS(5342),
    [anon_sym_BSLASHk] = ACTIONS(5342),
    [anon_sym_BSLASHnd] = ACTIONS(5342),
    [anon_sym_BSLASHord] = ACTIONS(5342),
    [anon_sym_BSLASHpn] = ACTIONS(5342),
    [anon_sym_BSLASHpng] = ACTIONS(5342),
    [anon_sym_BSLASHaddpn] = ACTIONS(5342),
    [anon_sym_BSLASHqt] = ACTIONS(5342),
    [anon_sym_BSLASHsig] = ACTIONS(5342),
    [anon_sym_BSLASHsls] = ACTIONS(5342),
    [anon_sym_BSLASHtl] = ACTIONS(5342),
    [anon_sym_BSLASHwj] = ACTIONS(5342),
    [anon_sym_BSLASHem] = ACTIONS(5342),
    [anon_sym_BSLASHbd] = ACTIONS(5342),
    [anon_sym_BSLASHit] = ACTIONS(5342),
    [anon_sym_BSLASHbdit] = ACTIONS(5342),
    [anon_sym_BSLASHno] = ACTIONS(5342),
    [anon_sym_BSLASHsc] = ACTIONS(5342),
    [anon_sym_BSLASHsup] = ACTIONS(5342),
    [anon_sym_BSLASHndx] = ACTIONS(5342),
    [anon_sym_BSLASHpro] = ACTIONS(5342),
    [anon_sym_BSLASHrb] = ACTIONS(5342),
    [anon_sym_BSLASHw] = ACTIONS(5342),
    [anon_sym_BSLASHwg] = ACTIONS(5342),
    [anon_sym_BSLASHwh] = ACTIONS(5342),
    [anon_sym_BSLASHwa] = ACTIONS(5342),
    [anon_sym_BSLASHfig] = ACTIONS(5342),
    [anon_sym_BSLASHjmp] = ACTIONS(5342),
    [anon_sym_BSLASHpb] = ACTIONS(5342),
    [anon_sym_BSLASH] = ACTIONS(5342),
    [sym_milestoneStartTag] = ACTIONS(5342),
    [sym_milestoneEndTag] = ACTIONS(5342),
    [sym_zSpaceTag] = ACTIONS(5342),
    [anon_sym_BSLASHesbe] = ACTIONS(5342),
    [anon_sym_BSLASHcat] = ACTIONS(5342),
  },
  [689] = {
    [aux_sym_text_token1] = ACTIONS(5328),
    [anon_sym_BSLASHref] = ACTIONS(5330),
    [anon_sym_BSLASHsts] = ACTIONS(5330),
    [anon_sym_BSLASHrem] = ACTIONS(5330),
    [anon_sym_BSLASHrestore] = ACTIONS(5330),
    [anon_sym_BSLASHlit] = ACTIONS(5330),
    [anon_sym_BSLASHip] = ACTIONS(5330),
    [anon_sym_BSLASHv] = ACTIONS(5330),
    [anon_sym_BSLASHva] = ACTIONS(5330),
    [anon_sym_BSLASHvp] = ACTIONS(5330),
    [anon_sym_BSLASHmte] = ACTIONS(5330),
    [anon_sym_BSLASHms] = ACTIONS(5330),
    [anon_sym_BSLASHs] = ACTIONS(5330),
    [anon_sym_BSLASHr] = ACTIONS(5330),
    [anon_sym_BSLASHsp] = ACTIONS(5330),
    [anon_sym_BSLASHd] = ACTIONS(5330),
    [anon_sym_BSLASHsd] = ACTIONS(5330),
    [anon_sym_BSLASHp] = ACTIONS(5330),
    [anon_sym_BSLASHm] = ACTIONS(5330),
    [anon_sym_BSLASHpo] = ACTIONS(5330),
    [anon_sym_BSLASHpr] = ACTIONS(5330),
    [anon_sym_BSLASHcls] = ACTIONS(5330),
    [anon_sym_BSLASHpmo] = ACTIONS(5330),
    [anon_sym_BSLASHpm] = ACTIONS(5330),
    [anon_sym_BSLASHpmc] = ACTIONS(5330),
    [anon_sym_BSLASHpmr] = ACTIONS(5330),
    [anon_sym_BSLASHpi] = ACTIONS(5330),
    [anon_sym_BSLASHmi] = ACTIONS(5330),
    [anon_sym_BSLASHnb] = ACTIONS(5330),
    [anon_sym_BSLASHpc] = ACTIONS(5330),
    [anon_sym_BSLASHph] = ACTIONS(5330),
    [anon_sym_BSLASHb] = ACTIONS(5330),
    [anon_sym_BSLASHq] = ACTIONS(5330),
    [anon_sym_BSLASHqr] = ACTIONS(5330),
    [anon_sym_BSLASHqc] = ACTIONS(5330),
    [anon_sym_BSLASHqs] = ACTIONS(5330),
    [anon_sym_BSLASHqa] = ACTIONS(5330),
    [anon_sym_BSLASHqac] = ACTIONS(5330),
    [anon_sym_BSLASHqm] = ACTIONS(5330),
    [anon_sym_BSLASHqd] = ACTIONS(5330),
    [anon_sym_BSLASHlh] = ACTIONS(5330),
    [anon_sym_BSLASHli] = ACTIONS(5330),
    [anon_sym_BSLASHlim] = ACTIONS(5330),
    [anon_sym_BSLASHtr] = ACTIONS(5330),
    [anon_sym_BSLASHf] = ACTIONS(5330),
    [anon_sym_BSLASHfe] = ACTIONS(5330),
    [anon_sym_BSLASHef] = ACTIONS(5330),
    [anon_sym_BSLASHfm] = ACTIONS(5330),
    [anon_sym_BSLASHx] = ACTIONS(5330),
    [anon_sym_BSLASHxt] = ACTIONS(5330),
    [anon_sym_BSLASHrq] = ACTIONS(5330),
    [anon_sym_BSLASHadd] = ACTIONS(5330),
    [anon_sym_BSLASHbk] = ACTIONS(5330),
    [anon_sym_BSLASHdc] = ACTIONS(5330),
    [anon_sym_BSLASHk] = ACTIONS(5330),
    [anon_sym_BSLASHnd] = ACTIONS(5330),
    [anon_sym_BSLASHord] = ACTIONS(5330),
    [anon_sym_BSLASHpn] = ACTIONS(5330),
    [anon_sym_BSLASHpng] = ACTIONS(5330),
    [anon_sym_BSLASHaddpn] = ACTIONS(5330),
    [anon_sym_BSLASHqt] = ACTIONS(5330),
    [anon_sym_BSLASHsig] = ACTIONS(5330),
    [anon_sym_BSLASHsls] = ACTIONS(5330),
    [anon_sym_BSLASHtl] = ACTIONS(5330),
    [anon_sym_BSLASHwj] = ACTIONS(5330),
    [anon_sym_BSLASHem] = ACTIONS(5330),
    [anon_sym_BSLASHbd] = ACTIONS(5330),
    [anon_sym_BSLASHit] = ACTIONS(5330),
    [anon_sym_BSLASHbdit] = ACTIONS(5330),
    [anon_sym_BSLASHno] = ACTIONS(5330),
    [anon_sym_BSLASHsc] = ACTIONS(5330),
    [anon_sym_BSLASHsup] = ACTIONS(5330),
    [anon_sym_BSLASHndx] = ACTIONS(5330),
    [anon_sym_BSLASHpro] = ACTIONS(5330),
    [anon_sym_BSLASHrb] = ACTIONS(5330),
    [anon_sym_BSLASHw] = ACTIONS(5330),
    [anon_sym_BSLASHwg] = ACTIONS(5330),
    [anon_sym_BSLASHwh] = ACTIONS(5330),
    [anon_sym_BSLASHwa] = ACTIONS(5330),
    [anon_sym_BSLASHfig] = ACTIONS(5330),
    [anon_sym_BSLASHjmp] = ACTIONS(5330),
    [anon_sym_BSLASHpb] = ACTIONS(5330),
    [anon_sym_BSLASH] = ACTIONS(5330),
    [sym_milestoneStartTag] = ACTIONS(5330),
    [sym_milestoneEndTag] = ACTIONS(5330),
    [sym_zSpaceTag] = ACTIONS(5330),
    [anon_sym_BSLASHesbe] = ACTIONS(5330),
    [anon_sym_BSLASHcat] = ACTIONS(5330),
  },
  [690] = {
    [aux_sym_text_token1] = ACTIONS(5344),
    [anon_sym_BSLASHref] = ACTIONS(5346),
    [anon_sym_BSLASHsts] = ACTIONS(5346),
    [anon_sym_BSLASHrem] = ACTIONS(5346),
    [anon_sym_BSLASHrestore] = ACTIONS(5346),
    [anon_sym_BSLASHlit] = ACTIONS(5346),
    [anon_sym_BSLASHip] = ACTIONS(5346),
    [anon_sym_BSLASHv] = ACTIONS(5346),
    [anon_sym_BSLASHva] = ACTIONS(5346),
    [anon_sym_BSLASHvp] = ACTIONS(5346),
    [anon_sym_BSLASHmte] = ACTIONS(5346),
    [anon_sym_BSLASHms] = ACTIONS(5346),
    [anon_sym_BSLASHs] = ACTIONS(5346),
    [anon_sym_BSLASHr] = ACTIONS(5346),
    [anon_sym_BSLASHsp] = ACTIONS(5346),
    [anon_sym_BSLASHd] = ACTIONS(5346),
    [anon_sym_BSLASHsd] = ACTIONS(5346),
    [anon_sym_BSLASHp] = ACTIONS(5346),
    [anon_sym_BSLASHm] = ACTIONS(5346),
    [anon_sym_BSLASHpo] = ACTIONS(5346),
    [anon_sym_BSLASHpr] = ACTIONS(5346),
    [anon_sym_BSLASHcls] = ACTIONS(5346),
    [anon_sym_BSLASHpmo] = ACTIONS(5346),
    [anon_sym_BSLASHpm] = ACTIONS(5346),
    [anon_sym_BSLASHpmc] = ACTIONS(5346),
    [anon_sym_BSLASHpmr] = ACTIONS(5346),
    [anon_sym_BSLASHpi] = ACTIONS(5346),
    [anon_sym_BSLASHmi] = ACTIONS(5346),
    [anon_sym_BSLASHnb] = ACTIONS(5346),
    [anon_sym_BSLASHpc] = ACTIONS(5346),
    [anon_sym_BSLASHph] = ACTIONS(5346),
    [anon_sym_BSLASHb] = ACTIONS(5346),
    [anon_sym_BSLASHq] = ACTIONS(5346),
    [anon_sym_BSLASHqr] = ACTIONS(5346),
    [anon_sym_BSLASHqc] = ACTIONS(5346),
    [anon_sym_BSLASHqs] = ACTIONS(5346),
    [anon_sym_BSLASHqa] = ACTIONS(5346),
    [anon_sym_BSLASHqac] = ACTIONS(5346),
    [anon_sym_BSLASHqm] = ACTIONS(5346),
    [anon_sym_BSLASHqd] = ACTIONS(5346),
    [anon_sym_BSLASHlh] = ACTIONS(5346),
    [anon_sym_BSLASHli] = ACTIONS(5346),
    [anon_sym_BSLASHlim] = ACTIONS(5346),
    [anon_sym_BSLASHtr] = ACTIONS(5346),
    [anon_sym_BSLASHf] = ACTIONS(5346),
    [anon_sym_BSLASHfe] = ACTIONS(5346),
    [anon_sym_BSLASHef] = ACTIONS(5346),
    [anon_sym_BSLASHfm] = ACTIONS(5346),
    [anon_sym_BSLASHx] = ACTIONS(5346),
    [anon_sym_BSLASHxt] = ACTIONS(5346),
    [anon_sym_BSLASHrq] = ACTIONS(5346),
    [anon_sym_BSLASHadd] = ACTIONS(5346),
    [anon_sym_BSLASHbk] = ACTIONS(5346),
    [anon_sym_BSLASHdc] = ACTIONS(5346),
    [anon_sym_BSLASHk] = ACTIONS(5346),
    [anon_sym_BSLASHnd] = ACTIONS(5346),
    [anon_sym_BSLASHord] = ACTIONS(5346),
    [anon_sym_BSLASHpn] = ACTIONS(5346),
    [anon_sym_BSLASHpng] = ACTIONS(5346),
    [anon_sym_BSLASHaddpn] = ACTIONS(5346),
    [anon_sym_BSLASHqt] = ACTIONS(5346),
    [anon_sym_BSLASHsig] = ACTIONS(5346),
    [anon_sym_BSLASHsls] = ACTIONS(5346),
    [anon_sym_BSLASHtl] = ACTIONS(5346),
    [anon_sym_BSLASHwj] = ACTIONS(5346),
    [anon_sym_BSLASHem] = ACTIONS(5346),
    [anon_sym_BSLASHbd] = ACTIONS(5346),
    [anon_sym_BSLASHit] = ACTIONS(5346),
    [anon_sym_BSLASHbdit] = ACTIONS(5346),
    [anon_sym_BSLASHno] = ACTIONS(5346),
    [anon_sym_BSLASHsc] = ACTIONS(5346),
    [anon_sym_BSLASHsup] = ACTIONS(5346),
    [anon_sym_BSLASHndx] = ACTIONS(5346),
    [anon_sym_BSLASHpro] = ACTIONS(5346),
    [anon_sym_BSLASHrb] = ACTIONS(5346),
    [anon_sym_BSLASHw] = ACTIONS(5346),
    [anon_sym_BSLASHwg] = ACTIONS(5346),
    [anon_sym_BSLASHwh] = ACTIONS(5346),
    [anon_sym_BSLASHwa] = ACTIONS(5346),
    [anon_sym_BSLASHfig] = ACTIONS(5346),
    [anon_sym_BSLASHjmp] = ACTIONS(5346),
    [anon_sym_BSLASHpb] = ACTIONS(5346),
    [anon_sym_BSLASH] = ACTIONS(5346),
    [sym_milestoneStartTag] = ACTIONS(5346),
    [sym_milestoneEndTag] = ACTIONS(5346),
    [sym_zSpaceTag] = ACTIONS(5346),
    [anon_sym_BSLASHesbe] = ACTIONS(5346),
    [anon_sym_BSLASHcat] = ACTIONS(5346),
  },
  [691] = {
    [aux_sym_text_token1] = ACTIONS(5348),
    [anon_sym_BSLASHref] = ACTIONS(5350),
    [anon_sym_BSLASHsts] = ACTIONS(5350),
    [anon_sym_BSLASHrem] = ACTIONS(5350),
    [anon_sym_BSLASHrestore] = ACTIONS(5350),
    [anon_sym_BSLASHlit] = ACTIONS(5350),
    [anon_sym_BSLASHip] = ACTIONS(5350),
    [anon_sym_BSLASHv] = ACTIONS(5350),
    [anon_sym_BSLASHva] = ACTIONS(5350),
    [anon_sym_BSLASHvp] = ACTIONS(5350),
    [anon_sym_BSLASHmte] = ACTIONS(5350),
    [anon_sym_BSLASHms] = ACTIONS(5350),
    [anon_sym_BSLASHs] = ACTIONS(5350),
    [anon_sym_BSLASHr] = ACTIONS(5350),
    [anon_sym_BSLASHsp] = ACTIONS(5350),
    [anon_sym_BSLASHd] = ACTIONS(5350),
    [anon_sym_BSLASHsd] = ACTIONS(5350),
    [anon_sym_BSLASHp] = ACTIONS(5350),
    [anon_sym_BSLASHm] = ACTIONS(5350),
    [anon_sym_BSLASHpo] = ACTIONS(5350),
    [anon_sym_BSLASHpr] = ACTIONS(5350),
    [anon_sym_BSLASHcls] = ACTIONS(5350),
    [anon_sym_BSLASHpmo] = ACTIONS(5350),
    [anon_sym_BSLASHpm] = ACTIONS(5350),
    [anon_sym_BSLASHpmc] = ACTIONS(5350),
    [anon_sym_BSLASHpmr] = ACTIONS(5350),
    [anon_sym_BSLASHpi] = ACTIONS(5350),
    [anon_sym_BSLASHmi] = ACTIONS(5350),
    [anon_sym_BSLASHnb] = ACTIONS(5350),
    [anon_sym_BSLASHpc] = ACTIONS(5350),
    [anon_sym_BSLASHph] = ACTIONS(5350),
    [anon_sym_BSLASHb] = ACTIONS(5350),
    [anon_sym_BSLASHq] = ACTIONS(5350),
    [anon_sym_BSLASHqr] = ACTIONS(5350),
    [anon_sym_BSLASHqc] = ACTIONS(5350),
    [anon_sym_BSLASHqs] = ACTIONS(5350),
    [anon_sym_BSLASHqa] = ACTIONS(5350),
    [anon_sym_BSLASHqac] = ACTIONS(5350),
    [anon_sym_BSLASHqm] = ACTIONS(5350),
    [anon_sym_BSLASHqd] = ACTIONS(5350),
    [anon_sym_BSLASHlh] = ACTIONS(5350),
    [anon_sym_BSLASHli] = ACTIONS(5350),
    [anon_sym_BSLASHlim] = ACTIONS(5350),
    [anon_sym_BSLASHtr] = ACTIONS(5350),
    [anon_sym_BSLASHf] = ACTIONS(5350),
    [anon_sym_BSLASHfe] = ACTIONS(5350),
    [anon_sym_BSLASHef] = ACTIONS(5350),
    [anon_sym_BSLASHfm] = ACTIONS(5350),
    [anon_sym_BSLASHx] = ACTIONS(5350),
    [anon_sym_BSLASHxt] = ACTIONS(5350),
    [anon_sym_BSLASHrq] = ACTIONS(5350),
    [anon_sym_BSLASHadd] = ACTIONS(5350),
    [anon_sym_BSLASHbk] = ACTIONS(5350),
    [anon_sym_BSLASHdc] = ACTIONS(5350),
    [anon_sym_BSLASHk] = ACTIONS(5350),
    [anon_sym_BSLASHnd] = ACTIONS(5350),
    [anon_sym_BSLASHord] = ACTIONS(5350),
    [anon_sym_BSLASHpn] = ACTIONS(5350),
    [anon_sym_BSLASHpng] = ACTIONS(5350),
    [anon_sym_BSLASHaddpn] = ACTIONS(5350),
    [anon_sym_BSLASHqt] = ACTIONS(5350),
    [anon_sym_BSLASHsig] = ACTIONS(5350),
    [anon_sym_BSLASHsls] = ACTIONS(5350),
    [anon_sym_BSLASHtl] = ACTIONS(5350),
    [anon_sym_BSLASHwj] = ACTIONS(5350),
    [anon_sym_BSLASHem] = ACTIONS(5350),
    [anon_sym_BSLASHbd] = ACTIONS(5350),
    [anon_sym_BSLASHit] = ACTIONS(5350),
    [anon_sym_BSLASHbdit] = ACTIONS(5350),
    [anon_sym_BSLASHno] = ACTIONS(5350),
    [anon_sym_BSLASHsc] = ACTIONS(5350),
    [anon_sym_BSLASHsup] = ACTIONS(5350),
    [anon_sym_BSLASHndx] = ACTIONS(5350),
    [anon_sym_BSLASHpro] = ACTIONS(5350),
    [anon_sym_BSLASHrb] = ACTIONS(5350),
    [anon_sym_BSLASHw] = ACTIONS(5350),
    [anon_sym_BSLASHwg] = ACTIONS(5350),
    [anon_sym_BSLASHwh] = ACTIONS(5350),
    [anon_sym_BSLASHwa] = ACTIONS(5350),
    [anon_sym_BSLASHfig] = ACTIONS(5350),
    [anon_sym_BSLASHjmp] = ACTIONS(5350),
    [anon_sym_BSLASHpb] = ACTIONS(5350),
    [anon_sym_BSLASH] = ACTIONS(5350),
    [sym_milestoneStartTag] = ACTIONS(5350),
    [sym_milestoneEndTag] = ACTIONS(5350),
    [sym_zSpaceTag] = ACTIONS(5350),
    [anon_sym_BSLASHesbe] = ACTIONS(5350),
    [anon_sym_BSLASHcat] = ACTIONS(5350),
  },
  [692] = {
    [aux_sym_text_token1] = ACTIONS(3084),
    [anon_sym_BSLASHref] = ACTIONS(3086),
    [anon_sym_BSLASHsts] = ACTIONS(3086),
    [anon_sym_BSLASHrem] = ACTIONS(3086),
    [anon_sym_BSLASHrestore] = ACTIONS(3086),
    [anon_sym_BSLASHlit] = ACTIONS(3086),
    [anon_sym_BSLASHip] = ACTIONS(3086),
    [anon_sym_BSLASHv] = ACTIONS(3086),
    [anon_sym_BSLASHva] = ACTIONS(3086),
    [anon_sym_BSLASHvp] = ACTIONS(3086),
    [anon_sym_BSLASHmte] = ACTIONS(3086),
    [anon_sym_BSLASHms] = ACTIONS(3086),
    [anon_sym_BSLASHs] = ACTIONS(3086),
    [anon_sym_BSLASHr] = ACTIONS(3086),
    [anon_sym_BSLASHsp] = ACTIONS(3086),
    [anon_sym_BSLASHd] = ACTIONS(3086),
    [anon_sym_BSLASHsd] = ACTIONS(3086),
    [anon_sym_BSLASHp] = ACTIONS(3086),
    [anon_sym_BSLASHm] = ACTIONS(3086),
    [anon_sym_BSLASHpo] = ACTIONS(3086),
    [anon_sym_BSLASHpr] = ACTIONS(3086),
    [anon_sym_BSLASHcls] = ACTIONS(3086),
    [anon_sym_BSLASHpmo] = ACTIONS(3086),
    [anon_sym_BSLASHpm] = ACTIONS(3086),
    [anon_sym_BSLASHpmc] = ACTIONS(3086),
    [anon_sym_BSLASHpmr] = ACTIONS(3086),
    [anon_sym_BSLASHpi] = ACTIONS(3086),
    [anon_sym_BSLASHmi] = ACTIONS(3086),
    [anon_sym_BSLASHnb] = ACTIONS(3086),
    [anon_sym_BSLASHpc] = ACTIONS(3086),
    [anon_sym_BSLASHph] = ACTIONS(3086),
    [anon_sym_BSLASHb] = ACTIONS(3086),
    [anon_sym_BSLASHq] = ACTIONS(3086),
    [anon_sym_BSLASHqr] = ACTIONS(3086),
    [anon_sym_BSLASHqc] = ACTIONS(3086),
    [anon_sym_BSLASHqs] = ACTIONS(3086),
    [anon_sym_BSLASHqa] = ACTIONS(3086),
    [anon_sym_BSLASHqac] = ACTIONS(3086),
    [anon_sym_BSLASHqm] = ACTIONS(3086),
    [anon_sym_BSLASHqd] = ACTIONS(3086),
    [anon_sym_BSLASHlh] = ACTIONS(3086),
    [anon_sym_BSLASHli] = ACTIONS(3086),
    [anon_sym_BSLASHlim] = ACTIONS(3086),
    [anon_sym_BSLASHtr] = ACTIONS(3086),
    [anon_sym_BSLASHf] = ACTIONS(3086),
    [anon_sym_BSLASHfe] = ACTIONS(3086),
    [anon_sym_BSLASHef] = ACTIONS(3086),
    [anon_sym_BSLASHfm] = ACTIONS(3086),
    [anon_sym_BSLASHx] = ACTIONS(3086),
    [anon_sym_BSLASHxt] = ACTIONS(3086),
    [anon_sym_BSLASHrq] = ACTIONS(3086),
    [anon_sym_BSLASHadd] = ACTIONS(3086),
    [anon_sym_BSLASHbk] = ACTIONS(3086),
    [anon_sym_BSLASHdc] = ACTIONS(3086),
    [anon_sym_BSLASHk] = ACTIONS(3086),
    [anon_sym_BSLASHnd] = ACTIONS(3086),
    [anon_sym_BSLASHord] = ACTIONS(3086),
    [anon_sym_BSLASHpn] = ACTIONS(3086),
    [anon_sym_BSLASHpng] = ACTIONS(3086),
    [anon_sym_BSLASHaddpn] = ACTIONS(3086),
    [anon_sym_BSLASHqt] = ACTIONS(3086),
    [anon_sym_BSLASHsig] = ACTIONS(3086),
    [anon_sym_BSLASHsls] = ACTIONS(3086),
    [anon_sym_BSLASHtl] = ACTIONS(3086),
    [anon_sym_BSLASHwj] = ACTIONS(3086),
    [anon_sym_BSLASHem] = ACTIONS(3086),
    [anon_sym_BSLASHbd] = ACTIONS(3086),
    [anon_sym_BSLASHit] = ACTIONS(3086),
    [anon_sym_BSLASHbdit] = ACTIONS(3086),
    [anon_sym_BSLASHno] = ACTIONS(3086),
    [anon_sym_BSLASHsc] = ACTIONS(3086),
    [anon_sym_BSLASHsup] = ACTIONS(3086),
    [anon_sym_BSLASHndx] = ACTIONS(3086),
    [anon_sym_BSLASHpro] = ACTIONS(3086),
    [anon_sym_BSLASHrb] = ACTIONS(3086),
    [anon_sym_BSLASHw] = ACTIONS(3086),
    [anon_sym_BSLASHwg] = ACTIONS(3086),
    [anon_sym_BSLASHwh] = ACTIONS(3086),
    [anon_sym_BSLASHwa] = ACTIONS(3086),
    [anon_sym_BSLASHfig] = ACTIONS(3086),
    [anon_sym_BSLASHjmp] = ACTIONS(3086),
    [anon_sym_BSLASHpb] = ACTIONS(3086),
    [anon_sym_BSLASH] = ACTIONS(3086),
    [sym_milestoneStartTag] = ACTIONS(3086),
    [sym_milestoneEndTag] = ACTIONS(3086),
    [sym_zSpaceTag] = ACTIONS(3086),
    [anon_sym_BSLASHesbe] = ACTIONS(3086),
    [anon_sym_BSLASHcat] = ACTIONS(3086),
  },
  [693] = {
    [aux_sym_text_token1] = ACTIONS(5470),
    [anon_sym_BSLASHref] = ACTIONS(5472),
    [anon_sym_BSLASHsts] = ACTIONS(5472),
    [anon_sym_BSLASHrem] = ACTIONS(5472),
    [anon_sym_BSLASHrestore] = ACTIONS(5472),
    [anon_sym_BSLASHlit] = ACTIONS(5472),
    [anon_sym_BSLASHip] = ACTIONS(5472),
    [anon_sym_BSLASHv] = ACTIONS(5472),
    [anon_sym_BSLASHva] = ACTIONS(5472),
    [anon_sym_BSLASHvp] = ACTIONS(5472),
    [anon_sym_BSLASHmte] = ACTIONS(5472),
    [anon_sym_BSLASHms] = ACTIONS(5472),
    [anon_sym_BSLASHs] = ACTIONS(5472),
    [anon_sym_BSLASHr] = ACTIONS(5472),
    [anon_sym_BSLASHsp] = ACTIONS(5472),
    [anon_sym_BSLASHd] = ACTIONS(5472),
    [anon_sym_BSLASHsd] = ACTIONS(5472),
    [anon_sym_BSLASHp] = ACTIONS(5472),
    [anon_sym_BSLASHm] = ACTIONS(5472),
    [anon_sym_BSLASHpo] = ACTIONS(5472),
    [anon_sym_BSLASHpr] = ACTIONS(5472),
    [anon_sym_BSLASHcls] = ACTIONS(5472),
    [anon_sym_BSLASHpmo] = ACTIONS(5472),
    [anon_sym_BSLASHpm] = ACTIONS(5472),
    [anon_sym_BSLASHpmc] = ACTIONS(5472),
    [anon_sym_BSLASHpmr] = ACTIONS(5472),
    [anon_sym_BSLASHpi] = ACTIONS(5472),
    [anon_sym_BSLASHmi] = ACTIONS(5472),
    [anon_sym_BSLASHnb] = ACTIONS(5472),
    [anon_sym_BSLASHpc] = ACTIONS(5472),
    [anon_sym_BSLASHph] = ACTIONS(5472),
    [anon_sym_BSLASHb] = ACTIONS(5472),
    [anon_sym_BSLASHq] = ACTIONS(5472),
    [anon_sym_BSLASHqr] = ACTIONS(5472),
    [anon_sym_BSLASHqc] = ACTIONS(5472),
    [anon_sym_BSLASHqs] = ACTIONS(5472),
    [anon_sym_BSLASHqa] = ACTIONS(5472),
    [anon_sym_BSLASHqac] = ACTIONS(5472),
    [anon_sym_BSLASHqm] = ACTIONS(5472),
    [anon_sym_BSLASHqd] = ACTIONS(5472),
    [anon_sym_BSLASHlh] = ACTIONS(5472),
    [anon_sym_BSLASHli] = ACTIONS(5472),
    [anon_sym_BSLASHlim] = ACTIONS(5472),
    [anon_sym_BSLASHtr] = ACTIONS(5472),
    [anon_sym_BSLASHf] = ACTIONS(5472),
    [anon_sym_BSLASHfe] = ACTIONS(5472),
    [anon_sym_BSLASHef] = ACTIONS(5472),
    [anon_sym_BSLASHfm] = ACTIONS(5472),
    [anon_sym_BSLASHx] = ACTIONS(5472),
    [anon_sym_BSLASHxt] = ACTIONS(5472),
    [anon_sym_BSLASHrq] = ACTIONS(5472),
    [anon_sym_BSLASHadd] = ACTIONS(5472),
    [anon_sym_BSLASHbk] = ACTIONS(5472),
    [anon_sym_BSLASHdc] = ACTIONS(5472),
    [anon_sym_BSLASHk] = ACTIONS(5472),
    [anon_sym_BSLASHnd] = ACTIONS(5472),
    [anon_sym_BSLASHord] = ACTIONS(5472),
    [anon_sym_BSLASHpn] = ACTIONS(5472),
    [anon_sym_BSLASHpng] = ACTIONS(5472),
    [anon_sym_BSLASHaddpn] = ACTIONS(5472),
    [anon_sym_BSLASHqt] = ACTIONS(5472),
    [anon_sym_BSLASHsig] = ACTIONS(5472),
    [anon_sym_BSLASHsls] = ACTIONS(5472),
    [anon_sym_BSLASHtl] = ACTIONS(5472),
    [anon_sym_BSLASHwj] = ACTIONS(5472),
    [anon_sym_BSLASHem] = ACTIONS(5472),
    [anon_sym_BSLASHbd] = ACTIONS(5472),
    [anon_sym_BSLASHit] = ACTIONS(5472),
    [anon_sym_BSLASHbdit] = ACTIONS(5472),
    [anon_sym_BSLASHno] = ACTIONS(5472),
    [anon_sym_BSLASHsc] = ACTIONS(5472),
    [anon_sym_BSLASHsup] = ACTIONS(5472),
    [anon_sym_BSLASHndx] = ACTIONS(5472),
    [anon_sym_BSLASHpro] = ACTIONS(5472),
    [anon_sym_BSLASHrb] = ACTIONS(5472),
    [anon_sym_BSLASHw] = ACTIONS(5472),
    [anon_sym_BSLASHwg] = ACTIONS(5472),
    [anon_sym_BSLASHwh] = ACTIONS(5472),
    [anon_sym_BSLASHwa] = ACTIONS(5472),
    [anon_sym_BSLASHfig] = ACTIONS(5472),
    [anon_sym_BSLASHjmp] = ACTIONS(5472),
    [anon_sym_BSLASHpb] = ACTIONS(5472),
    [anon_sym_BSLASH] = ACTIONS(5472),
    [sym_milestoneStartTag] = ACTIONS(5472),
    [sym_milestoneEndTag] = ACTIONS(5472),
    [sym_zSpaceTag] = ACTIONS(5472),
    [anon_sym_BSLASHesbe] = ACTIONS(5472),
    [anon_sym_BSLASHcat] = ACTIONS(5472),
  },
  [694] = {
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHref] = ACTIONS(2729),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHv] = ACTIONS(2729),
    [anon_sym_BSLASHva] = ACTIONS(2729),
    [anon_sym_BSLASHvp] = ACTIONS(2729),
    [anon_sym_BSLASHmte] = ACTIONS(2729),
    [anon_sym_BSLASHms] = ACTIONS(2729),
    [anon_sym_BSLASHs] = ACTIONS(2729),
    [anon_sym_BSLASHr] = ACTIONS(2729),
    [anon_sym_BSLASHsp] = ACTIONS(2729),
    [anon_sym_BSLASHd] = ACTIONS(2729),
    [anon_sym_BSLASHsd] = ACTIONS(2729),
    [anon_sym_BSLASHp] = ACTIONS(2729),
    [anon_sym_BSLASHm] = ACTIONS(2729),
    [anon_sym_BSLASHpo] = ACTIONS(2729),
    [anon_sym_BSLASHpr] = ACTIONS(2729),
    [anon_sym_BSLASHcls] = ACTIONS(2729),
    [anon_sym_BSLASHpmo] = ACTIONS(2729),
    [anon_sym_BSLASHpm] = ACTIONS(2729),
    [anon_sym_BSLASHpmc] = ACTIONS(2729),
    [anon_sym_BSLASHpmr] = ACTIONS(2729),
    [anon_sym_BSLASHpi] = ACTIONS(2729),
    [anon_sym_BSLASHmi] = ACTIONS(2729),
    [anon_sym_BSLASHnb] = ACTIONS(2729),
    [anon_sym_BSLASHpc] = ACTIONS(2729),
    [anon_sym_BSLASHph] = ACTIONS(2729),
    [anon_sym_BSLASHb] = ACTIONS(2729),
    [anon_sym_BSLASHq] = ACTIONS(2729),
    [anon_sym_BSLASHqr] = ACTIONS(2729),
    [anon_sym_BSLASHqc] = ACTIONS(2729),
    [anon_sym_BSLASHqs] = ACTIONS(2729),
    [anon_sym_BSLASHqa] = ACTIONS(2729),
    [anon_sym_BSLASHqac] = ACTIONS(2729),
    [anon_sym_BSLASHqm] = ACTIONS(2729),
    [anon_sym_BSLASHqd] = ACTIONS(2729),
    [anon_sym_BSLASHlh] = ACTIONS(2729),
    [anon_sym_BSLASHli] = ACTIONS(2729),
    [anon_sym_BSLASHlim] = ACTIONS(2729),
    [anon_sym_BSLASHtr] = ACTIONS(2729),
    [anon_sym_BSLASHf] = ACTIONS(2729),
    [anon_sym_BSLASHfe] = ACTIONS(2729),
    [anon_sym_BSLASHef] = ACTIONS(2729),
    [anon_sym_BSLASHfm] = ACTIONS(2729),
    [anon_sym_BSLASHx] = ACTIONS(2729),
    [anon_sym_BSLASHxt] = ACTIONS(2729),
    [anon_sym_BSLASHrq] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASHfig] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASHpb] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesbe] = ACTIONS(2729),
    [anon_sym_BSLASHcat] = ACTIONS(2729),
  },
  [695] = {
    [aux_sym_text_token1] = ACTIONS(5352),
    [anon_sym_BSLASHref] = ACTIONS(5354),
    [anon_sym_BSLASHsts] = ACTIONS(5354),
    [anon_sym_BSLASHrem] = ACTIONS(5354),
    [anon_sym_BSLASHrestore] = ACTIONS(5354),
    [anon_sym_BSLASHlit] = ACTIONS(5354),
    [anon_sym_BSLASHip] = ACTIONS(5354),
    [anon_sym_BSLASHv] = ACTIONS(5354),
    [anon_sym_BSLASHva] = ACTIONS(5354),
    [anon_sym_BSLASHvp] = ACTIONS(5354),
    [anon_sym_BSLASHmte] = ACTIONS(5354),
    [anon_sym_BSLASHms] = ACTIONS(5354),
    [anon_sym_BSLASHs] = ACTIONS(5354),
    [anon_sym_BSLASHr] = ACTIONS(5354),
    [anon_sym_BSLASHsp] = ACTIONS(5354),
    [anon_sym_BSLASHd] = ACTIONS(5354),
    [anon_sym_BSLASHsd] = ACTIONS(5354),
    [anon_sym_BSLASHp] = ACTIONS(5354),
    [anon_sym_BSLASHm] = ACTIONS(5354),
    [anon_sym_BSLASHpo] = ACTIONS(5354),
    [anon_sym_BSLASHpr] = ACTIONS(5354),
    [anon_sym_BSLASHcls] = ACTIONS(5354),
    [anon_sym_BSLASHpmo] = ACTIONS(5354),
    [anon_sym_BSLASHpm] = ACTIONS(5354),
    [anon_sym_BSLASHpmc] = ACTIONS(5354),
    [anon_sym_BSLASHpmr] = ACTIONS(5354),
    [anon_sym_BSLASHpi] = ACTIONS(5354),
    [anon_sym_BSLASHmi] = ACTIONS(5354),
    [anon_sym_BSLASHnb] = ACTIONS(5354),
    [anon_sym_BSLASHpc] = ACTIONS(5354),
    [anon_sym_BSLASHph] = ACTIONS(5354),
    [anon_sym_BSLASHb] = ACTIONS(5354),
    [anon_sym_BSLASHq] = ACTIONS(5354),
    [anon_sym_BSLASHqr] = ACTIONS(5354),
    [anon_sym_BSLASHqc] = ACTIONS(5354),
    [anon_sym_BSLASHqs] = ACTIONS(5354),
    [anon_sym_BSLASHqa] = ACTIONS(5354),
    [anon_sym_BSLASHqac] = ACTIONS(5354),
    [anon_sym_BSLASHqm] = ACTIONS(5354),
    [anon_sym_BSLASHqd] = ACTIONS(5354),
    [anon_sym_BSLASHlh] = ACTIONS(5354),
    [anon_sym_BSLASHli] = ACTIONS(5354),
    [anon_sym_BSLASHlim] = ACTIONS(5354),
    [anon_sym_BSLASHtr] = ACTIONS(5354),
    [anon_sym_BSLASHf] = ACTIONS(5354),
    [anon_sym_BSLASHfe] = ACTIONS(5354),
    [anon_sym_BSLASHef] = ACTIONS(5354),
    [anon_sym_BSLASHfm] = ACTIONS(5354),
    [anon_sym_BSLASHx] = ACTIONS(5354),
    [anon_sym_BSLASHxt] = ACTIONS(5354),
    [anon_sym_BSLASHrq] = ACTIONS(5354),
    [anon_sym_BSLASHadd] = ACTIONS(5354),
    [anon_sym_BSLASHbk] = ACTIONS(5354),
    [anon_sym_BSLASHdc] = ACTIONS(5354),
    [anon_sym_BSLASHk] = ACTIONS(5354),
    [anon_sym_BSLASHnd] = ACTIONS(5354),
    [anon_sym_BSLASHord] = ACTIONS(5354),
    [anon_sym_BSLASHpn] = ACTIONS(5354),
    [anon_sym_BSLASHpng] = ACTIONS(5354),
    [anon_sym_BSLASHaddpn] = ACTIONS(5354),
    [anon_sym_BSLASHqt] = ACTIONS(5354),
    [anon_sym_BSLASHsig] = ACTIONS(5354),
    [anon_sym_BSLASHsls] = ACTIONS(5354),
    [anon_sym_BSLASHtl] = ACTIONS(5354),
    [anon_sym_BSLASHwj] = ACTIONS(5354),
    [anon_sym_BSLASHem] = ACTIONS(5354),
    [anon_sym_BSLASHbd] = ACTIONS(5354),
    [anon_sym_BSLASHit] = ACTIONS(5354),
    [anon_sym_BSLASHbdit] = ACTIONS(5354),
    [anon_sym_BSLASHno] = ACTIONS(5354),
    [anon_sym_BSLASHsc] = ACTIONS(5354),
    [anon_sym_BSLASHsup] = ACTIONS(5354),
    [anon_sym_BSLASHndx] = ACTIONS(5354),
    [anon_sym_BSLASHpro] = ACTIONS(5354),
    [anon_sym_BSLASHrb] = ACTIONS(5354),
    [anon_sym_BSLASHw] = ACTIONS(5354),
    [anon_sym_BSLASHwg] = ACTIONS(5354),
    [anon_sym_BSLASHwh] = ACTIONS(5354),
    [anon_sym_BSLASHwa] = ACTIONS(5354),
    [anon_sym_BSLASHfig] = ACTIONS(5354),
    [anon_sym_BSLASHjmp] = ACTIONS(5354),
    [anon_sym_BSLASHpb] = ACTIONS(5354),
    [anon_sym_BSLASH] = ACTIONS(5354),
    [sym_milestoneStartTag] = ACTIONS(5354),
    [sym_milestoneEndTag] = ACTIONS(5354),
    [sym_zSpaceTag] = ACTIONS(5354),
    [anon_sym_BSLASHesbe] = ACTIONS(5354),
    [anon_sym_BSLASHcat] = ACTIONS(5354),
  },
  [696] = {
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHref] = ACTIONS(2689),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHv] = ACTIONS(2689),
    [anon_sym_BSLASHva] = ACTIONS(2689),
    [anon_sym_BSLASHvp] = ACTIONS(2689),
    [anon_sym_BSLASHmte] = ACTIONS(2689),
    [anon_sym_BSLASHms] = ACTIONS(2689),
    [anon_sym_BSLASHs] = ACTIONS(2689),
    [anon_sym_BSLASHr] = ACTIONS(2689),
    [anon_sym_BSLASHsp] = ACTIONS(2689),
    [anon_sym_BSLASHd] = ACTIONS(2689),
    [anon_sym_BSLASHsd] = ACTIONS(2689),
    [anon_sym_BSLASHp] = ACTIONS(2689),
    [anon_sym_BSLASHm] = ACTIONS(2689),
    [anon_sym_BSLASHpo] = ACTIONS(2689),
    [anon_sym_BSLASHpr] = ACTIONS(2689),
    [anon_sym_BSLASHcls] = ACTIONS(2689),
    [anon_sym_BSLASHpmo] = ACTIONS(2689),
    [anon_sym_BSLASHpm] = ACTIONS(2689),
    [anon_sym_BSLASHpmc] = ACTIONS(2689),
    [anon_sym_BSLASHpmr] = ACTIONS(2689),
    [anon_sym_BSLASHpi] = ACTIONS(2689),
    [anon_sym_BSLASHmi] = ACTIONS(2689),
    [anon_sym_BSLASHnb] = ACTIONS(2689),
    [anon_sym_BSLASHpc] = ACTIONS(2689),
    [anon_sym_BSLASHph] = ACTIONS(2689),
    [anon_sym_BSLASHb] = ACTIONS(2689),
    [anon_sym_BSLASHq] = ACTIONS(2689),
    [anon_sym_BSLASHqr] = ACTIONS(2689),
    [anon_sym_BSLASHqc] = ACTIONS(2689),
    [anon_sym_BSLASHqs] = ACTIONS(2689),
    [anon_sym_BSLASHqa] = ACTIONS(2689),
    [anon_sym_BSLASHqac] = ACTIONS(2689),
    [anon_sym_BSLASHqm] = ACTIONS(2689),
    [anon_sym_BSLASHqd] = ACTIONS(2689),
    [anon_sym_BSLASHlh] = ACTIONS(2689),
    [anon_sym_BSLASHli] = ACTIONS(2689),
    [anon_sym_BSLASHlim] = ACTIONS(2689),
    [anon_sym_BSLASHtr] = ACTIONS(2689),
    [anon_sym_BSLASHf] = ACTIONS(2689),
    [anon_sym_BSLASHfe] = ACTIONS(2689),
    [anon_sym_BSLASHef] = ACTIONS(2689),
    [anon_sym_BSLASHfm] = ACTIONS(2689),
    [anon_sym_BSLASHx] = ACTIONS(2689),
    [anon_sym_BSLASHxt] = ACTIONS(2689),
    [anon_sym_BSLASHrq] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASHfig] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASHpb] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesbe] = ACTIONS(2689),
    [anon_sym_BSLASHcat] = ACTIONS(2689),
  },
  [697] = {
    [aux_sym_text_token1] = ACTIONS(3064),
    [anon_sym_BSLASHref] = ACTIONS(3066),
    [anon_sym_BSLASHsts] = ACTIONS(3066),
    [anon_sym_BSLASHrem] = ACTIONS(3066),
    [anon_sym_BSLASHrestore] = ACTIONS(3066),
    [anon_sym_BSLASHlit] = ACTIONS(3066),
    [anon_sym_BSLASHip] = ACTIONS(3066),
    [anon_sym_BSLASHv] = ACTIONS(3066),
    [anon_sym_BSLASHva] = ACTIONS(3066),
    [anon_sym_BSLASHvp] = ACTIONS(3066),
    [anon_sym_BSLASHmte] = ACTIONS(3066),
    [anon_sym_BSLASHms] = ACTIONS(3066),
    [anon_sym_BSLASHs] = ACTIONS(3066),
    [anon_sym_BSLASHr] = ACTIONS(3066),
    [anon_sym_BSLASHsp] = ACTIONS(3066),
    [anon_sym_BSLASHd] = ACTIONS(3066),
    [anon_sym_BSLASHsd] = ACTIONS(3066),
    [anon_sym_BSLASHp] = ACTIONS(3066),
    [anon_sym_BSLASHm] = ACTIONS(3066),
    [anon_sym_BSLASHpo] = ACTIONS(3066),
    [anon_sym_BSLASHpr] = ACTIONS(3066),
    [anon_sym_BSLASHcls] = ACTIONS(3066),
    [anon_sym_BSLASHpmo] = ACTIONS(3066),
    [anon_sym_BSLASHpm] = ACTIONS(3066),
    [anon_sym_BSLASHpmc] = ACTIONS(3066),
    [anon_sym_BSLASHpmr] = ACTIONS(3066),
    [anon_sym_BSLASHpi] = ACTIONS(3066),
    [anon_sym_BSLASHmi] = ACTIONS(3066),
    [anon_sym_BSLASHnb] = ACTIONS(3066),
    [anon_sym_BSLASHpc] = ACTIONS(3066),
    [anon_sym_BSLASHph] = ACTIONS(3066),
    [anon_sym_BSLASHb] = ACTIONS(3066),
    [anon_sym_BSLASHq] = ACTIONS(3066),
    [anon_sym_BSLASHqr] = ACTIONS(3066),
    [anon_sym_BSLASHqc] = ACTIONS(3066),
    [anon_sym_BSLASHqs] = ACTIONS(3066),
    [anon_sym_BSLASHqa] = ACTIONS(3066),
    [anon_sym_BSLASHqac] = ACTIONS(3066),
    [anon_sym_BSLASHqm] = ACTIONS(3066),
    [anon_sym_BSLASHqd] = ACTIONS(3066),
    [anon_sym_BSLASHlh] = ACTIONS(3066),
    [anon_sym_BSLASHli] = ACTIONS(3066),
    [anon_sym_BSLASHlim] = ACTIONS(3066),
    [anon_sym_BSLASHtr] = ACTIONS(3066),
    [anon_sym_BSLASHf] = ACTIONS(3066),
    [anon_sym_BSLASHfe] = ACTIONS(3066),
    [anon_sym_BSLASHef] = ACTIONS(3066),
    [anon_sym_BSLASHfm] = ACTIONS(3066),
    [anon_sym_BSLASHx] = ACTIONS(3066),
    [anon_sym_BSLASHxt] = ACTIONS(3066),
    [anon_sym_BSLASHrq] = ACTIONS(3066),
    [anon_sym_BSLASHadd] = ACTIONS(3066),
    [anon_sym_BSLASHbk] = ACTIONS(3066),
    [anon_sym_BSLASHdc] = ACTIONS(3066),
    [anon_sym_BSLASHk] = ACTIONS(3066),
    [anon_sym_BSLASHnd] = ACTIONS(3066),
    [anon_sym_BSLASHord] = ACTIONS(3066),
    [anon_sym_BSLASHpn] = ACTIONS(3066),
    [anon_sym_BSLASHpng] = ACTIONS(3066),
    [anon_sym_BSLASHaddpn] = ACTIONS(3066),
    [anon_sym_BSLASHqt] = ACTIONS(3066),
    [anon_sym_BSLASHsig] = ACTIONS(3066),
    [anon_sym_BSLASHsls] = ACTIONS(3066),
    [anon_sym_BSLASHtl] = ACTIONS(3066),
    [anon_sym_BSLASHwj] = ACTIONS(3066),
    [anon_sym_BSLASHem] = ACTIONS(3066),
    [anon_sym_BSLASHbd] = ACTIONS(3066),
    [anon_sym_BSLASHit] = ACTIONS(3066),
    [anon_sym_BSLASHbdit] = ACTIONS(3066),
    [anon_sym_BSLASHno] = ACTIONS(3066),
    [anon_sym_BSLASHsc] = ACTIONS(3066),
    [anon_sym_BSLASHsup] = ACTIONS(3066),
    [anon_sym_BSLASHndx] = ACTIONS(3066),
    [anon_sym_BSLASHpro] = ACTIONS(3066),
    [anon_sym_BSLASHrb] = ACTIONS(3066),
    [anon_sym_BSLASHw] = ACTIONS(3066),
    [anon_sym_BSLASHwg] = ACTIONS(3066),
    [anon_sym_BSLASHwh] = ACTIONS(3066),
    [anon_sym_BSLASHwa] = ACTIONS(3066),
    [anon_sym_BSLASHfig] = ACTIONS(3066),
    [anon_sym_BSLASHjmp] = ACTIONS(3066),
    [anon_sym_BSLASHpb] = ACTIONS(3066),
    [anon_sym_BSLASH] = ACTIONS(3066),
    [sym_milestoneStartTag] = ACTIONS(3066),
    [sym_milestoneEndTag] = ACTIONS(3066),
    [sym_zSpaceTag] = ACTIONS(3066),
    [anon_sym_BSLASHesbe] = ACTIONS(3066),
    [anon_sym_BSLASHcat] = ACTIONS(3066),
  },
  [698] = {
    [aux_sym_text_token1] = ACTIONS(5484),
    [anon_sym_BSLASHref] = ACTIONS(5486),
    [anon_sym_BSLASHsts] = ACTIONS(5486),
    [anon_sym_BSLASHrem] = ACTIONS(5486),
    [anon_sym_BSLASHrestore] = ACTIONS(5486),
    [anon_sym_BSLASHlit] = ACTIONS(5486),
    [anon_sym_BSLASHip] = ACTIONS(5486),
    [anon_sym_BSLASHv] = ACTIONS(5486),
    [anon_sym_BSLASHva] = ACTIONS(5486),
    [anon_sym_BSLASHvp] = ACTIONS(5486),
    [anon_sym_BSLASHmte] = ACTIONS(5486),
    [anon_sym_BSLASHms] = ACTIONS(5486),
    [anon_sym_BSLASHs] = ACTIONS(5486),
    [anon_sym_BSLASHr] = ACTIONS(5486),
    [anon_sym_BSLASHsp] = ACTIONS(5486),
    [anon_sym_BSLASHd] = ACTIONS(5486),
    [anon_sym_BSLASHsd] = ACTIONS(5486),
    [anon_sym_BSLASHp] = ACTIONS(5486),
    [anon_sym_BSLASHm] = ACTIONS(5486),
    [anon_sym_BSLASHpo] = ACTIONS(5486),
    [anon_sym_BSLASHpr] = ACTIONS(5486),
    [anon_sym_BSLASHcls] = ACTIONS(5486),
    [anon_sym_BSLASHpmo] = ACTIONS(5486),
    [anon_sym_BSLASHpm] = ACTIONS(5486),
    [anon_sym_BSLASHpmc] = ACTIONS(5486),
    [anon_sym_BSLASHpmr] = ACTIONS(5486),
    [anon_sym_BSLASHpi] = ACTIONS(5486),
    [anon_sym_BSLASHmi] = ACTIONS(5486),
    [anon_sym_BSLASHnb] = ACTIONS(5486),
    [anon_sym_BSLASHpc] = ACTIONS(5486),
    [anon_sym_BSLASHph] = ACTIONS(5486),
    [anon_sym_BSLASHb] = ACTIONS(5486),
    [anon_sym_BSLASHq] = ACTIONS(5486),
    [anon_sym_BSLASHqr] = ACTIONS(5486),
    [anon_sym_BSLASHqc] = ACTIONS(5486),
    [anon_sym_BSLASHqs] = ACTIONS(5486),
    [anon_sym_BSLASHqa] = ACTIONS(5486),
    [anon_sym_BSLASHqac] = ACTIONS(5486),
    [anon_sym_BSLASHqm] = ACTIONS(5486),
    [anon_sym_BSLASHqd] = ACTIONS(5486),
    [anon_sym_BSLASHlh] = ACTIONS(5486),
    [anon_sym_BSLASHli] = ACTIONS(5486),
    [anon_sym_BSLASHlim] = ACTIONS(5486),
    [anon_sym_BSLASHtr] = ACTIONS(5486),
    [anon_sym_BSLASHf] = ACTIONS(5486),
    [anon_sym_BSLASHfe] = ACTIONS(5486),
    [anon_sym_BSLASHef] = ACTIONS(5486),
    [anon_sym_BSLASHfm] = ACTIONS(5486),
    [anon_sym_BSLASHx] = ACTIONS(5486),
    [anon_sym_BSLASHxt] = ACTIONS(5486),
    [anon_sym_BSLASHrq] = ACTIONS(5486),
    [anon_sym_BSLASHadd] = ACTIONS(5486),
    [anon_sym_BSLASHbk] = ACTIONS(5486),
    [anon_sym_BSLASHdc] = ACTIONS(5486),
    [anon_sym_BSLASHk] = ACTIONS(5486),
    [anon_sym_BSLASHnd] = ACTIONS(5486),
    [anon_sym_BSLASHord] = ACTIONS(5486),
    [anon_sym_BSLASHpn] = ACTIONS(5486),
    [anon_sym_BSLASHpng] = ACTIONS(5486),
    [anon_sym_BSLASHaddpn] = ACTIONS(5486),
    [anon_sym_BSLASHqt] = ACTIONS(5486),
    [anon_sym_BSLASHsig] = ACTIONS(5486),
    [anon_sym_BSLASHsls] = ACTIONS(5486),
    [anon_sym_BSLASHtl] = ACTIONS(5486),
    [anon_sym_BSLASHwj] = ACTIONS(5486),
    [anon_sym_BSLASHem] = ACTIONS(5486),
    [anon_sym_BSLASHbd] = ACTIONS(5486),
    [anon_sym_BSLASHit] = ACTIONS(5486),
    [anon_sym_BSLASHbdit] = ACTIONS(5486),
    [anon_sym_BSLASHno] = ACTIONS(5486),
    [anon_sym_BSLASHsc] = ACTIONS(5486),
    [anon_sym_BSLASHsup] = ACTIONS(5486),
    [anon_sym_BSLASHndx] = ACTIONS(5486),
    [anon_sym_BSLASHpro] = ACTIONS(5486),
    [anon_sym_BSLASHrb] = ACTIONS(5486),
    [anon_sym_BSLASHw] = ACTIONS(5486),
    [anon_sym_BSLASHwg] = ACTIONS(5486),
    [anon_sym_BSLASHwh] = ACTIONS(5486),
    [anon_sym_BSLASHwa] = ACTIONS(5486),
    [anon_sym_BSLASHfig] = ACTIONS(5486),
    [anon_sym_BSLASHjmp] = ACTIONS(5486),
    [anon_sym_BSLASHpb] = ACTIONS(5486),
    [anon_sym_BSLASH] = ACTIONS(5486),
    [sym_milestoneStartTag] = ACTIONS(5486),
    [sym_milestoneEndTag] = ACTIONS(5486),
    [sym_zSpaceTag] = ACTIONS(5486),
    [anon_sym_BSLASHesbe] = ACTIONS(5486),
    [anon_sym_BSLASHcat] = ACTIONS(5486),
  },
  [699] = {
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHref] = ACTIONS(2705),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHv] = ACTIONS(2705),
    [anon_sym_BSLASHva] = ACTIONS(2705),
    [anon_sym_BSLASHvp] = ACTIONS(2705),
    [anon_sym_BSLASHmte] = ACTIONS(2705),
    [anon_sym_BSLASHms] = ACTIONS(2705),
    [anon_sym_BSLASHs] = ACTIONS(2705),
    [anon_sym_BSLASHr] = ACTIONS(2705),
    [anon_sym_BSLASHsp] = ACTIONS(2705),
    [anon_sym_BSLASHd] = ACTIONS(2705),
    [anon_sym_BSLASHsd] = ACTIONS(2705),
    [anon_sym_BSLASHp] = ACTIONS(2705),
    [anon_sym_BSLASHm] = ACTIONS(2705),
    [anon_sym_BSLASHpo] = ACTIONS(2705),
    [anon_sym_BSLASHpr] = ACTIONS(2705),
    [anon_sym_BSLASHcls] = ACTIONS(2705),
    [anon_sym_BSLASHpmo] = ACTIONS(2705),
    [anon_sym_BSLASHpm] = ACTIONS(2705),
    [anon_sym_BSLASHpmc] = ACTIONS(2705),
    [anon_sym_BSLASHpmr] = ACTIONS(2705),
    [anon_sym_BSLASHpi] = ACTIONS(2705),
    [anon_sym_BSLASHmi] = ACTIONS(2705),
    [anon_sym_BSLASHnb] = ACTIONS(2705),
    [anon_sym_BSLASHpc] = ACTIONS(2705),
    [anon_sym_BSLASHph] = ACTIONS(2705),
    [anon_sym_BSLASHb] = ACTIONS(2705),
    [anon_sym_BSLASHq] = ACTIONS(2705),
    [anon_sym_BSLASHqr] = ACTIONS(2705),
    [anon_sym_BSLASHqc] = ACTIONS(2705),
    [anon_sym_BSLASHqs] = ACTIONS(2705),
    [anon_sym_BSLASHqa] = ACTIONS(2705),
    [anon_sym_BSLASHqac] = ACTIONS(2705),
    [anon_sym_BSLASHqm] = ACTIONS(2705),
    [anon_sym_BSLASHqd] = ACTIONS(2705),
    [anon_sym_BSLASHlh] = ACTIONS(2705),
    [anon_sym_BSLASHli] = ACTIONS(2705),
    [anon_sym_BSLASHlim] = ACTIONS(2705),
    [anon_sym_BSLASHtr] = ACTIONS(2705),
    [anon_sym_BSLASHf] = ACTIONS(2705),
    [anon_sym_BSLASHfe] = ACTIONS(2705),
    [anon_sym_BSLASHef] = ACTIONS(2705),
    [anon_sym_BSLASHfm] = ACTIONS(2705),
    [anon_sym_BSLASHx] = ACTIONS(2705),
    [anon_sym_BSLASHxt] = ACTIONS(2705),
    [anon_sym_BSLASHrq] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASHfig] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASHpb] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesbe] = ACTIONS(2705),
    [anon_sym_BSLASHcat] = ACTIONS(2705),
  },
  [700] = {
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHref] = ACTIONS(2693),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHv] = ACTIONS(2693),
    [anon_sym_BSLASHva] = ACTIONS(2693),
    [anon_sym_BSLASHvp] = ACTIONS(2693),
    [anon_sym_BSLASHmte] = ACTIONS(2693),
    [anon_sym_BSLASHms] = ACTIONS(2693),
    [anon_sym_BSLASHs] = ACTIONS(2693),
    [anon_sym_BSLASHr] = ACTIONS(2693),
    [anon_sym_BSLASHsp] = ACTIONS(2693),
    [anon_sym_BSLASHd] = ACTIONS(2693),
    [anon_sym_BSLASHsd] = ACTIONS(2693),
    [anon_sym_BSLASHp] = ACTIONS(2693),
    [anon_sym_BSLASHm] = ACTIONS(2693),
    [anon_sym_BSLASHpo] = ACTIONS(2693),
    [anon_sym_BSLASHpr] = ACTIONS(2693),
    [anon_sym_BSLASHcls] = ACTIONS(2693),
    [anon_sym_BSLASHpmo] = ACTIONS(2693),
    [anon_sym_BSLASHpm] = ACTIONS(2693),
    [anon_sym_BSLASHpmc] = ACTIONS(2693),
    [anon_sym_BSLASHpmr] = ACTIONS(2693),
    [anon_sym_BSLASHpi] = ACTIONS(2693),
    [anon_sym_BSLASHmi] = ACTIONS(2693),
    [anon_sym_BSLASHnb] = ACTIONS(2693),
    [anon_sym_BSLASHpc] = ACTIONS(2693),
    [anon_sym_BSLASHph] = ACTIONS(2693),
    [anon_sym_BSLASHb] = ACTIONS(2693),
    [anon_sym_BSLASHq] = ACTIONS(2693),
    [anon_sym_BSLASHqr] = ACTIONS(2693),
    [anon_sym_BSLASHqc] = ACTIONS(2693),
    [anon_sym_BSLASHqs] = ACTIONS(2693),
    [anon_sym_BSLASHqa] = ACTIONS(2693),
    [anon_sym_BSLASHqac] = ACTIONS(2693),
    [anon_sym_BSLASHqm] = ACTIONS(2693),
    [anon_sym_BSLASHqd] = ACTIONS(2693),
    [anon_sym_BSLASHlh] = ACTIONS(2693),
    [anon_sym_BSLASHli] = ACTIONS(2693),
    [anon_sym_BSLASHlim] = ACTIONS(2693),
    [anon_sym_BSLASHtr] = ACTIONS(2693),
    [anon_sym_BSLASHf] = ACTIONS(2693),
    [anon_sym_BSLASHfe] = ACTIONS(2693),
    [anon_sym_BSLASHef] = ACTIONS(2693),
    [anon_sym_BSLASHfm] = ACTIONS(2693),
    [anon_sym_BSLASHx] = ACTIONS(2693),
    [anon_sym_BSLASHxt] = ACTIONS(2693),
    [anon_sym_BSLASHrq] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASHfig] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASHpb] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesbe] = ACTIONS(2693),
    [anon_sym_BSLASHcat] = ACTIONS(2693),
  },
  [701] = {
    [aux_sym_text_token1] = ACTIONS(5356),
    [anon_sym_BSLASHref] = ACTIONS(5358),
    [anon_sym_BSLASHsts] = ACTIONS(5358),
    [anon_sym_BSLASHrem] = ACTIONS(5358),
    [anon_sym_BSLASHrestore] = ACTIONS(5358),
    [anon_sym_BSLASHlit] = ACTIONS(5358),
    [anon_sym_BSLASHip] = ACTIONS(5358),
    [anon_sym_BSLASHv] = ACTIONS(5358),
    [anon_sym_BSLASHva] = ACTIONS(5358),
    [anon_sym_BSLASHvp] = ACTIONS(5358),
    [anon_sym_BSLASHmte] = ACTIONS(5358),
    [anon_sym_BSLASHms] = ACTIONS(5358),
    [anon_sym_BSLASHs] = ACTIONS(5358),
    [anon_sym_BSLASHr] = ACTIONS(5358),
    [anon_sym_BSLASHsp] = ACTIONS(5358),
    [anon_sym_BSLASHd] = ACTIONS(5358),
    [anon_sym_BSLASHsd] = ACTIONS(5358),
    [anon_sym_BSLASHp] = ACTIONS(5358),
    [anon_sym_BSLASHm] = ACTIONS(5358),
    [anon_sym_BSLASHpo] = ACTIONS(5358),
    [anon_sym_BSLASHpr] = ACTIONS(5358),
    [anon_sym_BSLASHcls] = ACTIONS(5358),
    [anon_sym_BSLASHpmo] = ACTIONS(5358),
    [anon_sym_BSLASHpm] = ACTIONS(5358),
    [anon_sym_BSLASHpmc] = ACTIONS(5358),
    [anon_sym_BSLASHpmr] = ACTIONS(5358),
    [anon_sym_BSLASHpi] = ACTIONS(5358),
    [anon_sym_BSLASHmi] = ACTIONS(5358),
    [anon_sym_BSLASHnb] = ACTIONS(5358),
    [anon_sym_BSLASHpc] = ACTIONS(5358),
    [anon_sym_BSLASHph] = ACTIONS(5358),
    [anon_sym_BSLASHb] = ACTIONS(5358),
    [anon_sym_BSLASHq] = ACTIONS(5358),
    [anon_sym_BSLASHqr] = ACTIONS(5358),
    [anon_sym_BSLASHqc] = ACTIONS(5358),
    [anon_sym_BSLASHqs] = ACTIONS(5358),
    [anon_sym_BSLASHqa] = ACTIONS(5358),
    [anon_sym_BSLASHqac] = ACTIONS(5358),
    [anon_sym_BSLASHqm] = ACTIONS(5358),
    [anon_sym_BSLASHqd] = ACTIONS(5358),
    [anon_sym_BSLASHlh] = ACTIONS(5358),
    [anon_sym_BSLASHli] = ACTIONS(5358),
    [anon_sym_BSLASHlim] = ACTIONS(5358),
    [anon_sym_BSLASHtr] = ACTIONS(5358),
    [anon_sym_BSLASHf] = ACTIONS(5358),
    [anon_sym_BSLASHfe] = ACTIONS(5358),
    [anon_sym_BSLASHef] = ACTIONS(5358),
    [anon_sym_BSLASHfm] = ACTIONS(5358),
    [anon_sym_BSLASHx] = ACTIONS(5358),
    [anon_sym_BSLASHxt] = ACTIONS(5358),
    [anon_sym_BSLASHrq] = ACTIONS(5358),
    [anon_sym_BSLASHadd] = ACTIONS(5358),
    [anon_sym_BSLASHbk] = ACTIONS(5358),
    [anon_sym_BSLASHdc] = ACTIONS(5358),
    [anon_sym_BSLASHk] = ACTIONS(5358),
    [anon_sym_BSLASHnd] = ACTIONS(5358),
    [anon_sym_BSLASHord] = ACTIONS(5358),
    [anon_sym_BSLASHpn] = ACTIONS(5358),
    [anon_sym_BSLASHpng] = ACTIONS(5358),
    [anon_sym_BSLASHaddpn] = ACTIONS(5358),
    [anon_sym_BSLASHqt] = ACTIONS(5358),
    [anon_sym_BSLASHsig] = ACTIONS(5358),
    [anon_sym_BSLASHsls] = ACTIONS(5358),
    [anon_sym_BSLASHtl] = ACTIONS(5358),
    [anon_sym_BSLASHwj] = ACTIONS(5358),
    [anon_sym_BSLASHem] = ACTIONS(5358),
    [anon_sym_BSLASHbd] = ACTIONS(5358),
    [anon_sym_BSLASHit] = ACTIONS(5358),
    [anon_sym_BSLASHbdit] = ACTIONS(5358),
    [anon_sym_BSLASHno] = ACTIONS(5358),
    [anon_sym_BSLASHsc] = ACTIONS(5358),
    [anon_sym_BSLASHsup] = ACTIONS(5358),
    [anon_sym_BSLASHndx] = ACTIONS(5358),
    [anon_sym_BSLASHpro] = ACTIONS(5358),
    [anon_sym_BSLASHrb] = ACTIONS(5358),
    [anon_sym_BSLASHw] = ACTIONS(5358),
    [anon_sym_BSLASHwg] = ACTIONS(5358),
    [anon_sym_BSLASHwh] = ACTIONS(5358),
    [anon_sym_BSLASHwa] = ACTIONS(5358),
    [anon_sym_BSLASHfig] = ACTIONS(5358),
    [anon_sym_BSLASHjmp] = ACTIONS(5358),
    [anon_sym_BSLASHpb] = ACTIONS(5358),
    [anon_sym_BSLASH] = ACTIONS(5358),
    [sym_milestoneStartTag] = ACTIONS(5358),
    [sym_milestoneEndTag] = ACTIONS(5358),
    [sym_zSpaceTag] = ACTIONS(5358),
    [anon_sym_BSLASHesbe] = ACTIONS(5358),
    [anon_sym_BSLASHcat] = ACTIONS(5358),
  },
  [702] = {
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHref] = ACTIONS(2697),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHv] = ACTIONS(2697),
    [anon_sym_BSLASHva] = ACTIONS(2697),
    [anon_sym_BSLASHvp] = ACTIONS(2697),
    [anon_sym_BSLASHmte] = ACTIONS(2697),
    [anon_sym_BSLASHms] = ACTIONS(2697),
    [anon_sym_BSLASHs] = ACTIONS(2697),
    [anon_sym_BSLASHr] = ACTIONS(2697),
    [anon_sym_BSLASHsp] = ACTIONS(2697),
    [anon_sym_BSLASHd] = ACTIONS(2697),
    [anon_sym_BSLASHsd] = ACTIONS(2697),
    [anon_sym_BSLASHp] = ACTIONS(2697),
    [anon_sym_BSLASHm] = ACTIONS(2697),
    [anon_sym_BSLASHpo] = ACTIONS(2697),
    [anon_sym_BSLASHpr] = ACTIONS(2697),
    [anon_sym_BSLASHcls] = ACTIONS(2697),
    [anon_sym_BSLASHpmo] = ACTIONS(2697),
    [anon_sym_BSLASHpm] = ACTIONS(2697),
    [anon_sym_BSLASHpmc] = ACTIONS(2697),
    [anon_sym_BSLASHpmr] = ACTIONS(2697),
    [anon_sym_BSLASHpi] = ACTIONS(2697),
    [anon_sym_BSLASHmi] = ACTIONS(2697),
    [anon_sym_BSLASHnb] = ACTIONS(2697),
    [anon_sym_BSLASHpc] = ACTIONS(2697),
    [anon_sym_BSLASHph] = ACTIONS(2697),
    [anon_sym_BSLASHb] = ACTIONS(2697),
    [anon_sym_BSLASHq] = ACTIONS(2697),
    [anon_sym_BSLASHqr] = ACTIONS(2697),
    [anon_sym_BSLASHqc] = ACTIONS(2697),
    [anon_sym_BSLASHqs] = ACTIONS(2697),
    [anon_sym_BSLASHqa] = ACTIONS(2697),
    [anon_sym_BSLASHqac] = ACTIONS(2697),
    [anon_sym_BSLASHqm] = ACTIONS(2697),
    [anon_sym_BSLASHqd] = ACTIONS(2697),
    [anon_sym_BSLASHlh] = ACTIONS(2697),
    [anon_sym_BSLASHli] = ACTIONS(2697),
    [anon_sym_BSLASHlim] = ACTIONS(2697),
    [anon_sym_BSLASHtr] = ACTIONS(2697),
    [anon_sym_BSLASHf] = ACTIONS(2697),
    [anon_sym_BSLASHfe] = ACTIONS(2697),
    [anon_sym_BSLASHef] = ACTIONS(2697),
    [anon_sym_BSLASHfm] = ACTIONS(2697),
    [anon_sym_BSLASHx] = ACTIONS(2697),
    [anon_sym_BSLASHxt] = ACTIONS(2697),
    [anon_sym_BSLASHrq] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASHfig] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASHpb] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesbe] = ACTIONS(2697),
    [anon_sym_BSLASHcat] = ACTIONS(2697),
  },
  [703] = {
    [aux_sym_text_token1] = ACTIONS(5466),
    [anon_sym_BSLASHref] = ACTIONS(5468),
    [anon_sym_BSLASHsts] = ACTIONS(5468),
    [anon_sym_BSLASHrem] = ACTIONS(5468),
    [anon_sym_BSLASHrestore] = ACTIONS(5468),
    [anon_sym_BSLASHlit] = ACTIONS(5468),
    [anon_sym_BSLASHip] = ACTIONS(5468),
    [anon_sym_BSLASHv] = ACTIONS(5468),
    [anon_sym_BSLASHva] = ACTIONS(5468),
    [anon_sym_BSLASHvp] = ACTIONS(5468),
    [anon_sym_BSLASHmte] = ACTIONS(5468),
    [anon_sym_BSLASHms] = ACTIONS(5468),
    [anon_sym_BSLASHs] = ACTIONS(5468),
    [anon_sym_BSLASHr] = ACTIONS(5468),
    [anon_sym_BSLASHsp] = ACTIONS(5468),
    [anon_sym_BSLASHd] = ACTIONS(5468),
    [anon_sym_BSLASHsd] = ACTIONS(5468),
    [anon_sym_BSLASHp] = ACTIONS(5468),
    [anon_sym_BSLASHm] = ACTIONS(5468),
    [anon_sym_BSLASHpo] = ACTIONS(5468),
    [anon_sym_BSLASHpr] = ACTIONS(5468),
    [anon_sym_BSLASHcls] = ACTIONS(5468),
    [anon_sym_BSLASHpmo] = ACTIONS(5468),
    [anon_sym_BSLASHpm] = ACTIONS(5468),
    [anon_sym_BSLASHpmc] = ACTIONS(5468),
    [anon_sym_BSLASHpmr] = ACTIONS(5468),
    [anon_sym_BSLASHpi] = ACTIONS(5468),
    [anon_sym_BSLASHmi] = ACTIONS(5468),
    [anon_sym_BSLASHnb] = ACTIONS(5468),
    [anon_sym_BSLASHpc] = ACTIONS(5468),
    [anon_sym_BSLASHph] = ACTIONS(5468),
    [anon_sym_BSLASHb] = ACTIONS(5468),
    [anon_sym_BSLASHq] = ACTIONS(5468),
    [anon_sym_BSLASHqr] = ACTIONS(5468),
    [anon_sym_BSLASHqc] = ACTIONS(5468),
    [anon_sym_BSLASHqs] = ACTIONS(5468),
    [anon_sym_BSLASHqa] = ACTIONS(5468),
    [anon_sym_BSLASHqac] = ACTIONS(5468),
    [anon_sym_BSLASHqm] = ACTIONS(5468),
    [anon_sym_BSLASHqd] = ACTIONS(5468),
    [anon_sym_BSLASHlh] = ACTIONS(5468),
    [anon_sym_BSLASHli] = ACTIONS(5468),
    [anon_sym_BSLASHlim] = ACTIONS(5468),
    [anon_sym_BSLASHtr] = ACTIONS(5468),
    [anon_sym_BSLASHf] = ACTIONS(5468),
    [anon_sym_BSLASHfe] = ACTIONS(5468),
    [anon_sym_BSLASHef] = ACTIONS(5468),
    [anon_sym_BSLASHfm] = ACTIONS(5468),
    [anon_sym_BSLASHx] = ACTIONS(5468),
    [anon_sym_BSLASHxt] = ACTIONS(5468),
    [anon_sym_BSLASHrq] = ACTIONS(5468),
    [anon_sym_BSLASHadd] = ACTIONS(5468),
    [anon_sym_BSLASHbk] = ACTIONS(5468),
    [anon_sym_BSLASHdc] = ACTIONS(5468),
    [anon_sym_BSLASHk] = ACTIONS(5468),
    [anon_sym_BSLASHnd] = ACTIONS(5468),
    [anon_sym_BSLASHord] = ACTIONS(5468),
    [anon_sym_BSLASHpn] = ACTIONS(5468),
    [anon_sym_BSLASHpng] = ACTIONS(5468),
    [anon_sym_BSLASHaddpn] = ACTIONS(5468),
    [anon_sym_BSLASHqt] = ACTIONS(5468),
    [anon_sym_BSLASHsig] = ACTIONS(5468),
    [anon_sym_BSLASHsls] = ACTIONS(5468),
    [anon_sym_BSLASHtl] = ACTIONS(5468),
    [anon_sym_BSLASHwj] = ACTIONS(5468),
    [anon_sym_BSLASHem] = ACTIONS(5468),
    [anon_sym_BSLASHbd] = ACTIONS(5468),
    [anon_sym_BSLASHit] = ACTIONS(5468),
    [anon_sym_BSLASHbdit] = ACTIONS(5468),
    [anon_sym_BSLASHno] = ACTIONS(5468),
    [anon_sym_BSLASHsc] = ACTIONS(5468),
    [anon_sym_BSLASHsup] = ACTIONS(5468),
    [anon_sym_BSLASHndx] = ACTIONS(5468),
    [anon_sym_BSLASHpro] = ACTIONS(5468),
    [anon_sym_BSLASHrb] = ACTIONS(5468),
    [anon_sym_BSLASHw] = ACTIONS(5468),
    [anon_sym_BSLASHwg] = ACTIONS(5468),
    [anon_sym_BSLASHwh] = ACTIONS(5468),
    [anon_sym_BSLASHwa] = ACTIONS(5468),
    [anon_sym_BSLASHfig] = ACTIONS(5468),
    [anon_sym_BSLASHjmp] = ACTIONS(5468),
    [anon_sym_BSLASHpb] = ACTIONS(5468),
    [anon_sym_BSLASH] = ACTIONS(5468),
    [sym_milestoneStartTag] = ACTIONS(5468),
    [sym_milestoneEndTag] = ACTIONS(5468),
    [sym_zSpaceTag] = ACTIONS(5468),
    [anon_sym_BSLASHesbe] = ACTIONS(5468),
    [anon_sym_BSLASHcat] = ACTIONS(5468),
  },
  [704] = {
    [aux_sym_text_token1] = ACTIONS(5360),
    [anon_sym_BSLASHref] = ACTIONS(5362),
    [anon_sym_BSLASHsts] = ACTIONS(5362),
    [anon_sym_BSLASHrem] = ACTIONS(5362),
    [anon_sym_BSLASHrestore] = ACTIONS(5362),
    [anon_sym_BSLASHlit] = ACTIONS(5362),
    [anon_sym_BSLASHip] = ACTIONS(5362),
    [anon_sym_BSLASHv] = ACTIONS(5362),
    [anon_sym_BSLASHva] = ACTIONS(5362),
    [anon_sym_BSLASHvp] = ACTIONS(5362),
    [anon_sym_BSLASHmte] = ACTIONS(5362),
    [anon_sym_BSLASHms] = ACTIONS(5362),
    [anon_sym_BSLASHs] = ACTIONS(5362),
    [anon_sym_BSLASHr] = ACTIONS(5362),
    [anon_sym_BSLASHsp] = ACTIONS(5362),
    [anon_sym_BSLASHd] = ACTIONS(5362),
    [anon_sym_BSLASHsd] = ACTIONS(5362),
    [anon_sym_BSLASHp] = ACTIONS(5362),
    [anon_sym_BSLASHm] = ACTIONS(5362),
    [anon_sym_BSLASHpo] = ACTIONS(5362),
    [anon_sym_BSLASHpr] = ACTIONS(5362),
    [anon_sym_BSLASHcls] = ACTIONS(5362),
    [anon_sym_BSLASHpmo] = ACTIONS(5362),
    [anon_sym_BSLASHpm] = ACTIONS(5362),
    [anon_sym_BSLASHpmc] = ACTIONS(5362),
    [anon_sym_BSLASHpmr] = ACTIONS(5362),
    [anon_sym_BSLASHpi] = ACTIONS(5362),
    [anon_sym_BSLASHmi] = ACTIONS(5362),
    [anon_sym_BSLASHnb] = ACTIONS(5362),
    [anon_sym_BSLASHpc] = ACTIONS(5362),
    [anon_sym_BSLASHph] = ACTIONS(5362),
    [anon_sym_BSLASHb] = ACTIONS(5362),
    [anon_sym_BSLASHq] = ACTIONS(5362),
    [anon_sym_BSLASHqr] = ACTIONS(5362),
    [anon_sym_BSLASHqc] = ACTIONS(5362),
    [anon_sym_BSLASHqs] = ACTIONS(5362),
    [anon_sym_BSLASHqa] = ACTIONS(5362),
    [anon_sym_BSLASHqac] = ACTIONS(5362),
    [anon_sym_BSLASHqm] = ACTIONS(5362),
    [anon_sym_BSLASHqd] = ACTIONS(5362),
    [anon_sym_BSLASHlh] = ACTIONS(5362),
    [anon_sym_BSLASHli] = ACTIONS(5362),
    [anon_sym_BSLASHlim] = ACTIONS(5362),
    [anon_sym_BSLASHtr] = ACTIONS(5362),
    [anon_sym_BSLASHf] = ACTIONS(5362),
    [anon_sym_BSLASHfe] = ACTIONS(5362),
    [anon_sym_BSLASHef] = ACTIONS(5362),
    [anon_sym_BSLASHfm] = ACTIONS(5362),
    [anon_sym_BSLASHx] = ACTIONS(5362),
    [anon_sym_BSLASHxt] = ACTIONS(5362),
    [anon_sym_BSLASHrq] = ACTIONS(5362),
    [anon_sym_BSLASHadd] = ACTIONS(5362),
    [anon_sym_BSLASHbk] = ACTIONS(5362),
    [anon_sym_BSLASHdc] = ACTIONS(5362),
    [anon_sym_BSLASHk] = ACTIONS(5362),
    [anon_sym_BSLASHnd] = ACTIONS(5362),
    [anon_sym_BSLASHord] = ACTIONS(5362),
    [anon_sym_BSLASHpn] = ACTIONS(5362),
    [anon_sym_BSLASHpng] = ACTIONS(5362),
    [anon_sym_BSLASHaddpn] = ACTIONS(5362),
    [anon_sym_BSLASHqt] = ACTIONS(5362),
    [anon_sym_BSLASHsig] = ACTIONS(5362),
    [anon_sym_BSLASHsls] = ACTIONS(5362),
    [anon_sym_BSLASHtl] = ACTIONS(5362),
    [anon_sym_BSLASHwj] = ACTIONS(5362),
    [anon_sym_BSLASHem] = ACTIONS(5362),
    [anon_sym_BSLASHbd] = ACTIONS(5362),
    [anon_sym_BSLASHit] = ACTIONS(5362),
    [anon_sym_BSLASHbdit] = ACTIONS(5362),
    [anon_sym_BSLASHno] = ACTIONS(5362),
    [anon_sym_BSLASHsc] = ACTIONS(5362),
    [anon_sym_BSLASHsup] = ACTIONS(5362),
    [anon_sym_BSLASHndx] = ACTIONS(5362),
    [anon_sym_BSLASHpro] = ACTIONS(5362),
    [anon_sym_BSLASHrb] = ACTIONS(5362),
    [anon_sym_BSLASHw] = ACTIONS(5362),
    [anon_sym_BSLASHwg] = ACTIONS(5362),
    [anon_sym_BSLASHwh] = ACTIONS(5362),
    [anon_sym_BSLASHwa] = ACTIONS(5362),
    [anon_sym_BSLASHfig] = ACTIONS(5362),
    [anon_sym_BSLASHjmp] = ACTIONS(5362),
    [anon_sym_BSLASHpb] = ACTIONS(5362),
    [anon_sym_BSLASH] = ACTIONS(5362),
    [sym_milestoneStartTag] = ACTIONS(5362),
    [sym_milestoneEndTag] = ACTIONS(5362),
    [sym_zSpaceTag] = ACTIONS(5362),
    [anon_sym_BSLASHesbe] = ACTIONS(5362),
    [anon_sym_BSLASHcat] = ACTIONS(5362),
  },
  [705] = {
    [aux_sym_text_token1] = ACTIONS(5364),
    [anon_sym_BSLASHref] = ACTIONS(5366),
    [anon_sym_BSLASHsts] = ACTIONS(5366),
    [anon_sym_BSLASHrem] = ACTIONS(5366),
    [anon_sym_BSLASHrestore] = ACTIONS(5366),
    [anon_sym_BSLASHlit] = ACTIONS(5366),
    [anon_sym_BSLASHip] = ACTIONS(5366),
    [anon_sym_BSLASHv] = ACTIONS(5366),
    [anon_sym_BSLASHva] = ACTIONS(5366),
    [anon_sym_BSLASHvp] = ACTIONS(5366),
    [anon_sym_BSLASHmte] = ACTIONS(5366),
    [anon_sym_BSLASHms] = ACTIONS(5366),
    [anon_sym_BSLASHs] = ACTIONS(5366),
    [anon_sym_BSLASHr] = ACTIONS(5366),
    [anon_sym_BSLASHsp] = ACTIONS(5366),
    [anon_sym_BSLASHd] = ACTIONS(5366),
    [anon_sym_BSLASHsd] = ACTIONS(5366),
    [anon_sym_BSLASHp] = ACTIONS(5366),
    [anon_sym_BSLASHm] = ACTIONS(5366),
    [anon_sym_BSLASHpo] = ACTIONS(5366),
    [anon_sym_BSLASHpr] = ACTIONS(5366),
    [anon_sym_BSLASHcls] = ACTIONS(5366),
    [anon_sym_BSLASHpmo] = ACTIONS(5366),
    [anon_sym_BSLASHpm] = ACTIONS(5366),
    [anon_sym_BSLASHpmc] = ACTIONS(5366),
    [anon_sym_BSLASHpmr] = ACTIONS(5366),
    [anon_sym_BSLASHpi] = ACTIONS(5366),
    [anon_sym_BSLASHmi] = ACTIONS(5366),
    [anon_sym_BSLASHnb] = ACTIONS(5366),
    [anon_sym_BSLASHpc] = ACTIONS(5366),
    [anon_sym_BSLASHph] = ACTIONS(5366),
    [anon_sym_BSLASHb] = ACTIONS(5366),
    [anon_sym_BSLASHq] = ACTIONS(5366),
    [anon_sym_BSLASHqr] = ACTIONS(5366),
    [anon_sym_BSLASHqc] = ACTIONS(5366),
    [anon_sym_BSLASHqs] = ACTIONS(5366),
    [anon_sym_BSLASHqa] = ACTIONS(5366),
    [anon_sym_BSLASHqac] = ACTIONS(5366),
    [anon_sym_BSLASHqm] = ACTIONS(5366),
    [anon_sym_BSLASHqd] = ACTIONS(5366),
    [anon_sym_BSLASHlh] = ACTIONS(5366),
    [anon_sym_BSLASHli] = ACTIONS(5366),
    [anon_sym_BSLASHlim] = ACTIONS(5366),
    [anon_sym_BSLASHtr] = ACTIONS(5366),
    [anon_sym_BSLASHf] = ACTIONS(5366),
    [anon_sym_BSLASHfe] = ACTIONS(5366),
    [anon_sym_BSLASHef] = ACTIONS(5366),
    [anon_sym_BSLASHfm] = ACTIONS(5366),
    [anon_sym_BSLASHx] = ACTIONS(5366),
    [anon_sym_BSLASHxt] = ACTIONS(5366),
    [anon_sym_BSLASHrq] = ACTIONS(5366),
    [anon_sym_BSLASHadd] = ACTIONS(5366),
    [anon_sym_BSLASHbk] = ACTIONS(5366),
    [anon_sym_BSLASHdc] = ACTIONS(5366),
    [anon_sym_BSLASHk] = ACTIONS(5366),
    [anon_sym_BSLASHnd] = ACTIONS(5366),
    [anon_sym_BSLASHord] = ACTIONS(5366),
    [anon_sym_BSLASHpn] = ACTIONS(5366),
    [anon_sym_BSLASHpng] = ACTIONS(5366),
    [anon_sym_BSLASHaddpn] = ACTIONS(5366),
    [anon_sym_BSLASHqt] = ACTIONS(5366),
    [anon_sym_BSLASHsig] = ACTIONS(5366),
    [anon_sym_BSLASHsls] = ACTIONS(5366),
    [anon_sym_BSLASHtl] = ACTIONS(5366),
    [anon_sym_BSLASHwj] = ACTIONS(5366),
    [anon_sym_BSLASHem] = ACTIONS(5366),
    [anon_sym_BSLASHbd] = ACTIONS(5366),
    [anon_sym_BSLASHit] = ACTIONS(5366),
    [anon_sym_BSLASHbdit] = ACTIONS(5366),
    [anon_sym_BSLASHno] = ACTIONS(5366),
    [anon_sym_BSLASHsc] = ACTIONS(5366),
    [anon_sym_BSLASHsup] = ACTIONS(5366),
    [anon_sym_BSLASHndx] = ACTIONS(5366),
    [anon_sym_BSLASHpro] = ACTIONS(5366),
    [anon_sym_BSLASHrb] = ACTIONS(5366),
    [anon_sym_BSLASHw] = ACTIONS(5366),
    [anon_sym_BSLASHwg] = ACTIONS(5366),
    [anon_sym_BSLASHwh] = ACTIONS(5366),
    [anon_sym_BSLASHwa] = ACTIONS(5366),
    [anon_sym_BSLASHfig] = ACTIONS(5366),
    [anon_sym_BSLASHjmp] = ACTIONS(5366),
    [anon_sym_BSLASHpb] = ACTIONS(5366),
    [anon_sym_BSLASH] = ACTIONS(5366),
    [sym_milestoneStartTag] = ACTIONS(5366),
    [sym_milestoneEndTag] = ACTIONS(5366),
    [sym_zSpaceTag] = ACTIONS(5366),
    [anon_sym_BSLASHesbe] = ACTIONS(5366),
    [anon_sym_BSLASHcat] = ACTIONS(5366),
  },
  [706] = {
    [aux_sym_text_token1] = ACTIONS(13),
    [anon_sym_BSLASHref] = ACTIONS(15),
    [anon_sym_BSLASHsts] = ACTIONS(15),
    [anon_sym_BSLASHrem] = ACTIONS(15),
    [anon_sym_BSLASHrestore] = ACTIONS(15),
    [anon_sym_BSLASHlit] = ACTIONS(15),
    [anon_sym_BSLASHip] = ACTIONS(15),
    [anon_sym_BSLASHv] = ACTIONS(15),
    [anon_sym_BSLASHva] = ACTIONS(15),
    [anon_sym_BSLASHvp] = ACTIONS(15),
    [anon_sym_BSLASHmte] = ACTIONS(15),
    [anon_sym_BSLASHms] = ACTIONS(15),
    [anon_sym_BSLASHs] = ACTIONS(15),
    [anon_sym_BSLASHr] = ACTIONS(15),
    [anon_sym_BSLASHsp] = ACTIONS(15),
    [anon_sym_BSLASHd] = ACTIONS(15),
    [anon_sym_BSLASHsd] = ACTIONS(15),
    [anon_sym_BSLASHp] = ACTIONS(15),
    [anon_sym_BSLASHm] = ACTIONS(15),
    [anon_sym_BSLASHpo] = ACTIONS(15),
    [anon_sym_BSLASHpr] = ACTIONS(15),
    [anon_sym_BSLASHcls] = ACTIONS(15),
    [anon_sym_BSLASHpmo] = ACTIONS(15),
    [anon_sym_BSLASHpm] = ACTIONS(15),
    [anon_sym_BSLASHpmc] = ACTIONS(15),
    [anon_sym_BSLASHpmr] = ACTIONS(15),
    [anon_sym_BSLASHpi] = ACTIONS(15),
    [anon_sym_BSLASHmi] = ACTIONS(15),
    [anon_sym_BSLASHnb] = ACTIONS(15),
    [anon_sym_BSLASHpc] = ACTIONS(15),
    [anon_sym_BSLASHph] = ACTIONS(15),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [anon_sym_BSLASHq] = ACTIONS(15),
    [anon_sym_BSLASHqr] = ACTIONS(15),
    [anon_sym_BSLASHqc] = ACTIONS(15),
    [anon_sym_BSLASHqs] = ACTIONS(15),
    [anon_sym_BSLASHqa] = ACTIONS(15),
    [anon_sym_BSLASHqac] = ACTIONS(15),
    [anon_sym_BSLASHqm] = ACTIONS(15),
    [anon_sym_BSLASHqd] = ACTIONS(15),
    [anon_sym_BSLASHlh] = ACTIONS(15),
    [anon_sym_BSLASHli] = ACTIONS(15),
    [anon_sym_BSLASHlim] = ACTIONS(15),
    [anon_sym_BSLASHtr] = ACTIONS(15),
    [anon_sym_BSLASHf] = ACTIONS(15),
    [anon_sym_BSLASHfe] = ACTIONS(15),
    [anon_sym_BSLASHef] = ACTIONS(15),
    [anon_sym_BSLASHfm] = ACTIONS(15),
    [anon_sym_BSLASHx] = ACTIONS(15),
    [anon_sym_BSLASHxt] = ACTIONS(15),
    [anon_sym_BSLASHrq] = ACTIONS(15),
    [anon_sym_BSLASHadd] = ACTIONS(15),
    [anon_sym_BSLASHbk] = ACTIONS(15),
    [anon_sym_BSLASHdc] = ACTIONS(15),
    [anon_sym_BSLASHk] = ACTIONS(15),
    [anon_sym_BSLASHnd] = ACTIONS(15),
    [anon_sym_BSLASHord] = ACTIONS(15),
    [anon_sym_BSLASHpn] = ACTIONS(15),
    [anon_sym_BSLASHpng] = ACTIONS(15),
    [anon_sym_BSLASHaddpn] = ACTIONS(15),
    [anon_sym_BSLASHqt] = ACTIONS(15),
    [anon_sym_BSLASHsig] = ACTIONS(15),
    [anon_sym_BSLASHsls] = ACTIONS(15),
    [anon_sym_BSLASHtl] = ACTIONS(15),
    [anon_sym_BSLASHwj] = ACTIONS(15),
    [anon_sym_BSLASHem] = ACTIONS(15),
    [anon_sym_BSLASHbd] = ACTIONS(15),
    [anon_sym_BSLASHit] = ACTIONS(15),
    [anon_sym_BSLASHbdit] = ACTIONS(15),
    [anon_sym_BSLASHno] = ACTIONS(15),
    [anon_sym_BSLASHsc] = ACTIONS(15),
    [anon_sym_BSLASHsup] = ACTIONS(15),
    [anon_sym_BSLASHndx] = ACTIONS(15),
    [anon_sym_BSLASHpro] = ACTIONS(15),
    [anon_sym_BSLASHrb] = ACTIONS(15),
    [anon_sym_BSLASHw] = ACTIONS(15),
    [anon_sym_BSLASHwg] = ACTIONS(15),
    [anon_sym_BSLASHwh] = ACTIONS(15),
    [anon_sym_BSLASHwa] = ACTIONS(15),
    [anon_sym_BSLASHfig] = ACTIONS(15),
    [anon_sym_BSLASHjmp] = ACTIONS(15),
    [anon_sym_BSLASHpb] = ACTIONS(15),
    [anon_sym_BSLASH] = ACTIONS(15),
    [sym_milestoneStartTag] = ACTIONS(15),
    [sym_milestoneEndTag] = ACTIONS(15),
    [sym_zSpaceTag] = ACTIONS(15),
    [anon_sym_BSLASHesbe] = ACTIONS(15),
    [anon_sym_BSLASHcat] = ACTIONS(15),
  },
  [707] = {
    [aux_sym_text_token1] = ACTIONS(5368),
    [anon_sym_BSLASHref] = ACTIONS(5370),
    [anon_sym_BSLASHsts] = ACTIONS(5370),
    [anon_sym_BSLASHrem] = ACTIONS(5370),
    [anon_sym_BSLASHrestore] = ACTIONS(5370),
    [anon_sym_BSLASHlit] = ACTIONS(5370),
    [anon_sym_BSLASHip] = ACTIONS(5370),
    [anon_sym_BSLASHv] = ACTIONS(5370),
    [anon_sym_BSLASHva] = ACTIONS(5370),
    [anon_sym_BSLASHvp] = ACTIONS(5370),
    [anon_sym_BSLASHmte] = ACTIONS(5370),
    [anon_sym_BSLASHms] = ACTIONS(5370),
    [anon_sym_BSLASHs] = ACTIONS(5370),
    [anon_sym_BSLASHr] = ACTIONS(5370),
    [anon_sym_BSLASHsp] = ACTIONS(5370),
    [anon_sym_BSLASHd] = ACTIONS(5370),
    [anon_sym_BSLASHsd] = ACTIONS(5370),
    [anon_sym_BSLASHp] = ACTIONS(5370),
    [anon_sym_BSLASHm] = ACTIONS(5370),
    [anon_sym_BSLASHpo] = ACTIONS(5370),
    [anon_sym_BSLASHpr] = ACTIONS(5370),
    [anon_sym_BSLASHcls] = ACTIONS(5370),
    [anon_sym_BSLASHpmo] = ACTIONS(5370),
    [anon_sym_BSLASHpm] = ACTIONS(5370),
    [anon_sym_BSLASHpmc] = ACTIONS(5370),
    [anon_sym_BSLASHpmr] = ACTIONS(5370),
    [anon_sym_BSLASHpi] = ACTIONS(5370),
    [anon_sym_BSLASHmi] = ACTIONS(5370),
    [anon_sym_BSLASHnb] = ACTIONS(5370),
    [anon_sym_BSLASHpc] = ACTIONS(5370),
    [anon_sym_BSLASHph] = ACTIONS(5370),
    [anon_sym_BSLASHb] = ACTIONS(5370),
    [anon_sym_BSLASHq] = ACTIONS(5370),
    [anon_sym_BSLASHqr] = ACTIONS(5370),
    [anon_sym_BSLASHqc] = ACTIONS(5370),
    [anon_sym_BSLASHqs] = ACTIONS(5370),
    [anon_sym_BSLASHqa] = ACTIONS(5370),
    [anon_sym_BSLASHqac] = ACTIONS(5370),
    [anon_sym_BSLASHqm] = ACTIONS(5370),
    [anon_sym_BSLASHqd] = ACTIONS(5370),
    [anon_sym_BSLASHlh] = ACTIONS(5370),
    [anon_sym_BSLASHli] = ACTIONS(5370),
    [anon_sym_BSLASHlim] = ACTIONS(5370),
    [anon_sym_BSLASHtr] = ACTIONS(5370),
    [anon_sym_BSLASHf] = ACTIONS(5370),
    [anon_sym_BSLASHfe] = ACTIONS(5370),
    [anon_sym_BSLASHef] = ACTIONS(5370),
    [anon_sym_BSLASHfm] = ACTIONS(5370),
    [anon_sym_BSLASHx] = ACTIONS(5370),
    [anon_sym_BSLASHxt] = ACTIONS(5370),
    [anon_sym_BSLASHrq] = ACTIONS(5370),
    [anon_sym_BSLASHadd] = ACTIONS(5370),
    [anon_sym_BSLASHbk] = ACTIONS(5370),
    [anon_sym_BSLASHdc] = ACTIONS(5370),
    [anon_sym_BSLASHk] = ACTIONS(5370),
    [anon_sym_BSLASHnd] = ACTIONS(5370),
    [anon_sym_BSLASHord] = ACTIONS(5370),
    [anon_sym_BSLASHpn] = ACTIONS(5370),
    [anon_sym_BSLASHpng] = ACTIONS(5370),
    [anon_sym_BSLASHaddpn] = ACTIONS(5370),
    [anon_sym_BSLASHqt] = ACTIONS(5370),
    [anon_sym_BSLASHsig] = ACTIONS(5370),
    [anon_sym_BSLASHsls] = ACTIONS(5370),
    [anon_sym_BSLASHtl] = ACTIONS(5370),
    [anon_sym_BSLASHwj] = ACTIONS(5370),
    [anon_sym_BSLASHem] = ACTIONS(5370),
    [anon_sym_BSLASHbd] = ACTIONS(5370),
    [anon_sym_BSLASHit] = ACTIONS(5370),
    [anon_sym_BSLASHbdit] = ACTIONS(5370),
    [anon_sym_BSLASHno] = ACTIONS(5370),
    [anon_sym_BSLASHsc] = ACTIONS(5370),
    [anon_sym_BSLASHsup] = ACTIONS(5370),
    [anon_sym_BSLASHndx] = ACTIONS(5370),
    [anon_sym_BSLASHpro] = ACTIONS(5370),
    [anon_sym_BSLASHrb] = ACTIONS(5370),
    [anon_sym_BSLASHw] = ACTIONS(5370),
    [anon_sym_BSLASHwg] = ACTIONS(5370),
    [anon_sym_BSLASHwh] = ACTIONS(5370),
    [anon_sym_BSLASHwa] = ACTIONS(5370),
    [anon_sym_BSLASHfig] = ACTIONS(5370),
    [anon_sym_BSLASHjmp] = ACTIONS(5370),
    [anon_sym_BSLASHpb] = ACTIONS(5370),
    [anon_sym_BSLASH] = ACTIONS(5370),
    [sym_milestoneStartTag] = ACTIONS(5370),
    [sym_milestoneEndTag] = ACTIONS(5370),
    [sym_zSpaceTag] = ACTIONS(5370),
    [anon_sym_BSLASHesbe] = ACTIONS(5370),
    [anon_sym_BSLASHcat] = ACTIONS(5370),
  },
  [708] = {
    [aux_sym_text_token1] = ACTIONS(5372),
    [anon_sym_BSLASHref] = ACTIONS(5374),
    [anon_sym_BSLASHsts] = ACTIONS(5374),
    [anon_sym_BSLASHrem] = ACTIONS(5374),
    [anon_sym_BSLASHrestore] = ACTIONS(5374),
    [anon_sym_BSLASHlit] = ACTIONS(5374),
    [anon_sym_BSLASHip] = ACTIONS(5374),
    [anon_sym_BSLASHv] = ACTIONS(5374),
    [anon_sym_BSLASHva] = ACTIONS(5374),
    [anon_sym_BSLASHvp] = ACTIONS(5374),
    [anon_sym_BSLASHmte] = ACTIONS(5374),
    [anon_sym_BSLASHms] = ACTIONS(5374),
    [anon_sym_BSLASHs] = ACTIONS(5374),
    [anon_sym_BSLASHr] = ACTIONS(5374),
    [anon_sym_BSLASHsp] = ACTIONS(5374),
    [anon_sym_BSLASHd] = ACTIONS(5374),
    [anon_sym_BSLASHsd] = ACTIONS(5374),
    [anon_sym_BSLASHp] = ACTIONS(5374),
    [anon_sym_BSLASHm] = ACTIONS(5374),
    [anon_sym_BSLASHpo] = ACTIONS(5374),
    [anon_sym_BSLASHpr] = ACTIONS(5374),
    [anon_sym_BSLASHcls] = ACTIONS(5374),
    [anon_sym_BSLASHpmo] = ACTIONS(5374),
    [anon_sym_BSLASHpm] = ACTIONS(5374),
    [anon_sym_BSLASHpmc] = ACTIONS(5374),
    [anon_sym_BSLASHpmr] = ACTIONS(5374),
    [anon_sym_BSLASHpi] = ACTIONS(5374),
    [anon_sym_BSLASHmi] = ACTIONS(5374),
    [anon_sym_BSLASHnb] = ACTIONS(5374),
    [anon_sym_BSLASHpc] = ACTIONS(5374),
    [anon_sym_BSLASHph] = ACTIONS(5374),
    [anon_sym_BSLASHb] = ACTIONS(5374),
    [anon_sym_BSLASHq] = ACTIONS(5374),
    [anon_sym_BSLASHqr] = ACTIONS(5374),
    [anon_sym_BSLASHqc] = ACTIONS(5374),
    [anon_sym_BSLASHqs] = ACTIONS(5374),
    [anon_sym_BSLASHqa] = ACTIONS(5374),
    [anon_sym_BSLASHqac] = ACTIONS(5374),
    [anon_sym_BSLASHqm] = ACTIONS(5374),
    [anon_sym_BSLASHqd] = ACTIONS(5374),
    [anon_sym_BSLASHlh] = ACTIONS(5374),
    [anon_sym_BSLASHli] = ACTIONS(5374),
    [anon_sym_BSLASHlim] = ACTIONS(5374),
    [anon_sym_BSLASHtr] = ACTIONS(5374),
    [anon_sym_BSLASHf] = ACTIONS(5374),
    [anon_sym_BSLASHfe] = ACTIONS(5374),
    [anon_sym_BSLASHef] = ACTIONS(5374),
    [anon_sym_BSLASHfm] = ACTIONS(5374),
    [anon_sym_BSLASHx] = ACTIONS(5374),
    [anon_sym_BSLASHxt] = ACTIONS(5374),
    [anon_sym_BSLASHrq] = ACTIONS(5374),
    [anon_sym_BSLASHadd] = ACTIONS(5374),
    [anon_sym_BSLASHbk] = ACTIONS(5374),
    [anon_sym_BSLASHdc] = ACTIONS(5374),
    [anon_sym_BSLASHk] = ACTIONS(5374),
    [anon_sym_BSLASHnd] = ACTIONS(5374),
    [anon_sym_BSLASHord] = ACTIONS(5374),
    [anon_sym_BSLASHpn] = ACTIONS(5374),
    [anon_sym_BSLASHpng] = ACTIONS(5374),
    [anon_sym_BSLASHaddpn] = ACTIONS(5374),
    [anon_sym_BSLASHqt] = ACTIONS(5374),
    [anon_sym_BSLASHsig] = ACTIONS(5374),
    [anon_sym_BSLASHsls] = ACTIONS(5374),
    [anon_sym_BSLASHtl] = ACTIONS(5374),
    [anon_sym_BSLASHwj] = ACTIONS(5374),
    [anon_sym_BSLASHem] = ACTIONS(5374),
    [anon_sym_BSLASHbd] = ACTIONS(5374),
    [anon_sym_BSLASHit] = ACTIONS(5374),
    [anon_sym_BSLASHbdit] = ACTIONS(5374),
    [anon_sym_BSLASHno] = ACTIONS(5374),
    [anon_sym_BSLASHsc] = ACTIONS(5374),
    [anon_sym_BSLASHsup] = ACTIONS(5374),
    [anon_sym_BSLASHndx] = ACTIONS(5374),
    [anon_sym_BSLASHpro] = ACTIONS(5374),
    [anon_sym_BSLASHrb] = ACTIONS(5374),
    [anon_sym_BSLASHw] = ACTIONS(5374),
    [anon_sym_BSLASHwg] = ACTIONS(5374),
    [anon_sym_BSLASHwh] = ACTIONS(5374),
    [anon_sym_BSLASHwa] = ACTIONS(5374),
    [anon_sym_BSLASHfig] = ACTIONS(5374),
    [anon_sym_BSLASHjmp] = ACTIONS(5374),
    [anon_sym_BSLASHpb] = ACTIONS(5374),
    [anon_sym_BSLASH] = ACTIONS(5374),
    [sym_milestoneStartTag] = ACTIONS(5374),
    [sym_milestoneEndTag] = ACTIONS(5374),
    [sym_zSpaceTag] = ACTIONS(5374),
    [anon_sym_BSLASHesbe] = ACTIONS(5374),
    [anon_sym_BSLASHcat] = ACTIONS(5374),
  },
  [709] = {
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHref] = ACTIONS(2737),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHv] = ACTIONS(2737),
    [anon_sym_BSLASHva] = ACTIONS(2737),
    [anon_sym_BSLASHvp] = ACTIONS(2737),
    [anon_sym_BSLASHmte] = ACTIONS(2737),
    [anon_sym_BSLASHms] = ACTIONS(2737),
    [anon_sym_BSLASHs] = ACTIONS(2737),
    [anon_sym_BSLASHr] = ACTIONS(2737),
    [anon_sym_BSLASHsp] = ACTIONS(2737),
    [anon_sym_BSLASHd] = ACTIONS(2737),
    [anon_sym_BSLASHsd] = ACTIONS(2737),
    [anon_sym_BSLASHp] = ACTIONS(2737),
    [anon_sym_BSLASHm] = ACTIONS(2737),
    [anon_sym_BSLASHpo] = ACTIONS(2737),
    [anon_sym_BSLASHpr] = ACTIONS(2737),
    [anon_sym_BSLASHcls] = ACTIONS(2737),
    [anon_sym_BSLASHpmo] = ACTIONS(2737),
    [anon_sym_BSLASHpm] = ACTIONS(2737),
    [anon_sym_BSLASHpmc] = ACTIONS(2737),
    [anon_sym_BSLASHpmr] = ACTIONS(2737),
    [anon_sym_BSLASHpi] = ACTIONS(2737),
    [anon_sym_BSLASHmi] = ACTIONS(2737),
    [anon_sym_BSLASHnb] = ACTIONS(2737),
    [anon_sym_BSLASHpc] = ACTIONS(2737),
    [anon_sym_BSLASHph] = ACTIONS(2737),
    [anon_sym_BSLASHb] = ACTIONS(2737),
    [anon_sym_BSLASHq] = ACTIONS(2737),
    [anon_sym_BSLASHqr] = ACTIONS(2737),
    [anon_sym_BSLASHqc] = ACTIONS(2737),
    [anon_sym_BSLASHqs] = ACTIONS(2737),
    [anon_sym_BSLASHqa] = ACTIONS(2737),
    [anon_sym_BSLASHqac] = ACTIONS(2737),
    [anon_sym_BSLASHqm] = ACTIONS(2737),
    [anon_sym_BSLASHqd] = ACTIONS(2737),
    [anon_sym_BSLASHlh] = ACTIONS(2737),
    [anon_sym_BSLASHli] = ACTIONS(2737),
    [anon_sym_BSLASHlim] = ACTIONS(2737),
    [anon_sym_BSLASHtr] = ACTIONS(2737),
    [anon_sym_BSLASHf] = ACTIONS(2737),
    [anon_sym_BSLASHfe] = ACTIONS(2737),
    [anon_sym_BSLASHef] = ACTIONS(2737),
    [anon_sym_BSLASHfm] = ACTIONS(2737),
    [anon_sym_BSLASHx] = ACTIONS(2737),
    [anon_sym_BSLASHxt] = ACTIONS(2737),
    [anon_sym_BSLASHrq] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASHfig] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASHpb] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesbe] = ACTIONS(2737),
    [anon_sym_BSLASHcat] = ACTIONS(2737),
  },
  [710] = {
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHref] = ACTIONS(2733),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHv] = ACTIONS(2733),
    [anon_sym_BSLASHva] = ACTIONS(2733),
    [anon_sym_BSLASHvp] = ACTIONS(2733),
    [anon_sym_BSLASHmte] = ACTIONS(2733),
    [anon_sym_BSLASHms] = ACTIONS(2733),
    [anon_sym_BSLASHs] = ACTIONS(2733),
    [anon_sym_BSLASHr] = ACTIONS(2733),
    [anon_sym_BSLASHsp] = ACTIONS(2733),
    [anon_sym_BSLASHd] = ACTIONS(2733),
    [anon_sym_BSLASHsd] = ACTIONS(2733),
    [anon_sym_BSLASHp] = ACTIONS(2733),
    [anon_sym_BSLASHm] = ACTIONS(2733),
    [anon_sym_BSLASHpo] = ACTIONS(2733),
    [anon_sym_BSLASHpr] = ACTIONS(2733),
    [anon_sym_BSLASHcls] = ACTIONS(2733),
    [anon_sym_BSLASHpmo] = ACTIONS(2733),
    [anon_sym_BSLASHpm] = ACTIONS(2733),
    [anon_sym_BSLASHpmc] = ACTIONS(2733),
    [anon_sym_BSLASHpmr] = ACTIONS(2733),
    [anon_sym_BSLASHpi] = ACTIONS(2733),
    [anon_sym_BSLASHmi] = ACTIONS(2733),
    [anon_sym_BSLASHnb] = ACTIONS(2733),
    [anon_sym_BSLASHpc] = ACTIONS(2733),
    [anon_sym_BSLASHph] = ACTIONS(2733),
    [anon_sym_BSLASHb] = ACTIONS(2733),
    [anon_sym_BSLASHq] = ACTIONS(2733),
    [anon_sym_BSLASHqr] = ACTIONS(2733),
    [anon_sym_BSLASHqc] = ACTIONS(2733),
    [anon_sym_BSLASHqs] = ACTIONS(2733),
    [anon_sym_BSLASHqa] = ACTIONS(2733),
    [anon_sym_BSLASHqac] = ACTIONS(2733),
    [anon_sym_BSLASHqm] = ACTIONS(2733),
    [anon_sym_BSLASHqd] = ACTIONS(2733),
    [anon_sym_BSLASHlh] = ACTIONS(2733),
    [anon_sym_BSLASHli] = ACTIONS(2733),
    [anon_sym_BSLASHlim] = ACTIONS(2733),
    [anon_sym_BSLASHtr] = ACTIONS(2733),
    [anon_sym_BSLASHf] = ACTIONS(2733),
    [anon_sym_BSLASHfe] = ACTIONS(2733),
    [anon_sym_BSLASHef] = ACTIONS(2733),
    [anon_sym_BSLASHfm] = ACTIONS(2733),
    [anon_sym_BSLASHx] = ACTIONS(2733),
    [anon_sym_BSLASHxt] = ACTIONS(2733),
    [anon_sym_BSLASHrq] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASHfig] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASHpb] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesbe] = ACTIONS(2733),
    [anon_sym_BSLASHcat] = ACTIONS(2733),
  },
  [711] = {
    [aux_sym_text_token1] = ACTIONS(5376),
    [anon_sym_BSLASHref] = ACTIONS(5378),
    [anon_sym_BSLASHsts] = ACTIONS(5378),
    [anon_sym_BSLASHrem] = ACTIONS(5378),
    [anon_sym_BSLASHrestore] = ACTIONS(5378),
    [anon_sym_BSLASHlit] = ACTIONS(5378),
    [anon_sym_BSLASHip] = ACTIONS(5378),
    [anon_sym_BSLASHv] = ACTIONS(5378),
    [anon_sym_BSLASHva] = ACTIONS(5378),
    [anon_sym_BSLASHvp] = ACTIONS(5378),
    [anon_sym_BSLASHmte] = ACTIONS(5378),
    [anon_sym_BSLASHms] = ACTIONS(5378),
    [anon_sym_BSLASHs] = ACTIONS(5378),
    [anon_sym_BSLASHr] = ACTIONS(5378),
    [anon_sym_BSLASHsp] = ACTIONS(5378),
    [anon_sym_BSLASHd] = ACTIONS(5378),
    [anon_sym_BSLASHsd] = ACTIONS(5378),
    [anon_sym_BSLASHp] = ACTIONS(5378),
    [anon_sym_BSLASHm] = ACTIONS(5378),
    [anon_sym_BSLASHpo] = ACTIONS(5378),
    [anon_sym_BSLASHpr] = ACTIONS(5378),
    [anon_sym_BSLASHcls] = ACTIONS(5378),
    [anon_sym_BSLASHpmo] = ACTIONS(5378),
    [anon_sym_BSLASHpm] = ACTIONS(5378),
    [anon_sym_BSLASHpmc] = ACTIONS(5378),
    [anon_sym_BSLASHpmr] = ACTIONS(5378),
    [anon_sym_BSLASHpi] = ACTIONS(5378),
    [anon_sym_BSLASHmi] = ACTIONS(5378),
    [anon_sym_BSLASHnb] = ACTIONS(5378),
    [anon_sym_BSLASHpc] = ACTIONS(5378),
    [anon_sym_BSLASHph] = ACTIONS(5378),
    [anon_sym_BSLASHb] = ACTIONS(5378),
    [anon_sym_BSLASHq] = ACTIONS(5378),
    [anon_sym_BSLASHqr] = ACTIONS(5378),
    [anon_sym_BSLASHqc] = ACTIONS(5378),
    [anon_sym_BSLASHqs] = ACTIONS(5378),
    [anon_sym_BSLASHqa] = ACTIONS(5378),
    [anon_sym_BSLASHqac] = ACTIONS(5378),
    [anon_sym_BSLASHqm] = ACTIONS(5378),
    [anon_sym_BSLASHqd] = ACTIONS(5378),
    [anon_sym_BSLASHlh] = ACTIONS(5378),
    [anon_sym_BSLASHli] = ACTIONS(5378),
    [anon_sym_BSLASHlim] = ACTIONS(5378),
    [anon_sym_BSLASHtr] = ACTIONS(5378),
    [anon_sym_BSLASHf] = ACTIONS(5378),
    [anon_sym_BSLASHfe] = ACTIONS(5378),
    [anon_sym_BSLASHef] = ACTIONS(5378),
    [anon_sym_BSLASHfm] = ACTIONS(5378),
    [anon_sym_BSLASHx] = ACTIONS(5378),
    [anon_sym_BSLASHxt] = ACTIONS(5378),
    [anon_sym_BSLASHrq] = ACTIONS(5378),
    [anon_sym_BSLASHadd] = ACTIONS(5378),
    [anon_sym_BSLASHbk] = ACTIONS(5378),
    [anon_sym_BSLASHdc] = ACTIONS(5378),
    [anon_sym_BSLASHk] = ACTIONS(5378),
    [anon_sym_BSLASHnd] = ACTIONS(5378),
    [anon_sym_BSLASHord] = ACTIONS(5378),
    [anon_sym_BSLASHpn] = ACTIONS(5378),
    [anon_sym_BSLASHpng] = ACTIONS(5378),
    [anon_sym_BSLASHaddpn] = ACTIONS(5378),
    [anon_sym_BSLASHqt] = ACTIONS(5378),
    [anon_sym_BSLASHsig] = ACTIONS(5378),
    [anon_sym_BSLASHsls] = ACTIONS(5378),
    [anon_sym_BSLASHtl] = ACTIONS(5378),
    [anon_sym_BSLASHwj] = ACTIONS(5378),
    [anon_sym_BSLASHem] = ACTIONS(5378),
    [anon_sym_BSLASHbd] = ACTIONS(5378),
    [anon_sym_BSLASHit] = ACTIONS(5378),
    [anon_sym_BSLASHbdit] = ACTIONS(5378),
    [anon_sym_BSLASHno] = ACTIONS(5378),
    [anon_sym_BSLASHsc] = ACTIONS(5378),
    [anon_sym_BSLASHsup] = ACTIONS(5378),
    [anon_sym_BSLASHndx] = ACTIONS(5378),
    [anon_sym_BSLASHpro] = ACTIONS(5378),
    [anon_sym_BSLASHrb] = ACTIONS(5378),
    [anon_sym_BSLASHw] = ACTIONS(5378),
    [anon_sym_BSLASHwg] = ACTIONS(5378),
    [anon_sym_BSLASHwh] = ACTIONS(5378),
    [anon_sym_BSLASHwa] = ACTIONS(5378),
    [anon_sym_BSLASHfig] = ACTIONS(5378),
    [anon_sym_BSLASHjmp] = ACTIONS(5378),
    [anon_sym_BSLASHpb] = ACTIONS(5378),
    [anon_sym_BSLASH] = ACTIONS(5378),
    [sym_milestoneStartTag] = ACTIONS(5378),
    [sym_milestoneEndTag] = ACTIONS(5378),
    [sym_zSpaceTag] = ACTIONS(5378),
    [anon_sym_BSLASHesbe] = ACTIONS(5378),
    [anon_sym_BSLASHcat] = ACTIONS(5378),
  },
  [712] = {
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHref] = ACTIONS(2701),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHv] = ACTIONS(2701),
    [anon_sym_BSLASHva] = ACTIONS(2701),
    [anon_sym_BSLASHvp] = ACTIONS(2701),
    [anon_sym_BSLASHmte] = ACTIONS(2701),
    [anon_sym_BSLASHms] = ACTIONS(2701),
    [anon_sym_BSLASHs] = ACTIONS(2701),
    [anon_sym_BSLASHr] = ACTIONS(2701),
    [anon_sym_BSLASHsp] = ACTIONS(2701),
    [anon_sym_BSLASHd] = ACTIONS(2701),
    [anon_sym_BSLASHsd] = ACTIONS(2701),
    [anon_sym_BSLASHp] = ACTIONS(2701),
    [anon_sym_BSLASHm] = ACTIONS(2701),
    [anon_sym_BSLASHpo] = ACTIONS(2701),
    [anon_sym_BSLASHpr] = ACTIONS(2701),
    [anon_sym_BSLASHcls] = ACTIONS(2701),
    [anon_sym_BSLASHpmo] = ACTIONS(2701),
    [anon_sym_BSLASHpm] = ACTIONS(2701),
    [anon_sym_BSLASHpmc] = ACTIONS(2701),
    [anon_sym_BSLASHpmr] = ACTIONS(2701),
    [anon_sym_BSLASHpi] = ACTIONS(2701),
    [anon_sym_BSLASHmi] = ACTIONS(2701),
    [anon_sym_BSLASHnb] = ACTIONS(2701),
    [anon_sym_BSLASHpc] = ACTIONS(2701),
    [anon_sym_BSLASHph] = ACTIONS(2701),
    [anon_sym_BSLASHb] = ACTIONS(2701),
    [anon_sym_BSLASHq] = ACTIONS(2701),
    [anon_sym_BSLASHqr] = ACTIONS(2701),
    [anon_sym_BSLASHqc] = ACTIONS(2701),
    [anon_sym_BSLASHqs] = ACTIONS(2701),
    [anon_sym_BSLASHqa] = ACTIONS(2701),
    [anon_sym_BSLASHqac] = ACTIONS(2701),
    [anon_sym_BSLASHqm] = ACTIONS(2701),
    [anon_sym_BSLASHqd] = ACTIONS(2701),
    [anon_sym_BSLASHlh] = ACTIONS(2701),
    [anon_sym_BSLASHli] = ACTIONS(2701),
    [anon_sym_BSLASHlim] = ACTIONS(2701),
    [anon_sym_BSLASHtr] = ACTIONS(2701),
    [anon_sym_BSLASHf] = ACTIONS(2701),
    [anon_sym_BSLASHfe] = ACTIONS(2701),
    [anon_sym_BSLASHef] = ACTIONS(2701),
    [anon_sym_BSLASHfm] = ACTIONS(2701),
    [anon_sym_BSLASHx] = ACTIONS(2701),
    [anon_sym_BSLASHxt] = ACTIONS(2701),
    [anon_sym_BSLASHrq] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASHfig] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASHpb] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesbe] = ACTIONS(2701),
    [anon_sym_BSLASHcat] = ACTIONS(2701),
  },
  [713] = {
    [aux_sym_text_token1] = ACTIONS(5380),
    [anon_sym_BSLASHref] = ACTIONS(5382),
    [anon_sym_BSLASHsts] = ACTIONS(5382),
    [anon_sym_BSLASHrem] = ACTIONS(5382),
    [anon_sym_BSLASHrestore] = ACTIONS(5382),
    [anon_sym_BSLASHlit] = ACTIONS(5382),
    [anon_sym_BSLASHip] = ACTIONS(5382),
    [anon_sym_BSLASHv] = ACTIONS(5382),
    [anon_sym_BSLASHva] = ACTIONS(5382),
    [anon_sym_BSLASHvp] = ACTIONS(5382),
    [anon_sym_BSLASHmte] = ACTIONS(5382),
    [anon_sym_BSLASHms] = ACTIONS(5382),
    [anon_sym_BSLASHs] = ACTIONS(5382),
    [anon_sym_BSLASHr] = ACTIONS(5382),
    [anon_sym_BSLASHsp] = ACTIONS(5382),
    [anon_sym_BSLASHd] = ACTIONS(5382),
    [anon_sym_BSLASHsd] = ACTIONS(5382),
    [anon_sym_BSLASHp] = ACTIONS(5382),
    [anon_sym_BSLASHm] = ACTIONS(5382),
    [anon_sym_BSLASHpo] = ACTIONS(5382),
    [anon_sym_BSLASHpr] = ACTIONS(5382),
    [anon_sym_BSLASHcls] = ACTIONS(5382),
    [anon_sym_BSLASHpmo] = ACTIONS(5382),
    [anon_sym_BSLASHpm] = ACTIONS(5382),
    [anon_sym_BSLASHpmc] = ACTIONS(5382),
    [anon_sym_BSLASHpmr] = ACTIONS(5382),
    [anon_sym_BSLASHpi] = ACTIONS(5382),
    [anon_sym_BSLASHmi] = ACTIONS(5382),
    [anon_sym_BSLASHnb] = ACTIONS(5382),
    [anon_sym_BSLASHpc] = ACTIONS(5382),
    [anon_sym_BSLASHph] = ACTIONS(5382),
    [anon_sym_BSLASHb] = ACTIONS(5382),
    [anon_sym_BSLASHq] = ACTIONS(5382),
    [anon_sym_BSLASHqr] = ACTIONS(5382),
    [anon_sym_BSLASHqc] = ACTIONS(5382),
    [anon_sym_BSLASHqs] = ACTIONS(5382),
    [anon_sym_BSLASHqa] = ACTIONS(5382),
    [anon_sym_BSLASHqac] = ACTIONS(5382),
    [anon_sym_BSLASHqm] = ACTIONS(5382),
    [anon_sym_BSLASHqd] = ACTIONS(5382),
    [anon_sym_BSLASHlh] = ACTIONS(5382),
    [anon_sym_BSLASHli] = ACTIONS(5382),
    [anon_sym_BSLASHlim] = ACTIONS(5382),
    [anon_sym_BSLASHtr] = ACTIONS(5382),
    [anon_sym_BSLASHf] = ACTIONS(5382),
    [anon_sym_BSLASHfe] = ACTIONS(5382),
    [anon_sym_BSLASHef] = ACTIONS(5382),
    [anon_sym_BSLASHfm] = ACTIONS(5382),
    [anon_sym_BSLASHx] = ACTIONS(5382),
    [anon_sym_BSLASHxt] = ACTIONS(5382),
    [anon_sym_BSLASHrq] = ACTIONS(5382),
    [anon_sym_BSLASHadd] = ACTIONS(5382),
    [anon_sym_BSLASHbk] = ACTIONS(5382),
    [anon_sym_BSLASHdc] = ACTIONS(5382),
    [anon_sym_BSLASHk] = ACTIONS(5382),
    [anon_sym_BSLASHnd] = ACTIONS(5382),
    [anon_sym_BSLASHord] = ACTIONS(5382),
    [anon_sym_BSLASHpn] = ACTIONS(5382),
    [anon_sym_BSLASHpng] = ACTIONS(5382),
    [anon_sym_BSLASHaddpn] = ACTIONS(5382),
    [anon_sym_BSLASHqt] = ACTIONS(5382),
    [anon_sym_BSLASHsig] = ACTIONS(5382),
    [anon_sym_BSLASHsls] = ACTIONS(5382),
    [anon_sym_BSLASHtl] = ACTIONS(5382),
    [anon_sym_BSLASHwj] = ACTIONS(5382),
    [anon_sym_BSLASHem] = ACTIONS(5382),
    [anon_sym_BSLASHbd] = ACTIONS(5382),
    [anon_sym_BSLASHit] = ACTIONS(5382),
    [anon_sym_BSLASHbdit] = ACTIONS(5382),
    [anon_sym_BSLASHno] = ACTIONS(5382),
    [anon_sym_BSLASHsc] = ACTIONS(5382),
    [anon_sym_BSLASHsup] = ACTIONS(5382),
    [anon_sym_BSLASHndx] = ACTIONS(5382),
    [anon_sym_BSLASHpro] = ACTIONS(5382),
    [anon_sym_BSLASHrb] = ACTIONS(5382),
    [anon_sym_BSLASHw] = ACTIONS(5382),
    [anon_sym_BSLASHwg] = ACTIONS(5382),
    [anon_sym_BSLASHwh] = ACTIONS(5382),
    [anon_sym_BSLASHwa] = ACTIONS(5382),
    [anon_sym_BSLASHfig] = ACTIONS(5382),
    [anon_sym_BSLASHjmp] = ACTIONS(5382),
    [anon_sym_BSLASHpb] = ACTIONS(5382),
    [anon_sym_BSLASH] = ACTIONS(5382),
    [sym_milestoneStartTag] = ACTIONS(5382),
    [sym_milestoneEndTag] = ACTIONS(5382),
    [sym_zSpaceTag] = ACTIONS(5382),
    [anon_sym_BSLASHesbe] = ACTIONS(5382),
    [anon_sym_BSLASHcat] = ACTIONS(5382),
  },
  [714] = {
    [aux_sym_text_token1] = ACTIONS(5384),
    [anon_sym_BSLASHref] = ACTIONS(5386),
    [anon_sym_BSLASHsts] = ACTIONS(5386),
    [anon_sym_BSLASHrem] = ACTIONS(5386),
    [anon_sym_BSLASHrestore] = ACTIONS(5386),
    [anon_sym_BSLASHlit] = ACTIONS(5386),
    [anon_sym_BSLASHip] = ACTIONS(5386),
    [anon_sym_BSLASHv] = ACTIONS(5386),
    [anon_sym_BSLASHva] = ACTIONS(5386),
    [anon_sym_BSLASHvp] = ACTIONS(5386),
    [anon_sym_BSLASHmte] = ACTIONS(5386),
    [anon_sym_BSLASHms] = ACTIONS(5386),
    [anon_sym_BSLASHs] = ACTIONS(5386),
    [anon_sym_BSLASHr] = ACTIONS(5386),
    [anon_sym_BSLASHsp] = ACTIONS(5386),
    [anon_sym_BSLASHd] = ACTIONS(5386),
    [anon_sym_BSLASHsd] = ACTIONS(5386),
    [anon_sym_BSLASHp] = ACTIONS(5386),
    [anon_sym_BSLASHm] = ACTIONS(5386),
    [anon_sym_BSLASHpo] = ACTIONS(5386),
    [anon_sym_BSLASHpr] = ACTIONS(5386),
    [anon_sym_BSLASHcls] = ACTIONS(5386),
    [anon_sym_BSLASHpmo] = ACTIONS(5386),
    [anon_sym_BSLASHpm] = ACTIONS(5386),
    [anon_sym_BSLASHpmc] = ACTIONS(5386),
    [anon_sym_BSLASHpmr] = ACTIONS(5386),
    [anon_sym_BSLASHpi] = ACTIONS(5386),
    [anon_sym_BSLASHmi] = ACTIONS(5386),
    [anon_sym_BSLASHnb] = ACTIONS(5386),
    [anon_sym_BSLASHpc] = ACTIONS(5386),
    [anon_sym_BSLASHph] = ACTIONS(5386),
    [anon_sym_BSLASHb] = ACTIONS(5386),
    [anon_sym_BSLASHq] = ACTIONS(5386),
    [anon_sym_BSLASHqr] = ACTIONS(5386),
    [anon_sym_BSLASHqc] = ACTIONS(5386),
    [anon_sym_BSLASHqs] = ACTIONS(5386),
    [anon_sym_BSLASHqa] = ACTIONS(5386),
    [anon_sym_BSLASHqac] = ACTIONS(5386),
    [anon_sym_BSLASHqm] = ACTIONS(5386),
    [anon_sym_BSLASHqd] = ACTIONS(5386),
    [anon_sym_BSLASHlh] = ACTIONS(5386),
    [anon_sym_BSLASHli] = ACTIONS(5386),
    [anon_sym_BSLASHlim] = ACTIONS(5386),
    [anon_sym_BSLASHtr] = ACTIONS(5386),
    [anon_sym_BSLASHf] = ACTIONS(5386),
    [anon_sym_BSLASHfe] = ACTIONS(5386),
    [anon_sym_BSLASHef] = ACTIONS(5386),
    [anon_sym_BSLASHfm] = ACTIONS(5386),
    [anon_sym_BSLASHx] = ACTIONS(5386),
    [anon_sym_BSLASHxt] = ACTIONS(5386),
    [anon_sym_BSLASHrq] = ACTIONS(5386),
    [anon_sym_BSLASHadd] = ACTIONS(5386),
    [anon_sym_BSLASHbk] = ACTIONS(5386),
    [anon_sym_BSLASHdc] = ACTIONS(5386),
    [anon_sym_BSLASHk] = ACTIONS(5386),
    [anon_sym_BSLASHnd] = ACTIONS(5386),
    [anon_sym_BSLASHord] = ACTIONS(5386),
    [anon_sym_BSLASHpn] = ACTIONS(5386),
    [anon_sym_BSLASHpng] = ACTIONS(5386),
    [anon_sym_BSLASHaddpn] = ACTIONS(5386),
    [anon_sym_BSLASHqt] = ACTIONS(5386),
    [anon_sym_BSLASHsig] = ACTIONS(5386),
    [anon_sym_BSLASHsls] = ACTIONS(5386),
    [anon_sym_BSLASHtl] = ACTIONS(5386),
    [anon_sym_BSLASHwj] = ACTIONS(5386),
    [anon_sym_BSLASHem] = ACTIONS(5386),
    [anon_sym_BSLASHbd] = ACTIONS(5386),
    [anon_sym_BSLASHit] = ACTIONS(5386),
    [anon_sym_BSLASHbdit] = ACTIONS(5386),
    [anon_sym_BSLASHno] = ACTIONS(5386),
    [anon_sym_BSLASHsc] = ACTIONS(5386),
    [anon_sym_BSLASHsup] = ACTIONS(5386),
    [anon_sym_BSLASHndx] = ACTIONS(5386),
    [anon_sym_BSLASHpro] = ACTIONS(5386),
    [anon_sym_BSLASHrb] = ACTIONS(5386),
    [anon_sym_BSLASHw] = ACTIONS(5386),
    [anon_sym_BSLASHwg] = ACTIONS(5386),
    [anon_sym_BSLASHwh] = ACTIONS(5386),
    [anon_sym_BSLASHwa] = ACTIONS(5386),
    [anon_sym_BSLASHfig] = ACTIONS(5386),
    [anon_sym_BSLASHjmp] = ACTIONS(5386),
    [anon_sym_BSLASHpb] = ACTIONS(5386),
    [anon_sym_BSLASH] = ACTIONS(5386),
    [sym_milestoneStartTag] = ACTIONS(5386),
    [sym_milestoneEndTag] = ACTIONS(5386),
    [sym_zSpaceTag] = ACTIONS(5386),
    [anon_sym_BSLASHesbe] = ACTIONS(5386),
    [anon_sym_BSLASHcat] = ACTIONS(5386),
  },
  [715] = {
    [aux_sym_text_token1] = ACTIONS(5420),
    [anon_sym_BSLASHref] = ACTIONS(5422),
    [anon_sym_BSLASHsts] = ACTIONS(5422),
    [anon_sym_BSLASHrem] = ACTIONS(5422),
    [anon_sym_BSLASHrestore] = ACTIONS(5422),
    [anon_sym_BSLASHlit] = ACTIONS(5422),
    [anon_sym_BSLASHip] = ACTIONS(5422),
    [anon_sym_BSLASHv] = ACTIONS(5422),
    [anon_sym_BSLASHva] = ACTIONS(5422),
    [anon_sym_BSLASHvp] = ACTIONS(5422),
    [anon_sym_BSLASHmte] = ACTIONS(5422),
    [anon_sym_BSLASHms] = ACTIONS(5422),
    [anon_sym_BSLASHs] = ACTIONS(5422),
    [anon_sym_BSLASHr] = ACTIONS(5422),
    [anon_sym_BSLASHsp] = ACTIONS(5422),
    [anon_sym_BSLASHd] = ACTIONS(5422),
    [anon_sym_BSLASHsd] = ACTIONS(5422),
    [anon_sym_BSLASHp] = ACTIONS(5422),
    [anon_sym_BSLASHm] = ACTIONS(5422),
    [anon_sym_BSLASHpo] = ACTIONS(5422),
    [anon_sym_BSLASHpr] = ACTIONS(5422),
    [anon_sym_BSLASHcls] = ACTIONS(5422),
    [anon_sym_BSLASHpmo] = ACTIONS(5422),
    [anon_sym_BSLASHpm] = ACTIONS(5422),
    [anon_sym_BSLASHpmc] = ACTIONS(5422),
    [anon_sym_BSLASHpmr] = ACTIONS(5422),
    [anon_sym_BSLASHpi] = ACTIONS(5422),
    [anon_sym_BSLASHmi] = ACTIONS(5422),
    [anon_sym_BSLASHnb] = ACTIONS(5422),
    [anon_sym_BSLASHpc] = ACTIONS(5422),
    [anon_sym_BSLASHph] = ACTIONS(5422),
    [anon_sym_BSLASHb] = ACTIONS(5422),
    [anon_sym_BSLASHq] = ACTIONS(5422),
    [anon_sym_BSLASHqr] = ACTIONS(5422),
    [anon_sym_BSLASHqc] = ACTIONS(5422),
    [anon_sym_BSLASHqs] = ACTIONS(5422),
    [anon_sym_BSLASHqa] = ACTIONS(5422),
    [anon_sym_BSLASHqac] = ACTIONS(5422),
    [anon_sym_BSLASHqm] = ACTIONS(5422),
    [anon_sym_BSLASHqd] = ACTIONS(5422),
    [anon_sym_BSLASHlh] = ACTIONS(5422),
    [anon_sym_BSLASHli] = ACTIONS(5422),
    [anon_sym_BSLASHlim] = ACTIONS(5422),
    [anon_sym_BSLASHtr] = ACTIONS(5422),
    [anon_sym_BSLASHf] = ACTIONS(5422),
    [anon_sym_BSLASHfe] = ACTIONS(5422),
    [anon_sym_BSLASHef] = ACTIONS(5422),
    [anon_sym_BSLASHfm] = ACTIONS(5422),
    [anon_sym_BSLASHx] = ACTIONS(5422),
    [anon_sym_BSLASHxt] = ACTIONS(5422),
    [anon_sym_BSLASHrq] = ACTIONS(5422),
    [anon_sym_BSLASHadd] = ACTIONS(5422),
    [anon_sym_BSLASHbk] = ACTIONS(5422),
    [anon_sym_BSLASHdc] = ACTIONS(5422),
    [anon_sym_BSLASHk] = ACTIONS(5422),
    [anon_sym_BSLASHnd] = ACTIONS(5422),
    [anon_sym_BSLASHord] = ACTIONS(5422),
    [anon_sym_BSLASHpn] = ACTIONS(5422),
    [anon_sym_BSLASHpng] = ACTIONS(5422),
    [anon_sym_BSLASHaddpn] = ACTIONS(5422),
    [anon_sym_BSLASHqt] = ACTIONS(5422),
    [anon_sym_BSLASHsig] = ACTIONS(5422),
    [anon_sym_BSLASHsls] = ACTIONS(5422),
    [anon_sym_BSLASHtl] = ACTIONS(5422),
    [anon_sym_BSLASHwj] = ACTIONS(5422),
    [anon_sym_BSLASHem] = ACTIONS(5422),
    [anon_sym_BSLASHbd] = ACTIONS(5422),
    [anon_sym_BSLASHit] = ACTIONS(5422),
    [anon_sym_BSLASHbdit] = ACTIONS(5422),
    [anon_sym_BSLASHno] = ACTIONS(5422),
    [anon_sym_BSLASHsc] = ACTIONS(5422),
    [anon_sym_BSLASHsup] = ACTIONS(5422),
    [anon_sym_BSLASHndx] = ACTIONS(5422),
    [anon_sym_BSLASHpro] = ACTIONS(5422),
    [anon_sym_BSLASHrb] = ACTIONS(5422),
    [anon_sym_BSLASHw] = ACTIONS(5422),
    [anon_sym_BSLASHwg] = ACTIONS(5422),
    [anon_sym_BSLASHwh] = ACTIONS(5422),
    [anon_sym_BSLASHwa] = ACTIONS(5422),
    [anon_sym_BSLASHfig] = ACTIONS(5422),
    [anon_sym_BSLASHjmp] = ACTIONS(5422),
    [anon_sym_BSLASHpb] = ACTIONS(5422),
    [anon_sym_BSLASH] = ACTIONS(5422),
    [sym_milestoneStartTag] = ACTIONS(5422),
    [sym_milestoneEndTag] = ACTIONS(5422),
    [sym_zSpaceTag] = ACTIONS(5422),
    [anon_sym_BSLASHesbe] = ACTIONS(5422),
    [anon_sym_BSLASHcat] = ACTIONS(5422),
  },
  [716] = {
    [aux_sym_text_token1] = ACTIONS(5332),
    [anon_sym_BSLASHref] = ACTIONS(5334),
    [anon_sym_BSLASHsts] = ACTIONS(5334),
    [anon_sym_BSLASHrem] = ACTIONS(5334),
    [anon_sym_BSLASHrestore] = ACTIONS(5334),
    [anon_sym_BSLASHlit] = ACTIONS(5334),
    [anon_sym_BSLASHip] = ACTIONS(5334),
    [anon_sym_BSLASHv] = ACTIONS(5334),
    [anon_sym_BSLASHva] = ACTIONS(5334),
    [anon_sym_BSLASHvp] = ACTIONS(5334),
    [anon_sym_BSLASHmte] = ACTIONS(5334),
    [anon_sym_BSLASHms] = ACTIONS(5334),
    [anon_sym_BSLASHs] = ACTIONS(5334),
    [anon_sym_BSLASHr] = ACTIONS(5334),
    [anon_sym_BSLASHsp] = ACTIONS(5334),
    [anon_sym_BSLASHd] = ACTIONS(5334),
    [anon_sym_BSLASHsd] = ACTIONS(5334),
    [anon_sym_BSLASHp] = ACTIONS(5334),
    [anon_sym_BSLASHm] = ACTIONS(5334),
    [anon_sym_BSLASHpo] = ACTIONS(5334),
    [anon_sym_BSLASHpr] = ACTIONS(5334),
    [anon_sym_BSLASHcls] = ACTIONS(5334),
    [anon_sym_BSLASHpmo] = ACTIONS(5334),
    [anon_sym_BSLASHpm] = ACTIONS(5334),
    [anon_sym_BSLASHpmc] = ACTIONS(5334),
    [anon_sym_BSLASHpmr] = ACTIONS(5334),
    [anon_sym_BSLASHpi] = ACTIONS(5334),
    [anon_sym_BSLASHmi] = ACTIONS(5334),
    [anon_sym_BSLASHnb] = ACTIONS(5334),
    [anon_sym_BSLASHpc] = ACTIONS(5334),
    [anon_sym_BSLASHph] = ACTIONS(5334),
    [anon_sym_BSLASHb] = ACTIONS(5334),
    [anon_sym_BSLASHq] = ACTIONS(5334),
    [anon_sym_BSLASHqr] = ACTIONS(5334),
    [anon_sym_BSLASHqc] = ACTIONS(5334),
    [anon_sym_BSLASHqs] = ACTIONS(5334),
    [anon_sym_BSLASHqa] = ACTIONS(5334),
    [anon_sym_BSLASHqac] = ACTIONS(5334),
    [anon_sym_BSLASHqm] = ACTIONS(5334),
    [anon_sym_BSLASHqd] = ACTIONS(5334),
    [anon_sym_BSLASHlh] = ACTIONS(5334),
    [anon_sym_BSLASHli] = ACTIONS(5334),
    [anon_sym_BSLASHlim] = ACTIONS(5334),
    [anon_sym_BSLASHtr] = ACTIONS(5334),
    [anon_sym_BSLASHf] = ACTIONS(5334),
    [anon_sym_BSLASHfe] = ACTIONS(5334),
    [anon_sym_BSLASHef] = ACTIONS(5334),
    [anon_sym_BSLASHfm] = ACTIONS(5334),
    [anon_sym_BSLASHx] = ACTIONS(5334),
    [anon_sym_BSLASHxt] = ACTIONS(5334),
    [anon_sym_BSLASHrq] = ACTIONS(5334),
    [anon_sym_BSLASHadd] = ACTIONS(5334),
    [anon_sym_BSLASHbk] = ACTIONS(5334),
    [anon_sym_BSLASHdc] = ACTIONS(5334),
    [anon_sym_BSLASHk] = ACTIONS(5334),
    [anon_sym_BSLASHnd] = ACTIONS(5334),
    [anon_sym_BSLASHord] = ACTIONS(5334),
    [anon_sym_BSLASHpn] = ACTIONS(5334),
    [anon_sym_BSLASHpng] = ACTIONS(5334),
    [anon_sym_BSLASHaddpn] = ACTIONS(5334),
    [anon_sym_BSLASHqt] = ACTIONS(5334),
    [anon_sym_BSLASHsig] = ACTIONS(5334),
    [anon_sym_BSLASHsls] = ACTIONS(5334),
    [anon_sym_BSLASHtl] = ACTIONS(5334),
    [anon_sym_BSLASHwj] = ACTIONS(5334),
    [anon_sym_BSLASHem] = ACTIONS(5334),
    [anon_sym_BSLASHbd] = ACTIONS(5334),
    [anon_sym_BSLASHit] = ACTIONS(5334),
    [anon_sym_BSLASHbdit] = ACTIONS(5334),
    [anon_sym_BSLASHno] = ACTIONS(5334),
    [anon_sym_BSLASHsc] = ACTIONS(5334),
    [anon_sym_BSLASHsup] = ACTIONS(5334),
    [anon_sym_BSLASHndx] = ACTIONS(5334),
    [anon_sym_BSLASHpro] = ACTIONS(5334),
    [anon_sym_BSLASHrb] = ACTIONS(5334),
    [anon_sym_BSLASHw] = ACTIONS(5334),
    [anon_sym_BSLASHwg] = ACTIONS(5334),
    [anon_sym_BSLASHwh] = ACTIONS(5334),
    [anon_sym_BSLASHwa] = ACTIONS(5334),
    [anon_sym_BSLASHfig] = ACTIONS(5334),
    [anon_sym_BSLASHjmp] = ACTIONS(5334),
    [anon_sym_BSLASHpb] = ACTIONS(5334),
    [anon_sym_BSLASH] = ACTIONS(5334),
    [sym_milestoneStartTag] = ACTIONS(5334),
    [sym_milestoneEndTag] = ACTIONS(5334),
    [sym_zSpaceTag] = ACTIONS(5334),
    [anon_sym_BSLASHesbe] = ACTIONS(5334),
    [anon_sym_BSLASHcat] = ACTIONS(5334),
  },
  [717] = {
    [aux_sym_text_token1] = ACTIONS(2651),
    [anon_sym_BSLASHref] = ACTIONS(2653),
    [anon_sym_BSLASHsts] = ACTIONS(2653),
    [anon_sym_BSLASHrem] = ACTIONS(2653),
    [anon_sym_BSLASHrestore] = ACTIONS(2653),
    [anon_sym_BSLASHlit] = ACTIONS(2653),
    [anon_sym_BSLASHip] = ACTIONS(2653),
    [anon_sym_BSLASHv] = ACTIONS(2653),
    [anon_sym_BSLASHva] = ACTIONS(2653),
    [anon_sym_BSLASHvp] = ACTIONS(2653),
    [anon_sym_BSLASHmte] = ACTIONS(2653),
    [anon_sym_BSLASHms] = ACTIONS(2653),
    [anon_sym_BSLASHs] = ACTIONS(2653),
    [anon_sym_BSLASHr] = ACTIONS(2653),
    [anon_sym_BSLASHsp] = ACTIONS(2653),
    [anon_sym_BSLASHd] = ACTIONS(2653),
    [anon_sym_BSLASHsd] = ACTIONS(2653),
    [anon_sym_BSLASHp] = ACTIONS(2653),
    [anon_sym_BSLASHm] = ACTIONS(2653),
    [anon_sym_BSLASHpo] = ACTIONS(2653),
    [anon_sym_BSLASHpr] = ACTIONS(2653),
    [anon_sym_BSLASHcls] = ACTIONS(2653),
    [anon_sym_BSLASHpmo] = ACTIONS(2653),
    [anon_sym_BSLASHpm] = ACTIONS(2653),
    [anon_sym_BSLASHpmc] = ACTIONS(2653),
    [anon_sym_BSLASHpmr] = ACTIONS(2653),
    [anon_sym_BSLASHpi] = ACTIONS(2653),
    [anon_sym_BSLASHmi] = ACTIONS(2653),
    [anon_sym_BSLASHnb] = ACTIONS(2653),
    [anon_sym_BSLASHpc] = ACTIONS(2653),
    [anon_sym_BSLASHph] = ACTIONS(2653),
    [anon_sym_BSLASHb] = ACTIONS(2653),
    [anon_sym_BSLASHq] = ACTIONS(2653),
    [anon_sym_BSLASHqr] = ACTIONS(2653),
    [anon_sym_BSLASHqc] = ACTIONS(2653),
    [anon_sym_BSLASHqs] = ACTIONS(2653),
    [anon_sym_BSLASHqa] = ACTIONS(2653),
    [anon_sym_BSLASHqac] = ACTIONS(2653),
    [anon_sym_BSLASHqm] = ACTIONS(2653),
    [anon_sym_BSLASHqd] = ACTIONS(2653),
    [anon_sym_BSLASHlh] = ACTIONS(2653),
    [anon_sym_BSLASHli] = ACTIONS(2653),
    [anon_sym_BSLASHlim] = ACTIONS(2653),
    [anon_sym_BSLASHtr] = ACTIONS(2653),
    [anon_sym_BSLASHf] = ACTIONS(2653),
    [anon_sym_BSLASHfe] = ACTIONS(2653),
    [anon_sym_BSLASHef] = ACTIONS(2653),
    [anon_sym_BSLASHfm] = ACTIONS(2653),
    [anon_sym_BSLASHx] = ACTIONS(2653),
    [anon_sym_BSLASHxt] = ACTIONS(2653),
    [anon_sym_BSLASHrq] = ACTIONS(2653),
    [anon_sym_BSLASHadd] = ACTIONS(2653),
    [anon_sym_BSLASHbk] = ACTIONS(2653),
    [anon_sym_BSLASHdc] = ACTIONS(2653),
    [anon_sym_BSLASHk] = ACTIONS(2653),
    [anon_sym_BSLASHnd] = ACTIONS(2653),
    [anon_sym_BSLASHord] = ACTIONS(2653),
    [anon_sym_BSLASHpn] = ACTIONS(2653),
    [anon_sym_BSLASHpng] = ACTIONS(2653),
    [anon_sym_BSLASHaddpn] = ACTIONS(2653),
    [anon_sym_BSLASHqt] = ACTIONS(2653),
    [anon_sym_BSLASHsig] = ACTIONS(2653),
    [anon_sym_BSLASHsls] = ACTIONS(2653),
    [anon_sym_BSLASHtl] = ACTIONS(2653),
    [anon_sym_BSLASHwj] = ACTIONS(2653),
    [anon_sym_BSLASHem] = ACTIONS(2653),
    [anon_sym_BSLASHbd] = ACTIONS(2653),
    [anon_sym_BSLASHit] = ACTIONS(2653),
    [anon_sym_BSLASHbdit] = ACTIONS(2653),
    [anon_sym_BSLASHno] = ACTIONS(2653),
    [anon_sym_BSLASHsc] = ACTIONS(2653),
    [anon_sym_BSLASHsup] = ACTIONS(2653),
    [anon_sym_BSLASHndx] = ACTIONS(2653),
    [anon_sym_BSLASHpro] = ACTIONS(2653),
    [anon_sym_BSLASHrb] = ACTIONS(2653),
    [anon_sym_BSLASHw] = ACTIONS(2653),
    [anon_sym_BSLASHwg] = ACTIONS(2653),
    [anon_sym_BSLASHwh] = ACTIONS(2653),
    [anon_sym_BSLASHwa] = ACTIONS(2653),
    [anon_sym_BSLASHfig] = ACTIONS(2653),
    [anon_sym_BSLASHjmp] = ACTIONS(2653),
    [anon_sym_BSLASHpb] = ACTIONS(2653),
    [anon_sym_BSLASH] = ACTIONS(2653),
    [sym_milestoneStartTag] = ACTIONS(2653),
    [sym_milestoneEndTag] = ACTIONS(2653),
    [sym_zSpaceTag] = ACTIONS(2653),
    [anon_sym_BSLASHesbe] = ACTIONS(2653),
    [anon_sym_BSLASHcat] = ACTIONS(2653),
  },
  [718] = {
    [aux_sym_text_token1] = ACTIONS(3104),
    [anon_sym_BSLASHref] = ACTIONS(3106),
    [anon_sym_BSLASHsts] = ACTIONS(3106),
    [anon_sym_BSLASHrem] = ACTIONS(3106),
    [anon_sym_BSLASHrestore] = ACTIONS(3106),
    [anon_sym_BSLASHlit] = ACTIONS(3106),
    [anon_sym_BSLASHip] = ACTIONS(3106),
    [anon_sym_BSLASHv] = ACTIONS(3106),
    [anon_sym_BSLASHva] = ACTIONS(3106),
    [anon_sym_BSLASHvp] = ACTIONS(3106),
    [anon_sym_BSLASHmte] = ACTIONS(3106),
    [anon_sym_BSLASHms] = ACTIONS(3106),
    [anon_sym_BSLASHs] = ACTIONS(3106),
    [anon_sym_BSLASHr] = ACTIONS(3106),
    [anon_sym_BSLASHsp] = ACTIONS(3106),
    [anon_sym_BSLASHd] = ACTIONS(3106),
    [anon_sym_BSLASHsd] = ACTIONS(3106),
    [anon_sym_BSLASHp] = ACTIONS(3106),
    [anon_sym_BSLASHm] = ACTIONS(3106),
    [anon_sym_BSLASHpo] = ACTIONS(3106),
    [anon_sym_BSLASHpr] = ACTIONS(3106),
    [anon_sym_BSLASHcls] = ACTIONS(3106),
    [anon_sym_BSLASHpmo] = ACTIONS(3106),
    [anon_sym_BSLASHpm] = ACTIONS(3106),
    [anon_sym_BSLASHpmc] = ACTIONS(3106),
    [anon_sym_BSLASHpmr] = ACTIONS(3106),
    [anon_sym_BSLASHpi] = ACTIONS(3106),
    [anon_sym_BSLASHmi] = ACTIONS(3106),
    [anon_sym_BSLASHnb] = ACTIONS(3106),
    [anon_sym_BSLASHpc] = ACTIONS(3106),
    [anon_sym_BSLASHph] = ACTIONS(3106),
    [anon_sym_BSLASHb] = ACTIONS(3106),
    [anon_sym_BSLASHq] = ACTIONS(3106),
    [anon_sym_BSLASHqr] = ACTIONS(3106),
    [anon_sym_BSLASHqc] = ACTIONS(3106),
    [anon_sym_BSLASHqs] = ACTIONS(3106),
    [anon_sym_BSLASHqa] = ACTIONS(3106),
    [anon_sym_BSLASHqac] = ACTIONS(3106),
    [anon_sym_BSLASHqm] = ACTIONS(3106),
    [anon_sym_BSLASHqd] = ACTIONS(3106),
    [anon_sym_BSLASHlh] = ACTIONS(3106),
    [anon_sym_BSLASHli] = ACTIONS(3106),
    [anon_sym_BSLASHlim] = ACTIONS(3106),
    [anon_sym_BSLASHtr] = ACTIONS(3106),
    [anon_sym_BSLASHf] = ACTIONS(3106),
    [anon_sym_BSLASHfe] = ACTIONS(3106),
    [anon_sym_BSLASHef] = ACTIONS(3106),
    [anon_sym_BSLASHfm] = ACTIONS(3106),
    [anon_sym_BSLASHx] = ACTIONS(3106),
    [anon_sym_BSLASHxt] = ACTIONS(3106),
    [anon_sym_BSLASHrq] = ACTIONS(3106),
    [anon_sym_BSLASHadd] = ACTIONS(3106),
    [anon_sym_BSLASHbk] = ACTIONS(3106),
    [anon_sym_BSLASHdc] = ACTIONS(3106),
    [anon_sym_BSLASHk] = ACTIONS(3106),
    [anon_sym_BSLASHnd] = ACTIONS(3106),
    [anon_sym_BSLASHord] = ACTIONS(3106),
    [anon_sym_BSLASHpn] = ACTIONS(3106),
    [anon_sym_BSLASHpng] = ACTIONS(3106),
    [anon_sym_BSLASHaddpn] = ACTIONS(3106),
    [anon_sym_BSLASHqt] = ACTIONS(3106),
    [anon_sym_BSLASHsig] = ACTIONS(3106),
    [anon_sym_BSLASHsls] = ACTIONS(3106),
    [anon_sym_BSLASHtl] = ACTIONS(3106),
    [anon_sym_BSLASHwj] = ACTIONS(3106),
    [anon_sym_BSLASHem] = ACTIONS(3106),
    [anon_sym_BSLASHbd] = ACTIONS(3106),
    [anon_sym_BSLASHit] = ACTIONS(3106),
    [anon_sym_BSLASHbdit] = ACTIONS(3106),
    [anon_sym_BSLASHno] = ACTIONS(3106),
    [anon_sym_BSLASHsc] = ACTIONS(3106),
    [anon_sym_BSLASHsup] = ACTIONS(3106),
    [anon_sym_BSLASHndx] = ACTIONS(3106),
    [anon_sym_BSLASHpro] = ACTIONS(3106),
    [anon_sym_BSLASHrb] = ACTIONS(3106),
    [anon_sym_BSLASHw] = ACTIONS(3106),
    [anon_sym_BSLASHwg] = ACTIONS(3106),
    [anon_sym_BSLASHwh] = ACTIONS(3106),
    [anon_sym_BSLASHwa] = ACTIONS(3106),
    [anon_sym_BSLASHfig] = ACTIONS(3106),
    [anon_sym_BSLASHjmp] = ACTIONS(3106),
    [anon_sym_BSLASHpb] = ACTIONS(3106),
    [anon_sym_BSLASH] = ACTIONS(3106),
    [sym_milestoneStartTag] = ACTIONS(3106),
    [sym_milestoneEndTag] = ACTIONS(3106),
    [sym_zSpaceTag] = ACTIONS(3106),
    [anon_sym_BSLASHesbe] = ACTIONS(3106),
    [anon_sym_BSLASHcat] = ACTIONS(3106),
  },
  [719] = {
    [aux_sym_text_token1] = ACTIONS(5392),
    [anon_sym_BSLASHref] = ACTIONS(5394),
    [anon_sym_BSLASHsts] = ACTIONS(5394),
    [anon_sym_BSLASHrem] = ACTIONS(5394),
    [anon_sym_BSLASHrestore] = ACTIONS(5394),
    [anon_sym_BSLASHlit] = ACTIONS(5394),
    [anon_sym_BSLASHip] = ACTIONS(5394),
    [anon_sym_BSLASHv] = ACTIONS(5394),
    [anon_sym_BSLASHva] = ACTIONS(5394),
    [anon_sym_BSLASHvp] = ACTIONS(5394),
    [anon_sym_BSLASHmte] = ACTIONS(5394),
    [anon_sym_BSLASHms] = ACTIONS(5394),
    [anon_sym_BSLASHs] = ACTIONS(5394),
    [anon_sym_BSLASHr] = ACTIONS(5394),
    [anon_sym_BSLASHsp] = ACTIONS(5394),
    [anon_sym_BSLASHd] = ACTIONS(5394),
    [anon_sym_BSLASHsd] = ACTIONS(5394),
    [anon_sym_BSLASHp] = ACTIONS(5394),
    [anon_sym_BSLASHm] = ACTIONS(5394),
    [anon_sym_BSLASHpo] = ACTIONS(5394),
    [anon_sym_BSLASHpr] = ACTIONS(5394),
    [anon_sym_BSLASHcls] = ACTIONS(5394),
    [anon_sym_BSLASHpmo] = ACTIONS(5394),
    [anon_sym_BSLASHpm] = ACTIONS(5394),
    [anon_sym_BSLASHpmc] = ACTIONS(5394),
    [anon_sym_BSLASHpmr] = ACTIONS(5394),
    [anon_sym_BSLASHpi] = ACTIONS(5394),
    [anon_sym_BSLASHmi] = ACTIONS(5394),
    [anon_sym_BSLASHnb] = ACTIONS(5394),
    [anon_sym_BSLASHpc] = ACTIONS(5394),
    [anon_sym_BSLASHph] = ACTIONS(5394),
    [anon_sym_BSLASHb] = ACTIONS(5394),
    [anon_sym_BSLASHq] = ACTIONS(5394),
    [anon_sym_BSLASHqr] = ACTIONS(5394),
    [anon_sym_BSLASHqc] = ACTIONS(5394),
    [anon_sym_BSLASHqs] = ACTIONS(5394),
    [anon_sym_BSLASHqa] = ACTIONS(5394),
    [anon_sym_BSLASHqac] = ACTIONS(5394),
    [anon_sym_BSLASHqm] = ACTIONS(5394),
    [anon_sym_BSLASHqd] = ACTIONS(5394),
    [anon_sym_BSLASHlh] = ACTIONS(5394),
    [anon_sym_BSLASHli] = ACTIONS(5394),
    [anon_sym_BSLASHlim] = ACTIONS(5394),
    [anon_sym_BSLASHtr] = ACTIONS(5394),
    [anon_sym_BSLASHf] = ACTIONS(5394),
    [anon_sym_BSLASHfe] = ACTIONS(5394),
    [anon_sym_BSLASHef] = ACTIONS(5394),
    [anon_sym_BSLASHfm] = ACTIONS(5394),
    [anon_sym_BSLASHx] = ACTIONS(5394),
    [anon_sym_BSLASHxt] = ACTIONS(5394),
    [anon_sym_BSLASHrq] = ACTIONS(5394),
    [anon_sym_BSLASHadd] = ACTIONS(5394),
    [anon_sym_BSLASHbk] = ACTIONS(5394),
    [anon_sym_BSLASHdc] = ACTIONS(5394),
    [anon_sym_BSLASHk] = ACTIONS(5394),
    [anon_sym_BSLASHnd] = ACTIONS(5394),
    [anon_sym_BSLASHord] = ACTIONS(5394),
    [anon_sym_BSLASHpn] = ACTIONS(5394),
    [anon_sym_BSLASHpng] = ACTIONS(5394),
    [anon_sym_BSLASHaddpn] = ACTIONS(5394),
    [anon_sym_BSLASHqt] = ACTIONS(5394),
    [anon_sym_BSLASHsig] = ACTIONS(5394),
    [anon_sym_BSLASHsls] = ACTIONS(5394),
    [anon_sym_BSLASHtl] = ACTIONS(5394),
    [anon_sym_BSLASHwj] = ACTIONS(5394),
    [anon_sym_BSLASHem] = ACTIONS(5394),
    [anon_sym_BSLASHbd] = ACTIONS(5394),
    [anon_sym_BSLASHit] = ACTIONS(5394),
    [anon_sym_BSLASHbdit] = ACTIONS(5394),
    [anon_sym_BSLASHno] = ACTIONS(5394),
    [anon_sym_BSLASHsc] = ACTIONS(5394),
    [anon_sym_BSLASHsup] = ACTIONS(5394),
    [anon_sym_BSLASHndx] = ACTIONS(5394),
    [anon_sym_BSLASHpro] = ACTIONS(5394),
    [anon_sym_BSLASHrb] = ACTIONS(5394),
    [anon_sym_BSLASHw] = ACTIONS(5394),
    [anon_sym_BSLASHwg] = ACTIONS(5394),
    [anon_sym_BSLASHwh] = ACTIONS(5394),
    [anon_sym_BSLASHwa] = ACTIONS(5394),
    [anon_sym_BSLASHfig] = ACTIONS(5394),
    [anon_sym_BSLASHjmp] = ACTIONS(5394),
    [anon_sym_BSLASHpb] = ACTIONS(5394),
    [anon_sym_BSLASH] = ACTIONS(5394),
    [sym_milestoneStartTag] = ACTIONS(5394),
    [sym_milestoneEndTag] = ACTIONS(5394),
    [sym_zSpaceTag] = ACTIONS(5394),
    [anon_sym_BSLASHesbe] = ACTIONS(5394),
    [anon_sym_BSLASHcat] = ACTIONS(5394),
  },
  [720] = {
    [aux_sym_text_token1] = ACTIONS(5436),
    [anon_sym_BSLASHref] = ACTIONS(5438),
    [anon_sym_BSLASHsts] = ACTIONS(5438),
    [anon_sym_BSLASHrem] = ACTIONS(5438),
    [anon_sym_BSLASHrestore] = ACTIONS(5438),
    [anon_sym_BSLASHlit] = ACTIONS(5438),
    [anon_sym_BSLASHip] = ACTIONS(5438),
    [anon_sym_BSLASHv] = ACTIONS(5438),
    [anon_sym_BSLASHva] = ACTIONS(5438),
    [anon_sym_BSLASHvp] = ACTIONS(5438),
    [anon_sym_BSLASHmte] = ACTIONS(5438),
    [anon_sym_BSLASHms] = ACTIONS(5438),
    [anon_sym_BSLASHs] = ACTIONS(5438),
    [anon_sym_BSLASHr] = ACTIONS(5438),
    [anon_sym_BSLASHsp] = ACTIONS(5438),
    [anon_sym_BSLASHd] = ACTIONS(5438),
    [anon_sym_BSLASHsd] = ACTIONS(5438),
    [anon_sym_BSLASHp] = ACTIONS(5438),
    [anon_sym_BSLASHm] = ACTIONS(5438),
    [anon_sym_BSLASHpo] = ACTIONS(5438),
    [anon_sym_BSLASHpr] = ACTIONS(5438),
    [anon_sym_BSLASHcls] = ACTIONS(5438),
    [anon_sym_BSLASHpmo] = ACTIONS(5438),
    [anon_sym_BSLASHpm] = ACTIONS(5438),
    [anon_sym_BSLASHpmc] = ACTIONS(5438),
    [anon_sym_BSLASHpmr] = ACTIONS(5438),
    [anon_sym_BSLASHpi] = ACTIONS(5438),
    [anon_sym_BSLASHmi] = ACTIONS(5438),
    [anon_sym_BSLASHnb] = ACTIONS(5438),
    [anon_sym_BSLASHpc] = ACTIONS(5438),
    [anon_sym_BSLASHph] = ACTIONS(5438),
    [anon_sym_BSLASHb] = ACTIONS(5438),
    [anon_sym_BSLASHq] = ACTIONS(5438),
    [anon_sym_BSLASHqr] = ACTIONS(5438),
    [anon_sym_BSLASHqc] = ACTIONS(5438),
    [anon_sym_BSLASHqs] = ACTIONS(5438),
    [anon_sym_BSLASHqa] = ACTIONS(5438),
    [anon_sym_BSLASHqac] = ACTIONS(5438),
    [anon_sym_BSLASHqm] = ACTIONS(5438),
    [anon_sym_BSLASHqd] = ACTIONS(5438),
    [anon_sym_BSLASHlh] = ACTIONS(5438),
    [anon_sym_BSLASHli] = ACTIONS(5438),
    [anon_sym_BSLASHlim] = ACTIONS(5438),
    [anon_sym_BSLASHtr] = ACTIONS(5438),
    [anon_sym_BSLASHf] = ACTIONS(5438),
    [anon_sym_BSLASHfe] = ACTIONS(5438),
    [anon_sym_BSLASHef] = ACTIONS(5438),
    [anon_sym_BSLASHfm] = ACTIONS(5438),
    [anon_sym_BSLASHx] = ACTIONS(5438),
    [anon_sym_BSLASHxt] = ACTIONS(5438),
    [anon_sym_BSLASHrq] = ACTIONS(5438),
    [anon_sym_BSLASHadd] = ACTIONS(5438),
    [anon_sym_BSLASHbk] = ACTIONS(5438),
    [anon_sym_BSLASHdc] = ACTIONS(5438),
    [anon_sym_BSLASHk] = ACTIONS(5438),
    [anon_sym_BSLASHnd] = ACTIONS(5438),
    [anon_sym_BSLASHord] = ACTIONS(5438),
    [anon_sym_BSLASHpn] = ACTIONS(5438),
    [anon_sym_BSLASHpng] = ACTIONS(5438),
    [anon_sym_BSLASHaddpn] = ACTIONS(5438),
    [anon_sym_BSLASHqt] = ACTIONS(5438),
    [anon_sym_BSLASHsig] = ACTIONS(5438),
    [anon_sym_BSLASHsls] = ACTIONS(5438),
    [anon_sym_BSLASHtl] = ACTIONS(5438),
    [anon_sym_BSLASHwj] = ACTIONS(5438),
    [anon_sym_BSLASHem] = ACTIONS(5438),
    [anon_sym_BSLASHbd] = ACTIONS(5438),
    [anon_sym_BSLASHit] = ACTIONS(5438),
    [anon_sym_BSLASHbdit] = ACTIONS(5438),
    [anon_sym_BSLASHno] = ACTIONS(5438),
    [anon_sym_BSLASHsc] = ACTIONS(5438),
    [anon_sym_BSLASHsup] = ACTIONS(5438),
    [anon_sym_BSLASHndx] = ACTIONS(5438),
    [anon_sym_BSLASHpro] = ACTIONS(5438),
    [anon_sym_BSLASHrb] = ACTIONS(5438),
    [anon_sym_BSLASHw] = ACTIONS(5438),
    [anon_sym_BSLASHwg] = ACTIONS(5438),
    [anon_sym_BSLASHwh] = ACTIONS(5438),
    [anon_sym_BSLASHwa] = ACTIONS(5438),
    [anon_sym_BSLASHfig] = ACTIONS(5438),
    [anon_sym_BSLASHjmp] = ACTIONS(5438),
    [anon_sym_BSLASHpb] = ACTIONS(5438),
    [anon_sym_BSLASH] = ACTIONS(5438),
    [sym_milestoneStartTag] = ACTIONS(5438),
    [sym_milestoneEndTag] = ACTIONS(5438),
    [sym_zSpaceTag] = ACTIONS(5438),
    [anon_sym_BSLASHesbe] = ACTIONS(5438),
    [anon_sym_BSLASHcat] = ACTIONS(5438),
  },
  [721] = {
    [aux_sym_text_token1] = ACTIONS(450),
    [anon_sym_BSLASHref] = ACTIONS(452),
    [anon_sym_BSLASHsts] = ACTIONS(452),
    [anon_sym_BSLASHrem] = ACTIONS(452),
    [anon_sym_BSLASHrestore] = ACTIONS(452),
    [anon_sym_BSLASHlit] = ACTIONS(452),
    [anon_sym_BSLASHip] = ACTIONS(452),
    [anon_sym_BSLASHv] = ACTIONS(452),
    [anon_sym_BSLASHva] = ACTIONS(452),
    [anon_sym_BSLASHvp] = ACTIONS(452),
    [anon_sym_BSLASHmte] = ACTIONS(452),
    [anon_sym_BSLASHms] = ACTIONS(452),
    [anon_sym_BSLASHs] = ACTIONS(452),
    [anon_sym_BSLASHr] = ACTIONS(452),
    [anon_sym_BSLASHsp] = ACTIONS(452),
    [anon_sym_BSLASHd] = ACTIONS(452),
    [anon_sym_BSLASHsd] = ACTIONS(452),
    [anon_sym_BSLASHp] = ACTIONS(452),
    [anon_sym_BSLASHm] = ACTIONS(452),
    [anon_sym_BSLASHpo] = ACTIONS(452),
    [anon_sym_BSLASHpr] = ACTIONS(452),
    [anon_sym_BSLASHcls] = ACTIONS(452),
    [anon_sym_BSLASHpmo] = ACTIONS(452),
    [anon_sym_BSLASHpm] = ACTIONS(452),
    [anon_sym_BSLASHpmc] = ACTIONS(452),
    [anon_sym_BSLASHpmr] = ACTIONS(452),
    [anon_sym_BSLASHpi] = ACTIONS(452),
    [anon_sym_BSLASHmi] = ACTIONS(452),
    [anon_sym_BSLASHnb] = ACTIONS(452),
    [anon_sym_BSLASHpc] = ACTIONS(452),
    [anon_sym_BSLASHph] = ACTIONS(452),
    [anon_sym_BSLASHb] = ACTIONS(452),
    [anon_sym_BSLASHq] = ACTIONS(452),
    [anon_sym_BSLASHqr] = ACTIONS(452),
    [anon_sym_BSLASHqc] = ACTIONS(452),
    [anon_sym_BSLASHqs] = ACTIONS(452),
    [anon_sym_BSLASHqa] = ACTIONS(452),
    [anon_sym_BSLASHqac] = ACTIONS(452),
    [anon_sym_BSLASHqm] = ACTIONS(452),
    [anon_sym_BSLASHqd] = ACTIONS(452),
    [anon_sym_BSLASHlh] = ACTIONS(452),
    [anon_sym_BSLASHli] = ACTIONS(452),
    [anon_sym_BSLASHlim] = ACTIONS(452),
    [anon_sym_BSLASHtr] = ACTIONS(452),
    [anon_sym_BSLASHf] = ACTIONS(452),
    [anon_sym_BSLASHfe] = ACTIONS(452),
    [anon_sym_BSLASHef] = ACTIONS(452),
    [anon_sym_BSLASHfm] = ACTIONS(452),
    [anon_sym_BSLASHx] = ACTIONS(452),
    [anon_sym_BSLASHxt] = ACTIONS(452),
    [anon_sym_BSLASHrq] = ACTIONS(452),
    [anon_sym_BSLASHadd] = ACTIONS(452),
    [anon_sym_BSLASHbk] = ACTIONS(452),
    [anon_sym_BSLASHdc] = ACTIONS(452),
    [anon_sym_BSLASHk] = ACTIONS(452),
    [anon_sym_BSLASHnd] = ACTIONS(452),
    [anon_sym_BSLASHord] = ACTIONS(452),
    [anon_sym_BSLASHpn] = ACTIONS(452),
    [anon_sym_BSLASHpng] = ACTIONS(452),
    [anon_sym_BSLASHaddpn] = ACTIONS(452),
    [anon_sym_BSLASHqt] = ACTIONS(452),
    [anon_sym_BSLASHsig] = ACTIONS(452),
    [anon_sym_BSLASHsls] = ACTIONS(452),
    [anon_sym_BSLASHtl] = ACTIONS(452),
    [anon_sym_BSLASHwj] = ACTIONS(452),
    [anon_sym_BSLASHem] = ACTIONS(452),
    [anon_sym_BSLASHbd] = ACTIONS(452),
    [anon_sym_BSLASHit] = ACTIONS(452),
    [anon_sym_BSLASHbdit] = ACTIONS(452),
    [anon_sym_BSLASHno] = ACTIONS(452),
    [anon_sym_BSLASHsc] = ACTIONS(452),
    [anon_sym_BSLASHsup] = ACTIONS(452),
    [anon_sym_BSLASHndx] = ACTIONS(452),
    [anon_sym_BSLASHpro] = ACTIONS(452),
    [anon_sym_BSLASHrb] = ACTIONS(452),
    [anon_sym_BSLASHw] = ACTIONS(452),
    [anon_sym_BSLASHwg] = ACTIONS(452),
    [anon_sym_BSLASHwh] = ACTIONS(452),
    [anon_sym_BSLASHwa] = ACTIONS(452),
    [anon_sym_BSLASHfig] = ACTIONS(452),
    [anon_sym_BSLASHjmp] = ACTIONS(452),
    [anon_sym_BSLASHpb] = ACTIONS(452),
    [anon_sym_BSLASH] = ACTIONS(452),
    [sym_milestoneStartTag] = ACTIONS(452),
    [sym_milestoneEndTag] = ACTIONS(452),
    [sym_zSpaceTag] = ACTIONS(452),
    [anon_sym_BSLASHesbe] = ACTIONS(452),
    [anon_sym_BSLASHcat] = ACTIONS(452),
  },
  [722] = {
    [aux_sym_text_token1] = ACTIONS(3072),
    [anon_sym_BSLASHref] = ACTIONS(3074),
    [anon_sym_BSLASHsts] = ACTIONS(3074),
    [anon_sym_BSLASHrem] = ACTIONS(3074),
    [anon_sym_BSLASHrestore] = ACTIONS(3074),
    [anon_sym_BSLASHlit] = ACTIONS(3074),
    [anon_sym_BSLASHip] = ACTIONS(3074),
    [anon_sym_BSLASHv] = ACTIONS(3074),
    [anon_sym_BSLASHva] = ACTIONS(3074),
    [anon_sym_BSLASHvp] = ACTIONS(3074),
    [anon_sym_BSLASHmte] = ACTIONS(3074),
    [anon_sym_BSLASHms] = ACTIONS(3074),
    [anon_sym_BSLASHs] = ACTIONS(3074),
    [anon_sym_BSLASHr] = ACTIONS(3074),
    [anon_sym_BSLASHsp] = ACTIONS(3074),
    [anon_sym_BSLASHd] = ACTIONS(3074),
    [anon_sym_BSLASHsd] = ACTIONS(3074),
    [anon_sym_BSLASHp] = ACTIONS(3074),
    [anon_sym_BSLASHm] = ACTIONS(3074),
    [anon_sym_BSLASHpo] = ACTIONS(3074),
    [anon_sym_BSLASHpr] = ACTIONS(3074),
    [anon_sym_BSLASHcls] = ACTIONS(3074),
    [anon_sym_BSLASHpmo] = ACTIONS(3074),
    [anon_sym_BSLASHpm] = ACTIONS(3074),
    [anon_sym_BSLASHpmc] = ACTIONS(3074),
    [anon_sym_BSLASHpmr] = ACTIONS(3074),
    [anon_sym_BSLASHpi] = ACTIONS(3074),
    [anon_sym_BSLASHmi] = ACTIONS(3074),
    [anon_sym_BSLASHnb] = ACTIONS(3074),
    [anon_sym_BSLASHpc] = ACTIONS(3074),
    [anon_sym_BSLASHph] = ACTIONS(3074),
    [anon_sym_BSLASHb] = ACTIONS(3074),
    [anon_sym_BSLASHq] = ACTIONS(3074),
    [anon_sym_BSLASHqr] = ACTIONS(3074),
    [anon_sym_BSLASHqc] = ACTIONS(3074),
    [anon_sym_BSLASHqs] = ACTIONS(3074),
    [anon_sym_BSLASHqa] = ACTIONS(3074),
    [anon_sym_BSLASHqac] = ACTIONS(3074),
    [anon_sym_BSLASHqm] = ACTIONS(3074),
    [anon_sym_BSLASHqd] = ACTIONS(3074),
    [anon_sym_BSLASHlh] = ACTIONS(3074),
    [anon_sym_BSLASHli] = ACTIONS(3074),
    [anon_sym_BSLASHlim] = ACTIONS(3074),
    [anon_sym_BSLASHtr] = ACTIONS(3074),
    [anon_sym_BSLASHf] = ACTIONS(3074),
    [anon_sym_BSLASHfe] = ACTIONS(3074),
    [anon_sym_BSLASHef] = ACTIONS(3074),
    [anon_sym_BSLASHfm] = ACTIONS(3074),
    [anon_sym_BSLASHx] = ACTIONS(3074),
    [anon_sym_BSLASHxt] = ACTIONS(3074),
    [anon_sym_BSLASHrq] = ACTIONS(3074),
    [anon_sym_BSLASHadd] = ACTIONS(3074),
    [anon_sym_BSLASHbk] = ACTIONS(3074),
    [anon_sym_BSLASHdc] = ACTIONS(3074),
    [anon_sym_BSLASHk] = ACTIONS(3074),
    [anon_sym_BSLASHnd] = ACTIONS(3074),
    [anon_sym_BSLASHord] = ACTIONS(3074),
    [anon_sym_BSLASHpn] = ACTIONS(3074),
    [anon_sym_BSLASHpng] = ACTIONS(3074),
    [anon_sym_BSLASHaddpn] = ACTIONS(3074),
    [anon_sym_BSLASHqt] = ACTIONS(3074),
    [anon_sym_BSLASHsig] = ACTIONS(3074),
    [anon_sym_BSLASHsls] = ACTIONS(3074),
    [anon_sym_BSLASHtl] = ACTIONS(3074),
    [anon_sym_BSLASHwj] = ACTIONS(3074),
    [anon_sym_BSLASHem] = ACTIONS(3074),
    [anon_sym_BSLASHbd] = ACTIONS(3074),
    [anon_sym_BSLASHit] = ACTIONS(3074),
    [anon_sym_BSLASHbdit] = ACTIONS(3074),
    [anon_sym_BSLASHno] = ACTIONS(3074),
    [anon_sym_BSLASHsc] = ACTIONS(3074),
    [anon_sym_BSLASHsup] = ACTIONS(3074),
    [anon_sym_BSLASHndx] = ACTIONS(3074),
    [anon_sym_BSLASHpro] = ACTIONS(3074),
    [anon_sym_BSLASHrb] = ACTIONS(3074),
    [anon_sym_BSLASHw] = ACTIONS(3074),
    [anon_sym_BSLASHwg] = ACTIONS(3074),
    [anon_sym_BSLASHwh] = ACTIONS(3074),
    [anon_sym_BSLASHwa] = ACTIONS(3074),
    [anon_sym_BSLASHfig] = ACTIONS(3074),
    [anon_sym_BSLASHjmp] = ACTIONS(3074),
    [anon_sym_BSLASHpb] = ACTIONS(3074),
    [anon_sym_BSLASH] = ACTIONS(3074),
    [sym_milestoneStartTag] = ACTIONS(3074),
    [sym_milestoneEndTag] = ACTIONS(3074),
    [sym_zSpaceTag] = ACTIONS(3074),
    [anon_sym_BSLASHesbe] = ACTIONS(3074),
    [anon_sym_BSLASHcat] = ACTIONS(3074),
  },
  [723] = {
    [aux_sym_text_token1] = ACTIONS(5608),
    [anon_sym_BSLASHref] = ACTIONS(5610),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5610),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5610),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5610),
    [anon_sym_BSLASHfr] = ACTIONS(5610),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5610),
    [anon_sym_BSLASHfq] = ACTIONS(5610),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5610),
    [anon_sym_BSLASHfqa] = ACTIONS(5610),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5610),
    [anon_sym_BSLASHfk] = ACTIONS(5610),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5610),
    [anon_sym_BSLASHfl] = ACTIONS(5610),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5610),
    [anon_sym_BSLASHfw] = ACTIONS(5610),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5610),
    [anon_sym_BSLASHfp] = ACTIONS(5610),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5610),
    [anon_sym_BSLASHft] = ACTIONS(5610),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5610),
    [anon_sym_BSLASHfdc] = ACTIONS(5610),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5610),
    [anon_sym_BSLASHfv] = ACTIONS(5610),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5610),
    [anon_sym_BSLASHxt] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5610),
    [anon_sym_BSLASHadd] = ACTIONS(5610),
    [anon_sym_BSLASHbk] = ACTIONS(5610),
    [anon_sym_BSLASHdc] = ACTIONS(5610),
    [anon_sym_BSLASHk] = ACTIONS(5610),
    [anon_sym_BSLASHnd] = ACTIONS(5610),
    [anon_sym_BSLASHord] = ACTIONS(5610),
    [anon_sym_BSLASHpn] = ACTIONS(5610),
    [anon_sym_BSLASHpng] = ACTIONS(5610),
    [anon_sym_BSLASHaddpn] = ACTIONS(5610),
    [anon_sym_BSLASHqt] = ACTIONS(5610),
    [anon_sym_BSLASHsig] = ACTIONS(5610),
    [anon_sym_BSLASHsls] = ACTIONS(5610),
    [anon_sym_BSLASHtl] = ACTIONS(5610),
    [anon_sym_BSLASHwj] = ACTIONS(5610),
    [anon_sym_BSLASHem] = ACTIONS(5610),
    [anon_sym_BSLASHbd] = ACTIONS(5610),
    [anon_sym_BSLASHit] = ACTIONS(5610),
    [anon_sym_BSLASHbdit] = ACTIONS(5610),
    [anon_sym_BSLASHno] = ACTIONS(5610),
    [anon_sym_BSLASHsc] = ACTIONS(5610),
    [anon_sym_BSLASHsup] = ACTIONS(5610),
    [anon_sym_BSLASHndx] = ACTIONS(5610),
    [anon_sym_BSLASHpro] = ACTIONS(5610),
    [anon_sym_BSLASHrb] = ACTIONS(5610),
    [anon_sym_BSLASHw] = ACTIONS(5610),
    [anon_sym_BSLASHwg] = ACTIONS(5610),
    [anon_sym_BSLASHwh] = ACTIONS(5610),
    [anon_sym_BSLASHwa] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5610),
    [anon_sym_BSLASHfig] = ACTIONS(5610),
    [anon_sym_BSLASHjmp] = ACTIONS(5610),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5610),
    [anon_sym_BSLASHcat] = ACTIONS(5610),
  },
  [724] = {
    [aux_sym_text_token1] = ACTIONS(5544),
    [anon_sym_BSLASHref] = ACTIONS(5546),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfr] = ACTIONS(5546),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfq] = ACTIONS(5546),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfqa] = ACTIONS(5546),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfk] = ACTIONS(5546),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfl] = ACTIONS(5546),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfw] = ACTIONS(5546),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfp] = ACTIONS(5546),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHft] = ACTIONS(5546),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfdc] = ACTIONS(5546),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHfv] = ACTIONS(5546),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5546),
    [anon_sym_BSLASHxt] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5546),
    [anon_sym_BSLASHadd] = ACTIONS(5546),
    [anon_sym_BSLASHbk] = ACTIONS(5546),
    [anon_sym_BSLASHdc] = ACTIONS(5546),
    [anon_sym_BSLASHk] = ACTIONS(5546),
    [anon_sym_BSLASHnd] = ACTIONS(5546),
    [anon_sym_BSLASHord] = ACTIONS(5546),
    [anon_sym_BSLASHpn] = ACTIONS(5546),
    [anon_sym_BSLASHpng] = ACTIONS(5546),
    [anon_sym_BSLASHaddpn] = ACTIONS(5546),
    [anon_sym_BSLASHqt] = ACTIONS(5546),
    [anon_sym_BSLASHsig] = ACTIONS(5546),
    [anon_sym_BSLASHsls] = ACTIONS(5546),
    [anon_sym_BSLASHtl] = ACTIONS(5546),
    [anon_sym_BSLASHwj] = ACTIONS(5546),
    [anon_sym_BSLASHem] = ACTIONS(5546),
    [anon_sym_BSLASHbd] = ACTIONS(5546),
    [anon_sym_BSLASHit] = ACTIONS(5546),
    [anon_sym_BSLASHbdit] = ACTIONS(5546),
    [anon_sym_BSLASHno] = ACTIONS(5546),
    [anon_sym_BSLASHsc] = ACTIONS(5546),
    [anon_sym_BSLASHsup] = ACTIONS(5546),
    [anon_sym_BSLASHndx] = ACTIONS(5546),
    [anon_sym_BSLASHpro] = ACTIONS(5546),
    [anon_sym_BSLASHrb] = ACTIONS(5546),
    [anon_sym_BSLASHw] = ACTIONS(5546),
    [anon_sym_BSLASHwg] = ACTIONS(5546),
    [anon_sym_BSLASHwh] = ACTIONS(5546),
    [anon_sym_BSLASHwa] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5546),
    [anon_sym_BSLASHfig] = ACTIONS(5546),
    [anon_sym_BSLASHjmp] = ACTIONS(5546),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5546),
    [anon_sym_BSLASHcat] = ACTIONS(5546),
  },
  [725] = {
    [aux_sym_text_token1] = ACTIONS(5612),
    [anon_sym_BSLASHref] = ACTIONS(5614),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5614),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5614),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5614),
    [anon_sym_BSLASHfr] = ACTIONS(5614),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5614),
    [anon_sym_BSLASHfq] = ACTIONS(5614),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5614),
    [anon_sym_BSLASHfqa] = ACTIONS(5614),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5614),
    [anon_sym_BSLASHfk] = ACTIONS(5614),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5614),
    [anon_sym_BSLASHfl] = ACTIONS(5614),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5614),
    [anon_sym_BSLASHfw] = ACTIONS(5614),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5614),
    [anon_sym_BSLASHfp] = ACTIONS(5614),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5614),
    [anon_sym_BSLASHft] = ACTIONS(5614),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5614),
    [anon_sym_BSLASHfdc] = ACTIONS(5614),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5614),
    [anon_sym_BSLASHfv] = ACTIONS(5614),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5614),
    [anon_sym_BSLASHxt] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5614),
    [anon_sym_BSLASHadd] = ACTIONS(5614),
    [anon_sym_BSLASHbk] = ACTIONS(5614),
    [anon_sym_BSLASHdc] = ACTIONS(5614),
    [anon_sym_BSLASHk] = ACTIONS(5614),
    [anon_sym_BSLASHnd] = ACTIONS(5614),
    [anon_sym_BSLASHord] = ACTIONS(5614),
    [anon_sym_BSLASHpn] = ACTIONS(5614),
    [anon_sym_BSLASHpng] = ACTIONS(5614),
    [anon_sym_BSLASHaddpn] = ACTIONS(5614),
    [anon_sym_BSLASHqt] = ACTIONS(5614),
    [anon_sym_BSLASHsig] = ACTIONS(5614),
    [anon_sym_BSLASHsls] = ACTIONS(5614),
    [anon_sym_BSLASHtl] = ACTIONS(5614),
    [anon_sym_BSLASHwj] = ACTIONS(5614),
    [anon_sym_BSLASHem] = ACTIONS(5614),
    [anon_sym_BSLASHbd] = ACTIONS(5614),
    [anon_sym_BSLASHit] = ACTIONS(5614),
    [anon_sym_BSLASHbdit] = ACTIONS(5614),
    [anon_sym_BSLASHno] = ACTIONS(5614),
    [anon_sym_BSLASHsc] = ACTIONS(5614),
    [anon_sym_BSLASHsup] = ACTIONS(5614),
    [anon_sym_BSLASHndx] = ACTIONS(5614),
    [anon_sym_BSLASHpro] = ACTIONS(5614),
    [anon_sym_BSLASHrb] = ACTIONS(5614),
    [anon_sym_BSLASHw] = ACTIONS(5614),
    [anon_sym_BSLASHwg] = ACTIONS(5614),
    [anon_sym_BSLASHwh] = ACTIONS(5614),
    [anon_sym_BSLASHwa] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5614),
    [anon_sym_BSLASHfig] = ACTIONS(5614),
    [anon_sym_BSLASHjmp] = ACTIONS(5614),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5614),
    [anon_sym_BSLASHcat] = ACTIONS(5614),
  },
  [726] = {
    [sym_text] = STATE(726),
    [sym_add] = STATE(726),
    [sym_bk] = STATE(726),
    [sym_dc] = STATE(726),
    [sym_k] = STATE(726),
    [sym_nd] = STATE(726),
    [sym_ord] = STATE(726),
    [sym_pn] = STATE(726),
    [sym_png] = STATE(726),
    [sym_addpn] = STATE(726),
    [sym_qt] = STATE(726),
    [sym_sig] = STATE(726),
    [sym_sls] = STATE(726),
    [sym_tl] = STATE(726),
    [sym_wj] = STATE(726),
    [sym_em] = STATE(726),
    [sym_bd] = STATE(726),
    [sym_it] = STATE(726),
    [sym_bdit] = STATE(726),
    [sym_no] = STATE(726),
    [sym_sc] = STATE(726),
    [sym_sup] = STATE(726),
    [sym_ndx] = STATE(726),
    [sym_pro] = STATE(726),
    [sym_rb] = STATE(726),
    [sym_w] = STATE(726),
    [sym_wg] = STATE(726),
    [sym_wh] = STATE(726),
    [sym_wa] = STATE(726),
    [sym__characterMarker] = STATE(726),
    [sym_fig] = STATE(726),
    [sym_jmp] = STATE(726),
    [aux_sym_verseText_repeat1] = STATE(726),
    [aux_sym_text_token1] = ACTIONS(5616),
    [anon_sym_BSLASHref] = ACTIONS(3383),
    [anon_sym_BSLASHsts] = ACTIONS(3383),
    [anon_sym_BSLASHrem] = ACTIONS(3383),
    [anon_sym_BSLASHrestore] = ACTIONS(3383),
    [anon_sym_BSLASHlit] = ACTIONS(3383),
    [anon_sym_BSLASHv] = ACTIONS(3383),
    [anon_sym_BSLASHva] = ACTIONS(3383),
    [anon_sym_BSLASHvp] = ACTIONS(3383),
    [anon_sym_BSLASHqs] = ACTIONS(3383),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(3383),
    [anon_sym_BSLASHqac] = ACTIONS(3383),
    [anon_sym_BSLASHf] = ACTIONS(3383),
    [anon_sym_BSLASHfe] = ACTIONS(3383),
    [anon_sym_BSLASHef] = ACTIONS(3383),
    [anon_sym_BSLASHfm] = ACTIONS(3383),
    [anon_sym_BSLASHx] = ACTIONS(3383),
    [anon_sym_BSLASHxt] = ACTIONS(3383),
    [anon_sym_BSLASHrq] = ACTIONS(3383),
    [anon_sym_BSLASHadd] = ACTIONS(5619),
    [anon_sym_BSLASHbk] = ACTIONS(5622),
    [anon_sym_BSLASHdc] = ACTIONS(5625),
    [anon_sym_BSLASHk] = ACTIONS(5628),
    [anon_sym_BSLASHnd] = ACTIONS(5631),
    [anon_sym_BSLASHord] = ACTIONS(5634),
    [anon_sym_BSLASHpn] = ACTIONS(5637),
    [anon_sym_BSLASHpng] = ACTIONS(5640),
    [anon_sym_BSLASHaddpn] = ACTIONS(5643),
    [anon_sym_BSLASHqt] = ACTIONS(5646),
    [anon_sym_BSLASHsig] = ACTIONS(5649),
    [anon_sym_BSLASHsls] = ACTIONS(5652),
    [anon_sym_BSLASHtl] = ACTIONS(5655),
    [anon_sym_BSLASHwj] = ACTIONS(5658),
    [anon_sym_BSLASHem] = ACTIONS(5661),
    [anon_sym_BSLASHbd] = ACTIONS(5664),
    [anon_sym_BSLASHit] = ACTIONS(5667),
    [anon_sym_BSLASHbdit] = ACTIONS(5670),
    [anon_sym_BSLASHno] = ACTIONS(5673),
    [anon_sym_BSLASHsc] = ACTIONS(5676),
    [anon_sym_BSLASHsup] = ACTIONS(5679),
    [anon_sym_BSLASHndx] = ACTIONS(5682),
    [anon_sym_BSLASHpro] = ACTIONS(5685),
    [anon_sym_BSLASHrb] = ACTIONS(5688),
    [anon_sym_BSLASHw] = ACTIONS(5691),
    [anon_sym_BSLASHwg] = ACTIONS(5694),
    [anon_sym_BSLASHwh] = ACTIONS(5697),
    [anon_sym_BSLASHwa] = ACTIONS(5700),
    [anon_sym_BSLASHfig] = ACTIONS(5703),
    [anon_sym_BSLASHjmp] = ACTIONS(5706),
    [anon_sym_BSLASH] = ACTIONS(3383),
    [sym_milestoneStartTag] = ACTIONS(3383),
    [sym_milestoneEndTag] = ACTIONS(3383),
    [sym_zSpaceTag] = ACTIONS(3383),
  },
  [727] = {
    [aux_sym_text_token1] = ACTIONS(5502),
    [anon_sym_BSLASHref] = ACTIONS(5504),
    [anon_sym_BSLASHsts] = ACTIONS(5504),
    [anon_sym_BSLASHrem] = ACTIONS(5504),
    [anon_sym_BSLASHrestore] = ACTIONS(5504),
    [anon_sym_BSLASHlit] = ACTIONS(5504),
    [anon_sym_BSLASHip] = ACTIONS(5504),
    [anon_sym_BSLASHv] = ACTIONS(5504),
    [anon_sym_BSLASHva] = ACTIONS(5504),
    [anon_sym_BSLASHvp] = ACTIONS(5504),
    [anon_sym_BSLASHmte] = ACTIONS(5504),
    [anon_sym_BSLASHms] = ACTIONS(5504),
    [anon_sym_BSLASHs] = ACTIONS(5504),
    [anon_sym_BSLASHr] = ACTIONS(5504),
    [anon_sym_BSLASHsp] = ACTIONS(5504),
    [anon_sym_BSLASHd] = ACTIONS(5504),
    [anon_sym_BSLASHsd] = ACTIONS(5504),
    [anon_sym_BSLASHp] = ACTIONS(5504),
    [anon_sym_BSLASHm] = ACTIONS(5504),
    [anon_sym_BSLASHpo] = ACTIONS(5504),
    [anon_sym_BSLASHpr] = ACTIONS(5504),
    [anon_sym_BSLASHcls] = ACTIONS(5504),
    [anon_sym_BSLASHpmo] = ACTIONS(5504),
    [anon_sym_BSLASHpm] = ACTIONS(5504),
    [anon_sym_BSLASHpmc] = ACTIONS(5504),
    [anon_sym_BSLASHpmr] = ACTIONS(5504),
    [anon_sym_BSLASHpi] = ACTIONS(5504),
    [anon_sym_BSLASHmi] = ACTIONS(5504),
    [anon_sym_BSLASHnb] = ACTIONS(5504),
    [anon_sym_BSLASHpc] = ACTIONS(5504),
    [anon_sym_BSLASHph] = ACTIONS(5504),
    [anon_sym_BSLASHb] = ACTIONS(5504),
    [anon_sym_BSLASHq] = ACTIONS(5504),
    [anon_sym_BSLASHqr] = ACTIONS(5504),
    [anon_sym_BSLASHqc] = ACTIONS(5504),
    [anon_sym_BSLASHqa] = ACTIONS(5504),
    [anon_sym_BSLASHqm] = ACTIONS(5504),
    [anon_sym_BSLASHqd] = ACTIONS(5504),
    [anon_sym_BSLASHlh] = ACTIONS(5504),
    [anon_sym_BSLASHli] = ACTIONS(5504),
    [anon_sym_BSLASHlim] = ACTIONS(5504),
    [anon_sym_BSLASHtr] = ACTIONS(5504),
    [anon_sym_BSLASHf] = ACTIONS(5504),
    [anon_sym_BSLASHfe] = ACTIONS(5504),
    [anon_sym_BSLASHef] = ACTIONS(5504),
    [anon_sym_BSLASHfm] = ACTIONS(5504),
    [anon_sym_BSLASHx] = ACTIONS(5504),
    [anon_sym_BSLASHxt] = ACTIONS(5504),
    [anon_sym_BSLASHrq] = ACTIONS(5504),
    [anon_sym_BSLASHadd] = ACTIONS(5504),
    [anon_sym_BSLASHbk] = ACTIONS(5504),
    [anon_sym_BSLASHdc] = ACTIONS(5504),
    [anon_sym_BSLASHk] = ACTIONS(5504),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5504),
    [anon_sym_BSLASHpn] = ACTIONS(5504),
    [anon_sym_BSLASHpng] = ACTIONS(5504),
    [anon_sym_BSLASHaddpn] = ACTIONS(5504),
    [anon_sym_BSLASHqt] = ACTIONS(5504),
    [anon_sym_BSLASHsig] = ACTIONS(5504),
    [anon_sym_BSLASHsls] = ACTIONS(5504),
    [anon_sym_BSLASHtl] = ACTIONS(5504),
    [anon_sym_BSLASHwj] = ACTIONS(5504),
    [anon_sym_BSLASHem] = ACTIONS(5504),
    [anon_sym_BSLASHbd] = ACTIONS(5504),
    [anon_sym_BSLASHit] = ACTIONS(5504),
    [anon_sym_BSLASHbdit] = ACTIONS(5504),
    [anon_sym_BSLASHno] = ACTIONS(5504),
    [anon_sym_BSLASHsc] = ACTIONS(5504),
    [anon_sym_BSLASHsup] = ACTIONS(5504),
    [anon_sym_BSLASHndx] = ACTIONS(5504),
    [anon_sym_BSLASHpro] = ACTIONS(5504),
    [anon_sym_BSLASHrb] = ACTIONS(5504),
    [anon_sym_BSLASHw] = ACTIONS(5504),
    [anon_sym_BSLASHwg] = ACTIONS(5504),
    [anon_sym_BSLASHwh] = ACTIONS(5504),
    [anon_sym_BSLASHwa] = ACTIONS(5504),
    [anon_sym_BSLASHfig] = ACTIONS(5504),
    [anon_sym_BSLASHjmp] = ACTIONS(5504),
    [anon_sym_BSLASHpb] = ACTIONS(5504),
    [anon_sym_BSLASH] = ACTIONS(5504),
    [sym_milestoneStartTag] = ACTIONS(5504),
    [sym_milestoneEndTag] = ACTIONS(5504),
    [sym_zSpaceTag] = ACTIONS(5504),
    [anon_sym_BSLASHesbe] = ACTIONS(5504),
    [anon_sym_BSLASHcat] = ACTIONS(5504),
  },
  [728] = {
    [aux_sym_text_token1] = ACTIONS(5498),
    [anon_sym_BSLASHref] = ACTIONS(5500),
    [anon_sym_BSLASHsts] = ACTIONS(5500),
    [anon_sym_BSLASHrem] = ACTIONS(5500),
    [anon_sym_BSLASHrestore] = ACTIONS(5500),
    [anon_sym_BSLASHlit] = ACTIONS(5500),
    [anon_sym_BSLASHip] = ACTIONS(5500),
    [anon_sym_BSLASHv] = ACTIONS(5500),
    [anon_sym_BSLASHva] = ACTIONS(5500),
    [anon_sym_BSLASHvp] = ACTIONS(5500),
    [anon_sym_BSLASHmte] = ACTIONS(5500),
    [anon_sym_BSLASHms] = ACTIONS(5500),
    [anon_sym_BSLASHs] = ACTIONS(5500),
    [anon_sym_BSLASHr] = ACTIONS(5500),
    [anon_sym_BSLASHsp] = ACTIONS(5500),
    [anon_sym_BSLASHd] = ACTIONS(5500),
    [anon_sym_BSLASHsd] = ACTIONS(5500),
    [anon_sym_BSLASHp] = ACTIONS(5500),
    [anon_sym_BSLASHm] = ACTIONS(5500),
    [anon_sym_BSLASHpo] = ACTIONS(5500),
    [anon_sym_BSLASHpr] = ACTIONS(5500),
    [anon_sym_BSLASHcls] = ACTIONS(5500),
    [anon_sym_BSLASHpmo] = ACTIONS(5500),
    [anon_sym_BSLASHpm] = ACTIONS(5500),
    [anon_sym_BSLASHpmc] = ACTIONS(5500),
    [anon_sym_BSLASHpmr] = ACTIONS(5500),
    [anon_sym_BSLASHpi] = ACTIONS(5500),
    [anon_sym_BSLASHmi] = ACTIONS(5500),
    [anon_sym_BSLASHnb] = ACTIONS(5500),
    [anon_sym_BSLASHpc] = ACTIONS(5500),
    [anon_sym_BSLASHph] = ACTIONS(5500),
    [anon_sym_BSLASHb] = ACTIONS(5500),
    [anon_sym_BSLASHq] = ACTIONS(5500),
    [anon_sym_BSLASHqr] = ACTIONS(5500),
    [anon_sym_BSLASHqc] = ACTIONS(5500),
    [anon_sym_BSLASHqa] = ACTIONS(5500),
    [anon_sym_BSLASHqm] = ACTIONS(5500),
    [anon_sym_BSLASHqd] = ACTIONS(5500),
    [anon_sym_BSLASHlh] = ACTIONS(5500),
    [anon_sym_BSLASHli] = ACTIONS(5500),
    [anon_sym_BSLASHlim] = ACTIONS(5500),
    [anon_sym_BSLASHtr] = ACTIONS(5500),
    [anon_sym_BSLASHf] = ACTIONS(5500),
    [anon_sym_BSLASHfe] = ACTIONS(5500),
    [anon_sym_BSLASHef] = ACTIONS(5500),
    [anon_sym_BSLASHfm] = ACTIONS(5500),
    [anon_sym_BSLASHx] = ACTIONS(5500),
    [anon_sym_BSLASHxt] = ACTIONS(5500),
    [anon_sym_BSLASHrq] = ACTIONS(5500),
    [anon_sym_BSLASHadd] = ACTIONS(5500),
    [anon_sym_BSLASHbk] = ACTIONS(5500),
    [anon_sym_BSLASHdc] = ACTIONS(5500),
    [anon_sym_BSLASHk] = ACTIONS(5500),
    [anon_sym_BSLASHnd] = ACTIONS(5500),
    [anon_sym_BSLASHord] = ACTIONS(5500),
    [anon_sym_BSLASHpn] = ACTIONS(5500),
    [anon_sym_BSLASHpng] = ACTIONS(5500),
    [anon_sym_BSLASHaddpn] = ACTIONS(5500),
    [anon_sym_BSLASHqt] = ACTIONS(5500),
    [anon_sym_BSLASHsig] = ACTIONS(5500),
    [anon_sym_BSLASHsls] = ACTIONS(5500),
    [anon_sym_BSLASHtl] = ACTIONS(5500),
    [anon_sym_BSLASHwj] = ACTIONS(5500),
    [anon_sym_BSLASHem] = ACTIONS(5500),
    [anon_sym_BSLASHbd] = ACTIONS(5500),
    [anon_sym_BSLASHit] = ACTIONS(5500),
    [anon_sym_BSLASHbdit] = ACTIONS(5500),
    [anon_sym_BSLASHno] = ACTIONS(5500),
    [anon_sym_BSLASHsc] = ACTIONS(5500),
    [anon_sym_BSLASHsup] = ACTIONS(5500),
    [anon_sym_BSLASHndx] = ACTIONS(5500),
    [anon_sym_BSLASHpro] = ACTIONS(5500),
    [anon_sym_BSLASHrb] = ACTIONS(5500),
    [anon_sym_BSLASHw] = ACTIONS(5500),
    [anon_sym_BSLASHwg] = ACTIONS(5500),
    [anon_sym_BSLASHwh] = ACTIONS(5500),
    [anon_sym_BSLASHwa] = ACTIONS(5500),
    [anon_sym_BSLASHfig] = ACTIONS(5500),
    [anon_sym_BSLASHjmp] = ACTIONS(5500),
    [anon_sym_BSLASHpb] = ACTIONS(5500),
    [anon_sym_BSLASH] = ACTIONS(5500),
    [sym_milestoneStartTag] = ACTIONS(5500),
    [sym_milestoneEndTag] = ACTIONS(5500),
    [sym_zSpaceTag] = ACTIONS(5500),
    [anon_sym_BSLASHesbe] = ACTIONS(5500),
    [anon_sym_BSLASHcat] = ACTIONS(5500),
  },
  [729] = {
    [aux_sym_text_token1] = ACTIONS(5506),
    [anon_sym_BSLASHref] = ACTIONS(5508),
    [anon_sym_BSLASHsts] = ACTIONS(5508),
    [anon_sym_BSLASHrem] = ACTIONS(5508),
    [anon_sym_BSLASHrestore] = ACTIONS(5508),
    [anon_sym_BSLASHlit] = ACTIONS(5508),
    [anon_sym_BSLASHip] = ACTIONS(5508),
    [anon_sym_BSLASHv] = ACTIONS(5508),
    [anon_sym_BSLASHva] = ACTIONS(5508),
    [anon_sym_BSLASHvp] = ACTIONS(5508),
    [anon_sym_BSLASHmte] = ACTIONS(5508),
    [anon_sym_BSLASHms] = ACTIONS(5508),
    [anon_sym_BSLASHs] = ACTIONS(5508),
    [anon_sym_BSLASHr] = ACTIONS(5508),
    [anon_sym_BSLASHsp] = ACTIONS(5508),
    [anon_sym_BSLASHd] = ACTIONS(5508),
    [anon_sym_BSLASHsd] = ACTIONS(5508),
    [anon_sym_BSLASHp] = ACTIONS(5508),
    [anon_sym_BSLASHm] = ACTIONS(5508),
    [anon_sym_BSLASHpo] = ACTIONS(5508),
    [anon_sym_BSLASHpr] = ACTIONS(5508),
    [anon_sym_BSLASHcls] = ACTIONS(5508),
    [anon_sym_BSLASHpmo] = ACTIONS(5508),
    [anon_sym_BSLASHpm] = ACTIONS(5508),
    [anon_sym_BSLASHpmc] = ACTIONS(5508),
    [anon_sym_BSLASHpmr] = ACTIONS(5508),
    [anon_sym_BSLASHpi] = ACTIONS(5508),
    [anon_sym_BSLASHmi] = ACTIONS(5508),
    [anon_sym_BSLASHnb] = ACTIONS(5508),
    [anon_sym_BSLASHpc] = ACTIONS(5508),
    [anon_sym_BSLASHph] = ACTIONS(5508),
    [anon_sym_BSLASHb] = ACTIONS(5508),
    [anon_sym_BSLASHq] = ACTIONS(5508),
    [anon_sym_BSLASHqr] = ACTIONS(5508),
    [anon_sym_BSLASHqc] = ACTIONS(5508),
    [anon_sym_BSLASHqa] = ACTIONS(5508),
    [anon_sym_BSLASHqm] = ACTIONS(5508),
    [anon_sym_BSLASHqd] = ACTIONS(5508),
    [anon_sym_BSLASHlh] = ACTIONS(5508),
    [anon_sym_BSLASHli] = ACTIONS(5508),
    [anon_sym_BSLASHlim] = ACTIONS(5508),
    [anon_sym_BSLASHtr] = ACTIONS(5508),
    [anon_sym_BSLASHf] = ACTIONS(5508),
    [anon_sym_BSLASHfe] = ACTIONS(5508),
    [anon_sym_BSLASHef] = ACTIONS(5508),
    [anon_sym_BSLASHfm] = ACTIONS(5508),
    [anon_sym_BSLASHx] = ACTIONS(5508),
    [anon_sym_BSLASHxt] = ACTIONS(5508),
    [anon_sym_BSLASHrq] = ACTIONS(5508),
    [anon_sym_BSLASHadd] = ACTIONS(5508),
    [anon_sym_BSLASHbk] = ACTIONS(5508),
    [anon_sym_BSLASHdc] = ACTIONS(5508),
    [anon_sym_BSLASHk] = ACTIONS(5508),
    [anon_sym_BSLASHnd] = ACTIONS(5508),
    [anon_sym_BSLASHord] = ACTIONS(5508),
    [anon_sym_BSLASHpn] = ACTIONS(5508),
    [anon_sym_BSLASHpng] = ACTIONS(5508),
    [anon_sym_BSLASHaddpn] = ACTIONS(5508),
    [anon_sym_BSLASHqt] = ACTIONS(5508),
    [anon_sym_BSLASHsig] = ACTIONS(5508),
    [anon_sym_BSLASHsls] = ACTIONS(5508),
    [anon_sym_BSLASHtl] = ACTIONS(5508),
    [anon_sym_BSLASHwj] = ACTIONS(5508),
    [anon_sym_BSLASHem] = ACTIONS(5508),
    [anon_sym_BSLASHbd] = ACTIONS(5508),
    [anon_sym_BSLASHit] = ACTIONS(5508),
    [anon_sym_BSLASHbdit] = ACTIONS(5508),
    [anon_sym_BSLASHno] = ACTIONS(5508),
    [anon_sym_BSLASHsc] = ACTIONS(5508),
    [anon_sym_BSLASHsup] = ACTIONS(5508),
    [anon_sym_BSLASHndx] = ACTIONS(5508),
    [anon_sym_BSLASHpro] = ACTIONS(5508),
    [anon_sym_BSLASHrb] = ACTIONS(5508),
    [anon_sym_BSLASHw] = ACTIONS(5508),
    [anon_sym_BSLASHwg] = ACTIONS(5508),
    [anon_sym_BSLASHwh] = ACTIONS(5508),
    [anon_sym_BSLASHwa] = ACTIONS(5508),
    [anon_sym_BSLASHfig] = ACTIONS(5508),
    [anon_sym_BSLASHjmp] = ACTIONS(5508),
    [anon_sym_BSLASHpb] = ACTIONS(5508),
    [anon_sym_BSLASH] = ACTIONS(5508),
    [sym_milestoneStartTag] = ACTIONS(5508),
    [sym_milestoneEndTag] = ACTIONS(5508),
    [sym_zSpaceTag] = ACTIONS(5508),
    [anon_sym_BSLASHesbe] = ACTIONS(5508),
    [anon_sym_BSLASHcat] = ACTIONS(5508),
  },
  [730] = {
    [aux_sym_text_token1] = ACTIONS(5516),
    [anon_sym_BSLASHref] = ACTIONS(5518),
    [anon_sym_BSLASHsts] = ACTIONS(5518),
    [anon_sym_BSLASHrem] = ACTIONS(5518),
    [anon_sym_BSLASHrestore] = ACTIONS(5518),
    [anon_sym_BSLASHlit] = ACTIONS(5518),
    [anon_sym_BSLASHip] = ACTIONS(5518),
    [anon_sym_BSLASHv] = ACTIONS(5518),
    [anon_sym_BSLASHva] = ACTIONS(5518),
    [anon_sym_BSLASHvp] = ACTIONS(5518),
    [anon_sym_BSLASHmte] = ACTIONS(5518),
    [anon_sym_BSLASHms] = ACTIONS(5518),
    [anon_sym_BSLASHs] = ACTIONS(5518),
    [anon_sym_BSLASHr] = ACTIONS(5518),
    [anon_sym_BSLASHsp] = ACTIONS(5518),
    [anon_sym_BSLASHd] = ACTIONS(5518),
    [anon_sym_BSLASHsd] = ACTIONS(5518),
    [anon_sym_BSLASHp] = ACTIONS(5518),
    [anon_sym_BSLASHm] = ACTIONS(5518),
    [anon_sym_BSLASHpo] = ACTIONS(5518),
    [anon_sym_BSLASHpr] = ACTIONS(5518),
    [anon_sym_BSLASHcls] = ACTIONS(5518),
    [anon_sym_BSLASHpmo] = ACTIONS(5518),
    [anon_sym_BSLASHpm] = ACTIONS(5518),
    [anon_sym_BSLASHpmc] = ACTIONS(5518),
    [anon_sym_BSLASHpmr] = ACTIONS(5518),
    [anon_sym_BSLASHpi] = ACTIONS(5518),
    [anon_sym_BSLASHmi] = ACTIONS(5518),
    [anon_sym_BSLASHnb] = ACTIONS(5518),
    [anon_sym_BSLASHpc] = ACTIONS(5518),
    [anon_sym_BSLASHph] = ACTIONS(5518),
    [anon_sym_BSLASHb] = ACTIONS(5518),
    [anon_sym_BSLASHq] = ACTIONS(5518),
    [anon_sym_BSLASHqr] = ACTIONS(5518),
    [anon_sym_BSLASHqc] = ACTIONS(5518),
    [anon_sym_BSLASHqa] = ACTIONS(5518),
    [anon_sym_BSLASHqm] = ACTIONS(5518),
    [anon_sym_BSLASHqd] = ACTIONS(5518),
    [anon_sym_BSLASHlh] = ACTIONS(5518),
    [anon_sym_BSLASHli] = ACTIONS(5518),
    [anon_sym_BSLASHlim] = ACTIONS(5518),
    [anon_sym_BSLASHtr] = ACTIONS(5518),
    [anon_sym_BSLASHf] = ACTIONS(5518),
    [anon_sym_BSLASHfe] = ACTIONS(5518),
    [anon_sym_BSLASHef] = ACTIONS(5518),
    [anon_sym_BSLASHfm] = ACTIONS(5518),
    [anon_sym_BSLASHx] = ACTIONS(5518),
    [anon_sym_BSLASHxt] = ACTIONS(5518),
    [anon_sym_BSLASHrq] = ACTIONS(5518),
    [anon_sym_BSLASHadd] = ACTIONS(5518),
    [anon_sym_BSLASHbk] = ACTIONS(5518),
    [anon_sym_BSLASHdc] = ACTIONS(5518),
    [anon_sym_BSLASHk] = ACTIONS(5518),
    [anon_sym_BSLASHnd] = ACTIONS(5518),
    [anon_sym_BSLASHord] = ACTIONS(5518),
    [anon_sym_BSLASHpn] = ACTIONS(5518),
    [anon_sym_BSLASHpng] = ACTIONS(5518),
    [anon_sym_BSLASHaddpn] = ACTIONS(5518),
    [anon_sym_BSLASHqt] = ACTIONS(5518),
    [anon_sym_BSLASHsig] = ACTIONS(5518),
    [anon_sym_BSLASHsls] = ACTIONS(5518),
    [anon_sym_BSLASHtl] = ACTIONS(5518),
    [anon_sym_BSLASHwj] = ACTIONS(5518),
    [anon_sym_BSLASHem] = ACTIONS(5518),
    [anon_sym_BSLASHbd] = ACTIONS(5518),
    [anon_sym_BSLASHit] = ACTIONS(5518),
    [anon_sym_BSLASHbdit] = ACTIONS(5518),
    [anon_sym_BSLASHno] = ACTIONS(5518),
    [anon_sym_BSLASHsc] = ACTIONS(5518),
    [anon_sym_BSLASHsup] = ACTIONS(5518),
    [anon_sym_BSLASHndx] = ACTIONS(5518),
    [anon_sym_BSLASHpro] = ACTIONS(5518),
    [anon_sym_BSLASHrb] = ACTIONS(5518),
    [anon_sym_BSLASHw] = ACTIONS(5518),
    [anon_sym_BSLASHwg] = ACTIONS(5518),
    [anon_sym_BSLASHwh] = ACTIONS(5518),
    [anon_sym_BSLASHwa] = ACTIONS(5518),
    [anon_sym_BSLASHfig] = ACTIONS(5518),
    [anon_sym_BSLASHjmp] = ACTIONS(5518),
    [anon_sym_BSLASHpb] = ACTIONS(5518),
    [anon_sym_BSLASH] = ACTIONS(5518),
    [sym_milestoneStartTag] = ACTIONS(5518),
    [sym_milestoneEndTag] = ACTIONS(5518),
    [sym_zSpaceTag] = ACTIONS(5518),
    [anon_sym_BSLASHesbe] = ACTIONS(5518),
    [anon_sym_BSLASHcat] = ACTIONS(5518),
  },
  [731] = {
    [sym_text] = STATE(726),
    [sym_add] = STATE(726),
    [sym_bk] = STATE(726),
    [sym_dc] = STATE(726),
    [sym_k] = STATE(726),
    [sym_nd] = STATE(726),
    [sym_ord] = STATE(726),
    [sym_pn] = STATE(726),
    [sym_png] = STATE(726),
    [sym_addpn] = STATE(726),
    [sym_qt] = STATE(726),
    [sym_sig] = STATE(726),
    [sym_sls] = STATE(726),
    [sym_tl] = STATE(726),
    [sym_wj] = STATE(726),
    [sym_em] = STATE(726),
    [sym_bd] = STATE(726),
    [sym_it] = STATE(726),
    [sym_bdit] = STATE(726),
    [sym_no] = STATE(726),
    [sym_sc] = STATE(726),
    [sym_sup] = STATE(726),
    [sym_ndx] = STATE(726),
    [sym_pro] = STATE(726),
    [sym_rb] = STATE(726),
    [sym_w] = STATE(726),
    [sym_wg] = STATE(726),
    [sym_wh] = STATE(726),
    [sym_wa] = STATE(726),
    [sym__characterMarker] = STATE(726),
    [sym_fig] = STATE(726),
    [sym_jmp] = STATE(726),
    [aux_sym_verseText_repeat1] = STATE(726),
    [aux_sym_text_token1] = ACTIONS(4139),
    [anon_sym_BSLASHref] = ACTIONS(3376),
    [anon_sym_BSLASHsts] = ACTIONS(3376),
    [anon_sym_BSLASHrem] = ACTIONS(3376),
    [anon_sym_BSLASHrestore] = ACTIONS(3376),
    [anon_sym_BSLASHlit] = ACTIONS(3376),
    [anon_sym_BSLASHv] = ACTIONS(3376),
    [anon_sym_BSLASHva] = ACTIONS(3376),
    [anon_sym_BSLASHvp] = ACTIONS(3376),
    [anon_sym_BSLASHqs] = ACTIONS(3376),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(3376),
    [anon_sym_BSLASHqac] = ACTIONS(3376),
    [anon_sym_BSLASHf] = ACTIONS(3376),
    [anon_sym_BSLASHfe] = ACTIONS(3376),
    [anon_sym_BSLASHef] = ACTIONS(3376),
    [anon_sym_BSLASHfm] = ACTIONS(3376),
    [anon_sym_BSLASHx] = ACTIONS(3376),
    [anon_sym_BSLASHxt] = ACTIONS(3376),
    [anon_sym_BSLASHrq] = ACTIONS(3376),
    [anon_sym_BSLASHadd] = ACTIONS(4177),
    [anon_sym_BSLASHbk] = ACTIONS(4179),
    [anon_sym_BSLASHdc] = ACTIONS(4181),
    [anon_sym_BSLASHk] = ACTIONS(4183),
    [anon_sym_BSLASHnd] = ACTIONS(4185),
    [anon_sym_BSLASHord] = ACTIONS(4187),
    [anon_sym_BSLASHpn] = ACTIONS(4189),
    [anon_sym_BSLASHpng] = ACTIONS(4191),
    [anon_sym_BSLASHaddpn] = ACTIONS(4193),
    [anon_sym_BSLASHqt] = ACTIONS(4195),
    [anon_sym_BSLASHsig] = ACTIONS(4197),
    [anon_sym_BSLASHsls] = ACTIONS(4199),
    [anon_sym_BSLASHtl] = ACTIONS(4201),
    [anon_sym_BSLASHwj] = ACTIONS(4203),
    [anon_sym_BSLASHem] = ACTIONS(4205),
    [anon_sym_BSLASHbd] = ACTIONS(4207),
    [anon_sym_BSLASHit] = ACTIONS(4209),
    [anon_sym_BSLASHbdit] = ACTIONS(4211),
    [anon_sym_BSLASHno] = ACTIONS(4213),
    [anon_sym_BSLASHsc] = ACTIONS(4215),
    [anon_sym_BSLASHsup] = ACTIONS(4217),
    [anon_sym_BSLASHndx] = ACTIONS(4219),
    [anon_sym_BSLASHpro] = ACTIONS(4221),
    [anon_sym_BSLASHrb] = ACTIONS(4223),
    [anon_sym_BSLASHw] = ACTIONS(4225),
    [anon_sym_BSLASHwg] = ACTIONS(4227),
    [anon_sym_BSLASHwh] = ACTIONS(4229),
    [anon_sym_BSLASHwa] = ACTIONS(4231),
    [anon_sym_BSLASHfig] = ACTIONS(4233),
    [anon_sym_BSLASHjmp] = ACTIONS(4235),
    [anon_sym_BSLASH] = ACTIONS(3376),
    [sym_milestoneStartTag] = ACTIONS(3376),
    [sym_milestoneEndTag] = ACTIONS(3376),
    [sym_zSpaceTag] = ACTIONS(3376),
  },
  [732] = {
    [sym_text] = STATE(733),
    [sym_add] = STATE(733),
    [sym_bk] = STATE(733),
    [sym_dc] = STATE(733),
    [sym_k] = STATE(733),
    [sym_nd] = STATE(733),
    [sym_ord] = STATE(733),
    [sym_pn] = STATE(733),
    [sym_png] = STATE(733),
    [sym_addpn] = STATE(733),
    [sym_qt] = STATE(733),
    [sym_sig] = STATE(733),
    [sym_sls] = STATE(733),
    [sym_tl] = STATE(733),
    [sym_wj] = STATE(733),
    [sym_em] = STATE(733),
    [sym_bd] = STATE(733),
    [sym_it] = STATE(733),
    [sym_bdit] = STATE(733),
    [sym_no] = STATE(733),
    [sym_sc] = STATE(733),
    [sym_sup] = STATE(733),
    [sym_ndx] = STATE(733),
    [sym_pro] = STATE(733),
    [sym_rb] = STATE(733),
    [sym_w] = STATE(733),
    [sym_wg] = STATE(733),
    [sym_wh] = STATE(733),
    [sym_wa] = STATE(733),
    [sym__characterMarker] = STATE(733),
    [sym_fig] = STATE(733),
    [sym_jmp] = STATE(733),
    [aux_sym_verseText_repeat1] = STATE(733),
    [aux_sym_text_token1] = ACTIONS(4614),
    [anon_sym_BSLASHref] = ACTIONS(3376),
    [anon_sym_BSLASHsts] = ACTIONS(3376),
    [anon_sym_BSLASHrem] = ACTIONS(3376),
    [anon_sym_BSLASHrestore] = ACTIONS(3376),
    [anon_sym_BSLASHlit] = ACTIONS(3376),
    [anon_sym_BSLASHv] = ACTIONS(3376),
    [anon_sym_BSLASHva] = ACTIONS(3376),
    [anon_sym_BSLASHvp] = ACTIONS(3376),
    [anon_sym_BSLASHli] = ACTIONS(3376),
    [anon_sym_BSLASHlim] = ACTIONS(3376),
    [anon_sym_BSLASHf] = ACTIONS(3376),
    [anon_sym_BSLASHfe] = ACTIONS(3376),
    [anon_sym_BSLASHef] = ACTIONS(3376),
    [anon_sym_BSLASHfm] = ACTIONS(3376),
    [anon_sym_BSLASHx] = ACTIONS(3376),
    [anon_sym_BSLASHxt] = ACTIONS(3376),
    [anon_sym_BSLASHrq] = ACTIONS(3376),
    [anon_sym_BSLASHadd] = ACTIONS(4648),
    [anon_sym_BSLASHbk] = ACTIONS(4650),
    [anon_sym_BSLASHdc] = ACTIONS(4652),
    [anon_sym_BSLASHk] = ACTIONS(4654),
    [anon_sym_BSLASHnd] = ACTIONS(4656),
    [anon_sym_BSLASHord] = ACTIONS(4658),
    [anon_sym_BSLASHpn] = ACTIONS(4660),
    [anon_sym_BSLASHpng] = ACTIONS(4662),
    [anon_sym_BSLASHaddpn] = ACTIONS(4664),
    [anon_sym_BSLASHqt] = ACTIONS(4666),
    [anon_sym_BSLASHsig] = ACTIONS(4668),
    [anon_sym_BSLASHsls] = ACTIONS(4670),
    [anon_sym_BSLASHtl] = ACTIONS(4672),
    [anon_sym_BSLASHwj] = ACTIONS(4674),
    [anon_sym_BSLASHem] = ACTIONS(4676),
    [anon_sym_BSLASHbd] = ACTIONS(4678),
    [anon_sym_BSLASHit] = ACTIONS(4680),
    [anon_sym_BSLASHbdit] = ACTIONS(4682),
    [anon_sym_BSLASHno] = ACTIONS(4684),
    [anon_sym_BSLASHsc] = ACTIONS(4686),
    [anon_sym_BSLASHsup] = ACTIONS(4688),
    [anon_sym_BSLASHndx] = ACTIONS(4690),
    [anon_sym_BSLASHpro] = ACTIONS(4692),
    [anon_sym_BSLASHrb] = ACTIONS(4694),
    [anon_sym_BSLASHw] = ACTIONS(4696),
    [anon_sym_BSLASHwg] = ACTIONS(4698),
    [anon_sym_BSLASHwh] = ACTIONS(4700),
    [anon_sym_BSLASHwa] = ACTIONS(4702),
    [anon_sym_BSLASHfig] = ACTIONS(4704),
    [anon_sym_BSLASHjmp] = ACTIONS(4706),
    [anon_sym_BSLASH] = ACTIONS(3376),
    [sym_milestoneStartTag] = ACTIONS(3376),
    [sym_milestoneEndTag] = ACTIONS(3376),
    [sym_zSpaceTag] = ACTIONS(3376),
  },
  [733] = {
    [sym_text] = STATE(733),
    [sym_add] = STATE(733),
    [sym_bk] = STATE(733),
    [sym_dc] = STATE(733),
    [sym_k] = STATE(733),
    [sym_nd] = STATE(733),
    [sym_ord] = STATE(733),
    [sym_pn] = STATE(733),
    [sym_png] = STATE(733),
    [sym_addpn] = STATE(733),
    [sym_qt] = STATE(733),
    [sym_sig] = STATE(733),
    [sym_sls] = STATE(733),
    [sym_tl] = STATE(733),
    [sym_wj] = STATE(733),
    [sym_em] = STATE(733),
    [sym_bd] = STATE(733),
    [sym_it] = STATE(733),
    [sym_bdit] = STATE(733),
    [sym_no] = STATE(733),
    [sym_sc] = STATE(733),
    [sym_sup] = STATE(733),
    [sym_ndx] = STATE(733),
    [sym_pro] = STATE(733),
    [sym_rb] = STATE(733),
    [sym_w] = STATE(733),
    [sym_wg] = STATE(733),
    [sym_wh] = STATE(733),
    [sym_wa] = STATE(733),
    [sym__characterMarker] = STATE(733),
    [sym_fig] = STATE(733),
    [sym_jmp] = STATE(733),
    [aux_sym_verseText_repeat1] = STATE(733),
    [aux_sym_text_token1] = ACTIONS(5709),
    [anon_sym_BSLASHref] = ACTIONS(3383),
    [anon_sym_BSLASHsts] = ACTIONS(3383),
    [anon_sym_BSLASHrem] = ACTIONS(3383),
    [anon_sym_BSLASHrestore] = ACTIONS(3383),
    [anon_sym_BSLASHlit] = ACTIONS(3383),
    [anon_sym_BSLASHv] = ACTIONS(3383),
    [anon_sym_BSLASHva] = ACTIONS(3383),
    [anon_sym_BSLASHvp] = ACTIONS(3383),
    [anon_sym_BSLASHli] = ACTIONS(3383),
    [anon_sym_BSLASHlim] = ACTIONS(3383),
    [anon_sym_BSLASHf] = ACTIONS(3383),
    [anon_sym_BSLASHfe] = ACTIONS(3383),
    [anon_sym_BSLASHef] = ACTIONS(3383),
    [anon_sym_BSLASHfm] = ACTIONS(3383),
    [anon_sym_BSLASHx] = ACTIONS(3383),
    [anon_sym_BSLASHxt] = ACTIONS(3383),
    [anon_sym_BSLASHrq] = ACTIONS(3383),
    [anon_sym_BSLASHadd] = ACTIONS(5712),
    [anon_sym_BSLASHbk] = ACTIONS(5715),
    [anon_sym_BSLASHdc] = ACTIONS(5718),
    [anon_sym_BSLASHk] = ACTIONS(5721),
    [anon_sym_BSLASHnd] = ACTIONS(5724),
    [anon_sym_BSLASHord] = ACTIONS(5727),
    [anon_sym_BSLASHpn] = ACTIONS(5730),
    [anon_sym_BSLASHpng] = ACTIONS(5733),
    [anon_sym_BSLASHaddpn] = ACTIONS(5736),
    [anon_sym_BSLASHqt] = ACTIONS(5739),
    [anon_sym_BSLASHsig] = ACTIONS(5742),
    [anon_sym_BSLASHsls] = ACTIONS(5745),
    [anon_sym_BSLASHtl] = ACTIONS(5748),
    [anon_sym_BSLASHwj] = ACTIONS(5751),
    [anon_sym_BSLASHem] = ACTIONS(5754),
    [anon_sym_BSLASHbd] = ACTIONS(5757),
    [anon_sym_BSLASHit] = ACTIONS(5760),
    [anon_sym_BSLASHbdit] = ACTIONS(5763),
    [anon_sym_BSLASHno] = ACTIONS(5766),
    [anon_sym_BSLASHsc] = ACTIONS(5769),
    [anon_sym_BSLASHsup] = ACTIONS(5772),
    [anon_sym_BSLASHndx] = ACTIONS(5775),
    [anon_sym_BSLASHpro] = ACTIONS(5778),
    [anon_sym_BSLASHrb] = ACTIONS(5781),
    [anon_sym_BSLASHw] = ACTIONS(5784),
    [anon_sym_BSLASHwg] = ACTIONS(5787),
    [anon_sym_BSLASHwh] = ACTIONS(5790),
    [anon_sym_BSLASHwa] = ACTIONS(5793),
    [anon_sym_BSLASHfig] = ACTIONS(5796),
    [anon_sym_BSLASHjmp] = ACTIONS(5799),
    [anon_sym_BSLASH] = ACTIONS(3383),
    [sym_milestoneStartTag] = ACTIONS(3383),
    [sym_milestoneEndTag] = ACTIONS(3383),
    [sym_zSpaceTag] = ACTIONS(3383),
  },
  [734] = {
    [sym_text] = STATE(338),
    [sym_ref] = STATE(1235),
    [sym_verseText] = STATE(1235),
    [sym__tableText] = STATE(1235),
    [sym_footnote] = STATE(1235),
    [sym_f] = STATE(1254),
    [sym_fe] = STATE(1254),
    [sym_ef] = STATE(1254),
    [sym_fm] = STATE(1254),
    [sym_crossref] = STATE(1235),
    [sym_x] = STATE(1250),
    [sym_xt_standalone] = STATE(1250),
    [sym_rq] = STATE(1250),
    [sym_add] = STATE(338),
    [sym_bk] = STATE(338),
    [sym_dc] = STATE(338),
    [sym_k] = STATE(338),
    [sym_nd] = STATE(338),
    [sym_ord] = STATE(338),
    [sym_pn] = STATE(338),
    [sym_png] = STATE(338),
    [sym_addpn] = STATE(338),
    [sym_qt] = STATE(338),
    [sym_sig] = STATE(338),
    [sym_sls] = STATE(338),
    [sym_tl] = STATE(338),
    [sym_wj] = STATE(338),
    [sym_em] = STATE(338),
    [sym_bd] = STATE(338),
    [sym_it] = STATE(338),
    [sym_bdit] = STATE(338),
    [sym_no] = STATE(338),
    [sym_sc] = STATE(338),
    [sym_sup] = STATE(338),
    [sym_ndx] = STATE(338),
    [sym_pro] = STATE(338),
    [sym_rb] = STATE(338),
    [sym_w] = STATE(338),
    [sym_wg] = STATE(338),
    [sym_wh] = STATE(338),
    [sym_wa] = STATE(338),
    [sym__characterMarker] = STATE(338),
    [sym_fig] = STATE(338),
    [sym_jmp] = STATE(338),
    [aux_sym_verseText_repeat1] = STATE(338),
    [aux_sym_text_token1] = ACTIONS(4954),
    [anon_sym_BSLASHref] = ACTIONS(5802),
    [anon_sym_BSLASHf] = ACTIONS(5804),
    [anon_sym_BSLASHfe] = ACTIONS(5806),
    [anon_sym_BSLASHef] = ACTIONS(5808),
    [anon_sym_BSLASHfm] = ACTIONS(5810),
    [anon_sym_BSLASHx] = ACTIONS(5812),
    [anon_sym_BSLASHxt] = ACTIONS(5814),
    [anon_sym_BSLASHrq] = ACTIONS(5816),
    [anon_sym_BSLASHadd] = ACTIONS(4956),
    [anon_sym_BSLASHbk] = ACTIONS(4958),
    [anon_sym_BSLASHdc] = ACTIONS(4960),
    [anon_sym_BSLASHk] = ACTIONS(4962),
    [anon_sym_BSLASHnd] = ACTIONS(4964),
    [anon_sym_BSLASHord] = ACTIONS(4966),
    [anon_sym_BSLASHpn] = ACTIONS(4968),
    [anon_sym_BSLASHpng] = ACTIONS(4970),
    [anon_sym_BSLASHaddpn] = ACTIONS(4972),
    [anon_sym_BSLASHqt] = ACTIONS(4974),
    [anon_sym_BSLASHsig] = ACTIONS(4976),
    [anon_sym_BSLASHsls] = ACTIONS(4978),
    [anon_sym_BSLASHtl] = ACTIONS(4980),
    [anon_sym_BSLASHwj] = ACTIONS(4982),
    [anon_sym_BSLASHem] = ACTIONS(4984),
    [anon_sym_BSLASHbd] = ACTIONS(4986),
    [anon_sym_BSLASHit] = ACTIONS(4988),
    [anon_sym_BSLASHbdit] = ACTIONS(4990),
    [anon_sym_BSLASHno] = ACTIONS(4992),
    [anon_sym_BSLASHsc] = ACTIONS(4994),
    [anon_sym_BSLASHsup] = ACTIONS(4996),
    [anon_sym_BSLASHndx] = ACTIONS(4998),
    [anon_sym_BSLASHpro] = ACTIONS(5000),
    [anon_sym_BSLASHrb] = ACTIONS(5002),
    [anon_sym_BSLASHw] = ACTIONS(5004),
    [anon_sym_BSLASHwg] = ACTIONS(5006),
    [anon_sym_BSLASHwh] = ACTIONS(5008),
    [anon_sym_BSLASHwa] = ACTIONS(5010),
    [anon_sym_BSLASHfig] = ACTIONS(5012),
    [anon_sym_BSLASHjmp] = ACTIONS(5014),
  },
  [735] = {
    [sym_text] = STATE(320),
    [sym_ref] = STATE(1238),
    [sym_verseText] = STATE(1238),
    [sym__tableText] = STATE(1238),
    [sym_footnote] = STATE(1238),
    [sym_f] = STATE(1254),
    [sym_fe] = STATE(1254),
    [sym_ef] = STATE(1254),
    [sym_fm] = STATE(1254),
    [sym_crossref] = STATE(1238),
    [sym_x] = STATE(1250),
    [sym_xt_standalone] = STATE(1250),
    [sym_rq] = STATE(1250),
    [sym_add] = STATE(320),
    [sym_bk] = STATE(320),
    [sym_dc] = STATE(320),
    [sym_k] = STATE(320),
    [sym_nd] = STATE(320),
    [sym_ord] = STATE(320),
    [sym_pn] = STATE(320),
    [sym_png] = STATE(320),
    [sym_addpn] = STATE(320),
    [sym_qt] = STATE(320),
    [sym_sig] = STATE(320),
    [sym_sls] = STATE(320),
    [sym_tl] = STATE(320),
    [sym_wj] = STATE(320),
    [sym_em] = STATE(320),
    [sym_bd] = STATE(320),
    [sym_it] = STATE(320),
    [sym_bdit] = STATE(320),
    [sym_no] = STATE(320),
    [sym_sc] = STATE(320),
    [sym_sup] = STATE(320),
    [sym_ndx] = STATE(320),
    [sym_pro] = STATE(320),
    [sym_rb] = STATE(320),
    [sym_w] = STATE(320),
    [sym_wg] = STATE(320),
    [sym_wh] = STATE(320),
    [sym_wa] = STATE(320),
    [sym__characterMarker] = STATE(320),
    [sym_fig] = STATE(320),
    [sym_jmp] = STATE(320),
    [aux_sym_verseText_repeat1] = STATE(320),
    [aux_sym_text_token1] = ACTIONS(3891),
    [anon_sym_BSLASHref] = ACTIONS(5802),
    [anon_sym_BSLASHf] = ACTIONS(5804),
    [anon_sym_BSLASHfe] = ACTIONS(5806),
    [anon_sym_BSLASHef] = ACTIONS(5808),
    [anon_sym_BSLASHfm] = ACTIONS(5810),
    [anon_sym_BSLASHx] = ACTIONS(5812),
    [anon_sym_BSLASHxt] = ACTIONS(5814),
    [anon_sym_BSLASHrq] = ACTIONS(5816),
    [anon_sym_BSLASHadd] = ACTIONS(3893),
    [anon_sym_BSLASHbk] = ACTIONS(3895),
    [anon_sym_BSLASHdc] = ACTIONS(3897),
    [anon_sym_BSLASHk] = ACTIONS(3899),
    [anon_sym_BSLASHnd] = ACTIONS(3901),
    [anon_sym_BSLASHord] = ACTIONS(3903),
    [anon_sym_BSLASHpn] = ACTIONS(3905),
    [anon_sym_BSLASHpng] = ACTIONS(3907),
    [anon_sym_BSLASHaddpn] = ACTIONS(3909),
    [anon_sym_BSLASHqt] = ACTIONS(3911),
    [anon_sym_BSLASHsig] = ACTIONS(3913),
    [anon_sym_BSLASHsls] = ACTIONS(3915),
    [anon_sym_BSLASHtl] = ACTIONS(3917),
    [anon_sym_BSLASHwj] = ACTIONS(3919),
    [anon_sym_BSLASHem] = ACTIONS(3921),
    [anon_sym_BSLASHbd] = ACTIONS(3923),
    [anon_sym_BSLASHit] = ACTIONS(3925),
    [anon_sym_BSLASHbdit] = ACTIONS(3927),
    [anon_sym_BSLASHno] = ACTIONS(3929),
    [anon_sym_BSLASHsc] = ACTIONS(3931),
    [anon_sym_BSLASHsup] = ACTIONS(3933),
    [anon_sym_BSLASHndx] = ACTIONS(3935),
    [anon_sym_BSLASHpro] = ACTIONS(3937),
    [anon_sym_BSLASHrb] = ACTIONS(3939),
    [anon_sym_BSLASHw] = ACTIONS(3941),
    [anon_sym_BSLASHwg] = ACTIONS(3943),
    [anon_sym_BSLASHwh] = ACTIONS(3945),
    [anon_sym_BSLASHwa] = ACTIONS(3947),
    [anon_sym_BSLASHfig] = ACTIONS(3949),
    [anon_sym_BSLASHjmp] = ACTIONS(3951),
  },
  [736] = {
    [sym_text] = STATE(338),
    [sym_ref] = STATE(1234),
    [sym_verseText] = STATE(1234),
    [sym__tableText] = STATE(1234),
    [sym_footnote] = STATE(1234),
    [sym_f] = STATE(1254),
    [sym_fe] = STATE(1254),
    [sym_ef] = STATE(1254),
    [sym_fm] = STATE(1254),
    [sym_crossref] = STATE(1234),
    [sym_x] = STATE(1250),
    [sym_xt_standalone] = STATE(1250),
    [sym_rq] = STATE(1250),
    [sym_add] = STATE(338),
    [sym_bk] = STATE(338),
    [sym_dc] = STATE(338),
    [sym_k] = STATE(338),
    [sym_nd] = STATE(338),
    [sym_ord] = STATE(338),
    [sym_pn] = STATE(338),
    [sym_png] = STATE(338),
    [sym_addpn] = STATE(338),
    [sym_qt] = STATE(338),
    [sym_sig] = STATE(338),
    [sym_sls] = STATE(338),
    [sym_tl] = STATE(338),
    [sym_wj] = STATE(338),
    [sym_em] = STATE(338),
    [sym_bd] = STATE(338),
    [sym_it] = STATE(338),
    [sym_bdit] = STATE(338),
    [sym_no] = STATE(338),
    [sym_sc] = STATE(338),
    [sym_sup] = STATE(338),
    [sym_ndx] = STATE(338),
    [sym_pro] = STATE(338),
    [sym_rb] = STATE(338),
    [sym_w] = STATE(338),
    [sym_wg] = STATE(338),
    [sym_wh] = STATE(338),
    [sym_wa] = STATE(338),
    [sym__characterMarker] = STATE(338),
    [sym_fig] = STATE(338),
    [sym_jmp] = STATE(338),
    [aux_sym_verseText_repeat1] = STATE(338),
    [aux_sym_text_token1] = ACTIONS(4954),
    [anon_sym_BSLASHref] = ACTIONS(5802),
    [anon_sym_BSLASHf] = ACTIONS(5804),
    [anon_sym_BSLASHfe] = ACTIONS(5806),
    [anon_sym_BSLASHef] = ACTIONS(5808),
    [anon_sym_BSLASHfm] = ACTIONS(5810),
    [anon_sym_BSLASHx] = ACTIONS(5812),
    [anon_sym_BSLASHxt] = ACTIONS(5814),
    [anon_sym_BSLASHrq] = ACTIONS(5816),
    [anon_sym_BSLASHadd] = ACTIONS(4956),
    [anon_sym_BSLASHbk] = ACTIONS(4958),
    [anon_sym_BSLASHdc] = ACTIONS(4960),
    [anon_sym_BSLASHk] = ACTIONS(4962),
    [anon_sym_BSLASHnd] = ACTIONS(4964),
    [anon_sym_BSLASHord] = ACTIONS(4966),
    [anon_sym_BSLASHpn] = ACTIONS(4968),
    [anon_sym_BSLASHpng] = ACTIONS(4970),
    [anon_sym_BSLASHaddpn] = ACTIONS(4972),
    [anon_sym_BSLASHqt] = ACTIONS(4974),
    [anon_sym_BSLASHsig] = ACTIONS(4976),
    [anon_sym_BSLASHsls] = ACTIONS(4978),
    [anon_sym_BSLASHtl] = ACTIONS(4980),
    [anon_sym_BSLASHwj] = ACTIONS(4982),
    [anon_sym_BSLASHem] = ACTIONS(4984),
    [anon_sym_BSLASHbd] = ACTIONS(4986),
    [anon_sym_BSLASHit] = ACTIONS(4988),
    [anon_sym_BSLASHbdit] = ACTIONS(4990),
    [anon_sym_BSLASHno] = ACTIONS(4992),
    [anon_sym_BSLASHsc] = ACTIONS(4994),
    [anon_sym_BSLASHsup] = ACTIONS(4996),
    [anon_sym_BSLASHndx] = ACTIONS(4998),
    [anon_sym_BSLASHpro] = ACTIONS(5000),
    [anon_sym_BSLASHrb] = ACTIONS(5002),
    [anon_sym_BSLASHw] = ACTIONS(5004),
    [anon_sym_BSLASHwg] = ACTIONS(5006),
    [anon_sym_BSLASHwh] = ACTIONS(5008),
    [anon_sym_BSLASHwa] = ACTIONS(5010),
    [anon_sym_BSLASHfig] = ACTIONS(5012),
    [anon_sym_BSLASHjmp] = ACTIONS(5014),
  },
  [737] = {
    [sym_text] = STATE(338),
    [sym_ref] = STATE(1236),
    [sym_verseText] = STATE(1236),
    [sym__tableText] = STATE(1236),
    [sym_footnote] = STATE(1236),
    [sym_f] = STATE(1254),
    [sym_fe] = STATE(1254),
    [sym_ef] = STATE(1254),
    [sym_fm] = STATE(1254),
    [sym_crossref] = STATE(1236),
    [sym_x] = STATE(1250),
    [sym_xt_standalone] = STATE(1250),
    [sym_rq] = STATE(1250),
    [sym_add] = STATE(338),
    [sym_bk] = STATE(338),
    [sym_dc] = STATE(338),
    [sym_k] = STATE(338),
    [sym_nd] = STATE(338),
    [sym_ord] = STATE(338),
    [sym_pn] = STATE(338),
    [sym_png] = STATE(338),
    [sym_addpn] = STATE(338),
    [sym_qt] = STATE(338),
    [sym_sig] = STATE(338),
    [sym_sls] = STATE(338),
    [sym_tl] = STATE(338),
    [sym_wj] = STATE(338),
    [sym_em] = STATE(338),
    [sym_bd] = STATE(338),
    [sym_it] = STATE(338),
    [sym_bdit] = STATE(338),
    [sym_no] = STATE(338),
    [sym_sc] = STATE(338),
    [sym_sup] = STATE(338),
    [sym_ndx] = STATE(338),
    [sym_pro] = STATE(338),
    [sym_rb] = STATE(338),
    [sym_w] = STATE(338),
    [sym_wg] = STATE(338),
    [sym_wh] = STATE(338),
    [sym_wa] = STATE(338),
    [sym__characterMarker] = STATE(338),
    [sym_fig] = STATE(338),
    [sym_jmp] = STATE(338),
    [aux_sym_verseText_repeat1] = STATE(338),
    [aux_sym_text_token1] = ACTIONS(4954),
    [anon_sym_BSLASHref] = ACTIONS(5802),
    [anon_sym_BSLASHf] = ACTIONS(5804),
    [anon_sym_BSLASHfe] = ACTIONS(5806),
    [anon_sym_BSLASHef] = ACTIONS(5808),
    [anon_sym_BSLASHfm] = ACTIONS(5810),
    [anon_sym_BSLASHx] = ACTIONS(5812),
    [anon_sym_BSLASHxt] = ACTIONS(5814),
    [anon_sym_BSLASHrq] = ACTIONS(5816),
    [anon_sym_BSLASHadd] = ACTIONS(4956),
    [anon_sym_BSLASHbk] = ACTIONS(4958),
    [anon_sym_BSLASHdc] = ACTIONS(4960),
    [anon_sym_BSLASHk] = ACTIONS(4962),
    [anon_sym_BSLASHnd] = ACTIONS(4964),
    [anon_sym_BSLASHord] = ACTIONS(4966),
    [anon_sym_BSLASHpn] = ACTIONS(4968),
    [anon_sym_BSLASHpng] = ACTIONS(4970),
    [anon_sym_BSLASHaddpn] = ACTIONS(4972),
    [anon_sym_BSLASHqt] = ACTIONS(4974),
    [anon_sym_BSLASHsig] = ACTIONS(4976),
    [anon_sym_BSLASHsls] = ACTIONS(4978),
    [anon_sym_BSLASHtl] = ACTIONS(4980),
    [anon_sym_BSLASHwj] = ACTIONS(4982),
    [anon_sym_BSLASHem] = ACTIONS(4984),
    [anon_sym_BSLASHbd] = ACTIONS(4986),
    [anon_sym_BSLASHit] = ACTIONS(4988),
    [anon_sym_BSLASHbdit] = ACTIONS(4990),
    [anon_sym_BSLASHno] = ACTIONS(4992),
    [anon_sym_BSLASHsc] = ACTIONS(4994),
    [anon_sym_BSLASHsup] = ACTIONS(4996),
    [anon_sym_BSLASHndx] = ACTIONS(4998),
    [anon_sym_BSLASHpro] = ACTIONS(5000),
    [anon_sym_BSLASHrb] = ACTIONS(5002),
    [anon_sym_BSLASHw] = ACTIONS(5004),
    [anon_sym_BSLASHwg] = ACTIONS(5006),
    [anon_sym_BSLASHwh] = ACTIONS(5008),
    [anon_sym_BSLASHwa] = ACTIONS(5010),
    [anon_sym_BSLASHfig] = ACTIONS(5012),
    [anon_sym_BSLASHjmp] = ACTIONS(5014),
  },
  [738] = {
    [sym_text] = STATE(338),
    [sym_ref] = STATE(1238),
    [sym_verseText] = STATE(1238),
    [sym__tableText] = STATE(1238),
    [sym_footnote] = STATE(1238),
    [sym_f] = STATE(1254),
    [sym_fe] = STATE(1254),
    [sym_ef] = STATE(1254),
    [sym_fm] = STATE(1254),
    [sym_crossref] = STATE(1238),
    [sym_x] = STATE(1250),
    [sym_xt_standalone] = STATE(1250),
    [sym_rq] = STATE(1250),
    [sym_add] = STATE(338),
    [sym_bk] = STATE(338),
    [sym_dc] = STATE(338),
    [sym_k] = STATE(338),
    [sym_nd] = STATE(338),
    [sym_ord] = STATE(338),
    [sym_pn] = STATE(338),
    [sym_png] = STATE(338),
    [sym_addpn] = STATE(338),
    [sym_qt] = STATE(338),
    [sym_sig] = STATE(338),
    [sym_sls] = STATE(338),
    [sym_tl] = STATE(338),
    [sym_wj] = STATE(338),
    [sym_em] = STATE(338),
    [sym_bd] = STATE(338),
    [sym_it] = STATE(338),
    [sym_bdit] = STATE(338),
    [sym_no] = STATE(338),
    [sym_sc] = STATE(338),
    [sym_sup] = STATE(338),
    [sym_ndx] = STATE(338),
    [sym_pro] = STATE(338),
    [sym_rb] = STATE(338),
    [sym_w] = STATE(338),
    [sym_wg] = STATE(338),
    [sym_wh] = STATE(338),
    [sym_wa] = STATE(338),
    [sym__characterMarker] = STATE(338),
    [sym_fig] = STATE(338),
    [sym_jmp] = STATE(338),
    [aux_sym_verseText_repeat1] = STATE(338),
    [aux_sym_text_token1] = ACTIONS(4954),
    [anon_sym_BSLASHref] = ACTIONS(5802),
    [anon_sym_BSLASHf] = ACTIONS(5804),
    [anon_sym_BSLASHfe] = ACTIONS(5806),
    [anon_sym_BSLASHef] = ACTIONS(5808),
    [anon_sym_BSLASHfm] = ACTIONS(5810),
    [anon_sym_BSLASHx] = ACTIONS(5812),
    [anon_sym_BSLASHxt] = ACTIONS(5814),
    [anon_sym_BSLASHrq] = ACTIONS(5816),
    [anon_sym_BSLASHadd] = ACTIONS(4956),
    [anon_sym_BSLASHbk] = ACTIONS(4958),
    [anon_sym_BSLASHdc] = ACTIONS(4960),
    [anon_sym_BSLASHk] = ACTIONS(4962),
    [anon_sym_BSLASHnd] = ACTIONS(4964),
    [anon_sym_BSLASHord] = ACTIONS(4966),
    [anon_sym_BSLASHpn] = ACTIONS(4968),
    [anon_sym_BSLASHpng] = ACTIONS(4970),
    [anon_sym_BSLASHaddpn] = ACTIONS(4972),
    [anon_sym_BSLASHqt] = ACTIONS(4974),
    [anon_sym_BSLASHsig] = ACTIONS(4976),
    [anon_sym_BSLASHsls] = ACTIONS(4978),
    [anon_sym_BSLASHtl] = ACTIONS(4980),
    [anon_sym_BSLASHwj] = ACTIONS(4982),
    [anon_sym_BSLASHem] = ACTIONS(4984),
    [anon_sym_BSLASHbd] = ACTIONS(4986),
    [anon_sym_BSLASHit] = ACTIONS(4988),
    [anon_sym_BSLASHbdit] = ACTIONS(4990),
    [anon_sym_BSLASHno] = ACTIONS(4992),
    [anon_sym_BSLASHsc] = ACTIONS(4994),
    [anon_sym_BSLASHsup] = ACTIONS(4996),
    [anon_sym_BSLASHndx] = ACTIONS(4998),
    [anon_sym_BSLASHpro] = ACTIONS(5000),
    [anon_sym_BSLASHrb] = ACTIONS(5002),
    [anon_sym_BSLASHw] = ACTIONS(5004),
    [anon_sym_BSLASHwg] = ACTIONS(5006),
    [anon_sym_BSLASHwh] = ACTIONS(5008),
    [anon_sym_BSLASHwa] = ACTIONS(5010),
    [anon_sym_BSLASHfig] = ACTIONS(5012),
    [anon_sym_BSLASHjmp] = ACTIONS(5014),
  },
  [739] = {
    [sym_text] = STATE(320),
    [sym_ref] = STATE(1234),
    [sym_verseText] = STATE(1234),
    [sym__tableText] = STATE(1234),
    [sym_footnote] = STATE(1234),
    [sym_f] = STATE(1254),
    [sym_fe] = STATE(1254),
    [sym_ef] = STATE(1254),
    [sym_fm] = STATE(1254),
    [sym_crossref] = STATE(1234),
    [sym_x] = STATE(1250),
    [sym_xt_standalone] = STATE(1250),
    [sym_rq] = STATE(1250),
    [sym_add] = STATE(320),
    [sym_bk] = STATE(320),
    [sym_dc] = STATE(320),
    [sym_k] = STATE(320),
    [sym_nd] = STATE(320),
    [sym_ord] = STATE(320),
    [sym_pn] = STATE(320),
    [sym_png] = STATE(320),
    [sym_addpn] = STATE(320),
    [sym_qt] = STATE(320),
    [sym_sig] = STATE(320),
    [sym_sls] = STATE(320),
    [sym_tl] = STATE(320),
    [sym_wj] = STATE(320),
    [sym_em] = STATE(320),
    [sym_bd] = STATE(320),
    [sym_it] = STATE(320),
    [sym_bdit] = STATE(320),
    [sym_no] = STATE(320),
    [sym_sc] = STATE(320),
    [sym_sup] = STATE(320),
    [sym_ndx] = STATE(320),
    [sym_pro] = STATE(320),
    [sym_rb] = STATE(320),
    [sym_w] = STATE(320),
    [sym_wg] = STATE(320),
    [sym_wh] = STATE(320),
    [sym_wa] = STATE(320),
    [sym__characterMarker] = STATE(320),
    [sym_fig] = STATE(320),
    [sym_jmp] = STATE(320),
    [aux_sym_verseText_repeat1] = STATE(320),
    [aux_sym_text_token1] = ACTIONS(3891),
    [anon_sym_BSLASHref] = ACTIONS(5802),
    [anon_sym_BSLASHf] = ACTIONS(5804),
    [anon_sym_BSLASHfe] = ACTIONS(5806),
    [anon_sym_BSLASHef] = ACTIONS(5808),
    [anon_sym_BSLASHfm] = ACTIONS(5810),
    [anon_sym_BSLASHx] = ACTIONS(5812),
    [anon_sym_BSLASHxt] = ACTIONS(5814),
    [anon_sym_BSLASHrq] = ACTIONS(5816),
    [anon_sym_BSLASHadd] = ACTIONS(3893),
    [anon_sym_BSLASHbk] = ACTIONS(3895),
    [anon_sym_BSLASHdc] = ACTIONS(3897),
    [anon_sym_BSLASHk] = ACTIONS(3899),
    [anon_sym_BSLASHnd] = ACTIONS(3901),
    [anon_sym_BSLASHord] = ACTIONS(3903),
    [anon_sym_BSLASHpn] = ACTIONS(3905),
    [anon_sym_BSLASHpng] = ACTIONS(3907),
    [anon_sym_BSLASHaddpn] = ACTIONS(3909),
    [anon_sym_BSLASHqt] = ACTIONS(3911),
    [anon_sym_BSLASHsig] = ACTIONS(3913),
    [anon_sym_BSLASHsls] = ACTIONS(3915),
    [anon_sym_BSLASHtl] = ACTIONS(3917),
    [anon_sym_BSLASHwj] = ACTIONS(3919),
    [anon_sym_BSLASHem] = ACTIONS(3921),
    [anon_sym_BSLASHbd] = ACTIONS(3923),
    [anon_sym_BSLASHit] = ACTIONS(3925),
    [anon_sym_BSLASHbdit] = ACTIONS(3927),
    [anon_sym_BSLASHno] = ACTIONS(3929),
    [anon_sym_BSLASHsc] = ACTIONS(3931),
    [anon_sym_BSLASHsup] = ACTIONS(3933),
    [anon_sym_BSLASHndx] = ACTIONS(3935),
    [anon_sym_BSLASHpro] = ACTIONS(3937),
    [anon_sym_BSLASHrb] = ACTIONS(3939),
    [anon_sym_BSLASHw] = ACTIONS(3941),
    [anon_sym_BSLASHwg] = ACTIONS(3943),
    [anon_sym_BSLASHwh] = ACTIONS(3945),
    [anon_sym_BSLASHwa] = ACTIONS(3947),
    [anon_sym_BSLASHfig] = ACTIONS(3949),
    [anon_sym_BSLASHjmp] = ACTIONS(3951),
  },
  [740] = {
    [sym_text] = STATE(320),
    [sym_ref] = STATE(1235),
    [sym_verseText] = STATE(1235),
    [sym__tableText] = STATE(1235),
    [sym_footnote] = STATE(1235),
    [sym_f] = STATE(1254),
    [sym_fe] = STATE(1254),
    [sym_ef] = STATE(1254),
    [sym_fm] = STATE(1254),
    [sym_crossref] = STATE(1235),
    [sym_x] = STATE(1250),
    [sym_xt_standalone] = STATE(1250),
    [sym_rq] = STATE(1250),
    [sym_add] = STATE(320),
    [sym_bk] = STATE(320),
    [sym_dc] = STATE(320),
    [sym_k] = STATE(320),
    [sym_nd] = STATE(320),
    [sym_ord] = STATE(320),
    [sym_pn] = STATE(320),
    [sym_png] = STATE(320),
    [sym_addpn] = STATE(320),
    [sym_qt] = STATE(320),
    [sym_sig] = STATE(320),
    [sym_sls] = STATE(320),
    [sym_tl] = STATE(320),
    [sym_wj] = STATE(320),
    [sym_em] = STATE(320),
    [sym_bd] = STATE(320),
    [sym_it] = STATE(320),
    [sym_bdit] = STATE(320),
    [sym_no] = STATE(320),
    [sym_sc] = STATE(320),
    [sym_sup] = STATE(320),
    [sym_ndx] = STATE(320),
    [sym_pro] = STATE(320),
    [sym_rb] = STATE(320),
    [sym_w] = STATE(320),
    [sym_wg] = STATE(320),
    [sym_wh] = STATE(320),
    [sym_wa] = STATE(320),
    [sym__characterMarker] = STATE(320),
    [sym_fig] = STATE(320),
    [sym_jmp] = STATE(320),
    [aux_sym_verseText_repeat1] = STATE(320),
    [aux_sym_text_token1] = ACTIONS(3891),
    [anon_sym_BSLASHref] = ACTIONS(5802),
    [anon_sym_BSLASHf] = ACTIONS(5804),
    [anon_sym_BSLASHfe] = ACTIONS(5806),
    [anon_sym_BSLASHef] = ACTIONS(5808),
    [anon_sym_BSLASHfm] = ACTIONS(5810),
    [anon_sym_BSLASHx] = ACTIONS(5812),
    [anon_sym_BSLASHxt] = ACTIONS(5814),
    [anon_sym_BSLASHrq] = ACTIONS(5816),
    [anon_sym_BSLASHadd] = ACTIONS(3893),
    [anon_sym_BSLASHbk] = ACTIONS(3895),
    [anon_sym_BSLASHdc] = ACTIONS(3897),
    [anon_sym_BSLASHk] = ACTIONS(3899),
    [anon_sym_BSLASHnd] = ACTIONS(3901),
    [anon_sym_BSLASHord] = ACTIONS(3903),
    [anon_sym_BSLASHpn] = ACTIONS(3905),
    [anon_sym_BSLASHpng] = ACTIONS(3907),
    [anon_sym_BSLASHaddpn] = ACTIONS(3909),
    [anon_sym_BSLASHqt] = ACTIONS(3911),
    [anon_sym_BSLASHsig] = ACTIONS(3913),
    [anon_sym_BSLASHsls] = ACTIONS(3915),
    [anon_sym_BSLASHtl] = ACTIONS(3917),
    [anon_sym_BSLASHwj] = ACTIONS(3919),
    [anon_sym_BSLASHem] = ACTIONS(3921),
    [anon_sym_BSLASHbd] = ACTIONS(3923),
    [anon_sym_BSLASHit] = ACTIONS(3925),
    [anon_sym_BSLASHbdit] = ACTIONS(3927),
    [anon_sym_BSLASHno] = ACTIONS(3929),
    [anon_sym_BSLASHsc] = ACTIONS(3931),
    [anon_sym_BSLASHsup] = ACTIONS(3933),
    [anon_sym_BSLASHndx] = ACTIONS(3935),
    [anon_sym_BSLASHpro] = ACTIONS(3937),
    [anon_sym_BSLASHrb] = ACTIONS(3939),
    [anon_sym_BSLASHw] = ACTIONS(3941),
    [anon_sym_BSLASHwg] = ACTIONS(3943),
    [anon_sym_BSLASHwh] = ACTIONS(3945),
    [anon_sym_BSLASHwa] = ACTIONS(3947),
    [anon_sym_BSLASHfig] = ACTIONS(3949),
    [anon_sym_BSLASHjmp] = ACTIONS(3951),
  },
  [741] = {
    [sym_text] = STATE(320),
    [sym_ref] = STATE(1236),
    [sym_verseText] = STATE(1236),
    [sym__tableText] = STATE(1236),
    [sym_footnote] = STATE(1236),
    [sym_f] = STATE(1254),
    [sym_fe] = STATE(1254),
    [sym_ef] = STATE(1254),
    [sym_fm] = STATE(1254),
    [sym_crossref] = STATE(1236),
    [sym_x] = STATE(1250),
    [sym_xt_standalone] = STATE(1250),
    [sym_rq] = STATE(1250),
    [sym_add] = STATE(320),
    [sym_bk] = STATE(320),
    [sym_dc] = STATE(320),
    [sym_k] = STATE(320),
    [sym_nd] = STATE(320),
    [sym_ord] = STATE(320),
    [sym_pn] = STATE(320),
    [sym_png] = STATE(320),
    [sym_addpn] = STATE(320),
    [sym_qt] = STATE(320),
    [sym_sig] = STATE(320),
    [sym_sls] = STATE(320),
    [sym_tl] = STATE(320),
    [sym_wj] = STATE(320),
    [sym_em] = STATE(320),
    [sym_bd] = STATE(320),
    [sym_it] = STATE(320),
    [sym_bdit] = STATE(320),
    [sym_no] = STATE(320),
    [sym_sc] = STATE(320),
    [sym_sup] = STATE(320),
    [sym_ndx] = STATE(320),
    [sym_pro] = STATE(320),
    [sym_rb] = STATE(320),
    [sym_w] = STATE(320),
    [sym_wg] = STATE(320),
    [sym_wh] = STATE(320),
    [sym_wa] = STATE(320),
    [sym__characterMarker] = STATE(320),
    [sym_fig] = STATE(320),
    [sym_jmp] = STATE(320),
    [aux_sym_verseText_repeat1] = STATE(320),
    [aux_sym_text_token1] = ACTIONS(3891),
    [anon_sym_BSLASHref] = ACTIONS(5802),
    [anon_sym_BSLASHf] = ACTIONS(5804),
    [anon_sym_BSLASHfe] = ACTIONS(5806),
    [anon_sym_BSLASHef] = ACTIONS(5808),
    [anon_sym_BSLASHfm] = ACTIONS(5810),
    [anon_sym_BSLASHx] = ACTIONS(5812),
    [anon_sym_BSLASHxt] = ACTIONS(5814),
    [anon_sym_BSLASHrq] = ACTIONS(5816),
    [anon_sym_BSLASHadd] = ACTIONS(3893),
    [anon_sym_BSLASHbk] = ACTIONS(3895),
    [anon_sym_BSLASHdc] = ACTIONS(3897),
    [anon_sym_BSLASHk] = ACTIONS(3899),
    [anon_sym_BSLASHnd] = ACTIONS(3901),
    [anon_sym_BSLASHord] = ACTIONS(3903),
    [anon_sym_BSLASHpn] = ACTIONS(3905),
    [anon_sym_BSLASHpng] = ACTIONS(3907),
    [anon_sym_BSLASHaddpn] = ACTIONS(3909),
    [anon_sym_BSLASHqt] = ACTIONS(3911),
    [anon_sym_BSLASHsig] = ACTIONS(3913),
    [anon_sym_BSLASHsls] = ACTIONS(3915),
    [anon_sym_BSLASHtl] = ACTIONS(3917),
    [anon_sym_BSLASHwj] = ACTIONS(3919),
    [anon_sym_BSLASHem] = ACTIONS(3921),
    [anon_sym_BSLASHbd] = ACTIONS(3923),
    [anon_sym_BSLASHit] = ACTIONS(3925),
    [anon_sym_BSLASHbdit] = ACTIONS(3927),
    [anon_sym_BSLASHno] = ACTIONS(3929),
    [anon_sym_BSLASHsc] = ACTIONS(3931),
    [anon_sym_BSLASHsup] = ACTIONS(3933),
    [anon_sym_BSLASHndx] = ACTIONS(3935),
    [anon_sym_BSLASHpro] = ACTIONS(3937),
    [anon_sym_BSLASHrb] = ACTIONS(3939),
    [anon_sym_BSLASHw] = ACTIONS(3941),
    [anon_sym_BSLASHwg] = ACTIONS(3943),
    [anon_sym_BSLASHwh] = ACTIONS(3945),
    [anon_sym_BSLASHwa] = ACTIONS(3947),
    [anon_sym_BSLASHfig] = ACTIONS(3949),
    [anon_sym_BSLASHjmp] = ACTIONS(3951),
  },
  [742] = {
    [aux_sym_text_token1] = ACTIONS(9),
    [anon_sym_BSLASHsts] = ACTIONS(11),
    [anon_sym_BSLASHrem] = ACTIONS(11),
    [anon_sym_BSLASHrestore] = ACTIONS(11),
    [anon_sym_BSLASHlit] = ACTIONS(11),
    [anon_sym_BSLASHip] = ACTIONS(11),
    [anon_sym_BSLASHmte] = ACTIONS(11),
    [anon_sym_BSLASHms] = ACTIONS(11),
    [anon_sym_BSLASHs] = ACTIONS(11),
    [anon_sym_BSLASHr] = ACTIONS(11),
    [anon_sym_BSLASHsp] = ACTIONS(11),
    [anon_sym_BSLASHd] = ACTIONS(11),
    [anon_sym_BSLASHsd] = ACTIONS(11),
    [anon_sym_BSLASHp] = ACTIONS(11),
    [anon_sym_BSLASHm] = ACTIONS(11),
    [anon_sym_BSLASHpo] = ACTIONS(11),
    [anon_sym_BSLASHpr] = ACTIONS(11),
    [anon_sym_BSLASHcls] = ACTIONS(11),
    [anon_sym_BSLASHpmo] = ACTIONS(11),
    [anon_sym_BSLASHpm] = ACTIONS(11),
    [anon_sym_BSLASHpmc] = ACTIONS(11),
    [anon_sym_BSLASHpmr] = ACTIONS(11),
    [anon_sym_BSLASHpi] = ACTIONS(11),
    [anon_sym_BSLASHmi] = ACTIONS(11),
    [anon_sym_BSLASHnb] = ACTIONS(11),
    [anon_sym_BSLASHpc] = ACTIONS(11),
    [anon_sym_BSLASHph] = ACTIONS(11),
    [anon_sym_BSLASHb] = ACTIONS(11),
    [anon_sym_BSLASHq] = ACTIONS(11),
    [anon_sym_BSLASHqr] = ACTIONS(11),
    [anon_sym_BSLASHqc] = ACTIONS(11),
    [anon_sym_BSLASHqa] = ACTIONS(11),
    [anon_sym_BSLASHqm] = ACTIONS(11),
    [anon_sym_BSLASHqd] = ACTIONS(11),
    [anon_sym_BSLASHlh] = ACTIONS(11),
    [anon_sym_BSLASHli] = ACTIONS(11),
    [anon_sym_BSLASHlim] = ACTIONS(11),
    [anon_sym_BSLASHtr] = ACTIONS(11),
    [sym_thTag] = ACTIONS(11),
    [sym_thrTag] = ACTIONS(11),
    [sym_tcTag] = ACTIONS(11),
    [sym_tcrTag] = ACTIONS(11),
    [anon_sym_BSLASHf] = ACTIONS(11),
    [anon_sym_BSLASHfe] = ACTIONS(11),
    [anon_sym_BSLASHef] = ACTIONS(11),
    [anon_sym_BSLASHfm] = ACTIONS(11),
    [anon_sym_BSLASHadd] = ACTIONS(11),
    [anon_sym_BSLASHbk] = ACTIONS(11),
    [anon_sym_BSLASHdc] = ACTIONS(11),
    [anon_sym_BSLASHk] = ACTIONS(11),
    [anon_sym_BSLASHnd] = ACTIONS(11),
    [anon_sym_BSLASHord] = ACTIONS(11),
    [anon_sym_BSLASHpn] = ACTIONS(11),
    [anon_sym_BSLASHpng] = ACTIONS(11),
    [anon_sym_BSLASHaddpn] = ACTIONS(11),
    [anon_sym_BSLASHqt] = ACTIONS(11),
    [anon_sym_BSLASHsig] = ACTIONS(11),
    [anon_sym_BSLASHsls] = ACTIONS(11),
    [anon_sym_BSLASHtl] = ACTIONS(11),
    [anon_sym_BSLASHwj] = ACTIONS(11),
    [anon_sym_BSLASHem] = ACTIONS(11),
    [anon_sym_BSLASHbd] = ACTIONS(11),
    [anon_sym_BSLASHit] = ACTIONS(11),
    [anon_sym_BSLASHbdit] = ACTIONS(11),
    [anon_sym_BSLASHno] = ACTIONS(11),
    [anon_sym_BSLASHsc] = ACTIONS(11),
    [anon_sym_BSLASHsup] = ACTIONS(11),
    [anon_sym_BSLASHndx] = ACTIONS(11),
    [anon_sym_BSLASHpro] = ACTIONS(11),
    [anon_sym_BSLASHrb] = ACTIONS(11),
    [anon_sym_BSLASHw] = ACTIONS(11),
    [anon_sym_BSLASHwg] = ACTIONS(11),
    [anon_sym_BSLASHwh] = ACTIONS(11),
    [anon_sym_BSLASHwa] = ACTIONS(11),
    [anon_sym_BSLASHfig] = ACTIONS(11),
    [anon_sym_BSLASHjmp] = ACTIONS(11),
    [anon_sym_BSLASHpb] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(11),
    [sym_milestoneStartTag] = ACTIONS(11),
    [sym_milestoneEndTag] = ACTIONS(11),
    [sym_zSpaceTag] = ACTIONS(11),
    [anon_sym_BSLASHesbe] = ACTIONS(11),
    [anon_sym_BSLASHcat] = ACTIONS(11),
  },
  [743] = {
    [aux_sym_text_token1] = ACTIONS(13),
    [anon_sym_BSLASHsts] = ACTIONS(15),
    [anon_sym_BSLASHrem] = ACTIONS(15),
    [anon_sym_BSLASHrestore] = ACTIONS(15),
    [anon_sym_BSLASHlit] = ACTIONS(15),
    [anon_sym_BSLASHip] = ACTIONS(15),
    [anon_sym_BSLASHmte] = ACTIONS(15),
    [anon_sym_BSLASHms] = ACTIONS(15),
    [anon_sym_BSLASHs] = ACTIONS(15),
    [anon_sym_BSLASHr] = ACTIONS(15),
    [anon_sym_BSLASHsp] = ACTIONS(15),
    [anon_sym_BSLASHd] = ACTIONS(15),
    [anon_sym_BSLASHsd] = ACTIONS(15),
    [anon_sym_BSLASHp] = ACTIONS(15),
    [anon_sym_BSLASHm] = ACTIONS(15),
    [anon_sym_BSLASHpo] = ACTIONS(15),
    [anon_sym_BSLASHpr] = ACTIONS(15),
    [anon_sym_BSLASHcls] = ACTIONS(15),
    [anon_sym_BSLASHpmo] = ACTIONS(15),
    [anon_sym_BSLASHpm] = ACTIONS(15),
    [anon_sym_BSLASHpmc] = ACTIONS(15),
    [anon_sym_BSLASHpmr] = ACTIONS(15),
    [anon_sym_BSLASHpi] = ACTIONS(15),
    [anon_sym_BSLASHmi] = ACTIONS(15),
    [anon_sym_BSLASHnb] = ACTIONS(15),
    [anon_sym_BSLASHpc] = ACTIONS(15),
    [anon_sym_BSLASHph] = ACTIONS(15),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [anon_sym_BSLASHq] = ACTIONS(15),
    [anon_sym_BSLASHqr] = ACTIONS(15),
    [anon_sym_BSLASHqc] = ACTIONS(15),
    [anon_sym_BSLASHqa] = ACTIONS(15),
    [anon_sym_BSLASHqm] = ACTIONS(15),
    [anon_sym_BSLASHqd] = ACTIONS(15),
    [anon_sym_BSLASHlh] = ACTIONS(15),
    [anon_sym_BSLASHli] = ACTIONS(15),
    [anon_sym_BSLASHlim] = ACTIONS(15),
    [anon_sym_BSLASHtr] = ACTIONS(15),
    [sym_thTag] = ACTIONS(15),
    [sym_thrTag] = ACTIONS(15),
    [sym_tcTag] = ACTIONS(15),
    [sym_tcrTag] = ACTIONS(15),
    [anon_sym_BSLASHf] = ACTIONS(15),
    [anon_sym_BSLASHfe] = ACTIONS(15),
    [anon_sym_BSLASHef] = ACTIONS(15),
    [anon_sym_BSLASHfm] = ACTIONS(15),
    [anon_sym_BSLASHadd] = ACTIONS(15),
    [anon_sym_BSLASHbk] = ACTIONS(15),
    [anon_sym_BSLASHdc] = ACTIONS(15),
    [anon_sym_BSLASHk] = ACTIONS(15),
    [anon_sym_BSLASHnd] = ACTIONS(15),
    [anon_sym_BSLASHord] = ACTIONS(15),
    [anon_sym_BSLASHpn] = ACTIONS(15),
    [anon_sym_BSLASHpng] = ACTIONS(15),
    [anon_sym_BSLASHaddpn] = ACTIONS(15),
    [anon_sym_BSLASHqt] = ACTIONS(15),
    [anon_sym_BSLASHsig] = ACTIONS(15),
    [anon_sym_BSLASHsls] = ACTIONS(15),
    [anon_sym_BSLASHtl] = ACTIONS(15),
    [anon_sym_BSLASHwj] = ACTIONS(15),
    [anon_sym_BSLASHem] = ACTIONS(15),
    [anon_sym_BSLASHbd] = ACTIONS(15),
    [anon_sym_BSLASHit] = ACTIONS(15),
    [anon_sym_BSLASHbdit] = ACTIONS(15),
    [anon_sym_BSLASHno] = ACTIONS(15),
    [anon_sym_BSLASHsc] = ACTIONS(15),
    [anon_sym_BSLASHsup] = ACTIONS(15),
    [anon_sym_BSLASHndx] = ACTIONS(15),
    [anon_sym_BSLASHpro] = ACTIONS(15),
    [anon_sym_BSLASHrb] = ACTIONS(15),
    [anon_sym_BSLASHw] = ACTIONS(15),
    [anon_sym_BSLASHwg] = ACTIONS(15),
    [anon_sym_BSLASHwh] = ACTIONS(15),
    [anon_sym_BSLASHwa] = ACTIONS(15),
    [anon_sym_BSLASHfig] = ACTIONS(15),
    [anon_sym_BSLASHjmp] = ACTIONS(15),
    [anon_sym_BSLASHpb] = ACTIONS(15),
    [anon_sym_BSLASH] = ACTIONS(15),
    [sym_milestoneStartTag] = ACTIONS(15),
    [sym_milestoneEndTag] = ACTIONS(15),
    [sym_zSpaceTag] = ACTIONS(15),
    [anon_sym_BSLASHesbe] = ACTIONS(15),
    [anon_sym_BSLASHcat] = ACTIONS(15),
  },
  [744] = {
    [sym_text] = STATE(765),
    [sym_footnote] = STATE(765),
    [sym_f] = STATE(1604),
    [sym_fe] = STATE(1604),
    [sym_ef] = STATE(1604),
    [sym_fm] = STATE(1604),
    [sym_crossref] = STATE(765),
    [sym_x] = STATE(1552),
    [sym_xt_standalone] = STATE(1552),
    [sym_rq] = STATE(1552),
    [sym_addNested] = STATE(765),
    [sym_bkNested] = STATE(765),
    [sym_dcNested] = STATE(765),
    [sym_kNested] = STATE(765),
    [sym_ndNested] = STATE(765),
    [sym_ordNested] = STATE(765),
    [sym_pnNested] = STATE(765),
    [sym_pngNested] = STATE(765),
    [sym_addpnNested] = STATE(765),
    [sym_qtNested] = STATE(765),
    [sym_sigNested] = STATE(765),
    [sym_slsNested] = STATE(765),
    [sym_tlNested] = STATE(765),
    [sym_wjNested] = STATE(765),
    [sym_emNested] = STATE(765),
    [sym_bdNested] = STATE(765),
    [sym_itNested] = STATE(765),
    [sym_bditNested] = STATE(765),
    [sym_noNested] = STATE(765),
    [sym_scNested] = STATE(765),
    [sym_supNested] = STATE(765),
    [sym_ndxNested] = STATE(765),
    [sym_proNested] = STATE(765),
    [sym_rbNested] = STATE(765),
    [sym_wNested] = STATE(765),
    [sym_wgNested] = STATE(765),
    [sym_whNested] = STATE(765),
    [sym_waNested] = STATE(765),
    [sym__nestedCharacterMarker] = STATE(765),
    [sym_fig] = STATE(765),
    [sym_jmpNested] = STATE(765),
    [aux_sym__innerText_repeat1] = STATE(765),
    [aux_sym_text_token1] = ACTIONS(5818),
    [anon_sym_BSLASHf] = ACTIONS(5820),
    [anon_sym_BSLASHfe] = ACTIONS(5822),
    [anon_sym_BSLASHef] = ACTIONS(5824),
    [anon_sym_BSLASHfm] = ACTIONS(5826),
    [anon_sym_BSLASHx] = ACTIONS(5828),
    [anon_sym_BSLASHxt] = ACTIONS(5830),
    [anon_sym_BSLASHrq] = ACTIONS(5832),
    [anon_sym_BSLASHk_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5834),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5836),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5838),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5840),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5842),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5844),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5846),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5848),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5850),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5852),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5854),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5856),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5858),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5860),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5862),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5864),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5866),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5868),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5870),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5872),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5874),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5876),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5878),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5880),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5882),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5884),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5886),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5888),
    [anon_sym_BSLASHfig] = ACTIONS(5890),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5892),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_key] = ACTIONS(3120),
  },
  [745] = {
    [aux_sym_text_token1] = ACTIONS(2635),
    [anon_sym_BSLASHsts] = ACTIONS(2637),
    [anon_sym_BSLASHrem] = ACTIONS(2637),
    [anon_sym_BSLASHrestore] = ACTIONS(2637),
    [anon_sym_BSLASHlit] = ACTIONS(2637),
    [anon_sym_BSLASHip] = ACTIONS(2637),
    [anon_sym_BSLASHmte] = ACTIONS(2637),
    [anon_sym_BSLASHms] = ACTIONS(2637),
    [anon_sym_BSLASHs] = ACTIONS(2637),
    [anon_sym_BSLASHr] = ACTIONS(2637),
    [anon_sym_BSLASHsp] = ACTIONS(2637),
    [anon_sym_BSLASHd] = ACTIONS(2637),
    [anon_sym_BSLASHsd] = ACTIONS(2637),
    [anon_sym_BSLASHp] = ACTIONS(2637),
    [anon_sym_BSLASHm] = ACTIONS(2637),
    [anon_sym_BSLASHpo] = ACTIONS(2637),
    [anon_sym_BSLASHpr] = ACTIONS(2637),
    [anon_sym_BSLASHcls] = ACTIONS(2637),
    [anon_sym_BSLASHpmo] = ACTIONS(2637),
    [anon_sym_BSLASHpm] = ACTIONS(2637),
    [anon_sym_BSLASHpmc] = ACTIONS(2637),
    [anon_sym_BSLASHpmr] = ACTIONS(2637),
    [anon_sym_BSLASHpi] = ACTIONS(2637),
    [anon_sym_BSLASHmi] = ACTIONS(2637),
    [anon_sym_BSLASHnb] = ACTIONS(2637),
    [anon_sym_BSLASHpc] = ACTIONS(2637),
    [anon_sym_BSLASHph] = ACTIONS(2637),
    [anon_sym_BSLASHb] = ACTIONS(2637),
    [anon_sym_BSLASHq] = ACTIONS(2637),
    [anon_sym_BSLASHqr] = ACTIONS(2637),
    [anon_sym_BSLASHqc] = ACTIONS(2637),
    [anon_sym_BSLASHqa] = ACTIONS(2637),
    [anon_sym_BSLASHqm] = ACTIONS(2637),
    [anon_sym_BSLASHqd] = ACTIONS(2637),
    [anon_sym_BSLASHlh] = ACTIONS(2637),
    [anon_sym_BSLASHli] = ACTIONS(2637),
    [anon_sym_BSLASHlim] = ACTIONS(2637),
    [anon_sym_BSLASHtr] = ACTIONS(2637),
    [sym_thTag] = ACTIONS(2637),
    [sym_thrTag] = ACTIONS(2637),
    [sym_tcTag] = ACTIONS(2637),
    [sym_tcrTag] = ACTIONS(2637),
    [anon_sym_BSLASHf] = ACTIONS(2637),
    [anon_sym_BSLASHfe] = ACTIONS(2637),
    [anon_sym_BSLASHef] = ACTIONS(2637),
    [anon_sym_BSLASHfm] = ACTIONS(2637),
    [anon_sym_BSLASHadd] = ACTIONS(2637),
    [anon_sym_BSLASHbk] = ACTIONS(2637),
    [anon_sym_BSLASHdc] = ACTIONS(2637),
    [anon_sym_BSLASHk] = ACTIONS(2637),
    [anon_sym_BSLASHnd] = ACTIONS(2637),
    [anon_sym_BSLASHord] = ACTIONS(2637),
    [anon_sym_BSLASHpn] = ACTIONS(2637),
    [anon_sym_BSLASHpng] = ACTIONS(2637),
    [anon_sym_BSLASHaddpn] = ACTIONS(2637),
    [anon_sym_BSLASHqt] = ACTIONS(2637),
    [anon_sym_BSLASHsig] = ACTIONS(2637),
    [anon_sym_BSLASHsls] = ACTIONS(2637),
    [anon_sym_BSLASHtl] = ACTIONS(2637),
    [anon_sym_BSLASHwj] = ACTIONS(2637),
    [anon_sym_BSLASHem] = ACTIONS(2637),
    [anon_sym_BSLASHbd] = ACTIONS(2637),
    [anon_sym_BSLASHit] = ACTIONS(2637),
    [anon_sym_BSLASHbdit] = ACTIONS(2637),
    [anon_sym_BSLASHno] = ACTIONS(2637),
    [anon_sym_BSLASHsc] = ACTIONS(2637),
    [anon_sym_BSLASHsup] = ACTIONS(2637),
    [anon_sym_BSLASHndx] = ACTIONS(2637),
    [anon_sym_BSLASHpro] = ACTIONS(2637),
    [anon_sym_BSLASHrb] = ACTIONS(2637),
    [anon_sym_BSLASHw] = ACTIONS(2637),
    [anon_sym_BSLASHwg] = ACTIONS(2637),
    [anon_sym_BSLASHwh] = ACTIONS(2637),
    [anon_sym_BSLASHwa] = ACTIONS(2637),
    [anon_sym_BSLASHfig] = ACTIONS(2637),
    [anon_sym_BSLASHjmp] = ACTIONS(2637),
    [anon_sym_BSLASHpb] = ACTIONS(2637),
    [anon_sym_BSLASH] = ACTIONS(2637),
    [sym_milestoneStartTag] = ACTIONS(2637),
    [sym_milestoneEndTag] = ACTIONS(2637),
    [sym_zSpaceTag] = ACTIONS(2637),
    [anon_sym_BSLASHesbe] = ACTIONS(2637),
    [anon_sym_BSLASHcat] = ACTIONS(2637),
  },
  [746] = {
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHmte] = ACTIONS(2737),
    [anon_sym_BSLASHms] = ACTIONS(2737),
    [anon_sym_BSLASHs] = ACTIONS(2737),
    [anon_sym_BSLASHr] = ACTIONS(2737),
    [anon_sym_BSLASHsp] = ACTIONS(2737),
    [anon_sym_BSLASHd] = ACTIONS(2737),
    [anon_sym_BSLASHsd] = ACTIONS(2737),
    [anon_sym_BSLASHp] = ACTIONS(2737),
    [anon_sym_BSLASHm] = ACTIONS(2737),
    [anon_sym_BSLASHpo] = ACTIONS(2737),
    [anon_sym_BSLASHpr] = ACTIONS(2737),
    [anon_sym_BSLASHcls] = ACTIONS(2737),
    [anon_sym_BSLASHpmo] = ACTIONS(2737),
    [anon_sym_BSLASHpm] = ACTIONS(2737),
    [anon_sym_BSLASHpmc] = ACTIONS(2737),
    [anon_sym_BSLASHpmr] = ACTIONS(2737),
    [anon_sym_BSLASHpi] = ACTIONS(2737),
    [anon_sym_BSLASHmi] = ACTIONS(2737),
    [anon_sym_BSLASHnb] = ACTIONS(2737),
    [anon_sym_BSLASHpc] = ACTIONS(2737),
    [anon_sym_BSLASHph] = ACTIONS(2737),
    [anon_sym_BSLASHb] = ACTIONS(2737),
    [anon_sym_BSLASHq] = ACTIONS(2737),
    [anon_sym_BSLASHqr] = ACTIONS(2737),
    [anon_sym_BSLASHqc] = ACTIONS(2737),
    [anon_sym_BSLASHqa] = ACTIONS(2737),
    [anon_sym_BSLASHqm] = ACTIONS(2737),
    [anon_sym_BSLASHqd] = ACTIONS(2737),
    [anon_sym_BSLASHlh] = ACTIONS(2737),
    [anon_sym_BSLASHli] = ACTIONS(2737),
    [anon_sym_BSLASHlim] = ACTIONS(2737),
    [anon_sym_BSLASHtr] = ACTIONS(2737),
    [sym_thTag] = ACTIONS(2737),
    [sym_thrTag] = ACTIONS(2737),
    [sym_tcTag] = ACTIONS(2737),
    [sym_tcrTag] = ACTIONS(2737),
    [anon_sym_BSLASHf] = ACTIONS(2737),
    [anon_sym_BSLASHfe] = ACTIONS(2737),
    [anon_sym_BSLASHef] = ACTIONS(2737),
    [anon_sym_BSLASHfm] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASHfig] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASHpb] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesbe] = ACTIONS(2737),
    [anon_sym_BSLASHcat] = ACTIONS(2737),
  },
  [747] = {
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHmte] = ACTIONS(2741),
    [anon_sym_BSLASHms] = ACTIONS(2741),
    [anon_sym_BSLASHs] = ACTIONS(2741),
    [anon_sym_BSLASHr] = ACTIONS(2741),
    [anon_sym_BSLASHsp] = ACTIONS(2741),
    [anon_sym_BSLASHd] = ACTIONS(2741),
    [anon_sym_BSLASHsd] = ACTIONS(2741),
    [anon_sym_BSLASHp] = ACTIONS(2741),
    [anon_sym_BSLASHm] = ACTIONS(2741),
    [anon_sym_BSLASHpo] = ACTIONS(2741),
    [anon_sym_BSLASHpr] = ACTIONS(2741),
    [anon_sym_BSLASHcls] = ACTIONS(2741),
    [anon_sym_BSLASHpmo] = ACTIONS(2741),
    [anon_sym_BSLASHpm] = ACTIONS(2741),
    [anon_sym_BSLASHpmc] = ACTIONS(2741),
    [anon_sym_BSLASHpmr] = ACTIONS(2741),
    [anon_sym_BSLASHpi] = ACTIONS(2741),
    [anon_sym_BSLASHmi] = ACTIONS(2741),
    [anon_sym_BSLASHnb] = ACTIONS(2741),
    [anon_sym_BSLASHpc] = ACTIONS(2741),
    [anon_sym_BSLASHph] = ACTIONS(2741),
    [anon_sym_BSLASHb] = ACTIONS(2741),
    [anon_sym_BSLASHq] = ACTIONS(2741),
    [anon_sym_BSLASHqr] = ACTIONS(2741),
    [anon_sym_BSLASHqc] = ACTIONS(2741),
    [anon_sym_BSLASHqa] = ACTIONS(2741),
    [anon_sym_BSLASHqm] = ACTIONS(2741),
    [anon_sym_BSLASHqd] = ACTIONS(2741),
    [anon_sym_BSLASHlh] = ACTIONS(2741),
    [anon_sym_BSLASHli] = ACTIONS(2741),
    [anon_sym_BSLASHlim] = ACTIONS(2741),
    [anon_sym_BSLASHtr] = ACTIONS(2741),
    [sym_thTag] = ACTIONS(2741),
    [sym_thrTag] = ACTIONS(2741),
    [sym_tcTag] = ACTIONS(2741),
    [sym_tcrTag] = ACTIONS(2741),
    [anon_sym_BSLASHf] = ACTIONS(2741),
    [anon_sym_BSLASHfe] = ACTIONS(2741),
    [anon_sym_BSLASHef] = ACTIONS(2741),
    [anon_sym_BSLASHfm] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASHfig] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASHpb] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesbe] = ACTIONS(2741),
    [anon_sym_BSLASHcat] = ACTIONS(2741),
  },
  [748] = {
    [aux_sym_text_token1] = ACTIONS(5532),
    [anon_sym_BSLASHsts] = ACTIONS(5534),
    [anon_sym_BSLASHrem] = ACTIONS(5534),
    [anon_sym_BSLASHrestore] = ACTIONS(5534),
    [anon_sym_BSLASHlit] = ACTIONS(5534),
    [anon_sym_BSLASHip] = ACTIONS(5534),
    [anon_sym_BSLASHmte] = ACTIONS(5534),
    [anon_sym_BSLASHms] = ACTIONS(5534),
    [anon_sym_BSLASHs] = ACTIONS(5534),
    [anon_sym_BSLASHsr] = ACTIONS(5534),
    [anon_sym_BSLASHr] = ACTIONS(5534),
    [anon_sym_BSLASHsp] = ACTIONS(5534),
    [anon_sym_BSLASHd] = ACTIONS(5534),
    [anon_sym_BSLASHsd] = ACTIONS(5534),
    [anon_sym_BSLASHp] = ACTIONS(5534),
    [anon_sym_BSLASHm] = ACTIONS(5534),
    [anon_sym_BSLASHpo] = ACTIONS(5534),
    [anon_sym_BSLASHpr] = ACTIONS(5534),
    [anon_sym_BSLASHcls] = ACTIONS(5534),
    [anon_sym_BSLASHpmo] = ACTIONS(5534),
    [anon_sym_BSLASHpm] = ACTIONS(5534),
    [anon_sym_BSLASHpmc] = ACTIONS(5534),
    [anon_sym_BSLASHpmr] = ACTIONS(5534),
    [anon_sym_BSLASHpi] = ACTIONS(5534),
    [anon_sym_BSLASHmi] = ACTIONS(5534),
    [anon_sym_BSLASHnb] = ACTIONS(5534),
    [anon_sym_BSLASHpc] = ACTIONS(5534),
    [anon_sym_BSLASHph] = ACTIONS(5534),
    [anon_sym_BSLASHb] = ACTIONS(5534),
    [anon_sym_BSLASHq] = ACTIONS(5534),
    [anon_sym_BSLASHqr] = ACTIONS(5534),
    [anon_sym_BSLASHqc] = ACTIONS(5534),
    [anon_sym_BSLASHqa] = ACTIONS(5534),
    [anon_sym_BSLASHqm] = ACTIONS(5534),
    [anon_sym_BSLASHqd] = ACTIONS(5534),
    [anon_sym_BSLASHlh] = ACTIONS(5534),
    [anon_sym_BSLASHli] = ACTIONS(5534),
    [anon_sym_BSLASHlim] = ACTIONS(5534),
    [anon_sym_BSLASHtr] = ACTIONS(5534),
    [anon_sym_BSLASHf] = ACTIONS(5534),
    [anon_sym_BSLASHfe] = ACTIONS(5534),
    [anon_sym_BSLASHef] = ACTIONS(5534),
    [anon_sym_BSLASHfm] = ACTIONS(5534),
    [anon_sym_BSLASHx] = ACTIONS(5534),
    [anon_sym_BSLASHxt] = ACTIONS(5534),
    [anon_sym_BSLASHrq] = ACTIONS(5534),
    [anon_sym_BSLASHadd] = ACTIONS(5534),
    [anon_sym_BSLASHbk] = ACTIONS(5534),
    [anon_sym_BSLASHdc] = ACTIONS(5534),
    [anon_sym_BSLASHk] = ACTIONS(5534),
    [anon_sym_BSLASHnd] = ACTIONS(5534),
    [anon_sym_BSLASHord] = ACTIONS(5534),
    [anon_sym_BSLASHpn] = ACTIONS(5534),
    [anon_sym_BSLASHpng] = ACTIONS(5534),
    [anon_sym_BSLASHaddpn] = ACTIONS(5534),
    [anon_sym_BSLASHqt] = ACTIONS(5534),
    [anon_sym_BSLASHsig] = ACTIONS(5534),
    [anon_sym_BSLASHsls] = ACTIONS(5534),
    [anon_sym_BSLASHtl] = ACTIONS(5534),
    [anon_sym_BSLASHwj] = ACTIONS(5534),
    [anon_sym_BSLASHem] = ACTIONS(5534),
    [anon_sym_BSLASHbd] = ACTIONS(5534),
    [anon_sym_BSLASHit] = ACTIONS(5534),
    [anon_sym_BSLASHbdit] = ACTIONS(5534),
    [anon_sym_BSLASHno] = ACTIONS(5534),
    [anon_sym_BSLASHsc] = ACTIONS(5534),
    [anon_sym_BSLASHsup] = ACTIONS(5534),
    [anon_sym_BSLASHndx] = ACTIONS(5534),
    [anon_sym_BSLASHpro] = ACTIONS(5534),
    [anon_sym_BSLASHrb] = ACTIONS(5534),
    [anon_sym_BSLASHw] = ACTIONS(5534),
    [anon_sym_BSLASHwg] = ACTIONS(5534),
    [anon_sym_BSLASHwh] = ACTIONS(5534),
    [anon_sym_BSLASHwa] = ACTIONS(5534),
    [anon_sym_BSLASHfig] = ACTIONS(5534),
    [anon_sym_BSLASHjmp] = ACTIONS(5534),
    [anon_sym_BSLASHpb] = ACTIONS(5534),
    [anon_sym_BSLASH] = ACTIONS(5534),
    [sym_milestoneStartTag] = ACTIONS(5534),
    [sym_milestoneEndTag] = ACTIONS(5534),
    [sym_zSpaceTag] = ACTIONS(5534),
    [anon_sym_BSLASHesbe] = ACTIONS(5534),
    [anon_sym_BSLASHcat] = ACTIONS(5534),
  },
  [749] = {
    [sym__comments] = STATE(751),
    [sym_sts] = STATE(751),
    [sym_rem] = STATE(751),
    [sym_restore] = STATE(751),
    [sym_lit] = STATE(751),
    [sym_imtBlock] = STATE(751),
    [sym_imt] = STATE(1705),
    [sym_imtTag] = STATE(1130),
    [sym_imteBlock] = STATE(1825),
    [sym_imte] = STATE(1831),
    [sym_imteTag] = STATE(1129),
    [sym__midIntroMarker] = STATE(751),
    [sym_isBlock] = STATE(751),
    [sym_is] = STATE(1701),
    [sym_isTag] = STATE(1122),
    [sym_io] = STATE(751),
    [sym_ioTag] = STATE(1123),
    [sym_iot] = STATE(751),
    [sym_ip] = STATE(751),
    [sym_im] = STATE(751),
    [sym_ipi] = STATE(751),
    [sym_imi] = STATE(751),
    [sym_iliBlock] = STATE(751),
    [sym_ili] = STATE(1704),
    [sym_iliTag] = STATE(1124),
    [sym_ipq] = STATE(751),
    [sym_imq] = STATE(751),
    [sym_ipr] = STATE(751),
    [sym_ib] = STATE(751),
    [sym_iqBlock] = STATE(751),
    [sym_iq] = STATE(1702),
    [sym_iqTag] = STATE(1125),
    [sym_ie] = STATE(1839),
    [sym_iex] = STATE(751),
    [sym_chapter] = STATE(1838),
    [sym_c] = STATE(147),
    [sym_cl] = STATE(2007),
    [sym_milestoneTag] = STATE(1973),
    [sym__milestoneStandaloneMarker] = STATE(1714),
    [sym__milestoneStart] = STATE(1714),
    [sym__milestoneEnd] = STATE(1714),
    [sym_milestone] = STATE(751),
    [sym__zNameSpaceRegular] = STATE(1723),
    [sym__zNameSpaceClosed] = STATE(1723),
    [sym__zNameSpaceStandaloneMarker] = STATE(1723),
    [sym_zNameSpace] = STATE(751),
    [sym_esb] = STATE(751),
    [aux_sym_File_repeat1] = STATE(751),
    [aux_sym_File_repeat2] = STATE(1838),
    [aux_sym_imtBlock_repeat1] = STATE(1705),
    [aux_sym_imteBlock_repeat1] = STATE(1831),
    [aux_sym_isBlock_repeat1] = STATE(1701),
    [aux_sym_iliBlock_repeat1] = STATE(1704),
    [aux_sym_iqBlock_repeat1] = STATE(1702),
    [ts_builtin_sym_end] = ACTIONS(5894),
    [anon_sym_BSLASHsts] = ACTIONS(5552),
    [anon_sym_BSLASHrem] = ACTIONS(5554),
    [anon_sym_BSLASHrestore] = ACTIONS(5556),
    [anon_sym_BSLASHlit] = ACTIONS(5558),
    [anon_sym_BSLASHimt] = ACTIONS(5560),
    [anon_sym_BSLASHimte] = ACTIONS(5562),
    [anon_sym_BSLASHis] = ACTIONS(5564),
    [anon_sym_BSLASHio] = ACTIONS(5566),
    [anon_sym_BSLASHiot] = ACTIONS(5568),
    [anon_sym_BSLASHip] = ACTIONS(5570),
    [anon_sym_BSLASHim] = ACTIONS(5572),
    [anon_sym_BSLASHipi] = ACTIONS(5574),
    [anon_sym_BSLASHimi] = ACTIONS(5576),
    [anon_sym_BSLASHili] = ACTIONS(5578),
    [anon_sym_BSLASHipq] = ACTIONS(5580),
    [anon_sym_BSLASHimq] = ACTIONS(5582),
    [anon_sym_BSLASHipr] = ACTIONS(5584),
    [anon_sym_BSLASHib] = ACTIONS(5586),
    [anon_sym_BSLASHiq] = ACTIONS(5588),
    [anon_sym_BSLASHie] = ACTIONS(5590),
    [anon_sym_BSLASHiex] = ACTIONS(5592),
    [anon_sym_BSLASHc] = ACTIONS(5594),
    [anon_sym_BSLASHcl] = ACTIONS(5596),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(5600),
    [sym_milestoneEndTag] = ACTIONS(5602),
    [sym_zSpaceTag] = ACTIONS(5604),
    [anon_sym_BSLASHesb] = ACTIONS(5606),
  },
  [750] = {
    [aux_sym_text_token1] = ACTIONS(5528),
    [anon_sym_BSLASHsts] = ACTIONS(5530),
    [anon_sym_BSLASHrem] = ACTIONS(5530),
    [anon_sym_BSLASHrestore] = ACTIONS(5530),
    [anon_sym_BSLASHlit] = ACTIONS(5530),
    [anon_sym_BSLASHip] = ACTIONS(5530),
    [anon_sym_BSLASHmte] = ACTIONS(5530),
    [anon_sym_BSLASHms] = ACTIONS(5530),
    [anon_sym_BSLASHs] = ACTIONS(5530),
    [anon_sym_BSLASHsr] = ACTIONS(5530),
    [anon_sym_BSLASHr] = ACTIONS(5530),
    [anon_sym_BSLASHsp] = ACTIONS(5530),
    [anon_sym_BSLASHd] = ACTIONS(5530),
    [anon_sym_BSLASHsd] = ACTIONS(5530),
    [anon_sym_BSLASHp] = ACTIONS(5530),
    [anon_sym_BSLASHm] = ACTIONS(5530),
    [anon_sym_BSLASHpo] = ACTIONS(5530),
    [anon_sym_BSLASHpr] = ACTIONS(5530),
    [anon_sym_BSLASHcls] = ACTIONS(5530),
    [anon_sym_BSLASHpmo] = ACTIONS(5530),
    [anon_sym_BSLASHpm] = ACTIONS(5530),
    [anon_sym_BSLASHpmc] = ACTIONS(5530),
    [anon_sym_BSLASHpmr] = ACTIONS(5530),
    [anon_sym_BSLASHpi] = ACTIONS(5530),
    [anon_sym_BSLASHmi] = ACTIONS(5530),
    [anon_sym_BSLASHnb] = ACTIONS(5530),
    [anon_sym_BSLASHpc] = ACTIONS(5530),
    [anon_sym_BSLASHph] = ACTIONS(5530),
    [anon_sym_BSLASHb] = ACTIONS(5530),
    [anon_sym_BSLASHq] = ACTIONS(5530),
    [anon_sym_BSLASHqr] = ACTIONS(5530),
    [anon_sym_BSLASHqc] = ACTIONS(5530),
    [anon_sym_BSLASHqa] = ACTIONS(5530),
    [anon_sym_BSLASHqm] = ACTIONS(5530),
    [anon_sym_BSLASHqd] = ACTIONS(5530),
    [anon_sym_BSLASHlh] = ACTIONS(5530),
    [anon_sym_BSLASHli] = ACTIONS(5530),
    [anon_sym_BSLASHlim] = ACTIONS(5530),
    [anon_sym_BSLASHtr] = ACTIONS(5530),
    [anon_sym_BSLASHf] = ACTIONS(5530),
    [anon_sym_BSLASHfe] = ACTIONS(5530),
    [anon_sym_BSLASHef] = ACTIONS(5530),
    [anon_sym_BSLASHfm] = ACTIONS(5530),
    [anon_sym_BSLASHx] = ACTIONS(5530),
    [anon_sym_BSLASHxt] = ACTIONS(5530),
    [anon_sym_BSLASHrq] = ACTIONS(5530),
    [anon_sym_BSLASHadd] = ACTIONS(5530),
    [anon_sym_BSLASHbk] = ACTIONS(5530),
    [anon_sym_BSLASHdc] = ACTIONS(5530),
    [anon_sym_BSLASHk] = ACTIONS(5530),
    [anon_sym_BSLASHnd] = ACTIONS(5530),
    [anon_sym_BSLASHord] = ACTIONS(5530),
    [anon_sym_BSLASHpn] = ACTIONS(5530),
    [anon_sym_BSLASHpng] = ACTIONS(5530),
    [anon_sym_BSLASHaddpn] = ACTIONS(5530),
    [anon_sym_BSLASHqt] = ACTIONS(5530),
    [anon_sym_BSLASHsig] = ACTIONS(5530),
    [anon_sym_BSLASHsls] = ACTIONS(5530),
    [anon_sym_BSLASHtl] = ACTIONS(5530),
    [anon_sym_BSLASHwj] = ACTIONS(5530),
    [anon_sym_BSLASHem] = ACTIONS(5530),
    [anon_sym_BSLASHbd] = ACTIONS(5530),
    [anon_sym_BSLASHit] = ACTIONS(5530),
    [anon_sym_BSLASHbdit] = ACTIONS(5530),
    [anon_sym_BSLASHno] = ACTIONS(5530),
    [anon_sym_BSLASHsc] = ACTIONS(5530),
    [anon_sym_BSLASHsup] = ACTIONS(5530),
    [anon_sym_BSLASHndx] = ACTIONS(5530),
    [anon_sym_BSLASHpro] = ACTIONS(5530),
    [anon_sym_BSLASHrb] = ACTIONS(5530),
    [anon_sym_BSLASHw] = ACTIONS(5530),
    [anon_sym_BSLASHwg] = ACTIONS(5530),
    [anon_sym_BSLASHwh] = ACTIONS(5530),
    [anon_sym_BSLASHwa] = ACTIONS(5530),
    [anon_sym_BSLASHfig] = ACTIONS(5530),
    [anon_sym_BSLASHjmp] = ACTIONS(5530),
    [anon_sym_BSLASHpb] = ACTIONS(5530),
    [anon_sym_BSLASH] = ACTIONS(5530),
    [sym_milestoneStartTag] = ACTIONS(5530),
    [sym_milestoneEndTag] = ACTIONS(5530),
    [sym_zSpaceTag] = ACTIONS(5530),
    [anon_sym_BSLASHesbe] = ACTIONS(5530),
    [anon_sym_BSLASHcat] = ACTIONS(5530),
  },
  [751] = {
    [sym__comments] = STATE(1120),
    [sym_sts] = STATE(1120),
    [sym_rem] = STATE(1120),
    [sym_restore] = STATE(1120),
    [sym_lit] = STATE(1120),
    [sym_imtBlock] = STATE(1120),
    [sym_imt] = STATE(1705),
    [sym_imtTag] = STATE(1130),
    [sym_imteBlock] = STATE(1826),
    [sym_imte] = STATE(1831),
    [sym_imteTag] = STATE(1129),
    [sym__midIntroMarker] = STATE(1120),
    [sym_isBlock] = STATE(1120),
    [sym_is] = STATE(1701),
    [sym_isTag] = STATE(1122),
    [sym_io] = STATE(1120),
    [sym_ioTag] = STATE(1123),
    [sym_iot] = STATE(1120),
    [sym_ip] = STATE(1120),
    [sym_im] = STATE(1120),
    [sym_ipi] = STATE(1120),
    [sym_imi] = STATE(1120),
    [sym_iliBlock] = STATE(1120),
    [sym_ili] = STATE(1704),
    [sym_iliTag] = STATE(1124),
    [sym_ipq] = STATE(1120),
    [sym_imq] = STATE(1120),
    [sym_ipr] = STATE(1120),
    [sym_ib] = STATE(1120),
    [sym_iqBlock] = STATE(1120),
    [sym_iq] = STATE(1702),
    [sym_iqTag] = STATE(1125),
    [sym_ie] = STATE(1840),
    [sym_iex] = STATE(1120),
    [sym_chapter] = STATE(1837),
    [sym_c] = STATE(147),
    [sym_cl] = STATE(2007),
    [sym_milestoneTag] = STATE(1973),
    [sym__milestoneStandaloneMarker] = STATE(1714),
    [sym__milestoneStart] = STATE(1714),
    [sym__milestoneEnd] = STATE(1714),
    [sym_milestone] = STATE(1120),
    [sym__zNameSpaceRegular] = STATE(1723),
    [sym__zNameSpaceClosed] = STATE(1723),
    [sym__zNameSpaceStandaloneMarker] = STATE(1723),
    [sym_zNameSpace] = STATE(1120),
    [sym_esb] = STATE(1120),
    [aux_sym_File_repeat1] = STATE(1120),
    [aux_sym_File_repeat2] = STATE(1837),
    [aux_sym_imtBlock_repeat1] = STATE(1705),
    [aux_sym_imteBlock_repeat1] = STATE(1831),
    [aux_sym_isBlock_repeat1] = STATE(1701),
    [aux_sym_iliBlock_repeat1] = STATE(1704),
    [aux_sym_iqBlock_repeat1] = STATE(1702),
    [ts_builtin_sym_end] = ACTIONS(5896),
    [anon_sym_BSLASHsts] = ACTIONS(5552),
    [anon_sym_BSLASHrem] = ACTIONS(5554),
    [anon_sym_BSLASHrestore] = ACTIONS(5556),
    [anon_sym_BSLASHlit] = ACTIONS(5558),
    [anon_sym_BSLASHimt] = ACTIONS(5560),
    [anon_sym_BSLASHimte] = ACTIONS(5562),
    [anon_sym_BSLASHis] = ACTIONS(5564),
    [anon_sym_BSLASHio] = ACTIONS(5566),
    [anon_sym_BSLASHiot] = ACTIONS(5568),
    [anon_sym_BSLASHip] = ACTIONS(5570),
    [anon_sym_BSLASHim] = ACTIONS(5572),
    [anon_sym_BSLASHipi] = ACTIONS(5574),
    [anon_sym_BSLASHimi] = ACTIONS(5576),
    [anon_sym_BSLASHili] = ACTIONS(5578),
    [anon_sym_BSLASHipq] = ACTIONS(5580),
    [anon_sym_BSLASHimq] = ACTIONS(5582),
    [anon_sym_BSLASHipr] = ACTIONS(5584),
    [anon_sym_BSLASHib] = ACTIONS(5586),
    [anon_sym_BSLASHiq] = ACTIONS(5588),
    [anon_sym_BSLASHie] = ACTIONS(5590),
    [anon_sym_BSLASHiex] = ACTIONS(5592),
    [anon_sym_BSLASHc] = ACTIONS(5594),
    [anon_sym_BSLASHcl] = ACTIONS(5596),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(5600),
    [sym_milestoneEndTag] = ACTIONS(5602),
    [sym_zSpaceTag] = ACTIONS(5604),
    [anon_sym_BSLASHesb] = ACTIONS(5606),
  },
  [752] = {
    [sym__comments] = STATE(1120),
    [sym_sts] = STATE(1120),
    [sym_rem] = STATE(1120),
    [sym_restore] = STATE(1120),
    [sym_lit] = STATE(1120),
    [sym_imtBlock] = STATE(1120),
    [sym_imt] = STATE(1705),
    [sym_imtTag] = STATE(1130),
    [sym_imteBlock] = STATE(1825),
    [sym_imte] = STATE(1831),
    [sym_imteTag] = STATE(1129),
    [sym__midIntroMarker] = STATE(1120),
    [sym_isBlock] = STATE(1120),
    [sym_is] = STATE(1701),
    [sym_isTag] = STATE(1122),
    [sym_io] = STATE(1120),
    [sym_ioTag] = STATE(1123),
    [sym_iot] = STATE(1120),
    [sym_ip] = STATE(1120),
    [sym_im] = STATE(1120),
    [sym_ipi] = STATE(1120),
    [sym_imi] = STATE(1120),
    [sym_iliBlock] = STATE(1120),
    [sym_ili] = STATE(1704),
    [sym_iliTag] = STATE(1124),
    [sym_ipq] = STATE(1120),
    [sym_imq] = STATE(1120),
    [sym_ipr] = STATE(1120),
    [sym_ib] = STATE(1120),
    [sym_iqBlock] = STATE(1120),
    [sym_iq] = STATE(1702),
    [sym_iqTag] = STATE(1125),
    [sym_ie] = STATE(1839),
    [sym_iex] = STATE(1120),
    [sym_chapter] = STATE(1838),
    [sym_c] = STATE(147),
    [sym_cl] = STATE(2007),
    [sym_milestoneTag] = STATE(1973),
    [sym__milestoneStandaloneMarker] = STATE(1714),
    [sym__milestoneStart] = STATE(1714),
    [sym__milestoneEnd] = STATE(1714),
    [sym_milestone] = STATE(1120),
    [sym__zNameSpaceRegular] = STATE(1723),
    [sym__zNameSpaceClosed] = STATE(1723),
    [sym__zNameSpaceStandaloneMarker] = STATE(1723),
    [sym_zNameSpace] = STATE(1120),
    [sym_esb] = STATE(1120),
    [aux_sym_File_repeat1] = STATE(1120),
    [aux_sym_File_repeat2] = STATE(1838),
    [aux_sym_imtBlock_repeat1] = STATE(1705),
    [aux_sym_imteBlock_repeat1] = STATE(1831),
    [aux_sym_isBlock_repeat1] = STATE(1701),
    [aux_sym_iliBlock_repeat1] = STATE(1704),
    [aux_sym_iqBlock_repeat1] = STATE(1702),
    [ts_builtin_sym_end] = ACTIONS(5894),
    [anon_sym_BSLASHsts] = ACTIONS(5552),
    [anon_sym_BSLASHrem] = ACTIONS(5554),
    [anon_sym_BSLASHrestore] = ACTIONS(5556),
    [anon_sym_BSLASHlit] = ACTIONS(5558),
    [anon_sym_BSLASHimt] = ACTIONS(5560),
    [anon_sym_BSLASHimte] = ACTIONS(5562),
    [anon_sym_BSLASHis] = ACTIONS(5564),
    [anon_sym_BSLASHio] = ACTIONS(5566),
    [anon_sym_BSLASHiot] = ACTIONS(5568),
    [anon_sym_BSLASHip] = ACTIONS(5570),
    [anon_sym_BSLASHim] = ACTIONS(5572),
    [anon_sym_BSLASHipi] = ACTIONS(5574),
    [anon_sym_BSLASHimi] = ACTIONS(5576),
    [anon_sym_BSLASHili] = ACTIONS(5578),
    [anon_sym_BSLASHipq] = ACTIONS(5580),
    [anon_sym_BSLASHimq] = ACTIONS(5582),
    [anon_sym_BSLASHipr] = ACTIONS(5584),
    [anon_sym_BSLASHib] = ACTIONS(5586),
    [anon_sym_BSLASHiq] = ACTIONS(5588),
    [anon_sym_BSLASHie] = ACTIONS(5590),
    [anon_sym_BSLASHiex] = ACTIONS(5592),
    [anon_sym_BSLASHc] = ACTIONS(5594),
    [anon_sym_BSLASHcl] = ACTIONS(5596),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(5600),
    [sym_milestoneEndTag] = ACTIONS(5602),
    [sym_zSpaceTag] = ACTIONS(5604),
    [anon_sym_BSLASHesb] = ACTIONS(5606),
  },
  [753] = {
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHmte] = ACTIONS(2733),
    [anon_sym_BSLASHms] = ACTIONS(2733),
    [anon_sym_BSLASHs] = ACTIONS(2733),
    [anon_sym_BSLASHr] = ACTIONS(2733),
    [anon_sym_BSLASHsp] = ACTIONS(2733),
    [anon_sym_BSLASHd] = ACTIONS(2733),
    [anon_sym_BSLASHsd] = ACTIONS(2733),
    [anon_sym_BSLASHp] = ACTIONS(2733),
    [anon_sym_BSLASHm] = ACTIONS(2733),
    [anon_sym_BSLASHpo] = ACTIONS(2733),
    [anon_sym_BSLASHpr] = ACTIONS(2733),
    [anon_sym_BSLASHcls] = ACTIONS(2733),
    [anon_sym_BSLASHpmo] = ACTIONS(2733),
    [anon_sym_BSLASHpm] = ACTIONS(2733),
    [anon_sym_BSLASHpmc] = ACTIONS(2733),
    [anon_sym_BSLASHpmr] = ACTIONS(2733),
    [anon_sym_BSLASHpi] = ACTIONS(2733),
    [anon_sym_BSLASHmi] = ACTIONS(2733),
    [anon_sym_BSLASHnb] = ACTIONS(2733),
    [anon_sym_BSLASHpc] = ACTIONS(2733),
    [anon_sym_BSLASHph] = ACTIONS(2733),
    [anon_sym_BSLASHb] = ACTIONS(2733),
    [anon_sym_BSLASHq] = ACTIONS(2733),
    [anon_sym_BSLASHqr] = ACTIONS(2733),
    [anon_sym_BSLASHqc] = ACTIONS(2733),
    [anon_sym_BSLASHqa] = ACTIONS(2733),
    [anon_sym_BSLASHqm] = ACTIONS(2733),
    [anon_sym_BSLASHqd] = ACTIONS(2733),
    [anon_sym_BSLASHlh] = ACTIONS(2733),
    [anon_sym_BSLASHli] = ACTIONS(2733),
    [anon_sym_BSLASHlim] = ACTIONS(2733),
    [anon_sym_BSLASHtr] = ACTIONS(2733),
    [sym_thTag] = ACTIONS(2733),
    [sym_thrTag] = ACTIONS(2733),
    [sym_tcTag] = ACTIONS(2733),
    [sym_tcrTag] = ACTIONS(2733),
    [anon_sym_BSLASHf] = ACTIONS(2733),
    [anon_sym_BSLASHfe] = ACTIONS(2733),
    [anon_sym_BSLASHef] = ACTIONS(2733),
    [anon_sym_BSLASHfm] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASHfig] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASHpb] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesbe] = ACTIONS(2733),
    [anon_sym_BSLASHcat] = ACTIONS(2733),
  },
  [754] = {
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHmte] = ACTIONS(2725),
    [anon_sym_BSLASHms] = ACTIONS(2725),
    [anon_sym_BSLASHs] = ACTIONS(2725),
    [anon_sym_BSLASHr] = ACTIONS(2725),
    [anon_sym_BSLASHsp] = ACTIONS(2725),
    [anon_sym_BSLASHd] = ACTIONS(2725),
    [anon_sym_BSLASHsd] = ACTIONS(2725),
    [anon_sym_BSLASHp] = ACTIONS(2725),
    [anon_sym_BSLASHm] = ACTIONS(2725),
    [anon_sym_BSLASHpo] = ACTIONS(2725),
    [anon_sym_BSLASHpr] = ACTIONS(2725),
    [anon_sym_BSLASHcls] = ACTIONS(2725),
    [anon_sym_BSLASHpmo] = ACTIONS(2725),
    [anon_sym_BSLASHpm] = ACTIONS(2725),
    [anon_sym_BSLASHpmc] = ACTIONS(2725),
    [anon_sym_BSLASHpmr] = ACTIONS(2725),
    [anon_sym_BSLASHpi] = ACTIONS(2725),
    [anon_sym_BSLASHmi] = ACTIONS(2725),
    [anon_sym_BSLASHnb] = ACTIONS(2725),
    [anon_sym_BSLASHpc] = ACTIONS(2725),
    [anon_sym_BSLASHph] = ACTIONS(2725),
    [anon_sym_BSLASHb] = ACTIONS(2725),
    [anon_sym_BSLASHq] = ACTIONS(2725),
    [anon_sym_BSLASHqr] = ACTIONS(2725),
    [anon_sym_BSLASHqc] = ACTIONS(2725),
    [anon_sym_BSLASHqa] = ACTIONS(2725),
    [anon_sym_BSLASHqm] = ACTIONS(2725),
    [anon_sym_BSLASHqd] = ACTIONS(2725),
    [anon_sym_BSLASHlh] = ACTIONS(2725),
    [anon_sym_BSLASHli] = ACTIONS(2725),
    [anon_sym_BSLASHlim] = ACTIONS(2725),
    [anon_sym_BSLASHtr] = ACTIONS(2725),
    [sym_thTag] = ACTIONS(2725),
    [sym_thrTag] = ACTIONS(2725),
    [sym_tcTag] = ACTIONS(2725),
    [sym_tcrTag] = ACTIONS(2725),
    [anon_sym_BSLASHf] = ACTIONS(2725),
    [anon_sym_BSLASHfe] = ACTIONS(2725),
    [anon_sym_BSLASHef] = ACTIONS(2725),
    [anon_sym_BSLASHfm] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASHfig] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASHpb] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesbe] = ACTIONS(2725),
    [anon_sym_BSLASHcat] = ACTIONS(2725),
  },
  [755] = {
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHmte] = ACTIONS(2729),
    [anon_sym_BSLASHms] = ACTIONS(2729),
    [anon_sym_BSLASHs] = ACTIONS(2729),
    [anon_sym_BSLASHr] = ACTIONS(2729),
    [anon_sym_BSLASHsp] = ACTIONS(2729),
    [anon_sym_BSLASHd] = ACTIONS(2729),
    [anon_sym_BSLASHsd] = ACTIONS(2729),
    [anon_sym_BSLASHp] = ACTIONS(2729),
    [anon_sym_BSLASHm] = ACTIONS(2729),
    [anon_sym_BSLASHpo] = ACTIONS(2729),
    [anon_sym_BSLASHpr] = ACTIONS(2729),
    [anon_sym_BSLASHcls] = ACTIONS(2729),
    [anon_sym_BSLASHpmo] = ACTIONS(2729),
    [anon_sym_BSLASHpm] = ACTIONS(2729),
    [anon_sym_BSLASHpmc] = ACTIONS(2729),
    [anon_sym_BSLASHpmr] = ACTIONS(2729),
    [anon_sym_BSLASHpi] = ACTIONS(2729),
    [anon_sym_BSLASHmi] = ACTIONS(2729),
    [anon_sym_BSLASHnb] = ACTIONS(2729),
    [anon_sym_BSLASHpc] = ACTIONS(2729),
    [anon_sym_BSLASHph] = ACTIONS(2729),
    [anon_sym_BSLASHb] = ACTIONS(2729),
    [anon_sym_BSLASHq] = ACTIONS(2729),
    [anon_sym_BSLASHqr] = ACTIONS(2729),
    [anon_sym_BSLASHqc] = ACTIONS(2729),
    [anon_sym_BSLASHqa] = ACTIONS(2729),
    [anon_sym_BSLASHqm] = ACTIONS(2729),
    [anon_sym_BSLASHqd] = ACTIONS(2729),
    [anon_sym_BSLASHlh] = ACTIONS(2729),
    [anon_sym_BSLASHli] = ACTIONS(2729),
    [anon_sym_BSLASHlim] = ACTIONS(2729),
    [anon_sym_BSLASHtr] = ACTIONS(2729),
    [sym_thTag] = ACTIONS(2729),
    [sym_thrTag] = ACTIONS(2729),
    [sym_tcTag] = ACTIONS(2729),
    [sym_tcrTag] = ACTIONS(2729),
    [anon_sym_BSLASHf] = ACTIONS(2729),
    [anon_sym_BSLASHfe] = ACTIONS(2729),
    [anon_sym_BSLASHef] = ACTIONS(2729),
    [anon_sym_BSLASHfm] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASHfig] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASHpb] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesbe] = ACTIONS(2729),
    [anon_sym_BSLASHcat] = ACTIONS(2729),
  },
  [756] = {
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHmte] = ACTIONS(2749),
    [anon_sym_BSLASHms] = ACTIONS(2749),
    [anon_sym_BSLASHs] = ACTIONS(2749),
    [anon_sym_BSLASHr] = ACTIONS(2749),
    [anon_sym_BSLASHsp] = ACTIONS(2749),
    [anon_sym_BSLASHd] = ACTIONS(2749),
    [anon_sym_BSLASHsd] = ACTIONS(2749),
    [anon_sym_BSLASHp] = ACTIONS(2749),
    [anon_sym_BSLASHm] = ACTIONS(2749),
    [anon_sym_BSLASHpo] = ACTIONS(2749),
    [anon_sym_BSLASHpr] = ACTIONS(2749),
    [anon_sym_BSLASHcls] = ACTIONS(2749),
    [anon_sym_BSLASHpmo] = ACTIONS(2749),
    [anon_sym_BSLASHpm] = ACTIONS(2749),
    [anon_sym_BSLASHpmc] = ACTIONS(2749),
    [anon_sym_BSLASHpmr] = ACTIONS(2749),
    [anon_sym_BSLASHpi] = ACTIONS(2749),
    [anon_sym_BSLASHmi] = ACTIONS(2749),
    [anon_sym_BSLASHnb] = ACTIONS(2749),
    [anon_sym_BSLASHpc] = ACTIONS(2749),
    [anon_sym_BSLASHph] = ACTIONS(2749),
    [anon_sym_BSLASHb] = ACTIONS(2749),
    [anon_sym_BSLASHq] = ACTIONS(2749),
    [anon_sym_BSLASHqr] = ACTIONS(2749),
    [anon_sym_BSLASHqc] = ACTIONS(2749),
    [anon_sym_BSLASHqa] = ACTIONS(2749),
    [anon_sym_BSLASHqm] = ACTIONS(2749),
    [anon_sym_BSLASHqd] = ACTIONS(2749),
    [anon_sym_BSLASHlh] = ACTIONS(2749),
    [anon_sym_BSLASHli] = ACTIONS(2749),
    [anon_sym_BSLASHlim] = ACTIONS(2749),
    [anon_sym_BSLASHtr] = ACTIONS(2749),
    [sym_thTag] = ACTIONS(2749),
    [sym_thrTag] = ACTIONS(2749),
    [sym_tcTag] = ACTIONS(2749),
    [sym_tcrTag] = ACTIONS(2749),
    [anon_sym_BSLASHf] = ACTIONS(2749),
    [anon_sym_BSLASHfe] = ACTIONS(2749),
    [anon_sym_BSLASHef] = ACTIONS(2749),
    [anon_sym_BSLASHfm] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASHfig] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASHpb] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesbe] = ACTIONS(2749),
    [anon_sym_BSLASHcat] = ACTIONS(2749),
  },
  [757] = {
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHmte] = ACTIONS(2745),
    [anon_sym_BSLASHms] = ACTIONS(2745),
    [anon_sym_BSLASHs] = ACTIONS(2745),
    [anon_sym_BSLASHr] = ACTIONS(2745),
    [anon_sym_BSLASHsp] = ACTIONS(2745),
    [anon_sym_BSLASHd] = ACTIONS(2745),
    [anon_sym_BSLASHsd] = ACTIONS(2745),
    [anon_sym_BSLASHp] = ACTIONS(2745),
    [anon_sym_BSLASHm] = ACTIONS(2745),
    [anon_sym_BSLASHpo] = ACTIONS(2745),
    [anon_sym_BSLASHpr] = ACTIONS(2745),
    [anon_sym_BSLASHcls] = ACTIONS(2745),
    [anon_sym_BSLASHpmo] = ACTIONS(2745),
    [anon_sym_BSLASHpm] = ACTIONS(2745),
    [anon_sym_BSLASHpmc] = ACTIONS(2745),
    [anon_sym_BSLASHpmr] = ACTIONS(2745),
    [anon_sym_BSLASHpi] = ACTIONS(2745),
    [anon_sym_BSLASHmi] = ACTIONS(2745),
    [anon_sym_BSLASHnb] = ACTIONS(2745),
    [anon_sym_BSLASHpc] = ACTIONS(2745),
    [anon_sym_BSLASHph] = ACTIONS(2745),
    [anon_sym_BSLASHb] = ACTIONS(2745),
    [anon_sym_BSLASHq] = ACTIONS(2745),
    [anon_sym_BSLASHqr] = ACTIONS(2745),
    [anon_sym_BSLASHqc] = ACTIONS(2745),
    [anon_sym_BSLASHqa] = ACTIONS(2745),
    [anon_sym_BSLASHqm] = ACTIONS(2745),
    [anon_sym_BSLASHqd] = ACTIONS(2745),
    [anon_sym_BSLASHlh] = ACTIONS(2745),
    [anon_sym_BSLASHli] = ACTIONS(2745),
    [anon_sym_BSLASHlim] = ACTIONS(2745),
    [anon_sym_BSLASHtr] = ACTIONS(2745),
    [sym_thTag] = ACTIONS(2745),
    [sym_thrTag] = ACTIONS(2745),
    [sym_tcTag] = ACTIONS(2745),
    [sym_tcrTag] = ACTIONS(2745),
    [anon_sym_BSLASHf] = ACTIONS(2745),
    [anon_sym_BSLASHfe] = ACTIONS(2745),
    [anon_sym_BSLASHef] = ACTIONS(2745),
    [anon_sym_BSLASHfm] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASHfig] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASHpb] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesbe] = ACTIONS(2745),
    [anon_sym_BSLASHcat] = ACTIONS(2745),
  },
  [758] = {
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHmte] = ACTIONS(2717),
    [anon_sym_BSLASHms] = ACTIONS(2717),
    [anon_sym_BSLASHs] = ACTIONS(2717),
    [anon_sym_BSLASHr] = ACTIONS(2717),
    [anon_sym_BSLASHsp] = ACTIONS(2717),
    [anon_sym_BSLASHd] = ACTIONS(2717),
    [anon_sym_BSLASHsd] = ACTIONS(2717),
    [anon_sym_BSLASHp] = ACTIONS(2717),
    [anon_sym_BSLASHm] = ACTIONS(2717),
    [anon_sym_BSLASHpo] = ACTIONS(2717),
    [anon_sym_BSLASHpr] = ACTIONS(2717),
    [anon_sym_BSLASHcls] = ACTIONS(2717),
    [anon_sym_BSLASHpmo] = ACTIONS(2717),
    [anon_sym_BSLASHpm] = ACTIONS(2717),
    [anon_sym_BSLASHpmc] = ACTIONS(2717),
    [anon_sym_BSLASHpmr] = ACTIONS(2717),
    [anon_sym_BSLASHpi] = ACTIONS(2717),
    [anon_sym_BSLASHmi] = ACTIONS(2717),
    [anon_sym_BSLASHnb] = ACTIONS(2717),
    [anon_sym_BSLASHpc] = ACTIONS(2717),
    [anon_sym_BSLASHph] = ACTIONS(2717),
    [anon_sym_BSLASHb] = ACTIONS(2717),
    [anon_sym_BSLASHq] = ACTIONS(2717),
    [anon_sym_BSLASHqr] = ACTIONS(2717),
    [anon_sym_BSLASHqc] = ACTIONS(2717),
    [anon_sym_BSLASHqa] = ACTIONS(2717),
    [anon_sym_BSLASHqm] = ACTIONS(2717),
    [anon_sym_BSLASHqd] = ACTIONS(2717),
    [anon_sym_BSLASHlh] = ACTIONS(2717),
    [anon_sym_BSLASHli] = ACTIONS(2717),
    [anon_sym_BSLASHlim] = ACTIONS(2717),
    [anon_sym_BSLASHtr] = ACTIONS(2717),
    [sym_thTag] = ACTIONS(2717),
    [sym_thrTag] = ACTIONS(2717),
    [sym_tcTag] = ACTIONS(2717),
    [sym_tcrTag] = ACTIONS(2717),
    [anon_sym_BSLASHf] = ACTIONS(2717),
    [anon_sym_BSLASHfe] = ACTIONS(2717),
    [anon_sym_BSLASHef] = ACTIONS(2717),
    [anon_sym_BSLASHfm] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASHfig] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASHpb] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesbe] = ACTIONS(2717),
    [anon_sym_BSLASHcat] = ACTIONS(2717),
  },
  [759] = {
    [aux_sym_text_token1] = ACTIONS(2655),
    [anon_sym_BSLASHsts] = ACTIONS(2657),
    [anon_sym_BSLASHrem] = ACTIONS(2657),
    [anon_sym_BSLASHrestore] = ACTIONS(2657),
    [anon_sym_BSLASHlit] = ACTIONS(2657),
    [anon_sym_BSLASHip] = ACTIONS(2657),
    [anon_sym_BSLASHmte] = ACTIONS(2657),
    [anon_sym_BSLASHms] = ACTIONS(2657),
    [anon_sym_BSLASHs] = ACTIONS(2657),
    [anon_sym_BSLASHr] = ACTIONS(2657),
    [anon_sym_BSLASHsp] = ACTIONS(2657),
    [anon_sym_BSLASHd] = ACTIONS(2657),
    [anon_sym_BSLASHsd] = ACTIONS(2657),
    [anon_sym_BSLASHp] = ACTIONS(2657),
    [anon_sym_BSLASHm] = ACTIONS(2657),
    [anon_sym_BSLASHpo] = ACTIONS(2657),
    [anon_sym_BSLASHpr] = ACTIONS(2657),
    [anon_sym_BSLASHcls] = ACTIONS(2657),
    [anon_sym_BSLASHpmo] = ACTIONS(2657),
    [anon_sym_BSLASHpm] = ACTIONS(2657),
    [anon_sym_BSLASHpmc] = ACTIONS(2657),
    [anon_sym_BSLASHpmr] = ACTIONS(2657),
    [anon_sym_BSLASHpi] = ACTIONS(2657),
    [anon_sym_BSLASHmi] = ACTIONS(2657),
    [anon_sym_BSLASHnb] = ACTIONS(2657),
    [anon_sym_BSLASHpc] = ACTIONS(2657),
    [anon_sym_BSLASHph] = ACTIONS(2657),
    [anon_sym_BSLASHb] = ACTIONS(2657),
    [anon_sym_BSLASHq] = ACTIONS(2657),
    [anon_sym_BSLASHqr] = ACTIONS(2657),
    [anon_sym_BSLASHqc] = ACTIONS(2657),
    [anon_sym_BSLASHqa] = ACTIONS(2657),
    [anon_sym_BSLASHqm] = ACTIONS(2657),
    [anon_sym_BSLASHqd] = ACTIONS(2657),
    [anon_sym_BSLASHlh] = ACTIONS(2657),
    [anon_sym_BSLASHli] = ACTIONS(2657),
    [anon_sym_BSLASHlim] = ACTIONS(2657),
    [anon_sym_BSLASHtr] = ACTIONS(2657),
    [sym_thTag] = ACTIONS(2657),
    [sym_thrTag] = ACTIONS(2657),
    [sym_tcTag] = ACTIONS(2657),
    [sym_tcrTag] = ACTIONS(2657),
    [anon_sym_BSLASHf] = ACTIONS(2657),
    [anon_sym_BSLASHfe] = ACTIONS(2657),
    [anon_sym_BSLASHef] = ACTIONS(2657),
    [anon_sym_BSLASHfm] = ACTIONS(2657),
    [anon_sym_BSLASHadd] = ACTIONS(2657),
    [anon_sym_BSLASHbk] = ACTIONS(2657),
    [anon_sym_BSLASHdc] = ACTIONS(2657),
    [anon_sym_BSLASHk] = ACTIONS(2657),
    [anon_sym_BSLASHnd] = ACTIONS(2657),
    [anon_sym_BSLASHord] = ACTIONS(2657),
    [anon_sym_BSLASHpn] = ACTIONS(2657),
    [anon_sym_BSLASHpng] = ACTIONS(2657),
    [anon_sym_BSLASHaddpn] = ACTIONS(2657),
    [anon_sym_BSLASHqt] = ACTIONS(2657),
    [anon_sym_BSLASHsig] = ACTIONS(2657),
    [anon_sym_BSLASHsls] = ACTIONS(2657),
    [anon_sym_BSLASHtl] = ACTIONS(2657),
    [anon_sym_BSLASHwj] = ACTIONS(2657),
    [anon_sym_BSLASHem] = ACTIONS(2657),
    [anon_sym_BSLASHbd] = ACTIONS(2657),
    [anon_sym_BSLASHit] = ACTIONS(2657),
    [anon_sym_BSLASHbdit] = ACTIONS(2657),
    [anon_sym_BSLASHno] = ACTIONS(2657),
    [anon_sym_BSLASHsc] = ACTIONS(2657),
    [anon_sym_BSLASHsup] = ACTIONS(2657),
    [anon_sym_BSLASHndx] = ACTIONS(2657),
    [anon_sym_BSLASHpro] = ACTIONS(2657),
    [anon_sym_BSLASHrb] = ACTIONS(2657),
    [anon_sym_BSLASHw] = ACTIONS(2657),
    [anon_sym_BSLASHwg] = ACTIONS(2657),
    [anon_sym_BSLASHwh] = ACTIONS(2657),
    [anon_sym_BSLASHwa] = ACTIONS(2657),
    [anon_sym_BSLASHfig] = ACTIONS(2657),
    [anon_sym_BSLASHjmp] = ACTIONS(2657),
    [anon_sym_BSLASHpb] = ACTIONS(2657),
    [anon_sym_BSLASH] = ACTIONS(2657),
    [sym_milestoneStartTag] = ACTIONS(2657),
    [sym_milestoneEndTag] = ACTIONS(2657),
    [sym_zSpaceTag] = ACTIONS(2657),
    [anon_sym_BSLASHesbe] = ACTIONS(2657),
    [anon_sym_BSLASHcat] = ACTIONS(2657),
  },
  [760] = {
    [aux_sym_text_token1] = ACTIONS(2651),
    [anon_sym_BSLASHsts] = ACTIONS(2653),
    [anon_sym_BSLASHrem] = ACTIONS(2653),
    [anon_sym_BSLASHrestore] = ACTIONS(2653),
    [anon_sym_BSLASHlit] = ACTIONS(2653),
    [anon_sym_BSLASHip] = ACTIONS(2653),
    [anon_sym_BSLASHmte] = ACTIONS(2653),
    [anon_sym_BSLASHms] = ACTIONS(2653),
    [anon_sym_BSLASHs] = ACTIONS(2653),
    [anon_sym_BSLASHr] = ACTIONS(2653),
    [anon_sym_BSLASHsp] = ACTIONS(2653),
    [anon_sym_BSLASHd] = ACTIONS(2653),
    [anon_sym_BSLASHsd] = ACTIONS(2653),
    [anon_sym_BSLASHp] = ACTIONS(2653),
    [anon_sym_BSLASHm] = ACTIONS(2653),
    [anon_sym_BSLASHpo] = ACTIONS(2653),
    [anon_sym_BSLASHpr] = ACTIONS(2653),
    [anon_sym_BSLASHcls] = ACTIONS(2653),
    [anon_sym_BSLASHpmo] = ACTIONS(2653),
    [anon_sym_BSLASHpm] = ACTIONS(2653),
    [anon_sym_BSLASHpmc] = ACTIONS(2653),
    [anon_sym_BSLASHpmr] = ACTIONS(2653),
    [anon_sym_BSLASHpi] = ACTIONS(2653),
    [anon_sym_BSLASHmi] = ACTIONS(2653),
    [anon_sym_BSLASHnb] = ACTIONS(2653),
    [anon_sym_BSLASHpc] = ACTIONS(2653),
    [anon_sym_BSLASHph] = ACTIONS(2653),
    [anon_sym_BSLASHb] = ACTIONS(2653),
    [anon_sym_BSLASHq] = ACTIONS(2653),
    [anon_sym_BSLASHqr] = ACTIONS(2653),
    [anon_sym_BSLASHqc] = ACTIONS(2653),
    [anon_sym_BSLASHqa] = ACTIONS(2653),
    [anon_sym_BSLASHqm] = ACTIONS(2653),
    [anon_sym_BSLASHqd] = ACTIONS(2653),
    [anon_sym_BSLASHlh] = ACTIONS(2653),
    [anon_sym_BSLASHli] = ACTIONS(2653),
    [anon_sym_BSLASHlim] = ACTIONS(2653),
    [anon_sym_BSLASHtr] = ACTIONS(2653),
    [sym_thTag] = ACTIONS(2653),
    [sym_thrTag] = ACTIONS(2653),
    [sym_tcTag] = ACTIONS(2653),
    [sym_tcrTag] = ACTIONS(2653),
    [anon_sym_BSLASHf] = ACTIONS(2653),
    [anon_sym_BSLASHfe] = ACTIONS(2653),
    [anon_sym_BSLASHef] = ACTIONS(2653),
    [anon_sym_BSLASHfm] = ACTIONS(2653),
    [anon_sym_BSLASHadd] = ACTIONS(2653),
    [anon_sym_BSLASHbk] = ACTIONS(2653),
    [anon_sym_BSLASHdc] = ACTIONS(2653),
    [anon_sym_BSLASHk] = ACTIONS(2653),
    [anon_sym_BSLASHnd] = ACTIONS(2653),
    [anon_sym_BSLASHord] = ACTIONS(2653),
    [anon_sym_BSLASHpn] = ACTIONS(2653),
    [anon_sym_BSLASHpng] = ACTIONS(2653),
    [anon_sym_BSLASHaddpn] = ACTIONS(2653),
    [anon_sym_BSLASHqt] = ACTIONS(2653),
    [anon_sym_BSLASHsig] = ACTIONS(2653),
    [anon_sym_BSLASHsls] = ACTIONS(2653),
    [anon_sym_BSLASHtl] = ACTIONS(2653),
    [anon_sym_BSLASHwj] = ACTIONS(2653),
    [anon_sym_BSLASHem] = ACTIONS(2653),
    [anon_sym_BSLASHbd] = ACTIONS(2653),
    [anon_sym_BSLASHit] = ACTIONS(2653),
    [anon_sym_BSLASHbdit] = ACTIONS(2653),
    [anon_sym_BSLASHno] = ACTIONS(2653),
    [anon_sym_BSLASHsc] = ACTIONS(2653),
    [anon_sym_BSLASHsup] = ACTIONS(2653),
    [anon_sym_BSLASHndx] = ACTIONS(2653),
    [anon_sym_BSLASHpro] = ACTIONS(2653),
    [anon_sym_BSLASHrb] = ACTIONS(2653),
    [anon_sym_BSLASHw] = ACTIONS(2653),
    [anon_sym_BSLASHwg] = ACTIONS(2653),
    [anon_sym_BSLASHwh] = ACTIONS(2653),
    [anon_sym_BSLASHwa] = ACTIONS(2653),
    [anon_sym_BSLASHfig] = ACTIONS(2653),
    [anon_sym_BSLASHjmp] = ACTIONS(2653),
    [anon_sym_BSLASHpb] = ACTIONS(2653),
    [anon_sym_BSLASH] = ACTIONS(2653),
    [sym_milestoneStartTag] = ACTIONS(2653),
    [sym_milestoneEndTag] = ACTIONS(2653),
    [sym_zSpaceTag] = ACTIONS(2653),
    [anon_sym_BSLASHesbe] = ACTIONS(2653),
    [anon_sym_BSLASHcat] = ACTIONS(2653),
  },
  [761] = {
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [sym_thTag] = ACTIONS(7),
    [sym_thrTag] = ACTIONS(7),
    [sym_tcTag] = ACTIONS(7),
    [sym_tcrTag] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesbe] = ACTIONS(7),
    [anon_sym_BSLASHcat] = ACTIONS(7),
  },
  [762] = {
    [aux_sym_text_token1] = ACTIONS(2615),
    [anon_sym_BSLASHsts] = ACTIONS(2617),
    [anon_sym_BSLASHrem] = ACTIONS(2617),
    [anon_sym_BSLASHrestore] = ACTIONS(2617),
    [anon_sym_BSLASHlit] = ACTIONS(2617),
    [anon_sym_BSLASHip] = ACTIONS(2617),
    [anon_sym_BSLASHmte] = ACTIONS(2617),
    [anon_sym_BSLASHms] = ACTIONS(2617),
    [anon_sym_BSLASHs] = ACTIONS(2617),
    [anon_sym_BSLASHr] = ACTIONS(2617),
    [anon_sym_BSLASHsp] = ACTIONS(2617),
    [anon_sym_BSLASHd] = ACTIONS(2617),
    [anon_sym_BSLASHsd] = ACTIONS(2617),
    [anon_sym_BSLASHp] = ACTIONS(2617),
    [anon_sym_BSLASHm] = ACTIONS(2617),
    [anon_sym_BSLASHpo] = ACTIONS(2617),
    [anon_sym_BSLASHpr] = ACTIONS(2617),
    [anon_sym_BSLASHcls] = ACTIONS(2617),
    [anon_sym_BSLASHpmo] = ACTIONS(2617),
    [anon_sym_BSLASHpm] = ACTIONS(2617),
    [anon_sym_BSLASHpmc] = ACTIONS(2617),
    [anon_sym_BSLASHpmr] = ACTIONS(2617),
    [anon_sym_BSLASHpi] = ACTIONS(2617),
    [anon_sym_BSLASHmi] = ACTIONS(2617),
    [anon_sym_BSLASHnb] = ACTIONS(2617),
    [anon_sym_BSLASHpc] = ACTIONS(2617),
    [anon_sym_BSLASHph] = ACTIONS(2617),
    [anon_sym_BSLASHb] = ACTIONS(2617),
    [anon_sym_BSLASHq] = ACTIONS(2617),
    [anon_sym_BSLASHqr] = ACTIONS(2617),
    [anon_sym_BSLASHqc] = ACTIONS(2617),
    [anon_sym_BSLASHqa] = ACTIONS(2617),
    [anon_sym_BSLASHqm] = ACTIONS(2617),
    [anon_sym_BSLASHqd] = ACTIONS(2617),
    [anon_sym_BSLASHlh] = ACTIONS(2617),
    [anon_sym_BSLASHli] = ACTIONS(2617),
    [anon_sym_BSLASHlim] = ACTIONS(2617),
    [anon_sym_BSLASHtr] = ACTIONS(2617),
    [sym_thTag] = ACTIONS(2617),
    [sym_thrTag] = ACTIONS(2617),
    [sym_tcTag] = ACTIONS(2617),
    [sym_tcrTag] = ACTIONS(2617),
    [anon_sym_BSLASHf] = ACTIONS(2617),
    [anon_sym_BSLASHfe] = ACTIONS(2617),
    [anon_sym_BSLASHef] = ACTIONS(2617),
    [anon_sym_BSLASHfm] = ACTIONS(2617),
    [anon_sym_BSLASHadd] = ACTIONS(2617),
    [anon_sym_BSLASHbk] = ACTIONS(2617),
    [anon_sym_BSLASHdc] = ACTIONS(2617),
    [anon_sym_BSLASHk] = ACTIONS(2617),
    [anon_sym_BSLASHnd] = ACTIONS(2617),
    [anon_sym_BSLASHord] = ACTIONS(2617),
    [anon_sym_BSLASHpn] = ACTIONS(2617),
    [anon_sym_BSLASHpng] = ACTIONS(2617),
    [anon_sym_BSLASHaddpn] = ACTIONS(2617),
    [anon_sym_BSLASHqt] = ACTIONS(2617),
    [anon_sym_BSLASHsig] = ACTIONS(2617),
    [anon_sym_BSLASHsls] = ACTIONS(2617),
    [anon_sym_BSLASHtl] = ACTIONS(2617),
    [anon_sym_BSLASHwj] = ACTIONS(2617),
    [anon_sym_BSLASHem] = ACTIONS(2617),
    [anon_sym_BSLASHbd] = ACTIONS(2617),
    [anon_sym_BSLASHit] = ACTIONS(2617),
    [anon_sym_BSLASHbdit] = ACTIONS(2617),
    [anon_sym_BSLASHno] = ACTIONS(2617),
    [anon_sym_BSLASHsc] = ACTIONS(2617),
    [anon_sym_BSLASHsup] = ACTIONS(2617),
    [anon_sym_BSLASHndx] = ACTIONS(2617),
    [anon_sym_BSLASHpro] = ACTIONS(2617),
    [anon_sym_BSLASHrb] = ACTIONS(2617),
    [anon_sym_BSLASHw] = ACTIONS(2617),
    [anon_sym_BSLASHwg] = ACTIONS(2617),
    [anon_sym_BSLASHwh] = ACTIONS(2617),
    [anon_sym_BSLASHwa] = ACTIONS(2617),
    [anon_sym_BSLASHfig] = ACTIONS(2617),
    [anon_sym_BSLASHjmp] = ACTIONS(2617),
    [anon_sym_BSLASHpb] = ACTIONS(2617),
    [anon_sym_BSLASH] = ACTIONS(2617),
    [sym_milestoneStartTag] = ACTIONS(2617),
    [sym_milestoneEndTag] = ACTIONS(2617),
    [sym_zSpaceTag] = ACTIONS(2617),
    [anon_sym_BSLASHesbe] = ACTIONS(2617),
    [anon_sym_BSLASHcat] = ACTIONS(2617),
  },
  [763] = {
    [aux_sym_text_token1] = ACTIONS(2647),
    [anon_sym_BSLASHsts] = ACTIONS(2649),
    [anon_sym_BSLASHrem] = ACTIONS(2649),
    [anon_sym_BSLASHrestore] = ACTIONS(2649),
    [anon_sym_BSLASHlit] = ACTIONS(2649),
    [anon_sym_BSLASHip] = ACTIONS(2649),
    [anon_sym_BSLASHmte] = ACTIONS(2649),
    [anon_sym_BSLASHms] = ACTIONS(2649),
    [anon_sym_BSLASHs] = ACTIONS(2649),
    [anon_sym_BSLASHr] = ACTIONS(2649),
    [anon_sym_BSLASHsp] = ACTIONS(2649),
    [anon_sym_BSLASHd] = ACTIONS(2649),
    [anon_sym_BSLASHsd] = ACTIONS(2649),
    [anon_sym_BSLASHp] = ACTIONS(2649),
    [anon_sym_BSLASHm] = ACTIONS(2649),
    [anon_sym_BSLASHpo] = ACTIONS(2649),
    [anon_sym_BSLASHpr] = ACTIONS(2649),
    [anon_sym_BSLASHcls] = ACTIONS(2649),
    [anon_sym_BSLASHpmo] = ACTIONS(2649),
    [anon_sym_BSLASHpm] = ACTIONS(2649),
    [anon_sym_BSLASHpmc] = ACTIONS(2649),
    [anon_sym_BSLASHpmr] = ACTIONS(2649),
    [anon_sym_BSLASHpi] = ACTIONS(2649),
    [anon_sym_BSLASHmi] = ACTIONS(2649),
    [anon_sym_BSLASHnb] = ACTIONS(2649),
    [anon_sym_BSLASHpc] = ACTIONS(2649),
    [anon_sym_BSLASHph] = ACTIONS(2649),
    [anon_sym_BSLASHb] = ACTIONS(2649),
    [anon_sym_BSLASHq] = ACTIONS(2649),
    [anon_sym_BSLASHqr] = ACTIONS(2649),
    [anon_sym_BSLASHqc] = ACTIONS(2649),
    [anon_sym_BSLASHqa] = ACTIONS(2649),
    [anon_sym_BSLASHqm] = ACTIONS(2649),
    [anon_sym_BSLASHqd] = ACTIONS(2649),
    [anon_sym_BSLASHlh] = ACTIONS(2649),
    [anon_sym_BSLASHli] = ACTIONS(2649),
    [anon_sym_BSLASHlim] = ACTIONS(2649),
    [anon_sym_BSLASHtr] = ACTIONS(2649),
    [sym_thTag] = ACTIONS(2649),
    [sym_thrTag] = ACTIONS(2649),
    [sym_tcTag] = ACTIONS(2649),
    [sym_tcrTag] = ACTIONS(2649),
    [anon_sym_BSLASHf] = ACTIONS(2649),
    [anon_sym_BSLASHfe] = ACTIONS(2649),
    [anon_sym_BSLASHef] = ACTIONS(2649),
    [anon_sym_BSLASHfm] = ACTIONS(2649),
    [anon_sym_BSLASHadd] = ACTIONS(2649),
    [anon_sym_BSLASHbk] = ACTIONS(2649),
    [anon_sym_BSLASHdc] = ACTIONS(2649),
    [anon_sym_BSLASHk] = ACTIONS(2649),
    [anon_sym_BSLASHnd] = ACTIONS(2649),
    [anon_sym_BSLASHord] = ACTIONS(2649),
    [anon_sym_BSLASHpn] = ACTIONS(2649),
    [anon_sym_BSLASHpng] = ACTIONS(2649),
    [anon_sym_BSLASHaddpn] = ACTIONS(2649),
    [anon_sym_BSLASHqt] = ACTIONS(2649),
    [anon_sym_BSLASHsig] = ACTIONS(2649),
    [anon_sym_BSLASHsls] = ACTIONS(2649),
    [anon_sym_BSLASHtl] = ACTIONS(2649),
    [anon_sym_BSLASHwj] = ACTIONS(2649),
    [anon_sym_BSLASHem] = ACTIONS(2649),
    [anon_sym_BSLASHbd] = ACTIONS(2649),
    [anon_sym_BSLASHit] = ACTIONS(2649),
    [anon_sym_BSLASHbdit] = ACTIONS(2649),
    [anon_sym_BSLASHno] = ACTIONS(2649),
    [anon_sym_BSLASHsc] = ACTIONS(2649),
    [anon_sym_BSLASHsup] = ACTIONS(2649),
    [anon_sym_BSLASHndx] = ACTIONS(2649),
    [anon_sym_BSLASHpro] = ACTIONS(2649),
    [anon_sym_BSLASHrb] = ACTIONS(2649),
    [anon_sym_BSLASHw] = ACTIONS(2649),
    [anon_sym_BSLASHwg] = ACTIONS(2649),
    [anon_sym_BSLASHwh] = ACTIONS(2649),
    [anon_sym_BSLASHwa] = ACTIONS(2649),
    [anon_sym_BSLASHfig] = ACTIONS(2649),
    [anon_sym_BSLASHjmp] = ACTIONS(2649),
    [anon_sym_BSLASHpb] = ACTIONS(2649),
    [anon_sym_BSLASH] = ACTIONS(2649),
    [sym_milestoneStartTag] = ACTIONS(2649),
    [sym_milestoneEndTag] = ACTIONS(2649),
    [sym_zSpaceTag] = ACTIONS(2649),
    [anon_sym_BSLASHesbe] = ACTIONS(2649),
    [anon_sym_BSLASHcat] = ACTIONS(2649),
  },
  [764] = {
    [aux_sym_text_token1] = ACTIONS(17),
    [anon_sym_BSLASHsts] = ACTIONS(19),
    [anon_sym_BSLASHrem] = ACTIONS(19),
    [anon_sym_BSLASHrestore] = ACTIONS(19),
    [anon_sym_BSLASHlit] = ACTIONS(19),
    [anon_sym_BSLASHip] = ACTIONS(19),
    [anon_sym_BSLASHmte] = ACTIONS(19),
    [anon_sym_BSLASHms] = ACTIONS(19),
    [anon_sym_BSLASHs] = ACTIONS(19),
    [anon_sym_BSLASHr] = ACTIONS(19),
    [anon_sym_BSLASHsp] = ACTIONS(19),
    [anon_sym_BSLASHd] = ACTIONS(19),
    [anon_sym_BSLASHsd] = ACTIONS(19),
    [anon_sym_BSLASHp] = ACTIONS(19),
    [anon_sym_BSLASHm] = ACTIONS(19),
    [anon_sym_BSLASHpo] = ACTIONS(19),
    [anon_sym_BSLASHpr] = ACTIONS(19),
    [anon_sym_BSLASHcls] = ACTIONS(19),
    [anon_sym_BSLASHpmo] = ACTIONS(19),
    [anon_sym_BSLASHpm] = ACTIONS(19),
    [anon_sym_BSLASHpmc] = ACTIONS(19),
    [anon_sym_BSLASHpmr] = ACTIONS(19),
    [anon_sym_BSLASHpi] = ACTIONS(19),
    [anon_sym_BSLASHmi] = ACTIONS(19),
    [anon_sym_BSLASHnb] = ACTIONS(19),
    [anon_sym_BSLASHpc] = ACTIONS(19),
    [anon_sym_BSLASHph] = ACTIONS(19),
    [anon_sym_BSLASHb] = ACTIONS(19),
    [anon_sym_BSLASHq] = ACTIONS(19),
    [anon_sym_BSLASHqr] = ACTIONS(19),
    [anon_sym_BSLASHqc] = ACTIONS(19),
    [anon_sym_BSLASHqa] = ACTIONS(19),
    [anon_sym_BSLASHqm] = ACTIONS(19),
    [anon_sym_BSLASHqd] = ACTIONS(19),
    [anon_sym_BSLASHlh] = ACTIONS(19),
    [anon_sym_BSLASHli] = ACTIONS(19),
    [anon_sym_BSLASHlim] = ACTIONS(19),
    [anon_sym_BSLASHtr] = ACTIONS(19),
    [sym_thTag] = ACTIONS(19),
    [sym_thrTag] = ACTIONS(19),
    [sym_tcTag] = ACTIONS(19),
    [sym_tcrTag] = ACTIONS(19),
    [anon_sym_BSLASHf] = ACTIONS(19),
    [anon_sym_BSLASHfe] = ACTIONS(19),
    [anon_sym_BSLASHef] = ACTIONS(19),
    [anon_sym_BSLASHfm] = ACTIONS(19),
    [anon_sym_BSLASHadd] = ACTIONS(19),
    [anon_sym_BSLASHbk] = ACTIONS(19),
    [anon_sym_BSLASHdc] = ACTIONS(19),
    [anon_sym_BSLASHk] = ACTIONS(19),
    [anon_sym_BSLASHnd] = ACTIONS(19),
    [anon_sym_BSLASHord] = ACTIONS(19),
    [anon_sym_BSLASHpn] = ACTIONS(19),
    [anon_sym_BSLASHpng] = ACTIONS(19),
    [anon_sym_BSLASHaddpn] = ACTIONS(19),
    [anon_sym_BSLASHqt] = ACTIONS(19),
    [anon_sym_BSLASHsig] = ACTIONS(19),
    [anon_sym_BSLASHsls] = ACTIONS(19),
    [anon_sym_BSLASHtl] = ACTIONS(19),
    [anon_sym_BSLASHwj] = ACTIONS(19),
    [anon_sym_BSLASHem] = ACTIONS(19),
    [anon_sym_BSLASHbd] = ACTIONS(19),
    [anon_sym_BSLASHit] = ACTIONS(19),
    [anon_sym_BSLASHbdit] = ACTIONS(19),
    [anon_sym_BSLASHno] = ACTIONS(19),
    [anon_sym_BSLASHsc] = ACTIONS(19),
    [anon_sym_BSLASHsup] = ACTIONS(19),
    [anon_sym_BSLASHndx] = ACTIONS(19),
    [anon_sym_BSLASHpro] = ACTIONS(19),
    [anon_sym_BSLASHrb] = ACTIONS(19),
    [anon_sym_BSLASHw] = ACTIONS(19),
    [anon_sym_BSLASHwg] = ACTIONS(19),
    [anon_sym_BSLASHwh] = ACTIONS(19),
    [anon_sym_BSLASHwa] = ACTIONS(19),
    [anon_sym_BSLASHfig] = ACTIONS(19),
    [anon_sym_BSLASHjmp] = ACTIONS(19),
    [anon_sym_BSLASHpb] = ACTIONS(19),
    [anon_sym_BSLASH] = ACTIONS(19),
    [sym_milestoneStartTag] = ACTIONS(19),
    [sym_milestoneEndTag] = ACTIONS(19),
    [sym_zSpaceTag] = ACTIONS(19),
    [anon_sym_BSLASHesbe] = ACTIONS(19),
    [anon_sym_BSLASHcat] = ACTIONS(19),
  },
  [765] = {
    [sym_text] = STATE(765),
    [sym_footnote] = STATE(765),
    [sym_f] = STATE(1604),
    [sym_fe] = STATE(1604),
    [sym_ef] = STATE(1604),
    [sym_fm] = STATE(1604),
    [sym_crossref] = STATE(765),
    [sym_x] = STATE(1552),
    [sym_xt_standalone] = STATE(1552),
    [sym_rq] = STATE(1552),
    [sym_addNested] = STATE(765),
    [sym_bkNested] = STATE(765),
    [sym_dcNested] = STATE(765),
    [sym_kNested] = STATE(765),
    [sym_ndNested] = STATE(765),
    [sym_ordNested] = STATE(765),
    [sym_pnNested] = STATE(765),
    [sym_pngNested] = STATE(765),
    [sym_addpnNested] = STATE(765),
    [sym_qtNested] = STATE(765),
    [sym_sigNested] = STATE(765),
    [sym_slsNested] = STATE(765),
    [sym_tlNested] = STATE(765),
    [sym_wjNested] = STATE(765),
    [sym_emNested] = STATE(765),
    [sym_bdNested] = STATE(765),
    [sym_itNested] = STATE(765),
    [sym_bditNested] = STATE(765),
    [sym_noNested] = STATE(765),
    [sym_scNested] = STATE(765),
    [sym_supNested] = STATE(765),
    [sym_ndxNested] = STATE(765),
    [sym_proNested] = STATE(765),
    [sym_rbNested] = STATE(765),
    [sym_wNested] = STATE(765),
    [sym_wgNested] = STATE(765),
    [sym_whNested] = STATE(765),
    [sym_waNested] = STATE(765),
    [sym__nestedCharacterMarker] = STATE(765),
    [sym_fig] = STATE(765),
    [sym_jmpNested] = STATE(765),
    [aux_sym__innerText_repeat1] = STATE(765),
    [aux_sym_text_token1] = ACTIONS(5898),
    [anon_sym_BSLASHf] = ACTIONS(5901),
    [anon_sym_BSLASHfe] = ACTIONS(5904),
    [anon_sym_BSLASHef] = ACTIONS(5907),
    [anon_sym_BSLASHfm] = ACTIONS(5910),
    [anon_sym_BSLASHx] = ACTIONS(5913),
    [anon_sym_BSLASHxt] = ACTIONS(5916),
    [anon_sym_BSLASHrq] = ACTIONS(5919),
    [anon_sym_BSLASHk_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5922),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5925),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5928),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5931),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5934),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5937),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5940),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5943),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5946),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5949),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5952),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5955),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5958),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5961),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5964),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5967),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5970),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5973),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5976),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5979),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5982),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5985),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5988),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5991),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5994),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5997),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6000),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6003),
    [anon_sym_BSLASHfig] = ACTIONS(6006),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6009),
    [anon_sym_PIPE] = ACTIONS(3146),
    [anon_sym_key] = ACTIONS(3146),
  },
  [766] = {
    [aux_sym_text_token1] = ACTIONS(2643),
    [anon_sym_BSLASHsts] = ACTIONS(2645),
    [anon_sym_BSLASHrem] = ACTIONS(2645),
    [anon_sym_BSLASHrestore] = ACTIONS(2645),
    [anon_sym_BSLASHlit] = ACTIONS(2645),
    [anon_sym_BSLASHip] = ACTIONS(2645),
    [anon_sym_BSLASHmte] = ACTIONS(2645),
    [anon_sym_BSLASHms] = ACTIONS(2645),
    [anon_sym_BSLASHs] = ACTIONS(2645),
    [anon_sym_BSLASHr] = ACTIONS(2645),
    [anon_sym_BSLASHsp] = ACTIONS(2645),
    [anon_sym_BSLASHd] = ACTIONS(2645),
    [anon_sym_BSLASHsd] = ACTIONS(2645),
    [anon_sym_BSLASHp] = ACTIONS(2645),
    [anon_sym_BSLASHm] = ACTIONS(2645),
    [anon_sym_BSLASHpo] = ACTIONS(2645),
    [anon_sym_BSLASHpr] = ACTIONS(2645),
    [anon_sym_BSLASHcls] = ACTIONS(2645),
    [anon_sym_BSLASHpmo] = ACTIONS(2645),
    [anon_sym_BSLASHpm] = ACTIONS(2645),
    [anon_sym_BSLASHpmc] = ACTIONS(2645),
    [anon_sym_BSLASHpmr] = ACTIONS(2645),
    [anon_sym_BSLASHpi] = ACTIONS(2645),
    [anon_sym_BSLASHmi] = ACTIONS(2645),
    [anon_sym_BSLASHnb] = ACTIONS(2645),
    [anon_sym_BSLASHpc] = ACTIONS(2645),
    [anon_sym_BSLASHph] = ACTIONS(2645),
    [anon_sym_BSLASHb] = ACTIONS(2645),
    [anon_sym_BSLASHq] = ACTIONS(2645),
    [anon_sym_BSLASHqr] = ACTIONS(2645),
    [anon_sym_BSLASHqc] = ACTIONS(2645),
    [anon_sym_BSLASHqa] = ACTIONS(2645),
    [anon_sym_BSLASHqm] = ACTIONS(2645),
    [anon_sym_BSLASHqd] = ACTIONS(2645),
    [anon_sym_BSLASHlh] = ACTIONS(2645),
    [anon_sym_BSLASHli] = ACTIONS(2645),
    [anon_sym_BSLASHlim] = ACTIONS(2645),
    [anon_sym_BSLASHtr] = ACTIONS(2645),
    [sym_thTag] = ACTIONS(2645),
    [sym_thrTag] = ACTIONS(2645),
    [sym_tcTag] = ACTIONS(2645),
    [sym_tcrTag] = ACTIONS(2645),
    [anon_sym_BSLASHf] = ACTIONS(2645),
    [anon_sym_BSLASHfe] = ACTIONS(2645),
    [anon_sym_BSLASHef] = ACTIONS(2645),
    [anon_sym_BSLASHfm] = ACTIONS(2645),
    [anon_sym_BSLASHadd] = ACTIONS(2645),
    [anon_sym_BSLASHbk] = ACTIONS(2645),
    [anon_sym_BSLASHdc] = ACTIONS(2645),
    [anon_sym_BSLASHk] = ACTIONS(2645),
    [anon_sym_BSLASHnd] = ACTIONS(2645),
    [anon_sym_BSLASHord] = ACTIONS(2645),
    [anon_sym_BSLASHpn] = ACTIONS(2645),
    [anon_sym_BSLASHpng] = ACTIONS(2645),
    [anon_sym_BSLASHaddpn] = ACTIONS(2645),
    [anon_sym_BSLASHqt] = ACTIONS(2645),
    [anon_sym_BSLASHsig] = ACTIONS(2645),
    [anon_sym_BSLASHsls] = ACTIONS(2645),
    [anon_sym_BSLASHtl] = ACTIONS(2645),
    [anon_sym_BSLASHwj] = ACTIONS(2645),
    [anon_sym_BSLASHem] = ACTIONS(2645),
    [anon_sym_BSLASHbd] = ACTIONS(2645),
    [anon_sym_BSLASHit] = ACTIONS(2645),
    [anon_sym_BSLASHbdit] = ACTIONS(2645),
    [anon_sym_BSLASHno] = ACTIONS(2645),
    [anon_sym_BSLASHsc] = ACTIONS(2645),
    [anon_sym_BSLASHsup] = ACTIONS(2645),
    [anon_sym_BSLASHndx] = ACTIONS(2645),
    [anon_sym_BSLASHpro] = ACTIONS(2645),
    [anon_sym_BSLASHrb] = ACTIONS(2645),
    [anon_sym_BSLASHw] = ACTIONS(2645),
    [anon_sym_BSLASHwg] = ACTIONS(2645),
    [anon_sym_BSLASHwh] = ACTIONS(2645),
    [anon_sym_BSLASHwa] = ACTIONS(2645),
    [anon_sym_BSLASHfig] = ACTIONS(2645),
    [anon_sym_BSLASHjmp] = ACTIONS(2645),
    [anon_sym_BSLASHpb] = ACTIONS(2645),
    [anon_sym_BSLASH] = ACTIONS(2645),
    [sym_milestoneStartTag] = ACTIONS(2645),
    [sym_milestoneEndTag] = ACTIONS(2645),
    [sym_zSpaceTag] = ACTIONS(2645),
    [anon_sym_BSLASHesbe] = ACTIONS(2645),
    [anon_sym_BSLASHcat] = ACTIONS(2645),
  },
  [767] = {
    [aux_sym_text_token1] = ACTIONS(2639),
    [anon_sym_BSLASHsts] = ACTIONS(2641),
    [anon_sym_BSLASHrem] = ACTIONS(2641),
    [anon_sym_BSLASHrestore] = ACTIONS(2641),
    [anon_sym_BSLASHlit] = ACTIONS(2641),
    [anon_sym_BSLASHip] = ACTIONS(2641),
    [anon_sym_BSLASHmte] = ACTIONS(2641),
    [anon_sym_BSLASHms] = ACTIONS(2641),
    [anon_sym_BSLASHs] = ACTIONS(2641),
    [anon_sym_BSLASHr] = ACTIONS(2641),
    [anon_sym_BSLASHsp] = ACTIONS(2641),
    [anon_sym_BSLASHd] = ACTIONS(2641),
    [anon_sym_BSLASHsd] = ACTIONS(2641),
    [anon_sym_BSLASHp] = ACTIONS(2641),
    [anon_sym_BSLASHm] = ACTIONS(2641),
    [anon_sym_BSLASHpo] = ACTIONS(2641),
    [anon_sym_BSLASHpr] = ACTIONS(2641),
    [anon_sym_BSLASHcls] = ACTIONS(2641),
    [anon_sym_BSLASHpmo] = ACTIONS(2641),
    [anon_sym_BSLASHpm] = ACTIONS(2641),
    [anon_sym_BSLASHpmc] = ACTIONS(2641),
    [anon_sym_BSLASHpmr] = ACTIONS(2641),
    [anon_sym_BSLASHpi] = ACTIONS(2641),
    [anon_sym_BSLASHmi] = ACTIONS(2641),
    [anon_sym_BSLASHnb] = ACTIONS(2641),
    [anon_sym_BSLASHpc] = ACTIONS(2641),
    [anon_sym_BSLASHph] = ACTIONS(2641),
    [anon_sym_BSLASHb] = ACTIONS(2641),
    [anon_sym_BSLASHq] = ACTIONS(2641),
    [anon_sym_BSLASHqr] = ACTIONS(2641),
    [anon_sym_BSLASHqc] = ACTIONS(2641),
    [anon_sym_BSLASHqa] = ACTIONS(2641),
    [anon_sym_BSLASHqm] = ACTIONS(2641),
    [anon_sym_BSLASHqd] = ACTIONS(2641),
    [anon_sym_BSLASHlh] = ACTIONS(2641),
    [anon_sym_BSLASHli] = ACTIONS(2641),
    [anon_sym_BSLASHlim] = ACTIONS(2641),
    [anon_sym_BSLASHtr] = ACTIONS(2641),
    [sym_thTag] = ACTIONS(2641),
    [sym_thrTag] = ACTIONS(2641),
    [sym_tcTag] = ACTIONS(2641),
    [sym_tcrTag] = ACTIONS(2641),
    [anon_sym_BSLASHf] = ACTIONS(2641),
    [anon_sym_BSLASHfe] = ACTIONS(2641),
    [anon_sym_BSLASHef] = ACTIONS(2641),
    [anon_sym_BSLASHfm] = ACTIONS(2641),
    [anon_sym_BSLASHadd] = ACTIONS(2641),
    [anon_sym_BSLASHbk] = ACTIONS(2641),
    [anon_sym_BSLASHdc] = ACTIONS(2641),
    [anon_sym_BSLASHk] = ACTIONS(2641),
    [anon_sym_BSLASHnd] = ACTIONS(2641),
    [anon_sym_BSLASHord] = ACTIONS(2641),
    [anon_sym_BSLASHpn] = ACTIONS(2641),
    [anon_sym_BSLASHpng] = ACTIONS(2641),
    [anon_sym_BSLASHaddpn] = ACTIONS(2641),
    [anon_sym_BSLASHqt] = ACTIONS(2641),
    [anon_sym_BSLASHsig] = ACTIONS(2641),
    [anon_sym_BSLASHsls] = ACTIONS(2641),
    [anon_sym_BSLASHtl] = ACTIONS(2641),
    [anon_sym_BSLASHwj] = ACTIONS(2641),
    [anon_sym_BSLASHem] = ACTIONS(2641),
    [anon_sym_BSLASHbd] = ACTIONS(2641),
    [anon_sym_BSLASHit] = ACTIONS(2641),
    [anon_sym_BSLASHbdit] = ACTIONS(2641),
    [anon_sym_BSLASHno] = ACTIONS(2641),
    [anon_sym_BSLASHsc] = ACTIONS(2641),
    [anon_sym_BSLASHsup] = ACTIONS(2641),
    [anon_sym_BSLASHndx] = ACTIONS(2641),
    [anon_sym_BSLASHpro] = ACTIONS(2641),
    [anon_sym_BSLASHrb] = ACTIONS(2641),
    [anon_sym_BSLASHw] = ACTIONS(2641),
    [anon_sym_BSLASHwg] = ACTIONS(2641),
    [anon_sym_BSLASHwh] = ACTIONS(2641),
    [anon_sym_BSLASHwa] = ACTIONS(2641),
    [anon_sym_BSLASHfig] = ACTIONS(2641),
    [anon_sym_BSLASHjmp] = ACTIONS(2641),
    [anon_sym_BSLASHpb] = ACTIONS(2641),
    [anon_sym_BSLASH] = ACTIONS(2641),
    [sym_milestoneStartTag] = ACTIONS(2641),
    [sym_milestoneEndTag] = ACTIONS(2641),
    [sym_zSpaceTag] = ACTIONS(2641),
    [anon_sym_BSLASHesbe] = ACTIONS(2641),
    [anon_sym_BSLASHcat] = ACTIONS(2641),
  },
  [768] = {
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHmte] = ACTIONS(2685),
    [anon_sym_BSLASHms] = ACTIONS(2685),
    [anon_sym_BSLASHs] = ACTIONS(2685),
    [anon_sym_BSLASHr] = ACTIONS(2685),
    [anon_sym_BSLASHsp] = ACTIONS(2685),
    [anon_sym_BSLASHd] = ACTIONS(2685),
    [anon_sym_BSLASHsd] = ACTIONS(2685),
    [anon_sym_BSLASHp] = ACTIONS(2685),
    [anon_sym_BSLASHm] = ACTIONS(2685),
    [anon_sym_BSLASHpo] = ACTIONS(2685),
    [anon_sym_BSLASHpr] = ACTIONS(2685),
    [anon_sym_BSLASHcls] = ACTIONS(2685),
    [anon_sym_BSLASHpmo] = ACTIONS(2685),
    [anon_sym_BSLASHpm] = ACTIONS(2685),
    [anon_sym_BSLASHpmc] = ACTIONS(2685),
    [anon_sym_BSLASHpmr] = ACTIONS(2685),
    [anon_sym_BSLASHpi] = ACTIONS(2685),
    [anon_sym_BSLASHmi] = ACTIONS(2685),
    [anon_sym_BSLASHnb] = ACTIONS(2685),
    [anon_sym_BSLASHpc] = ACTIONS(2685),
    [anon_sym_BSLASHph] = ACTIONS(2685),
    [anon_sym_BSLASHb] = ACTIONS(2685),
    [anon_sym_BSLASHq] = ACTIONS(2685),
    [anon_sym_BSLASHqr] = ACTIONS(2685),
    [anon_sym_BSLASHqc] = ACTIONS(2685),
    [anon_sym_BSLASHqa] = ACTIONS(2685),
    [anon_sym_BSLASHqm] = ACTIONS(2685),
    [anon_sym_BSLASHqd] = ACTIONS(2685),
    [anon_sym_BSLASHlh] = ACTIONS(2685),
    [anon_sym_BSLASHli] = ACTIONS(2685),
    [anon_sym_BSLASHlim] = ACTIONS(2685),
    [anon_sym_BSLASHtr] = ACTIONS(2685),
    [sym_thTag] = ACTIONS(2685),
    [sym_thrTag] = ACTIONS(2685),
    [sym_tcTag] = ACTIONS(2685),
    [sym_tcrTag] = ACTIONS(2685),
    [anon_sym_BSLASHf] = ACTIONS(2685),
    [anon_sym_BSLASHfe] = ACTIONS(2685),
    [anon_sym_BSLASHef] = ACTIONS(2685),
    [anon_sym_BSLASHfm] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASHfig] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASHpb] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesbe] = ACTIONS(2685),
    [anon_sym_BSLASHcat] = ACTIONS(2685),
  },
  [769] = {
    [aux_sym_text_token1] = ACTIONS(2623),
    [anon_sym_BSLASHsts] = ACTIONS(2625),
    [anon_sym_BSLASHrem] = ACTIONS(2625),
    [anon_sym_BSLASHrestore] = ACTIONS(2625),
    [anon_sym_BSLASHlit] = ACTIONS(2625),
    [anon_sym_BSLASHip] = ACTIONS(2625),
    [anon_sym_BSLASHmte] = ACTIONS(2625),
    [anon_sym_BSLASHms] = ACTIONS(2625),
    [anon_sym_BSLASHs] = ACTIONS(2625),
    [anon_sym_BSLASHr] = ACTIONS(2625),
    [anon_sym_BSLASHsp] = ACTIONS(2625),
    [anon_sym_BSLASHd] = ACTIONS(2625),
    [anon_sym_BSLASHsd] = ACTIONS(2625),
    [anon_sym_BSLASHp] = ACTIONS(2625),
    [anon_sym_BSLASHm] = ACTIONS(2625),
    [anon_sym_BSLASHpo] = ACTIONS(2625),
    [anon_sym_BSLASHpr] = ACTIONS(2625),
    [anon_sym_BSLASHcls] = ACTIONS(2625),
    [anon_sym_BSLASHpmo] = ACTIONS(2625),
    [anon_sym_BSLASHpm] = ACTIONS(2625),
    [anon_sym_BSLASHpmc] = ACTIONS(2625),
    [anon_sym_BSLASHpmr] = ACTIONS(2625),
    [anon_sym_BSLASHpi] = ACTIONS(2625),
    [anon_sym_BSLASHmi] = ACTIONS(2625),
    [anon_sym_BSLASHnb] = ACTIONS(2625),
    [anon_sym_BSLASHpc] = ACTIONS(2625),
    [anon_sym_BSLASHph] = ACTIONS(2625),
    [anon_sym_BSLASHb] = ACTIONS(2625),
    [anon_sym_BSLASHq] = ACTIONS(2625),
    [anon_sym_BSLASHqr] = ACTIONS(2625),
    [anon_sym_BSLASHqc] = ACTIONS(2625),
    [anon_sym_BSLASHqa] = ACTIONS(2625),
    [anon_sym_BSLASHqm] = ACTIONS(2625),
    [anon_sym_BSLASHqd] = ACTIONS(2625),
    [anon_sym_BSLASHlh] = ACTIONS(2625),
    [anon_sym_BSLASHli] = ACTIONS(2625),
    [anon_sym_BSLASHlim] = ACTIONS(2625),
    [anon_sym_BSLASHtr] = ACTIONS(2625),
    [sym_thTag] = ACTIONS(2625),
    [sym_thrTag] = ACTIONS(2625),
    [sym_tcTag] = ACTIONS(2625),
    [sym_tcrTag] = ACTIONS(2625),
    [anon_sym_BSLASHf] = ACTIONS(2625),
    [anon_sym_BSLASHfe] = ACTIONS(2625),
    [anon_sym_BSLASHef] = ACTIONS(2625),
    [anon_sym_BSLASHfm] = ACTIONS(2625),
    [anon_sym_BSLASHadd] = ACTIONS(2625),
    [anon_sym_BSLASHbk] = ACTIONS(2625),
    [anon_sym_BSLASHdc] = ACTIONS(2625),
    [anon_sym_BSLASHk] = ACTIONS(2625),
    [anon_sym_BSLASHnd] = ACTIONS(2625),
    [anon_sym_BSLASHord] = ACTIONS(2625),
    [anon_sym_BSLASHpn] = ACTIONS(2625),
    [anon_sym_BSLASHpng] = ACTIONS(2625),
    [anon_sym_BSLASHaddpn] = ACTIONS(2625),
    [anon_sym_BSLASHqt] = ACTIONS(2625),
    [anon_sym_BSLASHsig] = ACTIONS(2625),
    [anon_sym_BSLASHsls] = ACTIONS(2625),
    [anon_sym_BSLASHtl] = ACTIONS(2625),
    [anon_sym_BSLASHwj] = ACTIONS(2625),
    [anon_sym_BSLASHem] = ACTIONS(2625),
    [anon_sym_BSLASHbd] = ACTIONS(2625),
    [anon_sym_BSLASHit] = ACTIONS(2625),
    [anon_sym_BSLASHbdit] = ACTIONS(2625),
    [anon_sym_BSLASHno] = ACTIONS(2625),
    [anon_sym_BSLASHsc] = ACTIONS(2625),
    [anon_sym_BSLASHsup] = ACTIONS(2625),
    [anon_sym_BSLASHndx] = ACTIONS(2625),
    [anon_sym_BSLASHpro] = ACTIONS(2625),
    [anon_sym_BSLASHrb] = ACTIONS(2625),
    [anon_sym_BSLASHw] = ACTIONS(2625),
    [anon_sym_BSLASHwg] = ACTIONS(2625),
    [anon_sym_BSLASHwh] = ACTIONS(2625),
    [anon_sym_BSLASHwa] = ACTIONS(2625),
    [anon_sym_BSLASHfig] = ACTIONS(2625),
    [anon_sym_BSLASHjmp] = ACTIONS(2625),
    [anon_sym_BSLASHpb] = ACTIONS(2625),
    [anon_sym_BSLASH] = ACTIONS(2625),
    [sym_milestoneStartTag] = ACTIONS(2625),
    [sym_milestoneEndTag] = ACTIONS(2625),
    [sym_zSpaceTag] = ACTIONS(2625),
    [anon_sym_BSLASHesbe] = ACTIONS(2625),
    [anon_sym_BSLASHcat] = ACTIONS(2625),
  },
  [770] = {
    [aux_sym_text_token1] = ACTIONS(2627),
    [anon_sym_BSLASHsts] = ACTIONS(2629),
    [anon_sym_BSLASHrem] = ACTIONS(2629),
    [anon_sym_BSLASHrestore] = ACTIONS(2629),
    [anon_sym_BSLASHlit] = ACTIONS(2629),
    [anon_sym_BSLASHip] = ACTIONS(2629),
    [anon_sym_BSLASHmte] = ACTIONS(2629),
    [anon_sym_BSLASHms] = ACTIONS(2629),
    [anon_sym_BSLASHs] = ACTIONS(2629),
    [anon_sym_BSLASHr] = ACTIONS(2629),
    [anon_sym_BSLASHsp] = ACTIONS(2629),
    [anon_sym_BSLASHd] = ACTIONS(2629),
    [anon_sym_BSLASHsd] = ACTIONS(2629),
    [anon_sym_BSLASHp] = ACTIONS(2629),
    [anon_sym_BSLASHm] = ACTIONS(2629),
    [anon_sym_BSLASHpo] = ACTIONS(2629),
    [anon_sym_BSLASHpr] = ACTIONS(2629),
    [anon_sym_BSLASHcls] = ACTIONS(2629),
    [anon_sym_BSLASHpmo] = ACTIONS(2629),
    [anon_sym_BSLASHpm] = ACTIONS(2629),
    [anon_sym_BSLASHpmc] = ACTIONS(2629),
    [anon_sym_BSLASHpmr] = ACTIONS(2629),
    [anon_sym_BSLASHpi] = ACTIONS(2629),
    [anon_sym_BSLASHmi] = ACTIONS(2629),
    [anon_sym_BSLASHnb] = ACTIONS(2629),
    [anon_sym_BSLASHpc] = ACTIONS(2629),
    [anon_sym_BSLASHph] = ACTIONS(2629),
    [anon_sym_BSLASHb] = ACTIONS(2629),
    [anon_sym_BSLASHq] = ACTIONS(2629),
    [anon_sym_BSLASHqr] = ACTIONS(2629),
    [anon_sym_BSLASHqc] = ACTIONS(2629),
    [anon_sym_BSLASHqa] = ACTIONS(2629),
    [anon_sym_BSLASHqm] = ACTIONS(2629),
    [anon_sym_BSLASHqd] = ACTIONS(2629),
    [anon_sym_BSLASHlh] = ACTIONS(2629),
    [anon_sym_BSLASHli] = ACTIONS(2629),
    [anon_sym_BSLASHlim] = ACTIONS(2629),
    [anon_sym_BSLASHtr] = ACTIONS(2629),
    [sym_thTag] = ACTIONS(2629),
    [sym_thrTag] = ACTIONS(2629),
    [sym_tcTag] = ACTIONS(2629),
    [sym_tcrTag] = ACTIONS(2629),
    [anon_sym_BSLASHf] = ACTIONS(2629),
    [anon_sym_BSLASHfe] = ACTIONS(2629),
    [anon_sym_BSLASHef] = ACTIONS(2629),
    [anon_sym_BSLASHfm] = ACTIONS(2629),
    [anon_sym_BSLASHadd] = ACTIONS(2629),
    [anon_sym_BSLASHbk] = ACTIONS(2629),
    [anon_sym_BSLASHdc] = ACTIONS(2629),
    [anon_sym_BSLASHk] = ACTIONS(2629),
    [anon_sym_BSLASHnd] = ACTIONS(2629),
    [anon_sym_BSLASHord] = ACTIONS(2629),
    [anon_sym_BSLASHpn] = ACTIONS(2629),
    [anon_sym_BSLASHpng] = ACTIONS(2629),
    [anon_sym_BSLASHaddpn] = ACTIONS(2629),
    [anon_sym_BSLASHqt] = ACTIONS(2629),
    [anon_sym_BSLASHsig] = ACTIONS(2629),
    [anon_sym_BSLASHsls] = ACTIONS(2629),
    [anon_sym_BSLASHtl] = ACTIONS(2629),
    [anon_sym_BSLASHwj] = ACTIONS(2629),
    [anon_sym_BSLASHem] = ACTIONS(2629),
    [anon_sym_BSLASHbd] = ACTIONS(2629),
    [anon_sym_BSLASHit] = ACTIONS(2629),
    [anon_sym_BSLASHbdit] = ACTIONS(2629),
    [anon_sym_BSLASHno] = ACTIONS(2629),
    [anon_sym_BSLASHsc] = ACTIONS(2629),
    [anon_sym_BSLASHsup] = ACTIONS(2629),
    [anon_sym_BSLASHndx] = ACTIONS(2629),
    [anon_sym_BSLASHpro] = ACTIONS(2629),
    [anon_sym_BSLASHrb] = ACTIONS(2629),
    [anon_sym_BSLASHw] = ACTIONS(2629),
    [anon_sym_BSLASHwg] = ACTIONS(2629),
    [anon_sym_BSLASHwh] = ACTIONS(2629),
    [anon_sym_BSLASHwa] = ACTIONS(2629),
    [anon_sym_BSLASHfig] = ACTIONS(2629),
    [anon_sym_BSLASHjmp] = ACTIONS(2629),
    [anon_sym_BSLASHpb] = ACTIONS(2629),
    [anon_sym_BSLASH] = ACTIONS(2629),
    [sym_milestoneStartTag] = ACTIONS(2629),
    [sym_milestoneEndTag] = ACTIONS(2629),
    [sym_zSpaceTag] = ACTIONS(2629),
    [anon_sym_BSLASHesbe] = ACTIONS(2629),
    [anon_sym_BSLASHcat] = ACTIONS(2629),
  },
  [771] = {
    [aux_sym_text_token1] = ACTIONS(2631),
    [anon_sym_BSLASHsts] = ACTIONS(2633),
    [anon_sym_BSLASHrem] = ACTIONS(2633),
    [anon_sym_BSLASHrestore] = ACTIONS(2633),
    [anon_sym_BSLASHlit] = ACTIONS(2633),
    [anon_sym_BSLASHip] = ACTIONS(2633),
    [anon_sym_BSLASHmte] = ACTIONS(2633),
    [anon_sym_BSLASHms] = ACTIONS(2633),
    [anon_sym_BSLASHs] = ACTIONS(2633),
    [anon_sym_BSLASHr] = ACTIONS(2633),
    [anon_sym_BSLASHsp] = ACTIONS(2633),
    [anon_sym_BSLASHd] = ACTIONS(2633),
    [anon_sym_BSLASHsd] = ACTIONS(2633),
    [anon_sym_BSLASHp] = ACTIONS(2633),
    [anon_sym_BSLASHm] = ACTIONS(2633),
    [anon_sym_BSLASHpo] = ACTIONS(2633),
    [anon_sym_BSLASHpr] = ACTIONS(2633),
    [anon_sym_BSLASHcls] = ACTIONS(2633),
    [anon_sym_BSLASHpmo] = ACTIONS(2633),
    [anon_sym_BSLASHpm] = ACTIONS(2633),
    [anon_sym_BSLASHpmc] = ACTIONS(2633),
    [anon_sym_BSLASHpmr] = ACTIONS(2633),
    [anon_sym_BSLASHpi] = ACTIONS(2633),
    [anon_sym_BSLASHmi] = ACTIONS(2633),
    [anon_sym_BSLASHnb] = ACTIONS(2633),
    [anon_sym_BSLASHpc] = ACTIONS(2633),
    [anon_sym_BSLASHph] = ACTIONS(2633),
    [anon_sym_BSLASHb] = ACTIONS(2633),
    [anon_sym_BSLASHq] = ACTIONS(2633),
    [anon_sym_BSLASHqr] = ACTIONS(2633),
    [anon_sym_BSLASHqc] = ACTIONS(2633),
    [anon_sym_BSLASHqa] = ACTIONS(2633),
    [anon_sym_BSLASHqm] = ACTIONS(2633),
    [anon_sym_BSLASHqd] = ACTIONS(2633),
    [anon_sym_BSLASHlh] = ACTIONS(2633),
    [anon_sym_BSLASHli] = ACTIONS(2633),
    [anon_sym_BSLASHlim] = ACTIONS(2633),
    [anon_sym_BSLASHtr] = ACTIONS(2633),
    [sym_thTag] = ACTIONS(2633),
    [sym_thrTag] = ACTIONS(2633),
    [sym_tcTag] = ACTIONS(2633),
    [sym_tcrTag] = ACTIONS(2633),
    [anon_sym_BSLASHf] = ACTIONS(2633),
    [anon_sym_BSLASHfe] = ACTIONS(2633),
    [anon_sym_BSLASHef] = ACTIONS(2633),
    [anon_sym_BSLASHfm] = ACTIONS(2633),
    [anon_sym_BSLASHadd] = ACTIONS(2633),
    [anon_sym_BSLASHbk] = ACTIONS(2633),
    [anon_sym_BSLASHdc] = ACTIONS(2633),
    [anon_sym_BSLASHk] = ACTIONS(2633),
    [anon_sym_BSLASHnd] = ACTIONS(2633),
    [anon_sym_BSLASHord] = ACTIONS(2633),
    [anon_sym_BSLASHpn] = ACTIONS(2633),
    [anon_sym_BSLASHpng] = ACTIONS(2633),
    [anon_sym_BSLASHaddpn] = ACTIONS(2633),
    [anon_sym_BSLASHqt] = ACTIONS(2633),
    [anon_sym_BSLASHsig] = ACTIONS(2633),
    [anon_sym_BSLASHsls] = ACTIONS(2633),
    [anon_sym_BSLASHtl] = ACTIONS(2633),
    [anon_sym_BSLASHwj] = ACTIONS(2633),
    [anon_sym_BSLASHem] = ACTIONS(2633),
    [anon_sym_BSLASHbd] = ACTIONS(2633),
    [anon_sym_BSLASHit] = ACTIONS(2633),
    [anon_sym_BSLASHbdit] = ACTIONS(2633),
    [anon_sym_BSLASHno] = ACTIONS(2633),
    [anon_sym_BSLASHsc] = ACTIONS(2633),
    [anon_sym_BSLASHsup] = ACTIONS(2633),
    [anon_sym_BSLASHndx] = ACTIONS(2633),
    [anon_sym_BSLASHpro] = ACTIONS(2633),
    [anon_sym_BSLASHrb] = ACTIONS(2633),
    [anon_sym_BSLASHw] = ACTIONS(2633),
    [anon_sym_BSLASHwg] = ACTIONS(2633),
    [anon_sym_BSLASHwh] = ACTIONS(2633),
    [anon_sym_BSLASHwa] = ACTIONS(2633),
    [anon_sym_BSLASHfig] = ACTIONS(2633),
    [anon_sym_BSLASHjmp] = ACTIONS(2633),
    [anon_sym_BSLASHpb] = ACTIONS(2633),
    [anon_sym_BSLASH] = ACTIONS(2633),
    [sym_milestoneStartTag] = ACTIONS(2633),
    [sym_milestoneEndTag] = ACTIONS(2633),
    [sym_zSpaceTag] = ACTIONS(2633),
    [anon_sym_BSLASHesbe] = ACTIONS(2633),
    [anon_sym_BSLASHcat] = ACTIONS(2633),
  },
  [772] = {
    [aux_sym_text_token1] = ACTIONS(2659),
    [anon_sym_BSLASHsts] = ACTIONS(2661),
    [anon_sym_BSLASHrem] = ACTIONS(2661),
    [anon_sym_BSLASHrestore] = ACTIONS(2661),
    [anon_sym_BSLASHlit] = ACTIONS(2661),
    [anon_sym_BSLASHip] = ACTIONS(2661),
    [anon_sym_BSLASHmte] = ACTIONS(2661),
    [anon_sym_BSLASHms] = ACTIONS(2661),
    [anon_sym_BSLASHs] = ACTIONS(2661),
    [anon_sym_BSLASHr] = ACTIONS(2661),
    [anon_sym_BSLASHsp] = ACTIONS(2661),
    [anon_sym_BSLASHd] = ACTIONS(2661),
    [anon_sym_BSLASHsd] = ACTIONS(2661),
    [anon_sym_BSLASHp] = ACTIONS(2661),
    [anon_sym_BSLASHm] = ACTIONS(2661),
    [anon_sym_BSLASHpo] = ACTIONS(2661),
    [anon_sym_BSLASHpr] = ACTIONS(2661),
    [anon_sym_BSLASHcls] = ACTIONS(2661),
    [anon_sym_BSLASHpmo] = ACTIONS(2661),
    [anon_sym_BSLASHpm] = ACTIONS(2661),
    [anon_sym_BSLASHpmc] = ACTIONS(2661),
    [anon_sym_BSLASHpmr] = ACTIONS(2661),
    [anon_sym_BSLASHpi] = ACTIONS(2661),
    [anon_sym_BSLASHmi] = ACTIONS(2661),
    [anon_sym_BSLASHnb] = ACTIONS(2661),
    [anon_sym_BSLASHpc] = ACTIONS(2661),
    [anon_sym_BSLASHph] = ACTIONS(2661),
    [anon_sym_BSLASHb] = ACTIONS(2661),
    [anon_sym_BSLASHq] = ACTIONS(2661),
    [anon_sym_BSLASHqr] = ACTIONS(2661),
    [anon_sym_BSLASHqc] = ACTIONS(2661),
    [anon_sym_BSLASHqa] = ACTIONS(2661),
    [anon_sym_BSLASHqm] = ACTIONS(2661),
    [anon_sym_BSLASHqd] = ACTIONS(2661),
    [anon_sym_BSLASHlh] = ACTIONS(2661),
    [anon_sym_BSLASHli] = ACTIONS(2661),
    [anon_sym_BSLASHlim] = ACTIONS(2661),
    [anon_sym_BSLASHtr] = ACTIONS(2661),
    [sym_thTag] = ACTIONS(2661),
    [sym_thrTag] = ACTIONS(2661),
    [sym_tcTag] = ACTIONS(2661),
    [sym_tcrTag] = ACTIONS(2661),
    [anon_sym_BSLASHf] = ACTIONS(2661),
    [anon_sym_BSLASHfe] = ACTIONS(2661),
    [anon_sym_BSLASHef] = ACTIONS(2661),
    [anon_sym_BSLASHfm] = ACTIONS(2661),
    [anon_sym_BSLASHadd] = ACTIONS(2661),
    [anon_sym_BSLASHbk] = ACTIONS(2661),
    [anon_sym_BSLASHdc] = ACTIONS(2661),
    [anon_sym_BSLASHk] = ACTIONS(2661),
    [anon_sym_BSLASHnd] = ACTIONS(2661),
    [anon_sym_BSLASHord] = ACTIONS(2661),
    [anon_sym_BSLASHpn] = ACTIONS(2661),
    [anon_sym_BSLASHpng] = ACTIONS(2661),
    [anon_sym_BSLASHaddpn] = ACTIONS(2661),
    [anon_sym_BSLASHqt] = ACTIONS(2661),
    [anon_sym_BSLASHsig] = ACTIONS(2661),
    [anon_sym_BSLASHsls] = ACTIONS(2661),
    [anon_sym_BSLASHtl] = ACTIONS(2661),
    [anon_sym_BSLASHwj] = ACTIONS(2661),
    [anon_sym_BSLASHem] = ACTIONS(2661),
    [anon_sym_BSLASHbd] = ACTIONS(2661),
    [anon_sym_BSLASHit] = ACTIONS(2661),
    [anon_sym_BSLASHbdit] = ACTIONS(2661),
    [anon_sym_BSLASHno] = ACTIONS(2661),
    [anon_sym_BSLASHsc] = ACTIONS(2661),
    [anon_sym_BSLASHsup] = ACTIONS(2661),
    [anon_sym_BSLASHndx] = ACTIONS(2661),
    [anon_sym_BSLASHpro] = ACTIONS(2661),
    [anon_sym_BSLASHrb] = ACTIONS(2661),
    [anon_sym_BSLASHw] = ACTIONS(2661),
    [anon_sym_BSLASHwg] = ACTIONS(2661),
    [anon_sym_BSLASHwh] = ACTIONS(2661),
    [anon_sym_BSLASHwa] = ACTIONS(2661),
    [anon_sym_BSLASHfig] = ACTIONS(2661),
    [anon_sym_BSLASHjmp] = ACTIONS(2661),
    [anon_sym_BSLASHpb] = ACTIONS(2661),
    [anon_sym_BSLASH] = ACTIONS(2661),
    [sym_milestoneStartTag] = ACTIONS(2661),
    [sym_milestoneEndTag] = ACTIONS(2661),
    [sym_zSpaceTag] = ACTIONS(2661),
    [anon_sym_BSLASHesbe] = ACTIONS(2661),
    [anon_sym_BSLASHcat] = ACTIONS(2661),
  },
  [773] = {
    [aux_sym_text_token1] = ACTIONS(2663),
    [anon_sym_BSLASHsts] = ACTIONS(2665),
    [anon_sym_BSLASHrem] = ACTIONS(2665),
    [anon_sym_BSLASHrestore] = ACTIONS(2665),
    [anon_sym_BSLASHlit] = ACTIONS(2665),
    [anon_sym_BSLASHip] = ACTIONS(2665),
    [anon_sym_BSLASHmte] = ACTIONS(2665),
    [anon_sym_BSLASHms] = ACTIONS(2665),
    [anon_sym_BSLASHs] = ACTIONS(2665),
    [anon_sym_BSLASHr] = ACTIONS(2665),
    [anon_sym_BSLASHsp] = ACTIONS(2665),
    [anon_sym_BSLASHd] = ACTIONS(2665),
    [anon_sym_BSLASHsd] = ACTIONS(2665),
    [anon_sym_BSLASHp] = ACTIONS(2665),
    [anon_sym_BSLASHm] = ACTIONS(2665),
    [anon_sym_BSLASHpo] = ACTIONS(2665),
    [anon_sym_BSLASHpr] = ACTIONS(2665),
    [anon_sym_BSLASHcls] = ACTIONS(2665),
    [anon_sym_BSLASHpmo] = ACTIONS(2665),
    [anon_sym_BSLASHpm] = ACTIONS(2665),
    [anon_sym_BSLASHpmc] = ACTIONS(2665),
    [anon_sym_BSLASHpmr] = ACTIONS(2665),
    [anon_sym_BSLASHpi] = ACTIONS(2665),
    [anon_sym_BSLASHmi] = ACTIONS(2665),
    [anon_sym_BSLASHnb] = ACTIONS(2665),
    [anon_sym_BSLASHpc] = ACTIONS(2665),
    [anon_sym_BSLASHph] = ACTIONS(2665),
    [anon_sym_BSLASHb] = ACTIONS(2665),
    [anon_sym_BSLASHq] = ACTIONS(2665),
    [anon_sym_BSLASHqr] = ACTIONS(2665),
    [anon_sym_BSLASHqc] = ACTIONS(2665),
    [anon_sym_BSLASHqa] = ACTIONS(2665),
    [anon_sym_BSLASHqm] = ACTIONS(2665),
    [anon_sym_BSLASHqd] = ACTIONS(2665),
    [anon_sym_BSLASHlh] = ACTIONS(2665),
    [anon_sym_BSLASHli] = ACTIONS(2665),
    [anon_sym_BSLASHlim] = ACTIONS(2665),
    [anon_sym_BSLASHtr] = ACTIONS(2665),
    [sym_thTag] = ACTIONS(2665),
    [sym_thrTag] = ACTIONS(2665),
    [sym_tcTag] = ACTIONS(2665),
    [sym_tcrTag] = ACTIONS(2665),
    [anon_sym_BSLASHf] = ACTIONS(2665),
    [anon_sym_BSLASHfe] = ACTIONS(2665),
    [anon_sym_BSLASHef] = ACTIONS(2665),
    [anon_sym_BSLASHfm] = ACTIONS(2665),
    [anon_sym_BSLASHadd] = ACTIONS(2665),
    [anon_sym_BSLASHbk] = ACTIONS(2665),
    [anon_sym_BSLASHdc] = ACTIONS(2665),
    [anon_sym_BSLASHk] = ACTIONS(2665),
    [anon_sym_BSLASHnd] = ACTIONS(2665),
    [anon_sym_BSLASHord] = ACTIONS(2665),
    [anon_sym_BSLASHpn] = ACTIONS(2665),
    [anon_sym_BSLASHpng] = ACTIONS(2665),
    [anon_sym_BSLASHaddpn] = ACTIONS(2665),
    [anon_sym_BSLASHqt] = ACTIONS(2665),
    [anon_sym_BSLASHsig] = ACTIONS(2665),
    [anon_sym_BSLASHsls] = ACTIONS(2665),
    [anon_sym_BSLASHtl] = ACTIONS(2665),
    [anon_sym_BSLASHwj] = ACTIONS(2665),
    [anon_sym_BSLASHem] = ACTIONS(2665),
    [anon_sym_BSLASHbd] = ACTIONS(2665),
    [anon_sym_BSLASHit] = ACTIONS(2665),
    [anon_sym_BSLASHbdit] = ACTIONS(2665),
    [anon_sym_BSLASHno] = ACTIONS(2665),
    [anon_sym_BSLASHsc] = ACTIONS(2665),
    [anon_sym_BSLASHsup] = ACTIONS(2665),
    [anon_sym_BSLASHndx] = ACTIONS(2665),
    [anon_sym_BSLASHpro] = ACTIONS(2665),
    [anon_sym_BSLASHrb] = ACTIONS(2665),
    [anon_sym_BSLASHw] = ACTIONS(2665),
    [anon_sym_BSLASHwg] = ACTIONS(2665),
    [anon_sym_BSLASHwh] = ACTIONS(2665),
    [anon_sym_BSLASHwa] = ACTIONS(2665),
    [anon_sym_BSLASHfig] = ACTIONS(2665),
    [anon_sym_BSLASHjmp] = ACTIONS(2665),
    [anon_sym_BSLASHpb] = ACTIONS(2665),
    [anon_sym_BSLASH] = ACTIONS(2665),
    [sym_milestoneStartTag] = ACTIONS(2665),
    [sym_milestoneEndTag] = ACTIONS(2665),
    [sym_zSpaceTag] = ACTIONS(2665),
    [anon_sym_BSLASHesbe] = ACTIONS(2665),
    [anon_sym_BSLASHcat] = ACTIONS(2665),
  },
  [774] = {
    [aux_sym_text_token1] = ACTIONS(2667),
    [anon_sym_BSLASHsts] = ACTIONS(2669),
    [anon_sym_BSLASHrem] = ACTIONS(2669),
    [anon_sym_BSLASHrestore] = ACTIONS(2669),
    [anon_sym_BSLASHlit] = ACTIONS(2669),
    [anon_sym_BSLASHip] = ACTIONS(2669),
    [anon_sym_BSLASHmte] = ACTIONS(2669),
    [anon_sym_BSLASHms] = ACTIONS(2669),
    [anon_sym_BSLASHs] = ACTIONS(2669),
    [anon_sym_BSLASHr] = ACTIONS(2669),
    [anon_sym_BSLASHsp] = ACTIONS(2669),
    [anon_sym_BSLASHd] = ACTIONS(2669),
    [anon_sym_BSLASHsd] = ACTIONS(2669),
    [anon_sym_BSLASHp] = ACTIONS(2669),
    [anon_sym_BSLASHm] = ACTIONS(2669),
    [anon_sym_BSLASHpo] = ACTIONS(2669),
    [anon_sym_BSLASHpr] = ACTIONS(2669),
    [anon_sym_BSLASHcls] = ACTIONS(2669),
    [anon_sym_BSLASHpmo] = ACTIONS(2669),
    [anon_sym_BSLASHpm] = ACTIONS(2669),
    [anon_sym_BSLASHpmc] = ACTIONS(2669),
    [anon_sym_BSLASHpmr] = ACTIONS(2669),
    [anon_sym_BSLASHpi] = ACTIONS(2669),
    [anon_sym_BSLASHmi] = ACTIONS(2669),
    [anon_sym_BSLASHnb] = ACTIONS(2669),
    [anon_sym_BSLASHpc] = ACTIONS(2669),
    [anon_sym_BSLASHph] = ACTIONS(2669),
    [anon_sym_BSLASHb] = ACTIONS(2669),
    [anon_sym_BSLASHq] = ACTIONS(2669),
    [anon_sym_BSLASHqr] = ACTIONS(2669),
    [anon_sym_BSLASHqc] = ACTIONS(2669),
    [anon_sym_BSLASHqa] = ACTIONS(2669),
    [anon_sym_BSLASHqm] = ACTIONS(2669),
    [anon_sym_BSLASHqd] = ACTIONS(2669),
    [anon_sym_BSLASHlh] = ACTIONS(2669),
    [anon_sym_BSLASHli] = ACTIONS(2669),
    [anon_sym_BSLASHlim] = ACTIONS(2669),
    [anon_sym_BSLASHtr] = ACTIONS(2669),
    [sym_thTag] = ACTIONS(2669),
    [sym_thrTag] = ACTIONS(2669),
    [sym_tcTag] = ACTIONS(2669),
    [sym_tcrTag] = ACTIONS(2669),
    [anon_sym_BSLASHf] = ACTIONS(2669),
    [anon_sym_BSLASHfe] = ACTIONS(2669),
    [anon_sym_BSLASHef] = ACTIONS(2669),
    [anon_sym_BSLASHfm] = ACTIONS(2669),
    [anon_sym_BSLASHadd] = ACTIONS(2669),
    [anon_sym_BSLASHbk] = ACTIONS(2669),
    [anon_sym_BSLASHdc] = ACTIONS(2669),
    [anon_sym_BSLASHk] = ACTIONS(2669),
    [anon_sym_BSLASHnd] = ACTIONS(2669),
    [anon_sym_BSLASHord] = ACTIONS(2669),
    [anon_sym_BSLASHpn] = ACTIONS(2669),
    [anon_sym_BSLASHpng] = ACTIONS(2669),
    [anon_sym_BSLASHaddpn] = ACTIONS(2669),
    [anon_sym_BSLASHqt] = ACTIONS(2669),
    [anon_sym_BSLASHsig] = ACTIONS(2669),
    [anon_sym_BSLASHsls] = ACTIONS(2669),
    [anon_sym_BSLASHtl] = ACTIONS(2669),
    [anon_sym_BSLASHwj] = ACTIONS(2669),
    [anon_sym_BSLASHem] = ACTIONS(2669),
    [anon_sym_BSLASHbd] = ACTIONS(2669),
    [anon_sym_BSLASHit] = ACTIONS(2669),
    [anon_sym_BSLASHbdit] = ACTIONS(2669),
    [anon_sym_BSLASHno] = ACTIONS(2669),
    [anon_sym_BSLASHsc] = ACTIONS(2669),
    [anon_sym_BSLASHsup] = ACTIONS(2669),
    [anon_sym_BSLASHndx] = ACTIONS(2669),
    [anon_sym_BSLASHpro] = ACTIONS(2669),
    [anon_sym_BSLASHrb] = ACTIONS(2669),
    [anon_sym_BSLASHw] = ACTIONS(2669),
    [anon_sym_BSLASHwg] = ACTIONS(2669),
    [anon_sym_BSLASHwh] = ACTIONS(2669),
    [anon_sym_BSLASHwa] = ACTIONS(2669),
    [anon_sym_BSLASHfig] = ACTIONS(2669),
    [anon_sym_BSLASHjmp] = ACTIONS(2669),
    [anon_sym_BSLASHpb] = ACTIONS(2669),
    [anon_sym_BSLASH] = ACTIONS(2669),
    [sym_milestoneStartTag] = ACTIONS(2669),
    [sym_milestoneEndTag] = ACTIONS(2669),
    [sym_zSpaceTag] = ACTIONS(2669),
    [anon_sym_BSLASHesbe] = ACTIONS(2669),
    [anon_sym_BSLASHcat] = ACTIONS(2669),
  },
  [775] = {
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHmte] = ACTIONS(2673),
    [anon_sym_BSLASHms] = ACTIONS(2673),
    [anon_sym_BSLASHs] = ACTIONS(2673),
    [anon_sym_BSLASHr] = ACTIONS(2673),
    [anon_sym_BSLASHsp] = ACTIONS(2673),
    [anon_sym_BSLASHd] = ACTIONS(2673),
    [anon_sym_BSLASHsd] = ACTIONS(2673),
    [anon_sym_BSLASHp] = ACTIONS(2673),
    [anon_sym_BSLASHm] = ACTIONS(2673),
    [anon_sym_BSLASHpo] = ACTIONS(2673),
    [anon_sym_BSLASHpr] = ACTIONS(2673),
    [anon_sym_BSLASHcls] = ACTIONS(2673),
    [anon_sym_BSLASHpmo] = ACTIONS(2673),
    [anon_sym_BSLASHpm] = ACTIONS(2673),
    [anon_sym_BSLASHpmc] = ACTIONS(2673),
    [anon_sym_BSLASHpmr] = ACTIONS(2673),
    [anon_sym_BSLASHpi] = ACTIONS(2673),
    [anon_sym_BSLASHmi] = ACTIONS(2673),
    [anon_sym_BSLASHnb] = ACTIONS(2673),
    [anon_sym_BSLASHpc] = ACTIONS(2673),
    [anon_sym_BSLASHph] = ACTIONS(2673),
    [anon_sym_BSLASHb] = ACTIONS(2673),
    [anon_sym_BSLASHq] = ACTIONS(2673),
    [anon_sym_BSLASHqr] = ACTIONS(2673),
    [anon_sym_BSLASHqc] = ACTIONS(2673),
    [anon_sym_BSLASHqa] = ACTIONS(2673),
    [anon_sym_BSLASHqm] = ACTIONS(2673),
    [anon_sym_BSLASHqd] = ACTIONS(2673),
    [anon_sym_BSLASHlh] = ACTIONS(2673),
    [anon_sym_BSLASHli] = ACTIONS(2673),
    [anon_sym_BSLASHlim] = ACTIONS(2673),
    [anon_sym_BSLASHtr] = ACTIONS(2673),
    [sym_thTag] = ACTIONS(2673),
    [sym_thrTag] = ACTIONS(2673),
    [sym_tcTag] = ACTIONS(2673),
    [sym_tcrTag] = ACTIONS(2673),
    [anon_sym_BSLASHf] = ACTIONS(2673),
    [anon_sym_BSLASHfe] = ACTIONS(2673),
    [anon_sym_BSLASHef] = ACTIONS(2673),
    [anon_sym_BSLASHfm] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASHfig] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASHpb] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesbe] = ACTIONS(2673),
    [anon_sym_BSLASHcat] = ACTIONS(2673),
  },
  [776] = {
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHmte] = ACTIONS(2677),
    [anon_sym_BSLASHms] = ACTIONS(2677),
    [anon_sym_BSLASHs] = ACTIONS(2677),
    [anon_sym_BSLASHr] = ACTIONS(2677),
    [anon_sym_BSLASHsp] = ACTIONS(2677),
    [anon_sym_BSLASHd] = ACTIONS(2677),
    [anon_sym_BSLASHsd] = ACTIONS(2677),
    [anon_sym_BSLASHp] = ACTIONS(2677),
    [anon_sym_BSLASHm] = ACTIONS(2677),
    [anon_sym_BSLASHpo] = ACTIONS(2677),
    [anon_sym_BSLASHpr] = ACTIONS(2677),
    [anon_sym_BSLASHcls] = ACTIONS(2677),
    [anon_sym_BSLASHpmo] = ACTIONS(2677),
    [anon_sym_BSLASHpm] = ACTIONS(2677),
    [anon_sym_BSLASHpmc] = ACTIONS(2677),
    [anon_sym_BSLASHpmr] = ACTIONS(2677),
    [anon_sym_BSLASHpi] = ACTIONS(2677),
    [anon_sym_BSLASHmi] = ACTIONS(2677),
    [anon_sym_BSLASHnb] = ACTIONS(2677),
    [anon_sym_BSLASHpc] = ACTIONS(2677),
    [anon_sym_BSLASHph] = ACTIONS(2677),
    [anon_sym_BSLASHb] = ACTIONS(2677),
    [anon_sym_BSLASHq] = ACTIONS(2677),
    [anon_sym_BSLASHqr] = ACTIONS(2677),
    [anon_sym_BSLASHqc] = ACTIONS(2677),
    [anon_sym_BSLASHqa] = ACTIONS(2677),
    [anon_sym_BSLASHqm] = ACTIONS(2677),
    [anon_sym_BSLASHqd] = ACTIONS(2677),
    [anon_sym_BSLASHlh] = ACTIONS(2677),
    [anon_sym_BSLASHli] = ACTIONS(2677),
    [anon_sym_BSLASHlim] = ACTIONS(2677),
    [anon_sym_BSLASHtr] = ACTIONS(2677),
    [sym_thTag] = ACTIONS(2677),
    [sym_thrTag] = ACTIONS(2677),
    [sym_tcTag] = ACTIONS(2677),
    [sym_tcrTag] = ACTIONS(2677),
    [anon_sym_BSLASHf] = ACTIONS(2677),
    [anon_sym_BSLASHfe] = ACTIONS(2677),
    [anon_sym_BSLASHef] = ACTIONS(2677),
    [anon_sym_BSLASHfm] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASHfig] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASHpb] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesbe] = ACTIONS(2677),
    [anon_sym_BSLASHcat] = ACTIONS(2677),
  },
  [777] = {
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHmte] = ACTIONS(2681),
    [anon_sym_BSLASHms] = ACTIONS(2681),
    [anon_sym_BSLASHs] = ACTIONS(2681),
    [anon_sym_BSLASHr] = ACTIONS(2681),
    [anon_sym_BSLASHsp] = ACTIONS(2681),
    [anon_sym_BSLASHd] = ACTIONS(2681),
    [anon_sym_BSLASHsd] = ACTIONS(2681),
    [anon_sym_BSLASHp] = ACTIONS(2681),
    [anon_sym_BSLASHm] = ACTIONS(2681),
    [anon_sym_BSLASHpo] = ACTIONS(2681),
    [anon_sym_BSLASHpr] = ACTIONS(2681),
    [anon_sym_BSLASHcls] = ACTIONS(2681),
    [anon_sym_BSLASHpmo] = ACTIONS(2681),
    [anon_sym_BSLASHpm] = ACTIONS(2681),
    [anon_sym_BSLASHpmc] = ACTIONS(2681),
    [anon_sym_BSLASHpmr] = ACTIONS(2681),
    [anon_sym_BSLASHpi] = ACTIONS(2681),
    [anon_sym_BSLASHmi] = ACTIONS(2681),
    [anon_sym_BSLASHnb] = ACTIONS(2681),
    [anon_sym_BSLASHpc] = ACTIONS(2681),
    [anon_sym_BSLASHph] = ACTIONS(2681),
    [anon_sym_BSLASHb] = ACTIONS(2681),
    [anon_sym_BSLASHq] = ACTIONS(2681),
    [anon_sym_BSLASHqr] = ACTIONS(2681),
    [anon_sym_BSLASHqc] = ACTIONS(2681),
    [anon_sym_BSLASHqa] = ACTIONS(2681),
    [anon_sym_BSLASHqm] = ACTIONS(2681),
    [anon_sym_BSLASHqd] = ACTIONS(2681),
    [anon_sym_BSLASHlh] = ACTIONS(2681),
    [anon_sym_BSLASHli] = ACTIONS(2681),
    [anon_sym_BSLASHlim] = ACTIONS(2681),
    [anon_sym_BSLASHtr] = ACTIONS(2681),
    [sym_thTag] = ACTIONS(2681),
    [sym_thrTag] = ACTIONS(2681),
    [sym_tcTag] = ACTIONS(2681),
    [sym_tcrTag] = ACTIONS(2681),
    [anon_sym_BSLASHf] = ACTIONS(2681),
    [anon_sym_BSLASHfe] = ACTIONS(2681),
    [anon_sym_BSLASHef] = ACTIONS(2681),
    [anon_sym_BSLASHfm] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASHfig] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASHpb] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesbe] = ACTIONS(2681),
    [anon_sym_BSLASHcat] = ACTIONS(2681),
  },
  [778] = {
    [aux_sym_text_token1] = ACTIONS(2619),
    [anon_sym_BSLASHsts] = ACTIONS(2621),
    [anon_sym_BSLASHrem] = ACTIONS(2621),
    [anon_sym_BSLASHrestore] = ACTIONS(2621),
    [anon_sym_BSLASHlit] = ACTIONS(2621),
    [anon_sym_BSLASHip] = ACTIONS(2621),
    [anon_sym_BSLASHmte] = ACTIONS(2621),
    [anon_sym_BSLASHms] = ACTIONS(2621),
    [anon_sym_BSLASHs] = ACTIONS(2621),
    [anon_sym_BSLASHr] = ACTIONS(2621),
    [anon_sym_BSLASHsp] = ACTIONS(2621),
    [anon_sym_BSLASHd] = ACTIONS(2621),
    [anon_sym_BSLASHsd] = ACTIONS(2621),
    [anon_sym_BSLASHp] = ACTIONS(2621),
    [anon_sym_BSLASHm] = ACTIONS(2621),
    [anon_sym_BSLASHpo] = ACTIONS(2621),
    [anon_sym_BSLASHpr] = ACTIONS(2621),
    [anon_sym_BSLASHcls] = ACTIONS(2621),
    [anon_sym_BSLASHpmo] = ACTIONS(2621),
    [anon_sym_BSLASHpm] = ACTIONS(2621),
    [anon_sym_BSLASHpmc] = ACTIONS(2621),
    [anon_sym_BSLASHpmr] = ACTIONS(2621),
    [anon_sym_BSLASHpi] = ACTIONS(2621),
    [anon_sym_BSLASHmi] = ACTIONS(2621),
    [anon_sym_BSLASHnb] = ACTIONS(2621),
    [anon_sym_BSLASHpc] = ACTIONS(2621),
    [anon_sym_BSLASHph] = ACTIONS(2621),
    [anon_sym_BSLASHb] = ACTIONS(2621),
    [anon_sym_BSLASHq] = ACTIONS(2621),
    [anon_sym_BSLASHqr] = ACTIONS(2621),
    [anon_sym_BSLASHqc] = ACTIONS(2621),
    [anon_sym_BSLASHqa] = ACTIONS(2621),
    [anon_sym_BSLASHqm] = ACTIONS(2621),
    [anon_sym_BSLASHqd] = ACTIONS(2621),
    [anon_sym_BSLASHlh] = ACTIONS(2621),
    [anon_sym_BSLASHli] = ACTIONS(2621),
    [anon_sym_BSLASHlim] = ACTIONS(2621),
    [anon_sym_BSLASHtr] = ACTIONS(2621),
    [sym_thTag] = ACTIONS(2621),
    [sym_thrTag] = ACTIONS(2621),
    [sym_tcTag] = ACTIONS(2621),
    [sym_tcrTag] = ACTIONS(2621),
    [anon_sym_BSLASHf] = ACTIONS(2621),
    [anon_sym_BSLASHfe] = ACTIONS(2621),
    [anon_sym_BSLASHef] = ACTIONS(2621),
    [anon_sym_BSLASHfm] = ACTIONS(2621),
    [anon_sym_BSLASHadd] = ACTIONS(2621),
    [anon_sym_BSLASHbk] = ACTIONS(2621),
    [anon_sym_BSLASHdc] = ACTIONS(2621),
    [anon_sym_BSLASHk] = ACTIONS(2621),
    [anon_sym_BSLASHnd] = ACTIONS(2621),
    [anon_sym_BSLASHord] = ACTIONS(2621),
    [anon_sym_BSLASHpn] = ACTIONS(2621),
    [anon_sym_BSLASHpng] = ACTIONS(2621),
    [anon_sym_BSLASHaddpn] = ACTIONS(2621),
    [anon_sym_BSLASHqt] = ACTIONS(2621),
    [anon_sym_BSLASHsig] = ACTIONS(2621),
    [anon_sym_BSLASHsls] = ACTIONS(2621),
    [anon_sym_BSLASHtl] = ACTIONS(2621),
    [anon_sym_BSLASHwj] = ACTIONS(2621),
    [anon_sym_BSLASHem] = ACTIONS(2621),
    [anon_sym_BSLASHbd] = ACTIONS(2621),
    [anon_sym_BSLASHit] = ACTIONS(2621),
    [anon_sym_BSLASHbdit] = ACTIONS(2621),
    [anon_sym_BSLASHno] = ACTIONS(2621),
    [anon_sym_BSLASHsc] = ACTIONS(2621),
    [anon_sym_BSLASHsup] = ACTIONS(2621),
    [anon_sym_BSLASHndx] = ACTIONS(2621),
    [anon_sym_BSLASHpro] = ACTIONS(2621),
    [anon_sym_BSLASHrb] = ACTIONS(2621),
    [anon_sym_BSLASHw] = ACTIONS(2621),
    [anon_sym_BSLASHwg] = ACTIONS(2621),
    [anon_sym_BSLASHwh] = ACTIONS(2621),
    [anon_sym_BSLASHwa] = ACTIONS(2621),
    [anon_sym_BSLASHfig] = ACTIONS(2621),
    [anon_sym_BSLASHjmp] = ACTIONS(2621),
    [anon_sym_BSLASHpb] = ACTIONS(2621),
    [anon_sym_BSLASH] = ACTIONS(2621),
    [sym_milestoneStartTag] = ACTIONS(2621),
    [sym_milestoneEndTag] = ACTIONS(2621),
    [sym_zSpaceTag] = ACTIONS(2621),
    [anon_sym_BSLASHesbe] = ACTIONS(2621),
    [anon_sym_BSLASHcat] = ACTIONS(2621),
  },
  [779] = {
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHmte] = ACTIONS(2689),
    [anon_sym_BSLASHms] = ACTIONS(2689),
    [anon_sym_BSLASHs] = ACTIONS(2689),
    [anon_sym_BSLASHr] = ACTIONS(2689),
    [anon_sym_BSLASHsp] = ACTIONS(2689),
    [anon_sym_BSLASHd] = ACTIONS(2689),
    [anon_sym_BSLASHsd] = ACTIONS(2689),
    [anon_sym_BSLASHp] = ACTIONS(2689),
    [anon_sym_BSLASHm] = ACTIONS(2689),
    [anon_sym_BSLASHpo] = ACTIONS(2689),
    [anon_sym_BSLASHpr] = ACTIONS(2689),
    [anon_sym_BSLASHcls] = ACTIONS(2689),
    [anon_sym_BSLASHpmo] = ACTIONS(2689),
    [anon_sym_BSLASHpm] = ACTIONS(2689),
    [anon_sym_BSLASHpmc] = ACTIONS(2689),
    [anon_sym_BSLASHpmr] = ACTIONS(2689),
    [anon_sym_BSLASHpi] = ACTIONS(2689),
    [anon_sym_BSLASHmi] = ACTIONS(2689),
    [anon_sym_BSLASHnb] = ACTIONS(2689),
    [anon_sym_BSLASHpc] = ACTIONS(2689),
    [anon_sym_BSLASHph] = ACTIONS(2689),
    [anon_sym_BSLASHb] = ACTIONS(2689),
    [anon_sym_BSLASHq] = ACTIONS(2689),
    [anon_sym_BSLASHqr] = ACTIONS(2689),
    [anon_sym_BSLASHqc] = ACTIONS(2689),
    [anon_sym_BSLASHqa] = ACTIONS(2689),
    [anon_sym_BSLASHqm] = ACTIONS(2689),
    [anon_sym_BSLASHqd] = ACTIONS(2689),
    [anon_sym_BSLASHlh] = ACTIONS(2689),
    [anon_sym_BSLASHli] = ACTIONS(2689),
    [anon_sym_BSLASHlim] = ACTIONS(2689),
    [anon_sym_BSLASHtr] = ACTIONS(2689),
    [sym_thTag] = ACTIONS(2689),
    [sym_thrTag] = ACTIONS(2689),
    [sym_tcTag] = ACTIONS(2689),
    [sym_tcrTag] = ACTIONS(2689),
    [anon_sym_BSLASHf] = ACTIONS(2689),
    [anon_sym_BSLASHfe] = ACTIONS(2689),
    [anon_sym_BSLASHef] = ACTIONS(2689),
    [anon_sym_BSLASHfm] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASHfig] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASHpb] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesbe] = ACTIONS(2689),
    [anon_sym_BSLASHcat] = ACTIONS(2689),
  },
  [780] = {
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHmte] = ACTIONS(2693),
    [anon_sym_BSLASHms] = ACTIONS(2693),
    [anon_sym_BSLASHs] = ACTIONS(2693),
    [anon_sym_BSLASHr] = ACTIONS(2693),
    [anon_sym_BSLASHsp] = ACTIONS(2693),
    [anon_sym_BSLASHd] = ACTIONS(2693),
    [anon_sym_BSLASHsd] = ACTIONS(2693),
    [anon_sym_BSLASHp] = ACTIONS(2693),
    [anon_sym_BSLASHm] = ACTIONS(2693),
    [anon_sym_BSLASHpo] = ACTIONS(2693),
    [anon_sym_BSLASHpr] = ACTIONS(2693),
    [anon_sym_BSLASHcls] = ACTIONS(2693),
    [anon_sym_BSLASHpmo] = ACTIONS(2693),
    [anon_sym_BSLASHpm] = ACTIONS(2693),
    [anon_sym_BSLASHpmc] = ACTIONS(2693),
    [anon_sym_BSLASHpmr] = ACTIONS(2693),
    [anon_sym_BSLASHpi] = ACTIONS(2693),
    [anon_sym_BSLASHmi] = ACTIONS(2693),
    [anon_sym_BSLASHnb] = ACTIONS(2693),
    [anon_sym_BSLASHpc] = ACTIONS(2693),
    [anon_sym_BSLASHph] = ACTIONS(2693),
    [anon_sym_BSLASHb] = ACTIONS(2693),
    [anon_sym_BSLASHq] = ACTIONS(2693),
    [anon_sym_BSLASHqr] = ACTIONS(2693),
    [anon_sym_BSLASHqc] = ACTIONS(2693),
    [anon_sym_BSLASHqa] = ACTIONS(2693),
    [anon_sym_BSLASHqm] = ACTIONS(2693),
    [anon_sym_BSLASHqd] = ACTIONS(2693),
    [anon_sym_BSLASHlh] = ACTIONS(2693),
    [anon_sym_BSLASHli] = ACTIONS(2693),
    [anon_sym_BSLASHlim] = ACTIONS(2693),
    [anon_sym_BSLASHtr] = ACTIONS(2693),
    [sym_thTag] = ACTIONS(2693),
    [sym_thrTag] = ACTIONS(2693),
    [sym_tcTag] = ACTIONS(2693),
    [sym_tcrTag] = ACTIONS(2693),
    [anon_sym_BSLASHf] = ACTIONS(2693),
    [anon_sym_BSLASHfe] = ACTIONS(2693),
    [anon_sym_BSLASHef] = ACTIONS(2693),
    [anon_sym_BSLASHfm] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASHfig] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASHpb] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesbe] = ACTIONS(2693),
    [anon_sym_BSLASHcat] = ACTIONS(2693),
  },
  [781] = {
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHmte] = ACTIONS(2697),
    [anon_sym_BSLASHms] = ACTIONS(2697),
    [anon_sym_BSLASHs] = ACTIONS(2697),
    [anon_sym_BSLASHr] = ACTIONS(2697),
    [anon_sym_BSLASHsp] = ACTIONS(2697),
    [anon_sym_BSLASHd] = ACTIONS(2697),
    [anon_sym_BSLASHsd] = ACTIONS(2697),
    [anon_sym_BSLASHp] = ACTIONS(2697),
    [anon_sym_BSLASHm] = ACTIONS(2697),
    [anon_sym_BSLASHpo] = ACTIONS(2697),
    [anon_sym_BSLASHpr] = ACTIONS(2697),
    [anon_sym_BSLASHcls] = ACTIONS(2697),
    [anon_sym_BSLASHpmo] = ACTIONS(2697),
    [anon_sym_BSLASHpm] = ACTIONS(2697),
    [anon_sym_BSLASHpmc] = ACTIONS(2697),
    [anon_sym_BSLASHpmr] = ACTIONS(2697),
    [anon_sym_BSLASHpi] = ACTIONS(2697),
    [anon_sym_BSLASHmi] = ACTIONS(2697),
    [anon_sym_BSLASHnb] = ACTIONS(2697),
    [anon_sym_BSLASHpc] = ACTIONS(2697),
    [anon_sym_BSLASHph] = ACTIONS(2697),
    [anon_sym_BSLASHb] = ACTIONS(2697),
    [anon_sym_BSLASHq] = ACTIONS(2697),
    [anon_sym_BSLASHqr] = ACTIONS(2697),
    [anon_sym_BSLASHqc] = ACTIONS(2697),
    [anon_sym_BSLASHqa] = ACTIONS(2697),
    [anon_sym_BSLASHqm] = ACTIONS(2697),
    [anon_sym_BSLASHqd] = ACTIONS(2697),
    [anon_sym_BSLASHlh] = ACTIONS(2697),
    [anon_sym_BSLASHli] = ACTIONS(2697),
    [anon_sym_BSLASHlim] = ACTIONS(2697),
    [anon_sym_BSLASHtr] = ACTIONS(2697),
    [sym_thTag] = ACTIONS(2697),
    [sym_thrTag] = ACTIONS(2697),
    [sym_tcTag] = ACTIONS(2697),
    [sym_tcrTag] = ACTIONS(2697),
    [anon_sym_BSLASHf] = ACTIONS(2697),
    [anon_sym_BSLASHfe] = ACTIONS(2697),
    [anon_sym_BSLASHef] = ACTIONS(2697),
    [anon_sym_BSLASHfm] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASHfig] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASHpb] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesbe] = ACTIONS(2697),
    [anon_sym_BSLASHcat] = ACTIONS(2697),
  },
  [782] = {
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHmte] = ACTIONS(2701),
    [anon_sym_BSLASHms] = ACTIONS(2701),
    [anon_sym_BSLASHs] = ACTIONS(2701),
    [anon_sym_BSLASHr] = ACTIONS(2701),
    [anon_sym_BSLASHsp] = ACTIONS(2701),
    [anon_sym_BSLASHd] = ACTIONS(2701),
    [anon_sym_BSLASHsd] = ACTIONS(2701),
    [anon_sym_BSLASHp] = ACTIONS(2701),
    [anon_sym_BSLASHm] = ACTIONS(2701),
    [anon_sym_BSLASHpo] = ACTIONS(2701),
    [anon_sym_BSLASHpr] = ACTIONS(2701),
    [anon_sym_BSLASHcls] = ACTIONS(2701),
    [anon_sym_BSLASHpmo] = ACTIONS(2701),
    [anon_sym_BSLASHpm] = ACTIONS(2701),
    [anon_sym_BSLASHpmc] = ACTIONS(2701),
    [anon_sym_BSLASHpmr] = ACTIONS(2701),
    [anon_sym_BSLASHpi] = ACTIONS(2701),
    [anon_sym_BSLASHmi] = ACTIONS(2701),
    [anon_sym_BSLASHnb] = ACTIONS(2701),
    [anon_sym_BSLASHpc] = ACTIONS(2701),
    [anon_sym_BSLASHph] = ACTIONS(2701),
    [anon_sym_BSLASHb] = ACTIONS(2701),
    [anon_sym_BSLASHq] = ACTIONS(2701),
    [anon_sym_BSLASHqr] = ACTIONS(2701),
    [anon_sym_BSLASHqc] = ACTIONS(2701),
    [anon_sym_BSLASHqa] = ACTIONS(2701),
    [anon_sym_BSLASHqm] = ACTIONS(2701),
    [anon_sym_BSLASHqd] = ACTIONS(2701),
    [anon_sym_BSLASHlh] = ACTIONS(2701),
    [anon_sym_BSLASHli] = ACTIONS(2701),
    [anon_sym_BSLASHlim] = ACTIONS(2701),
    [anon_sym_BSLASHtr] = ACTIONS(2701),
    [sym_thTag] = ACTIONS(2701),
    [sym_thrTag] = ACTIONS(2701),
    [sym_tcTag] = ACTIONS(2701),
    [sym_tcrTag] = ACTIONS(2701),
    [anon_sym_BSLASHf] = ACTIONS(2701),
    [anon_sym_BSLASHfe] = ACTIONS(2701),
    [anon_sym_BSLASHef] = ACTIONS(2701),
    [anon_sym_BSLASHfm] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASHfig] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASHpb] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesbe] = ACTIONS(2701),
    [anon_sym_BSLASHcat] = ACTIONS(2701),
  },
  [783] = {
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHmte] = ACTIONS(2705),
    [anon_sym_BSLASHms] = ACTIONS(2705),
    [anon_sym_BSLASHs] = ACTIONS(2705),
    [anon_sym_BSLASHr] = ACTIONS(2705),
    [anon_sym_BSLASHsp] = ACTIONS(2705),
    [anon_sym_BSLASHd] = ACTIONS(2705),
    [anon_sym_BSLASHsd] = ACTIONS(2705),
    [anon_sym_BSLASHp] = ACTIONS(2705),
    [anon_sym_BSLASHm] = ACTIONS(2705),
    [anon_sym_BSLASHpo] = ACTIONS(2705),
    [anon_sym_BSLASHpr] = ACTIONS(2705),
    [anon_sym_BSLASHcls] = ACTIONS(2705),
    [anon_sym_BSLASHpmo] = ACTIONS(2705),
    [anon_sym_BSLASHpm] = ACTIONS(2705),
    [anon_sym_BSLASHpmc] = ACTIONS(2705),
    [anon_sym_BSLASHpmr] = ACTIONS(2705),
    [anon_sym_BSLASHpi] = ACTIONS(2705),
    [anon_sym_BSLASHmi] = ACTIONS(2705),
    [anon_sym_BSLASHnb] = ACTIONS(2705),
    [anon_sym_BSLASHpc] = ACTIONS(2705),
    [anon_sym_BSLASHph] = ACTIONS(2705),
    [anon_sym_BSLASHb] = ACTIONS(2705),
    [anon_sym_BSLASHq] = ACTIONS(2705),
    [anon_sym_BSLASHqr] = ACTIONS(2705),
    [anon_sym_BSLASHqc] = ACTIONS(2705),
    [anon_sym_BSLASHqa] = ACTIONS(2705),
    [anon_sym_BSLASHqm] = ACTIONS(2705),
    [anon_sym_BSLASHqd] = ACTIONS(2705),
    [anon_sym_BSLASHlh] = ACTIONS(2705),
    [anon_sym_BSLASHli] = ACTIONS(2705),
    [anon_sym_BSLASHlim] = ACTIONS(2705),
    [anon_sym_BSLASHtr] = ACTIONS(2705),
    [sym_thTag] = ACTIONS(2705),
    [sym_thrTag] = ACTIONS(2705),
    [sym_tcTag] = ACTIONS(2705),
    [sym_tcrTag] = ACTIONS(2705),
    [anon_sym_BSLASHf] = ACTIONS(2705),
    [anon_sym_BSLASHfe] = ACTIONS(2705),
    [anon_sym_BSLASHef] = ACTIONS(2705),
    [anon_sym_BSLASHfm] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASHfig] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASHpb] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesbe] = ACTIONS(2705),
    [anon_sym_BSLASHcat] = ACTIONS(2705),
  },
  [784] = {
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHmte] = ACTIONS(2709),
    [anon_sym_BSLASHms] = ACTIONS(2709),
    [anon_sym_BSLASHs] = ACTIONS(2709),
    [anon_sym_BSLASHr] = ACTIONS(2709),
    [anon_sym_BSLASHsp] = ACTIONS(2709),
    [anon_sym_BSLASHd] = ACTIONS(2709),
    [anon_sym_BSLASHsd] = ACTIONS(2709),
    [anon_sym_BSLASHp] = ACTIONS(2709),
    [anon_sym_BSLASHm] = ACTIONS(2709),
    [anon_sym_BSLASHpo] = ACTIONS(2709),
    [anon_sym_BSLASHpr] = ACTIONS(2709),
    [anon_sym_BSLASHcls] = ACTIONS(2709),
    [anon_sym_BSLASHpmo] = ACTIONS(2709),
    [anon_sym_BSLASHpm] = ACTIONS(2709),
    [anon_sym_BSLASHpmc] = ACTIONS(2709),
    [anon_sym_BSLASHpmr] = ACTIONS(2709),
    [anon_sym_BSLASHpi] = ACTIONS(2709),
    [anon_sym_BSLASHmi] = ACTIONS(2709),
    [anon_sym_BSLASHnb] = ACTIONS(2709),
    [anon_sym_BSLASHpc] = ACTIONS(2709),
    [anon_sym_BSLASHph] = ACTIONS(2709),
    [anon_sym_BSLASHb] = ACTIONS(2709),
    [anon_sym_BSLASHq] = ACTIONS(2709),
    [anon_sym_BSLASHqr] = ACTIONS(2709),
    [anon_sym_BSLASHqc] = ACTIONS(2709),
    [anon_sym_BSLASHqa] = ACTIONS(2709),
    [anon_sym_BSLASHqm] = ACTIONS(2709),
    [anon_sym_BSLASHqd] = ACTIONS(2709),
    [anon_sym_BSLASHlh] = ACTIONS(2709),
    [anon_sym_BSLASHli] = ACTIONS(2709),
    [anon_sym_BSLASHlim] = ACTIONS(2709),
    [anon_sym_BSLASHtr] = ACTIONS(2709),
    [sym_thTag] = ACTIONS(2709),
    [sym_thrTag] = ACTIONS(2709),
    [sym_tcTag] = ACTIONS(2709),
    [sym_tcrTag] = ACTIONS(2709),
    [anon_sym_BSLASHf] = ACTIONS(2709),
    [anon_sym_BSLASHfe] = ACTIONS(2709),
    [anon_sym_BSLASHef] = ACTIONS(2709),
    [anon_sym_BSLASHfm] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASHfig] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASHpb] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesbe] = ACTIONS(2709),
    [anon_sym_BSLASHcat] = ACTIONS(2709),
  },
  [785] = {
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHmte] = ACTIONS(2713),
    [anon_sym_BSLASHms] = ACTIONS(2713),
    [anon_sym_BSLASHs] = ACTIONS(2713),
    [anon_sym_BSLASHr] = ACTIONS(2713),
    [anon_sym_BSLASHsp] = ACTIONS(2713),
    [anon_sym_BSLASHd] = ACTIONS(2713),
    [anon_sym_BSLASHsd] = ACTIONS(2713),
    [anon_sym_BSLASHp] = ACTIONS(2713),
    [anon_sym_BSLASHm] = ACTIONS(2713),
    [anon_sym_BSLASHpo] = ACTIONS(2713),
    [anon_sym_BSLASHpr] = ACTIONS(2713),
    [anon_sym_BSLASHcls] = ACTIONS(2713),
    [anon_sym_BSLASHpmo] = ACTIONS(2713),
    [anon_sym_BSLASHpm] = ACTIONS(2713),
    [anon_sym_BSLASHpmc] = ACTIONS(2713),
    [anon_sym_BSLASHpmr] = ACTIONS(2713),
    [anon_sym_BSLASHpi] = ACTIONS(2713),
    [anon_sym_BSLASHmi] = ACTIONS(2713),
    [anon_sym_BSLASHnb] = ACTIONS(2713),
    [anon_sym_BSLASHpc] = ACTIONS(2713),
    [anon_sym_BSLASHph] = ACTIONS(2713),
    [anon_sym_BSLASHb] = ACTIONS(2713),
    [anon_sym_BSLASHq] = ACTIONS(2713),
    [anon_sym_BSLASHqr] = ACTIONS(2713),
    [anon_sym_BSLASHqc] = ACTIONS(2713),
    [anon_sym_BSLASHqa] = ACTIONS(2713),
    [anon_sym_BSLASHqm] = ACTIONS(2713),
    [anon_sym_BSLASHqd] = ACTIONS(2713),
    [anon_sym_BSLASHlh] = ACTIONS(2713),
    [anon_sym_BSLASHli] = ACTIONS(2713),
    [anon_sym_BSLASHlim] = ACTIONS(2713),
    [anon_sym_BSLASHtr] = ACTIONS(2713),
    [sym_thTag] = ACTIONS(2713),
    [sym_thrTag] = ACTIONS(2713),
    [sym_tcTag] = ACTIONS(2713),
    [sym_tcrTag] = ACTIONS(2713),
    [anon_sym_BSLASHf] = ACTIONS(2713),
    [anon_sym_BSLASHfe] = ACTIONS(2713),
    [anon_sym_BSLASHef] = ACTIONS(2713),
    [anon_sym_BSLASHfm] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASHfig] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASHpb] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesbe] = ACTIONS(2713),
    [anon_sym_BSLASHcat] = ACTIONS(2713),
  },
  [786] = {
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHmte] = ACTIONS(2721),
    [anon_sym_BSLASHms] = ACTIONS(2721),
    [anon_sym_BSLASHs] = ACTIONS(2721),
    [anon_sym_BSLASHr] = ACTIONS(2721),
    [anon_sym_BSLASHsp] = ACTIONS(2721),
    [anon_sym_BSLASHd] = ACTIONS(2721),
    [anon_sym_BSLASHsd] = ACTIONS(2721),
    [anon_sym_BSLASHp] = ACTIONS(2721),
    [anon_sym_BSLASHm] = ACTIONS(2721),
    [anon_sym_BSLASHpo] = ACTIONS(2721),
    [anon_sym_BSLASHpr] = ACTIONS(2721),
    [anon_sym_BSLASHcls] = ACTIONS(2721),
    [anon_sym_BSLASHpmo] = ACTIONS(2721),
    [anon_sym_BSLASHpm] = ACTIONS(2721),
    [anon_sym_BSLASHpmc] = ACTIONS(2721),
    [anon_sym_BSLASHpmr] = ACTIONS(2721),
    [anon_sym_BSLASHpi] = ACTIONS(2721),
    [anon_sym_BSLASHmi] = ACTIONS(2721),
    [anon_sym_BSLASHnb] = ACTIONS(2721),
    [anon_sym_BSLASHpc] = ACTIONS(2721),
    [anon_sym_BSLASHph] = ACTIONS(2721),
    [anon_sym_BSLASHb] = ACTIONS(2721),
    [anon_sym_BSLASHq] = ACTIONS(2721),
    [anon_sym_BSLASHqr] = ACTIONS(2721),
    [anon_sym_BSLASHqc] = ACTIONS(2721),
    [anon_sym_BSLASHqa] = ACTIONS(2721),
    [anon_sym_BSLASHqm] = ACTIONS(2721),
    [anon_sym_BSLASHqd] = ACTIONS(2721),
    [anon_sym_BSLASHlh] = ACTIONS(2721),
    [anon_sym_BSLASHli] = ACTIONS(2721),
    [anon_sym_BSLASHlim] = ACTIONS(2721),
    [anon_sym_BSLASHtr] = ACTIONS(2721),
    [sym_thTag] = ACTIONS(2721),
    [sym_thrTag] = ACTIONS(2721),
    [sym_tcTag] = ACTIONS(2721),
    [sym_tcrTag] = ACTIONS(2721),
    [anon_sym_BSLASHf] = ACTIONS(2721),
    [anon_sym_BSLASHfe] = ACTIONS(2721),
    [anon_sym_BSLASHef] = ACTIONS(2721),
    [anon_sym_BSLASHfm] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASHfig] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASHpb] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesbe] = ACTIONS(2721),
    [anon_sym_BSLASHcat] = ACTIONS(2721),
  },
  [787] = {
    [sym_text] = STATE(788),
    [sym_footnote] = STATE(788),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(788),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym_addNested] = STATE(788),
    [sym_bkNested] = STATE(788),
    [sym_dcNested] = STATE(788),
    [sym_kNested] = STATE(788),
    [sym_ndNested] = STATE(788),
    [sym_ordNested] = STATE(788),
    [sym_pnNested] = STATE(788),
    [sym_pngNested] = STATE(788),
    [sym_addpnNested] = STATE(788),
    [sym_qtNested] = STATE(788),
    [sym_sigNested] = STATE(788),
    [sym_slsNested] = STATE(788),
    [sym_tlNested] = STATE(788),
    [sym_wjNested] = STATE(788),
    [sym_emNested] = STATE(788),
    [sym_bdNested] = STATE(788),
    [sym_itNested] = STATE(788),
    [sym_bditNested] = STATE(788),
    [sym_noNested] = STATE(788),
    [sym_scNested] = STATE(788),
    [sym_supNested] = STATE(788),
    [sym_ndxNested] = STATE(788),
    [sym_proNested] = STATE(788),
    [sym_rbNested] = STATE(788),
    [sym_wNested] = STATE(788),
    [sym_wgNested] = STATE(788),
    [sym_whNested] = STATE(788),
    [sym_waNested] = STATE(788),
    [sym__nestedCharacterMarker] = STATE(788),
    [sym_fig] = STATE(788),
    [sym_jmpNested] = STATE(788),
    [aux_sym__innerText_repeat1] = STATE(788),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(3120),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(3120),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [788] = {
    [sym_text] = STATE(788),
    [sym_footnote] = STATE(788),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(788),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym_addNested] = STATE(788),
    [sym_bkNested] = STATE(788),
    [sym_dcNested] = STATE(788),
    [sym_kNested] = STATE(788),
    [sym_ndNested] = STATE(788),
    [sym_ordNested] = STATE(788),
    [sym_pnNested] = STATE(788),
    [sym_pngNested] = STATE(788),
    [sym_addpnNested] = STATE(788),
    [sym_qtNested] = STATE(788),
    [sym_sigNested] = STATE(788),
    [sym_slsNested] = STATE(788),
    [sym_tlNested] = STATE(788),
    [sym_wjNested] = STATE(788),
    [sym_emNested] = STATE(788),
    [sym_bdNested] = STATE(788),
    [sym_itNested] = STATE(788),
    [sym_bditNested] = STATE(788),
    [sym_noNested] = STATE(788),
    [sym_scNested] = STATE(788),
    [sym_supNested] = STATE(788),
    [sym_ndxNested] = STATE(788),
    [sym_proNested] = STATE(788),
    [sym_rbNested] = STATE(788),
    [sym_wNested] = STATE(788),
    [sym_wgNested] = STATE(788),
    [sym_whNested] = STATE(788),
    [sym_waNested] = STATE(788),
    [sym__nestedCharacterMarker] = STATE(788),
    [sym_fig] = STATE(788),
    [sym_jmpNested] = STATE(788),
    [aux_sym__innerText_repeat1] = STATE(788),
    [aux_sym_text_token1] = ACTIONS(6030),
    [anon_sym_BSLASHf] = ACTIONS(6033),
    [anon_sym_BSLASHfe] = ACTIONS(6036),
    [anon_sym_BSLASHef] = ACTIONS(6039),
    [anon_sym_BSLASHfm] = ACTIONS(6042),
    [anon_sym_BSLASHx] = ACTIONS(6045),
    [anon_sym_BSLASHxt] = ACTIONS(6048),
    [anon_sym_BSLASHrq] = ACTIONS(6051),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(3146),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(3146),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3148),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3151),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3154),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3157),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3160),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3163),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3166),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3169),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3172),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3175),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3178),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3181),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3184),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3187),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3190),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3193),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3196),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3199),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3202),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3205),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3208),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3211),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3214),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3217),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3220),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3223),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3226),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3229),
    [anon_sym_BSLASHfig] = ACTIONS(6054),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3235),
  },
  [789] = {
    [aux_sym_text_token1] = ACTIONS(5536),
    [anon_sym_BSLASHref] = ACTIONS(5538),
    [anon_sym_BSLASHsts] = ACTIONS(5538),
    [anon_sym_BSLASHrem] = ACTIONS(5538),
    [anon_sym_BSLASHrestore] = ACTIONS(5538),
    [anon_sym_BSLASHlit] = ACTIONS(5538),
    [anon_sym_BSLASHiqt] = ACTIONS(5538),
    [anon_sym_BSLASHip] = ACTIONS(5538),
    [anon_sym_BSLASHmte] = ACTIONS(5538),
    [anon_sym_BSLASHms] = ACTIONS(5538),
    [anon_sym_BSLASHs] = ACTIONS(5538),
    [anon_sym_BSLASHr] = ACTIONS(5538),
    [anon_sym_BSLASHsp] = ACTIONS(5538),
    [anon_sym_BSLASHd] = ACTIONS(5538),
    [anon_sym_BSLASHsd] = ACTIONS(5538),
    [anon_sym_BSLASHp] = ACTIONS(5538),
    [anon_sym_BSLASHm] = ACTIONS(5538),
    [anon_sym_BSLASHpo] = ACTIONS(5538),
    [anon_sym_BSLASHpr] = ACTIONS(5538),
    [anon_sym_BSLASHcls] = ACTIONS(5538),
    [anon_sym_BSLASHpmo] = ACTIONS(5538),
    [anon_sym_BSLASHpm] = ACTIONS(5538),
    [anon_sym_BSLASHpmc] = ACTIONS(5538),
    [anon_sym_BSLASHpmr] = ACTIONS(5538),
    [anon_sym_BSLASHpi] = ACTIONS(5538),
    [anon_sym_BSLASHmi] = ACTIONS(5538),
    [anon_sym_BSLASHnb] = ACTIONS(5538),
    [anon_sym_BSLASHpc] = ACTIONS(5538),
    [anon_sym_BSLASHph] = ACTIONS(5538),
    [anon_sym_BSLASHb] = ACTIONS(5538),
    [anon_sym_BSLASHq] = ACTIONS(5538),
    [anon_sym_BSLASHqr] = ACTIONS(5538),
    [anon_sym_BSLASHqc] = ACTIONS(5538),
    [anon_sym_BSLASHqa] = ACTIONS(5538),
    [anon_sym_BSLASHqm] = ACTIONS(5538),
    [anon_sym_BSLASHqd] = ACTIONS(5538),
    [anon_sym_BSLASHlh] = ACTIONS(5538),
    [anon_sym_BSLASHli] = ACTIONS(5538),
    [anon_sym_BSLASHlim] = ACTIONS(5538),
    [anon_sym_BSLASHtr] = ACTIONS(5538),
    [anon_sym_BSLASHf] = ACTIONS(5538),
    [anon_sym_BSLASHfe] = ACTIONS(5538),
    [anon_sym_BSLASHef] = ACTIONS(5538),
    [anon_sym_BSLASHfm] = ACTIONS(5538),
    [anon_sym_BSLASHxt] = ACTIONS(5538),
    [anon_sym_BSLASHadd] = ACTIONS(5538),
    [anon_sym_BSLASHbk] = ACTIONS(5538),
    [anon_sym_BSLASHdc] = ACTIONS(5538),
    [anon_sym_BSLASHk] = ACTIONS(5538),
    [anon_sym_BSLASHnd] = ACTIONS(5538),
    [anon_sym_BSLASHord] = ACTIONS(5538),
    [anon_sym_BSLASHpn] = ACTIONS(5538),
    [anon_sym_BSLASHpng] = ACTIONS(5538),
    [anon_sym_BSLASHaddpn] = ACTIONS(5538),
    [anon_sym_BSLASHqt] = ACTIONS(5538),
    [anon_sym_BSLASHsig] = ACTIONS(5538),
    [anon_sym_BSLASHsls] = ACTIONS(5538),
    [anon_sym_BSLASHtl] = ACTIONS(5538),
    [anon_sym_BSLASHwj] = ACTIONS(5538),
    [anon_sym_BSLASHem] = ACTIONS(5538),
    [anon_sym_BSLASHbd] = ACTIONS(5538),
    [anon_sym_BSLASHit] = ACTIONS(5538),
    [anon_sym_BSLASHbdit] = ACTIONS(5538),
    [anon_sym_BSLASHno] = ACTIONS(5538),
    [anon_sym_BSLASHsc] = ACTIONS(5538),
    [anon_sym_BSLASHsup] = ACTIONS(5538),
    [anon_sym_BSLASHndx] = ACTIONS(5538),
    [anon_sym_BSLASHpro] = ACTIONS(5538),
    [anon_sym_BSLASHrb] = ACTIONS(5538),
    [anon_sym_BSLASHw] = ACTIONS(5538),
    [anon_sym_BSLASHwg] = ACTIONS(5538),
    [anon_sym_BSLASHwh] = ACTIONS(5538),
    [anon_sym_BSLASHwa] = ACTIONS(5538),
    [anon_sym_BSLASHfig] = ACTIONS(5538),
    [anon_sym_BSLASHjmp] = ACTIONS(5538),
    [anon_sym_BSLASHpb] = ACTIONS(5538),
    [anon_sym_BSLASH] = ACTIONS(5538),
    [sym_milestoneStartTag] = ACTIONS(5538),
    [sym_milestoneEndTag] = ACTIONS(5538),
    [sym_zSpaceTag] = ACTIONS(5538),
    [anon_sym_BSLASHesbe] = ACTIONS(5538),
    [anon_sym_BSLASHcat] = ACTIONS(5538),
  },
  [790] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2143),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [791] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2233),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [792] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1948),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [793] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2450),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [794] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1957),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [795] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1959),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [796] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1965),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [797] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1940),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [798] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1969),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [799] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1967),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [800] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2451),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [801] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2452),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [802] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2455),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [803] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2458),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [804] = {
    [sym_text] = STATE(744),
    [sym_footnote] = STATE(744),
    [sym_f] = STATE(1604),
    [sym_fe] = STATE(1604),
    [sym_ef] = STATE(1604),
    [sym_fm] = STATE(1604),
    [sym_crossref] = STATE(744),
    [sym_x] = STATE(1552),
    [sym_xt_standalone] = STATE(1552),
    [sym_rq] = STATE(1552),
    [sym__innerText] = STATE(1865),
    [sym_addNested] = STATE(744),
    [sym_bkNested] = STATE(744),
    [sym_dcNested] = STATE(744),
    [sym_kNested] = STATE(744),
    [sym_ndNested] = STATE(744),
    [sym_ordNested] = STATE(744),
    [sym_pnNested] = STATE(744),
    [sym_pngNested] = STATE(744),
    [sym_addpnNested] = STATE(744),
    [sym_qtNested] = STATE(744),
    [sym_sigNested] = STATE(744),
    [sym_slsNested] = STATE(744),
    [sym_tlNested] = STATE(744),
    [sym_wjNested] = STATE(744),
    [sym_emNested] = STATE(744),
    [sym_bdNested] = STATE(744),
    [sym_itNested] = STATE(744),
    [sym_bditNested] = STATE(744),
    [sym_noNested] = STATE(744),
    [sym_scNested] = STATE(744),
    [sym_supNested] = STATE(744),
    [sym_ndxNested] = STATE(744),
    [sym_proNested] = STATE(744),
    [sym_rbNested] = STATE(744),
    [sym_wNested] = STATE(744),
    [sym_wgNested] = STATE(744),
    [sym_whNested] = STATE(744),
    [sym_waNested] = STATE(744),
    [sym__nestedCharacterMarker] = STATE(744),
    [sym_fig] = STATE(744),
    [sym_jmpNested] = STATE(744),
    [aux_sym__innerText_repeat1] = STATE(744),
    [aux_sym_text_token1] = ACTIONS(6057),
    [anon_sym_BSLASHf] = ACTIONS(5820),
    [anon_sym_BSLASHfe] = ACTIONS(5822),
    [anon_sym_BSLASHef] = ACTIONS(5824),
    [anon_sym_BSLASHfm] = ACTIONS(5826),
    [anon_sym_BSLASHx] = ACTIONS(5828),
    [anon_sym_BSLASHxt] = ACTIONS(5830),
    [anon_sym_BSLASHrq] = ACTIONS(5832),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5834),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5836),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5838),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5840),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5842),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5844),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5846),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5848),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5850),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5852),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5854),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5856),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5858),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5860),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5862),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5864),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5866),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5868),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5870),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5872),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5874),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5876),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5878),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5880),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5882),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5884),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5886),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5888),
    [anon_sym_BSLASHfig] = ACTIONS(5890),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5892),
  },
  [805] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2459),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [806] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2460),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [807] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2461),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [808] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2448),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [809] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2447),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [810] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2521),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [811] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2526),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [812] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2529),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [813] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2408),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [814] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2407),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [815] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2406),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [816] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1881),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [817] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1922),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [818] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2404),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [819] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2423),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [820] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2422),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [821] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2413),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [822] = {
    [sym_text] = STATE(744),
    [sym_footnote] = STATE(744),
    [sym_f] = STATE(1604),
    [sym_fe] = STATE(1604),
    [sym_ef] = STATE(1604),
    [sym_fm] = STATE(1604),
    [sym_crossref] = STATE(744),
    [sym_x] = STATE(1552),
    [sym_xt_standalone] = STATE(1552),
    [sym_rq] = STATE(1552),
    [sym__innerText] = STATE(1851),
    [sym_addNested] = STATE(744),
    [sym_bkNested] = STATE(744),
    [sym_dcNested] = STATE(744),
    [sym_kNested] = STATE(744),
    [sym_ndNested] = STATE(744),
    [sym_ordNested] = STATE(744),
    [sym_pnNested] = STATE(744),
    [sym_pngNested] = STATE(744),
    [sym_addpnNested] = STATE(744),
    [sym_qtNested] = STATE(744),
    [sym_sigNested] = STATE(744),
    [sym_slsNested] = STATE(744),
    [sym_tlNested] = STATE(744),
    [sym_wjNested] = STATE(744),
    [sym_emNested] = STATE(744),
    [sym_bdNested] = STATE(744),
    [sym_itNested] = STATE(744),
    [sym_bditNested] = STATE(744),
    [sym_noNested] = STATE(744),
    [sym_scNested] = STATE(744),
    [sym_supNested] = STATE(744),
    [sym_ndxNested] = STATE(744),
    [sym_proNested] = STATE(744),
    [sym_rbNested] = STATE(744),
    [sym_wNested] = STATE(744),
    [sym_wgNested] = STATE(744),
    [sym_whNested] = STATE(744),
    [sym_waNested] = STATE(744),
    [sym__nestedCharacterMarker] = STATE(744),
    [sym_fig] = STATE(744),
    [sym_jmpNested] = STATE(744),
    [aux_sym__innerText_repeat1] = STATE(744),
    [aux_sym_text_token1] = ACTIONS(6057),
    [anon_sym_BSLASHf] = ACTIONS(5820),
    [anon_sym_BSLASHfe] = ACTIONS(5822),
    [anon_sym_BSLASHef] = ACTIONS(5824),
    [anon_sym_BSLASHfm] = ACTIONS(5826),
    [anon_sym_BSLASHx] = ACTIONS(5828),
    [anon_sym_BSLASHxt] = ACTIONS(5830),
    [anon_sym_BSLASHrq] = ACTIONS(5832),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5834),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5836),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5838),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5840),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5842),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5844),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5846),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5848),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5850),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5852),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5854),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5856),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5858),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5860),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5862),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5864),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5866),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5868),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5870),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5872),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5874),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5876),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5878),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5880),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5882),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5884),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5886),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5888),
    [anon_sym_BSLASHfig] = ACTIONS(5890),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5892),
  },
  [823] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2411),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [824] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2403),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [825] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2402),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [826] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2376),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [827] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2401),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [828] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2400),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [829] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2399),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [830] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym__innerText] = STATE(2442),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [831] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2436),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [832] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2375),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [833] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2374),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [834] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2349),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [835] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym__innerText] = STATE(2283),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [836] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2347),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [837] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2312),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [838] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2435),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [839] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2398),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [840] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2397),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [841] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2412),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [842] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym__innerText] = STATE(2311),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [843] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2433),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [844] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2396),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [845] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2395),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [846] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2432),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [847] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym__innerText] = STATE(2394),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [848] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2393),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [849] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2392),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [850] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2430),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [851] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym__innerText] = STATE(2391),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [852] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2390),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [853] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2426),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [854] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2389),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [855] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2388),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [856] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2310),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [857] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2387),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [858] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2217),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [859] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2386),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [860] = {
    [sym_text] = STATE(744),
    [sym_footnote] = STATE(744),
    [sym_f] = STATE(1604),
    [sym_fe] = STATE(1604),
    [sym_ef] = STATE(1604),
    [sym_fm] = STATE(1604),
    [sym_crossref] = STATE(744),
    [sym_x] = STATE(1552),
    [sym_xt_standalone] = STATE(1552),
    [sym_rq] = STATE(1552),
    [sym__innerText] = STATE(1848),
    [sym_addNested] = STATE(744),
    [sym_bkNested] = STATE(744),
    [sym_dcNested] = STATE(744),
    [sym_kNested] = STATE(744),
    [sym_ndNested] = STATE(744),
    [sym_ordNested] = STATE(744),
    [sym_pnNested] = STATE(744),
    [sym_pngNested] = STATE(744),
    [sym_addpnNested] = STATE(744),
    [sym_qtNested] = STATE(744),
    [sym_sigNested] = STATE(744),
    [sym_slsNested] = STATE(744),
    [sym_tlNested] = STATE(744),
    [sym_wjNested] = STATE(744),
    [sym_emNested] = STATE(744),
    [sym_bdNested] = STATE(744),
    [sym_itNested] = STATE(744),
    [sym_bditNested] = STATE(744),
    [sym_noNested] = STATE(744),
    [sym_scNested] = STATE(744),
    [sym_supNested] = STATE(744),
    [sym_ndxNested] = STATE(744),
    [sym_proNested] = STATE(744),
    [sym_rbNested] = STATE(744),
    [sym_wNested] = STATE(744),
    [sym_wgNested] = STATE(744),
    [sym_whNested] = STATE(744),
    [sym_waNested] = STATE(744),
    [sym__nestedCharacterMarker] = STATE(744),
    [sym_fig] = STATE(744),
    [sym_jmpNested] = STATE(744),
    [aux_sym__innerText_repeat1] = STATE(744),
    [aux_sym_text_token1] = ACTIONS(6057),
    [anon_sym_BSLASHf] = ACTIONS(5820),
    [anon_sym_BSLASHfe] = ACTIONS(5822),
    [anon_sym_BSLASHef] = ACTIONS(5824),
    [anon_sym_BSLASHfm] = ACTIONS(5826),
    [anon_sym_BSLASHx] = ACTIONS(5828),
    [anon_sym_BSLASHxt] = ACTIONS(5830),
    [anon_sym_BSLASHrq] = ACTIONS(5832),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5834),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5836),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5838),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5840),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5842),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5844),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5846),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5848),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5850),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5852),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5854),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5856),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5858),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5860),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5862),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5864),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5866),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5868),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5870),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5872),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5874),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5876),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5878),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5880),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5882),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5884),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5886),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5888),
    [anon_sym_BSLASHfig] = ACTIONS(5890),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5892),
  },
  [861] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2384),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [862] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2383),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [863] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2218),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [864] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2382),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [865] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2285),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [866] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2284),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [867] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2344),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [868] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2343),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [869] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2342),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [870] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2246),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [871] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1934),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [872] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2340),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [873] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2339),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [874] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2338),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [875] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2337),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [876] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2336),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [877] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2335),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [878] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2334),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [879] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2333),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [880] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2332),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [881] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2420),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [882] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2331),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [883] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym__innerText] = STATE(2330),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [884] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2329),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [885] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2328),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [886] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2248),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [887] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2247),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [888] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym__innerText] = STATE(2327),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [889] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2419),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [890] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2418),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [891] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1882),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [892] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2326),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [893] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2325),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [894] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2324),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [895] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2323),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [896] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2322),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [897] = {
    [sym_text] = STATE(744),
    [sym_footnote] = STATE(744),
    [sym_f] = STATE(1604),
    [sym_fe] = STATE(1604),
    [sym_ef] = STATE(1604),
    [sym_fm] = STATE(1604),
    [sym_crossref] = STATE(744),
    [sym_x] = STATE(1552),
    [sym_xt_standalone] = STATE(1552),
    [sym_rq] = STATE(1552),
    [sym__innerText] = STATE(1852),
    [sym_addNested] = STATE(744),
    [sym_bkNested] = STATE(744),
    [sym_dcNested] = STATE(744),
    [sym_kNested] = STATE(744),
    [sym_ndNested] = STATE(744),
    [sym_ordNested] = STATE(744),
    [sym_pnNested] = STATE(744),
    [sym_pngNested] = STATE(744),
    [sym_addpnNested] = STATE(744),
    [sym_qtNested] = STATE(744),
    [sym_sigNested] = STATE(744),
    [sym_slsNested] = STATE(744),
    [sym_tlNested] = STATE(744),
    [sym_wjNested] = STATE(744),
    [sym_emNested] = STATE(744),
    [sym_bdNested] = STATE(744),
    [sym_itNested] = STATE(744),
    [sym_bditNested] = STATE(744),
    [sym_noNested] = STATE(744),
    [sym_scNested] = STATE(744),
    [sym_supNested] = STATE(744),
    [sym_ndxNested] = STATE(744),
    [sym_proNested] = STATE(744),
    [sym_rbNested] = STATE(744),
    [sym_wNested] = STATE(744),
    [sym_wgNested] = STATE(744),
    [sym_whNested] = STATE(744),
    [sym_waNested] = STATE(744),
    [sym__nestedCharacterMarker] = STATE(744),
    [sym_fig] = STATE(744),
    [sym_jmpNested] = STATE(744),
    [aux_sym__innerText_repeat1] = STATE(744),
    [aux_sym_text_token1] = ACTIONS(6057),
    [anon_sym_BSLASHf] = ACTIONS(5820),
    [anon_sym_BSLASHfe] = ACTIONS(5822),
    [anon_sym_BSLASHef] = ACTIONS(5824),
    [anon_sym_BSLASHfm] = ACTIONS(5826),
    [anon_sym_BSLASHx] = ACTIONS(5828),
    [anon_sym_BSLASHxt] = ACTIONS(5830),
    [anon_sym_BSLASHrq] = ACTIONS(5832),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5834),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5836),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5838),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5840),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5842),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5844),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5846),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5848),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5850),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5852),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5854),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5856),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5858),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5860),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5862),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5864),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5866),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5868),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5870),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5872),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5874),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5876),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5878),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5880),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5882),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5884),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5886),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5888),
    [anon_sym_BSLASHfig] = ACTIONS(5890),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5892),
  },
  [898] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2320),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [899] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2319),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [900] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2318),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [901] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2414),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [902] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2280),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [903] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2279),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [904] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2278),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [905] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1883),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [906] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2276),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [907] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2275),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [908] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2274),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [909] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2273),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [910] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2272),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [911] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2271),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [912] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2270),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [913] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2269),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [914] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2268),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [915] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2267),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [916] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2259),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [917] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2405),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [918] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym__innerText] = STATE(2266),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [919] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2265),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [920] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2264),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [921] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2144),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [922] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym__innerText] = STATE(2263),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [923] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2304),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [924] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2303),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [925] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1977),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [926] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2219),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [927] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2261),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [928] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2260),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [929] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2262),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [930] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2301),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [931] = {
    [sym_text] = STATE(744),
    [sym_footnote] = STATE(744),
    [sym_f] = STATE(1604),
    [sym_fe] = STATE(1604),
    [sym_ef] = STATE(1604),
    [sym_fm] = STATE(1604),
    [sym_crossref] = STATE(744),
    [sym_x] = STATE(1552),
    [sym_xt_standalone] = STATE(1552),
    [sym_rq] = STATE(1552),
    [sym__innerText] = STATE(1856),
    [sym_addNested] = STATE(744),
    [sym_bkNested] = STATE(744),
    [sym_dcNested] = STATE(744),
    [sym_kNested] = STATE(744),
    [sym_ndNested] = STATE(744),
    [sym_ordNested] = STATE(744),
    [sym_pnNested] = STATE(744),
    [sym_pngNested] = STATE(744),
    [sym_addpnNested] = STATE(744),
    [sym_qtNested] = STATE(744),
    [sym_sigNested] = STATE(744),
    [sym_slsNested] = STATE(744),
    [sym_tlNested] = STATE(744),
    [sym_wjNested] = STATE(744),
    [sym_emNested] = STATE(744),
    [sym_bdNested] = STATE(744),
    [sym_itNested] = STATE(744),
    [sym_bditNested] = STATE(744),
    [sym_noNested] = STATE(744),
    [sym_scNested] = STATE(744),
    [sym_supNested] = STATE(744),
    [sym_ndxNested] = STATE(744),
    [sym_proNested] = STATE(744),
    [sym_rbNested] = STATE(744),
    [sym_wNested] = STATE(744),
    [sym_wgNested] = STATE(744),
    [sym_whNested] = STATE(744),
    [sym_waNested] = STATE(744),
    [sym__nestedCharacterMarker] = STATE(744),
    [sym_fig] = STATE(744),
    [sym_jmpNested] = STATE(744),
    [aux_sym__innerText_repeat1] = STATE(744),
    [aux_sym_text_token1] = ACTIONS(6057),
    [anon_sym_BSLASHf] = ACTIONS(5820),
    [anon_sym_BSLASHfe] = ACTIONS(5822),
    [anon_sym_BSLASHef] = ACTIONS(5824),
    [anon_sym_BSLASHfm] = ACTIONS(5826),
    [anon_sym_BSLASHx] = ACTIONS(5828),
    [anon_sym_BSLASHxt] = ACTIONS(5830),
    [anon_sym_BSLASHrq] = ACTIONS(5832),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5834),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5836),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5838),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5840),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5842),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5844),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5846),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5848),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5850),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5852),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5854),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5856),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5858),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5860),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5862),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5864),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5866),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5868),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5870),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5872),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5874),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5876),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5878),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5880),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5882),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5884),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5886),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5888),
    [anon_sym_BSLASHfig] = ACTIONS(5890),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5892),
  },
  [932] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2258),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [933] = {
    [sym_text] = STATE(744),
    [sym_footnote] = STATE(744),
    [sym_f] = STATE(1604),
    [sym_fe] = STATE(1604),
    [sym_ef] = STATE(1604),
    [sym_fm] = STATE(1604),
    [sym_crossref] = STATE(744),
    [sym_x] = STATE(1552),
    [sym_xt_standalone] = STATE(1552),
    [sym_rq] = STATE(1552),
    [sym__innerText] = STATE(1846),
    [sym_addNested] = STATE(744),
    [sym_bkNested] = STATE(744),
    [sym_dcNested] = STATE(744),
    [sym_kNested] = STATE(744),
    [sym_ndNested] = STATE(744),
    [sym_ordNested] = STATE(744),
    [sym_pnNested] = STATE(744),
    [sym_pngNested] = STATE(744),
    [sym_addpnNested] = STATE(744),
    [sym_qtNested] = STATE(744),
    [sym_sigNested] = STATE(744),
    [sym_slsNested] = STATE(744),
    [sym_tlNested] = STATE(744),
    [sym_wjNested] = STATE(744),
    [sym_emNested] = STATE(744),
    [sym_bdNested] = STATE(744),
    [sym_itNested] = STATE(744),
    [sym_bditNested] = STATE(744),
    [sym_noNested] = STATE(744),
    [sym_scNested] = STATE(744),
    [sym_supNested] = STATE(744),
    [sym_ndxNested] = STATE(744),
    [sym_proNested] = STATE(744),
    [sym_rbNested] = STATE(744),
    [sym_wNested] = STATE(744),
    [sym_wgNested] = STATE(744),
    [sym_whNested] = STATE(744),
    [sym_waNested] = STATE(744),
    [sym__nestedCharacterMarker] = STATE(744),
    [sym_fig] = STATE(744),
    [sym_jmpNested] = STATE(744),
    [aux_sym__innerText_repeat1] = STATE(744),
    [aux_sym_text_token1] = ACTIONS(6057),
    [anon_sym_BSLASHf] = ACTIONS(5820),
    [anon_sym_BSLASHfe] = ACTIONS(5822),
    [anon_sym_BSLASHef] = ACTIONS(5824),
    [anon_sym_BSLASHfm] = ACTIONS(5826),
    [anon_sym_BSLASHx] = ACTIONS(5828),
    [anon_sym_BSLASHxt] = ACTIONS(5830),
    [anon_sym_BSLASHrq] = ACTIONS(5832),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5834),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5836),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5838),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5840),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5842),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5844),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5846),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5848),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5850),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5852),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5854),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5856),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5858),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5860),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5862),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5864),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5866),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5868),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5870),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5872),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5874),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5876),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5878),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5880),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5882),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5884),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5886),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5888),
    [anon_sym_BSLASHfig] = ACTIONS(5890),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5892),
  },
  [934] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2256),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [935] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2255),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [936] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2254),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [937] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2298),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [938] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2214),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [939] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2213),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [940] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2212),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [941] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1903),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [942] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2210),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [943] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2209),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [944] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2208),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [945] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2207),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [946] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2206),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [947] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2205),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [948] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2204),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [949] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2203),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [950] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2202),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [951] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2201),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [952] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym__innerText] = STATE(2200),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [953] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2199),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [954] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2297),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [955] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2198),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [956] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym__innerText] = STATE(2197),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [957] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2196),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [958] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2627),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [959] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2195),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [960] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2194),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [961] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2798),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [962] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2797),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [963] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2796),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [964] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1909),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [965] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2296),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [966] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1939),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [967] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2795),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [968] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2794),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [969] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2793),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [970] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2792),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [971] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2791),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [972] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2747),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [973] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2746),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [974] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2667),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [975] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1951),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [976] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2193),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [977] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2730),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [978] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2192),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [979] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1917),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [980] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2729),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [981] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2728),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [982] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2179),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [983] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2152),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [984] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2725),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [985] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2723),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [986] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2722),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [987] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2721),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [988] = {
    [sym_text] = STATE(744),
    [sym_footnote] = STATE(744),
    [sym_f] = STATE(1604),
    [sym_fe] = STATE(1604),
    [sym_ef] = STATE(1604),
    [sym_fm] = STATE(1604),
    [sym_crossref] = STATE(744),
    [sym_x] = STATE(1552),
    [sym_xt_standalone] = STATE(1552),
    [sym_rq] = STATE(1552),
    [sym__innerText] = STATE(1863),
    [sym_addNested] = STATE(744),
    [sym_bkNested] = STATE(744),
    [sym_dcNested] = STATE(744),
    [sym_kNested] = STATE(744),
    [sym_ndNested] = STATE(744),
    [sym_ordNested] = STATE(744),
    [sym_pnNested] = STATE(744),
    [sym_pngNested] = STATE(744),
    [sym_addpnNested] = STATE(744),
    [sym_qtNested] = STATE(744),
    [sym_sigNested] = STATE(744),
    [sym_slsNested] = STATE(744),
    [sym_tlNested] = STATE(744),
    [sym_wjNested] = STATE(744),
    [sym_emNested] = STATE(744),
    [sym_bdNested] = STATE(744),
    [sym_itNested] = STATE(744),
    [sym_bditNested] = STATE(744),
    [sym_noNested] = STATE(744),
    [sym_scNested] = STATE(744),
    [sym_supNested] = STATE(744),
    [sym_ndxNested] = STATE(744),
    [sym_proNested] = STATE(744),
    [sym_rbNested] = STATE(744),
    [sym_wNested] = STATE(744),
    [sym_wgNested] = STATE(744),
    [sym_whNested] = STATE(744),
    [sym_waNested] = STATE(744),
    [sym__nestedCharacterMarker] = STATE(744),
    [sym_fig] = STATE(744),
    [sym_jmpNested] = STATE(744),
    [aux_sym__innerText_repeat1] = STATE(744),
    [aux_sym_text_token1] = ACTIONS(6057),
    [anon_sym_BSLASHf] = ACTIONS(5820),
    [anon_sym_BSLASHfe] = ACTIONS(5822),
    [anon_sym_BSLASHef] = ACTIONS(5824),
    [anon_sym_BSLASHfm] = ACTIONS(5826),
    [anon_sym_BSLASHx] = ACTIONS(5828),
    [anon_sym_BSLASHxt] = ACTIONS(5830),
    [anon_sym_BSLASHrq] = ACTIONS(5832),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5834),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5836),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5838),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5840),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5842),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5844),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5846),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5848),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5850),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5852),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5854),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5856),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5858),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5860),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5862),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5864),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5866),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5868),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5870),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5872),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5874),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5876),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5878),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5880),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5882),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5884),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5886),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5888),
    [anon_sym_BSLASHfig] = ACTIONS(5890),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5892),
  },
  [989] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2190),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [990] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2720),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [991] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2718),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [992] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2716),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [993] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2698),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [994] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2697),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [995] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2814),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [996] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2696),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [997] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2678),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [998] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2189),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [999] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2188),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1000] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2151),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1001] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2295),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1002] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2147),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1003] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2652),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1004] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2651),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1005] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2146),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1006] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2650),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1007] = {
    [sym_text] = STATE(744),
    [sym_footnote] = STATE(744),
    [sym_f] = STATE(1604),
    [sym_fe] = STATE(1604),
    [sym_ef] = STATE(1604),
    [sym_fm] = STATE(1604),
    [sym_crossref] = STATE(744),
    [sym_x] = STATE(1552),
    [sym_xt_standalone] = STATE(1552),
    [sym_rq] = STATE(1552),
    [sym__innerText] = STATE(1864),
    [sym_addNested] = STATE(744),
    [sym_bkNested] = STATE(744),
    [sym_dcNested] = STATE(744),
    [sym_kNested] = STATE(744),
    [sym_ndNested] = STATE(744),
    [sym_ordNested] = STATE(744),
    [sym_pnNested] = STATE(744),
    [sym_pngNested] = STATE(744),
    [sym_addpnNested] = STATE(744),
    [sym_qtNested] = STATE(744),
    [sym_sigNested] = STATE(744),
    [sym_slsNested] = STATE(744),
    [sym_tlNested] = STATE(744),
    [sym_wjNested] = STATE(744),
    [sym_emNested] = STATE(744),
    [sym_bdNested] = STATE(744),
    [sym_itNested] = STATE(744),
    [sym_bditNested] = STATE(744),
    [sym_noNested] = STATE(744),
    [sym_scNested] = STATE(744),
    [sym_supNested] = STATE(744),
    [sym_ndxNested] = STATE(744),
    [sym_proNested] = STATE(744),
    [sym_rbNested] = STATE(744),
    [sym_wNested] = STATE(744),
    [sym_wgNested] = STATE(744),
    [sym_whNested] = STATE(744),
    [sym_waNested] = STATE(744),
    [sym__nestedCharacterMarker] = STATE(744),
    [sym_fig] = STATE(744),
    [sym_jmpNested] = STATE(744),
    [aux_sym__innerText_repeat1] = STATE(744),
    [aux_sym_text_token1] = ACTIONS(6057),
    [anon_sym_BSLASHf] = ACTIONS(5820),
    [anon_sym_BSLASHfe] = ACTIONS(5822),
    [anon_sym_BSLASHef] = ACTIONS(5824),
    [anon_sym_BSLASHfm] = ACTIONS(5826),
    [anon_sym_BSLASHx] = ACTIONS(5828),
    [anon_sym_BSLASHxt] = ACTIONS(5830),
    [anon_sym_BSLASHrq] = ACTIONS(5832),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5834),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5836),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5838),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5840),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5842),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5844),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5846),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5848),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5850),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5852),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5854),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5856),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5858),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5860),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5862),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5864),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5866),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5868),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5870),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5872),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5874),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5876),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5878),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5880),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5882),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5884),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5886),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5888),
    [anon_sym_BSLASHfig] = ACTIONS(5890),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5892),
  },
  [1008] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2145),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1009] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1930),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1010] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2649),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1011] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2648),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1012] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2647),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1013] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2127),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1014] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2142),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1015] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2141),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1016] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2140),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1017] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1921),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1018] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2530),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1019] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2531),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1020] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2646),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1021] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2139),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1022] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym__innerText] = STATE(2645),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1023] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2644),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1024] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2643),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1025] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym__innerText] = STATE(2642),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1026] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2640),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1027] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2138),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1028] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2137),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1029] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2136),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1030] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2635),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1031] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2135),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1032] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2632),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1033] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2294),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1034] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2134),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1035] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2631),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1036] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2533),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1037] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2630),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1038] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym__innerText] = STATE(2133),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1039] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2628),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1040] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2597),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1041] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2626),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1042] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2625),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1043] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2623),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1044] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2132),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1045] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1885),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1046] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2622),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1047] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2621),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1048] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2534),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1049] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2131),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1050] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym__innerText] = STATE(2130),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1051] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2129),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1052] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2536),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1053] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2620),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1054] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2537),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1055] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2538),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1056] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2606),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1057] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2480),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1058] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2602),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1059] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2598),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1060] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2434),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1061] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2593),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1062] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2589),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1063] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2624),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1064] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2588),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1065] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2174),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1066] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2587),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1067] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2586),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1068] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2585),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1069] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2562),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1070] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2555),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1071] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2554),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1072] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2541),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1073] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2539),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1074] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2173),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1075] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2172),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1076] = {
    [sym_text] = STATE(744),
    [sym_footnote] = STATE(744),
    [sym_f] = STATE(1604),
    [sym_fe] = STATE(1604),
    [sym_ef] = STATE(1604),
    [sym_fm] = STATE(1604),
    [sym_crossref] = STATE(744),
    [sym_x] = STATE(1552),
    [sym_xt_standalone] = STATE(1552),
    [sym_rq] = STATE(1552),
    [sym__innerText] = STATE(1854),
    [sym_addNested] = STATE(744),
    [sym_bkNested] = STATE(744),
    [sym_dcNested] = STATE(744),
    [sym_kNested] = STATE(744),
    [sym_ndNested] = STATE(744),
    [sym_ordNested] = STATE(744),
    [sym_pnNested] = STATE(744),
    [sym_pngNested] = STATE(744),
    [sym_addpnNested] = STATE(744),
    [sym_qtNested] = STATE(744),
    [sym_sigNested] = STATE(744),
    [sym_slsNested] = STATE(744),
    [sym_tlNested] = STATE(744),
    [sym_wjNested] = STATE(744),
    [sym_emNested] = STATE(744),
    [sym_bdNested] = STATE(744),
    [sym_itNested] = STATE(744),
    [sym_bditNested] = STATE(744),
    [sym_noNested] = STATE(744),
    [sym_scNested] = STATE(744),
    [sym_supNested] = STATE(744),
    [sym_ndxNested] = STATE(744),
    [sym_proNested] = STATE(744),
    [sym_rbNested] = STATE(744),
    [sym_wNested] = STATE(744),
    [sym_wgNested] = STATE(744),
    [sym_whNested] = STATE(744),
    [sym_waNested] = STATE(744),
    [sym__nestedCharacterMarker] = STATE(744),
    [sym_fig] = STATE(744),
    [sym_jmpNested] = STATE(744),
    [aux_sym__innerText_repeat1] = STATE(744),
    [aux_sym_text_token1] = ACTIONS(6057),
    [anon_sym_BSLASHf] = ACTIONS(5820),
    [anon_sym_BSLASHfe] = ACTIONS(5822),
    [anon_sym_BSLASHef] = ACTIONS(5824),
    [anon_sym_BSLASHfm] = ACTIONS(5826),
    [anon_sym_BSLASHx] = ACTIONS(5828),
    [anon_sym_BSLASHxt] = ACTIONS(5830),
    [anon_sym_BSLASHrq] = ACTIONS(5832),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5834),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5836),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5838),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5840),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5842),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5844),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5846),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5848),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5850),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5852),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5854),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5856),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5858),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5860),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5862),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5864),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5866),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5868),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5870),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5872),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5874),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5876),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5878),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5880),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5882),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5884),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5886),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5888),
    [anon_sym_BSLASHfig] = ACTIONS(5890),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5892),
  },
  [1077] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2167),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1078] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2166),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1079] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2165),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1080] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym__innerText] = STATE(2293),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1081] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2292),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1082] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2232),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1083] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym__innerText] = STATE(2449),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1084] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2291),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1085] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2234),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1086] = {
    [sym_text] = STATE(787),
    [sym_footnote] = STATE(787),
    [sym_f] = STATE(1625),
    [sym_fe] = STATE(1625),
    [sym_ef] = STATE(1625),
    [sym_fm] = STATE(1625),
    [sym_crossref] = STATE(787),
    [sym_x] = STATE(1622),
    [sym_xt_standalone] = STATE(1622),
    [sym_rq] = STATE(1622),
    [sym__innerText] = STATE(2290),
    [sym_addNested] = STATE(787),
    [sym_bkNested] = STATE(787),
    [sym_dcNested] = STATE(787),
    [sym_kNested] = STATE(787),
    [sym_ndNested] = STATE(787),
    [sym_ordNested] = STATE(787),
    [sym_pnNested] = STATE(787),
    [sym_pngNested] = STATE(787),
    [sym_addpnNested] = STATE(787),
    [sym_qtNested] = STATE(787),
    [sym_sigNested] = STATE(787),
    [sym_slsNested] = STATE(787),
    [sym_tlNested] = STATE(787),
    [sym_wjNested] = STATE(787),
    [sym_emNested] = STATE(787),
    [sym_bdNested] = STATE(787),
    [sym_itNested] = STATE(787),
    [sym_bditNested] = STATE(787),
    [sym_noNested] = STATE(787),
    [sym_scNested] = STATE(787),
    [sym_supNested] = STATE(787),
    [sym_ndxNested] = STATE(787),
    [sym_proNested] = STATE(787),
    [sym_rbNested] = STATE(787),
    [sym_wNested] = STATE(787),
    [sym_wgNested] = STATE(787),
    [sym_whNested] = STATE(787),
    [sym_waNested] = STATE(787),
    [sym__nestedCharacterMarker] = STATE(787),
    [sym_fig] = STATE(787),
    [sym_jmpNested] = STATE(787),
    [aux_sym__innerText_repeat1] = STATE(787),
    [aux_sym_text_token1] = ACTIONS(6012),
    [anon_sym_BSLASHf] = ACTIONS(6014),
    [anon_sym_BSLASHfe] = ACTIONS(6016),
    [anon_sym_BSLASHef] = ACTIONS(6018),
    [anon_sym_BSLASHfm] = ACTIONS(6020),
    [anon_sym_BSLASHx] = ACTIONS(6022),
    [anon_sym_BSLASHxt] = ACTIONS(6024),
    [anon_sym_BSLASHrq] = ACTIONS(6026),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(6028),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1087] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(1897),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1088] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2237),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1089] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2239),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1090] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2240),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1091] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2241),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1092] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2243),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1093] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2286),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1094] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2245),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1095] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2250),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1096] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2257),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1097] = {
    [sym_text] = STATE(279),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(268),
    [sym_fe] = STATE(268),
    [sym_ef] = STATE(268),
    [sym_fm] = STATE(268),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(273),
    [sym_xt_standalone] = STATE(273),
    [sym_rq] = STATE(273),
    [sym__innerText] = STATE(2277),
    [sym_addNested] = STATE(279),
    [sym_bkNested] = STATE(279),
    [sym_dcNested] = STATE(279),
    [sym_kNested] = STATE(279),
    [sym_ndNested] = STATE(279),
    [sym_ordNested] = STATE(279),
    [sym_pnNested] = STATE(279),
    [sym_pngNested] = STATE(279),
    [sym_addpnNested] = STATE(279),
    [sym_qtNested] = STATE(279),
    [sym_sigNested] = STATE(279),
    [sym_slsNested] = STATE(279),
    [sym_tlNested] = STATE(279),
    [sym_wjNested] = STATE(279),
    [sym_emNested] = STATE(279),
    [sym_bdNested] = STATE(279),
    [sym_itNested] = STATE(279),
    [sym_bditNested] = STATE(279),
    [sym_noNested] = STATE(279),
    [sym_scNested] = STATE(279),
    [sym_supNested] = STATE(279),
    [sym_ndxNested] = STATE(279),
    [sym_proNested] = STATE(279),
    [sym_rbNested] = STATE(279),
    [sym_wNested] = STATE(279),
    [sym_wgNested] = STATE(279),
    [sym_whNested] = STATE(279),
    [sym_waNested] = STATE(279),
    [sym__nestedCharacterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmpNested] = STATE(279),
    [aux_sym__innerText_repeat1] = STATE(279),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(3108),
    [anon_sym_BSLASHfe] = ACTIONS(3110),
    [anon_sym_BSLASHef] = ACTIONS(3112),
    [anon_sym_BSLASHfm] = ACTIONS(3114),
    [anon_sym_BSLASHx] = ACTIONS(3116),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(3118),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1098] = {
    [sym_text] = STATE(305),
    [sym_footnote] = STATE(305),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(305),
    [sym_x] = STATE(417),
    [sym_xt_standalone] = STATE(417),
    [sym_rq] = STATE(417),
    [sym_add] = STATE(305),
    [sym_bk] = STATE(305),
    [sym_dc] = STATE(305),
    [sym_k] = STATE(305),
    [sym_nd] = STATE(305),
    [sym_ord] = STATE(305),
    [sym_pn] = STATE(305),
    [sym_png] = STATE(305),
    [sym_addpn] = STATE(305),
    [sym_qt] = STATE(305),
    [sym_sig] = STATE(305),
    [sym_sls] = STATE(305),
    [sym_tl] = STATE(305),
    [sym_wj] = STATE(305),
    [sym_em] = STATE(305),
    [sym_bd] = STATE(305),
    [sym_it] = STATE(305),
    [sym_bdit] = STATE(305),
    [sym_no] = STATE(305),
    [sym_sc] = STATE(305),
    [sym_sup] = STATE(305),
    [sym_ndx] = STATE(305),
    [sym_pro] = STATE(305),
    [sym_rb] = STATE(305),
    [sym_w] = STATE(305),
    [sym_wg] = STATE(305),
    [sym_wh] = STATE(305),
    [sym_wa] = STATE(305),
    [sym__characterMarker] = STATE(305),
    [sym_fig] = STATE(305),
    [sym_jmp] = STATE(305),
    [aux_sym_ms_repeat1] = STATE(305),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHf] = ACTIONS(193),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(197),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(205),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
  },
  [1099] = {
    [sym_text] = STATE(313),
    [sym_footnote] = STATE(313),
    [sym_f] = STATE(553),
    [sym_fe] = STATE(553),
    [sym_ef] = STATE(553),
    [sym_fm] = STATE(553),
    [sym_crossref] = STATE(313),
    [sym_x] = STATE(556),
    [sym_xt_standalone] = STATE(556),
    [sym_rq] = STATE(556),
    [sym_add] = STATE(313),
    [sym_bk] = STATE(313),
    [sym_dc] = STATE(313),
    [sym_k] = STATE(313),
    [sym_nd] = STATE(313),
    [sym_ord] = STATE(313),
    [sym_pn] = STATE(313),
    [sym_png] = STATE(313),
    [sym_addpn] = STATE(313),
    [sym_qt] = STATE(313),
    [sym_sig] = STATE(313),
    [sym_sls] = STATE(313),
    [sym_tl] = STATE(313),
    [sym_wj] = STATE(313),
    [sym_em] = STATE(313),
    [sym_bd] = STATE(313),
    [sym_it] = STATE(313),
    [sym_bdit] = STATE(313),
    [sym_no] = STATE(313),
    [sym_sc] = STATE(313),
    [sym_sup] = STATE(313),
    [sym_ndx] = STATE(313),
    [sym_pro] = STATE(313),
    [sym_rb] = STATE(313),
    [sym_w] = STATE(313),
    [sym_wg] = STATE(313),
    [sym_wh] = STATE(313),
    [sym_wa] = STATE(313),
    [sym__characterMarker] = STATE(313),
    [sym_fig] = STATE(313),
    [sym_jmp] = STATE(313),
    [aux_sym_ms_repeat1] = STATE(313),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHf] = ACTIONS(782),
    [anon_sym_BSLASHfe] = ACTIONS(784),
    [anon_sym_BSLASHef] = ACTIONS(786),
    [anon_sym_BSLASHfm] = ACTIONS(788),
    [anon_sym_BSLASHx] = ACTIONS(790),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHrq] = ACTIONS(794),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
  },
  [1100] = {
    [aux_sym_text_token1] = ACTIONS(6059),
    [anon_sym_BSLASHref] = ACTIONS(6061),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6061),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6061),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6061),
    [anon_sym_BSLASHfr] = ACTIONS(6061),
    [anon_sym_BSLASHfq] = ACTIONS(6061),
    [anon_sym_BSLASHfqa] = ACTIONS(6061),
    [anon_sym_BSLASHfk] = ACTIONS(6061),
    [anon_sym_BSLASHfl] = ACTIONS(6061),
    [anon_sym_BSLASHfw] = ACTIONS(6061),
    [anon_sym_BSLASHfp] = ACTIONS(6061),
    [anon_sym_BSLASHft] = ACTIONS(6061),
    [anon_sym_BSLASHfdc] = ACTIONS(6061),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(6063),
    [anon_sym_BSLASHfv] = ACTIONS(6061),
    [anon_sym_BSLASHxt] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6061),
    [anon_sym_BSLASHadd] = ACTIONS(6061),
    [anon_sym_BSLASHbk] = ACTIONS(6061),
    [anon_sym_BSLASHdc] = ACTIONS(6061),
    [anon_sym_BSLASHk] = ACTIONS(6061),
    [anon_sym_BSLASHnd] = ACTIONS(6061),
    [anon_sym_BSLASHord] = ACTIONS(6061),
    [anon_sym_BSLASHpn] = ACTIONS(6061),
    [anon_sym_BSLASHpng] = ACTIONS(6061),
    [anon_sym_BSLASHaddpn] = ACTIONS(6061),
    [anon_sym_BSLASHqt] = ACTIONS(6061),
    [anon_sym_BSLASHsig] = ACTIONS(6061),
    [anon_sym_BSLASHsls] = ACTIONS(6061),
    [anon_sym_BSLASHtl] = ACTIONS(6061),
    [anon_sym_BSLASHwj] = ACTIONS(6061),
    [anon_sym_BSLASHem] = ACTIONS(6061),
    [anon_sym_BSLASHbd] = ACTIONS(6061),
    [anon_sym_BSLASHit] = ACTIONS(6061),
    [anon_sym_BSLASHbdit] = ACTIONS(6061),
    [anon_sym_BSLASHno] = ACTIONS(6061),
    [anon_sym_BSLASHsc] = ACTIONS(6061),
    [anon_sym_BSLASHsup] = ACTIONS(6061),
    [anon_sym_BSLASHndx] = ACTIONS(6061),
    [anon_sym_BSLASHpro] = ACTIONS(6061),
    [anon_sym_BSLASHrb] = ACTIONS(6061),
    [anon_sym_BSLASHw] = ACTIONS(6061),
    [anon_sym_BSLASHwg] = ACTIONS(6061),
    [anon_sym_BSLASHwh] = ACTIONS(6061),
    [anon_sym_BSLASHwa] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6061),
    [anon_sym_BSLASHfig] = ACTIONS(6061),
    [anon_sym_BSLASHjmp] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6061),
    [anon_sym_BSLASHcat] = ACTIONS(6061),
  },
  [1101] = {
    [aux_sym_text_token1] = ACTIONS(6065),
    [anon_sym_BSLASHref] = ACTIONS(6067),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6067),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6067),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6067),
    [anon_sym_BSLASHfr] = ACTIONS(6067),
    [anon_sym_BSLASHfq] = ACTIONS(6067),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(6069),
    [anon_sym_BSLASHfqa] = ACTIONS(6067),
    [anon_sym_BSLASHfk] = ACTIONS(6067),
    [anon_sym_BSLASHfl] = ACTIONS(6067),
    [anon_sym_BSLASHfw] = ACTIONS(6067),
    [anon_sym_BSLASHfp] = ACTIONS(6067),
    [anon_sym_BSLASHft] = ACTIONS(6067),
    [anon_sym_BSLASHfdc] = ACTIONS(6067),
    [anon_sym_BSLASHfv] = ACTIONS(6067),
    [anon_sym_BSLASHxt] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6067),
    [anon_sym_BSLASHadd] = ACTIONS(6067),
    [anon_sym_BSLASHbk] = ACTIONS(6067),
    [anon_sym_BSLASHdc] = ACTIONS(6067),
    [anon_sym_BSLASHk] = ACTIONS(6067),
    [anon_sym_BSLASHnd] = ACTIONS(6067),
    [anon_sym_BSLASHord] = ACTIONS(6067),
    [anon_sym_BSLASHpn] = ACTIONS(6067),
    [anon_sym_BSLASHpng] = ACTIONS(6067),
    [anon_sym_BSLASHaddpn] = ACTIONS(6067),
    [anon_sym_BSLASHqt] = ACTIONS(6067),
    [anon_sym_BSLASHsig] = ACTIONS(6067),
    [anon_sym_BSLASHsls] = ACTIONS(6067),
    [anon_sym_BSLASHtl] = ACTIONS(6067),
    [anon_sym_BSLASHwj] = ACTIONS(6067),
    [anon_sym_BSLASHem] = ACTIONS(6067),
    [anon_sym_BSLASHbd] = ACTIONS(6067),
    [anon_sym_BSLASHit] = ACTIONS(6067),
    [anon_sym_BSLASHbdit] = ACTIONS(6067),
    [anon_sym_BSLASHno] = ACTIONS(6067),
    [anon_sym_BSLASHsc] = ACTIONS(6067),
    [anon_sym_BSLASHsup] = ACTIONS(6067),
    [anon_sym_BSLASHndx] = ACTIONS(6067),
    [anon_sym_BSLASHpro] = ACTIONS(6067),
    [anon_sym_BSLASHrb] = ACTIONS(6067),
    [anon_sym_BSLASHw] = ACTIONS(6067),
    [anon_sym_BSLASHwg] = ACTIONS(6067),
    [anon_sym_BSLASHwh] = ACTIONS(6067),
    [anon_sym_BSLASHwa] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6067),
    [anon_sym_BSLASHfig] = ACTIONS(6067),
    [anon_sym_BSLASHjmp] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6067),
    [anon_sym_BSLASHcat] = ACTIONS(6067),
  },
  [1102] = {
    [aux_sym_text_token1] = ACTIONS(6071),
    [anon_sym_BSLASHref] = ACTIONS(6073),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6073),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6073),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6073),
    [anon_sym_BSLASHfr] = ACTIONS(6073),
    [anon_sym_BSLASHfq] = ACTIONS(6073),
    [anon_sym_BSLASHfqa] = ACTIONS(6073),
    [anon_sym_BSLASHfk] = ACTIONS(6073),
    [anon_sym_BSLASHfl] = ACTIONS(6073),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(6075),
    [anon_sym_BSLASHfw] = ACTIONS(6073),
    [anon_sym_BSLASHfp] = ACTIONS(6073),
    [anon_sym_BSLASHft] = ACTIONS(6073),
    [anon_sym_BSLASHfdc] = ACTIONS(6073),
    [anon_sym_BSLASHfv] = ACTIONS(6073),
    [anon_sym_BSLASHxt] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6073),
    [anon_sym_BSLASHadd] = ACTIONS(6073),
    [anon_sym_BSLASHbk] = ACTIONS(6073),
    [anon_sym_BSLASHdc] = ACTIONS(6073),
    [anon_sym_BSLASHk] = ACTIONS(6073),
    [anon_sym_BSLASHnd] = ACTIONS(6073),
    [anon_sym_BSLASHord] = ACTIONS(6073),
    [anon_sym_BSLASHpn] = ACTIONS(6073),
    [anon_sym_BSLASHpng] = ACTIONS(6073),
    [anon_sym_BSLASHaddpn] = ACTIONS(6073),
    [anon_sym_BSLASHqt] = ACTIONS(6073),
    [anon_sym_BSLASHsig] = ACTIONS(6073),
    [anon_sym_BSLASHsls] = ACTIONS(6073),
    [anon_sym_BSLASHtl] = ACTIONS(6073),
    [anon_sym_BSLASHwj] = ACTIONS(6073),
    [anon_sym_BSLASHem] = ACTIONS(6073),
    [anon_sym_BSLASHbd] = ACTIONS(6073),
    [anon_sym_BSLASHit] = ACTIONS(6073),
    [anon_sym_BSLASHbdit] = ACTIONS(6073),
    [anon_sym_BSLASHno] = ACTIONS(6073),
    [anon_sym_BSLASHsc] = ACTIONS(6073),
    [anon_sym_BSLASHsup] = ACTIONS(6073),
    [anon_sym_BSLASHndx] = ACTIONS(6073),
    [anon_sym_BSLASHpro] = ACTIONS(6073),
    [anon_sym_BSLASHrb] = ACTIONS(6073),
    [anon_sym_BSLASHw] = ACTIONS(6073),
    [anon_sym_BSLASHwg] = ACTIONS(6073),
    [anon_sym_BSLASHwh] = ACTIONS(6073),
    [anon_sym_BSLASHwa] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6073),
    [anon_sym_BSLASHfig] = ACTIONS(6073),
    [anon_sym_BSLASHjmp] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6073),
    [anon_sym_BSLASHcat] = ACTIONS(6073),
  },
  [1103] = {
    [aux_sym_text_token1] = ACTIONS(6077),
    [anon_sym_BSLASHref] = ACTIONS(6079),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6079),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6079),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6079),
    [anon_sym_BSLASHfr] = ACTIONS(6079),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(6081),
    [anon_sym_BSLASHfq] = ACTIONS(6079),
    [anon_sym_BSLASHfqa] = ACTIONS(6079),
    [anon_sym_BSLASHfk] = ACTIONS(6079),
    [anon_sym_BSLASHfl] = ACTIONS(6079),
    [anon_sym_BSLASHfw] = ACTIONS(6079),
    [anon_sym_BSLASHfp] = ACTIONS(6079),
    [anon_sym_BSLASHft] = ACTIONS(6079),
    [anon_sym_BSLASHfdc] = ACTIONS(6079),
    [anon_sym_BSLASHfv] = ACTIONS(6079),
    [anon_sym_BSLASHxt] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6079),
    [anon_sym_BSLASHadd] = ACTIONS(6079),
    [anon_sym_BSLASHbk] = ACTIONS(6079),
    [anon_sym_BSLASHdc] = ACTIONS(6079),
    [anon_sym_BSLASHk] = ACTIONS(6079),
    [anon_sym_BSLASHnd] = ACTIONS(6079),
    [anon_sym_BSLASHord] = ACTIONS(6079),
    [anon_sym_BSLASHpn] = ACTIONS(6079),
    [anon_sym_BSLASHpng] = ACTIONS(6079),
    [anon_sym_BSLASHaddpn] = ACTIONS(6079),
    [anon_sym_BSLASHqt] = ACTIONS(6079),
    [anon_sym_BSLASHsig] = ACTIONS(6079),
    [anon_sym_BSLASHsls] = ACTIONS(6079),
    [anon_sym_BSLASHtl] = ACTIONS(6079),
    [anon_sym_BSLASHwj] = ACTIONS(6079),
    [anon_sym_BSLASHem] = ACTIONS(6079),
    [anon_sym_BSLASHbd] = ACTIONS(6079),
    [anon_sym_BSLASHit] = ACTIONS(6079),
    [anon_sym_BSLASHbdit] = ACTIONS(6079),
    [anon_sym_BSLASHno] = ACTIONS(6079),
    [anon_sym_BSLASHsc] = ACTIONS(6079),
    [anon_sym_BSLASHsup] = ACTIONS(6079),
    [anon_sym_BSLASHndx] = ACTIONS(6079),
    [anon_sym_BSLASHpro] = ACTIONS(6079),
    [anon_sym_BSLASHrb] = ACTIONS(6079),
    [anon_sym_BSLASHw] = ACTIONS(6079),
    [anon_sym_BSLASHwg] = ACTIONS(6079),
    [anon_sym_BSLASHwh] = ACTIONS(6079),
    [anon_sym_BSLASHwa] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6079),
    [anon_sym_BSLASHfig] = ACTIONS(6079),
    [anon_sym_BSLASHjmp] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6079),
    [anon_sym_BSLASHcat] = ACTIONS(6079),
  },
  [1104] = {
    [aux_sym_text_token1] = ACTIONS(6083),
    [anon_sym_BSLASHref] = ACTIONS(6085),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6085),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6085),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6085),
    [anon_sym_BSLASHfr] = ACTIONS(6085),
    [anon_sym_BSLASHfq] = ACTIONS(6085),
    [anon_sym_BSLASHfqa] = ACTIONS(6085),
    [anon_sym_BSLASHfk] = ACTIONS(6085),
    [anon_sym_BSLASHfl] = ACTIONS(6085),
    [anon_sym_BSLASHfw] = ACTIONS(6085),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(6087),
    [anon_sym_BSLASHfp] = ACTIONS(6085),
    [anon_sym_BSLASHft] = ACTIONS(6085),
    [anon_sym_BSLASHfdc] = ACTIONS(6085),
    [anon_sym_BSLASHfv] = ACTIONS(6085),
    [anon_sym_BSLASHxt] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6085),
    [anon_sym_BSLASHadd] = ACTIONS(6085),
    [anon_sym_BSLASHbk] = ACTIONS(6085),
    [anon_sym_BSLASHdc] = ACTIONS(6085),
    [anon_sym_BSLASHk] = ACTIONS(6085),
    [anon_sym_BSLASHnd] = ACTIONS(6085),
    [anon_sym_BSLASHord] = ACTIONS(6085),
    [anon_sym_BSLASHpn] = ACTIONS(6085),
    [anon_sym_BSLASHpng] = ACTIONS(6085),
    [anon_sym_BSLASHaddpn] = ACTIONS(6085),
    [anon_sym_BSLASHqt] = ACTIONS(6085),
    [anon_sym_BSLASHsig] = ACTIONS(6085),
    [anon_sym_BSLASHsls] = ACTIONS(6085),
    [anon_sym_BSLASHtl] = ACTIONS(6085),
    [anon_sym_BSLASHwj] = ACTIONS(6085),
    [anon_sym_BSLASHem] = ACTIONS(6085),
    [anon_sym_BSLASHbd] = ACTIONS(6085),
    [anon_sym_BSLASHit] = ACTIONS(6085),
    [anon_sym_BSLASHbdit] = ACTIONS(6085),
    [anon_sym_BSLASHno] = ACTIONS(6085),
    [anon_sym_BSLASHsc] = ACTIONS(6085),
    [anon_sym_BSLASHsup] = ACTIONS(6085),
    [anon_sym_BSLASHndx] = ACTIONS(6085),
    [anon_sym_BSLASHpro] = ACTIONS(6085),
    [anon_sym_BSLASHrb] = ACTIONS(6085),
    [anon_sym_BSLASHw] = ACTIONS(6085),
    [anon_sym_BSLASHwg] = ACTIONS(6085),
    [anon_sym_BSLASHwh] = ACTIONS(6085),
    [anon_sym_BSLASHwa] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6085),
    [anon_sym_BSLASHfig] = ACTIONS(6085),
    [anon_sym_BSLASHjmp] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6085),
    [anon_sym_BSLASHcat] = ACTIONS(6085),
  },
  [1105] = {
    [aux_sym_text_token1] = ACTIONS(6089),
    [anon_sym_BSLASHref] = ACTIONS(6091),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6091),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6091),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6091),
    [anon_sym_BSLASHfr] = ACTIONS(6091),
    [anon_sym_BSLASHfq] = ACTIONS(6091),
    [anon_sym_BSLASHfqa] = ACTIONS(6091),
    [anon_sym_BSLASHfk] = ACTIONS(6091),
    [anon_sym_BSLASHfl] = ACTIONS(6091),
    [anon_sym_BSLASHfw] = ACTIONS(6091),
    [anon_sym_BSLASHfp] = ACTIONS(6091),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(6093),
    [anon_sym_BSLASHft] = ACTIONS(6091),
    [anon_sym_BSLASHfdc] = ACTIONS(6091),
    [anon_sym_BSLASHfv] = ACTIONS(6091),
    [anon_sym_BSLASHxt] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6091),
    [anon_sym_BSLASHadd] = ACTIONS(6091),
    [anon_sym_BSLASHbk] = ACTIONS(6091),
    [anon_sym_BSLASHdc] = ACTIONS(6091),
    [anon_sym_BSLASHk] = ACTIONS(6091),
    [anon_sym_BSLASHnd] = ACTIONS(6091),
    [anon_sym_BSLASHord] = ACTIONS(6091),
    [anon_sym_BSLASHpn] = ACTIONS(6091),
    [anon_sym_BSLASHpng] = ACTIONS(6091),
    [anon_sym_BSLASHaddpn] = ACTIONS(6091),
    [anon_sym_BSLASHqt] = ACTIONS(6091),
    [anon_sym_BSLASHsig] = ACTIONS(6091),
    [anon_sym_BSLASHsls] = ACTIONS(6091),
    [anon_sym_BSLASHtl] = ACTIONS(6091),
    [anon_sym_BSLASHwj] = ACTIONS(6091),
    [anon_sym_BSLASHem] = ACTIONS(6091),
    [anon_sym_BSLASHbd] = ACTIONS(6091),
    [anon_sym_BSLASHit] = ACTIONS(6091),
    [anon_sym_BSLASHbdit] = ACTIONS(6091),
    [anon_sym_BSLASHno] = ACTIONS(6091),
    [anon_sym_BSLASHsc] = ACTIONS(6091),
    [anon_sym_BSLASHsup] = ACTIONS(6091),
    [anon_sym_BSLASHndx] = ACTIONS(6091),
    [anon_sym_BSLASHpro] = ACTIONS(6091),
    [anon_sym_BSLASHrb] = ACTIONS(6091),
    [anon_sym_BSLASHw] = ACTIONS(6091),
    [anon_sym_BSLASHwg] = ACTIONS(6091),
    [anon_sym_BSLASHwh] = ACTIONS(6091),
    [anon_sym_BSLASHwa] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6091),
    [anon_sym_BSLASHfig] = ACTIONS(6091),
    [anon_sym_BSLASHjmp] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6091),
    [anon_sym_BSLASHcat] = ACTIONS(6091),
  },
  [1106] = {
    [aux_sym_text_token1] = ACTIONS(6095),
    [anon_sym_BSLASHref] = ACTIONS(6097),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6097),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6097),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6097),
    [anon_sym_BSLASHfr] = ACTIONS(6097),
    [anon_sym_BSLASHfq] = ACTIONS(6097),
    [anon_sym_BSLASHfqa] = ACTIONS(6097),
    [anon_sym_BSLASHfk] = ACTIONS(6097),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(6099),
    [anon_sym_BSLASHfl] = ACTIONS(6097),
    [anon_sym_BSLASHfw] = ACTIONS(6097),
    [anon_sym_BSLASHfp] = ACTIONS(6097),
    [anon_sym_BSLASHft] = ACTIONS(6097),
    [anon_sym_BSLASHfdc] = ACTIONS(6097),
    [anon_sym_BSLASHfv] = ACTIONS(6097),
    [anon_sym_BSLASHxt] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6097),
    [anon_sym_BSLASHadd] = ACTIONS(6097),
    [anon_sym_BSLASHbk] = ACTIONS(6097),
    [anon_sym_BSLASHdc] = ACTIONS(6097),
    [anon_sym_BSLASHk] = ACTIONS(6097),
    [anon_sym_BSLASHnd] = ACTIONS(6097),
    [anon_sym_BSLASHord] = ACTIONS(6097),
    [anon_sym_BSLASHpn] = ACTIONS(6097),
    [anon_sym_BSLASHpng] = ACTIONS(6097),
    [anon_sym_BSLASHaddpn] = ACTIONS(6097),
    [anon_sym_BSLASHqt] = ACTIONS(6097),
    [anon_sym_BSLASHsig] = ACTIONS(6097),
    [anon_sym_BSLASHsls] = ACTIONS(6097),
    [anon_sym_BSLASHtl] = ACTIONS(6097),
    [anon_sym_BSLASHwj] = ACTIONS(6097),
    [anon_sym_BSLASHem] = ACTIONS(6097),
    [anon_sym_BSLASHbd] = ACTIONS(6097),
    [anon_sym_BSLASHit] = ACTIONS(6097),
    [anon_sym_BSLASHbdit] = ACTIONS(6097),
    [anon_sym_BSLASHno] = ACTIONS(6097),
    [anon_sym_BSLASHsc] = ACTIONS(6097),
    [anon_sym_BSLASHsup] = ACTIONS(6097),
    [anon_sym_BSLASHndx] = ACTIONS(6097),
    [anon_sym_BSLASHpro] = ACTIONS(6097),
    [anon_sym_BSLASHrb] = ACTIONS(6097),
    [anon_sym_BSLASHw] = ACTIONS(6097),
    [anon_sym_BSLASHwg] = ACTIONS(6097),
    [anon_sym_BSLASHwh] = ACTIONS(6097),
    [anon_sym_BSLASHwa] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6097),
    [anon_sym_BSLASHfig] = ACTIONS(6097),
    [anon_sym_BSLASHjmp] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6097),
    [anon_sym_BSLASHcat] = ACTIONS(6097),
  },
  [1107] = {
    [aux_sym_text_token1] = ACTIONS(6101),
    [anon_sym_BSLASHref] = ACTIONS(6103),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6103),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6103),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6103),
    [anon_sym_BSLASHfr] = ACTIONS(6103),
    [anon_sym_BSLASHfq] = ACTIONS(6103),
    [anon_sym_BSLASHfqa] = ACTIONS(6103),
    [anon_sym_BSLASHfk] = ACTIONS(6103),
    [anon_sym_BSLASHfl] = ACTIONS(6103),
    [anon_sym_BSLASHfw] = ACTIONS(6103),
    [anon_sym_BSLASHfp] = ACTIONS(6103),
    [anon_sym_BSLASHft] = ACTIONS(6103),
    [anon_sym_BSLASHft_STAR] = ACTIONS(6105),
    [anon_sym_BSLASHfdc] = ACTIONS(6103),
    [anon_sym_BSLASHfv] = ACTIONS(6103),
    [anon_sym_BSLASHxt] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6103),
    [anon_sym_BSLASHadd] = ACTIONS(6103),
    [anon_sym_BSLASHbk] = ACTIONS(6103),
    [anon_sym_BSLASHdc] = ACTIONS(6103),
    [anon_sym_BSLASHk] = ACTIONS(6103),
    [anon_sym_BSLASHnd] = ACTIONS(6103),
    [anon_sym_BSLASHord] = ACTIONS(6103),
    [anon_sym_BSLASHpn] = ACTIONS(6103),
    [anon_sym_BSLASHpng] = ACTIONS(6103),
    [anon_sym_BSLASHaddpn] = ACTIONS(6103),
    [anon_sym_BSLASHqt] = ACTIONS(6103),
    [anon_sym_BSLASHsig] = ACTIONS(6103),
    [anon_sym_BSLASHsls] = ACTIONS(6103),
    [anon_sym_BSLASHtl] = ACTIONS(6103),
    [anon_sym_BSLASHwj] = ACTIONS(6103),
    [anon_sym_BSLASHem] = ACTIONS(6103),
    [anon_sym_BSLASHbd] = ACTIONS(6103),
    [anon_sym_BSLASHit] = ACTIONS(6103),
    [anon_sym_BSLASHbdit] = ACTIONS(6103),
    [anon_sym_BSLASHno] = ACTIONS(6103),
    [anon_sym_BSLASHsc] = ACTIONS(6103),
    [anon_sym_BSLASHsup] = ACTIONS(6103),
    [anon_sym_BSLASHndx] = ACTIONS(6103),
    [anon_sym_BSLASHpro] = ACTIONS(6103),
    [anon_sym_BSLASHrb] = ACTIONS(6103),
    [anon_sym_BSLASHw] = ACTIONS(6103),
    [anon_sym_BSLASHwg] = ACTIONS(6103),
    [anon_sym_BSLASHwh] = ACTIONS(6103),
    [anon_sym_BSLASHwa] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6103),
    [anon_sym_BSLASHfig] = ACTIONS(6103),
    [anon_sym_BSLASHjmp] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6103),
    [anon_sym_BSLASHcat] = ACTIONS(6103),
  },
  [1108] = {
    [aux_sym_text_token1] = ACTIONS(6107),
    [anon_sym_BSLASHref] = ACTIONS(6109),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6109),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6109),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6109),
    [anon_sym_BSLASHfr] = ACTIONS(6109),
    [anon_sym_BSLASHfq] = ACTIONS(6109),
    [anon_sym_BSLASHfqa] = ACTIONS(6109),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(6111),
    [anon_sym_BSLASHfk] = ACTIONS(6109),
    [anon_sym_BSLASHfl] = ACTIONS(6109),
    [anon_sym_BSLASHfw] = ACTIONS(6109),
    [anon_sym_BSLASHfp] = ACTIONS(6109),
    [anon_sym_BSLASHft] = ACTIONS(6109),
    [anon_sym_BSLASHfdc] = ACTIONS(6109),
    [anon_sym_BSLASHfv] = ACTIONS(6109),
    [anon_sym_BSLASHxt] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6109),
    [anon_sym_BSLASHadd] = ACTIONS(6109),
    [anon_sym_BSLASHbk] = ACTIONS(6109),
    [anon_sym_BSLASHdc] = ACTIONS(6109),
    [anon_sym_BSLASHk] = ACTIONS(6109),
    [anon_sym_BSLASHnd] = ACTIONS(6109),
    [anon_sym_BSLASHord] = ACTIONS(6109),
    [anon_sym_BSLASHpn] = ACTIONS(6109),
    [anon_sym_BSLASHpng] = ACTIONS(6109),
    [anon_sym_BSLASHaddpn] = ACTIONS(6109),
    [anon_sym_BSLASHqt] = ACTIONS(6109),
    [anon_sym_BSLASHsig] = ACTIONS(6109),
    [anon_sym_BSLASHsls] = ACTIONS(6109),
    [anon_sym_BSLASHtl] = ACTIONS(6109),
    [anon_sym_BSLASHwj] = ACTIONS(6109),
    [anon_sym_BSLASHem] = ACTIONS(6109),
    [anon_sym_BSLASHbd] = ACTIONS(6109),
    [anon_sym_BSLASHit] = ACTIONS(6109),
    [anon_sym_BSLASHbdit] = ACTIONS(6109),
    [anon_sym_BSLASHno] = ACTIONS(6109),
    [anon_sym_BSLASHsc] = ACTIONS(6109),
    [anon_sym_BSLASHsup] = ACTIONS(6109),
    [anon_sym_BSLASHndx] = ACTIONS(6109),
    [anon_sym_BSLASHpro] = ACTIONS(6109),
    [anon_sym_BSLASHrb] = ACTIONS(6109),
    [anon_sym_BSLASHw] = ACTIONS(6109),
    [anon_sym_BSLASHwg] = ACTIONS(6109),
    [anon_sym_BSLASHwh] = ACTIONS(6109),
    [anon_sym_BSLASHwa] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6109),
    [anon_sym_BSLASHfig] = ACTIONS(6109),
    [anon_sym_BSLASHjmp] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6109),
    [anon_sym_BSLASHcat] = ACTIONS(6109),
  },
  [1109] = {
    [aux_sym_text_token1] = ACTIONS(6113),
    [anon_sym_BSLASHref] = ACTIONS(6115),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6115),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6115),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6115),
    [anon_sym_BSLASHfr] = ACTIONS(6115),
    [anon_sym_BSLASHfq] = ACTIONS(6115),
    [anon_sym_BSLASHfqa] = ACTIONS(6115),
    [anon_sym_BSLASHfk] = ACTIONS(6115),
    [anon_sym_BSLASHfl] = ACTIONS(6115),
    [anon_sym_BSLASHfw] = ACTIONS(6115),
    [anon_sym_BSLASHfp] = ACTIONS(6115),
    [anon_sym_BSLASHft] = ACTIONS(6115),
    [anon_sym_BSLASHfdc] = ACTIONS(6115),
    [anon_sym_BSLASHfv] = ACTIONS(6115),
    [anon_sym_BSLASHxt] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6115),
    [anon_sym_BSLASHadd] = ACTIONS(6115),
    [anon_sym_BSLASHbk] = ACTIONS(6115),
    [anon_sym_BSLASHdc] = ACTIONS(6115),
    [anon_sym_BSLASHk] = ACTIONS(6115),
    [anon_sym_BSLASHnd] = ACTIONS(6115),
    [anon_sym_BSLASHord] = ACTIONS(6115),
    [anon_sym_BSLASHpn] = ACTIONS(6115),
    [anon_sym_BSLASHpng] = ACTIONS(6115),
    [anon_sym_BSLASHaddpn] = ACTIONS(6115),
    [anon_sym_BSLASHqt] = ACTIONS(6115),
    [anon_sym_BSLASHsig] = ACTIONS(6115),
    [anon_sym_BSLASHsls] = ACTIONS(6115),
    [anon_sym_BSLASHtl] = ACTIONS(6115),
    [anon_sym_BSLASHwj] = ACTIONS(6115),
    [anon_sym_BSLASHem] = ACTIONS(6115),
    [anon_sym_BSLASHbd] = ACTIONS(6115),
    [anon_sym_BSLASHit] = ACTIONS(6115),
    [anon_sym_BSLASHbdit] = ACTIONS(6115),
    [anon_sym_BSLASHno] = ACTIONS(6115),
    [anon_sym_BSLASHsc] = ACTIONS(6115),
    [anon_sym_BSLASHsup] = ACTIONS(6115),
    [anon_sym_BSLASHndx] = ACTIONS(6115),
    [anon_sym_BSLASHpro] = ACTIONS(6115),
    [anon_sym_BSLASHrb] = ACTIONS(6115),
    [anon_sym_BSLASHw] = ACTIONS(6115),
    [anon_sym_BSLASHwg] = ACTIONS(6115),
    [anon_sym_BSLASHwh] = ACTIONS(6115),
    [anon_sym_BSLASHwa] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6115),
    [anon_sym_BSLASHfig] = ACTIONS(6115),
    [anon_sym_BSLASHjmp] = ACTIONS(6115),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6115),
    [anon_sym_BSLASHcat] = ACTIONS(6115),
  },
  [1110] = {
    [aux_sym_text_token1] = ACTIONS(6117),
    [anon_sym_BSLASHref] = ACTIONS(6119),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6119),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6119),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6119),
    [anon_sym_BSLASHfr] = ACTIONS(6119),
    [anon_sym_BSLASHfq] = ACTIONS(6119),
    [anon_sym_BSLASHfqa] = ACTIONS(6119),
    [anon_sym_BSLASHfk] = ACTIONS(6119),
    [anon_sym_BSLASHfl] = ACTIONS(6119),
    [anon_sym_BSLASHfw] = ACTIONS(6119),
    [anon_sym_BSLASHfp] = ACTIONS(6119),
    [anon_sym_BSLASHft] = ACTIONS(6119),
    [anon_sym_BSLASHfdc] = ACTIONS(6119),
    [anon_sym_BSLASHfv] = ACTIONS(6119),
    [anon_sym_BSLASHxt] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6119),
    [anon_sym_BSLASHadd] = ACTIONS(6119),
    [anon_sym_BSLASHbk] = ACTIONS(6119),
    [anon_sym_BSLASHdc] = ACTIONS(6119),
    [anon_sym_BSLASHk] = ACTIONS(6119),
    [anon_sym_BSLASHnd] = ACTIONS(6119),
    [anon_sym_BSLASHord] = ACTIONS(6119),
    [anon_sym_BSLASHpn] = ACTIONS(6119),
    [anon_sym_BSLASHpng] = ACTIONS(6119),
    [anon_sym_BSLASHaddpn] = ACTIONS(6119),
    [anon_sym_BSLASHqt] = ACTIONS(6119),
    [anon_sym_BSLASHsig] = ACTIONS(6119),
    [anon_sym_BSLASHsls] = ACTIONS(6119),
    [anon_sym_BSLASHtl] = ACTIONS(6119),
    [anon_sym_BSLASHwj] = ACTIONS(6119),
    [anon_sym_BSLASHem] = ACTIONS(6119),
    [anon_sym_BSLASHbd] = ACTIONS(6119),
    [anon_sym_BSLASHit] = ACTIONS(6119),
    [anon_sym_BSLASHbdit] = ACTIONS(6119),
    [anon_sym_BSLASHno] = ACTIONS(6119),
    [anon_sym_BSLASHsc] = ACTIONS(6119),
    [anon_sym_BSLASHsup] = ACTIONS(6119),
    [anon_sym_BSLASHndx] = ACTIONS(6119),
    [anon_sym_BSLASHpro] = ACTIONS(6119),
    [anon_sym_BSLASHrb] = ACTIONS(6119),
    [anon_sym_BSLASHw] = ACTIONS(6119),
    [anon_sym_BSLASHwg] = ACTIONS(6119),
    [anon_sym_BSLASHwh] = ACTIONS(6119),
    [anon_sym_BSLASHwa] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6119),
    [anon_sym_BSLASHfig] = ACTIONS(6119),
    [anon_sym_BSLASHjmp] = ACTIONS(6119),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6119),
    [anon_sym_BSLASHcat] = ACTIONS(6119),
  },
  [1111] = {
    [aux_sym_text_token1] = ACTIONS(6121),
    [anon_sym_BSLASHref] = ACTIONS(6123),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6123),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6123),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6123),
    [anon_sym_BSLASHfr] = ACTIONS(6123),
    [anon_sym_BSLASHfq] = ACTIONS(6123),
    [anon_sym_BSLASHfqa] = ACTIONS(6123),
    [anon_sym_BSLASHfk] = ACTIONS(6123),
    [anon_sym_BSLASHfl] = ACTIONS(6123),
    [anon_sym_BSLASHfw] = ACTIONS(6123),
    [anon_sym_BSLASHfp] = ACTIONS(6123),
    [anon_sym_BSLASHft] = ACTIONS(6123),
    [anon_sym_BSLASHfdc] = ACTIONS(6123),
    [anon_sym_BSLASHfv] = ACTIONS(6123),
    [anon_sym_BSLASHxt] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6123),
    [anon_sym_BSLASHadd] = ACTIONS(6123),
    [anon_sym_BSLASHbk] = ACTIONS(6123),
    [anon_sym_BSLASHdc] = ACTIONS(6123),
    [anon_sym_BSLASHk] = ACTIONS(6123),
    [anon_sym_BSLASHnd] = ACTIONS(6123),
    [anon_sym_BSLASHord] = ACTIONS(6123),
    [anon_sym_BSLASHpn] = ACTIONS(6123),
    [anon_sym_BSLASHpng] = ACTIONS(6123),
    [anon_sym_BSLASHaddpn] = ACTIONS(6123),
    [anon_sym_BSLASHqt] = ACTIONS(6123),
    [anon_sym_BSLASHsig] = ACTIONS(6123),
    [anon_sym_BSLASHsls] = ACTIONS(6123),
    [anon_sym_BSLASHtl] = ACTIONS(6123),
    [anon_sym_BSLASHwj] = ACTIONS(6123),
    [anon_sym_BSLASHem] = ACTIONS(6123),
    [anon_sym_BSLASHbd] = ACTIONS(6123),
    [anon_sym_BSLASHit] = ACTIONS(6123),
    [anon_sym_BSLASHbdit] = ACTIONS(6123),
    [anon_sym_BSLASHno] = ACTIONS(6123),
    [anon_sym_BSLASHsc] = ACTIONS(6123),
    [anon_sym_BSLASHsup] = ACTIONS(6123),
    [anon_sym_BSLASHndx] = ACTIONS(6123),
    [anon_sym_BSLASHpro] = ACTIONS(6123),
    [anon_sym_BSLASHrb] = ACTIONS(6123),
    [anon_sym_BSLASHw] = ACTIONS(6123),
    [anon_sym_BSLASHwg] = ACTIONS(6123),
    [anon_sym_BSLASHwh] = ACTIONS(6123),
    [anon_sym_BSLASHwa] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6123),
    [anon_sym_BSLASHfig] = ACTIONS(6123),
    [anon_sym_BSLASHjmp] = ACTIONS(6123),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6123),
    [anon_sym_BSLASHcat] = ACTIONS(6123),
  },
  [1112] = {
    [aux_sym_text_token1] = ACTIONS(6125),
    [anon_sym_BSLASHref] = ACTIONS(6127),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6127),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6127),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6127),
    [anon_sym_BSLASHfr] = ACTIONS(6127),
    [anon_sym_BSLASHfq] = ACTIONS(6127),
    [anon_sym_BSLASHfqa] = ACTIONS(6127),
    [anon_sym_BSLASHfk] = ACTIONS(6127),
    [anon_sym_BSLASHfl] = ACTIONS(6127),
    [anon_sym_BSLASHfw] = ACTIONS(6127),
    [anon_sym_BSLASHfp] = ACTIONS(6127),
    [anon_sym_BSLASHft] = ACTIONS(6127),
    [anon_sym_BSLASHfdc] = ACTIONS(6127),
    [anon_sym_BSLASHfv] = ACTIONS(6127),
    [anon_sym_BSLASHxt] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6127),
    [anon_sym_BSLASHadd] = ACTIONS(6127),
    [anon_sym_BSLASHbk] = ACTIONS(6127),
    [anon_sym_BSLASHdc] = ACTIONS(6127),
    [anon_sym_BSLASHk] = ACTIONS(6127),
    [anon_sym_BSLASHnd] = ACTIONS(6127),
    [anon_sym_BSLASHord] = ACTIONS(6127),
    [anon_sym_BSLASHpn] = ACTIONS(6127),
    [anon_sym_BSLASHpng] = ACTIONS(6127),
    [anon_sym_BSLASHaddpn] = ACTIONS(6127),
    [anon_sym_BSLASHqt] = ACTIONS(6127),
    [anon_sym_BSLASHsig] = ACTIONS(6127),
    [anon_sym_BSLASHsls] = ACTIONS(6127),
    [anon_sym_BSLASHtl] = ACTIONS(6127),
    [anon_sym_BSLASHwj] = ACTIONS(6127),
    [anon_sym_BSLASHem] = ACTIONS(6127),
    [anon_sym_BSLASHbd] = ACTIONS(6127),
    [anon_sym_BSLASHit] = ACTIONS(6127),
    [anon_sym_BSLASHbdit] = ACTIONS(6127),
    [anon_sym_BSLASHno] = ACTIONS(6127),
    [anon_sym_BSLASHsc] = ACTIONS(6127),
    [anon_sym_BSLASHsup] = ACTIONS(6127),
    [anon_sym_BSLASHndx] = ACTIONS(6127),
    [anon_sym_BSLASHpro] = ACTIONS(6127),
    [anon_sym_BSLASHrb] = ACTIONS(6127),
    [anon_sym_BSLASHw] = ACTIONS(6127),
    [anon_sym_BSLASHwg] = ACTIONS(6127),
    [anon_sym_BSLASHwh] = ACTIONS(6127),
    [anon_sym_BSLASHwa] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6127),
    [anon_sym_BSLASHfig] = ACTIONS(6127),
    [anon_sym_BSLASHjmp] = ACTIONS(6127),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6127),
    [anon_sym_BSLASHcat] = ACTIONS(6127),
  },
  [1113] = {
    [aux_sym_text_token1] = ACTIONS(6129),
    [anon_sym_BSLASHref] = ACTIONS(6131),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6131),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6131),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6131),
    [anon_sym_BSLASHfr] = ACTIONS(6131),
    [anon_sym_BSLASHfq] = ACTIONS(6131),
    [anon_sym_BSLASHfqa] = ACTIONS(6131),
    [anon_sym_BSLASHfk] = ACTIONS(6131),
    [anon_sym_BSLASHfl] = ACTIONS(6131),
    [anon_sym_BSLASHfw] = ACTIONS(6131),
    [anon_sym_BSLASHfp] = ACTIONS(6131),
    [anon_sym_BSLASHft] = ACTIONS(6131),
    [anon_sym_BSLASHfdc] = ACTIONS(6131),
    [anon_sym_BSLASHfv] = ACTIONS(6131),
    [anon_sym_BSLASHxt] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6131),
    [anon_sym_BSLASHadd] = ACTIONS(6131),
    [anon_sym_BSLASHbk] = ACTIONS(6131),
    [anon_sym_BSLASHdc] = ACTIONS(6131),
    [anon_sym_BSLASHk] = ACTIONS(6131),
    [anon_sym_BSLASHnd] = ACTIONS(6131),
    [anon_sym_BSLASHord] = ACTIONS(6131),
    [anon_sym_BSLASHpn] = ACTIONS(6131),
    [anon_sym_BSLASHpng] = ACTIONS(6131),
    [anon_sym_BSLASHaddpn] = ACTIONS(6131),
    [anon_sym_BSLASHqt] = ACTIONS(6131),
    [anon_sym_BSLASHsig] = ACTIONS(6131),
    [anon_sym_BSLASHsls] = ACTIONS(6131),
    [anon_sym_BSLASHtl] = ACTIONS(6131),
    [anon_sym_BSLASHwj] = ACTIONS(6131),
    [anon_sym_BSLASHem] = ACTIONS(6131),
    [anon_sym_BSLASHbd] = ACTIONS(6131),
    [anon_sym_BSLASHit] = ACTIONS(6131),
    [anon_sym_BSLASHbdit] = ACTIONS(6131),
    [anon_sym_BSLASHno] = ACTIONS(6131),
    [anon_sym_BSLASHsc] = ACTIONS(6131),
    [anon_sym_BSLASHsup] = ACTIONS(6131),
    [anon_sym_BSLASHndx] = ACTIONS(6131),
    [anon_sym_BSLASHpro] = ACTIONS(6131),
    [anon_sym_BSLASHrb] = ACTIONS(6131),
    [anon_sym_BSLASHw] = ACTIONS(6131),
    [anon_sym_BSLASHwg] = ACTIONS(6131),
    [anon_sym_BSLASHwh] = ACTIONS(6131),
    [anon_sym_BSLASHwa] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6131),
    [anon_sym_BSLASHfig] = ACTIONS(6131),
    [anon_sym_BSLASHjmp] = ACTIONS(6131),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6131),
    [anon_sym_BSLASHcat] = ACTIONS(6131),
  },
  [1114] = {
    [aux_sym_text_token1] = ACTIONS(6133),
    [anon_sym_BSLASHref] = ACTIONS(6135),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6135),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6135),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6135),
    [anon_sym_BSLASHfr] = ACTIONS(6135),
    [anon_sym_BSLASHfq] = ACTIONS(6135),
    [anon_sym_BSLASHfqa] = ACTIONS(6135),
    [anon_sym_BSLASHfk] = ACTIONS(6135),
    [anon_sym_BSLASHfl] = ACTIONS(6135),
    [anon_sym_BSLASHfw] = ACTIONS(6135),
    [anon_sym_BSLASHfp] = ACTIONS(6135),
    [anon_sym_BSLASHft] = ACTIONS(6135),
    [anon_sym_BSLASHfdc] = ACTIONS(6135),
    [anon_sym_BSLASHfv] = ACTIONS(6135),
    [anon_sym_BSLASHxt] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6135),
    [anon_sym_BSLASHadd] = ACTIONS(6135),
    [anon_sym_BSLASHbk] = ACTIONS(6135),
    [anon_sym_BSLASHdc] = ACTIONS(6135),
    [anon_sym_BSLASHk] = ACTIONS(6135),
    [anon_sym_BSLASHnd] = ACTIONS(6135),
    [anon_sym_BSLASHord] = ACTIONS(6135),
    [anon_sym_BSLASHpn] = ACTIONS(6135),
    [anon_sym_BSLASHpng] = ACTIONS(6135),
    [anon_sym_BSLASHaddpn] = ACTIONS(6135),
    [anon_sym_BSLASHqt] = ACTIONS(6135),
    [anon_sym_BSLASHsig] = ACTIONS(6135),
    [anon_sym_BSLASHsls] = ACTIONS(6135),
    [anon_sym_BSLASHtl] = ACTIONS(6135),
    [anon_sym_BSLASHwj] = ACTIONS(6135),
    [anon_sym_BSLASHem] = ACTIONS(6135),
    [anon_sym_BSLASHbd] = ACTIONS(6135),
    [anon_sym_BSLASHit] = ACTIONS(6135),
    [anon_sym_BSLASHbdit] = ACTIONS(6135),
    [anon_sym_BSLASHno] = ACTIONS(6135),
    [anon_sym_BSLASHsc] = ACTIONS(6135),
    [anon_sym_BSLASHsup] = ACTIONS(6135),
    [anon_sym_BSLASHndx] = ACTIONS(6135),
    [anon_sym_BSLASHpro] = ACTIONS(6135),
    [anon_sym_BSLASHrb] = ACTIONS(6135),
    [anon_sym_BSLASHw] = ACTIONS(6135),
    [anon_sym_BSLASHwg] = ACTIONS(6135),
    [anon_sym_BSLASHwh] = ACTIONS(6135),
    [anon_sym_BSLASHwa] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6135),
    [anon_sym_BSLASHfig] = ACTIONS(6135),
    [anon_sym_BSLASHjmp] = ACTIONS(6135),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6135),
    [anon_sym_BSLASHcat] = ACTIONS(6135),
  },
  [1115] = {
    [aux_sym_text_token1] = ACTIONS(6137),
    [anon_sym_BSLASHref] = ACTIONS(6139),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6139),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6139),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6139),
    [anon_sym_BSLASHfr] = ACTIONS(6139),
    [anon_sym_BSLASHfq] = ACTIONS(6139),
    [anon_sym_BSLASHfqa] = ACTIONS(6139),
    [anon_sym_BSLASHfk] = ACTIONS(6139),
    [anon_sym_BSLASHfl] = ACTIONS(6139),
    [anon_sym_BSLASHfw] = ACTIONS(6139),
    [anon_sym_BSLASHfp] = ACTIONS(6139),
    [anon_sym_BSLASHft] = ACTIONS(6139),
    [anon_sym_BSLASHfdc] = ACTIONS(6139),
    [anon_sym_BSLASHfv] = ACTIONS(6139),
    [anon_sym_BSLASHxt] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6139),
    [anon_sym_BSLASHadd] = ACTIONS(6139),
    [anon_sym_BSLASHbk] = ACTIONS(6139),
    [anon_sym_BSLASHdc] = ACTIONS(6139),
    [anon_sym_BSLASHk] = ACTIONS(6139),
    [anon_sym_BSLASHnd] = ACTIONS(6139),
    [anon_sym_BSLASHord] = ACTIONS(6139),
    [anon_sym_BSLASHpn] = ACTIONS(6139),
    [anon_sym_BSLASHpng] = ACTIONS(6139),
    [anon_sym_BSLASHaddpn] = ACTIONS(6139),
    [anon_sym_BSLASHqt] = ACTIONS(6139),
    [anon_sym_BSLASHsig] = ACTIONS(6139),
    [anon_sym_BSLASHsls] = ACTIONS(6139),
    [anon_sym_BSLASHtl] = ACTIONS(6139),
    [anon_sym_BSLASHwj] = ACTIONS(6139),
    [anon_sym_BSLASHem] = ACTIONS(6139),
    [anon_sym_BSLASHbd] = ACTIONS(6139),
    [anon_sym_BSLASHit] = ACTIONS(6139),
    [anon_sym_BSLASHbdit] = ACTIONS(6139),
    [anon_sym_BSLASHno] = ACTIONS(6139),
    [anon_sym_BSLASHsc] = ACTIONS(6139),
    [anon_sym_BSLASHsup] = ACTIONS(6139),
    [anon_sym_BSLASHndx] = ACTIONS(6139),
    [anon_sym_BSLASHpro] = ACTIONS(6139),
    [anon_sym_BSLASHrb] = ACTIONS(6139),
    [anon_sym_BSLASHw] = ACTIONS(6139),
    [anon_sym_BSLASHwg] = ACTIONS(6139),
    [anon_sym_BSLASHwh] = ACTIONS(6139),
    [anon_sym_BSLASHwa] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6139),
    [anon_sym_BSLASHfig] = ACTIONS(6139),
    [anon_sym_BSLASHjmp] = ACTIONS(6139),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6139),
    [anon_sym_BSLASHcat] = ACTIONS(6139),
  },
  [1116] = {
    [aux_sym_text_token1] = ACTIONS(6141),
    [anon_sym_BSLASHref] = ACTIONS(6143),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6143),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6143),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6143),
    [anon_sym_BSLASHfr] = ACTIONS(6143),
    [anon_sym_BSLASHfq] = ACTIONS(6143),
    [anon_sym_BSLASHfqa] = ACTIONS(6143),
    [anon_sym_BSLASHfk] = ACTIONS(6143),
    [anon_sym_BSLASHfl] = ACTIONS(6143),
    [anon_sym_BSLASHfw] = ACTIONS(6143),
    [anon_sym_BSLASHfp] = ACTIONS(6143),
    [anon_sym_BSLASHft] = ACTIONS(6143),
    [anon_sym_BSLASHfdc] = ACTIONS(6143),
    [anon_sym_BSLASHfv] = ACTIONS(6143),
    [anon_sym_BSLASHxt] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6143),
    [anon_sym_BSLASHadd] = ACTIONS(6143),
    [anon_sym_BSLASHbk] = ACTIONS(6143),
    [anon_sym_BSLASHdc] = ACTIONS(6143),
    [anon_sym_BSLASHk] = ACTIONS(6143),
    [anon_sym_BSLASHnd] = ACTIONS(6143),
    [anon_sym_BSLASHord] = ACTIONS(6143),
    [anon_sym_BSLASHpn] = ACTIONS(6143),
    [anon_sym_BSLASHpng] = ACTIONS(6143),
    [anon_sym_BSLASHaddpn] = ACTIONS(6143),
    [anon_sym_BSLASHqt] = ACTIONS(6143),
    [anon_sym_BSLASHsig] = ACTIONS(6143),
    [anon_sym_BSLASHsls] = ACTIONS(6143),
    [anon_sym_BSLASHtl] = ACTIONS(6143),
    [anon_sym_BSLASHwj] = ACTIONS(6143),
    [anon_sym_BSLASHem] = ACTIONS(6143),
    [anon_sym_BSLASHbd] = ACTIONS(6143),
    [anon_sym_BSLASHit] = ACTIONS(6143),
    [anon_sym_BSLASHbdit] = ACTIONS(6143),
    [anon_sym_BSLASHno] = ACTIONS(6143),
    [anon_sym_BSLASHsc] = ACTIONS(6143),
    [anon_sym_BSLASHsup] = ACTIONS(6143),
    [anon_sym_BSLASHndx] = ACTIONS(6143),
    [anon_sym_BSLASHpro] = ACTIONS(6143),
    [anon_sym_BSLASHrb] = ACTIONS(6143),
    [anon_sym_BSLASHw] = ACTIONS(6143),
    [anon_sym_BSLASHwg] = ACTIONS(6143),
    [anon_sym_BSLASHwh] = ACTIONS(6143),
    [anon_sym_BSLASHwa] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6143),
    [anon_sym_BSLASHfig] = ACTIONS(6143),
    [anon_sym_BSLASHjmp] = ACTIONS(6143),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6143),
    [anon_sym_BSLASHcat] = ACTIONS(6143),
  },
  [1117] = {
    [aux_sym_text_token1] = ACTIONS(6145),
    [anon_sym_BSLASHref] = ACTIONS(6147),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6147),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6147),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6147),
    [anon_sym_BSLASHfr] = ACTIONS(6147),
    [anon_sym_BSLASHfq] = ACTIONS(6147),
    [anon_sym_BSLASHfqa] = ACTIONS(6147),
    [anon_sym_BSLASHfk] = ACTIONS(6147),
    [anon_sym_BSLASHfl] = ACTIONS(6147),
    [anon_sym_BSLASHfw] = ACTIONS(6147),
    [anon_sym_BSLASHfp] = ACTIONS(6147),
    [anon_sym_BSLASHft] = ACTIONS(6147),
    [anon_sym_BSLASHfdc] = ACTIONS(6147),
    [anon_sym_BSLASHfv] = ACTIONS(6147),
    [anon_sym_BSLASHxt] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6147),
    [anon_sym_BSLASHadd] = ACTIONS(6147),
    [anon_sym_BSLASHbk] = ACTIONS(6147),
    [anon_sym_BSLASHdc] = ACTIONS(6147),
    [anon_sym_BSLASHk] = ACTIONS(6147),
    [anon_sym_BSLASHnd] = ACTIONS(6147),
    [anon_sym_BSLASHord] = ACTIONS(6147),
    [anon_sym_BSLASHpn] = ACTIONS(6147),
    [anon_sym_BSLASHpng] = ACTIONS(6147),
    [anon_sym_BSLASHaddpn] = ACTIONS(6147),
    [anon_sym_BSLASHqt] = ACTIONS(6147),
    [anon_sym_BSLASHsig] = ACTIONS(6147),
    [anon_sym_BSLASHsls] = ACTIONS(6147),
    [anon_sym_BSLASHtl] = ACTIONS(6147),
    [anon_sym_BSLASHwj] = ACTIONS(6147),
    [anon_sym_BSLASHem] = ACTIONS(6147),
    [anon_sym_BSLASHbd] = ACTIONS(6147),
    [anon_sym_BSLASHit] = ACTIONS(6147),
    [anon_sym_BSLASHbdit] = ACTIONS(6147),
    [anon_sym_BSLASHno] = ACTIONS(6147),
    [anon_sym_BSLASHsc] = ACTIONS(6147),
    [anon_sym_BSLASHsup] = ACTIONS(6147),
    [anon_sym_BSLASHndx] = ACTIONS(6147),
    [anon_sym_BSLASHpro] = ACTIONS(6147),
    [anon_sym_BSLASHrb] = ACTIONS(6147),
    [anon_sym_BSLASHw] = ACTIONS(6147),
    [anon_sym_BSLASHwg] = ACTIONS(6147),
    [anon_sym_BSLASHwh] = ACTIONS(6147),
    [anon_sym_BSLASHwa] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6147),
    [anon_sym_BSLASHfig] = ACTIONS(6147),
    [anon_sym_BSLASHjmp] = ACTIONS(6147),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6147),
    [anon_sym_BSLASHcat] = ACTIONS(6147),
  },
  [1118] = {
    [aux_sym_text_token1] = ACTIONS(6149),
    [anon_sym_BSLASHref] = ACTIONS(6151),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6151),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6151),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6151),
    [anon_sym_BSLASHfr] = ACTIONS(6151),
    [anon_sym_BSLASHfq] = ACTIONS(6151),
    [anon_sym_BSLASHfqa] = ACTIONS(6151),
    [anon_sym_BSLASHfk] = ACTIONS(6151),
    [anon_sym_BSLASHfl] = ACTIONS(6151),
    [anon_sym_BSLASHfw] = ACTIONS(6151),
    [anon_sym_BSLASHfp] = ACTIONS(6151),
    [anon_sym_BSLASHft] = ACTIONS(6151),
    [anon_sym_BSLASHfdc] = ACTIONS(6151),
    [anon_sym_BSLASHfv] = ACTIONS(6151),
    [anon_sym_BSLASHxt] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6151),
    [anon_sym_BSLASHadd] = ACTIONS(6151),
    [anon_sym_BSLASHbk] = ACTIONS(6151),
    [anon_sym_BSLASHdc] = ACTIONS(6151),
    [anon_sym_BSLASHk] = ACTIONS(6151),
    [anon_sym_BSLASHnd] = ACTIONS(6151),
    [anon_sym_BSLASHord] = ACTIONS(6151),
    [anon_sym_BSLASHpn] = ACTIONS(6151),
    [anon_sym_BSLASHpng] = ACTIONS(6151),
    [anon_sym_BSLASHaddpn] = ACTIONS(6151),
    [anon_sym_BSLASHqt] = ACTIONS(6151),
    [anon_sym_BSLASHsig] = ACTIONS(6151),
    [anon_sym_BSLASHsls] = ACTIONS(6151),
    [anon_sym_BSLASHtl] = ACTIONS(6151),
    [anon_sym_BSLASHwj] = ACTIONS(6151),
    [anon_sym_BSLASHem] = ACTIONS(6151),
    [anon_sym_BSLASHbd] = ACTIONS(6151),
    [anon_sym_BSLASHit] = ACTIONS(6151),
    [anon_sym_BSLASHbdit] = ACTIONS(6151),
    [anon_sym_BSLASHno] = ACTIONS(6151),
    [anon_sym_BSLASHsc] = ACTIONS(6151),
    [anon_sym_BSLASHsup] = ACTIONS(6151),
    [anon_sym_BSLASHndx] = ACTIONS(6151),
    [anon_sym_BSLASHpro] = ACTIONS(6151),
    [anon_sym_BSLASHrb] = ACTIONS(6151),
    [anon_sym_BSLASHw] = ACTIONS(6151),
    [anon_sym_BSLASHwg] = ACTIONS(6151),
    [anon_sym_BSLASHwh] = ACTIONS(6151),
    [anon_sym_BSLASHwa] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6151),
    [anon_sym_BSLASHfig] = ACTIONS(6151),
    [anon_sym_BSLASHjmp] = ACTIONS(6151),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6151),
    [anon_sym_BSLASHcat] = ACTIONS(6151),
  },
  [1119] = {
    [sym_text] = STATE(345),
    [sym_ref] = STATE(345),
    [aux_sym__introText] = STATE(345),
    [sym_iqt] = STATE(345),
    [sym_xt_standalone] = STATE(345),
    [sym_add] = STATE(345),
    [sym_bk] = STATE(345),
    [sym_dc] = STATE(345),
    [sym_k] = STATE(345),
    [sym_nd] = STATE(345),
    [sym_ord] = STATE(345),
    [sym_pn] = STATE(345),
    [sym_png] = STATE(345),
    [sym_addpn] = STATE(345),
    [sym_qt] = STATE(345),
    [sym_sig] = STATE(345),
    [sym_sls] = STATE(345),
    [sym_tl] = STATE(345),
    [sym_wj] = STATE(345),
    [sym_em] = STATE(345),
    [sym_bd] = STATE(345),
    [sym_it] = STATE(345),
    [sym_bdit] = STATE(345),
    [sym_no] = STATE(345),
    [sym_sc] = STATE(345),
    [sym_sup] = STATE(345),
    [sym_ndx] = STATE(345),
    [sym_pro] = STATE(345),
    [sym_rb] = STATE(345),
    [sym_w] = STATE(345),
    [sym_wg] = STATE(345),
    [sym_wh] = STATE(345),
    [sym_wa] = STATE(345),
    [sym__characterMarker] = STATE(345),
    [sym_fig] = STATE(345),
    [sym_jmp] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(6153),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHimte] = ACTIONS(6155),
    [anon_sym_BSLASHie] = ACTIONS(6155),
    [anon_sym_BSLASHc] = ACTIONS(6155),
    [anon_sym_BSLASHcl] = ACTIONS(6155),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
  },
  [1120] = {
    [sym__comments] = STATE(1120),
    [sym_sts] = STATE(1120),
    [sym_rem] = STATE(1120),
    [sym_restore] = STATE(1120),
    [sym_lit] = STATE(1120),
    [sym_imtBlock] = STATE(1120),
    [sym_imt] = STATE(1705),
    [sym_imtTag] = STATE(1130),
    [sym__midIntroMarker] = STATE(1120),
    [sym_isBlock] = STATE(1120),
    [sym_is] = STATE(1701),
    [sym_isTag] = STATE(1122),
    [sym_io] = STATE(1120),
    [sym_ioTag] = STATE(1123),
    [sym_iot] = STATE(1120),
    [sym_ip] = STATE(1120),
    [sym_im] = STATE(1120),
    [sym_ipi] = STATE(1120),
    [sym_imi] = STATE(1120),
    [sym_iliBlock] = STATE(1120),
    [sym_ili] = STATE(1704),
    [sym_iliTag] = STATE(1124),
    [sym_ipq] = STATE(1120),
    [sym_imq] = STATE(1120),
    [sym_ipr] = STATE(1120),
    [sym_ib] = STATE(1120),
    [sym_iqBlock] = STATE(1120),
    [sym_iq] = STATE(1702),
    [sym_iqTag] = STATE(1125),
    [sym_iex] = STATE(1120),
    [sym_milestoneTag] = STATE(1973),
    [sym__milestoneStandaloneMarker] = STATE(1714),
    [sym__milestoneStart] = STATE(1714),
    [sym__milestoneEnd] = STATE(1714),
    [sym_milestone] = STATE(1120),
    [sym__zNameSpaceRegular] = STATE(1723),
    [sym__zNameSpaceClosed] = STATE(1723),
    [sym__zNameSpaceStandaloneMarker] = STATE(1723),
    [sym_zNameSpace] = STATE(1120),
    [sym_esb] = STATE(1120),
    [aux_sym_File_repeat1] = STATE(1120),
    [aux_sym_imtBlock_repeat1] = STATE(1705),
    [aux_sym_isBlock_repeat1] = STATE(1701),
    [aux_sym_iliBlock_repeat1] = STATE(1704),
    [aux_sym_iqBlock_repeat1] = STATE(1702),
    [ts_builtin_sym_end] = ACTIONS(6157),
    [anon_sym_BSLASHsts] = ACTIONS(6159),
    [anon_sym_BSLASHrem] = ACTIONS(6162),
    [anon_sym_BSLASHrestore] = ACTIONS(6165),
    [anon_sym_BSLASHlit] = ACTIONS(6168),
    [anon_sym_BSLASHimt] = ACTIONS(6171),
    [anon_sym_BSLASHimte] = ACTIONS(6157),
    [anon_sym_BSLASHis] = ACTIONS(6174),
    [anon_sym_BSLASHio] = ACTIONS(6177),
    [anon_sym_BSLASHiot] = ACTIONS(6180),
    [anon_sym_BSLASHip] = ACTIONS(6183),
    [anon_sym_BSLASHim] = ACTIONS(6186),
    [anon_sym_BSLASHipi] = ACTIONS(6189),
    [anon_sym_BSLASHimi] = ACTIONS(6192),
    [anon_sym_BSLASHili] = ACTIONS(6195),
    [anon_sym_BSLASHipq] = ACTIONS(6198),
    [anon_sym_BSLASHimq] = ACTIONS(6201),
    [anon_sym_BSLASHipr] = ACTIONS(6204),
    [anon_sym_BSLASHib] = ACTIONS(6207),
    [anon_sym_BSLASHiq] = ACTIONS(6210),
    [anon_sym_BSLASHie] = ACTIONS(6213),
    [anon_sym_BSLASHiex] = ACTIONS(6215),
    [anon_sym_BSLASHc] = ACTIONS(6157),
    [anon_sym_BSLASHcl] = ACTIONS(6157),
    [anon_sym_BSLASH] = ACTIONS(6218),
    [sym_milestoneStartTag] = ACTIONS(6221),
    [sym_milestoneEndTag] = ACTIONS(6224),
    [sym_zSpaceTag] = ACTIONS(6227),
    [anon_sym_BSLASHesb] = ACTIONS(6230),
  },
  [1121] = {
    [sym_text] = STATE(349),
    [sym_ref] = STATE(349),
    [aux_sym__introText] = STATE(349),
    [sym_iqt] = STATE(349),
    [sym_xt_standalone] = STATE(349),
    [sym_add] = STATE(349),
    [sym_bk] = STATE(349),
    [sym_dc] = STATE(349),
    [sym_k] = STATE(349),
    [sym_nd] = STATE(349),
    [sym_ord] = STATE(349),
    [sym_pn] = STATE(349),
    [sym_png] = STATE(349),
    [sym_addpn] = STATE(349),
    [sym_qt] = STATE(349),
    [sym_sig] = STATE(349),
    [sym_sls] = STATE(349),
    [sym_tl] = STATE(349),
    [sym_wj] = STATE(349),
    [sym_em] = STATE(349),
    [sym_bd] = STATE(349),
    [sym_it] = STATE(349),
    [sym_bdit] = STATE(349),
    [sym_no] = STATE(349),
    [sym_sc] = STATE(349),
    [sym_sup] = STATE(349),
    [sym_ndx] = STATE(349),
    [sym_pro] = STATE(349),
    [sym_rb] = STATE(349),
    [sym_w] = STATE(349),
    [sym_wg] = STATE(349),
    [sym_wh] = STATE(349),
    [sym_wa] = STATE(349),
    [sym__characterMarker] = STATE(349),
    [sym_fig] = STATE(349),
    [sym_jmp] = STATE(349),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
  },
  [1122] = {
    [sym_text] = STATE(380),
    [sym_ref] = STATE(380),
    [aux_sym__introText] = STATE(380),
    [sym_iqt] = STATE(380),
    [sym_xt_standalone] = STATE(380),
    [sym_add] = STATE(380),
    [sym_bk] = STATE(380),
    [sym_dc] = STATE(380),
    [sym_k] = STATE(380),
    [sym_nd] = STATE(380),
    [sym_ord] = STATE(380),
    [sym_pn] = STATE(380),
    [sym_png] = STATE(380),
    [sym_addpn] = STATE(380),
    [sym_qt] = STATE(380),
    [sym_sig] = STATE(380),
    [sym_sls] = STATE(380),
    [sym_tl] = STATE(380),
    [sym_wj] = STATE(380),
    [sym_em] = STATE(380),
    [sym_bd] = STATE(380),
    [sym_it] = STATE(380),
    [sym_bdit] = STATE(380),
    [sym_no] = STATE(380),
    [sym_sc] = STATE(380),
    [sym_sup] = STATE(380),
    [sym_ndx] = STATE(380),
    [sym_pro] = STATE(380),
    [sym_rb] = STATE(380),
    [sym_w] = STATE(380),
    [sym_wg] = STATE(380),
    [sym_wh] = STATE(380),
    [sym_wa] = STATE(380),
    [sym__characterMarker] = STATE(380),
    [sym_fig] = STATE(380),
    [sym_jmp] = STATE(380),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
  },
  [1123] = {
    [sym_text] = STATE(343),
    [sym_ref] = STATE(343),
    [aux_sym__introText] = STATE(343),
    [sym_iqt] = STATE(343),
    [sym_xt_standalone] = STATE(343),
    [sym_add] = STATE(343),
    [sym_bk] = STATE(343),
    [sym_dc] = STATE(343),
    [sym_k] = STATE(343),
    [sym_nd] = STATE(343),
    [sym_ord] = STATE(343),
    [sym_pn] = STATE(343),
    [sym_png] = STATE(343),
    [sym_addpn] = STATE(343),
    [sym_qt] = STATE(343),
    [sym_sig] = STATE(343),
    [sym_sls] = STATE(343),
    [sym_tl] = STATE(343),
    [sym_wj] = STATE(343),
    [sym_em] = STATE(343),
    [sym_bd] = STATE(343),
    [sym_it] = STATE(343),
    [sym_bdit] = STATE(343),
    [sym_no] = STATE(343),
    [sym_sc] = STATE(343),
    [sym_sup] = STATE(343),
    [sym_ndx] = STATE(343),
    [sym_pro] = STATE(343),
    [sym_rb] = STATE(343),
    [sym_w] = STATE(343),
    [sym_wg] = STATE(343),
    [sym_wh] = STATE(343),
    [sym_wa] = STATE(343),
    [sym__characterMarker] = STATE(343),
    [sym_fig] = STATE(343),
    [sym_jmp] = STATE(343),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
  },
  [1124] = {
    [sym_text] = STATE(378),
    [sym_ref] = STATE(378),
    [aux_sym__introText] = STATE(378),
    [sym_iqt] = STATE(378),
    [sym_xt_standalone] = STATE(378),
    [sym_add] = STATE(378),
    [sym_bk] = STATE(378),
    [sym_dc] = STATE(378),
    [sym_k] = STATE(378),
    [sym_nd] = STATE(378),
    [sym_ord] = STATE(378),
    [sym_pn] = STATE(378),
    [sym_png] = STATE(378),
    [sym_addpn] = STATE(378),
    [sym_qt] = STATE(378),
    [sym_sig] = STATE(378),
    [sym_sls] = STATE(378),
    [sym_tl] = STATE(378),
    [sym_wj] = STATE(378),
    [sym_em] = STATE(378),
    [sym_bd] = STATE(378),
    [sym_it] = STATE(378),
    [sym_bdit] = STATE(378),
    [sym_no] = STATE(378),
    [sym_sc] = STATE(378),
    [sym_sup] = STATE(378),
    [sym_ndx] = STATE(378),
    [sym_pro] = STATE(378),
    [sym_rb] = STATE(378),
    [sym_w] = STATE(378),
    [sym_wg] = STATE(378),
    [sym_wh] = STATE(378),
    [sym_wa] = STATE(378),
    [sym__characterMarker] = STATE(378),
    [sym_fig] = STATE(378),
    [sym_jmp] = STATE(378),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
  },
  [1125] = {
    [sym_text] = STATE(377),
    [sym_ref] = STATE(377),
    [aux_sym__introText] = STATE(377),
    [sym_iqt] = STATE(377),
    [sym_xt_standalone] = STATE(377),
    [sym_add] = STATE(377),
    [sym_bk] = STATE(377),
    [sym_dc] = STATE(377),
    [sym_k] = STATE(377),
    [sym_nd] = STATE(377),
    [sym_ord] = STATE(377),
    [sym_pn] = STATE(377),
    [sym_png] = STATE(377),
    [sym_addpn] = STATE(377),
    [sym_qt] = STATE(377),
    [sym_sig] = STATE(377),
    [sym_sls] = STATE(377),
    [sym_tl] = STATE(377),
    [sym_wj] = STATE(377),
    [sym_em] = STATE(377),
    [sym_bd] = STATE(377),
    [sym_it] = STATE(377),
    [sym_bdit] = STATE(377),
    [sym_no] = STATE(377),
    [sym_sc] = STATE(377),
    [sym_sup] = STATE(377),
    [sym_ndx] = STATE(377),
    [sym_pro] = STATE(377),
    [sym_rb] = STATE(377),
    [sym_w] = STATE(377),
    [sym_wg] = STATE(377),
    [sym_wh] = STATE(377),
    [sym_wa] = STATE(377),
    [sym__characterMarker] = STATE(377),
    [sym_fig] = STATE(377),
    [sym_jmp] = STATE(377),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
  },
  [1126] = {
    [sym_text] = STATE(371),
    [sym_ref] = STATE(371),
    [aux_sym__introText] = STATE(371),
    [sym_iqt] = STATE(371),
    [sym_xt_standalone] = STATE(371),
    [sym_add] = STATE(371),
    [sym_bk] = STATE(371),
    [sym_dc] = STATE(371),
    [sym_k] = STATE(371),
    [sym_nd] = STATE(371),
    [sym_ord] = STATE(371),
    [sym_pn] = STATE(371),
    [sym_png] = STATE(371),
    [sym_addpn] = STATE(371),
    [sym_qt] = STATE(371),
    [sym_sig] = STATE(371),
    [sym_sls] = STATE(371),
    [sym_tl] = STATE(371),
    [sym_wj] = STATE(371),
    [sym_em] = STATE(371),
    [sym_bd] = STATE(371),
    [sym_it] = STATE(371),
    [sym_bdit] = STATE(371),
    [sym_no] = STATE(371),
    [sym_sc] = STATE(371),
    [sym_sup] = STATE(371),
    [sym_ndx] = STATE(371),
    [sym_pro] = STATE(371),
    [sym_rb] = STATE(371),
    [sym_w] = STATE(371),
    [sym_wg] = STATE(371),
    [sym_wh] = STATE(371),
    [sym_wa] = STATE(371),
    [sym__characterMarker] = STATE(371),
    [sym_fig] = STATE(371),
    [sym_jmp] = STATE(371),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
  },
  [1127] = {
    [sym_text] = STATE(374),
    [sym_ref] = STATE(374),
    [aux_sym__introText] = STATE(374),
    [sym_iqt] = STATE(374),
    [sym_xt_standalone] = STATE(374),
    [sym_add] = STATE(374),
    [sym_bk] = STATE(374),
    [sym_dc] = STATE(374),
    [sym_k] = STATE(374),
    [sym_nd] = STATE(374),
    [sym_ord] = STATE(374),
    [sym_pn] = STATE(374),
    [sym_png] = STATE(374),
    [sym_addpn] = STATE(374),
    [sym_qt] = STATE(374),
    [sym_sig] = STATE(374),
    [sym_sls] = STATE(374),
    [sym_tl] = STATE(374),
    [sym_wj] = STATE(374),
    [sym_em] = STATE(374),
    [sym_bd] = STATE(374),
    [sym_it] = STATE(374),
    [sym_bdit] = STATE(374),
    [sym_no] = STATE(374),
    [sym_sc] = STATE(374),
    [sym_sup] = STATE(374),
    [sym_ndx] = STATE(374),
    [sym_pro] = STATE(374),
    [sym_rb] = STATE(374),
    [sym_w] = STATE(374),
    [sym_wg] = STATE(374),
    [sym_wh] = STATE(374),
    [sym_wa] = STATE(374),
    [sym__characterMarker] = STATE(374),
    [sym_fig] = STATE(374),
    [sym_jmp] = STATE(374),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
  },
  [1128] = {
    [sym_text] = STATE(372),
    [sym_ref] = STATE(372),
    [aux_sym__introText] = STATE(372),
    [sym_iqt] = STATE(372),
    [sym_xt_standalone] = STATE(372),
    [sym_add] = STATE(372),
    [sym_bk] = STATE(372),
    [sym_dc] = STATE(372),
    [sym_k] = STATE(372),
    [sym_nd] = STATE(372),
    [sym_ord] = STATE(372),
    [sym_pn] = STATE(372),
    [sym_png] = STATE(372),
    [sym_addpn] = STATE(372),
    [sym_qt] = STATE(372),
    [sym_sig] = STATE(372),
    [sym_sls] = STATE(372),
    [sym_tl] = STATE(372),
    [sym_wj] = STATE(372),
    [sym_em] = STATE(372),
    [sym_bd] = STATE(372),
    [sym_it] = STATE(372),
    [sym_bdit] = STATE(372),
    [sym_no] = STATE(372),
    [sym_sc] = STATE(372),
    [sym_sup] = STATE(372),
    [sym_ndx] = STATE(372),
    [sym_pro] = STATE(372),
    [sym_rb] = STATE(372),
    [sym_w] = STATE(372),
    [sym_wg] = STATE(372),
    [sym_wh] = STATE(372),
    [sym_wa] = STATE(372),
    [sym__characterMarker] = STATE(372),
    [sym_fig] = STATE(372),
    [sym_jmp] = STATE(372),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
  },
  [1129] = {
    [sym_text] = STATE(1119),
    [sym_ref] = STATE(1119),
    [aux_sym__introText] = STATE(1119),
    [sym_iqt] = STATE(1119),
    [sym_xt_standalone] = STATE(1119),
    [sym_add] = STATE(1119),
    [sym_bk] = STATE(1119),
    [sym_dc] = STATE(1119),
    [sym_k] = STATE(1119),
    [sym_nd] = STATE(1119),
    [sym_ord] = STATE(1119),
    [sym_pn] = STATE(1119),
    [sym_png] = STATE(1119),
    [sym_addpn] = STATE(1119),
    [sym_qt] = STATE(1119),
    [sym_sig] = STATE(1119),
    [sym_sls] = STATE(1119),
    [sym_tl] = STATE(1119),
    [sym_wj] = STATE(1119),
    [sym_em] = STATE(1119),
    [sym_bd] = STATE(1119),
    [sym_it] = STATE(1119),
    [sym_bdit] = STATE(1119),
    [sym_no] = STATE(1119),
    [sym_sc] = STATE(1119),
    [sym_sup] = STATE(1119),
    [sym_ndx] = STATE(1119),
    [sym_pro] = STATE(1119),
    [sym_rb] = STATE(1119),
    [sym_w] = STATE(1119),
    [sym_wg] = STATE(1119),
    [sym_wh] = STATE(1119),
    [sym_wa] = STATE(1119),
    [sym__characterMarker] = STATE(1119),
    [sym_fig] = STATE(1119),
    [sym_jmp] = STATE(1119),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
  },
  [1130] = {
    [sym_text] = STATE(384),
    [sym_ref] = STATE(384),
    [aux_sym__introText] = STATE(384),
    [sym_iqt] = STATE(384),
    [sym_xt_standalone] = STATE(384),
    [sym_add] = STATE(384),
    [sym_bk] = STATE(384),
    [sym_dc] = STATE(384),
    [sym_k] = STATE(384),
    [sym_nd] = STATE(384),
    [sym_ord] = STATE(384),
    [sym_pn] = STATE(384),
    [sym_png] = STATE(384),
    [sym_addpn] = STATE(384),
    [sym_qt] = STATE(384),
    [sym_sig] = STATE(384),
    [sym_sls] = STATE(384),
    [sym_tl] = STATE(384),
    [sym_wj] = STATE(384),
    [sym_em] = STATE(384),
    [sym_bd] = STATE(384),
    [sym_it] = STATE(384),
    [sym_bdit] = STATE(384),
    [sym_no] = STATE(384),
    [sym_sc] = STATE(384),
    [sym_sup] = STATE(384),
    [sym_ndx] = STATE(384),
    [sym_pro] = STATE(384),
    [sym_rb] = STATE(384),
    [sym_w] = STATE(384),
    [sym_wg] = STATE(384),
    [sym_wh] = STATE(384),
    [sym_wa] = STATE(384),
    [sym__characterMarker] = STATE(384),
    [sym_fig] = STATE(384),
    [sym_jmp] = STATE(384),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
  },
  [1131] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(317),
    [aux_sym__introText] = STATE(317),
    [sym_iqt] = STATE(317),
    [sym_xt_standalone] = STATE(317),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHiqt] = ACTIONS(3779),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
  },
  [1132] = {
    [sym_text] = STATE(373),
    [sym_ref] = STATE(373),
    [aux_sym__introText] = STATE(373),
    [sym_iqt] = STATE(373),
    [sym_xt_standalone] = STATE(373),
    [sym_add] = STATE(373),
    [sym_bk] = STATE(373),
    [sym_dc] = STATE(373),
    [sym_k] = STATE(373),
    [sym_nd] = STATE(373),
    [sym_ord] = STATE(373),
    [sym_pn] = STATE(373),
    [sym_png] = STATE(373),
    [sym_addpn] = STATE(373),
    [sym_qt] = STATE(373),
    [sym_sig] = STATE(373),
    [sym_sls] = STATE(373),
    [sym_tl] = STATE(373),
    [sym_wj] = STATE(373),
    [sym_em] = STATE(373),
    [sym_bd] = STATE(373),
    [sym_it] = STATE(373),
    [sym_bdit] = STATE(373),
    [sym_no] = STATE(373),
    [sym_sc] = STATE(373),
    [sym_sup] = STATE(373),
    [sym_ndx] = STATE(373),
    [sym_pro] = STATE(373),
    [sym_rb] = STATE(373),
    [sym_w] = STATE(373),
    [sym_wg] = STATE(373),
    [sym_wh] = STATE(373),
    [sym_wa] = STATE(373),
    [sym__characterMarker] = STATE(373),
    [sym_fig] = STATE(373),
    [sym_jmp] = STATE(373),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
  },
  [1133] = {
    [sym_text] = STATE(387),
    [sym_ref] = STATE(387),
    [aux_sym__introText] = STATE(387),
    [sym_iqt] = STATE(387),
    [sym_xt_standalone] = STATE(387),
    [sym_add] = STATE(387),
    [sym_bk] = STATE(387),
    [sym_dc] = STATE(387),
    [sym_k] = STATE(387),
    [sym_nd] = STATE(387),
    [sym_ord] = STATE(387),
    [sym_pn] = STATE(387),
    [sym_png] = STATE(387),
    [sym_addpn] = STATE(387),
    [sym_qt] = STATE(387),
    [sym_sig] = STATE(387),
    [sym_sls] = STATE(387),
    [sym_tl] = STATE(387),
    [sym_wj] = STATE(387),
    [sym_em] = STATE(387),
    [sym_bd] = STATE(387),
    [sym_it] = STATE(387),
    [sym_bdit] = STATE(387),
    [sym_no] = STATE(387),
    [sym_sc] = STATE(387),
    [sym_sup] = STATE(387),
    [sym_ndx] = STATE(387),
    [sym_pro] = STATE(387),
    [sym_rb] = STATE(387),
    [sym_w] = STATE(387),
    [sym_wg] = STATE(387),
    [sym_wh] = STATE(387),
    [sym_wa] = STATE(387),
    [sym__characterMarker] = STATE(387),
    [sym_fig] = STATE(387),
    [sym_jmp] = STATE(387),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
  },
  [1134] = {
    [sym_text] = STATE(381),
    [sym_ref] = STATE(381),
    [aux_sym__introText] = STATE(381),
    [sym_iqt] = STATE(381),
    [sym_xt_standalone] = STATE(381),
    [sym_add] = STATE(381),
    [sym_bk] = STATE(381),
    [sym_dc] = STATE(381),
    [sym_k] = STATE(381),
    [sym_nd] = STATE(381),
    [sym_ord] = STATE(381),
    [sym_pn] = STATE(381),
    [sym_png] = STATE(381),
    [sym_addpn] = STATE(381),
    [sym_qt] = STATE(381),
    [sym_sig] = STATE(381),
    [sym_sls] = STATE(381),
    [sym_tl] = STATE(381),
    [sym_wj] = STATE(381),
    [sym_em] = STATE(381),
    [sym_bd] = STATE(381),
    [sym_it] = STATE(381),
    [sym_bdit] = STATE(381),
    [sym_no] = STATE(381),
    [sym_sc] = STATE(381),
    [sym_sup] = STATE(381),
    [sym_ndx] = STATE(381),
    [sym_pro] = STATE(381),
    [sym_rb] = STATE(381),
    [sym_w] = STATE(381),
    [sym_wg] = STATE(381),
    [sym_wh] = STATE(381),
    [sym_wa] = STATE(381),
    [sym__characterMarker] = STATE(381),
    [sym_fig] = STATE(381),
    [sym_jmp] = STATE(381),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
  },
  [1135] = {
    [sym_text] = STATE(379),
    [sym_ref] = STATE(379),
    [aux_sym__introText] = STATE(379),
    [sym_iqt] = STATE(379),
    [sym_xt_standalone] = STATE(379),
    [sym_add] = STATE(379),
    [sym_bk] = STATE(379),
    [sym_dc] = STATE(379),
    [sym_k] = STATE(379),
    [sym_nd] = STATE(379),
    [sym_ord] = STATE(379),
    [sym_pn] = STATE(379),
    [sym_png] = STATE(379),
    [sym_addpn] = STATE(379),
    [sym_qt] = STATE(379),
    [sym_sig] = STATE(379),
    [sym_sls] = STATE(379),
    [sym_tl] = STATE(379),
    [sym_wj] = STATE(379),
    [sym_em] = STATE(379),
    [sym_bd] = STATE(379),
    [sym_it] = STATE(379),
    [sym_bdit] = STATE(379),
    [sym_no] = STATE(379),
    [sym_sc] = STATE(379),
    [sym_sup] = STATE(379),
    [sym_ndx] = STATE(379),
    [sym_pro] = STATE(379),
    [sym_rb] = STATE(379),
    [sym_w] = STATE(379),
    [sym_wg] = STATE(379),
    [sym_wh] = STATE(379),
    [sym_wa] = STATE(379),
    [sym__characterMarker] = STATE(379),
    [sym_fig] = STATE(379),
    [sym_jmp] = STATE(379),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
  },
  [1136] = {
    [sym_text] = STATE(375),
    [sym_ref] = STATE(375),
    [aux_sym__introText] = STATE(375),
    [sym_iqt] = STATE(375),
    [sym_xt_standalone] = STATE(375),
    [sym_add] = STATE(375),
    [sym_bk] = STATE(375),
    [sym_dc] = STATE(375),
    [sym_k] = STATE(375),
    [sym_nd] = STATE(375),
    [sym_ord] = STATE(375),
    [sym_pn] = STATE(375),
    [sym_png] = STATE(375),
    [sym_addpn] = STATE(375),
    [sym_qt] = STATE(375),
    [sym_sig] = STATE(375),
    [sym_sls] = STATE(375),
    [sym_tl] = STATE(375),
    [sym_wj] = STATE(375),
    [sym_em] = STATE(375),
    [sym_bd] = STATE(375),
    [sym_it] = STATE(375),
    [sym_bdit] = STATE(375),
    [sym_no] = STATE(375),
    [sym_sc] = STATE(375),
    [sym_sup] = STATE(375),
    [sym_ndx] = STATE(375),
    [sym_pro] = STATE(375),
    [sym_rb] = STATE(375),
    [sym_w] = STATE(375),
    [sym_wg] = STATE(375),
    [sym_wh] = STATE(375),
    [sym_wa] = STATE(375),
    [sym__characterMarker] = STATE(375),
    [sym_fig] = STATE(375),
    [sym_jmp] = STATE(375),
    [aux_sym_text_token1] = ACTIONS(5056),
    [anon_sym_BSLASHref] = ACTIONS(5058),
    [anon_sym_BSLASHiqt] = ACTIONS(5062),
    [anon_sym_BSLASHxt] = ACTIONS(5066),
    [anon_sym_BSLASHadd] = ACTIONS(5068),
    [anon_sym_BSLASHbk] = ACTIONS(5070),
    [anon_sym_BSLASHdc] = ACTIONS(5072),
    [anon_sym_BSLASHk] = ACTIONS(5074),
    [anon_sym_BSLASHnd] = ACTIONS(5076),
    [anon_sym_BSLASHord] = ACTIONS(5078),
    [anon_sym_BSLASHpn] = ACTIONS(5080),
    [anon_sym_BSLASHpng] = ACTIONS(5082),
    [anon_sym_BSLASHaddpn] = ACTIONS(5084),
    [anon_sym_BSLASHqt] = ACTIONS(5086),
    [anon_sym_BSLASHsig] = ACTIONS(5088),
    [anon_sym_BSLASHsls] = ACTIONS(5090),
    [anon_sym_BSLASHtl] = ACTIONS(5092),
    [anon_sym_BSLASHwj] = ACTIONS(5094),
    [anon_sym_BSLASHem] = ACTIONS(5096),
    [anon_sym_BSLASHbd] = ACTIONS(5098),
    [anon_sym_BSLASHit] = ACTIONS(5100),
    [anon_sym_BSLASHbdit] = ACTIONS(5102),
    [anon_sym_BSLASHno] = ACTIONS(5104),
    [anon_sym_BSLASHsc] = ACTIONS(5106),
    [anon_sym_BSLASHsup] = ACTIONS(5108),
    [anon_sym_BSLASHndx] = ACTIONS(5110),
    [anon_sym_BSLASHpro] = ACTIONS(5112),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5116),
    [anon_sym_BSLASHwg] = ACTIONS(5118),
    [anon_sym_BSLASHwh] = ACTIONS(5120),
    [anon_sym_BSLASHwa] = ACTIONS(5122),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5126),
  },
  [1137] = {
    [sym_text] = STATE(334),
    [sym_ref] = STATE(334),
    [aux_sym__introText] = STATE(334),
    [sym_iqt] = STATE(334),
    [sym_xt_standalone] = STATE(334),
    [sym_add] = STATE(334),
    [sym_bk] = STATE(334),
    [sym_dc] = STATE(334),
    [sym_k] = STATE(334),
    [sym_nd] = STATE(334),
    [sym_ord] = STATE(334),
    [sym_pn] = STATE(334),
    [sym_png] = STATE(334),
    [sym_addpn] = STATE(334),
    [sym_qt] = STATE(334),
    [sym_sig] = STATE(334),
    [sym_sls] = STATE(334),
    [sym_tl] = STATE(334),
    [sym_wj] = STATE(334),
    [sym_em] = STATE(334),
    [sym_bd] = STATE(334),
    [sym_it] = STATE(334),
    [sym_bdit] = STATE(334),
    [sym_no] = STATE(334),
    [sym_sc] = STATE(334),
    [sym_sup] = STATE(334),
    [sym_ndx] = STATE(334),
    [sym_pro] = STATE(334),
    [sym_rb] = STATE(334),
    [sym_w] = STATE(334),
    [sym_wg] = STATE(334),
    [sym_wh] = STATE(334),
    [sym_wa] = STATE(334),
    [sym__characterMarker] = STATE(334),
    [sym_fig] = STATE(334),
    [sym_jmp] = STATE(334),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASHiqt] = ACTIONS(4612),
    [anon_sym_BSLASHxt] = ACTIONS(792),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
  },
  [1138] = {
    [sym_text] = STATE(318),
    [sym_ref] = STATE(318),
    [aux_sym__introText] = STATE(318),
    [sym_iqt] = STATE(318),
    [sym_xt_standalone] = STATE(318),
    [sym_add] = STATE(318),
    [sym_bk] = STATE(318),
    [sym_dc] = STATE(318),
    [sym_k] = STATE(318),
    [sym_nd] = STATE(318),
    [sym_ord] = STATE(318),
    [sym_pn] = STATE(318),
    [sym_png] = STATE(318),
    [sym_addpn] = STATE(318),
    [sym_qt] = STATE(318),
    [sym_sig] = STATE(318),
    [sym_sls] = STATE(318),
    [sym_tl] = STATE(318),
    [sym_wj] = STATE(318),
    [sym_em] = STATE(318),
    [sym_bd] = STATE(318),
    [sym_it] = STATE(318),
    [sym_bdit] = STATE(318),
    [sym_no] = STATE(318),
    [sym_sc] = STATE(318),
    [sym_sup] = STATE(318),
    [sym_ndx] = STATE(318),
    [sym_pro] = STATE(318),
    [sym_rb] = STATE(318),
    [sym_w] = STATE(318),
    [sym_wg] = STATE(318),
    [sym_wh] = STATE(318),
    [sym_wa] = STATE(318),
    [sym__characterMarker] = STATE(318),
    [sym_fig] = STATE(318),
    [sym_jmp] = STATE(318),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHiqt] = ACTIONS(3779),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
  },
  [1139] = {
    [sym_text] = STATE(1140),
    [sym_footnote] = STATE(1140),
    [sym_f] = STATE(1275),
    [sym_fe] = STATE(1275),
    [sym_ef] = STATE(1275),
    [sym_fm] = STATE(1275),
    [sym_crossref] = STATE(1140),
    [sym_x] = STATE(1282),
    [sym_xt_standalone] = STATE(1282),
    [sym_rq] = STATE(1282),
    [aux_sym_mt_repeat1] = STATE(1140),
    [ts_builtin_sym_end] = ACTIONS(6233),
    [aux_sym_text_token1] = ACTIONS(6235),
    [anon_sym_BSLASHsts] = ACTIONS(6237),
    [anon_sym_BSLASHrem] = ACTIONS(6237),
    [anon_sym_BSLASHrestore] = ACTIONS(6237),
    [anon_sym_BSLASHlit] = ACTIONS(6237),
    [anon_sym_BSLASHip] = ACTIONS(6237),
    [anon_sym_BSLASHiex] = ACTIONS(6237),
    [anon_sym_BSLASHc] = ACTIONS(6237),
    [anon_sym_BSLASHcl] = ACTIONS(6237),
    [anon_sym_BSLASHca] = ACTIONS(6237),
    [anon_sym_BSLASHcp] = ACTIONS(6237),
    [anon_sym_BSLASHcd] = ACTIONS(6237),
    [anon_sym_BSLASHmte] = ACTIONS(6237),
    [anon_sym_BSLASHms] = ACTIONS(6237),
    [anon_sym_BSLASHs] = ACTIONS(6237),
    [anon_sym_BSLASHr] = ACTIONS(6237),
    [anon_sym_BSLASHsp] = ACTIONS(6237),
    [anon_sym_BSLASHd] = ACTIONS(6237),
    [anon_sym_BSLASHsd] = ACTIONS(6237),
    [anon_sym_BSLASHp] = ACTIONS(6237),
    [anon_sym_BSLASHm] = ACTIONS(6237),
    [anon_sym_BSLASHpo] = ACTIONS(6237),
    [anon_sym_BSLASHpr] = ACTIONS(6237),
    [anon_sym_BSLASHcls] = ACTIONS(6237),
    [anon_sym_BSLASHpmo] = ACTIONS(6237),
    [anon_sym_BSLASHpm] = ACTIONS(6237),
    [anon_sym_BSLASHpmc] = ACTIONS(6237),
    [anon_sym_BSLASHpmr] = ACTIONS(6237),
    [anon_sym_BSLASHpi] = ACTIONS(6237),
    [anon_sym_BSLASHmi] = ACTIONS(6237),
    [anon_sym_BSLASHnb] = ACTIONS(6237),
    [anon_sym_BSLASHpc] = ACTIONS(6237),
    [anon_sym_BSLASHph] = ACTIONS(6237),
    [anon_sym_BSLASHb] = ACTIONS(6237),
    [anon_sym_BSLASHq] = ACTIONS(6237),
    [anon_sym_BSLASHqr] = ACTIONS(6237),
    [anon_sym_BSLASHqc] = ACTIONS(6237),
    [anon_sym_BSLASHqa] = ACTIONS(6237),
    [anon_sym_BSLASHqm] = ACTIONS(6237),
    [anon_sym_BSLASHqd] = ACTIONS(6237),
    [anon_sym_BSLASHlh] = ACTIONS(6237),
    [anon_sym_BSLASHli] = ACTIONS(6237),
    [anon_sym_BSLASHlim] = ACTIONS(6237),
    [anon_sym_BSLASHtr] = ACTIONS(6237),
    [anon_sym_BSLASHf] = ACTIONS(6239),
    [anon_sym_BSLASHfe] = ACTIONS(6241),
    [anon_sym_BSLASHef] = ACTIONS(6243),
    [anon_sym_BSLASHfm] = ACTIONS(6245),
    [anon_sym_BSLASHx] = ACTIONS(6247),
    [anon_sym_BSLASHxt] = ACTIONS(6249),
    [anon_sym_BSLASHrq] = ACTIONS(6251),
    [anon_sym_BSLASHpb] = ACTIONS(6237),
    [anon_sym_BSLASH] = ACTIONS(6237),
    [sym_milestoneStartTag] = ACTIONS(6237),
    [sym_milestoneEndTag] = ACTIONS(6237),
    [sym_zSpaceTag] = ACTIONS(6237),
    [anon_sym_BSLASHesb] = ACTIONS(6237),
  },
  [1140] = {
    [sym_text] = STATE(1140),
    [sym_footnote] = STATE(1140),
    [sym_f] = STATE(1275),
    [sym_fe] = STATE(1275),
    [sym_ef] = STATE(1275),
    [sym_fm] = STATE(1275),
    [sym_crossref] = STATE(1140),
    [sym_x] = STATE(1282),
    [sym_xt_standalone] = STATE(1282),
    [sym_rq] = STATE(1282),
    [aux_sym_mt_repeat1] = STATE(1140),
    [ts_builtin_sym_end] = ACTIONS(6253),
    [aux_sym_text_token1] = ACTIONS(6255),
    [anon_sym_BSLASHsts] = ACTIONS(6258),
    [anon_sym_BSLASHrem] = ACTIONS(6258),
    [anon_sym_BSLASHrestore] = ACTIONS(6258),
    [anon_sym_BSLASHlit] = ACTIONS(6258),
    [anon_sym_BSLASHip] = ACTIONS(6258),
    [anon_sym_BSLASHiex] = ACTIONS(6258),
    [anon_sym_BSLASHc] = ACTIONS(6258),
    [anon_sym_BSLASHcl] = ACTIONS(6258),
    [anon_sym_BSLASHca] = ACTIONS(6258),
    [anon_sym_BSLASHcp] = ACTIONS(6258),
    [anon_sym_BSLASHcd] = ACTIONS(6258),
    [anon_sym_BSLASHmte] = ACTIONS(6258),
    [anon_sym_BSLASHms] = ACTIONS(6258),
    [anon_sym_BSLASHs] = ACTIONS(6258),
    [anon_sym_BSLASHr] = ACTIONS(6258),
    [anon_sym_BSLASHsp] = ACTIONS(6258),
    [anon_sym_BSLASHd] = ACTIONS(6258),
    [anon_sym_BSLASHsd] = ACTIONS(6258),
    [anon_sym_BSLASHp] = ACTIONS(6258),
    [anon_sym_BSLASHm] = ACTIONS(6258),
    [anon_sym_BSLASHpo] = ACTIONS(6258),
    [anon_sym_BSLASHpr] = ACTIONS(6258),
    [anon_sym_BSLASHcls] = ACTIONS(6258),
    [anon_sym_BSLASHpmo] = ACTIONS(6258),
    [anon_sym_BSLASHpm] = ACTIONS(6258),
    [anon_sym_BSLASHpmc] = ACTIONS(6258),
    [anon_sym_BSLASHpmr] = ACTIONS(6258),
    [anon_sym_BSLASHpi] = ACTIONS(6258),
    [anon_sym_BSLASHmi] = ACTIONS(6258),
    [anon_sym_BSLASHnb] = ACTIONS(6258),
    [anon_sym_BSLASHpc] = ACTIONS(6258),
    [anon_sym_BSLASHph] = ACTIONS(6258),
    [anon_sym_BSLASHb] = ACTIONS(6258),
    [anon_sym_BSLASHq] = ACTIONS(6258),
    [anon_sym_BSLASHqr] = ACTIONS(6258),
    [anon_sym_BSLASHqc] = ACTIONS(6258),
    [anon_sym_BSLASHqa] = ACTIONS(6258),
    [anon_sym_BSLASHqm] = ACTIONS(6258),
    [anon_sym_BSLASHqd] = ACTIONS(6258),
    [anon_sym_BSLASHlh] = ACTIONS(6258),
    [anon_sym_BSLASHli] = ACTIONS(6258),
    [anon_sym_BSLASHlim] = ACTIONS(6258),
    [anon_sym_BSLASHtr] = ACTIONS(6258),
    [anon_sym_BSLASHf] = ACTIONS(6260),
    [anon_sym_BSLASHfe] = ACTIONS(6263),
    [anon_sym_BSLASHef] = ACTIONS(6266),
    [anon_sym_BSLASHfm] = ACTIONS(6269),
    [anon_sym_BSLASHx] = ACTIONS(6272),
    [anon_sym_BSLASHxt] = ACTIONS(6275),
    [anon_sym_BSLASHrq] = ACTIONS(6278),
    [anon_sym_BSLASHpb] = ACTIONS(6258),
    [anon_sym_BSLASH] = ACTIONS(6258),
    [sym_milestoneStartTag] = ACTIONS(6258),
    [sym_milestoneEndTag] = ACTIONS(6258),
    [sym_zSpaceTag] = ACTIONS(6258),
    [anon_sym_BSLASHesb] = ACTIONS(6258),
  },
  [1141] = {
    [sym__bookHeader] = STATE(1145),
    [sym_usfm] = STATE(1145),
    [sym_ide] = STATE(1145),
    [sym_hBlock] = STATE(1145),
    [sym_tocBlock] = STATE(1145),
    [sym_tocaBlock] = STATE(1145),
    [sym_ref] = STATE(1145),
    [sym_h] = STATE(1634),
    [sym_hTag] = STATE(2005),
    [sym_toc] = STATE(1630),
    [sym_tocTag] = STATE(2126),
    [sym_toca] = STATE(1629),
    [sym_tocaTag] = STATE(2114),
    [sym__comments] = STATE(1145),
    [sym_sts] = STATE(1145),
    [sym_rem] = STATE(1145),
    [sym_restore] = STATE(1145),
    [sym_lit] = STATE(1145),
    [sym_milestoneTag] = STATE(1946),
    [sym__milestoneStandaloneMarker] = STATE(1657),
    [sym__milestoneStart] = STATE(1657),
    [sym__milestoneEnd] = STATE(1657),
    [sym_milestone] = STATE(1145),
    [sym__zNameSpaceRegular] = STATE(1658),
    [sym__zNameSpaceClosed] = STATE(1658),
    [sym__zNameSpaceStandaloneMarker] = STATE(1658),
    [sym_zNameSpace] = STATE(1145),
    [sym_esb] = STATE(1145),
    [aux_sym__mandatoryHead_repeat1] = STATE(1145),
    [aux_sym_hBlock_repeat1] = STATE(1634),
    [aux_sym_tocBlock_repeat1] = STATE(1630),
    [aux_sym_tocaBlock_repeat1] = STATE(1629),
    [ts_builtin_sym_end] = ACTIONS(6281),
    [anon_sym_BSLASHusfm] = ACTIONS(6283),
    [anon_sym_BSLASHide] = ACTIONS(6285),
    [anon_sym_BSLASHref] = ACTIONS(6287),
    [anon_sym_BSLASHh] = ACTIONS(6289),
    [anon_sym_BSLASHtoc] = ACTIONS(6291),
    [anon_sym_BSLASHtoca] = ACTIONS(6293),
    [anon_sym_BSLASHsts] = ACTIONS(6295),
    [anon_sym_BSLASHrem] = ACTIONS(6297),
    [anon_sym_BSLASHrestore] = ACTIONS(6299),
    [anon_sym_BSLASHlit] = ACTIONS(6301),
    [anon_sym_BSLASHimt] = ACTIONS(6303),
    [anon_sym_BSLASHimte] = ACTIONS(6281),
    [anon_sym_BSLASHis] = ACTIONS(6281),
    [anon_sym_BSLASHio] = ACTIONS(6303),
    [anon_sym_BSLASHiot] = ACTIONS(6281),
    [anon_sym_BSLASHip] = ACTIONS(6281),
    [anon_sym_BSLASHim] = ACTIONS(6281),
    [anon_sym_BSLASHipi] = ACTIONS(6281),
    [anon_sym_BSLASHimi] = ACTIONS(6281),
    [anon_sym_BSLASHili] = ACTIONS(6281),
    [anon_sym_BSLASHipq] = ACTIONS(6281),
    [anon_sym_BSLASHimq] = ACTIONS(6281),
    [anon_sym_BSLASHipr] = ACTIONS(6281),
    [anon_sym_BSLASHib] = ACTIONS(6281),
    [anon_sym_BSLASHiq] = ACTIONS(6281),
    [anon_sym_BSLASHie] = ACTIONS(6303),
    [anon_sym_BSLASHiex] = ACTIONS(6281),
    [anon_sym_BSLASHc] = ACTIONS(6281),
    [anon_sym_BSLASHcl] = ACTIONS(6281),
    [anon_sym_BSLASHmt] = ACTIONS(6281),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(6305),
    [sym_milestoneEndTag] = ACTIONS(6307),
    [sym_zSpaceTag] = ACTIONS(6309),
    [anon_sym_BSLASHesb] = ACTIONS(6311),
  },
  [1142] = {
    [sym_text] = STATE(316),
    [sym_verseText] = STATE(1169),
    [sym_livTag] = STATE(2485),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_liv_repeat1] = STATE(1169),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHliv] = ACTIONS(187),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
  },
  [1143] = {
    [sym_text] = STATE(316),
    [sym_verseText] = STATE(1142),
    [sym_livTag] = STATE(2493),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_liv_repeat1] = STATE(1142),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHliv] = ACTIONS(187),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
  },
  [1144] = {
    [sym_text] = STATE(316),
    [sym_verseText] = STATE(1147),
    [sym_livTag] = STATE(2732),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_liv_repeat1] = STATE(1147),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHliv] = ACTIONS(187),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
  },
  [1145] = {
    [sym__bookHeader] = STATE(1146),
    [sym_usfm] = STATE(1146),
    [sym_ide] = STATE(1146),
    [sym_hBlock] = STATE(1146),
    [sym_tocBlock] = STATE(1146),
    [sym_tocaBlock] = STATE(1146),
    [sym_ref] = STATE(1146),
    [sym_h] = STATE(1634),
    [sym_hTag] = STATE(2005),
    [sym_toc] = STATE(1630),
    [sym_tocTag] = STATE(2126),
    [sym_toca] = STATE(1629),
    [sym_tocaTag] = STATE(2114),
    [sym__comments] = STATE(1146),
    [sym_sts] = STATE(1146),
    [sym_rem] = STATE(1146),
    [sym_restore] = STATE(1146),
    [sym_lit] = STATE(1146),
    [sym_milestoneTag] = STATE(1946),
    [sym__milestoneStandaloneMarker] = STATE(1657),
    [sym__milestoneStart] = STATE(1657),
    [sym__milestoneEnd] = STATE(1657),
    [sym_milestone] = STATE(1146),
    [sym__zNameSpaceRegular] = STATE(1658),
    [sym__zNameSpaceClosed] = STATE(1658),
    [sym__zNameSpaceStandaloneMarker] = STATE(1658),
    [sym_zNameSpace] = STATE(1146),
    [sym_esb] = STATE(1146),
    [aux_sym__mandatoryHead_repeat1] = STATE(1146),
    [aux_sym_hBlock_repeat1] = STATE(1634),
    [aux_sym_tocBlock_repeat1] = STATE(1630),
    [aux_sym_tocaBlock_repeat1] = STATE(1629),
    [ts_builtin_sym_end] = ACTIONS(6313),
    [anon_sym_BSLASHusfm] = ACTIONS(6283),
    [anon_sym_BSLASHide] = ACTIONS(6285),
    [anon_sym_BSLASHref] = ACTIONS(6287),
    [anon_sym_BSLASHh] = ACTIONS(6289),
    [anon_sym_BSLASHtoc] = ACTIONS(6291),
    [anon_sym_BSLASHtoca] = ACTIONS(6293),
    [anon_sym_BSLASHsts] = ACTIONS(6295),
    [anon_sym_BSLASHrem] = ACTIONS(6297),
    [anon_sym_BSLASHrestore] = ACTIONS(6299),
    [anon_sym_BSLASHlit] = ACTIONS(6301),
    [anon_sym_BSLASHimt] = ACTIONS(6315),
    [anon_sym_BSLASHimte] = ACTIONS(6313),
    [anon_sym_BSLASHis] = ACTIONS(6313),
    [anon_sym_BSLASHio] = ACTIONS(6315),
    [anon_sym_BSLASHiot] = ACTIONS(6313),
    [anon_sym_BSLASHip] = ACTIONS(6313),
    [anon_sym_BSLASHim] = ACTIONS(6313),
    [anon_sym_BSLASHipi] = ACTIONS(6313),
    [anon_sym_BSLASHimi] = ACTIONS(6313),
    [anon_sym_BSLASHili] = ACTIONS(6313),
    [anon_sym_BSLASHipq] = ACTIONS(6313),
    [anon_sym_BSLASHimq] = ACTIONS(6313),
    [anon_sym_BSLASHipr] = ACTIONS(6313),
    [anon_sym_BSLASHib] = ACTIONS(6313),
    [anon_sym_BSLASHiq] = ACTIONS(6313),
    [anon_sym_BSLASHie] = ACTIONS(6315),
    [anon_sym_BSLASHiex] = ACTIONS(6313),
    [anon_sym_BSLASHc] = ACTIONS(6313),
    [anon_sym_BSLASHcl] = ACTIONS(6313),
    [anon_sym_BSLASHmt] = ACTIONS(6313),
    [anon_sym_BSLASH] = ACTIONS(267),
    [sym_milestoneStartTag] = ACTIONS(6305),
    [sym_milestoneEndTag] = ACTIONS(6307),
    [sym_zSpaceTag] = ACTIONS(6309),
    [anon_sym_BSLASHesb] = ACTIONS(6311),
  },
  [1146] = {
    [sym__bookHeader] = STATE(1146),
    [sym_usfm] = STATE(1146),
    [sym_ide] = STATE(1146),
    [sym_hBlock] = STATE(1146),
    [sym_tocBlock] = STATE(1146),
    [sym_tocaBlock] = STATE(1146),
    [sym_ref] = STATE(1146),
    [sym_h] = STATE(1634),
    [sym_hTag] = STATE(2005),
    [sym_toc] = STATE(1630),
    [sym_tocTag] = STATE(2126),
    [sym_toca] = STATE(1629),
    [sym_tocaTag] = STATE(2114),
    [sym__comments] = STATE(1146),
    [sym_sts] = STATE(1146),
    [sym_rem] = STATE(1146),
    [sym_restore] = STATE(1146),
    [sym_lit] = STATE(1146),
    [sym_milestoneTag] = STATE(1946),
    [sym__milestoneStandaloneMarker] = STATE(1657),
    [sym__milestoneStart] = STATE(1657),
    [sym__milestoneEnd] = STATE(1657),
    [sym_milestone] = STATE(1146),
    [sym__zNameSpaceRegular] = STATE(1658),
    [sym__zNameSpaceClosed] = STATE(1658),
    [sym__zNameSpaceStandaloneMarker] = STATE(1658),
    [sym_zNameSpace] = STATE(1146),
    [sym_esb] = STATE(1146),
    [aux_sym__mandatoryHead_repeat1] = STATE(1146),
    [aux_sym_hBlock_repeat1] = STATE(1634),
    [aux_sym_tocBlock_repeat1] = STATE(1630),
    [aux_sym_tocaBlock_repeat1] = STATE(1629),
    [ts_builtin_sym_end] = ACTIONS(6317),
    [anon_sym_BSLASHusfm] = ACTIONS(6319),
    [anon_sym_BSLASHide] = ACTIONS(6322),
    [anon_sym_BSLASHref] = ACTIONS(6325),
    [anon_sym_BSLASHh] = ACTIONS(6328),
    [anon_sym_BSLASHtoc] = ACTIONS(6331),
    [anon_sym_BSLASHtoca] = ACTIONS(6334),
    [anon_sym_BSLASHsts] = ACTIONS(6337),
    [anon_sym_BSLASHrem] = ACTIONS(6340),
    [anon_sym_BSLASHrestore] = ACTIONS(6343),
    [anon_sym_BSLASHlit] = ACTIONS(6346),
    [anon_sym_BSLASHimt] = ACTIONS(6349),
    [anon_sym_BSLASHimte] = ACTIONS(6317),
    [anon_sym_BSLASHis] = ACTIONS(6317),
    [anon_sym_BSLASHio] = ACTIONS(6349),
    [anon_sym_BSLASHiot] = ACTIONS(6317),
    [anon_sym_BSLASHip] = ACTIONS(6317),
    [anon_sym_BSLASHim] = ACTIONS(6317),
    [anon_sym_BSLASHipi] = ACTIONS(6317),
    [anon_sym_BSLASHimi] = ACTIONS(6317),
    [anon_sym_BSLASHili] = ACTIONS(6317),
    [anon_sym_BSLASHipq] = ACTIONS(6317),
    [anon_sym_BSLASHimq] = ACTIONS(6317),
    [anon_sym_BSLASHipr] = ACTIONS(6317),
    [anon_sym_BSLASHib] = ACTIONS(6317),
    [anon_sym_BSLASHiq] = ACTIONS(6317),
    [anon_sym_BSLASHie] = ACTIONS(6349),
    [anon_sym_BSLASHiex] = ACTIONS(6317),
    [anon_sym_BSLASHc] = ACTIONS(6317),
    [anon_sym_BSLASHcl] = ACTIONS(6317),
    [anon_sym_BSLASHmt] = ACTIONS(6317),
    [anon_sym_BSLASH] = ACTIONS(6351),
    [sym_milestoneStartTag] = ACTIONS(6354),
    [sym_milestoneEndTag] = ACTIONS(6357),
    [sym_zSpaceTag] = ACTIONS(6360),
    [anon_sym_BSLASHesb] = ACTIONS(6363),
  },
  [1147] = {
    [sym_text] = STATE(316),
    [sym_verseText] = STATE(1169),
    [sym_livTag] = STATE(2839),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_liv_repeat1] = STATE(1169),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHliv] = ACTIONS(187),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
  },
  [1148] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1806),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1149] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1887),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1150] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1879),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1151] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1809),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1152] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1811),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1153] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1913),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1154] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1808),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1155] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1807),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1156] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1804),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1157] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1936),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1158] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1790),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1159] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1802),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1160] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1929),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1161] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1810),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1162] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1925),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1163] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(567),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1164] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1914),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1165] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1938),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1166] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1901),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1167] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1891),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1168] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1907),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1169] = {
    [sym_text] = STATE(316),
    [sym_verseText] = STATE(1169),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_liv_repeat1] = STATE(1169),
    [aux_sym_text_token1] = ACTIONS(6366),
    [anon_sym_BSLASHliv] = ACTIONS(6369),
    [anon_sym_BSLASHadd] = ACTIONS(6371),
    [anon_sym_BSLASHbk] = ACTIONS(6374),
    [anon_sym_BSLASHdc] = ACTIONS(6377),
    [anon_sym_BSLASHk] = ACTIONS(6380),
    [anon_sym_BSLASHnd] = ACTIONS(6383),
    [anon_sym_BSLASHord] = ACTIONS(6386),
    [anon_sym_BSLASHpn] = ACTIONS(6389),
    [anon_sym_BSLASHpng] = ACTIONS(6392),
    [anon_sym_BSLASHaddpn] = ACTIONS(6395),
    [anon_sym_BSLASHqt] = ACTIONS(6398),
    [anon_sym_BSLASHsig] = ACTIONS(6401),
    [anon_sym_BSLASHsls] = ACTIONS(6404),
    [anon_sym_BSLASHtl] = ACTIONS(6407),
    [anon_sym_BSLASHwj] = ACTIONS(6410),
    [anon_sym_BSLASHem] = ACTIONS(6413),
    [anon_sym_BSLASHbd] = ACTIONS(6416),
    [anon_sym_BSLASHit] = ACTIONS(6419),
    [anon_sym_BSLASHbdit] = ACTIONS(6422),
    [anon_sym_BSLASHno] = ACTIONS(6425),
    [anon_sym_BSLASHsc] = ACTIONS(6428),
    [anon_sym_BSLASHsup] = ACTIONS(6431),
    [anon_sym_BSLASHndx] = ACTIONS(6434),
    [anon_sym_BSLASHpro] = ACTIONS(6437),
    [anon_sym_BSLASHrb] = ACTIONS(6440),
    [anon_sym_BSLASHw] = ACTIONS(6443),
    [anon_sym_BSLASHwg] = ACTIONS(6446),
    [anon_sym_BSLASHwh] = ACTIONS(6449),
    [anon_sym_BSLASHwa] = ACTIONS(6452),
    [anon_sym_BSLASHfig] = ACTIONS(6455),
    [anon_sym_BSLASHjmp] = ACTIONS(6458),
  },
  [1170] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1908),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1171] = {
    [sym_text] = STATE(265),
    [sym_ref] = STATE(265),
    [sym_crossrefText] = STATE(1919),
    [sym_addNested] = STATE(265),
    [sym_bkNested] = STATE(265),
    [sym_dcNested] = STATE(265),
    [sym_kNested] = STATE(265),
    [sym_ndNested] = STATE(265),
    [sym_ordNested] = STATE(265),
    [sym_pnNested] = STATE(265),
    [sym_pngNested] = STATE(265),
    [sym_addpnNested] = STATE(265),
    [sym_qtNested] = STATE(265),
    [sym_sigNested] = STATE(265),
    [sym_slsNested] = STATE(265),
    [sym_tlNested] = STATE(265),
    [sym_wjNested] = STATE(265),
    [sym_emNested] = STATE(265),
    [sym_bdNested] = STATE(265),
    [sym_itNested] = STATE(265),
    [sym_bditNested] = STATE(265),
    [sym_noNested] = STATE(265),
    [sym_scNested] = STATE(265),
    [sym_supNested] = STATE(265),
    [sym_ndxNested] = STATE(265),
    [sym_proNested] = STATE(265),
    [sym_rbNested] = STATE(265),
    [sym_wNested] = STATE(265),
    [sym_wgNested] = STATE(265),
    [sym_whNested] = STATE(265),
    [sym_waNested] = STATE(265),
    [sym__nestedCharacterMarker] = STATE(265),
    [sym_fig] = STATE(265),
    [sym_jmpNested] = STATE(265),
    [aux_sym_crossrefText_repeat1] = STATE(265),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHref] = ACTIONS(762),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1537),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1539),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1541),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1543),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1545),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1547),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1549),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1551),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1553),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1555),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1557),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1559),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1561),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1563),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1565),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1567),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1569),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1571),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1573),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1575),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1577),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1579),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1581),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1583),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1585),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1587),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1589),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1591),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1593),
  },
  [1172] = {
    [sym_qBlock] = STATE(1175),
    [sym_q] = STATE(1290),
    [sym_qTag] = STATE(51),
    [sym_qr] = STATE(1175),
    [sym_qc] = STATE(1175),
    [sym_qmBlock] = STATE(1175),
    [sym_qm] = STATE(1289),
    [sym_qmTag] = STATE(52),
    [sym_qd] = STATE(1175),
    [aux_sym_poetry_repeat1] = STATE(1175),
    [aux_sym_qBlock_repeat1] = STATE(1290),
    [aux_sym_qmBlock_repeat1] = STATE(1289),
    [ts_builtin_sym_end] = ACTIONS(6461),
    [anon_sym_BSLASHsts] = ACTIONS(6461),
    [anon_sym_BSLASHrem] = ACTIONS(6461),
    [anon_sym_BSLASHrestore] = ACTIONS(6461),
    [anon_sym_BSLASHlit] = ACTIONS(6461),
    [anon_sym_BSLASHip] = ACTIONS(6461),
    [anon_sym_BSLASHiex] = ACTIONS(6461),
    [anon_sym_BSLASHc] = ACTIONS(6461),
    [anon_sym_BSLASHcl] = ACTIONS(6461),
    [anon_sym_BSLASHca] = ACTIONS(6461),
    [anon_sym_BSLASHcp] = ACTIONS(6461),
    [anon_sym_BSLASHcd] = ACTIONS(6461),
    [anon_sym_BSLASHmte] = ACTIONS(6461),
    [anon_sym_BSLASHms] = ACTIONS(6461),
    [anon_sym_BSLASHs] = ACTIONS(6463),
    [anon_sym_BSLASHr] = ACTIONS(6461),
    [anon_sym_BSLASHsp] = ACTIONS(6461),
    [anon_sym_BSLASHd] = ACTIONS(6461),
    [anon_sym_BSLASHsd] = ACTIONS(6461),
    [anon_sym_BSLASHp] = ACTIONS(6463),
    [anon_sym_BSLASHm] = ACTIONS(6463),
    [anon_sym_BSLASHpo] = ACTIONS(6461),
    [anon_sym_BSLASHpr] = ACTIONS(6461),
    [anon_sym_BSLASHcls] = ACTIONS(6461),
    [anon_sym_BSLASHpmo] = ACTIONS(6461),
    [anon_sym_BSLASHpm] = ACTIONS(6463),
    [anon_sym_BSLASHpmc] = ACTIONS(6461),
    [anon_sym_BSLASHpmr] = ACTIONS(6461),
    [anon_sym_BSLASHpi] = ACTIONS(6461),
    [anon_sym_BSLASHmi] = ACTIONS(6461),
    [anon_sym_BSLASHnb] = ACTIONS(6461),
    [anon_sym_BSLASHpc] = ACTIONS(6461),
    [anon_sym_BSLASHph] = ACTIONS(6461),
    [anon_sym_BSLASHb] = ACTIONS(6461),
    [anon_sym_BSLASHq] = ACTIONS(1861),
    [anon_sym_BSLASHqr] = ACTIONS(1863),
    [anon_sym_BSLASHqc] = ACTIONS(1865),
    [anon_sym_BSLASHqa] = ACTIONS(6461),
    [anon_sym_BSLASHqm] = ACTIONS(1869),
    [anon_sym_BSLASHqd] = ACTIONS(1871),
    [anon_sym_BSLASHlh] = ACTIONS(6461),
    [anon_sym_BSLASHli] = ACTIONS(6463),
    [anon_sym_BSLASHlim] = ACTIONS(6461),
    [anon_sym_BSLASHtr] = ACTIONS(6461),
    [anon_sym_BSLASHf] = ACTIONS(6461),
    [anon_sym_BSLASHfe] = ACTIONS(6461),
    [anon_sym_BSLASHef] = ACTIONS(6461),
    [anon_sym_BSLASHfm] = ACTIONS(6461),
    [anon_sym_BSLASHpb] = ACTIONS(6461),
    [anon_sym_BSLASH] = ACTIONS(6463),
    [sym_milestoneStartTag] = ACTIONS(6461),
    [sym_milestoneEndTag] = ACTIONS(6461),
    [sym_zSpaceTag] = ACTIONS(6461),
    [anon_sym_BSLASHesb] = ACTIONS(6461),
  },
  [1173] = {
    [sym_text] = STATE(329),
    [sym_xt_standalone] = STATE(329),
    [sym_add] = STATE(329),
    [sym_bk] = STATE(329),
    [sym_dc] = STATE(329),
    [sym_k] = STATE(329),
    [sym_nd] = STATE(329),
    [sym_ord] = STATE(329),
    [sym_pn] = STATE(329),
    [sym_png] = STATE(329),
    [sym_addpn] = STATE(329),
    [sym_qt] = STATE(329),
    [sym_sig] = STATE(329),
    [sym_sls] = STATE(329),
    [sym_tl] = STATE(329),
    [sym_wj] = STATE(329),
    [sym_em] = STATE(329),
    [sym_bd] = STATE(329),
    [sym_it] = STATE(329),
    [sym_bdit] = STATE(329),
    [sym_no] = STATE(329),
    [sym_sc] = STATE(329),
    [sym_sup] = STATE(329),
    [sym_ndx] = STATE(329),
    [sym_pro] = STATE(329),
    [sym_rb] = STATE(329),
    [sym_w] = STATE(329),
    [sym_wg] = STATE(329),
    [sym_wh] = STATE(329),
    [sym_wa] = STATE(329),
    [sym__characterMarker] = STATE(329),
    [sym_fig] = STATE(329),
    [sym_jmp] = STATE(329),
    [aux_sym_cd_repeat1] = STATE(329),
    [aux_sym_text_token1] = ACTIONS(167),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(209),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(213),
    [anon_sym_BSLASHnd] = ACTIONS(215),
    [anon_sym_BSLASHord] = ACTIONS(217),
    [anon_sym_BSLASHpn] = ACTIONS(219),
    [anon_sym_BSLASHpng] = ACTIONS(221),
    [anon_sym_BSLASHaddpn] = ACTIONS(223),
    [anon_sym_BSLASHqt] = ACTIONS(225),
    [anon_sym_BSLASHsig] = ACTIONS(227),
    [anon_sym_BSLASHsls] = ACTIONS(229),
    [anon_sym_BSLASHtl] = ACTIONS(231),
    [anon_sym_BSLASHwj] = ACTIONS(233),
    [anon_sym_BSLASHem] = ACTIONS(235),
    [anon_sym_BSLASHbd] = ACTIONS(237),
    [anon_sym_BSLASHit] = ACTIONS(239),
    [anon_sym_BSLASHbdit] = ACTIONS(241),
    [anon_sym_BSLASHno] = ACTIONS(243),
    [anon_sym_BSLASHsc] = ACTIONS(245),
    [anon_sym_BSLASHsup] = ACTIONS(247),
    [anon_sym_BSLASHndx] = ACTIONS(249),
    [anon_sym_BSLASHpro] = ACTIONS(251),
    [anon_sym_BSLASHrb] = ACTIONS(253),
    [anon_sym_BSLASHw] = ACTIONS(255),
    [anon_sym_BSLASHwg] = ACTIONS(257),
    [anon_sym_BSLASHwh] = ACTIONS(259),
    [anon_sym_BSLASHwa] = ACTIONS(261),
    [anon_sym_BSLASHfig] = ACTIONS(263),
    [anon_sym_BSLASHjmp] = ACTIONS(265),
  },
  [1174] = {
    [sym_lf] = STATE(1314),
    [sym__listMarker] = STATE(1178),
    [sym_liBlock] = STATE(1178),
    [sym_li] = STATE(1263),
    [sym_liTag] = STATE(43),
    [sym_limBlock] = STATE(1178),
    [sym_lim] = STATE(1270),
    [sym_limTag] = STATE(42),
    [aux_sym_list_repeat1] = STATE(1178),
    [aux_sym_liBlock_repeat1] = STATE(1263),
    [aux_sym_limBlock_repeat1] = STATE(1270),
    [ts_builtin_sym_end] = ACTIONS(6465),
    [anon_sym_BSLASHsts] = ACTIONS(6465),
    [anon_sym_BSLASHrem] = ACTIONS(6465),
    [anon_sym_BSLASHrestore] = ACTIONS(6465),
    [anon_sym_BSLASHlit] = ACTIONS(6465),
    [anon_sym_BSLASHip] = ACTIONS(6465),
    [anon_sym_BSLASHiex] = ACTIONS(6465),
    [anon_sym_BSLASHc] = ACTIONS(6465),
    [anon_sym_BSLASHcl] = ACTIONS(6465),
    [anon_sym_BSLASHca] = ACTIONS(6465),
    [anon_sym_BSLASHcp] = ACTIONS(6465),
    [anon_sym_BSLASHcd] = ACTIONS(6465),
    [anon_sym_BSLASHmte] = ACTIONS(6465),
    [anon_sym_BSLASHms] = ACTIONS(6465),
    [anon_sym_BSLASHs] = ACTIONS(6467),
    [anon_sym_BSLASHr] = ACTIONS(6465),
    [anon_sym_BSLASHsp] = ACTIONS(6465),
    [anon_sym_BSLASHd] = ACTIONS(6465),
    [anon_sym_BSLASHsd] = ACTIONS(6465),
    [anon_sym_BSLASHp] = ACTIONS(6467),
    [anon_sym_BSLASHm] = ACTIONS(6467),
    [anon_sym_BSLASHpo] = ACTIONS(6465),
    [anon_sym_BSLASHpr] = ACTIONS(6465),
    [anon_sym_BSLASHcls] = ACTIONS(6465),
    [anon_sym_BSLASHpmo] = ACTIONS(6465),
    [anon_sym_BSLASHpm] = ACTIONS(6467),
    [anon_sym_BSLASHpmc] = ACTIONS(6465),
    [anon_sym_BSLASHpmr] = ACTIONS(6465),
    [anon_sym_BSLASHpi] = ACTIONS(6465),
    [anon_sym_BSLASHmi] = ACTIONS(6465),
    [anon_sym_BSLASHnb] = ACTIONS(6465),
    [anon_sym_BSLASHpc] = ACTIONS(6465),
    [anon_sym_BSLASHph] = ACTIONS(6465),
    [anon_sym_BSLASHb] = ACTIONS(6465),
    [anon_sym_BSLASHq] = ACTIONS(6467),
    [anon_sym_BSLASHqr] = ACTIONS(6465),
    [anon_sym_BSLASHqc] = ACTIONS(6465),
    [anon_sym_BSLASHqa] = ACTIONS(6465),
    [anon_sym_BSLASHqm] = ACTIONS(6465),
    [anon_sym_BSLASHqd] = ACTIONS(6465),
    [anon_sym_BSLASHlh] = ACTIONS(6465),
    [anon_sym_BSLASHlf] = ACTIONS(6469),
    [anon_sym_BSLASHli] = ACTIONS(1875),
    [anon_sym_BSLASHlim] = ACTIONS(1877),
    [anon_sym_BSLASHtr] = ACTIONS(6465),
    [anon_sym_BSLASHf] = ACTIONS(6465),
    [anon_sym_BSLASHfe] = ACTIONS(6465),
    [anon_sym_BSLASHef] = ACTIONS(6465),
    [anon_sym_BSLASHfm] = ACTIONS(6465),
    [anon_sym_BSLASHpb] = ACTIONS(6465),
    [anon_sym_BSLASH] = ACTIONS(6467),
    [sym_milestoneStartTag] = ACTIONS(6465),
    [sym_milestoneEndTag] = ACTIONS(6465),
    [sym_zSpaceTag] = ACTIONS(6465),
    [anon_sym_BSLASHesb] = ACTIONS(6465),
  },
  [1175] = {
    [sym_qBlock] = STATE(1175),
    [sym_q] = STATE(1290),
    [sym_qTag] = STATE(51),
    [sym_qr] = STATE(1175),
    [sym_qc] = STATE(1175),
    [sym_qmBlock] = STATE(1175),
    [sym_qm] = STATE(1289),
    [sym_qmTag] = STATE(52),
    [sym_qd] = STATE(1175),
    [aux_sym_poetry_repeat1] = STATE(1175),
    [aux_sym_qBlock_repeat1] = STATE(1290),
    [aux_sym_qmBlock_repeat1] = STATE(1289),
    [ts_builtin_sym_end] = ACTIONS(6471),
    [anon_sym_BSLASHsts] = ACTIONS(6471),
    [anon_sym_BSLASHrem] = ACTIONS(6471),
    [anon_sym_BSLASHrestore] = ACTIONS(6471),
    [anon_sym_BSLASHlit] = ACTIONS(6471),
    [anon_sym_BSLASHip] = ACTIONS(6471),
    [anon_sym_BSLASHiex] = ACTIONS(6471),
    [anon_sym_BSLASHc] = ACTIONS(6471),
    [anon_sym_BSLASHcl] = ACTIONS(6471),
    [anon_sym_BSLASHca] = ACTIONS(6471),
    [anon_sym_BSLASHcp] = ACTIONS(6471),
    [anon_sym_BSLASHcd] = ACTIONS(6471),
    [anon_sym_BSLASHmte] = ACTIONS(6471),
    [anon_sym_BSLASHms] = ACTIONS(6471),
    [anon_sym_BSLASHs] = ACTIONS(6473),
    [anon_sym_BSLASHr] = ACTIONS(6471),
    [anon_sym_BSLASHsp] = ACTIONS(6471),
    [anon_sym_BSLASHd] = ACTIONS(6471),
    [anon_sym_BSLASHsd] = ACTIONS(6471),
    [anon_sym_BSLASHp] = ACTIONS(6473),
    [anon_sym_BSLASHm] = ACTIONS(6473),
    [anon_sym_BSLASHpo] = ACTIONS(6471),
    [anon_sym_BSLASHpr] = ACTIONS(6471),
    [anon_sym_BSLASHcls] = ACTIONS(6471),
    [anon_sym_BSLASHpmo] = ACTIONS(6471),
    [anon_sym_BSLASHpm] = ACTIONS(6473),
    [anon_sym_BSLASHpmc] = ACTIONS(6471),
    [anon_sym_BSLASHpmr] = ACTIONS(6471),
    [anon_sym_BSLASHpi] = ACTIONS(6471),
    [anon_sym_BSLASHmi] = ACTIONS(6471),
    [anon_sym_BSLASHnb] = ACTIONS(6471),
    [anon_sym_BSLASHpc] = ACTIONS(6471),
    [anon_sym_BSLASHph] = ACTIONS(6471),
    [anon_sym_BSLASHb] = ACTIONS(6471),
    [anon_sym_BSLASHq] = ACTIONS(6475),
    [anon_sym_BSLASHqr] = ACTIONS(6478),
    [anon_sym_BSLASHqc] = ACTIONS(6481),
    [anon_sym_BSLASHqa] = ACTIONS(6471),
    [anon_sym_BSLASHqm] = ACTIONS(6484),
    [anon_sym_BSLASHqd] = ACTIONS(6487),
    [anon_sym_BSLASHlh] = ACTIONS(6471),
    [anon_sym_BSLASHli] = ACTIONS(6473),
    [anon_sym_BSLASHlim] = ACTIONS(6471),
    [anon_sym_BSLASHtr] = ACTIONS(6471),
    [anon_sym_BSLASHf] = ACTIONS(6471),
    [anon_sym_BSLASHfe] = ACTIONS(6471),
    [anon_sym_BSLASHef] = ACTIONS(6471),
    [anon_sym_BSLASHfm] = ACTIONS(6471),
    [anon_sym_BSLASHpb] = ACTIONS(6471),
    [anon_sym_BSLASH] = ACTIONS(6473),
    [sym_milestoneStartTag] = ACTIONS(6471),
    [sym_milestoneEndTag] = ACTIONS(6471),
    [sym_zSpaceTag] = ACTIONS(6471),
    [anon_sym_BSLASHesb] = ACTIONS(6471),
  },
  [1176] = {
    [sym_lf] = STATE(1331),
    [sym__listMarker] = STATE(1178),
    [sym_liBlock] = STATE(1178),
    [sym_li] = STATE(1263),
    [sym_liTag] = STATE(43),
    [sym_limBlock] = STATE(1178),
    [sym_lim] = STATE(1270),
    [sym_limTag] = STATE(42),
    [aux_sym_list_repeat1] = STATE(1178),
    [aux_sym_liBlock_repeat1] = STATE(1263),
    [aux_sym_limBlock_repeat1] = STATE(1270),
    [ts_builtin_sym_end] = ACTIONS(6490),
    [anon_sym_BSLASHsts] = ACTIONS(6490),
    [anon_sym_BSLASHrem] = ACTIONS(6490),
    [anon_sym_BSLASHrestore] = ACTIONS(6490),
    [anon_sym_BSLASHlit] = ACTIONS(6490),
    [anon_sym_BSLASHip] = ACTIONS(6490),
    [anon_sym_BSLASHiex] = ACTIONS(6490),
    [anon_sym_BSLASHc] = ACTIONS(6490),
    [anon_sym_BSLASHcl] = ACTIONS(6490),
    [anon_sym_BSLASHca] = ACTIONS(6490),
    [anon_sym_BSLASHcp] = ACTIONS(6490),
    [anon_sym_BSLASHcd] = ACTIONS(6490),
    [anon_sym_BSLASHmte] = ACTIONS(6490),
    [anon_sym_BSLASHms] = ACTIONS(6490),
    [anon_sym_BSLASHs] = ACTIONS(6492),
    [anon_sym_BSLASHr] = ACTIONS(6490),
    [anon_sym_BSLASHsp] = ACTIONS(6490),
    [anon_sym_BSLASHd] = ACTIONS(6490),
    [anon_sym_BSLASHsd] = ACTIONS(6490),
    [anon_sym_BSLASHp] = ACTIONS(6492),
    [anon_sym_BSLASHm] = ACTIONS(6492),
    [anon_sym_BSLASHpo] = ACTIONS(6490),
    [anon_sym_BSLASHpr] = ACTIONS(6490),
    [anon_sym_BSLASHcls] = ACTIONS(6490),
    [anon_sym_BSLASHpmo] = ACTIONS(6490),
    [anon_sym_BSLASHpm] = ACTIONS(6492),
    [anon_sym_BSLASHpmc] = ACTIONS(6490),
    [anon_sym_BSLASHpmr] = ACTIONS(6490),
    [anon_sym_BSLASHpi] = ACTIONS(6490),
    [anon_sym_BSLASHmi] = ACTIONS(6490),
    [anon_sym_BSLASHnb] = ACTIONS(6490),
    [anon_sym_BSLASHpc] = ACTIONS(6490),
    [anon_sym_BSLASHph] = ACTIONS(6490),
    [anon_sym_BSLASHb] = ACTIONS(6490),
    [anon_sym_BSLASHq] = ACTIONS(6492),
    [anon_sym_BSLASHqr] = ACTIONS(6490),
    [anon_sym_BSLASHqc] = ACTIONS(6490),
    [anon_sym_BSLASHqa] = ACTIONS(6490),
    [anon_sym_BSLASHqm] = ACTIONS(6490),
    [anon_sym_BSLASHqd] = ACTIONS(6490),
    [anon_sym_BSLASHlh] = ACTIONS(6490),
    [anon_sym_BSLASHlf] = ACTIONS(6469),
    [anon_sym_BSLASHli] = ACTIONS(1875),
    [anon_sym_BSLASHlim] = ACTIONS(1877),
    [anon_sym_BSLASHtr] = ACTIONS(6490),
    [anon_sym_BSLASHf] = ACTIONS(6490),
    [anon_sym_BSLASHfe] = ACTIONS(6490),
    [anon_sym_BSLASHef] = ACTIONS(6490),
    [anon_sym_BSLASHfm] = ACTIONS(6490),
    [anon_sym_BSLASHpb] = ACTIONS(6490),
    [anon_sym_BSLASH] = ACTIONS(6492),
    [sym_milestoneStartTag] = ACTIONS(6490),
    [sym_milestoneEndTag] = ACTIONS(6490),
    [sym_zSpaceTag] = ACTIONS(6490),
    [anon_sym_BSLASHesb] = ACTIONS(6490),
  },
  [1177] = {
    [sym_text] = STATE(316),
    [sym_verseText] = STATE(2664),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
  },
  [1178] = {
    [sym__listMarker] = STATE(1178),
    [sym_liBlock] = STATE(1178),
    [sym_li] = STATE(1263),
    [sym_liTag] = STATE(43),
    [sym_limBlock] = STATE(1178),
    [sym_lim] = STATE(1270),
    [sym_limTag] = STATE(42),
    [aux_sym_list_repeat1] = STATE(1178),
    [aux_sym_liBlock_repeat1] = STATE(1263),
    [aux_sym_limBlock_repeat1] = STATE(1270),
    [ts_builtin_sym_end] = ACTIONS(6494),
    [anon_sym_BSLASHsts] = ACTIONS(6494),
    [anon_sym_BSLASHrem] = ACTIONS(6494),
    [anon_sym_BSLASHrestore] = ACTIONS(6494),
    [anon_sym_BSLASHlit] = ACTIONS(6494),
    [anon_sym_BSLASHip] = ACTIONS(6494),
    [anon_sym_BSLASHiex] = ACTIONS(6494),
    [anon_sym_BSLASHc] = ACTIONS(6494),
    [anon_sym_BSLASHcl] = ACTIONS(6494),
    [anon_sym_BSLASHca] = ACTIONS(6494),
    [anon_sym_BSLASHcp] = ACTIONS(6494),
    [anon_sym_BSLASHcd] = ACTIONS(6494),
    [anon_sym_BSLASHmte] = ACTIONS(6494),
    [anon_sym_BSLASHms] = ACTIONS(6494),
    [anon_sym_BSLASHs] = ACTIONS(6496),
    [anon_sym_BSLASHr] = ACTIONS(6494),
    [anon_sym_BSLASHsp] = ACTIONS(6494),
    [anon_sym_BSLASHd] = ACTIONS(6494),
    [anon_sym_BSLASHsd] = ACTIONS(6494),
    [anon_sym_BSLASHp] = ACTIONS(6496),
    [anon_sym_BSLASHm] = ACTIONS(6496),
    [anon_sym_BSLASHpo] = ACTIONS(6494),
    [anon_sym_BSLASHpr] = ACTIONS(6494),
    [anon_sym_BSLASHcls] = ACTIONS(6494),
    [anon_sym_BSLASHpmo] = ACTIONS(6494),
    [anon_sym_BSLASHpm] = ACTIONS(6496),
    [anon_sym_BSLASHpmc] = ACTIONS(6494),
    [anon_sym_BSLASHpmr] = ACTIONS(6494),
    [anon_sym_BSLASHpi] = ACTIONS(6494),
    [anon_sym_BSLASHmi] = ACTIONS(6494),
    [anon_sym_BSLASHnb] = ACTIONS(6494),
    [anon_sym_BSLASHpc] = ACTIONS(6494),
    [anon_sym_BSLASHph] = ACTIONS(6494),
    [anon_sym_BSLASHb] = ACTIONS(6494),
    [anon_sym_BSLASHq] = ACTIONS(6496),
    [anon_sym_BSLASHqr] = ACTIONS(6494),
    [anon_sym_BSLASHqc] = ACTIONS(6494),
    [anon_sym_BSLASHqa] = ACTIONS(6494),
    [anon_sym_BSLASHqm] = ACTIONS(6494),
    [anon_sym_BSLASHqd] = ACTIONS(6494),
    [anon_sym_BSLASHlh] = ACTIONS(6494),
    [anon_sym_BSLASHlf] = ACTIONS(6494),
    [anon_sym_BSLASHli] = ACTIONS(6498),
    [anon_sym_BSLASHlim] = ACTIONS(6501),
    [anon_sym_BSLASHtr] = ACTIONS(6494),
    [anon_sym_BSLASHf] = ACTIONS(6494),
    [anon_sym_BSLASHfe] = ACTIONS(6494),
    [anon_sym_BSLASHef] = ACTIONS(6494),
    [anon_sym_BSLASHfm] = ACTIONS(6494),
    [anon_sym_BSLASHpb] = ACTIONS(6494),
    [anon_sym_BSLASH] = ACTIONS(6496),
    [sym_milestoneStartTag] = ACTIONS(6494),
    [sym_milestoneEndTag] = ACTIONS(6494),
    [sym_zSpaceTag] = ACTIONS(6494),
    [anon_sym_BSLASHesb] = ACTIONS(6494),
  },
  [1179] = {
    [sym_text] = STATE(316),
    [sym_verseText] = STATE(2663),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
  },
  [1180] = {
    [sym_text] = STATE(316),
    [sym_verseText] = STATE(2614),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
  },
  [1181] = {
    [sym_text] = STATE(316),
    [sym_verseText] = STATE(2607),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_text_token1] = ACTIONS(760),
    [anon_sym_BSLASHadd] = ACTIONS(796),
    [anon_sym_BSLASHbk] = ACTIONS(798),
    [anon_sym_BSLASHdc] = ACTIONS(800),
    [anon_sym_BSLASHk] = ACTIONS(802),
    [anon_sym_BSLASHnd] = ACTIONS(804),
    [anon_sym_BSLASHord] = ACTIONS(806),
    [anon_sym_BSLASHpn] = ACTIONS(808),
    [anon_sym_BSLASHpng] = ACTIONS(810),
    [anon_sym_BSLASHaddpn] = ACTIONS(812),
    [anon_sym_BSLASHqt] = ACTIONS(814),
    [anon_sym_BSLASHsig] = ACTIONS(816),
    [anon_sym_BSLASHsls] = ACTIONS(818),
    [anon_sym_BSLASHtl] = ACTIONS(820),
    [anon_sym_BSLASHwj] = ACTIONS(822),
    [anon_sym_BSLASHem] = ACTIONS(824),
    [anon_sym_BSLASHbd] = ACTIONS(826),
    [anon_sym_BSLASHit] = ACTIONS(828),
    [anon_sym_BSLASHbdit] = ACTIONS(830),
    [anon_sym_BSLASHno] = ACTIONS(832),
    [anon_sym_BSLASHsc] = ACTIONS(834),
    [anon_sym_BSLASHsup] = ACTIONS(836),
    [anon_sym_BSLASHndx] = ACTIONS(838),
    [anon_sym_BSLASHpro] = ACTIONS(840),
    [anon_sym_BSLASHrb] = ACTIONS(842),
    [anon_sym_BSLASHw] = ACTIONS(844),
    [anon_sym_BSLASHwg] = ACTIONS(846),
    [anon_sym_BSLASHwh] = ACTIONS(848),
    [anon_sym_BSLASHwa] = ACTIONS(850),
    [anon_sym_BSLASHfig] = ACTIONS(852),
    [anon_sym_BSLASHjmp] = ACTIONS(854),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 2,
    ACTIONS(2723), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2725), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [69] = 2,
    ACTIONS(25), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(27), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [138] = 2,
    ACTIONS(21), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(23), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [207] = 2,
    ACTIONS(454), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(456), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [276] = 2,
    ACTIONS(5536), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(5538), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [345] = 2,
    ACTIONS(17), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(19), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [414] = 2,
    ACTIONS(2699), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2701), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [483] = 2,
    ACTIONS(450), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(452), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [552] = 2,
    ACTIONS(5), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(7), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [621] = 2,
    ACTIONS(2695), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2697), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [690] = 2,
    ACTIONS(2691), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2693), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [759] = 2,
    ACTIONS(2687), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2689), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [828] = 2,
    ACTIONS(2659), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2661), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [897] = 2,
    ACTIONS(2619), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2621), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [966] = 2,
    ACTIONS(2719), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2721), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1035] = 2,
    ACTIONS(9), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(11), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1104] = 2,
    ACTIONS(2679), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2681), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1173] = 2,
    ACTIONS(2675), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2677), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1242] = 2,
    ACTIONS(2671), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2673), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1311] = 2,
    ACTIONS(2667), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2669), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1380] = 2,
    ACTIONS(2663), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2665), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1449] = 2,
    ACTIONS(2727), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2729), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1518] = 2,
    ACTIONS(2711), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2713), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1587] = 2,
    ACTIONS(2631), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2633), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1656] = 2,
    ACTIONS(2731), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2733), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1725] = 2,
    ACTIONS(2627), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2629), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1794] = 2,
    ACTIONS(2707), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2709), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1863] = 2,
    ACTIONS(2683), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2685), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1932] = 2,
    ACTIONS(2623), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2625), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2001] = 2,
    ACTIONS(2639), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2641), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2070] = 2,
    ACTIONS(13), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(15), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2139] = 2,
    ACTIONS(2635), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2637), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2208] = 2,
    ACTIONS(2703), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2705), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2277] = 2,
    ACTIONS(2739), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2741), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2346] = 2,
    ACTIONS(2747), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2749), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2415] = 2,
    ACTIONS(2743), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2745), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2484] = 2,
    ACTIONS(2715), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2717), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2553] = 2,
    ACTIONS(2655), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2657), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2622] = 2,
    ACTIONS(2651), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2653), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2691] = 2,
    ACTIONS(2735), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2737), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2760] = 2,
    ACTIONS(2643), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2645), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2829] = 2,
    ACTIONS(2647), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2649), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2898] = 2,
    ACTIONS(2615), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2617), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2967] = 7,
    ACTIONS(6508), 1,
      sym_thTag,
    ACTIONS(6510), 1,
      sym_thrTag,
    ACTIONS(6512), 1,
      sym_tcTag,
    ACTIONS(6514), 1,
      sym_tcrTag,
    STATE(1229), 5,
      sym_th,
      sym_thr,
      sym_tc,
      sym_tcr,
      aux_sym_tr_repeat1,
    ACTIONS(6506), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6504), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [3045] = 12,
    ACTIONS(3108), 1,
      anon_sym_BSLASHf,
    ACTIONS(3110), 1,
      anon_sym_BSLASHfe,
    ACTIONS(3112), 1,
      anon_sym_BSLASHef,
    ACTIONS(3114), 1,
      anon_sym_BSLASHfm,
    ACTIONS(3116), 1,
      anon_sym_BSLASHx,
    ACTIONS(3118), 1,
      anon_sym_BSLASHrq,
    ACTIONS(6516), 1,
      aux_sym_text_token1,
    ACTIONS(6518), 1,
      anon_sym_BSLASHxt,
    STATE(273), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(268), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
    STATE(1228), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    ACTIONS(6237), 44,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3133] = 7,
    ACTIONS(6508), 1,
      sym_thTag,
    ACTIONS(6510), 1,
      sym_thrTag,
    ACTIONS(6512), 1,
      sym_tcTag,
    ACTIONS(6514), 1,
      sym_tcrTag,
    STATE(1225), 5,
      sym_th,
      sym_thr,
      sym_tc,
      sym_tcr,
      aux_sym_tr_repeat1,
    ACTIONS(6522), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6520), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [3211] = 12,
    ACTIONS(6524), 1,
      aux_sym_text_token1,
    ACTIONS(6527), 1,
      anon_sym_BSLASHf,
    ACTIONS(6530), 1,
      anon_sym_BSLASHfe,
    ACTIONS(6533), 1,
      anon_sym_BSLASHef,
    ACTIONS(6536), 1,
      anon_sym_BSLASHfm,
    ACTIONS(6539), 1,
      anon_sym_BSLASHx,
    ACTIONS(6542), 1,
      anon_sym_BSLASHxt,
    ACTIONS(6545), 1,
      anon_sym_BSLASHrq,
    STATE(273), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(268), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
    STATE(1228), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    ACTIONS(6258), 44,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3299] = 7,
    ACTIONS(6552), 1,
      sym_thTag,
    ACTIONS(6555), 1,
      sym_thrTag,
    ACTIONS(6558), 1,
      sym_tcTag,
    ACTIONS(6561), 1,
      sym_tcrTag,
    STATE(1229), 5,
      sym_th,
      sym_thr,
      sym_tc,
      sym_tcr,
      aux_sym_tr_repeat1,
    ACTIONS(6550), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6548), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [3377] = 2,
    ACTIONS(3102), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3100), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3442] = 7,
    ACTIONS(1809), 1,
      anon_sym_BSLASHcl,
    ACTIONS(1811), 1,
      anon_sym_BSLASHca,
    ACTIONS(1813), 1,
      anon_sym_BSLASHcp,
    ACTIONS(1815), 1,
      anon_sym_BSLASHcd,
    STATE(1240), 6,
      sym__chapterMeta,
      sym_cl,
      sym_ca,
      sym_cp,
      sym_cd,
      aux_sym_c_repeat1,
    ACTIONS(6566), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6564), 43,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [3517] = 8,
    ACTIONS(5042), 1,
      ts_builtin_sym_end,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(6568), 1,
      aux_sym_text_token1,
    ACTIONS(6570), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6572), 1,
      sym__zSpaceClose,
    STATE(1257), 1,
      sym_text,
    STATE(2068), 1,
      sym__milestoneAttributes,
    ACTIONS(5046), 53,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [3594] = 2,
    ACTIONS(27), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(25), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3659] = 2,
    ACTIONS(6576), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6574), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3724] = 2,
    ACTIONS(6580), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6578), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3789] = 2,
    ACTIONS(6584), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6582), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3854] = 7,
    ACTIONS(1809), 1,
      anon_sym_BSLASHcl,
    ACTIONS(1811), 1,
      anon_sym_BSLASHca,
    ACTIONS(1813), 1,
      anon_sym_BSLASHcp,
    ACTIONS(1815), 1,
      anon_sym_BSLASHcd,
    STATE(1231), 6,
      sym__chapterMeta,
      sym_cl,
      sym_ca,
      sym_cp,
      sym_cd,
      aux_sym_c_repeat1,
    ACTIONS(6588), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6586), 43,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [3929] = 2,
    ACTIONS(6592), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6590), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3994] = 12,
    ACTIONS(6594), 1,
      anon_sym_BSLASHq,
    ACTIONS(6597), 1,
      anon_sym_BSLASHqr,
    ACTIONS(6600), 1,
      anon_sym_BSLASHqc,
    ACTIONS(6603), 1,
      anon_sym_BSLASHqm,
    ACTIONS(6606), 1,
      anon_sym_BSLASHqd,
    STATE(144), 1,
      sym_qTag,
    STATE(170), 1,
      sym_qmTag,
    STATE(1531), 2,
      sym_qm,
      aux_sym_qmBlock_repeat1,
    STATE(1539), 2,
      sym_q,
      aux_sym_qBlock_repeat1,
    ACTIONS(6473), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    STATE(1239), 6,
      sym_qBlock,
      sym_qr,
      sym_qc,
      sym_qmBlock,
      sym_qd,
      aux_sym_poetry_repeat1,
    ACTIONS(6471), 37,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4079] = 7,
    ACTIONS(6611), 1,
      anon_sym_BSLASHcl,
    ACTIONS(6614), 1,
      anon_sym_BSLASHca,
    ACTIONS(6617), 1,
      anon_sym_BSLASHcp,
    ACTIONS(6620), 1,
      anon_sym_BSLASHcd,
    STATE(1240), 6,
      sym__chapterMeta,
      sym_cl,
      sym_ca,
      sym_cp,
      sym_cd,
      aux_sym_c_repeat1,
    ACTIONS(6623), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6609), 43,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [4154] = 2,
    ACTIONS(3070), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3068), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4219] = 11,
    ACTIONS(2795), 1,
      anon_sym_BSLASHli,
    ACTIONS(2797), 1,
      anon_sym_BSLASHlim,
    ACTIONS(6625), 1,
      anon_sym_BSLASHlf,
    STATE(63), 1,
      sym_limTag,
    STATE(64), 1,
      sym_liTag,
    STATE(1331), 1,
      sym_lf,
    STATE(1504), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    STATE(1508), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    STATE(1262), 4,
      sym__listMarker,
      sym_liBlock,
      sym_limBlock,
      aux_sym_list_repeat1,
    ACTIONS(6492), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(6490), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4302] = 11,
    ACTIONS(2795), 1,
      anon_sym_BSLASHli,
    ACTIONS(2797), 1,
      anon_sym_BSLASHlim,
    ACTIONS(6625), 1,
      anon_sym_BSLASHlf,
    STATE(63), 1,
      sym_limTag,
    STATE(64), 1,
      sym_liTag,
    STATE(1314), 1,
      sym_lf,
    STATE(1504), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    STATE(1508), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    STATE(1262), 4,
      sym__listMarker,
      sym_liBlock,
      sym_limBlock,
      aux_sym_list_repeat1,
    ACTIONS(6467), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(6465), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4385] = 2,
    ACTIONS(456), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(454), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4450] = 12,
    ACTIONS(2783), 1,
      anon_sym_BSLASHq,
    ACTIONS(2785), 1,
      anon_sym_BSLASHqr,
    ACTIONS(2787), 1,
      anon_sym_BSLASHqc,
    ACTIONS(2791), 1,
      anon_sym_BSLASHqm,
    ACTIONS(2793), 1,
      anon_sym_BSLASHqd,
    STATE(144), 1,
      sym_qTag,
    STATE(170), 1,
      sym_qmTag,
    STATE(1531), 2,
      sym_qm,
      aux_sym_qmBlock_repeat1,
    STATE(1539), 2,
      sym_q,
      aux_sym_qBlock_repeat1,
    ACTIONS(6463), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    STATE(1239), 6,
      sym_qBlock,
      sym_qr,
      sym_qc,
      sym_qmBlock,
      sym_qd,
      aux_sym_poetry_repeat1,
    ACTIONS(6461), 37,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4535] = 2,
    ACTIONS(3098), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3096), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4600] = 2,
    ACTIONS(3090), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3088), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4665] = 2,
    ACTIONS(3062), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3060), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4730] = 2,
    ACTIONS(452), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(450), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4795] = 2,
    ACTIONS(3086), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3084), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4860] = 2,
    ACTIONS(3094), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3092), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4925] = 2,
    ACTIONS(3082), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3080), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4990] = 2,
    ACTIONS(23), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(21), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5055] = 2,
    ACTIONS(3066), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3064), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5120] = 2,
    ACTIONS(3106), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3104), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5185] = 2,
    ACTIONS(3078), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3076), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5250] = 6,
    ACTIONS(6627), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6629), 1,
      sym__zSpaceClose,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    STATE(1983), 1,
      sym__milestoneAttributes,
    ACTIONS(5236), 9,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
    ACTIONS(5234), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5323] = 2,
    ACTIONS(3074), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3072), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5388] = 5,
    ACTIONS(1829), 1,
      anon_sym_BSLASHsd,
    STATE(1343), 1,
      sym_sdTag,
    STATE(1261), 2,
      sym_sd,
      aux_sym_sdBlock_repeat1,
    ACTIONS(6635), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6633), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5458] = 2,
    ACTIONS(7), 9,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
    ACTIONS(5), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH_STAR,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym__zSpaceClose,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
      anon_sym_PIPE,
  [5522] = 5,
    ACTIONS(6641), 1,
      anon_sym_BSLASHsd,
    STATE(1343), 1,
      sym_sdTag,
    STATE(1261), 2,
      sym_sd,
      aux_sym_sdBlock_repeat1,
    ACTIONS(6639), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6637), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5592] = 9,
    ACTIONS(6644), 1,
      anon_sym_BSLASHli,
    ACTIONS(6647), 1,
      anon_sym_BSLASHlim,
    STATE(63), 1,
      sym_limTag,
    STATE(64), 1,
      sym_liTag,
    STATE(1504), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    STATE(1508), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    STATE(1262), 4,
      sym__listMarker,
      sym_liBlock,
      sym_limBlock,
      aux_sym_list_repeat1,
    ACTIONS(6496), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(6494), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5670] = 5,
    ACTIONS(1875), 1,
      anon_sym_BSLASHli,
    STATE(43), 1,
      sym_liTag,
    STATE(1273), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    ACTIONS(6652), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(6650), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [5739] = 2,
    ACTIONS(3072), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3074), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [5802] = 2,
    ACTIONS(3060), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3062), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [5865] = 7,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(6654), 1,
      aux_sym_text_token1,
    ACTIONS(6656), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6658), 1,
      sym__zSpaceClose,
    STATE(1293), 1,
      sym_text,
    STATE(2017), 1,
      sym__milestoneAttributes,
    ACTIONS(5046), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [5938] = 2,
    ACTIONS(5), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(7), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6001] = 2,
    ACTIONS(3088), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3090), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6064] = 2,
    ACTIONS(3092), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3094), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6127] = 5,
    ACTIONS(1877), 1,
      anon_sym_BSLASHlim,
    STATE(42), 1,
      sym_limTag,
    STATE(1278), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    ACTIONS(6662), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6660), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6196] = 2,
    ACTIONS(21), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(23), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6259] = 2,
    ACTIONS(3104), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3106), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6322] = 5,
    ACTIONS(6668), 1,
      anon_sym_BSLASHli,
    STATE(43), 1,
      sym_liTag,
    STATE(1273), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    ACTIONS(6666), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(6664), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6391] = 2,
    ACTIONS(3080), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3082), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6454] = 2,
    ACTIONS(3064), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3066), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6517] = 2,
    ACTIONS(3076), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3078), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6580] = 2,
    ACTIONS(3068), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3070), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6643] = 5,
    ACTIONS(6675), 1,
      anon_sym_BSLASHlim,
    STATE(42), 1,
      sym_limTag,
    STATE(1278), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    ACTIONS(6673), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6671), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6712] = 2,
    ACTIONS(6135), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6133), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [6775] = 2,
    ACTIONS(3100), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3102), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6838] = 2,
    ACTIONS(3096), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3098), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6901] = 2,
    ACTIONS(3084), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3086), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6964] = 2,
    ACTIONS(25), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(27), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7027] = 4,
    ACTIONS(6678), 1,
      ts_builtin_sym_end,
    ACTIONS(6680), 1,
      aux_sym_text_token1,
    STATE(1284), 2,
      sym_text,
      aux_sym_qa_repeat1,
    ACTIONS(6683), 53,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7093] = 5,
    ACTIONS(5246), 1,
      aux_sym_text_token1,
    ACTIONS(6685), 1,
      anon_sym_BSLASHva,
    ACTIONS(6688), 1,
      anon_sym_BSLASHvp,
    STATE(1285), 4,
      sym__verseMeta,
      sym_va,
      sym_vp,
      aux_sym_v_repeat1,
    ACTIONS(5248), 50,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [7161] = 4,
    ACTIONS(6235), 1,
      aux_sym_text_token1,
    ACTIONS(6691), 1,
      ts_builtin_sym_end,
    STATE(1284), 2,
      sym_text,
      aux_sym_qa_repeat1,
    ACTIONS(6693), 53,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7227] = 5,
    ACTIONS(6697), 1,
      anon_sym_BSLASHs,
    STATE(281), 1,
      sym_sTag,
    STATE(1287), 2,
      sym_s,
      aux_sym_sBlock_repeat1,
    ACTIONS(6700), 6,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6695), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7295] = 5,
    ACTIONS(6704), 1,
      anon_sym_BSLASHmte,
    STATE(1770), 1,
      sym_mteTag,
    STATE(1288), 2,
      sym_mte,
      aux_sym_mteBlock_repeat1,
    ACTIONS(6707), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6702), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7363] = 5,
    ACTIONS(1869), 1,
      anon_sym_BSLASHqm,
    STATE(52), 1,
      sym_qmTag,
    STATE(1308), 2,
      sym_qm,
      aux_sym_qmBlock_repeat1,
    ACTIONS(6711), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6709), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7431] = 5,
    ACTIONS(1861), 1,
      anon_sym_BSLASHq,
    STATE(51), 1,
      sym_qTag,
    STATE(1304), 2,
      sym_q,
      aux_sym_qBlock_repeat1,
    ACTIONS(6715), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6713), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7499] = 4,
    ACTIONS(6235), 1,
      aux_sym_text_token1,
    ACTIONS(6717), 1,
      ts_builtin_sym_end,
    STATE(1286), 2,
      sym_text,
      aux_sym_qa_repeat1,
    ACTIONS(6719), 53,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7565] = 5,
    ACTIONS(1857), 1,
      anon_sym_BSLASHph,
    STATE(82), 1,
      sym_phTag,
    STATE(1307), 2,
      sym_ph,
      aux_sym_phBlock_repeat1,
    ACTIONS(6723), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6721), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7633] = 6,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5234), 1,
      aux_sym_text_token1,
    ACTIONS(6725), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6727), 1,
      sym__zSpaceClose,
    STATE(2013), 1,
      sym__milestoneAttributes,
    ACTIONS(5236), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [7703] = 5,
    ACTIONS(1849), 1,
      anon_sym_BSLASHpi,
    STATE(83), 1,
      sym_piTag,
    STATE(1302), 2,
      sym_pi,
      aux_sym_piBlock_repeat1,
    ACTIONS(6731), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6729), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7771] = 5,
    ACTIONS(1821), 1,
      anon_sym_BSLASHs,
    STATE(281), 1,
      sym_sTag,
    STATE(1287), 2,
      sym_s,
      aux_sym_sBlock_repeat1,
    ACTIONS(6735), 6,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6733), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7839] = 5,
    ACTIONS(1819), 1,
      anon_sym_BSLASHms,
    STATE(1098), 1,
      sym_msTag,
    STATE(1301), 2,
      sym_ms,
      aux_sym_msBlock_repeat1,
    ACTIONS(6739), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6737), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7907] = 5,
    ACTIONS(1817), 1,
      anon_sym_BSLASHmte,
    STATE(1770), 1,
      sym_mteTag,
    STATE(1288), 2,
      sym_mte,
      aux_sym_mteBlock_repeat1,
    ACTIONS(6743), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6741), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7975] = 7,
    ACTIONS(6745), 1,
      sym_thTag,
    ACTIONS(6748), 1,
      sym_thrTag,
    ACTIONS(6751), 1,
      sym_tcTag,
    ACTIONS(6754), 1,
      sym_tcrTag,
    STATE(1298), 5,
      sym_th,
      sym_thr,
      sym_tc,
      sym_tcr,
      aux_sym_tr_repeat1,
    ACTIONS(6550), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6548), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [8047] = 7,
    ACTIONS(6757), 1,
      sym_thTag,
    ACTIONS(6759), 1,
      sym_thrTag,
    ACTIONS(6761), 1,
      sym_tcTag,
    ACTIONS(6763), 1,
      sym_tcrTag,
    STATE(1298), 5,
      sym_th,
      sym_thr,
      sym_tc,
      sym_tcr,
      aux_sym_tr_repeat1,
    ACTIONS(6506), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6504), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [8119] = 5,
    ACTIONS(4153), 1,
      anon_sym_BSLASHva,
    ACTIONS(4155), 1,
      anon_sym_BSLASHvp,
    ACTIONS(5128), 1,
      aux_sym_text_token1,
    STATE(1310), 4,
      sym__verseMeta,
      sym_va,
      sym_vp,
      aux_sym_v_repeat1,
    ACTIONS(5130), 50,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [8187] = 5,
    ACTIONS(6767), 1,
      anon_sym_BSLASHms,
    STATE(1098), 1,
      sym_msTag,
    STATE(1301), 2,
      sym_ms,
      aux_sym_msBlock_repeat1,
    ACTIONS(6770), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6765), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8255] = 5,
    ACTIONS(6776), 1,
      anon_sym_BSLASHpi,
    STATE(83), 1,
      sym_piTag,
    STATE(1302), 2,
      sym_pi,
      aux_sym_piBlock_repeat1,
    ACTIONS(6774), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6772), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8323] = 7,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(6779), 1,
      aux_sym_text_token1,
    ACTIONS(6781), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6783), 1,
      sym__zSpaceClose,
    STATE(1325), 1,
      sym_text,
    STATE(2055), 1,
      sym__milestoneAttributes,
    ACTIONS(5046), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [8395] = 5,
    ACTIONS(6789), 1,
      anon_sym_BSLASHq,
    STATE(51), 1,
      sym_qTag,
    STATE(1304), 2,
      sym_q,
      aux_sym_qBlock_repeat1,
    ACTIONS(6787), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6785), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8463] = 7,
    ACTIONS(6757), 1,
      sym_thTag,
    ACTIONS(6759), 1,
      sym_thrTag,
    ACTIONS(6761), 1,
      sym_tcTag,
    ACTIONS(6763), 1,
      sym_tcrTag,
    STATE(1299), 5,
      sym_th,
      sym_thr,
      sym_tc,
      sym_tcr,
      aux_sym_tr_repeat1,
    ACTIONS(6522), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6520), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [8535] = 4,
    ACTIONS(1823), 1,
      anon_sym_BSLASHr,
    STATE(1313), 1,
      sym_r,
    ACTIONS(3248), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3246), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [8601] = 5,
    ACTIONS(6796), 1,
      anon_sym_BSLASHph,
    STATE(82), 1,
      sym_phTag,
    STATE(1307), 2,
      sym_ph,
      aux_sym_phBlock_repeat1,
    ACTIONS(6794), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6792), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8669] = 5,
    ACTIONS(6803), 1,
      anon_sym_BSLASHqm,
    STATE(52), 1,
      sym_qmTag,
    STATE(1308), 2,
      sym_qm,
      aux_sym_qmBlock_repeat1,
    ACTIONS(6801), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6799), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8737] = 4,
    ACTIONS(1823), 1,
      anon_sym_BSLASHr,
    STATE(1360), 1,
      sym_r,
    ACTIONS(6808), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6806), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [8803] = 5,
    ACTIONS(4153), 1,
      anon_sym_BSLASHva,
    ACTIONS(4155), 1,
      anon_sym_BSLASHvp,
    ACTIONS(5242), 1,
      aux_sym_text_token1,
    STATE(1285), 4,
      sym__verseMeta,
      sym_va,
      sym_vp,
      aux_sym_v_repeat1,
    ACTIONS(5244), 50,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [8871] = 2,
    ACTIONS(5362), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5360), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [8932] = 2,
    ACTIONS(5382), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5380), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [8993] = 2,
    ACTIONS(6808), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6806), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9054] = 2,
    ACTIONS(6812), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6810), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9115] = 5,
    ACTIONS(5246), 1,
      aux_sym_text_token1,
    ACTIONS(6814), 1,
      anon_sym_BSLASHva,
    ACTIONS(6817), 1,
      anon_sym_BSLASHvp,
    STATE(1315), 4,
      sym__verseMeta,
      sym_va,
      sym_vp,
      aux_sym_v_repeat1,
    ACTIONS(5248), 49,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [9182] = 2,
    ACTIONS(7), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9243] = 2,
    ACTIONS(5342), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5340), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9304] = 2,
    ACTIONS(5330), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5328), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9365] = 4,
    ACTIONS(6824), 1,
      anon_sym_BSLASHtr,
    STATE(1319), 2,
      sym_tr,
      aux_sym_table_repeat1,
    ACTIONS(6822), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6820), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [9430] = 4,
    ACTIONS(1879), 1,
      anon_sym_BSLASHtr,
    STATE(1319), 2,
      sym_tr,
      aux_sym_table_repeat1,
    ACTIONS(6829), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6827), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [9495] = 2,
    ACTIONS(5346), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5344), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9556] = 2,
    ACTIONS(5350), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5348), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9617] = 2,
    ACTIONS(5354), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5352), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9678] = 2,
    ACTIONS(5418), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5416), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9739] = 6,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(5234), 1,
      aux_sym_text_token1,
    ACTIONS(6831), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6833), 1,
      sym__zSpaceClose,
    STATE(2049), 1,
      sym__milestoneAttributes,
    ACTIONS(5236), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [9808] = 2,
    ACTIONS(5358), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5356), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9869] = 5,
    ACTIONS(4628), 1,
      anon_sym_BSLASHva,
    ACTIONS(4630), 1,
      anon_sym_BSLASHvp,
    ACTIONS(5242), 1,
      aux_sym_text_token1,
    STATE(1315), 4,
      sym__verseMeta,
      sym_va,
      sym_vp,
      aux_sym_v_repeat1,
    ACTIONS(5244), 49,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [9936] = 2,
    ACTIONS(5366), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5364), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9997] = 2,
    ACTIONS(3248), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3246), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10058] = 2,
    ACTIONS(5370), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5368), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10119] = 2,
    ACTIONS(6467), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6465), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10180] = 2,
    ACTIONS(6837), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6835), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10241] = 2,
    ACTIONS(5374), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5372), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10302] = 5,
    ACTIONS(4628), 1,
      anon_sym_BSLASHva,
    ACTIONS(4630), 1,
      anon_sym_BSLASHvp,
    ACTIONS(5128), 1,
      aux_sym_text_token1,
    STATE(1327), 4,
      sym__verseMeta,
      sym_va,
      sym_vp,
      aux_sym_v_repeat1,
    ACTIONS(5130), 49,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [10369] = 2,
    ACTIONS(3070), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3068), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10430] = 2,
    ACTIONS(6841), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6839), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10491] = 2,
    ACTIONS(6845), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6843), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10552] = 2,
    ACTIONS(5378), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5376), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10613] = 2,
    ACTIONS(6849), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6847), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10674] = 2,
    ACTIONS(6853), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6851), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10735] = 2,
    ACTIONS(5386), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5384), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10796] = 2,
    ACTIONS(6857), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6855), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10857] = 2,
    ACTIONS(6861), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6859), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10918] = 2,
    ACTIONS(6865), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6863), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10979] = 2,
    ACTIONS(6869), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6867), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11040] = 2,
    ACTIONS(3066), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3064), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11101] = 2,
    ACTIONS(6873), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6871), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11162] = 2,
    ACTIONS(5338), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5336), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11223] = 2,
    ACTIONS(5422), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5420), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11284] = 2,
    ACTIONS(5334), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5332), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11345] = 2,
    ACTIONS(6877), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6875), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11406] = 2,
    ACTIONS(3102), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3100), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11467] = 2,
    ACTIONS(3098), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3096), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11528] = 2,
    ACTIONS(6881), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6879), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11589] = 2,
    ACTIONS(3094), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3092), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11650] = 2,
    ACTIONS(3078), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3076), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11711] = 2,
    ACTIONS(5), 1,
      aux_sym_text_token1,
    ACTIONS(7), 55,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      anon_sym_BSLASH_STAR,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      sym__zSpaceClose,
      anon_sym_PIPE,
  [11772] = 2,
    ACTIONS(3082), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3080), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11833] = 2,
    ACTIONS(5398), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5396), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11894] = 2,
    ACTIONS(6885), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6883), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11955] = 2,
    ACTIONS(6889), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6887), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [12016] = 2,
    ACTIONS(3090), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3088), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [12077] = 2,
    ACTIONS(5), 1,
      aux_sym_text_token1,
    ACTIONS(7), 54,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      anon_sym_BSLASH_STAR,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      sym__zSpaceClose,
      anon_sym_PIPE,
  [12137] = 7,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(6568), 1,
      aux_sym_text_token1,
    ACTIONS(6570), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6572), 1,
      sym__zSpaceClose,
    STATE(1257), 1,
      sym_text,
    STATE(2068), 1,
      sym__milestoneAttributes,
    ACTIONS(5046), 48,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [12206] = 2,
    ACTIONS(6893), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6891), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [12265] = 2,
    ACTIONS(6897), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6895), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [12324] = 2,
    ACTIONS(6901), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6899), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [12383] = 2,
    ACTIONS(6905), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6903), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [12442] = 2,
    ACTIONS(6909), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6907), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [12501] = 2,
    ACTIONS(5348), 1,
      aux_sym_text_token1,
    ACTIONS(5350), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [12559] = 2,
    ACTIONS(5336), 1,
      aux_sym_text_token1,
    ACTIONS(5338), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [12617] = 2,
    ACTIONS(454), 1,
      aux_sym_text_token1,
    ACTIONS(456), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [12675] = 2,
    ACTIONS(2699), 1,
      aux_sym_text_token1,
    ACTIONS(2701), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [12733] = 2,
    ACTIONS(3092), 1,
      aux_sym_text_token1,
    ACTIONS(3094), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [12791] = 2,
    ACTIONS(5396), 1,
      aux_sym_text_token1,
    ACTIONS(5398), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [12849] = 2,
    ACTIONS(5416), 1,
      aux_sym_text_token1,
    ACTIONS(5418), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [12907] = 2,
    ACTIONS(5340), 1,
      aux_sym_text_token1,
    ACTIONS(5342), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [12965] = 2,
    ACTIONS(450), 1,
      aux_sym_text_token1,
    ACTIONS(452), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13023] = 2,
    ACTIONS(5328), 1,
      aux_sym_text_token1,
    ACTIONS(5330), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13081] = 2,
    ACTIONS(2695), 1,
      aux_sym_text_token1,
    ACTIONS(2697), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13139] = 2,
    ACTIONS(2691), 1,
      aux_sym_text_token1,
    ACTIONS(2693), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13197] = 2,
    ACTIONS(2703), 1,
      aux_sym_text_token1,
    ACTIONS(2705), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13255] = 2,
    ACTIONS(5344), 1,
      aux_sym_text_token1,
    ACTIONS(5346), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13313] = 2,
    ACTIONS(2735), 1,
      aux_sym_text_token1,
    ACTIONS(2737), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13371] = 2,
    ACTIONS(5352), 1,
      aux_sym_text_token1,
    ACTIONS(5354), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13429] = 2,
    ACTIONS(5356), 1,
      aux_sym_text_token1,
    ACTIONS(5358), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13487] = 2,
    ACTIONS(5360), 1,
      aux_sym_text_token1,
    ACTIONS(5362), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13545] = 2,
    ACTIONS(5364), 1,
      aux_sym_text_token1,
    ACTIONS(5366), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13603] = 2,
    ACTIONS(5368), 1,
      aux_sym_text_token1,
    ACTIONS(5370), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13661] = 2,
    ACTIONS(5372), 1,
      aux_sym_text_token1,
    ACTIONS(5374), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13719] = 2,
    ACTIONS(5), 1,
      aux_sym_text_token1,
    ACTIONS(7), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13777] = 2,
    ACTIONS(2687), 1,
      aux_sym_text_token1,
    ACTIONS(2689), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13835] = 2,
    ACTIONS(2619), 1,
      aux_sym_text_token1,
    ACTIONS(2621), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13893] = 2,
    ACTIONS(2679), 1,
      aux_sym_text_token1,
    ACTIONS(2681), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13951] = 2,
    ACTIONS(2675), 1,
      aux_sym_text_token1,
    ACTIONS(2677), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14009] = 2,
    ACTIONS(2671), 1,
      aux_sym_text_token1,
    ACTIONS(2673), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14067] = 2,
    ACTIONS(5376), 1,
      aux_sym_text_token1,
    ACTIONS(5378), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14125] = 2,
    ACTIONS(2667), 1,
      aux_sym_text_token1,
    ACTIONS(2669), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14183] = 2,
    ACTIONS(2663), 1,
      aux_sym_text_token1,
    ACTIONS(2665), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14241] = 2,
    ACTIONS(2659), 1,
      aux_sym_text_token1,
    ACTIONS(2661), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14299] = 2,
    ACTIONS(2631), 1,
      aux_sym_text_token1,
    ACTIONS(2633), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14357] = 2,
    ACTIONS(2627), 1,
      aux_sym_text_token1,
    ACTIONS(2629), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14415] = 2,
    ACTIONS(2623), 1,
      aux_sym_text_token1,
    ACTIONS(2625), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14473] = 2,
    ACTIONS(2683), 1,
      aux_sym_text_token1,
    ACTIONS(2685), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14531] = 2,
    ACTIONS(2639), 1,
      aux_sym_text_token1,
    ACTIONS(2641), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14589] = 2,
    ACTIONS(2643), 1,
      aux_sym_text_token1,
    ACTIONS(2645), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14647] = 2,
    ACTIONS(2647), 1,
      aux_sym_text_token1,
    ACTIONS(2649), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14705] = 2,
    ACTIONS(2615), 1,
      aux_sym_text_token1,
    ACTIONS(2617), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14763] = 2,
    ACTIONS(2651), 1,
      aux_sym_text_token1,
    ACTIONS(2653), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14821] = 2,
    ACTIONS(2655), 1,
      aux_sym_text_token1,
    ACTIONS(2657), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14879] = 2,
    ACTIONS(2715), 1,
      aux_sym_text_token1,
    ACTIONS(2717), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14937] = 2,
    ACTIONS(2743), 1,
      aux_sym_text_token1,
    ACTIONS(2745), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14995] = 2,
    ACTIONS(2747), 1,
      aux_sym_text_token1,
    ACTIONS(2749), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15053] = 2,
    ACTIONS(5450), 1,
      aux_sym_text_token1,
    ACTIONS(5452), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15111] = 2,
    ACTIONS(5380), 1,
      aux_sym_text_token1,
    ACTIONS(5382), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15169] = 2,
    ACTIONS(5462), 1,
      aux_sym_text_token1,
    ACTIONS(5464), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15227] = 2,
    ACTIONS(5384), 1,
      aux_sym_text_token1,
    ACTIONS(5386), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15285] = 2,
    ACTIONS(2707), 1,
      aux_sym_text_token1,
    ACTIONS(2709), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15343] = 2,
    ACTIONS(5420), 1,
      aux_sym_text_token1,
    ACTIONS(5422), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15401] = 2,
    ACTIONS(5332), 1,
      aux_sym_text_token1,
    ACTIONS(5334), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15459] = 2,
    ACTIONS(2711), 1,
      aux_sym_text_token1,
    ACTIONS(2713), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15517] = 2,
    ACTIONS(2635), 1,
      aux_sym_text_token1,
    ACTIONS(2637), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15575] = 2,
    ACTIONS(5446), 1,
      aux_sym_text_token1,
    ACTIONS(5448), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15633] = 2,
    ACTIONS(5470), 1,
      aux_sym_text_token1,
    ACTIONS(5472), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15691] = 2,
    ACTIONS(2719), 1,
      aux_sym_text_token1,
    ACTIONS(2721), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15749] = 2,
    ACTIONS(3088), 1,
      aux_sym_text_token1,
    ACTIONS(3090), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15807] = 2,
    ACTIONS(3076), 1,
      aux_sym_text_token1,
    ACTIONS(3078), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15865] = 2,
    ACTIONS(3068), 1,
      aux_sym_text_token1,
    ACTIONS(3070), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15923] = 2,
    ACTIONS(25), 1,
      aux_sym_text_token1,
    ACTIONS(27), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15981] = 2,
    ACTIONS(3100), 1,
      aux_sym_text_token1,
    ACTIONS(3102), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16039] = 2,
    ACTIONS(13), 1,
      aux_sym_text_token1,
    ACTIONS(15), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16097] = 2,
    ACTIONS(17), 1,
      aux_sym_text_token1,
    ACTIONS(19), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16155] = 2,
    ACTIONS(2727), 1,
      aux_sym_text_token1,
    ACTIONS(2729), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16213] = 2,
    ACTIONS(9), 1,
      aux_sym_text_token1,
    ACTIONS(11), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16271] = 2,
    ACTIONS(3084), 1,
      aux_sym_text_token1,
    ACTIONS(3086), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16329] = 2,
    ACTIONS(3060), 1,
      aux_sym_text_token1,
    ACTIONS(3062), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16387] = 2,
    ACTIONS(3072), 1,
      aux_sym_text_token1,
    ACTIONS(3074), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16445] = 2,
    ACTIONS(3104), 1,
      aux_sym_text_token1,
    ACTIONS(3106), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16503] = 2,
    ACTIONS(3096), 1,
      aux_sym_text_token1,
    ACTIONS(3098), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16561] = 2,
    ACTIONS(5392), 1,
      aux_sym_text_token1,
    ACTIONS(5394), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16619] = 2,
    ACTIONS(5436), 1,
      aux_sym_text_token1,
    ACTIONS(5438), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16677] = 2,
    ACTIONS(2731), 1,
      aux_sym_text_token1,
    ACTIONS(2733), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16735] = 2,
    ACTIONS(3064), 1,
      aux_sym_text_token1,
    ACTIONS(3066), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16793] = 2,
    ACTIONS(2739), 1,
      aux_sym_text_token1,
    ACTIONS(2741), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16851] = 2,
    ACTIONS(21), 1,
      aux_sym_text_token1,
    ACTIONS(23), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16909] = 2,
    ACTIONS(2723), 1,
      aux_sym_text_token1,
    ACTIONS(2725), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16967] = 2,
    ACTIONS(3080), 1,
      aux_sym_text_token1,
    ACTIONS(3082), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17025] = 2,
    ACTIONS(5336), 1,
      aux_sym_text_token1,
    ACTIONS(5338), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17082] = 2,
    ACTIONS(25), 1,
      aux_sym_text_token1,
    ACTIONS(27), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17139] = 2,
    ACTIONS(2711), 1,
      aux_sym_text_token1,
    ACTIONS(2713), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17196] = 2,
    ACTIONS(2719), 1,
      aux_sym_text_token1,
    ACTIONS(2721), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17253] = 2,
    ACTIONS(2747), 1,
      aux_sym_text_token1,
    ACTIONS(2749), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17310] = 2,
    ACTIONS(2703), 1,
      aux_sym_text_token1,
    ACTIONS(2705), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17367] = 2,
    ACTIONS(2699), 1,
      aux_sym_text_token1,
    ACTIONS(2701), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17424] = 2,
    ACTIONS(2727), 1,
      aux_sym_text_token1,
    ACTIONS(2729), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17481] = 2,
    ACTIONS(2731), 1,
      aux_sym_text_token1,
    ACTIONS(2733), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17538] = 2,
    ACTIONS(2735), 1,
      aux_sym_text_token1,
    ACTIONS(2737), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17595] = 2,
    ACTIONS(2695), 1,
      aux_sym_text_token1,
    ACTIONS(2697), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17652] = 2,
    ACTIONS(2691), 1,
      aux_sym_text_token1,
    ACTIONS(2693), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17709] = 2,
    ACTIONS(2687), 1,
      aux_sym_text_token1,
    ACTIONS(2689), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17766] = 2,
    ACTIONS(2619), 1,
      aux_sym_text_token1,
    ACTIONS(2621), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17823] = 2,
    ACTIONS(2679), 1,
      aux_sym_text_token1,
    ACTIONS(2681), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17880] = 2,
    ACTIONS(2675), 1,
      aux_sym_text_token1,
    ACTIONS(2677), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17937] = 2,
    ACTIONS(2671), 1,
      aux_sym_text_token1,
    ACTIONS(2673), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17994] = 2,
    ACTIONS(2667), 1,
      aux_sym_text_token1,
    ACTIONS(2669), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18051] = 2,
    ACTIONS(2663), 1,
      aux_sym_text_token1,
    ACTIONS(2665), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18108] = 2,
    ACTIONS(2659), 1,
      aux_sym_text_token1,
    ACTIONS(2661), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18165] = 2,
    ACTIONS(2631), 1,
      aux_sym_text_token1,
    ACTIONS(2633), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18222] = 2,
    ACTIONS(2627), 1,
      aux_sym_text_token1,
    ACTIONS(2629), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18279] = 2,
    ACTIONS(2623), 1,
      aux_sym_text_token1,
    ACTIONS(2625), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18336] = 2,
    ACTIONS(2683), 1,
      aux_sym_text_token1,
    ACTIONS(2685), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18393] = 2,
    ACTIONS(2639), 1,
      aux_sym_text_token1,
    ACTIONS(2641), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18450] = 2,
    ACTIONS(2643), 1,
      aux_sym_text_token1,
    ACTIONS(2645), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18507] = 2,
    ACTIONS(2647), 1,
      aux_sym_text_token1,
    ACTIONS(2649), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18564] = 2,
    ACTIONS(2615), 1,
      aux_sym_text_token1,
    ACTIONS(2617), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18621] = 2,
    ACTIONS(2651), 1,
      aux_sym_text_token1,
    ACTIONS(2653), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18678] = 2,
    ACTIONS(2655), 1,
      aux_sym_text_token1,
    ACTIONS(2657), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18735] = 2,
    ACTIONS(2715), 1,
      aux_sym_text_token1,
    ACTIONS(2717), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18792] = 2,
    ACTIONS(2743), 1,
      aux_sym_text_token1,
    ACTIONS(2745), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18849] = 2,
    ACTIONS(3088), 1,
      aux_sym_text_token1,
    ACTIONS(3090), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18906] = 2,
    ACTIONS(2723), 1,
      aux_sym_text_token1,
    ACTIONS(2725), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18963] = 2,
    ACTIONS(2739), 1,
      aux_sym_text_token1,
    ACTIONS(2741), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19020] = 2,
    ACTIONS(2635), 1,
      aux_sym_text_token1,
    ACTIONS(2637), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19077] = 2,
    ACTIONS(5356), 1,
      aux_sym_text_token1,
    ACTIONS(5358), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19134] = 2,
    ACTIONS(5392), 1,
      aux_sym_text_token1,
    ACTIONS(5394), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19191] = 2,
    ACTIONS(5436), 1,
      aux_sym_text_token1,
    ACTIONS(5438), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19248] = 2,
    ACTIONS(5360), 1,
      aux_sym_text_token1,
    ACTIONS(5362), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19305] = 2,
    ACTIONS(13), 1,
      aux_sym_text_token1,
    ACTIONS(15), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19362] = 2,
    ACTIONS(17), 1,
      aux_sym_text_token1,
    ACTIONS(19), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19419] = 2,
    ACTIONS(5364), 1,
      aux_sym_text_token1,
    ACTIONS(5366), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19476] = 2,
    ACTIONS(25), 1,
      aux_sym_text_token1,
    ACTIONS(27), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [19533] = 2,
    ACTIONS(21), 1,
      aux_sym_text_token1,
    ACTIONS(23), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [19590] = 2,
    ACTIONS(5), 1,
      aux_sym_text_token1,
    ACTIONS(7), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19647] = 2,
    ACTIONS(5368), 1,
      aux_sym_text_token1,
    ACTIONS(5370), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19704] = 5,
    ACTIONS(6911), 1,
      anon_sym_BSLASHli,
    STATE(64), 1,
      sym_liTag,
    STATE(1495), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    ACTIONS(6666), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(6664), 42,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [19767] = 2,
    ACTIONS(5372), 1,
      aux_sym_text_token1,
    ACTIONS(5374), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19824] = 5,
    ACTIONS(6914), 1,
      anon_sym_BSLASHlim,
    STATE(63), 1,
      sym_limTag,
    STATE(1497), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    ACTIONS(6673), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6671), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [19887] = 2,
    ACTIONS(5376), 1,
      aux_sym_text_token1,
    ACTIONS(5378), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19944] = 2,
    ACTIONS(5), 1,
      aux_sym_text_token1,
    ACTIONS(7), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [20001] = 2,
    ACTIONS(5380), 1,
      aux_sym_text_token1,
    ACTIONS(5382), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20058] = 2,
    ACTIONS(5384), 1,
      aux_sym_text_token1,
    ACTIONS(5386), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20115] = 2,
    ACTIONS(5420), 1,
      aux_sym_text_token1,
    ACTIONS(5422), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20172] = 2,
    ACTIONS(5332), 1,
      aux_sym_text_token1,
    ACTIONS(5334), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20229] = 5,
    ACTIONS(2797), 1,
      anon_sym_BSLASHlim,
    STATE(63), 1,
      sym_limTag,
    STATE(1497), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    ACTIONS(6662), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6660), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [20292] = 2,
    ACTIONS(2707), 1,
      aux_sym_text_token1,
    ACTIONS(2709), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20349] = 2,
    ACTIONS(3076), 1,
      aux_sym_text_token1,
    ACTIONS(3078), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20406] = 2,
    ACTIONS(3068), 1,
      aux_sym_text_token1,
    ACTIONS(3070), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20463] = 5,
    ACTIONS(2795), 1,
      anon_sym_BSLASHli,
    STATE(64), 1,
      sym_liTag,
    STATE(1495), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    ACTIONS(6652), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(6650), 42,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [20526] = 2,
    ACTIONS(9), 1,
      aux_sym_text_token1,
    ACTIONS(11), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20583] = 2,
    ACTIONS(3084), 1,
      aux_sym_text_token1,
    ACTIONS(3086), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20640] = 2,
    ACTIONS(450), 1,
      aux_sym_text_token1,
    ACTIONS(452), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20697] = 2,
    ACTIONS(3060), 1,
      aux_sym_text_token1,
    ACTIONS(3062), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20754] = 2,
    ACTIONS(3072), 1,
      aux_sym_text_token1,
    ACTIONS(3074), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20811] = 2,
    ACTIONS(3104), 1,
      aux_sym_text_token1,
    ACTIONS(3106), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20868] = 2,
    ACTIONS(3064), 1,
      aux_sym_text_token1,
    ACTIONS(3066), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20925] = 2,
    ACTIONS(21), 1,
      aux_sym_text_token1,
    ACTIONS(23), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20982] = 2,
    ACTIONS(5416), 1,
      aux_sym_text_token1,
    ACTIONS(5418), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21039] = 2,
    ACTIONS(5396), 1,
      aux_sym_text_token1,
    ACTIONS(5398), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21096] = 2,
    ACTIONS(3080), 1,
      aux_sym_text_token1,
    ACTIONS(3082), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21153] = 2,
    ACTIONS(3092), 1,
      aux_sym_text_token1,
    ACTIONS(3094), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21210] = 2,
    ACTIONS(3096), 1,
      aux_sym_text_token1,
    ACTIONS(3098), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21267] = 2,
    ACTIONS(454), 1,
      aux_sym_text_token1,
    ACTIONS(456), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21324] = 2,
    ACTIONS(3100), 1,
      aux_sym_text_token1,
    ACTIONS(3102), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21381] = 2,
    ACTIONS(5352), 1,
      aux_sym_text_token1,
    ACTIONS(5354), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21438] = 2,
    ACTIONS(5340), 1,
      aux_sym_text_token1,
    ACTIONS(5342), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21495] = 2,
    ACTIONS(5328), 1,
      aux_sym_text_token1,
    ACTIONS(5330), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21552] = 2,
    ACTIONS(5344), 1,
      aux_sym_text_token1,
    ACTIONS(5346), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21609] = 2,
    ACTIONS(5348), 1,
      aux_sym_text_token1,
    ACTIONS(5350), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21666] = 5,
    ACTIONS(2773), 1,
      anon_sym_BSLASHpi,
    STATE(196), 1,
      sym_piTag,
    STATE(1541), 2,
      sym_pi,
      aux_sym_piBlock_repeat1,
    ACTIONS(6731), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6729), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [21728] = 3,
    ACTIONS(6917), 1,
      aux_sym_text_token1,
    STATE(1530), 2,
      sym_text,
      aux_sym_qa_repeat1,
    ACTIONS(6683), 48,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [21786] = 5,
    ACTIONS(2791), 1,
      anon_sym_BSLASHqm,
    STATE(170), 1,
      sym_qmTag,
    STATE(1543), 2,
      sym_qm,
      aux_sym_qmBlock_repeat1,
    ACTIONS(6711), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6709), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [21848] = 3,
    ACTIONS(6516), 1,
      aux_sym_text_token1,
    STATE(1533), 2,
      sym_text,
      aux_sym_qa_repeat1,
    ACTIONS(6719), 48,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [21906] = 3,
    ACTIONS(6516), 1,
      aux_sym_text_token1,
    STATE(1530), 2,
      sym_text,
      aux_sym_qa_repeat1,
    ACTIONS(6693), 48,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [21964] = 5,
    ACTIONS(6704), 1,
      anon_sym_BSLASHmte,
    STATE(1771), 1,
      sym_mteTag,
    STATE(1534), 2,
      sym_mte,
      aux_sym_mteBlock_repeat1,
    ACTIONS(6707), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6702), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22026] = 5,
    ACTIONS(6767), 1,
      anon_sym_BSLASHms,
    STATE(1099), 1,
      sym_msTag,
    STATE(1535), 2,
      sym_ms,
      aux_sym_msBlock_repeat1,
    ACTIONS(6770), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6765), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22088] = 5,
    ACTIONS(6920), 1,
      anon_sym_BSLASHs,
    STATE(312), 1,
      sym_sTag,
    STATE(1536), 2,
      sym_s,
      aux_sym_sBlock_repeat1,
    ACTIONS(6700), 6,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6695), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22150] = 5,
    ACTIONS(1819), 1,
      anon_sym_BSLASHms,
    STATE(1099), 1,
      sym_msTag,
    STATE(1535), 2,
      sym_ms,
      aux_sym_msBlock_repeat1,
    ACTIONS(6739), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6737), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22212] = 5,
    ACTIONS(6923), 1,
      anon_sym_BSLASHph,
    STATE(210), 1,
      sym_phTag,
    STATE(1538), 2,
      sym_ph,
      aux_sym_phBlock_repeat1,
    ACTIONS(6794), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6792), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22274] = 5,
    ACTIONS(2783), 1,
      anon_sym_BSLASHq,
    STATE(144), 1,
      sym_qTag,
    STATE(1542), 2,
      sym_q,
      aux_sym_qBlock_repeat1,
    ACTIONS(6715), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6713), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22336] = 5,
    ACTIONS(1817), 1,
      anon_sym_BSLASHmte,
    STATE(1771), 1,
      sym_mteTag,
    STATE(1534), 2,
      sym_mte,
      aux_sym_mteBlock_repeat1,
    ACTIONS(6743), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6741), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22398] = 5,
    ACTIONS(6926), 1,
      anon_sym_BSLASHpi,
    STATE(196), 1,
      sym_piTag,
    STATE(1541), 2,
      sym_pi,
      aux_sym_piBlock_repeat1,
    ACTIONS(6774), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6772), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22460] = 5,
    ACTIONS(6929), 1,
      anon_sym_BSLASHq,
    STATE(144), 1,
      sym_qTag,
    STATE(1542), 2,
      sym_q,
      aux_sym_qBlock_repeat1,
    ACTIONS(6787), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6785), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22522] = 5,
    ACTIONS(6932), 1,
      anon_sym_BSLASHqm,
    STATE(170), 1,
      sym_qmTag,
    STATE(1543), 2,
      sym_qm,
      aux_sym_qmBlock_repeat1,
    ACTIONS(6801), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6799), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22584] = 5,
    ACTIONS(2781), 1,
      anon_sym_BSLASHph,
    STATE(210), 1,
      sym_phTag,
    STATE(1538), 2,
      sym_ph,
      aux_sym_phBlock_repeat1,
    ACTIONS(6723), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6721), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22646] = 5,
    ACTIONS(2753), 1,
      anon_sym_BSLASHs,
    STATE(312), 1,
      sym_sTag,
    STATE(1536), 2,
      sym_s,
      aux_sym_sBlock_repeat1,
    ACTIONS(6735), 6,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6733), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22708] = 4,
    ACTIONS(6935), 1,
      anon_sym_BSLASHtr,
    STATE(1546), 2,
      sym_tr,
      aux_sym_table_repeat1,
    ACTIONS(6822), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6820), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22767] = 4,
    ACTIONS(2799), 1,
      anon_sym_BSLASHtr,
    STATE(1546), 2,
      sym_tr,
      aux_sym_table_repeat1,
    ACTIONS(6829), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6827), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22826] = 13,
    ACTIONS(6253), 1,
      ts_builtin_sym_end,
    ACTIONS(6938), 1,
      aux_sym_text_token1,
    ACTIONS(6941), 1,
      anon_sym_BSLASHf,
    ACTIONS(6944), 1,
      anon_sym_BSLASHfe,
    ACTIONS(6947), 1,
      anon_sym_BSLASHef,
    ACTIONS(6950), 1,
      anon_sym_BSLASHfm,
    ACTIONS(6953), 1,
      anon_sym_BSLASHx,
    ACTIONS(6956), 1,
      anon_sym_BSLASHxt,
    ACTIONS(6959), 1,
      anon_sym_BSLASHrq,
    STATE(1642), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(1548), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    STATE(1650), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
    ACTIONS(6258), 29,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [22902] = 13,
    ACTIONS(6962), 1,
      ts_builtin_sym_end,
    ACTIONS(6964), 1,
      aux_sym_text_token1,
    ACTIONS(6968), 1,
      anon_sym_BSLASHf,
    ACTIONS(6970), 1,
      anon_sym_BSLASHfe,
    ACTIONS(6972), 1,
      anon_sym_BSLASHef,
    ACTIONS(6974), 1,
      anon_sym_BSLASHfm,
    ACTIONS(6976), 1,
      anon_sym_BSLASHx,
    ACTIONS(6978), 1,
      anon_sym_BSLASHxt,
    ACTIONS(6980), 1,
      anon_sym_BSLASHrq,
    STATE(1642), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(1548), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    STATE(1650), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
    ACTIONS(6966), 29,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [22978] = 8,
    ACTIONS(5042), 1,
      ts_builtin_sym_end,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(6982), 1,
      aux_sym_text_token1,
    ACTIONS(6984), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6986), 1,
      sym__zSpaceClose,
    STATE(1620), 1,
      sym_text,
    STATE(2106), 1,
      sym__milestoneAttributes,
    ACTIONS(5046), 35,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [23037] = 1,
    ACTIONS(19), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23081] = 1,
    ACTIONS(3086), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23125] = 1,
    ACTIONS(11), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23169] = 1,
    ACTIONS(7), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23213] = 1,
    ACTIONS(135), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23257] = 1,
    ACTIONS(143), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23301] = 1,
    ACTIONS(163), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23345] = 1,
    ACTIONS(151), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23389] = 1,
    ACTIONS(99), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23433] = 1,
    ACTIONS(39), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23477] = 1,
    ACTIONS(43), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23521] = 1,
    ACTIONS(147), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23565] = 1,
    ACTIONS(47), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23609] = 1,
    ACTIONS(51), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23653] = 1,
    ACTIONS(55), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23697] = 1,
    ACTIONS(59), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23741] = 1,
    ACTIONS(63), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23785] = 1,
    ACTIONS(67), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23829] = 1,
    ACTIONS(71), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23873] = 1,
    ACTIONS(75), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23917] = 1,
    ACTIONS(79), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23961] = 1,
    ACTIONS(31), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24005] = 1,
    ACTIONS(3062), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24049] = 1,
    ACTIONS(3074), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24093] = 1,
    ACTIONS(83), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24137] = 1,
    ACTIONS(87), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24181] = 1,
    ACTIONS(3090), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24225] = 1,
    ACTIONS(3078), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24269] = 1,
    ACTIONS(3070), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24313] = 1,
    ACTIONS(91), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24357] = 2,
    ACTIONS(5320), 2,
      anon_sym_x_DASH,
      anon_sym_src,
    ACTIONS(6988), 39,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
      anon_sym_BSLASHcat,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_gloss,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
  [24403] = 2,
    ACTIONS(5322), 2,
      anon_sym_x_DASH,
      anon_sym_src,
    ACTIONS(6990), 39,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
      anon_sym_BSLASHcat,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_gloss,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
  [24449] = 1,
    ACTIONS(95), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24493] = 1,
    ACTIONS(35), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24537] = 1,
    ACTIONS(103), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24581] = 1,
    ACTIONS(107), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24625] = 1,
    ACTIONS(111), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24669] = 1,
    ACTIONS(115), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24713] = 1,
    ACTIONS(119), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24757] = 1,
    ACTIONS(123), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24801] = 1,
    ACTIONS(127), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24845] = 1,
    ACTIONS(131), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24889] = 1,
    ACTIONS(27), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24933] = 1,
    ACTIONS(155), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24977] = 1,
    ACTIONS(3102), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25021] = 1,
    ACTIONS(3098), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25065] = 1,
    ACTIONS(159), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25109] = 1,
    ACTIONS(3094), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25153] = 1,
    ACTIONS(3082), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25197] = 2,
    ACTIONS(5), 1,
      aux_sym_text_token1,
    ACTIONS(7), 40,
      anon_sym_BSLASHqac_STAR,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [25243] = 1,
    ACTIONS(139), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25287] = 1,
    ACTIONS(23), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25331] = 1,
    ACTIONS(15), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25375] = 1,
    ACTIONS(3066), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25419] = 2,
    ACTIONS(5326), 2,
      anon_sym_x_DASH,
      anon_sym_src,
    ACTIONS(6992), 39,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
      anon_sym_BSLASHcat,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_gloss,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
  [25465] = 2,
    ACTIONS(5318), 2,
      anon_sym_x_DASH,
      anon_sym_src,
    ACTIONS(6994), 39,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
      anon_sym_BSLASHcat,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_gloss,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
  [25511] = 1,
    ACTIONS(3106), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25555] = 2,
    ACTIONS(3076), 1,
      aux_sym_text_token1,
    ACTIONS(3078), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [25600] = 2,
    ACTIONS(3068), 1,
      aux_sym_text_token1,
    ACTIONS(3070), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [25645] = 2,
    ACTIONS(25), 1,
      aux_sym_text_token1,
    ACTIONS(27), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [25690] = 2,
    ACTIONS(17), 1,
      aux_sym_text_token1,
    ACTIONS(19), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [25735] = 2,
    ACTIONS(3072), 1,
      aux_sym_text_token1,
    ACTIONS(3074), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [25780] = 2,
    ACTIONS(3100), 1,
      aux_sym_text_token1,
    ACTIONS(3102), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [25825] = 2,
    ACTIONS(3096), 1,
      aux_sym_text_token1,
    ACTIONS(3098), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [25870] = 2,
    ACTIONS(3092), 1,
      aux_sym_text_token1,
    ACTIONS(3094), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [25915] = 2,
    ACTIONS(3080), 1,
      aux_sym_text_token1,
    ACTIONS(3082), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [25960] = 2,
    ACTIONS(3060), 1,
      aux_sym_text_token1,
    ACTIONS(3062), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26005] = 2,
    ACTIONS(13), 1,
      aux_sym_text_token1,
    ACTIONS(15), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26050] = 2,
    ACTIONS(3088), 1,
      aux_sym_text_token1,
    ACTIONS(3090), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26095] = 6,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(6996), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6998), 1,
      sym__zSpaceClose,
    STATE(2066), 1,
      sym__milestoneAttributes,
    ACTIONS(5236), 6,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
      sym_zSpaceTag,
    ACTIONS(5234), 30,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      anon_sym_BSLASHesb,
  [26148] = 2,
    ACTIONS(3104), 1,
      aux_sym_text_token1,
    ACTIONS(3106), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26193] = 2,
    ACTIONS(3084), 1,
      aux_sym_text_token1,
    ACTIONS(3086), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26238] = 2,
    ACTIONS(9), 1,
      aux_sym_text_token1,
    ACTIONS(11), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26283] = 2,
    ACTIONS(21), 1,
      aux_sym_text_token1,
    ACTIONS(23), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26328] = 2,
    ACTIONS(3064), 1,
      aux_sym_text_token1,
    ACTIONS(3066), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26373] = 5,
    ACTIONS(7002), 1,
      anon_sym_BSLASHh,
    STATE(2005), 1,
      sym_hTag,
    STATE(1626), 2,
      sym_h,
      aux_sym_hBlock_repeat1,
    ACTIONS(7005), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7000), 30,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [26423] = 2,
    ACTIONS(7), 5,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5), 34,
      ts_builtin_sym_end,
      anon_sym_BSLASHref_STAR,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt_STAR,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHior_STAR,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHvp_STAR,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHfv_STAR,
      anon_sym_BSLASHrq_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASHjmp_STAR,
      anon_sym_BSLASH_PLUSjmp_STAR,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
      anon_sym_PIPE,
  [26467] = 2,
    ACTIONS(7), 6,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
      sym_zSpaceTag,
    ACTIONS(5), 33,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASH_STAR,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym__zSpaceClose,
      anon_sym_BSLASHesb,
      anon_sym_PIPE,
  [26511] = 5,
    ACTIONS(6293), 1,
      anon_sym_BSLASHtoca,
    STATE(2114), 1,
      sym_tocaTag,
    STATE(1633), 2,
      sym_toca,
      aux_sym_tocaBlock_repeat1,
    ACTIONS(7009), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7007), 30,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [26561] = 5,
    ACTIONS(6291), 1,
      anon_sym_BSLASHtoc,
    STATE(2126), 1,
      sym_tocTag,
    STATE(1632), 2,
      sym_toc,
      aux_sym_tocBlock_repeat1,
    ACTIONS(7013), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7011), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [26611] = 5,
    ACTIONS(7015), 1,
      ts_builtin_sym_end,
    ACTIONS(7017), 1,
      aux_sym_text_token1,
    STATE(1655), 1,
      sym_description,
    STATE(1672), 1,
      sym__text,
    ACTIONS(7019), 35,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [26661] = 5,
    ACTIONS(7023), 1,
      anon_sym_BSLASHtoc,
    STATE(2126), 1,
      sym_tocTag,
    STATE(1632), 2,
      sym_toc,
      aux_sym_tocBlock_repeat1,
    ACTIONS(7026), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7021), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [26711] = 5,
    ACTIONS(7032), 1,
      anon_sym_BSLASHtoca,
    STATE(2114), 1,
      sym_tocaTag,
    STATE(1633), 2,
      sym_toca,
      aux_sym_tocaBlock_repeat1,
    ACTIONS(7030), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7028), 30,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [26761] = 5,
    ACTIONS(6289), 1,
      anon_sym_BSLASHh,
    STATE(2005), 1,
      sym_hTag,
    STATE(1626), 2,
      sym_h,
      aux_sym_hBlock_repeat1,
    ACTIONS(7037), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7035), 30,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [26811] = 2,
    ACTIONS(3092), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3094), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [26854] = 2,
    ACTIONS(25), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(27), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [26897] = 2,
    ACTIONS(3100), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3102), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [26940] = 2,
    ACTIONS(3096), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3098), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [26983] = 2,
    ACTIONS(3072), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3074), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27026] = 2,
    ACTIONS(3060), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3062), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27069] = 2,
    ACTIONS(3080), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3082), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27112] = 2,
    ACTIONS(3084), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3086), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27155] = 2,
    ACTIONS(7039), 1,
      aux_sym_text_token1,
    ACTIONS(7041), 37,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [27198] = 2,
    ACTIONS(5), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(7), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27241] = 2,
    ACTIONS(7043), 1,
      aux_sym_text_token1,
    ACTIONS(7045), 37,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [27284] = 2,
    ACTIONS(3068), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3070), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27327] = 2,
    ACTIONS(3076), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3078), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27370] = 2,
    ACTIONS(3088), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3090), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27413] = 2,
    ACTIONS(3104), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3106), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27456] = 2,
    ACTIONS(3064), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(3066), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27499] = 2,
    ACTIONS(21), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(23), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27542] = 2,
    ACTIONS(5338), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5336), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27583] = 2,
    ACTIONS(7049), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7047), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27624] = 2,
    ACTIONS(7053), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7051), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27665] = 2,
    ACTIONS(7057), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7055), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27706] = 2,
    ACTIONS(6893), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6891), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27747] = 2,
    ACTIONS(5334), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5332), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27788] = 2,
    ACTIONS(5422), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5420), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27829] = 2,
    ACTIONS(5386), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5384), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27870] = 2,
    ACTIONS(5382), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5380), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27911] = 2,
    ACTIONS(5354), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5352), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27952] = 2,
    ACTIONS(5378), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5376), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27993] = 2,
    ACTIONS(5398), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5396), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28034] = 2,
    ACTIONS(5342), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5340), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28075] = 2,
    ACTIONS(7061), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7059), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28116] = 2,
    ACTIONS(5374), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5372), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28157] = 2,
    ACTIONS(5330), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5328), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28198] = 2,
    ACTIONS(5370), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5368), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28239] = 2,
    ACTIONS(7065), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7063), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28280] = 2,
    ACTIONS(7069), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7067), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28321] = 2,
    ACTIONS(6897), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6895), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28362] = 2,
    ACTIONS(7073), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7071), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28403] = 2,
    ACTIONS(456), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(454), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28444] = 2,
    ACTIONS(5346), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5344), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28485] = 2,
    ACTIONS(5350), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5348), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28526] = 2,
    ACTIONS(452), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(450), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28567] = 2,
    ACTIONS(7077), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7075), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28608] = 2,
    ACTIONS(5366), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5364), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28649] = 2,
    ACTIONS(5418), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5416), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28690] = 2,
    ACTIONS(5358), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5356), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28731] = 2,
    ACTIONS(7), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28772] = 2,
    ACTIONS(5362), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5360), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28813] = 2,
    ACTIONS(5316), 1,
      anon_sym_x_DASH,
    ACTIONS(5542), 34,
      anon_sym_BSLASHref_STAR,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASH_STAR,
      anon_sym_BSLASHcat,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [28853] = 8,
    ACTIONS(5042), 1,
      ts_builtin_sym_end,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      aux_sym_text_token1,
    ACTIONS(7081), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7083), 1,
      sym__zSpaceClose,
    STATE(1699), 1,
      sym_text,
    STATE(2061), 1,
      sym__milestoneAttributes,
    ACTIONS(5046), 28,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28905] = 2,
    ACTIONS(5324), 1,
      anon_sym_x_DASH,
    ACTIONS(5540), 34,
      anon_sym_BSLASHref_STAR,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASH_STAR,
      anon_sym_BSLASHcat,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [28945] = 2,
    ACTIONS(7085), 1,
      aux_sym_text_token1,
    ACTIONS(7087), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [28984] = 2,
    ACTIONS(7089), 1,
      aux_sym_text_token1,
    ACTIONS(7091), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29023] = 2,
    ACTIONS(7093), 1,
      aux_sym_text_token1,
    ACTIONS(7095), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29062] = 2,
    ACTIONS(7097), 1,
      aux_sym_text_token1,
    ACTIONS(7099), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29101] = 2,
    ACTIONS(7101), 1,
      aux_sym_text_token1,
    ACTIONS(7103), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29140] = 2,
    ACTIONS(7105), 1,
      aux_sym_text_token1,
    ACTIONS(7107), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29179] = 2,
    ACTIONS(7109), 1,
      aux_sym_text_token1,
    ACTIONS(7111), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29218] = 2,
    ACTIONS(7113), 1,
      aux_sym_text_token1,
    ACTIONS(7115), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29257] = 2,
    ACTIONS(7117), 1,
      aux_sym_text_token1,
    ACTIONS(7119), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29296] = 2,
    ACTIONS(7121), 1,
      aux_sym_text_token1,
    ACTIONS(7123), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29335] = 2,
    ACTIONS(7125), 1,
      aux_sym_text_token1,
    ACTIONS(7127), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29374] = 2,
    ACTIONS(7129), 1,
      aux_sym_text_token1,
    ACTIONS(7131), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29413] = 5,
    ACTIONS(5598), 1,
      anon_sym_BSLASHmt,
    STATE(1769), 1,
      sym_mtTag,
    STATE(1700), 2,
      sym_mt,
      aux_sym_mtBlock_repeat1,
    ACTIONS(7135), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7133), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29457] = 6,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7137), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7139), 1,
      sym__zSpaceClose,
    STATE(2120), 1,
      sym__milestoneAttributes,
    ACTIONS(5236), 5,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
      sym_zSpaceTag,
    ACTIONS(5234), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      anon_sym_BSLASHesb,
  [29503] = 5,
    ACTIONS(7145), 1,
      anon_sym_BSLASHmt,
    STATE(1769), 1,
      sym_mtTag,
    STATE(1700), 2,
      sym_mt,
      aux_sym_mtBlock_repeat1,
    ACTIONS(7143), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7141), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29547] = 5,
    ACTIONS(5564), 1,
      anon_sym_BSLASHis,
    STATE(1122), 1,
      sym_isTag,
    STATE(1707), 2,
      sym_is,
      aux_sym_isBlock_repeat1,
    ACTIONS(7150), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7148), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29590] = 5,
    ACTIONS(5588), 1,
      anon_sym_BSLASHiq,
    STATE(1125), 1,
      sym_iqTag,
    STATE(1709), 2,
      sym_iq,
      aux_sym_iqBlock_repeat1,
    ACTIONS(7154), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7152), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29633] = 2,
    ACTIONS(7), 5,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
      sym_zSpaceTag,
    ACTIONS(5), 27,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASH_STAR,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym__zSpaceClose,
      anon_sym_BSLASHesb,
      anon_sym_PIPE,
  [29670] = 5,
    ACTIONS(5578), 1,
      anon_sym_BSLASHili,
    STATE(1124), 1,
      sym_iliTag,
    STATE(1708), 2,
      sym_ili,
      aux_sym_iliBlock_repeat1,
    ACTIONS(7158), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7156), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29713] = 5,
    ACTIONS(5560), 1,
      anon_sym_BSLASHimt,
    STATE(1130), 1,
      sym_imtTag,
    STATE(1706), 2,
      sym_imt,
      aux_sym_imtBlock_repeat1,
    ACTIONS(7162), 3,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7160), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29756] = 5,
    ACTIONS(7166), 1,
      anon_sym_BSLASHimt,
    STATE(1130), 1,
      sym_imtTag,
    STATE(1706), 2,
      sym_imt,
      aux_sym_imtBlock_repeat1,
    ACTIONS(7169), 3,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7164), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29799] = 5,
    ACTIONS(7175), 1,
      anon_sym_BSLASHis,
    STATE(1122), 1,
      sym_isTag,
    STATE(1707), 2,
      sym_is,
      aux_sym_isBlock_repeat1,
    ACTIONS(7173), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7171), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29842] = 5,
    ACTIONS(7182), 1,
      anon_sym_BSLASHili,
    STATE(1124), 1,
      sym_iliTag,
    STATE(1708), 2,
      sym_ili,
      aux_sym_iliBlock_repeat1,
    ACTIONS(7180), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7178), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29885] = 5,
    ACTIONS(7189), 1,
      anon_sym_BSLASHiq,
    STATE(1125), 1,
      sym_iqTag,
    STATE(1709), 2,
      sym_iq,
      aux_sym_iqBlock_repeat1,
    ACTIONS(7187), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7185), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29928] = 14,
    ACTIONS(5040), 1,
      anon_sym_x_DASH,
    ACTIONS(7192), 1,
      anon_sym_DQUOTE,
    ACTIONS(7194), 1,
      sym_customAttributeName,
    ACTIONS(7196), 1,
      sym_attributeValue,
    ACTIONS(7198), 1,
      anon_sym_PIPE,
    ACTIONS(7202), 1,
      anon_sym_alt,
    ACTIONS(7204), 1,
      anon_sym_src,
    ACTIONS(7206), 1,
      anon_sym_size,
    ACTIONS(7208), 1,
      anon_sym_loc,
    ACTIONS(7210), 1,
      anon_sym_copy,
    ACTIONS(7212), 1,
      anon_sym_ref,
    STATE(2523), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7200), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    STATE(1734), 10,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      sym_altAttribute,
      sym_srcAttribute,
      sym_sizeAttribute,
      sym_locAttribute,
      sym_copyAttribute,
      sym_refAttribute,
      aux_sym__figAttributes_repeat1,
  [29986] = 2,
    ACTIONS(5366), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5364), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30020] = 2,
    ACTIONS(5330), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5328), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30054] = 2,
    ACTIONS(5342), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5340), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30088] = 2,
    ACTIONS(5334), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5332), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30122] = 2,
    ACTIONS(5378), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5376), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30156] = 2,
    ACTIONS(5382), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5380), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30190] = 2,
    ACTIONS(5386), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5384), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30224] = 2,
    ACTIONS(5370), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5368), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30258] = 2,
    ACTIONS(5418), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5416), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30292] = 2,
    ACTIONS(5338), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5336), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30326] = 2,
    ACTIONS(6897), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6895), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30360] = 2,
    ACTIONS(5346), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5344), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30394] = 2,
    ACTIONS(5422), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5420), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30428] = 2,
    ACTIONS(5374), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5372), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30462] = 2,
    ACTIONS(5362), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5360), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30496] = 2,
    ACTIONS(7216), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7214), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30530] = 2,
    ACTIONS(5398), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5396), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30564] = 2,
    ACTIONS(5354), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5352), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30598] = 2,
    ACTIONS(6893), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6891), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30632] = 2,
    ACTIONS(7220), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7218), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30666] = 2,
    ACTIONS(5350), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5348), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30700] = 2,
    ACTIONS(7224), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7222), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30734] = 2,
    ACTIONS(5358), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5356), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30768] = 13,
    ACTIONS(5040), 1,
      anon_sym_x_DASH,
    ACTIONS(7226), 1,
      anon_sym_BSLASHfig_STAR,
    ACTIONS(7228), 1,
      sym_customAttributeName,
    ACTIONS(7230), 1,
      anon_sym_PIPE,
    ACTIONS(7234), 1,
      anon_sym_alt,
    ACTIONS(7236), 1,
      anon_sym_src,
    ACTIONS(7238), 1,
      anon_sym_size,
    ACTIONS(7240), 1,
      anon_sym_loc,
    ACTIONS(7242), 1,
      anon_sym_copy,
    ACTIONS(7244), 1,
      anon_sym_ref,
    STATE(2523), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7232), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    STATE(1735), 10,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      sym_altAttribute,
      sym_srcAttribute,
      sym_sizeAttribute,
      sym_locAttribute,
      sym_copyAttribute,
      sym_refAttribute,
      aux_sym__figAttributes_repeat1,
  [30823] = 13,
    ACTIONS(7246), 1,
      anon_sym_BSLASHfig_STAR,
    ACTIONS(7248), 1,
      sym_customAttributeName,
    ACTIONS(7251), 1,
      anon_sym_PIPE,
    ACTIONS(7257), 1,
      anon_sym_x_DASH,
    ACTIONS(7260), 1,
      anon_sym_alt,
    ACTIONS(7263), 1,
      anon_sym_src,
    ACTIONS(7266), 1,
      anon_sym_size,
    ACTIONS(7269), 1,
      anon_sym_loc,
    ACTIONS(7272), 1,
      anon_sym_copy,
    ACTIONS(7275), 1,
      anon_sym_ref,
    STATE(2523), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7254), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    STATE(1735), 10,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      sym_altAttribute,
      sym_srcAttribute,
      sym_sizeAttribute,
      sym_locAttribute,
      sym_copyAttribute,
      sym_refAttribute,
      aux_sym__figAttributes_repeat1,
  [30878] = 7,
    ACTIONS(5029), 1,
      anon_sym_x_DASH,
    ACTIONS(7280), 1,
      sym_customAttributeName,
    ACTIONS(7283), 1,
      anon_sym_PIPE,
    STATE(2523), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(1736), 4,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      aux_sym__attributesInCrossref_repeat1,
    ACTIONS(7286), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    ACTIONS(7278), 12,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [30920] = 7,
    ACTIONS(5040), 1,
      anon_sym_x_DASH,
    ACTIONS(7228), 1,
      sym_customAttributeName,
    ACTIONS(7230), 1,
      anon_sym_PIPE,
    STATE(2523), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(1736), 4,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      aux_sym__attributesInCrossref_repeat1,
    ACTIONS(7232), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    ACTIONS(7289), 12,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [30962] = 12,
    ACTIONS(7291), 1,
      anon_sym_BSLASHx_STAR,
    ACTIONS(7293), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7296), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7302), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7308), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7314), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7317), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7320), 1,
      anon_sym_BSLASHcat,
    STATE(1738), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31010] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7323), 1,
      anon_sym_BSLASHx_STAR,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    STATE(1738), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31058] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7343), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1738), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31106] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7345), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1746), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31154] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7347), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1738), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31202] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7349), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1738), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31250] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7351), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1743), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31298] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7353), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1760), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31346] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7355), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1738), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31394] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7357), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1749), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31442] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7359), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1758), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31490] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7361), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1738), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31538] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7363), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1738), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31586] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7365), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1742), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31634] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7367), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1757), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31682] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7369), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1740), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31730] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7371), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1750), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31778] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7373), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1762), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31826] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7375), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1739), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31874] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7377), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1738), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31922] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7379), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1738), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31970] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7381), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1738), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32018] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7383), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1738), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32066] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7385), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1759), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32114] = 12,
    ACTIONS(2805), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7327), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7329), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7333), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7335), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7339), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7341), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7387), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1738), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32162] = 9,
    ACTIONS(5040), 1,
      anon_sym_x_DASH,
    ACTIONS(7228), 1,
      sym_customAttributeName,
    ACTIONS(7391), 1,
      anon_sym_lemma,
    ACTIONS(7393), 1,
      anon_sym_strong,
    ACTIONS(7395), 1,
      anon_sym_srcloc,
    ACTIONS(7389), 2,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
    STATE(2523), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7232), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    STATE(1764), 6,
      sym_customAttribute,
      sym_lemmaAttribute,
      sym_strongAttribute,
      sym_scrlocAttribute,
      sym_linkAttribute,
      aux_sym__wAttributes_repeat1,
  [32202] = 9,
    ACTIONS(7399), 1,
      sym_customAttributeName,
    ACTIONS(7402), 1,
      anon_sym_lemma,
    ACTIONS(7405), 1,
      anon_sym_strong,
    ACTIONS(7408), 1,
      anon_sym_srcloc,
    ACTIONS(7414), 1,
      anon_sym_x_DASH,
    ACTIONS(7397), 2,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
    STATE(2523), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7411), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    STATE(1764), 6,
      sym_customAttribute,
      sym_lemmaAttribute,
      sym_strongAttribute,
      sym_scrlocAttribute,
      sym_linkAttribute,
      aux_sym__wAttributes_repeat1,
  [32242] = 10,
    ACTIONS(5040), 1,
      anon_sym_x_DASH,
    ACTIONS(7192), 1,
      anon_sym_DQUOTE,
    ACTIONS(7194), 1,
      sym_customAttributeName,
    ACTIONS(7196), 1,
      sym_attributeValue,
    ACTIONS(7417), 1,
      anon_sym_lemma,
    ACTIONS(7419), 1,
      anon_sym_strong,
    ACTIONS(7421), 1,
      anon_sym_srcloc,
    STATE(2523), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7200), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    STATE(1763), 6,
      sym_customAttribute,
      sym_lemmaAttribute,
      sym_strongAttribute,
      sym_scrlocAttribute,
      sym_linkAttribute,
      aux_sym__wAttributes_repeat1,
  [32284] = 8,
    ACTIONS(7425), 1,
      sym_customAttributeName,
    ACTIONS(7431), 1,
      anon_sym_x_DASH,
    STATE(2522), 1,
      sym_milestoneAttributeName,
    ACTIONS(7423), 2,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
    STATE(2523), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7434), 3,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
    STATE(1766), 4,
      sym_customAttribute,
      sym_linkAttribute,
      sym_msAttribute,
      aux_sym__milestoneAttributes_repeat1,
    ACTIONS(7428), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [32321] = 9,
    ACTIONS(5040), 1,
      anon_sym_x_DASH,
    ACTIONS(7192), 1,
      anon_sym_DQUOTE,
    ACTIONS(7194), 1,
      sym_customAttributeName,
    ACTIONS(7196), 1,
      sym_attributeValue,
    STATE(2522), 1,
      sym_milestoneAttributeName,
    STATE(2523), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7437), 3,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
    STATE(1768), 4,
      sym_customAttribute,
      sym_linkAttribute,
      sym_msAttribute,
      aux_sym__milestoneAttributes_repeat1,
    ACTIONS(7200), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [32360] = 8,
    ACTIONS(5040), 1,
      anon_sym_x_DASH,
    ACTIONS(7228), 1,
      sym_customAttributeName,
    STATE(2522), 1,
      sym_milestoneAttributeName,
    ACTIONS(7439), 2,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
    STATE(2523), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7441), 3,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
    STATE(1766), 4,
      sym_customAttribute,
      sym_linkAttribute,
      sym_msAttribute,
      aux_sym__milestoneAttributes_repeat1,
    ACTIONS(7232), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [32397] = 11,
    ACTIONS(6964), 1,
      aux_sym_text_token1,
    ACTIONS(6968), 1,
      anon_sym_BSLASHf,
    ACTIONS(6970), 1,
      anon_sym_BSLASHfe,
    ACTIONS(6972), 1,
      anon_sym_BSLASHef,
    ACTIONS(6974), 1,
      anon_sym_BSLASHfm,
    ACTIONS(6976), 1,
      anon_sym_BSLASHx,
    ACTIONS(6978), 1,
      anon_sym_BSLASHxt,
    ACTIONS(6980), 1,
      anon_sym_BSLASHrq,
    STATE(1642), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(1549), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    STATE(1650), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
  [32439] = 11,
    ACTIONS(6235), 1,
      aux_sym_text_token1,
    ACTIONS(6239), 1,
      anon_sym_BSLASHf,
    ACTIONS(6241), 1,
      anon_sym_BSLASHfe,
    ACTIONS(6243), 1,
      anon_sym_BSLASHef,
    ACTIONS(6245), 1,
      anon_sym_BSLASHfm,
    ACTIONS(6247), 1,
      anon_sym_BSLASHx,
    ACTIONS(6249), 1,
      anon_sym_BSLASHxt,
    ACTIONS(6251), 1,
      anon_sym_BSLASHrq,
    STATE(1282), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(1139), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    STATE(1275), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
  [32481] = 11,
    ACTIONS(3108), 1,
      anon_sym_BSLASHf,
    ACTIONS(3110), 1,
      anon_sym_BSLASHfe,
    ACTIONS(3112), 1,
      anon_sym_BSLASHef,
    ACTIONS(3114), 1,
      anon_sym_BSLASHfm,
    ACTIONS(3116), 1,
      anon_sym_BSLASHx,
    ACTIONS(3118), 1,
      anon_sym_BSLASHrq,
    ACTIONS(6516), 1,
      aux_sym_text_token1,
    ACTIONS(6518), 1,
      anon_sym_BSLASHxt,
    STATE(273), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(268), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
    STATE(1226), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
  [32523] = 7,
    ACTIONS(5040), 1,
      anon_sym_x_DASH,
    ACTIONS(7228), 1,
      sym_customAttributeName,
    STATE(2522), 1,
      sym_milestoneAttributeName,
    STATE(2523), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7441), 3,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
    STATE(1768), 4,
      sym_customAttribute,
      sym_linkAttribute,
      sym_msAttribute,
      aux_sym__milestoneAttributes_repeat1,
    ACTIONS(7232), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [32556] = 8,
    ACTIONS(5040), 1,
      anon_sym_x_DASH,
    ACTIONS(7192), 1,
      anon_sym_DQUOTE,
    ACTIONS(7194), 1,
      sym_customAttributeName,
    ACTIONS(7196), 1,
      sym_attributeValue,
    ACTIONS(7198), 1,
      anon_sym_PIPE,
    STATE(2523), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(1737), 4,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      aux_sym__attributesInCrossref_repeat1,
    ACTIONS(7200), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [32590] = 7,
    ACTIONS(7445), 1,
      sym_customAttributeName,
    ACTIONS(7448), 1,
      anon_sym_gloss,
    ACTIONS(7454), 1,
      anon_sym_x_DASH,
    ACTIONS(7443), 2,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
    STATE(2523), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(1774), 4,
      sym_customAttribute,
      sym_glossAttribute,
      sym_linkAttribute,
      aux_sym__rbAttributes_repeat1,
    ACTIONS(7451), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [32622] = 2,
    ACTIONS(7459), 1,
      anon_sym_x_DASH,
    ACTIONS(7457), 16,
      anon_sym_BSLASHref_STAR,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [32644] = 8,
    ACTIONS(5040), 1,
      anon_sym_x_DASH,
    ACTIONS(7192), 1,
      anon_sym_DQUOTE,
    ACTIONS(7194), 1,
      sym_customAttributeName,
    ACTIONS(7196), 1,
      sym_attributeValue,
    ACTIONS(7461), 1,
      anon_sym_gloss,
    STATE(2523), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(1778), 4,
      sym_customAttribute,
      sym_glossAttribute,
      sym_linkAttribute,
      aux_sym__rbAttributes_repeat1,
    ACTIONS(7200), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [32678] = 8,
    ACTIONS(5034), 1,
      sym_customAttributeName,
    ACTIONS(5036), 1,
      anon_sym_PIPE,
    ACTIONS(5040), 1,
      anon_sym_x_DASH,
    ACTIONS(7463), 1,
      anon_sym_DQUOTE,
    ACTIONS(7465), 1,
      sym_attributeValue,
    STATE(2935), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(341), 4,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      aux_sym__attributesInCrossref_repeat1,
    ACTIONS(5038), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [32712] = 7,
    ACTIONS(5040), 1,
      anon_sym_x_DASH,
    ACTIONS(7228), 1,
      sym_customAttributeName,
    ACTIONS(7469), 1,
      anon_sym_gloss,
    ACTIONS(7467), 2,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
    STATE(2523), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(1774), 4,
      sym_customAttribute,
      sym_glossAttribute,
      sym_linkAttribute,
      aux_sym__rbAttributes_repeat1,
    ACTIONS(7232), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [32744] = 2,
    ACTIONS(7473), 1,
      anon_sym_x_DASH,
    ACTIONS(7471), 16,
      anon_sym_BSLASHref_STAR,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [32766] = 2,
    ACTIONS(7477), 1,
      anon_sym_x_DASH,
    ACTIONS(7475), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [32787] = 2,
    ACTIONS(7481), 1,
      anon_sym_x_DASH,
    ACTIONS(7479), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [32808] = 2,
    ACTIONS(7485), 1,
      anon_sym_x_DASH,
    ACTIONS(7483), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [32829] = 2,
    ACTIONS(7489), 1,
      anon_sym_x_DASH,
    ACTIONS(7487), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [32850] = 2,
    ACTIONS(7493), 1,
      anon_sym_x_DASH,
    ACTIONS(7491), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [32871] = 2,
    ACTIONS(7497), 1,
      anon_sym_x_DASH,
    ACTIONS(7495), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [32892] = 2,
    ACTIONS(7501), 1,
      anon_sym_x_DASH,
    ACTIONS(7499), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [32913] = 2,
    ACTIONS(7505), 1,
      anon_sym_x_DASH,
    ACTIONS(7503), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [32934] = 2,
    ACTIONS(7509), 1,
      anon_sym_x_DASH,
    ACTIONS(7507), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [32955] = 2,
    ACTIONS(7513), 1,
      anon_sym_x_DASH,
    ACTIONS(7511), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [32976] = 4,
    ACTIONS(7517), 1,
      anon_sym_BSLASHxt_STAR,
    ACTIONS(7519), 1,
      anon_sym_PIPE,
    STATE(1812), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
    ACTIONS(7515), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33000] = 2,
    ACTIONS(7523), 1,
      anon_sym_x_DASH,
    ACTIONS(7521), 12,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
      sym_customAttributeName,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
  [33018] = 2,
    ACTIONS(7527), 1,
      anon_sym_x_DASH,
    ACTIONS(7525), 12,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      sym_customAttributeName,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33036] = 2,
    ACTIONS(7531), 1,
      anon_sym_x_DASH,
    ACTIONS(7529), 12,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      sym_customAttributeName,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33054] = 2,
    ACTIONS(7535), 1,
      anon_sym_x_DASH,
    ACTIONS(7533), 12,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      sym_customAttributeName,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33072] = 5,
    ACTIONS(7541), 1,
      anon_sym_x_DASH,
    ACTIONS(7537), 2,
      anon_sym_BSLASHjmp_STAR,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(1797), 2,
      sym_linkAttribute,
      aux_sym__jmpAttribute_repeat1,
    STATE(2902), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7539), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33096] = 2,
    ACTIONS(7545), 1,
      anon_sym_x_DASH,
    ACTIONS(7543), 12,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      sym_customAttributeName,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33114] = 5,
    ACTIONS(7552), 1,
      anon_sym_x_DASH,
    ACTIONS(7547), 2,
      anon_sym_BSLASHjmp_STAR,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(1797), 2,
      sym_linkAttribute,
      aux_sym__jmpAttribute_repeat1,
    STATE(2902), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7549), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33138] = 2,
    ACTIONS(7557), 1,
      anon_sym_x_DASH,
    ACTIONS(7555), 12,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      sym_customAttributeName,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33156] = 5,
    ACTIONS(7541), 1,
      anon_sym_x_DASH,
    ACTIONS(7559), 2,
      anon_sym_BSLASHjmp_STAR,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(1795), 2,
      sym_linkAttribute,
      aux_sym__jmpAttribute_repeat1,
    STATE(2902), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7539), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33180] = 2,
    ACTIONS(7563), 1,
      anon_sym_x_DASH,
    ACTIONS(7561), 12,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
      sym_customAttributeName,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
  [33198] = 2,
    ACTIONS(7567), 1,
      anon_sym_x_DASH,
    ACTIONS(7565), 12,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      sym_customAttributeName,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33216] = 2,
    ACTIONS(7571), 1,
      anon_sym_BSLASHxq_STAR,
    ACTIONS(7569), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33233] = 7,
    ACTIONS(1875), 1,
      anon_sym_BSLASHli,
    ACTIONS(1877), 1,
      anon_sym_BSLASHlim,
    STATE(42), 1,
      sym_limTag,
    STATE(43), 1,
      sym_liTag,
    STATE(1263), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    STATE(1270), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    STATE(1174), 4,
      sym__listMarker,
      sym_liBlock,
      sym_limBlock,
      aux_sym_list_repeat1,
  [33260] = 2,
    ACTIONS(7575), 1,
      anon_sym_BSLASHxta_STAR,
    ACTIONS(7573), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33277] = 7,
    ACTIONS(2795), 1,
      anon_sym_BSLASHli,
    ACTIONS(2797), 1,
      anon_sym_BSLASHlim,
    STATE(63), 1,
      sym_limTag,
    STATE(64), 1,
      sym_liTag,
    STATE(1504), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    STATE(1508), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    STATE(1243), 4,
      sym__listMarker,
      sym_liBlock,
      sym_limBlock,
      aux_sym_list_repeat1,
  [33304] = 2,
    ACTIONS(7579), 1,
      anon_sym_BSLASHxk_STAR,
    ACTIONS(7577), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33321] = 2,
    ACTIONS(7583), 1,
      anon_sym_BSLASHxop_STAR,
    ACTIONS(7581), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33338] = 2,
    ACTIONS(7587), 1,
      anon_sym_BSLASHxot_STAR,
    ACTIONS(7585), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33355] = 2,
    ACTIONS(7591), 1,
      anon_sym_BSLASHxdc_STAR,
    ACTIONS(7589), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33372] = 2,
    ACTIONS(7595), 1,
      anon_sym_BSLASHxo_STAR,
    ACTIONS(7593), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33389] = 2,
    ACTIONS(7599), 1,
      anon_sym_BSLASHxnt_STAR,
    ACTIONS(7597), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33406] = 2,
    ACTIONS(7603), 1,
      anon_sym_BSLASHxt_STAR,
    ACTIONS(7601), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33423] = 1,
    ACTIONS(7605), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33437] = 1,
    ACTIONS(7607), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33451] = 1,
    ACTIONS(7609), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33465] = 2,
    ACTIONS(7613), 1,
      anon_sym_x_DASH,
    ACTIONS(7611), 10,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      sym_customAttributeName,
      anon_sym_gloss,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33481] = 1,
    ACTIONS(7615), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33495] = 1,
    ACTIONS(7617), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33509] = 2,
    ACTIONS(7621), 1,
      anon_sym_x_DASH,
    ACTIONS(7619), 10,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      sym_customAttributeName,
      anon_sym_gloss,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33525] = 1,
    ACTIONS(7623), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33539] = 1,
    ACTIONS(7625), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33553] = 1,
    ACTIONS(7601), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33567] = 1,
    ACTIONS(7627), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33581] = 1,
    ACTIONS(7629), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33595] = 8,
    ACTIONS(5594), 1,
      anon_sym_BSLASHc,
    ACTIONS(5596), 1,
      anon_sym_BSLASHcl,
    ACTIONS(5896), 1,
      ts_builtin_sym_end,
    ACTIONS(7631), 1,
      anon_sym_BSLASHie,
    STATE(147), 1,
      sym_c,
    STATE(1840), 1,
      sym_ie,
    STATE(2007), 1,
      sym_cl,
    STATE(1837), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [33621] = 8,
    ACTIONS(5594), 1,
      anon_sym_BSLASHc,
    ACTIONS(5596), 1,
      anon_sym_BSLASHcl,
    ACTIONS(7631), 1,
      anon_sym_BSLASHie,
    ACTIONS(7633), 1,
      ts_builtin_sym_end,
    STATE(147), 1,
      sym_c,
    STATE(1843), 1,
      sym_ie,
    STATE(2007), 1,
      sym_cl,
    STATE(1844), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [33647] = 8,
    ACTIONS(5594), 1,
      anon_sym_BSLASHc,
    ACTIONS(5596), 1,
      anon_sym_BSLASHcl,
    ACTIONS(5894), 1,
      ts_builtin_sym_end,
    ACTIONS(7631), 1,
      anon_sym_BSLASHie,
    STATE(147), 1,
      sym_c,
    STATE(1839), 1,
      sym_ie,
    STATE(2007), 1,
      sym_cl,
    STATE(1838), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [33673] = 1,
    ACTIONS(6990), 9,
      anon_sym_BSLASHjmp_STAR,
      anon_sym_BSLASH_PLUSjmp_STAR,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_x_DASH,
  [33685] = 1,
    ACTIONS(6994), 9,
      anon_sym_BSLASHjmp_STAR,
      anon_sym_BSLASH_PLUSjmp_STAR,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_x_DASH,
  [33697] = 4,
    ACTIONS(7637), 1,
      anon_sym_BSLASHimte,
    STATE(1129), 1,
      sym_imteTag,
    STATE(1830), 2,
      sym_imte,
      aux_sym_imteBlock_repeat1,
    ACTIONS(7635), 4,
      ts_builtin_sym_end,
      anon_sym_BSLASHie,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
  [33714] = 4,
    ACTIONS(5562), 1,
      anon_sym_BSLASHimte,
    STATE(1129), 1,
      sym_imteTag,
    STATE(1830), 2,
      sym_imte,
      aux_sym_imteBlock_repeat1,
    ACTIONS(7640), 4,
      ts_builtin_sym_end,
      anon_sym_BSLASHie,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
  [33731] = 2,
    ACTIONS(7642), 1,
      aux_sym_text_token1,
    ACTIONS(7644), 7,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
  [33744] = 2,
    ACTIONS(7646), 1,
      aux_sym_text_token1,
    ACTIONS(7648), 7,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
  [33757] = 2,
    ACTIONS(7650), 1,
      aux_sym_text_token1,
    ACTIONS(7652), 7,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
  [33770] = 2,
    ACTIONS(7654), 1,
      aux_sym_text_token1,
    ACTIONS(7656), 7,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
  [33783] = 6,
    ACTIONS(7658), 1,
      ts_builtin_sym_end,
    ACTIONS(7660), 1,
      anon_sym_BSLASHc,
    ACTIONS(7663), 1,
      anon_sym_BSLASHcl,
    STATE(147), 1,
      sym_c,
    STATE(2007), 1,
      sym_cl,
    STATE(1836), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [33803] = 6,
    ACTIONS(5594), 1,
      anon_sym_BSLASHc,
    ACTIONS(5596), 1,
      anon_sym_BSLASHcl,
    ACTIONS(7633), 1,
      ts_builtin_sym_end,
    STATE(147), 1,
      sym_c,
    STATE(2007), 1,
      sym_cl,
    STATE(1836), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [33823] = 6,
    ACTIONS(5594), 1,
      anon_sym_BSLASHc,
    ACTIONS(5596), 1,
      anon_sym_BSLASHcl,
    ACTIONS(5896), 1,
      ts_builtin_sym_end,
    STATE(147), 1,
      sym_c,
    STATE(2007), 1,
      sym_cl,
    STATE(1836), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [33843] = 6,
    ACTIONS(5594), 1,
      anon_sym_BSLASHc,
    ACTIONS(5596), 1,
      anon_sym_BSLASHcl,
    ACTIONS(5896), 1,
      ts_builtin_sym_end,
    STATE(147), 1,
      sym_c,
    STATE(2007), 1,
      sym_cl,
    STATE(1837), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [33863] = 6,
    ACTIONS(5594), 1,
      anon_sym_BSLASHc,
    ACTIONS(5596), 1,
      anon_sym_BSLASHcl,
    ACTIONS(7633), 1,
      ts_builtin_sym_end,
    STATE(147), 1,
      sym_c,
    STATE(2007), 1,
      sym_cl,
    STATE(1844), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [33883] = 6,
    ACTIONS(5594), 1,
      anon_sym_BSLASHc,
    ACTIONS(5596), 1,
      anon_sym_BSLASHcl,
    ACTIONS(7666), 1,
      ts_builtin_sym_end,
    STATE(147), 1,
      sym_c,
    STATE(2007), 1,
      sym_cl,
    STATE(1836), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [33903] = 6,
    ACTIONS(5594), 1,
      anon_sym_BSLASHc,
    ACTIONS(5596), 1,
      anon_sym_BSLASHcl,
    ACTIONS(5894), 1,
      ts_builtin_sym_end,
    STATE(147), 1,
      sym_c,
    STATE(2007), 1,
      sym_cl,
    STATE(1836), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [33923] = 6,
    ACTIONS(5594), 1,
      anon_sym_BSLASHc,
    ACTIONS(5596), 1,
      anon_sym_BSLASHcl,
    ACTIONS(7668), 1,
      ts_builtin_sym_end,
    STATE(147), 1,
      sym_c,
    STATE(2007), 1,
      sym_cl,
    STATE(1841), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [33943] = 6,
    ACTIONS(5594), 1,
      anon_sym_BSLASHc,
    ACTIONS(5596), 1,
      anon_sym_BSLASHcl,
    ACTIONS(7668), 1,
      ts_builtin_sym_end,
    STATE(147), 1,
      sym_c,
    STATE(2007), 1,
      sym_cl,
    STATE(1836), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [33963] = 6,
    ACTIONS(5594), 1,
      anon_sym_BSLASHc,
    ACTIONS(5596), 1,
      anon_sym_BSLASHcl,
    ACTIONS(5894), 1,
      ts_builtin_sym_end,
    STATE(147), 1,
      sym_c,
    STATE(2007), 1,
      sym_cl,
    STATE(1838), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [33983] = 4,
    ACTIONS(7230), 1,
      anon_sym_PIPE,
    ACTIONS(7670), 1,
      anon_sym_BSLASHk_STAR,
    ACTIONS(7672), 1,
      anon_sym_key,
    STATE(2287), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [33998] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7676), 1,
      anon_sym_BSLASHfig_STAR,
    ACTIONS(7678), 1,
      anon_sym_PIPE,
    STATE(1927), 1,
      sym_text,
    STATE(2170), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34015] = 4,
    ACTIONS(7230), 1,
      anon_sym_PIPE,
    ACTIONS(7672), 1,
      anon_sym_key,
    ACTIONS(7680), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2415), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [34030] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7678), 1,
      anon_sym_PIPE,
    ACTIONS(7682), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1877), 1,
      sym_text,
    STATE(2421), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34047] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7678), 1,
      anon_sym_PIPE,
    ACTIONS(7684), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1918), 1,
      sym_text,
    STATE(2473), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34064] = 4,
    ACTIONS(7230), 1,
      anon_sym_PIPE,
    ACTIONS(7672), 1,
      anon_sym_key,
    ACTIONS(7686), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2802), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [34079] = 4,
    ACTIONS(7230), 1,
      anon_sym_PIPE,
    ACTIONS(7672), 1,
      anon_sym_key,
    ACTIONS(7688), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2351), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [34094] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7678), 1,
      anon_sym_PIPE,
    ACTIONS(7690), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1911), 1,
      sym_text,
    STATE(2175), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34111] = 4,
    ACTIONS(7230), 1,
      anon_sym_PIPE,
    ACTIONS(7672), 1,
      anon_sym_key,
    ACTIONS(7692), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2154), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [34126] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7678), 1,
      anon_sym_PIPE,
    ACTIONS(7694), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1898), 1,
      sym_text,
    STATE(2708), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34143] = 4,
    ACTIONS(7230), 1,
      anon_sym_PIPE,
    ACTIONS(7672), 1,
      anon_sym_key,
    ACTIONS(7696), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2226), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [34158] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7678), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1902), 1,
      sym_text,
    STATE(2437), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34175] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7678), 1,
      anon_sym_PIPE,
    ACTIONS(7700), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1932), 1,
      sym_text,
    STATE(2350), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34192] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7678), 1,
      anon_sym_PIPE,
    ACTIONS(7702), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1889), 1,
      sym_text,
    STATE(2242), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34209] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7678), 1,
      anon_sym_PIPE,
    ACTIONS(7704), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1935), 1,
      sym_text,
    STATE(2306), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34226] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7678), 1,
      anon_sym_PIPE,
    ACTIONS(7706), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1915), 1,
      sym_text,
    STATE(2535), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34243] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7678), 1,
      anon_sym_PIPE,
    ACTIONS(7708), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1880), 1,
      sym_text,
    STATE(2370), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34260] = 4,
    ACTIONS(7230), 1,
      anon_sym_PIPE,
    ACTIONS(7672), 1,
      anon_sym_key,
    ACTIONS(7710), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2221), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [34275] = 4,
    ACTIONS(7230), 1,
      anon_sym_PIPE,
    ACTIONS(7672), 1,
      anon_sym_key,
    ACTIONS(7712), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2518), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [34290] = 4,
    ACTIONS(7230), 1,
      anon_sym_PIPE,
    ACTIONS(7672), 1,
      anon_sym_key,
    ACTIONS(7714), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2365), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [34305] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7716), 1,
      anon_sym_BSLASHjmp_STAR,
    ACTIONS(7718), 1,
      anon_sym_PIPE,
    STATE(1975), 1,
      sym_text,
    STATE(2372), 1,
      sym__jmpAttribute,
  [34321] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7718), 1,
      anon_sym_PIPE,
    ACTIONS(7720), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(1972), 1,
      sym_text,
    STATE(2431), 1,
      sym__jmpAttribute,
  [34337] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7718), 1,
      anon_sym_PIPE,
    ACTIONS(7722), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(1945), 1,
      sym_text,
    STATE(2161), 1,
      sym__jmpAttribute,
  [34353] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7718), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(1964), 1,
      sym_text,
    STATE(2220), 1,
      sym__jmpAttribute,
  [34369] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7718), 1,
      anon_sym_PIPE,
    ACTIONS(7726), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(1958), 1,
      sym_text,
    STATE(2244), 1,
      sym__jmpAttribute,
  [34385] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7718), 1,
      anon_sym_PIPE,
    ACTIONS(7728), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(1960), 1,
      sym_text,
    STATE(2706), 1,
      sym__jmpAttribute,
  [34401] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7718), 1,
      anon_sym_PIPE,
    ACTIONS(7730), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(1947), 1,
      sym_text,
    STATE(2177), 1,
      sym__jmpAttribute,
  [34417] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7718), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(1978), 1,
      sym_text,
    STATE(2532), 1,
      sym__jmpAttribute,
  [34433] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7718), 1,
      anon_sym_PIPE,
    ACTIONS(7734), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(1968), 1,
      sym_text,
    STATE(2472), 1,
      sym__jmpAttribute,
  [34449] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7718), 1,
      anon_sym_PIPE,
    ACTIONS(7736), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(1963), 1,
      sym_text,
    STATE(2308), 1,
      sym__jmpAttribute,
  [34465] = 5,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    ACTIONS(7718), 1,
      anon_sym_PIPE,
    ACTIONS(7738), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(1966), 1,
      sym_text,
    STATE(2654), 1,
      sym__jmpAttribute,
  [34481] = 3,
    ACTIONS(7740), 1,
      anon_sym_BSLASHfig_STAR,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    STATE(2429), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34492] = 3,
    ACTIONS(7744), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7746), 1,
      anon_sym_PIPE,
    STATE(2299), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [34503] = 3,
    ACTIONS(7519), 1,
      anon_sym_PIPE,
    ACTIONS(7748), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2381), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [34514] = 3,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7750), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2409), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34525] = 3,
    ACTIONS(7752), 1,
      anon_sym_BSLASHw_STAR,
    ACTIONS(7754), 1,
      anon_sym_PIPE,
    STATE(2417), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [34536] = 3,
    ACTIONS(7754), 1,
      anon_sym_PIPE,
    ACTIONS(7756), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2361), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [34547] = 3,
    ACTIONS(7754), 1,
      anon_sym_PIPE,
    ACTIONS(7758), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2289), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [34558] = 3,
    ACTIONS(6012), 1,
      aux_sym_text_token1,
    ACTIONS(7760), 1,
      anon_sym_BSLASHqac_STAR,
    STATE(1906), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [34569] = 3,
    ACTIONS(7754), 1,
      anon_sym_PIPE,
    ACTIONS(7762), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2516), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [34580] = 3,
    ACTIONS(7764), 1,
      anon_sym_BSLASHref_STAR,
    ACTIONS(7766), 1,
      anon_sym_PIPE,
    STATE(2655), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [34591] = 3,
    ACTIONS(7519), 1,
      anon_sym_PIPE,
    ACTIONS(7768), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2428), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [34602] = 3,
    ACTIONS(7766), 1,
      anon_sym_PIPE,
    ACTIONS(7770), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2348), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [34613] = 3,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7772), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2281), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34624] = 3,
    ACTIONS(6012), 1,
      aux_sym_text_token1,
    ACTIONS(7774), 1,
      anon_sym_BSLASHqac_STAR,
    STATE(1884), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [34635] = 3,
    ACTIONS(7519), 1,
      anon_sym_PIPE,
    ACTIONS(7776), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2253), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [34646] = 3,
    ACTIONS(7766), 1,
      anon_sym_PIPE,
    ACTIONS(7778), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2446), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [34657] = 3,
    ACTIONS(7766), 1,
      anon_sym_PIPE,
    ACTIONS(7780), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2316), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [34668] = 3,
    ACTIONS(6012), 1,
      aux_sym_text_token1,
    ACTIONS(7782), 1,
      anon_sym_BSLASHqac_STAR,
    STATE(1926), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [34679] = 3,
    ACTIONS(7766), 1,
      anon_sym_PIPE,
    ACTIONS(7784), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2252), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [34690] = 3,
    ACTIONS(7766), 1,
      anon_sym_PIPE,
    ACTIONS(7786), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2380), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [34701] = 3,
    ACTIONS(7754), 1,
      anon_sym_PIPE,
    ACTIONS(7788), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2211), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [34712] = 3,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7790), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2619), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34723] = 3,
    ACTIONS(6012), 1,
      aux_sym_text_token1,
    ACTIONS(7792), 1,
      anon_sym_BSLASHqac_STAR,
    STATE(1916), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [34734] = 3,
    ACTIONS(7746), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_BSLASH_STAR,
    STATE(2235), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [34745] = 3,
    ACTIONS(7519), 1,
      anon_sym_PIPE,
    ACTIONS(7796), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2444), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [34756] = 3,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7798), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2445), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34767] = 3,
    ACTIONS(7754), 1,
      anon_sym_PIPE,
    ACTIONS(7800), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2223), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [34778] = 4,
    ACTIONS(7192), 1,
      anon_sym_DQUOTE,
    ACTIONS(7196), 1,
      sym_attributeValue,
    ACTIONS(7208), 1,
      anon_sym_loc,
    STATE(2673), 1,
      sym_locAttribute,
  [34791] = 3,
    ACTIONS(7746), 1,
      anon_sym_PIPE,
    ACTIONS(7802), 1,
      anon_sym_BSLASH_STAR,
    STATE(2719), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [34802] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASHqac_STAR,
    ACTIONS(7804), 1,
      aux_sym_text_token1,
    STATE(1906), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [34813] = 3,
    ACTIONS(7519), 1,
      anon_sym_PIPE,
    ACTIONS(7807), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2457), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [34824] = 3,
    ACTIONS(7519), 1,
      anon_sym_PIPE,
    ACTIONS(7809), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2653), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [34835] = 3,
    ACTIONS(7754), 1,
      anon_sym_PIPE,
    ACTIONS(7811), 1,
      anon_sym_BSLASH_PLUSw_STAR,
    STATE(2816), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [34846] = 3,
    ACTIONS(7746), 1,
      anon_sym_PIPE,
    ACTIONS(7813), 1,
      anon_sym_BSLASH_STAR,
    STATE(2181), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [34857] = 3,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7815), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2215), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34868] = 3,
    ACTIONS(7746), 1,
      anon_sym_PIPE,
    ACTIONS(7817), 1,
      anon_sym_BSLASH_STAR,
    STATE(2363), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [34879] = 3,
    ACTIONS(7519), 1,
      anon_sym_PIPE,
    ACTIONS(7819), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2424), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [34890] = 3,
    ACTIONS(7519), 1,
      anon_sym_PIPE,
    ACTIONS(7821), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2467), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [34901] = 3,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7823), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2341), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34912] = 3,
    ACTIONS(6012), 1,
      aux_sym_text_token1,
    ACTIONS(7825), 1,
      anon_sym_BSLASHqac_STAR,
    STATE(1906), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [34923] = 3,
    ACTIONS(7754), 1,
      anon_sym_PIPE,
    ACTIONS(7827), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2804), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [34934] = 3,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7829), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2385), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34945] = 3,
    ACTIONS(7519), 1,
      anon_sym_PIPE,
    ACTIONS(7831), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2462), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [34956] = 3,
    ACTIONS(7766), 1,
      anon_sym_PIPE,
    ACTIONS(7833), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2163), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [34967] = 3,
    ACTIONS(7835), 1,
      anon_sym_BSLASH_PLUSrb_STAR,
    ACTIONS(7837), 1,
      anon_sym_PIPE,
    STATE(2490), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [34978] = 3,
    ACTIONS(7754), 1,
      anon_sym_PIPE,
    ACTIONS(7839), 1,
      anon_sym_BSLASH_PLUSw_STAR,
    STATE(2488), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [34989] = 3,
    ACTIONS(7746), 1,
      anon_sym_PIPE,
    ACTIONS(7841), 1,
      anon_sym_BSLASH_STAR,
    STATE(2356), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [35000] = 3,
    ACTIONS(7766), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2307), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [35011] = 3,
    ACTIONS(7519), 1,
      anon_sym_PIPE,
    ACTIONS(7845), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2164), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [35022] = 3,
    ACTIONS(6012), 1,
      aux_sym_text_token1,
    ACTIONS(7847), 1,
      anon_sym_BSLASHqac_STAR,
    STATE(1906), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [35033] = 3,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2148), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [35044] = 3,
    ACTIONS(7746), 1,
      anon_sym_PIPE,
    ACTIONS(7851), 1,
      anon_sym_BSLASH_STAR,
    STATE(2790), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [35055] = 3,
    ACTIONS(7519), 1,
      anon_sym_PIPE,
    ACTIONS(7853), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2305), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [35066] = 3,
    ACTIONS(7754), 1,
      anon_sym_PIPE,
    ACTIONS(7855), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2156), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [35077] = 3,
    ACTIONS(7746), 1,
      anon_sym_PIPE,
    ACTIONS(7857), 1,
      anon_sym_BSLASH_STAR,
    STATE(2168), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [35088] = 3,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7859), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2231), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [35099] = 3,
    ACTIONS(7746), 1,
      anon_sym_PIPE,
    ACTIONS(7861), 1,
      anon_sym_BSLASH_STAR,
    STATE(2484), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [35110] = 3,
    ACTIONS(7754), 1,
      anon_sym_PIPE,
    ACTIONS(7863), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2353), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [35121] = 3,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7865), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2345), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [35132] = 3,
    ACTIONS(7519), 1,
      anon_sym_PIPE,
    ACTIONS(7867), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2317), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [35143] = 3,
    ACTIONS(7766), 1,
      anon_sym_PIPE,
    ACTIONS(7869), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2186), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [35154] = 3,
    ACTIONS(7519), 1,
      anon_sym_PIPE,
    ACTIONS(7871), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2187), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [35165] = 3,
    ACTIONS(7837), 1,
      anon_sym_PIPE,
    ACTIONS(7873), 1,
      anon_sym_BSLASH_PLUSrb_STAR,
    STATE(2815), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [35176] = 2,
    ACTIONS(7837), 1,
      anon_sym_PIPE,
    STATE(2176), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [35184] = 3,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7875), 1,
      anon_sym_BSLASH_STAR,
    STATE(2707), 1,
      sym__milestoneAttributes,
  [35194] = 3,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7877), 1,
      anon_sym_BSLASH_STAR,
    STATE(2171), 1,
      sym__milestoneAttributes,
  [35204] = 3,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7879), 1,
      anon_sym_BSLASH_STAR,
    STATE(2169), 1,
      sym__milestoneAttributes,
  [35214] = 3,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7881), 1,
      anon_sym_BSLASH_STAR,
    STATE(2788), 1,
      sym__milestoneAttributes,
  [35224] = 3,
    ACTIONS(7883), 1,
      anon_sym_BSLASHjmp_STAR,
    ACTIONS(7885), 1,
      anon_sym_PIPE,
    STATE(2149), 1,
      sym__jmpAttribute,
  [35234] = 3,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7887), 1,
      anon_sym_BSLASH_STAR,
    STATE(2712), 1,
      sym__milestoneAttributes,
  [35244] = 3,
    ACTIONS(7885), 1,
      anon_sym_PIPE,
    ACTIONS(7889), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2216), 1,
      sym__jmpAttribute,
  [35254] = 2,
    ACTIONS(7837), 1,
      anon_sym_PIPE,
    STATE(2352), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [35262] = 3,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7891), 1,
      anon_sym_BSLASH_STAR,
    STATE(2178), 1,
      sym__milestoneAttributes,
  [35272] = 3,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7893), 1,
      anon_sym_BSLASH_STAR,
    STATE(2180), 1,
      sym__milestoneAttributes,
  [35282] = 2,
    ACTIONS(7837), 1,
      anon_sym_PIPE,
    STATE(2803), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [35290] = 3,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7895), 1,
      anon_sym_BSLASH_STAR,
    STATE(2236), 1,
      sym__milestoneAttributes,
  [35300] = 3,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7897), 1,
      anon_sym_BSLASH_STAR,
    STATE(2483), 1,
      sym__milestoneAttributes,
  [35310] = 1,
    ACTIONS(7899), 3,
      ts_builtin_sym_end,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
  [35316] = 3,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7901), 1,
      anon_sym_BSLASH_STAR,
    STATE(2482), 1,
      sym__milestoneAttributes,
  [35326] = 3,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7903), 1,
      anon_sym_BSLASH_STAR,
    STATE(2238), 1,
      sym__milestoneAttributes,
  [35336] = 2,
    ACTIONS(7837), 1,
      anon_sym_PIPE,
    STATE(2288), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [35344] = 3,
    ACTIONS(7885), 1,
      anon_sym_PIPE,
    ACTIONS(7905), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2282), 1,
      sym__jmpAttribute,
  [35354] = 2,
    ACTIONS(7837), 1,
      anon_sym_PIPE,
    STATE(2222), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [35362] = 3,
    ACTIONS(7885), 1,
      anon_sym_PIPE,
    ACTIONS(7907), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2618), 1,
      sym__jmpAttribute,
  [35372] = 3,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7909), 1,
      anon_sym_BSLASH_STAR,
    STATE(2300), 1,
      sym__milestoneAttributes,
  [35382] = 3,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7911), 1,
      anon_sym_BSLASH_STAR,
    STATE(2302), 1,
      sym__milestoneAttributes,
  [35392] = 3,
    ACTIONS(7885), 1,
      anon_sym_PIPE,
    ACTIONS(7913), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2346), 1,
      sym__jmpAttribute,
  [35402] = 3,
    ACTIONS(7885), 1,
      anon_sym_PIPE,
    ACTIONS(7915), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2230), 1,
      sym__jmpAttribute,
  [35412] = 2,
    ACTIONS(7837), 1,
      anon_sym_PIPE,
    STATE(2155), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [35420] = 3,
    ACTIONS(7885), 1,
      anon_sym_PIPE,
    ACTIONS(7917), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(2520), 1,
      sym__jmpAttribute,
  [35430] = 2,
    ACTIONS(7837), 1,
      anon_sym_PIPE,
    STATE(2517), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [35438] = 3,
    ACTIONS(7885), 1,
      anon_sym_PIPE,
    ACTIONS(7919), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2378), 1,
      sym__jmpAttribute,
  [35448] = 2,
    ACTIONS(7837), 1,
      anon_sym_PIPE,
    STATE(2362), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [35456] = 3,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_BSLASH_STAR,
    STATE(2364), 1,
      sym__milestoneAttributes,
  [35466] = 3,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7923), 1,
      anon_sym_BSLASH_STAR,
    STATE(2354), 1,
      sym__milestoneAttributes,
  [35476] = 3,
    ACTIONS(7885), 1,
      anon_sym_PIPE,
    ACTIONS(7925), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(2799), 1,
      sym__jmpAttribute,
  [35486] = 3,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7927), 1,
      anon_sym_BSLASH_STAR,
    STATE(2128), 1,
      sym__milestoneAttributes,
  [35496] = 2,
    ACTIONS(7931), 1,
      sym_numberedLevelMax5,
    ACTIONS(7929), 2,
      sym__spaceOrLine,
      anon_sym_STAR,
  [35504] = 3,
    ACTIONS(7885), 1,
      anon_sym_PIPE,
    ACTIONS(7933), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2410), 1,
      sym__jmpAttribute,
  [35514] = 3,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7935), 1,
      anon_sym_BSLASH_STAR,
    STATE(2366), 1,
      sym__milestoneAttributes,
  [35524] = 2,
    ACTIONS(7837), 1,
      anon_sym_PIPE,
    STATE(2416), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [35532] = 3,
    ACTIONS(7885), 1,
      anon_sym_PIPE,
    ACTIONS(7937), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2358), 1,
      sym__jmpAttribute,
  [35542] = 3,
    ACTIONS(6631), 1,
      anon_sym_PIPE,
    ACTIONS(7939), 1,
      anon_sym_BSLASH_STAR,
    STATE(2355), 1,
      sym__milestoneAttributes,
  [35552] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2465), 1,
      sym_text,
  [35559] = 2,
    ACTIONS(7941), 1,
      aux_sym_text_token1,
    STATE(1345), 1,
      sym_text,
  [35566] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(1886), 1,
      sym_text,
  [35573] = 2,
    ACTIONS(7943), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7945), 1,
      sym__zSpaceClose,
  [35580] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2456), 1,
      sym_text,
  [35587] = 2,
    ACTIONS(7947), 1,
      anon_sym_SPACE,
    ACTIONS(7949), 1,
      aux_sym_imteTag_token1,
  [35594] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(1724), 1,
      sym_text,
  [35601] = 2,
    ACTIONS(7951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7953), 1,
      sym_attributeValue,
  [35608] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2604), 1,
      sym_text,
  [35615] = 2,
    ACTIONS(7955), 1,
      anon_sym_SPACE,
    ACTIONS(7957), 1,
      aux_sym_imteTag_token1,
  [35622] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2550), 1,
      sym_text,
  [35629] = 2,
    ACTIONS(7959), 1,
      anon_sym_SPACE,
    ACTIONS(7961), 1,
      aux_sym_imteTag_token1,
  [35636] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2427), 1,
      sym_text,
  [35643] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2596), 1,
      sym_text,
  [35650] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(1888), 1,
      sym_text,
  [35657] = 2,
    ACTIONS(7963), 1,
      sym_numberedLevelMax4,
    ACTIONS(7965), 1,
      anon_sym_SPACE,
  [35664] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2634), 1,
      sym_text,
  [35671] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2464), 1,
      sym_text,
  [35678] = 2,
    ACTIONS(7967), 1,
      sym_numberedLevelMax4,
    ACTIONS(7969), 1,
      anon_sym_SPACE,
  [35685] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2672), 1,
      sym_text,
  [35692] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(1715), 1,
      sym_text,
  [35699] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(1924), 1,
      sym_text,
  [35706] = 2,
    ACTIONS(7971), 1,
      anon_sym_DQUOTE,
    ACTIONS(7973), 1,
      sym_attributeValue,
  [35713] = 2,
    ACTIONS(7975), 1,
      anon_sym_DQUOTE,
    ACTIONS(7977), 1,
      sym_attributeValue,
  [35720] = 2,
    ACTIONS(7979), 1,
      anon_sym_DQUOTE,
    ACTIONS(7981), 1,
      sym_attributeValue,
  [35727] = 2,
    ACTIONS(7983), 1,
      aux_sym_text_token1,
    STATE(1653), 1,
      sym_text,
  [35734] = 2,
    ACTIONS(7941), 1,
      aux_sym_text_token1,
    STATE(1361), 1,
      sym_text,
  [35741] = 2,
    ACTIONS(5594), 1,
      anon_sym_BSLASHc,
    STATE(148), 1,
      sym_c,
  [35748] = 2,
    ACTIONS(7985), 1,
      anon_sym_DQUOTE,
    ACTIONS(7987), 1,
      sym_attributeValue,
  [35755] = 2,
    ACTIONS(7989), 1,
      anon_sym_DQUOTE,
    ACTIONS(7991), 1,
      sym_attributeValue,
  [35762] = 2,
    ACTIONS(7993), 1,
      anon_sym_DQUOTE,
    ACTIONS(7995), 1,
      sym_attributeValue,
  [35769] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2453), 1,
      sym_text,
  [35776] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2710), 1,
      sym_text,
  [35783] = 2,
    ACTIONS(7997), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7999), 1,
      sym__zSpaceClose,
  [35790] = 2,
    ACTIONS(7941), 1,
      aux_sym_text_token1,
    STATE(1369), 1,
      sym_text,
  [35797] = 2,
    ACTIONS(8001), 1,
      sym_numberedLevelMax3,
    ACTIONS(8003), 1,
      anon_sym_SPACE,
  [35804] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(1920), 1,
      sym_text,
  [35811] = 2,
    ACTIONS(8005), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8007), 1,
      sym__zSpaceClose,
  [35818] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2162), 1,
      sym_text,
  [35825] = 2,
    ACTIONS(8009), 1,
      anon_sym_DQUOTE,
    ACTIONS(8011), 1,
      sym_attributeValue,
  [35832] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(1892), 1,
      sym_text,
  [35839] = 2,
    ACTIONS(8013), 1,
      sym_numberedLevelMax3,
    ACTIONS(8015), 1,
      anon_sym_SPACE,
  [35846] = 2,
    ACTIONS(8017), 1,
      anon_sym_DQUOTE,
    ACTIONS(8019), 1,
      sym_attributeValue,
  [35853] = 2,
    ACTIONS(8021), 1,
      sym_numberedLevelMax3,
    ACTIONS(8023), 1,
      anon_sym_SPACE,
  [35860] = 2,
    ACTIONS(4139), 1,
      aux_sym_text_token1,
    STATE(1390), 1,
      sym_text,
  [35867] = 1,
    ACTIONS(8025), 2,
      sym__spaceOrLine,
      anon_sym_STAR,
  [35872] = 2,
    ACTIONS(4139), 1,
      aux_sym_text_token1,
    STATE(1397), 1,
      sym_text,
  [35879] = 2,
    ACTIONS(760), 1,
      aux_sym_text_token1,
    STATE(576), 1,
      sym_text,
  [35886] = 2,
    ACTIONS(760), 1,
      aux_sym_text_token1,
    STATE(571), 1,
      sym_text,
  [35893] = 2,
    ACTIONS(760), 1,
      aux_sym_text_token1,
    STATE(572), 1,
      sym_text,
  [35900] = 2,
    ACTIONS(760), 1,
      aux_sym_text_token1,
    STATE(577), 1,
      sym_text,
  [35907] = 2,
    ACTIONS(7983), 1,
      aux_sym_text_token1,
    STATE(1665), 1,
      sym_text,
  [35914] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(1368), 1,
      sym_text,
  [35921] = 2,
    ACTIONS(8027), 1,
      sym__spaceOrLine,
    ACTIONS(8029), 1,
      sym_numberedLevelMax4,
  [35928] = 2,
    ACTIONS(4139), 1,
      aux_sym_text_token1,
    STATE(1415), 1,
      sym_text,
  [35935] = 2,
    ACTIONS(4139), 1,
      aux_sym_text_token1,
    STATE(1417), 1,
      sym_text,
  [35942] = 2,
    ACTIONS(8031), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8033), 1,
      sym__zSpaceClose,
  [35949] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(1716), 1,
      sym_text,
  [35956] = 2,
    ACTIONS(8035), 1,
      sym__spaceOrLine,
    ACTIONS(8037), 1,
      sym_numberedLevelMax4,
  [35963] = 2,
    ACTIONS(8039), 1,
      sym__spaceOrLine,
    ACTIONS(8041), 1,
      sym_numberedLevelMax3,
  [35970] = 2,
    ACTIONS(8043), 1,
      anon_sym_DQUOTE,
    ACTIONS(8045), 1,
      sym_attributeValue,
  [35977] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(1717), 1,
      sym_text,
  [35984] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2309), 1,
      sym_text,
  [35991] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(1937), 1,
      sym_text,
  [35998] = 2,
    ACTIONS(8047), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8049), 1,
      sym__zSpaceClose,
  [36005] = 2,
    ACTIONS(8051), 1,
      sym__spaceOrLine,
    ACTIONS(8053), 1,
      sym_numberedLevelMax3,
  [36012] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2185), 1,
      sym_text,
  [36019] = 2,
    ACTIONS(8055), 1,
      sym__spaceOrLine,
    ACTIONS(8057), 1,
      sym_numberedLevelMax3,
  [36026] = 2,
    ACTIONS(8059), 1,
      sym__spaceOrLine,
    ACTIONS(8061), 1,
      sym_numberedLevelMax3,
  [36033] = 2,
    ACTIONS(8063), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8065), 1,
      sym__zSpaceClose,
  [36040] = 2,
    ACTIONS(8067), 1,
      sym__spaceOrLine,
    ACTIONS(8069), 1,
      sym_numberedLevelMax4,
  [36047] = 2,
    ACTIONS(8071), 1,
      anon_sym_DQUOTE,
    ACTIONS(8073), 1,
      sym_attributeValue,
  [36054] = 2,
    ACTIONS(7941), 1,
      aux_sym_text_token1,
    STATE(1342), 1,
      sym_text,
  [36061] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2711), 1,
      sym_text,
  [36068] = 2,
    ACTIONS(7941), 1,
      aux_sym_text_token1,
    STATE(1347), 1,
      sym_text,
  [36075] = 2,
    ACTIONS(8075), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8077), 1,
      sym__zSpaceClose,
  [36082] = 2,
    ACTIONS(8079), 1,
      sym_numberedLevelMax5,
    ACTIONS(8081), 1,
      anon_sym_SPACE,
  [36089] = 2,
    ACTIONS(8083), 1,
      sym_numberedLevelMax3,
    ACTIONS(8085), 1,
      anon_sym_SPACE,
  [36096] = 2,
    ACTIONS(8087), 1,
      anon_sym_SPACE,
    ACTIONS(8089), 1,
      aux_sym_imteTag_token1,
  [36103] = 2,
    ACTIONS(8091), 1,
      anon_sym_DQUOTE,
    ACTIONS(8093), 1,
      sym_attributeValue,
  [36110] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2657), 1,
      sym_text,
  [36117] = 2,
    ACTIONS(7137), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7139), 1,
      sym__zSpaceClose,
  [36124] = 2,
    ACTIONS(4614), 1,
      aux_sym_text_token1,
    STATE(1496), 1,
      sym_text,
  [36131] = 2,
    ACTIONS(4614), 1,
      aux_sym_text_token1,
    STATE(1498), 1,
      sym_text,
  [36138] = 2,
    ACTIONS(4614), 1,
      aux_sym_text_token1,
    STATE(1500), 1,
      sym_text,
  [36145] = 2,
    ACTIONS(4614), 1,
      aux_sym_text_token1,
    STATE(1501), 1,
      sym_text,
  [36152] = 2,
    ACTIONS(8095), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8097), 1,
      sym__zSpaceClose,
  [36159] = 2,
    ACTIONS(8099), 1,
      anon_sym_DQUOTE,
    ACTIONS(8101), 1,
      sym_attributeValue,
  [36166] = 2,
    ACTIONS(6627), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6629), 1,
      sym__zSpaceClose,
  [36173] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(1895), 1,
      sym_text,
  [36180] = 2,
    ACTIONS(8103), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8105), 1,
      sym__zSpaceClose,
  [36187] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2616), 1,
      sym_text,
  [36194] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2251), 1,
      sym_text,
  [36201] = 1,
    ACTIONS(8107), 2,
      anon_sym_BSLASH_STAR,
      anon_sym_PIPE,
  [36206] = 2,
    ACTIONS(8109), 1,
      sym_numberedLevelMax4,
    ACTIONS(8111), 1,
      anon_sym_SPACE,
  [36213] = 2,
    ACTIONS(8113), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8115), 1,
      sym__zSpaceClose,
  [36220] = 2,
    ACTIONS(7941), 1,
      aux_sym_text_token1,
    STATE(1340), 1,
      sym_text,
  [36227] = 2,
    ACTIONS(8117), 1,
      sym__spaceOrLine,
    ACTIONS(8119), 1,
      sym_numberedLevelMax4,
  [36234] = 2,
    ACTIONS(8121), 1,
      sym__spaceOrLine,
    ACTIONS(8123), 1,
      sym_numberedLevelMax4,
  [36241] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2519), 1,
      sym_text,
  [36248] = 2,
    ACTIONS(8125), 1,
      sym_numberedLevelMax3,
    ACTIONS(8127), 1,
      anon_sym_SPACE,
  [36255] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(1893), 1,
      sym_text,
  [36262] = 2,
    ACTIONS(460), 1,
      aux_sym_text_token1,
    STATE(484), 1,
      sym_text,
  [36269] = 2,
    ACTIONS(460), 1,
      aux_sym_text_token1,
    STATE(481), 1,
      sym_text,
  [36276] = 2,
    ACTIONS(460), 1,
      aux_sym_text_token1,
    STATE(475), 1,
      sym_text,
  [36283] = 2,
    ACTIONS(460), 1,
      aux_sym_text_token1,
    STATE(474), 1,
      sym_text,
  [36290] = 2,
    ACTIONS(8129), 1,
      sym__spaceOrLine,
    ACTIONS(8131), 1,
      sym_numberedLevelMax3,
  [36297] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2315), 1,
      sym_text,
  [36304] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2584), 1,
      sym_text,
  [36311] = 2,
    ACTIONS(8133), 1,
      sym__spaceOrLine,
    ACTIONS(8135), 1,
      sym_numberedLevelMax3,
  [36318] = 2,
    ACTIONS(8137), 1,
      anon_sym_DQUOTE,
    ACTIONS(8139), 1,
      sym_attributeValue,
  [36325] = 2,
    ACTIONS(8141), 1,
      anon_sym_DQUOTE,
    ACTIONS(8143), 1,
      sym_attributeValue,
  [36332] = 2,
    ACTIONS(1689), 1,
      aux_sym_text_token1,
    STATE(714), 1,
      sym_text,
  [36339] = 2,
    ACTIONS(1689), 1,
      aux_sym_text_token1,
    STATE(713), 1,
      sym_text,
  [36346] = 2,
    ACTIONS(1689), 1,
      aux_sym_text_token1,
    STATE(711), 1,
      sym_text,
  [36353] = 2,
    ACTIONS(1689), 1,
      aux_sym_text_token1,
    STATE(708), 1,
      sym_text,
  [36360] = 2,
    ACTIONS(8145), 1,
      sym__spaceOrLine,
    ACTIONS(8147), 1,
      sym_numberedLevelMax3,
  [36367] = 2,
    ACTIONS(8149), 1,
      anon_sym_DQUOTE,
    ACTIONS(8151), 1,
      sym_attributeValue,
  [36374] = 2,
    ACTIONS(7941), 1,
      aux_sym_text_token1,
    STATE(1333), 1,
      sym_text,
  [36381] = 2,
    ACTIONS(8153), 1,
      sym__spaceOrLine,
    ACTIONS(8155), 1,
      sym_numberedLevelMax3,
  [36388] = 2,
    ACTIONS(7941), 1,
      aux_sym_text_token1,
    STATE(1338), 1,
      sym_text,
  [36395] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(1896), 1,
      sym_text,
  [36402] = 2,
    ACTIONS(8157), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8159), 1,
      sym__zSpaceClose,
  [36409] = 2,
    ACTIONS(8161), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8163), 1,
      sym__zSpaceClose,
  [36416] = 2,
    ACTIONS(7941), 1,
      aux_sym_text_token1,
    STATE(1312), 1,
      sym_text,
  [36423] = 2,
    ACTIONS(8165), 1,
      sym_numberedLevelMax5,
    ACTIONS(8167), 1,
      anon_sym_SPACE,
  [36430] = 2,
    ACTIONS(6996), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6998), 1,
      sym__zSpaceClose,
  [36437] = 2,
    ACTIONS(7941), 1,
      aux_sym_text_token1,
    STATE(1341), 1,
      sym_text,
  [36444] = 2,
    ACTIONS(8169), 1,
      anon_sym_DQUOTE,
    ACTIONS(8171), 1,
      sym_attributeValue,
  [36451] = 2,
    ACTIONS(8173), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8175), 1,
      sym__zSpaceClose,
  [36458] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2379), 1,
      sym_text,
  [36465] = 2,
    ACTIONS(8177), 1,
      anon_sym_DQUOTE,
    ACTIONS(8179), 1,
      sym_attributeValue,
  [36472] = 2,
    ACTIONS(7941), 1,
      aux_sym_text_token1,
    STATE(1368), 1,
      sym_text,
  [36479] = 2,
    ACTIONS(7192), 1,
      anon_sym_DQUOTE,
    ACTIONS(8181), 1,
      sym_attributeValue,
  [36486] = 2,
    ACTIONS(7983), 1,
      aux_sym_text_token1,
    STATE(1669), 1,
      sym_text,
  [36493] = 2,
    ACTIONS(167), 1,
      aux_sym_text_token1,
    STATE(443), 1,
      sym_text,
  [36500] = 2,
    ACTIONS(167), 1,
      aux_sym_text_token1,
    STATE(442), 1,
      sym_text,
  [36507] = 2,
    ACTIONS(167), 1,
      aux_sym_text_token1,
    STATE(441), 1,
      sym_text,
  [36514] = 2,
    ACTIONS(167), 1,
      aux_sym_text_token1,
    STATE(440), 1,
      sym_text,
  [36521] = 2,
    ACTIONS(7983), 1,
      aux_sym_text_token1,
    STATE(1666), 1,
      sym_text,
  [36528] = 2,
    ACTIONS(8183), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8185), 1,
      sym__zSpaceClose,
  [36535] = 2,
    ACTIONS(7674), 1,
      aux_sym_text_token1,
    STATE(2443), 1,
      sym_text,
  [36542] = 2,
    ACTIONS(7983), 1,
      aux_sym_text_token1,
    STATE(1662), 1,
      sym_text,
  [36549] = 2,
    ACTIONS(7983), 1,
      aux_sym_text_token1,
    STATE(1660), 1,
      sym_text,
  [36556] = 2,
    ACTIONS(8187), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8189), 1,
      sym__zSpaceClose,
  [36563] = 2,
    ACTIONS(7983), 1,
      aux_sym_text_token1,
    STATE(1659), 1,
      sym_text,
  [36570] = 2,
    ACTIONS(7983), 1,
      aux_sym_text_token1,
    STATE(1670), 1,
      sym_text,
  [36577] = 1,
    ACTIONS(8191), 1,
      anon_sym_BSLASHpng_STAR,
  [36581] = 1,
    ACTIONS(8193), 1,
      anon_sym_BSLASH_STAR,
  [36585] = 1,
    ACTIONS(8195), 1,
      anon_sym_BSLASHaddpn_STAR,
  [36589] = 1,
    ACTIONS(8197), 1,
      anon_sym_BSLASHqt_STAR,
  [36593] = 1,
    ACTIONS(8199), 1,
      anon_sym_BSLASHsig_STAR,
  [36597] = 1,
    ACTIONS(8201), 1,
      anon_sym_BSLASHsls_STAR,
  [36601] = 1,
    ACTIONS(8203), 1,
      anon_sym_BSLASHtl_STAR,
  [36605] = 1,
    ACTIONS(8205), 1,
      anon_sym_BSLASHwj_STAR,
  [36609] = 1,
    ACTIONS(8207), 1,
      anon_sym_BSLASHem_STAR,
  [36613] = 1,
    ACTIONS(8209), 1,
      anon_sym_BSLASHbd_STAR,
  [36617] = 1,
    ACTIONS(8211), 1,
      anon_sym_BSLASHit_STAR,
  [36621] = 1,
    ACTIONS(8213), 1,
      anon_sym_BSLASHbdit_STAR,
  [36625] = 1,
    ACTIONS(8215), 1,
      anon_sym_BSLASHno_STAR,
  [36629] = 1,
    ACTIONS(8217), 1,
      anon_sym_BSLASHsc_STAR,
  [36633] = 1,
    ACTIONS(8219), 1,
      anon_sym_BSLASHsup_STAR,
  [36637] = 1,
    ACTIONS(8221), 1,
      anon_sym_BSLASHndx_STAR,
  [36641] = 1,
    ACTIONS(8223), 1,
      anon_sym_BSLASHpro_STAR,
  [36645] = 1,
    ACTIONS(8225), 1,
      anon_sym_BSLASHsc_STAR,
  [36649] = 1,
    ACTIONS(8227), 1,
      anon_sym_BSLASHwg_STAR,
  [36653] = 1,
    ACTIONS(8229), 1,
      anon_sym_BSLASHwh_STAR,
  [36657] = 1,
    ACTIONS(8231), 1,
      anon_sym_BSLASHwa_STAR,
  [36661] = 1,
    ACTIONS(8233), 1,
      anon_sym_BSLASHfig_STAR,
  [36665] = 1,
    ACTIONS(8235), 1,
      anon_sym_BSLASHjmp_STAR,
  [36669] = 1,
    ACTIONS(8237), 1,
      anon_sym_EQ,
  [36673] = 1,
    ACTIONS(8239), 1,
      anon_sym_BSLASHwa_STAR,
  [36677] = 1,
    ACTIONS(8241), 1,
      anon_sym_BSLASHwh_STAR,
  [36681] = 1,
    ACTIONS(8243), 1,
      anon_sym_EQ,
  [36685] = 1,
    ACTIONS(8245), 1,
      anon_sym_BSLASHk_STAR,
  [36689] = 1,
    ACTIONS(8247), 1,
      anon_sym_BSLASHrb_STAR,
  [36693] = 1,
    ACTIONS(8249), 1,
      anon_sym_BSLASHw_STAR,
  [36697] = 1,
    ACTIONS(8251), 1,
      sym__spaceOrLine,
  [36701] = 1,
    ACTIONS(8253), 1,
      sym__spaceOrLine,
  [36705] = 1,
    ACTIONS(8255), 1,
      anon_sym_BSLASHfm_STAR,
  [36709] = 1,
    ACTIONS(8257), 1,
      sym_verseNumber,
  [36713] = 1,
    ACTIONS(8259), 1,
      anon_sym_BSLASHjmp_STAR,
  [36717] = 1,
    ACTIONS(8261), 1,
      anon_sym_BSLASHrq_STAR,
  [36721] = 1,
    ACTIONS(8263), 1,
      anon_sym_BSLASHref_STAR,
  [36725] = 1,
    ACTIONS(8265), 1,
      anon_sym_BSLASHxt_STAR,
  [36729] = 1,
    ACTIONS(8267), 1,
      anon_sym_BSLASHadd_STAR,
  [36733] = 1,
    ACTIONS(8269), 1,
      anon_sym_BSLASHbk_STAR,
  [36737] = 1,
    ACTIONS(8271), 1,
      anon_sym_BSLASHdc_STAR,
  [36741] = 1,
    ACTIONS(8273), 1,
      anon_sym_BSLASH_STAR,
  [36745] = 1,
    ACTIONS(8275), 1,
      anon_sym_BSLASH_STAR,
  [36749] = 1,
    ACTIONS(7849), 1,
      anon_sym_BSLASHfig_STAR,
  [36753] = 1,
    ACTIONS(8277), 1,
      anon_sym_BSLASH_STAR,
  [36757] = 1,
    ACTIONS(8279), 1,
      anon_sym_BSLASHnd_STAR,
  [36761] = 1,
    ACTIONS(8281), 1,
      anon_sym_BSLASHord_STAR,
  [36765] = 1,
    ACTIONS(8283), 1,
      anon_sym_BSLASHpn_STAR,
  [36769] = 1,
    ACTIONS(7815), 1,
      anon_sym_BSLASHfig_STAR,
  [36773] = 1,
    ACTIONS(8285), 1,
      anon_sym_BSLASHrb_STAR,
  [36777] = 1,
    ACTIONS(8287), 1,
      anon_sym_BSLASHjmp_STAR,
  [36781] = 1,
    ACTIONS(8289), 1,
      anon_sym_BSLASH_STAR,
  [36785] = 1,
    ACTIONS(8291), 1,
      anon_sym_BSLASHwg_STAR,
  [36789] = 1,
    ACTIONS(8293), 1,
      anon_sym_BSLASH_STAR,
  [36793] = 1,
    ACTIONS(8295), 1,
      anon_sym_BSLASH_STAR,
  [36797] = 1,
    ACTIONS(8297), 1,
      anon_sym_BSLASHfm_STAR,
  [36801] = 1,
    ACTIONS(8299), 1,
      sym_verseNumber,
  [36805] = 1,
    ACTIONS(8301), 1,
      sym__spaceOrLine,
  [36809] = 1,
    ACTIONS(8303), 1,
      anon_sym_BSLASHrq_STAR,
  [36813] = 1,
    ACTIONS(8305), 1,
      anon_sym_BSLASHref_STAR,
  [36817] = 1,
    ACTIONS(8307), 1,
      anon_sym_BSLASHxt_STAR,
  [36821] = 1,
    ACTIONS(8309), 1,
      anon_sym_BSLASHadd_STAR,
  [36825] = 1,
    ACTIONS(8311), 1,
      anon_sym_BSLASHbk_STAR,
  [36829] = 1,
    ACTIONS(8313), 1,
      anon_sym_BSLASHdc_STAR,
  [36833] = 1,
    ACTIONS(8315), 1,
      sym__spaceOrLine,
  [36837] = 1,
    ACTIONS(8317), 1,
      anon_sym_BSLASHnd_STAR,
  [36841] = 1,
    ACTIONS(8319), 1,
      anon_sym_BSLASHord_STAR,
  [36845] = 1,
    ACTIONS(8321), 1,
      anon_sym_BSLASHpn_STAR,
  [36849] = 1,
    ACTIONS(8323), 1,
      anon_sym_BSLASHpng_STAR,
  [36853] = 1,
    ACTIONS(8325), 1,
      anon_sym_BSLASHaddpn_STAR,
  [36857] = 1,
    ACTIONS(8327), 1,
      anon_sym_BSLASHqt_STAR,
  [36861] = 1,
    ACTIONS(8329), 1,
      anon_sym_BSLASHsig_STAR,
  [36865] = 1,
    ACTIONS(8331), 1,
      anon_sym_BSLASHsls_STAR,
  [36869] = 1,
    ACTIONS(8333), 1,
      anon_sym_BSLASHtl_STAR,
  [36873] = 1,
    ACTIONS(8335), 1,
      anon_sym_BSLASHwj_STAR,
  [36877] = 1,
    ACTIONS(8337), 1,
      anon_sym_BSLASHem_STAR,
  [36881] = 1,
    ACTIONS(8339), 1,
      anon_sym_BSLASHbd_STAR,
  [36885] = 1,
    ACTIONS(8341), 1,
      anon_sym_BSLASHit_STAR,
  [36889] = 1,
    ACTIONS(8343), 1,
      anon_sym_BSLASHbdit_STAR,
  [36893] = 1,
    ACTIONS(8345), 1,
      anon_sym_BSLASHno_STAR,
  [36897] = 1,
    ACTIONS(8347), 1,
      anon_sym_BSLASHsc_STAR,
  [36901] = 1,
    ACTIONS(8349), 1,
      anon_sym_BSLASHsup_STAR,
  [36905] = 1,
    ACTIONS(8351), 1,
      anon_sym_BSLASHndx_STAR,
  [36909] = 1,
    ACTIONS(8353), 1,
      anon_sym_BSLASHpro_STAR,
  [36913] = 1,
    ACTIONS(8355), 1,
      anon_sym_BSLASHw_STAR,
  [36917] = 1,
    ACTIONS(8357), 1,
      anon_sym_BSLASHwg_STAR,
  [36921] = 1,
    ACTIONS(8359), 1,
      anon_sym_BSLASHwh_STAR,
  [36925] = 1,
    ACTIONS(8361), 1,
      anon_sym_BSLASHwa_STAR,
  [36929] = 1,
    ACTIONS(8363), 1,
      anon_sym_BSLASHfig_STAR,
  [36933] = 1,
    ACTIONS(8365), 1,
      anon_sym_BSLASHjmp_STAR,
  [36937] = 1,
    ACTIONS(8367), 1,
      anon_sym_BSLASHpro_STAR,
  [36941] = 1,
    ACTIONS(8369), 1,
      anon_sym_BSLASHndx_STAR,
  [36945] = 1,
    ACTIONS(8371), 1,
      anon_sym_BSLASHsup_STAR,
  [36949] = 1,
    ACTIONS(8373), 1,
      anon_sym_BSLASHjmp_STAR,
  [36953] = 1,
    ACTIONS(8375), 1,
      anon_sym_BSLASHk_STAR,
  [36957] = 1,
    ACTIONS(8377), 1,
      anon_sym_BSLASHrb_STAR,
  [36961] = 1,
    ACTIONS(8379), 1,
      anon_sym_BSLASHw_STAR,
  [36965] = 1,
    ACTIONS(8381), 1,
      sym__spaceOrLine,
  [36969] = 1,
    ACTIONS(8383), 1,
      sym__spaceOrLine,
  [36973] = 1,
    ACTIONS(8385), 1,
      anon_sym_BSLASHk_STAR,
  [36977] = 1,
    ACTIONS(8387), 1,
      anon_sym_EQ,
  [36981] = 1,
    ACTIONS(8389), 1,
      anon_sym_EQ,
  [36985] = 1,
    ACTIONS(8391), 1,
      anon_sym_EQ,
  [36989] = 1,
    ACTIONS(8393), 1,
      anon_sym_BSLASHjmp_STAR,
  [36993] = 1,
    ACTIONS(8395), 1,
      anon_sym_BSLASHfig_STAR,
  [36997] = 1,
    ACTIONS(8397), 1,
      anon_sym_BSLASHwa_STAR,
  [37001] = 1,
    ACTIONS(8399), 1,
      anon_sym_BSLASHwh_STAR,
  [37005] = 1,
    ACTIONS(8401), 1,
      anon_sym_BSLASHwg_STAR,
  [37009] = 1,
    ACTIONS(8403), 1,
      anon_sym_BSLASH_STAR,
  [37013] = 1,
    ACTIONS(8405), 1,
      anon_sym_BSLASH_STAR,
  [37017] = 1,
    ACTIONS(8407), 1,
      anon_sym_BSLASHpro_STAR,
  [37021] = 1,
    ACTIONS(8409), 1,
      anon_sym_BSLASH_STAR,
  [37025] = 1,
    ACTIONS(8411), 1,
      anon_sym_BSLASHndx_STAR,
  [37029] = 1,
    ACTIONS(8413), 1,
      anon_sym_BSLASHsup_STAR,
  [37033] = 1,
    ACTIONS(8415), 1,
      anon_sym_BSLASHsc_STAR,
  [37037] = 1,
    ACTIONS(7772), 1,
      anon_sym_BSLASHfig_STAR,
  [37041] = 1,
    ACTIONS(8417), 1,
      anon_sym_BSLASHno_STAR,
  [37045] = 1,
    ACTIONS(8419), 1,
      anon_sym_BSLASHjmp_STAR,
  [37049] = 1,
    ACTIONS(8421), 1,
      anon_sym_BSLASHbdit_STAR,
  [37053] = 1,
    ACTIONS(8423), 1,
      anon_sym_BSLASHit_STAR,
  [37057] = 1,
    ACTIONS(8425), 1,
      anon_sym_BSLASHno_STAR,
  [37061] = 1,
    ACTIONS(8427), 1,
      anon_sym_BSLASHbdit_STAR,
  [37065] = 1,
    ACTIONS(8429), 1,
      anon_sym_BSLASHfm_STAR,
  [37069] = 1,
    ACTIONS(8431), 1,
      anon_sym_BSLASHit_STAR,
  [37073] = 1,
    ACTIONS(8433), 1,
      anon_sym_BSLASHrq_STAR,
  [37077] = 1,
    ACTIONS(8435), 1,
      anon_sym_BSLASHref_STAR,
  [37081] = 1,
    ACTIONS(8437), 1,
      anon_sym_BSLASHxt_STAR,
  [37085] = 1,
    ACTIONS(8439), 1,
      anon_sym_BSLASHadd_STAR,
  [37089] = 1,
    ACTIONS(8441), 1,
      anon_sym_BSLASHbk_STAR,
  [37093] = 1,
    ACTIONS(8443), 1,
      anon_sym_BSLASHdc_STAR,
  [37097] = 1,
    ACTIONS(8445), 1,
      anon_sym_BSLASHbd_STAR,
  [37101] = 1,
    ACTIONS(8447), 1,
      anon_sym_BSLASHnd_STAR,
  [37105] = 1,
    ACTIONS(8449), 1,
      anon_sym_BSLASHord_STAR,
  [37109] = 1,
    ACTIONS(8451), 1,
      anon_sym_BSLASHpn_STAR,
  [37113] = 1,
    ACTIONS(8453), 1,
      anon_sym_BSLASHpng_STAR,
  [37117] = 1,
    ACTIONS(8455), 1,
      anon_sym_BSLASHaddpn_STAR,
  [37121] = 1,
    ACTIONS(8457), 1,
      anon_sym_BSLASHqt_STAR,
  [37125] = 1,
    ACTIONS(8459), 1,
      anon_sym_BSLASHsig_STAR,
  [37129] = 1,
    ACTIONS(8461), 1,
      anon_sym_BSLASHsls_STAR,
  [37133] = 1,
    ACTIONS(8463), 1,
      anon_sym_BSLASHtl_STAR,
  [37137] = 1,
    ACTIONS(8465), 1,
      anon_sym_BSLASHwj_STAR,
  [37141] = 1,
    ACTIONS(8467), 1,
      anon_sym_BSLASHem_STAR,
  [37145] = 1,
    ACTIONS(8469), 1,
      anon_sym_BSLASHbd_STAR,
  [37149] = 1,
    ACTIONS(8471), 1,
      anon_sym_BSLASHit_STAR,
  [37153] = 1,
    ACTIONS(8473), 1,
      anon_sym_BSLASHbdit_STAR,
  [37157] = 1,
    ACTIONS(8475), 1,
      anon_sym_BSLASHno_STAR,
  [37161] = 1,
    ACTIONS(8477), 1,
      anon_sym_BSLASHsc_STAR,
  [37165] = 1,
    ACTIONS(8479), 1,
      anon_sym_BSLASHsup_STAR,
  [37169] = 1,
    ACTIONS(8481), 1,
      anon_sym_BSLASHndx_STAR,
  [37173] = 1,
    ACTIONS(8483), 1,
      anon_sym_BSLASHpro_STAR,
  [37177] = 1,
    ACTIONS(8485), 1,
      anon_sym_BSLASHem_STAR,
  [37181] = 1,
    ACTIONS(8487), 1,
      anon_sym_BSLASHwg_STAR,
  [37185] = 1,
    ACTIONS(8489), 1,
      anon_sym_BSLASHwh_STAR,
  [37189] = 1,
    ACTIONS(8491), 1,
      anon_sym_BSLASHwa_STAR,
  [37193] = 1,
    ACTIONS(8493), 1,
      anon_sym_BSLASHfig_STAR,
  [37197] = 1,
    ACTIONS(8495), 1,
      anon_sym_BSLASHjmp_STAR,
  [37201] = 1,
    ACTIONS(8497), 1,
      anon_sym_BSLASHqt_STAR,
  [37205] = 1,
    ACTIONS(8499), 1,
      anon_sym_BSLASHbd_STAR,
  [37209] = 1,
    ACTIONS(8501), 1,
      anon_sym_BSLASHem_STAR,
  [37213] = 1,
    ACTIONS(8503), 1,
      anon_sym_BSLASHwj_STAR,
  [37217] = 1,
    ACTIONS(8505), 1,
      anon_sym_BSLASHk_STAR,
  [37221] = 1,
    ACTIONS(8507), 1,
      anon_sym_BSLASHrb_STAR,
  [37225] = 1,
    ACTIONS(8509), 1,
      anon_sym_BSLASHw_STAR,
  [37229] = 1,
    ACTIONS(8511), 1,
      anon_sym_BSLASHtl_STAR,
  [37233] = 1,
    ACTIONS(8513), 1,
      anon_sym_BSLASHsls_STAR,
  [37237] = 1,
    ACTIONS(8515), 1,
      anon_sym_BSLASHsig_STAR,
  [37241] = 1,
    ACTIONS(8517), 1,
      anon_sym_BSLASHqt_STAR,
  [37245] = 1,
    ACTIONS(8519), 1,
      anon_sym_BSLASHaddpn_STAR,
  [37249] = 1,
    ACTIONS(8521), 1,
      anon_sym_BSLASHpng_STAR,
  [37253] = 1,
    ACTIONS(8523), 1,
      anon_sym_BSLASHpn_STAR,
  [37257] = 1,
    ACTIONS(8525), 1,
      anon_sym_BSLASHord_STAR,
  [37261] = 1,
    ACTIONS(8527), 1,
      anon_sym_BSLASHnd_STAR,
  [37265] = 1,
    ACTIONS(8529), 1,
      anon_sym_BSLASH_STAR,
  [37269] = 1,
    ACTIONS(8531), 1,
      anon_sym_BSLASH_STAR,
  [37273] = 1,
    ACTIONS(8533), 1,
      anon_sym_BSLASHdc_STAR,
  [37277] = 1,
    ACTIONS(8535), 1,
      anon_sym_BSLASH_STAR,
  [37281] = 1,
    ACTIONS(8537), 1,
      anon_sym_BSLASHbk_STAR,
  [37285] = 1,
    ACTIONS(8539), 1,
      anon_sym_BSLASHadd_STAR,
  [37289] = 1,
    ACTIONS(8541), 1,
      anon_sym_BSLASHxt_STAR,
  [37293] = 1,
    ACTIONS(7865), 1,
      anon_sym_BSLASHfig_STAR,
  [37297] = 1,
    ACTIONS(8543), 1,
      anon_sym_BSLASHref_STAR,
  [37301] = 1,
    ACTIONS(8545), 1,
      anon_sym_BSLASHjmp_STAR,
  [37305] = 1,
    ACTIONS(8547), 1,
      anon_sym_BSLASHrq_STAR,
  [37309] = 1,
    ACTIONS(8549), 1,
      anon_sym_BSLASHwj_STAR,
  [37313] = 1,
    ACTIONS(8551), 1,
      anon_sym_BSLASHtl_STAR,
  [37317] = 1,
    ACTIONS(8553), 1,
      anon_sym_BSLASHsls_STAR,
  [37321] = 1,
    ACTIONS(8555), 1,
      anon_sym_BSLASHfm_STAR,
  [37325] = 1,
    ACTIONS(8557), 1,
      sym_verseNumber,
  [37329] = 1,
    ACTIONS(8559), 1,
      anon_sym_BSLASHrq_STAR,
  [37333] = 1,
    ACTIONS(8561), 1,
      anon_sym_BSLASHref_STAR,
  [37337] = 1,
    ACTIONS(8563), 1,
      anon_sym_BSLASHxt_STAR,
  [37341] = 1,
    ACTIONS(8565), 1,
      anon_sym_BSLASHadd_STAR,
  [37345] = 1,
    ACTIONS(8567), 1,
      anon_sym_BSLASHbk_STAR,
  [37349] = 1,
    ACTIONS(8569), 1,
      anon_sym_BSLASHdc_STAR,
  [37353] = 1,
    ACTIONS(8571), 1,
      anon_sym_BSLASHfm_STAR,
  [37357] = 1,
    ACTIONS(8573), 1,
      anon_sym_BSLASHnd_STAR,
  [37361] = 1,
    ACTIONS(8575), 1,
      anon_sym_BSLASHord_STAR,
  [37365] = 1,
    ACTIONS(8577), 1,
      anon_sym_BSLASHpn_STAR,
  [37369] = 1,
    ACTIONS(8579), 1,
      anon_sym_BSLASHpng_STAR,
  [37373] = 1,
    ACTIONS(8581), 1,
      anon_sym_BSLASHaddpn_STAR,
  [37377] = 1,
    ACTIONS(8583), 1,
      anon_sym_BSLASHqt_STAR,
  [37381] = 1,
    ACTIONS(8585), 1,
      anon_sym_BSLASHsig_STAR,
  [37385] = 1,
    ACTIONS(8587), 1,
      anon_sym_BSLASHsls_STAR,
  [37389] = 1,
    ACTIONS(8589), 1,
      anon_sym_BSLASHtl_STAR,
  [37393] = 1,
    ACTIONS(8591), 1,
      anon_sym_BSLASHwj_STAR,
  [37397] = 1,
    ACTIONS(8593), 1,
      anon_sym_BSLASHem_STAR,
  [37401] = 1,
    ACTIONS(8595), 1,
      anon_sym_BSLASHbd_STAR,
  [37405] = 1,
    ACTIONS(8597), 1,
      anon_sym_BSLASHit_STAR,
  [37409] = 1,
    ACTIONS(8599), 1,
      anon_sym_BSLASHbdit_STAR,
  [37413] = 1,
    ACTIONS(8601), 1,
      anon_sym_BSLASHno_STAR,
  [37417] = 1,
    ACTIONS(8603), 1,
      anon_sym_BSLASHsc_STAR,
  [37421] = 1,
    ACTIONS(8605), 1,
      anon_sym_BSLASHsup_STAR,
  [37425] = 1,
    ACTIONS(8607), 1,
      anon_sym_BSLASHndx_STAR,
  [37429] = 1,
    ACTIONS(8609), 1,
      anon_sym_BSLASHpro_STAR,
  [37433] = 1,
    ACTIONS(8611), 1,
      anon_sym_BSLASHfig_STAR,
  [37437] = 1,
    ACTIONS(8613), 1,
      anon_sym_BSLASHwg_STAR,
  [37441] = 1,
    ACTIONS(8615), 1,
      anon_sym_BSLASHwh_STAR,
  [37445] = 1,
    ACTIONS(8617), 1,
      anon_sym_BSLASHwa_STAR,
  [37449] = 1,
    ACTIONS(8619), 1,
      anon_sym_BSLASHfig_STAR,
  [37453] = 1,
    ACTIONS(8621), 1,
      anon_sym_BSLASHjmp_STAR,
  [37457] = 1,
    ACTIONS(8623), 1,
      anon_sym_BSLASHsig_STAR,
  [37461] = 1,
    ACTIONS(8625), 1,
      anon_sym_BSLASHref_STAR,
  [37465] = 1,
    ACTIONS(8627), 1,
      anon_sym_BSLASHaddpn_STAR,
  [37469] = 1,
    ACTIONS(7859), 1,
      anon_sym_BSLASHfig_STAR,
  [37473] = 1,
    ACTIONS(8629), 1,
      anon_sym_BSLASHk_STAR,
  [37477] = 1,
    ACTIONS(8631), 1,
      anon_sym_BSLASHrb_STAR,
  [37481] = 1,
    ACTIONS(8633), 1,
      anon_sym_BSLASHw_STAR,
  [37485] = 1,
    ACTIONS(8635), 1,
      anon_sym_BSLASH_STAR,
  [37489] = 1,
    ACTIONS(8637), 1,
      anon_sym_BSLASH_STAR,
  [37493] = 1,
    ACTIONS(8639), 1,
      anon_sym_BSLASH_STAR,
  [37497] = 1,
    ACTIONS(8641), 1,
      anon_sym_DQUOTE,
  [37501] = 1,
    ACTIONS(8643), 1,
      anon_sym_BSLASHjmp_STAR,
  [37505] = 1,
    ACTIONS(8645), 1,
      sym__spaceOrLine,
  [37509] = 1,
    ACTIONS(8647), 1,
      sym__spaceOrLine,
  [37513] = 1,
    ACTIONS(8649), 1,
      anon_sym_BSLASHw_STAR,
  [37517] = 1,
    ACTIONS(8651), 1,
      anon_sym_BSLASHrb_STAR,
  [37521] = 1,
    ACTIONS(8653), 1,
      anon_sym_BSLASH_STAR,
  [37525] = 1,
    ACTIONS(8655), 1,
      anon_sym_BSLASH_STAR,
  [37529] = 1,
    ACTIONS(8657), 1,
      anon_sym_BSLASHk_STAR,
  [37533] = 1,
    ACTIONS(8659), 1,
      anon_sym_BSLASH_STAR,
  [37537] = 1,
    ACTIONS(8661), 1,
      anon_sym_DQUOTE,
  [37541] = 1,
    ACTIONS(8663), 1,
      anon_sym_DQUOTE,
  [37545] = 1,
    ACTIONS(8665), 1,
      anon_sym_EQ,
  [37549] = 1,
    ACTIONS(7750), 1,
      anon_sym_BSLASHfig_STAR,
  [37553] = 1,
    ACTIONS(8667), 1,
      anon_sym_DQUOTE,
  [37557] = 1,
    ACTIONS(8669), 1,
      anon_sym_BSLASHjmp_STAR,
  [37561] = 1,
    ACTIONS(8671), 1,
      anon_sym_DQUOTE,
  [37565] = 1,
    ACTIONS(8673), 1,
      anon_sym_BSLASHpng_STAR,
  [37569] = 1,
    ACTIONS(8675), 1,
      anon_sym_BSLASHpn_STAR,
  [37573] = 1,
    ACTIONS(8677), 1,
      anon_sym_BSLASHord_STAR,
  [37577] = 1,
    ACTIONS(8679), 1,
      anon_sym_BSLASHfm_STAR,
  [37581] = 1,
    ACTIONS(8681), 1,
      anon_sym_BSLASHjmp_STAR,
  [37585] = 1,
    ACTIONS(8683), 1,
      anon_sym_BSLASHrq_STAR,
  [37589] = 1,
    ACTIONS(8685), 1,
      anon_sym_BSLASHref_STAR,
  [37593] = 1,
    ACTIONS(8687), 1,
      anon_sym_BSLASHxt_STAR,
  [37597] = 1,
    ACTIONS(8689), 1,
      anon_sym_BSLASHadd_STAR,
  [37601] = 1,
    ACTIONS(8691), 1,
      anon_sym_BSLASHbk_STAR,
  [37605] = 1,
    ACTIONS(8693), 1,
      anon_sym_BSLASHdc_STAR,
  [37609] = 1,
    ACTIONS(8695), 1,
      anon_sym_BSLASHfig_STAR,
  [37613] = 1,
    ACTIONS(8697), 1,
      anon_sym_BSLASHnd_STAR,
  [37617] = 1,
    ACTIONS(8699), 1,
      anon_sym_BSLASHord_STAR,
  [37621] = 1,
    ACTIONS(8701), 1,
      anon_sym_BSLASHpn_STAR,
  [37625] = 1,
    ACTIONS(8703), 1,
      anon_sym_BSLASHpng_STAR,
  [37629] = 1,
    ACTIONS(8705), 1,
      anon_sym_BSLASHaddpn_STAR,
  [37633] = 1,
    ACTIONS(8707), 1,
      anon_sym_BSLASHqt_STAR,
  [37637] = 1,
    ACTIONS(8709), 1,
      anon_sym_BSLASHsig_STAR,
  [37641] = 1,
    ACTIONS(8711), 1,
      anon_sym_BSLASHsls_STAR,
  [37645] = 1,
    ACTIONS(8713), 1,
      anon_sym_BSLASHtl_STAR,
  [37649] = 1,
    ACTIONS(8715), 1,
      anon_sym_BSLASHwj_STAR,
  [37653] = 1,
    ACTIONS(8717), 1,
      anon_sym_BSLASHem_STAR,
  [37657] = 1,
    ACTIONS(8719), 1,
      anon_sym_BSLASHbd_STAR,
  [37661] = 1,
    ACTIONS(8721), 1,
      anon_sym_BSLASHit_STAR,
  [37665] = 1,
    ACTIONS(8723), 1,
      anon_sym_BSLASHbdit_STAR,
  [37669] = 1,
    ACTIONS(8725), 1,
      anon_sym_BSLASHno_STAR,
  [37673] = 1,
    ACTIONS(8727), 1,
      anon_sym_BSLASHsc_STAR,
  [37677] = 1,
    ACTIONS(8729), 1,
      anon_sym_BSLASHsup_STAR,
  [37681] = 1,
    ACTIONS(8731), 1,
      anon_sym_BSLASHndx_STAR,
  [37685] = 1,
    ACTIONS(8733), 1,
      anon_sym_BSLASHpro_STAR,
  [37689] = 1,
    ACTIONS(8735), 1,
      anon_sym_BSLASHwa_STAR,
  [37693] = 1,
    ACTIONS(8737), 1,
      anon_sym_BSLASHwg_STAR,
  [37697] = 1,
    ACTIONS(8739), 1,
      anon_sym_BSLASHwh_STAR,
  [37701] = 1,
    ACTIONS(8741), 1,
      anon_sym_BSLASHwa_STAR,
  [37705] = 1,
    ACTIONS(8743), 1,
      anon_sym_BSLASHfig_STAR,
  [37709] = 1,
    ACTIONS(8745), 1,
      anon_sym_BSLASHjmp_STAR,
  [37713] = 1,
    ACTIONS(8747), 1,
      anon_sym_BSLASHnd_STAR,
  [37717] = 1,
    ACTIONS(8749), 1,
      anon_sym_BSLASHwh_STAR,
  [37721] = 1,
    ACTIONS(8751), 1,
      anon_sym_BSLASHdc_STAR,
  [37725] = 1,
    ACTIONS(8753), 1,
      anon_sym_BSLASHwg_STAR,
  [37729] = 1,
    ACTIONS(8755), 1,
      anon_sym_BSLASHk_STAR,
  [37733] = 1,
    ACTIONS(8757), 1,
      anon_sym_BSLASHrb_STAR,
  [37737] = 1,
    ACTIONS(8759), 1,
      anon_sym_BSLASHw_STAR,
  [37741] = 1,
    ACTIONS(8761), 1,
      anon_sym_BSLASHpro_STAR,
  [37745] = 1,
    ACTIONS(8763), 1,
      anon_sym_BSLASHndx_STAR,
  [37749] = 1,
    ACTIONS(8765), 1,
      anon_sym_BSLASHsup_STAR,
  [37753] = 1,
    ACTIONS(7740), 1,
      anon_sym_BSLASHfig_STAR,
  [37757] = 1,
    ACTIONS(8767), 1,
      anon_sym_BSLASHbk_STAR,
  [37761] = 1,
    ACTIONS(8769), 1,
      anon_sym_BSLASHadd_STAR,
  [37765] = 1,
    ACTIONS(8771), 1,
      anon_sym_BSLASHxt_STAR,
  [37769] = 1,
    ACTIONS(8773), 1,
      anon_sym_BSLASHfm_STAR,
  [37773] = 1,
    ACTIONS(8775), 1,
      anon_sym_BSLASHsc_STAR,
  [37777] = 1,
    ACTIONS(8777), 1,
      anon_sym_BSLASHrq_STAR,
  [37781] = 1,
    ACTIONS(8779), 1,
      anon_sym_BSLASHxt_STAR,
  [37785] = 1,
    ACTIONS(8781), 1,
      anon_sym_BSLASHfig_STAR,
  [37789] = 1,
    ACTIONS(8783), 1,
      anon_sym_BSLASHno_STAR,
  [37793] = 1,
    ACTIONS(8785), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
  [37797] = 1,
    ACTIONS(8787), 1,
      anon_sym_BSLASHbdit_STAR,
  [37801] = 1,
    ACTIONS(8789), 1,
      anon_sym_BSLASHit_STAR,
  [37805] = 1,
    ACTIONS(8791), 1,
      anon_sym_BSLASHbd_STAR,
  [37809] = 1,
    ACTIONS(8793), 1,
      anon_sym_BSLASHem_STAR,
  [37813] = 1,
    ACTIONS(8795), 1,
      anon_sym_BSLASHwj_STAR,
  [37817] = 1,
    ACTIONS(7798), 1,
      anon_sym_BSLASHfig_STAR,
  [37821] = 1,
    ACTIONS(8797), 1,
      aux_sym_text_token1,
  [37825] = 1,
    ACTIONS(8799), 1,
      aux_sym_text_token1,
  [37829] = 1,
    ACTIONS(8801), 1,
      aux_sym_text_token1,
  [37833] = 1,
    ACTIONS(8803), 1,
      anon_sym_BSLASHfm_STAR,
  [37837] = 1,
    ACTIONS(8805), 1,
      anon_sym_BSLASHtl_STAR,
  [37841] = 1,
    ACTIONS(8807), 1,
      anon_sym_BSLASHrq_STAR,
  [37845] = 1,
    ACTIONS(8809), 1,
      anon_sym_BSLASHxt_STAR,
  [37849] = 1,
    ACTIONS(8811), 1,
      anon_sym_BSLASHfig_STAR,
  [37853] = 1,
    ACTIONS(8813), 1,
      anon_sym_BSLASHref_STAR,
  [37857] = 1,
    ACTIONS(8815), 1,
      anon_sym_BSLASHsls_STAR,
  [37861] = 1,
    ACTIONS(8817), 1,
      anon_sym_BSLASHsig_STAR,
  [37865] = 1,
    ACTIONS(8819), 1,
      anon_sym_BSLASHqt_STAR,
  [37869] = 1,
    ACTIONS(8821), 1,
      anon_sym_BSLASHaddpn_STAR,
  [37873] = 1,
    ACTIONS(8823), 1,
      anon_sym_BSLASHpng_STAR,
  [37877] = 1,
    ACTIONS(8825), 1,
      anon_sym_BSLASHpn_STAR,
  [37881] = 1,
    ACTIONS(8827), 1,
      anon_sym_BSLASHrq_STAR,
  [37885] = 1,
    ACTIONS(8829), 1,
      anon_sym_BSLASHfm_STAR,
  [37889] = 1,
    ACTIONS(8831), 1,
      anon_sym_BSLASHord_STAR,
  [37893] = 1,
    ACTIONS(8833), 1,
      anon_sym_BSLASHrq_STAR,
  [37897] = 1,
    ACTIONS(8835), 1,
      anon_sym_BSLASHxt_STAR,
  [37901] = 1,
    ACTIONS(8837), 1,
      anon_sym_BSLASHnd_STAR,
  [37905] = 1,
    ACTIONS(8839), 1,
      anon_sym_BSLASHdc_STAR,
  [37909] = 1,
    ACTIONS(8841), 1,
      anon_sym_BSLASHbk_STAR,
  [37913] = 1,
    ACTIONS(8843), 1,
      anon_sym_BSLASHadd_STAR,
  [37917] = 1,
    ACTIONS(8845), 1,
      anon_sym_BSLASHxt_STAR,
  [37921] = 1,
    ACTIONS(8847), 1,
      anon_sym_BSLASHca_STAR,
  [37925] = 1,
    ACTIONS(8849), 1,
      anon_sym_BSLASHiqt_STAR,
  [37929] = 1,
    ACTIONS(8851), 1,
      anon_sym_BSLASHrq_STAR,
  [37933] = 1,
    ACTIONS(8853), 1,
      anon_sym_BSLASHfm_STAR,
  [37937] = 1,
    ACTIONS(8855), 1,
      anon_sym_BSLASHxt_STAR,
  [37941] = 1,
    ACTIONS(8857), 1,
      sym_verseNumber,
  [37945] = 1,
    ACTIONS(8859), 1,
      anon_sym_BSLASHfm_STAR,
  [37949] = 1,
    ACTIONS(8861), 1,
      anon_sym_DQUOTE,
  [37953] = 1,
    ACTIONS(8863), 1,
      anon_sym_EQ,
  [37957] = 1,
    ACTIONS(8865), 1,
      anon_sym_BSLASHjmp_STAR,
  [37961] = 1,
    ACTIONS(7829), 1,
      anon_sym_BSLASHfig_STAR,
  [37965] = 1,
    ACTIONS(8867), 1,
      sym_caller,
  [37969] = 1,
    ACTIONS(8869), 1,
      sym_caller,
  [37973] = 1,
    ACTIONS(8871), 1,
      sym_caller,
  [37977] = 1,
    ACTIONS(8873), 1,
      sym__spaceOrLine,
  [37981] = 1,
    ACTIONS(8875), 1,
      sym_category,
  [37985] = 1,
    ACTIONS(8877), 1,
      sym_caller,
  [37989] = 1,
    ACTIONS(8879), 1,
      anon_sym_BSLASH_PLUSbk_STAR,
  [37993] = 1,
    ACTIONS(8881), 1,
      sym__spaceOrLine,
  [37997] = 1,
    ACTIONS(8883), 1,
      anon_sym_BSLASH_STAR,
  [38001] = 1,
    ACTIONS(8885), 1,
      anon_sym_BSLASH_STAR,
  [38005] = 1,
    ACTIONS(8887), 1,
      anon_sym_BSLASH_STAR,
  [38009] = 1,
    ACTIONS(8889), 1,
      anon_sym_STAR,
  [38013] = 1,
    ACTIONS(8891), 1,
      anon_sym_DQUOTE,
  [38017] = 1,
    ACTIONS(8893), 1,
      anon_sym_DQUOTE,
  [38021] = 1,
    ACTIONS(8895), 1,
      anon_sym_BSLASH_PLUSw_STAR,
  [38025] = 1,
    ACTIONS(8897), 1,
      sym__spaceOrLine,
  [38029] = 1,
    ACTIONS(8899), 1,
      anon_sym_BSLASH_PLUSrb_STAR,
  [38033] = 1,
    ACTIONS(8901), 1,
      sym__spaceOrLine,
  [38037] = 1,
    ACTIONS(8903), 1,
      sym__spaceOrLine,
  [38041] = 1,
    ACTIONS(8905), 1,
      anon_sym_STAR,
  [38045] = 1,
    ACTIONS(8907), 1,
      sym_verseNumber,
  [38049] = 1,
    ACTIONS(8909), 1,
      sym_verseNumber,
  [38053] = 1,
    ACTIONS(8911), 1,
      sym__spaceOrLine,
  [38057] = 1,
    ACTIONS(8913), 1,
      anon_sym_BSLASHcat_STAR,
  [38061] = 1,
    ACTIONS(8915), 1,
      anon_sym_BSLASHfm_STAR,
  [38065] = 1,
    ACTIONS(8917), 1,
      sym__spaceOrLine,
  [38069] = 1,
    ACTIONS(8919), 1,
      sym__spaceOrLine,
  [38073] = 1,
    ACTIONS(8921), 1,
      sym__spaceOrLine,
  [38077] = 1,
    ACTIONS(8923), 1,
      sym__spaceOrLine,
  [38081] = 1,
    ACTIONS(8925), 1,
      sym__spaceOrLine,
  [38085] = 1,
    ACTIONS(8927), 1,
      sym__spaceOrLine,
  [38089] = 1,
    ACTIONS(8929), 1,
      sym__spaceOrLine,
  [38093] = 1,
    ACTIONS(8931), 1,
      sym__spaceOrLine,
  [38097] = 1,
    ACTIONS(8933), 1,
      sym__spaceOrLine,
  [38101] = 1,
    ACTIONS(8935), 1,
      sym_attributeValue,
  [38105] = 1,
    ACTIONS(8937), 1,
      sym__spaceOrLine,
  [38109] = 1,
    ACTIONS(8939), 1,
      sym__spaceOrLine,
  [38113] = 1,
    ACTIONS(8941), 1,
      anon_sym_SPACE,
  [38117] = 1,
    ACTIONS(8943), 1,
      sym__spaceOrLine,
  [38121] = 1,
    ACTIONS(8945), 1,
      anon_sym_SPACE,
  [38125] = 1,
    ACTIONS(8947), 1,
      anon_sym_SPACE,
  [38129] = 1,
    ACTIONS(8949), 1,
      sym__spaceOrLine,
  [38133] = 1,
    ACTIONS(8951), 1,
      anon_sym_BSLASHw_STAR,
  [38137] = 1,
    ACTIONS(8953), 1,
      anon_sym_BSLASHrb_STAR,
  [38141] = 1,
    ACTIONS(8955), 1,
      anon_sym_BSLASHk_STAR,
  [38145] = 1,
    ACTIONS(8957), 1,
      anon_sym_BSLASHfv_STAR,
  [38149] = 1,
    ACTIONS(8959), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
  [38153] = 1,
    ACTIONS(8961), 1,
      anon_sym_BSLASH_PLUSwa_STAR,
  [38157] = 1,
    ACTIONS(8963), 1,
      anon_sym_EQ,
  [38161] = 1,
    ACTIONS(8965), 1,
      anon_sym_EQ,
  [38165] = 1,
    ACTIONS(8967), 1,
      anon_sym_EQ,
  [38169] = 1,
    ACTIONS(8969), 1,
      aux_sym__linkAttributeUserDefinedName_token1,
  [38173] = 1,
    ACTIONS(8971), 1,
      anon_sym_BSLASH_PLUSwh_STAR,
  [38177] = 1,
    ACTIONS(8973), 1,
      anon_sym_EQ,
  [38181] = 1,
    ACTIONS(8975), 1,
      sym_attributeValue,
  [38185] = 1,
    ACTIONS(8977), 1,
      anon_sym_BSLASH_PLUSwg_STAR,
  [38189] = 1,
    ACTIONS(8979), 1,
      anon_sym_BSLASH_PLUSpro_STAR,
  [38193] = 1,
    ACTIONS(8981), 1,
      anon_sym_BSLASH_PLUSndx_STAR,
  [38197] = 1,
    ACTIONS(8983), 1,
      anon_sym_BSLASHjmp_STAR,
  [38201] = 1,
    ACTIONS(8985), 1,
      anon_sym_BSLASH_PLUSsup_STAR,
  [38205] = 1,
    ACTIONS(8987), 1,
      anon_sym_BSLASH_PLUSsc_STAR,
  [38209] = 1,
    ACTIONS(7823), 1,
      anon_sym_BSLASHfig_STAR,
  [38213] = 1,
    ACTIONS(8989), 1,
      anon_sym_BSLASH_PLUSno_STAR,
  [38217] = 1,
    ACTIONS(8991), 1,
      anon_sym_BSLASH_PLUSbdit_STAR,
  [38221] = 1,
    ACTIONS(8993), 1,
      anon_sym_BSLASH_PLUSit_STAR,
  [38225] = 1,
    ACTIONS(8995), 1,
      anon_sym_BSLASH_PLUSbd_STAR,
  [38229] = 1,
    ACTIONS(8997), 1,
      sym__spaceOrLine,
  [38233] = 1,
    ACTIONS(8999), 1,
      anon_sym_BSLASH_PLUSem_STAR,
  [38237] = 1,
    ACTIONS(9001), 1,
      anon_sym_DQUOTE,
  [38241] = 1,
    ACTIONS(9003), 1,
      anon_sym_DQUOTE,
  [38245] = 1,
    ACTIONS(9005), 1,
      sym__spaceOrLine,
  [38249] = 1,
    ACTIONS(9007), 1,
      sym__spaceOrLine,
  [38253] = 1,
    ACTIONS(9009), 1,
      sym__spaceOrLine,
  [38257] = 1,
    ACTIONS(9011), 1,
      sym__spaceOrLine,
  [38261] = 1,
    ACTIONS(9013), 1,
      sym__spaceOrLine,
  [38265] = 1,
    ACTIONS(9015), 1,
      anon_sym_BSLASHva_STAR,
  [38269] = 1,
    ACTIONS(9017), 1,
      anon_sym_BSLASHvp_STAR,
  [38273] = 1,
    ACTIONS(9019), 1,
      sym__spaceOrLine,
  [38277] = 1,
    ACTIONS(9021), 1,
      sym__spaceOrLine,
  [38281] = 1,
    ACTIONS(9023), 1,
      sym__spaceOrLine,
  [38285] = 1,
    ACTIONS(9025), 1,
      anon_sym_BSLASH_PLUSwj_STAR,
  [38289] = 1,
    ACTIONS(9027), 1,
      anon_sym_BSLASH_PLUStl_STAR,
  [38293] = 1,
    ACTIONS(9029), 1,
      sym__spaceOrLine,
  [38297] = 1,
    ACTIONS(9031), 1,
      sym_caller,
  [38301] = 1,
    ACTIONS(9033), 1,
      sym_caller,
  [38305] = 1,
    ACTIONS(9035), 1,
      sym_caller,
  [38309] = 1,
    ACTIONS(9037), 1,
      sym__spaceOrLine,
  [38313] = 1,
    ACTIONS(9039), 1,
      sym_caller,
  [38317] = 1,
    ACTIONS(9041), 1,
      anon_sym_BSLASH_PLUSsls_STAR,
  [38321] = 1,
    ACTIONS(9043), 1,
      sym__spaceOrLine,
  [38325] = 1,
    ACTIONS(9045), 1,
      sym__spaceOrLine,
  [38329] = 1,
    ACTIONS(9047), 1,
      sym__spaceOrLine,
  [38333] = 1,
    ACTIONS(9049), 1,
      sym__spaceOrLine,
  [38337] = 1,
    ACTIONS(9051), 1,
      sym__spaceOrLine,
  [38341] = 1,
    ACTIONS(9053), 1,
      sym__spaceOrLine,
  [38345] = 1,
    ACTIONS(9055), 1,
      sym__spaceOrLine,
  [38349] = 1,
    ACTIONS(9057), 1,
      sym__spaceOrLine,
  [38353] = 1,
    ACTIONS(9059), 1,
      sym__spaceOrLine,
  [38357] = 1,
    ACTIONS(9061), 1,
      sym__spaceOrLine,
  [38361] = 1,
    ACTIONS(9063), 1,
      sym__spaceOrLine,
  [38365] = 1,
    ACTIONS(9065), 1,
      sym__spaceOrLine,
  [38369] = 1,
    ACTIONS(9067), 1,
      sym__spaceOrLine,
  [38373] = 1,
    ACTIONS(9069), 1,
      sym__spaceOrLine,
  [38377] = 1,
    ACTIONS(9071), 1,
      sym__spaceOrLine,
  [38381] = 1,
    ACTIONS(9073), 1,
      sym__spaceOrLine,
  [38385] = 1,
    ACTIONS(9075), 1,
      sym__spaceOrLine,
  [38389] = 1,
    ACTIONS(9077), 1,
      sym__spaceOrLine,
  [38393] = 1,
    ACTIONS(9079), 1,
      sym__spaceOrLine,
  [38397] = 1,
    ACTIONS(9081), 1,
      sym__spaceOrLine,
  [38401] = 1,
    ACTIONS(9083), 1,
      sym__spaceOrLine,
  [38405] = 1,
    ACTIONS(9085), 1,
      anon_sym_BSLASHiqt_STAR,
  [38409] = 1,
    ACTIONS(9087), 1,
      anon_sym_BSLASH_PLUSsig_STAR,
  [38413] = 1,
    ACTIONS(9089), 1,
      anon_sym_BSLASH_PLUSqt_STAR,
  [38417] = 1,
    ACTIONS(9091), 1,
      anon_sym_BSLASH_PLUSaddpn_STAR,
  [38421] = 1,
    ACTIONS(9093), 1,
      anon_sym_BSLASH_PLUSpng_STAR,
  [38425] = 1,
    ACTIONS(9095), 1,
      anon_sym_BSLASH_PLUSpn_STAR,
  [38429] = 1,
    ACTIONS(9097), 1,
      sym_attributeValue,
  [38433] = 1,
    ACTIONS(9099), 1,
      sym__spaceOrLine,
  [38437] = 1,
    ACTIONS(9101), 1,
      sym__spaceOrLine,
  [38441] = 1,
    ACTIONS(9103), 1,
      anon_sym_BSLASH_PLUSord_STAR,
  [38445] = 1,
    ACTIONS(9105), 1,
      anon_sym_DQUOTE,
  [38449] = 1,
    ACTIONS(9107), 1,
      anon_sym_BSLASHva_STAR,
  [38453] = 1,
    ACTIONS(9109), 1,
      anon_sym_BSLASHvp_STAR,
  [38457] = 1,
    ACTIONS(9111), 1,
      anon_sym_BSLASH_PLUSnd_STAR,
  [38461] = 1,
    ACTIONS(9113), 1,
      anon_sym_BSLASH_PLUSk_STAR,
  [38465] = 1,
    ACTIONS(9115), 1,
      sym_caller,
  [38469] = 1,
    ACTIONS(9117), 1,
      sym_caller,
  [38473] = 1,
    ACTIONS(9119), 1,
      sym_caller,
  [38477] = 1,
    ACTIONS(9121), 1,
      anon_sym_BSLASH_PLUSdc_STAR,
  [38481] = 1,
    ACTIONS(9123), 1,
      sym_caller,
  [38485] = 1,
    ACTIONS(9125), 1,
      anon_sym_BSLASHior_STAR,
  [38489] = 1,
    ACTIONS(9127), 1,
      anon_sym_SPACE,
  [38493] = 1,
    ACTIONS(9129), 1,
      anon_sym_BSLASH_PLUSadd_STAR,
  [38497] = 1,
    ACTIONS(9131), 1,
      anon_sym_BSLASHlitl_STAR,
  [38501] = 1,
    ACTIONS(9133), 1,
      aux_sym_text_token1,
  [38505] = 1,
    ACTIONS(9135), 1,
      anon_sym_SPACE,
  [38509] = 1,
    ACTIONS(9137), 1,
      aux_sym_text_token1,
  [38513] = 1,
    ACTIONS(9139), 1,
      anon_sym_SPACE,
  [38517] = 1,
    ACTIONS(9141), 1,
      aux_sym_text_token1,
  [38521] = 1,
    ACTIONS(9143), 1,
      anon_sym_SPACE,
  [38525] = 1,
    ACTIONS(9145), 1,
      anon_sym_BSLASHlik_STAR,
  [38529] = 1,
    ACTIONS(9147), 1,
      anon_sym_BSLASHva_STAR,
  [38533] = 1,
    ACTIONS(9149), 1,
      anon_sym_BSLASHvp_STAR,
  [38537] = 1,
    ACTIONS(9151), 1,
      anon_sym_DQUOTE,
  [38541] = 1,
    ACTIONS(9153), 1,
      anon_sym_BSLASHjmp_STAR,
  [38545] = 1,
    ACTIONS(9155), 1,
      anon_sym_BSLASHfig_STAR,
  [38549] = 1,
    ACTIONS(9157), 1,
      anon_sym_BSLASHwa_STAR,
  [38553] = 1,
    ACTIONS(9159), 1,
      anon_sym_BSLASHwh_STAR,
  [38557] = 1,
    ACTIONS(9161), 1,
      anon_sym_BSLASHwg_STAR,
  [38561] = 1,
    ACTIONS(9163), 1,
      anon_sym_BSLASHpro_STAR,
  [38565] = 1,
    ACTIONS(9165), 1,
      anon_sym_BSLASHpng_STAR,
  [38569] = 1,
    ACTIONS(9167), 1,
      anon_sym_BSLASHndx_STAR,
  [38573] = 1,
    ACTIONS(9169), 1,
      anon_sym_BSLASHsup_STAR,
  [38577] = 1,
    ACTIONS(9171), 1,
      anon_sym_BSLASHsc_STAR,
  [38581] = 1,
    ACTIONS(9173), 1,
      anon_sym_BSLASHno_STAR,
  [38585] = 1,
    ACTIONS(9175), 1,
      sym_caller,
  [38589] = 1,
    ACTIONS(9177), 1,
      anon_sym_BSLASHbdit_STAR,
  [38593] = 1,
    ACTIONS(9179), 1,
      anon_sym_BSLASHit_STAR,
  [38597] = 1,
    ACTIONS(9181), 1,
      anon_sym_BSLASHbd_STAR,
  [38601] = 1,
    ACTIONS(9183), 1,
      anon_sym_BSLASHva_STAR,
  [38605] = 1,
    ACTIONS(9185), 1,
      anon_sym_BSLASHvp_STAR,
  [38609] = 1,
    ACTIONS(9187), 1,
      anon_sym_BSLASHem_STAR,
  [38613] = 1,
    ACTIONS(9189), 1,
      sym_chapterNumber,
  [38617] = 1,
    ACTIONS(9191), 1,
      sym_caller,
  [38621] = 1,
    ACTIONS(9193), 1,
      sym_caller,
  [38625] = 1,
    ACTIONS(9195), 1,
      sym_caller,
  [38629] = 1,
    ACTIONS(9197), 1,
      anon_sym_BSLASHwj_STAR,
  [38633] = 1,
    ACTIONS(9199), 1,
      sym_caller,
  [38637] = 1,
    ACTIONS(9201), 1,
      anon_sym_BSLASHtl_STAR,
  [38641] = 1,
    ACTIONS(9203), 1,
      anon_sym_BSLASHsls_STAR,
  [38645] = 1,
    ACTIONS(9205), 1,
      anon_sym_BSLASHsig_STAR,
  [38649] = 1,
    ACTIONS(9207), 1,
      anon_sym_BSLASHqt_STAR,
  [38653] = 1,
    ACTIONS(9209), 1,
      anon_sym_BSLASHaddpn_STAR,
  [38657] = 1,
    ACTIONS(9211), 1,
      anon_sym_BSLASHpn_STAR,
  [38661] = 1,
    ACTIONS(9213), 1,
      anon_sym_BSLASHord_STAR,
  [38665] = 1,
    ACTIONS(9215), 1,
      anon_sym_BSLASHnd_STAR,
  [38669] = 1,
    ACTIONS(9217), 1,
      anon_sym_BSLASHdc_STAR,
  [38673] = 1,
    ACTIONS(9219), 1,
      anon_sym_BSLASHbk_STAR,
  [38677] = 1,
    ACTIONS(9221), 1,
      anon_sym_BSLASHadd_STAR,
  [38681] = 1,
    ACTIONS(9223), 1,
      anon_sym_BSLASHxt_STAR,
  [38685] = 1,
    ACTIONS(9225), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
  [38689] = 1,
    ACTIONS(9227), 1,
      anon_sym_BSLASHref_STAR,
  [38693] = 1,
    ACTIONS(9229), 1,
      sym_category,
  [38697] = 1,
    ACTIONS(9231), 1,
      anon_sym_BSLASHrq_STAR,
  [38701] = 1,
    ACTIONS(9233), 1,
      sym__spaceOrLine,
  [38705] = 1,
    ACTIONS(9235), 1,
      sym_caller,
  [38709] = 1,
    ACTIONS(9237), 1,
      sym_caller,
  [38713] = 1,
    ACTIONS(9239), 1,
      sym_caller,
  [38717] = 1,
    ACTIONS(9241), 1,
      sym__spaceOrLine,
  [38721] = 1,
    ACTIONS(9243), 1,
      anon_sym_BSLASHlik_STAR,
  [38725] = 1,
    ACTIONS(9245), 1,
      anon_sym_BSLASHlitl_STAR,
  [38729] = 1,
    ACTIONS(9247), 1,
      sym__spaceOrLine,
  [38733] = 1,
    ACTIONS(9249), 1,
      sym__spaceOrLine,
  [38737] = 1,
    ACTIONS(9251), 1,
      anon_sym_BSLASH_PLUSbd_STAR,
  [38741] = 1,
    ACTIONS(9253), 1,
      sym__spaceOrLine,
  [38745] = 1,
    ACTIONS(9255), 1,
      sym__spaceOrLine,
  [38749] = 1,
    ACTIONS(9257), 1,
      sym__spaceOrLine,
  [38753] = 1,
    ACTIONS(9259), 1,
      anon_sym_BSLASHva_STAR,
  [38757] = 1,
    ACTIONS(9261), 1,
      anon_sym_BSLASHvp_STAR,
  [38761] = 1,
    ACTIONS(9263), 1,
      anon_sym_BSLASHref_STAR,
  [38765] = 1,
    ACTIONS(9265), 1,
      sym__spaceOrLine,
  [38769] = 1,
    ACTIONS(9267), 1,
      sym_caller,
  [38773] = 1,
    ACTIONS(9269), 1,
      sym_caller,
  [38777] = 1,
    ACTIONS(9271), 1,
      sym_caller,
  [38781] = 1,
    ACTIONS(9273), 1,
      anon_sym_BSLASH_PLUSadd_STAR,
  [38785] = 1,
    ACTIONS(9275), 1,
      sym_caller,
  [38789] = 1,
    ACTIONS(9277), 1,
      sym_verseNumber,
  [38793] = 1,
    ACTIONS(9279), 1,
      sym__spaceOrLine,
  [38797] = 1,
    ACTIONS(9281), 1,
      anon_sym_BSLASHcat_STAR,
  [38801] = 1,
    ACTIONS(9283), 1,
      sym__spaceOrLine,
  [38805] = 1,
    ACTIONS(9285), 1,
      sym__spaceOrLine,
  [38809] = 1,
    ACTIONS(9287), 1,
      sym__spaceOrLine,
  [38813] = 1,
    ACTIONS(9289), 1,
      anon_sym_BSLASHfm_STAR,
  [38817] = 1,
    ACTIONS(9291), 1,
      sym__spaceOrLine,
  [38821] = 1,
    ACTIONS(9293), 1,
      sym__spaceOrLine,
  [38825] = 1,
    ACTIONS(9295), 1,
      sym__spaceOrLine,
  [38829] = 1,
    ACTIONS(9297), 1,
      sym__spaceOrLine,
  [38833] = 1,
    ACTIONS(9299), 1,
      sym__spaceOrLine,
  [38837] = 1,
    ACTIONS(9301), 1,
      sym__spaceOrLine,
  [38841] = 1,
    ACTIONS(9303), 1,
      sym__spaceOrLine,
  [38845] = 1,
    ACTIONS(9305), 1,
      sym__spaceOrLine,
  [38849] = 1,
    ACTIONS(9307), 1,
      sym__spaceOrLine,
  [38853] = 1,
    ACTIONS(9309), 1,
      anon_sym_BSLASH_PLUSbk_STAR,
  [38857] = 1,
    ACTIONS(9311), 1,
      anon_sym_BSLASH_PLUSk_STAR,
  [38861] = 1,
    ACTIONS(9313), 1,
      anon_sym_BSLASH_PLUSnd_STAR,
  [38865] = 1,
    ACTIONS(9315), 1,
      sym__spaceOrLine,
  [38869] = 1,
    ACTIONS(9317), 1,
      sym__spaceOrLine,
  [38873] = 1,
    ACTIONS(9319), 1,
      sym__spaceOrLine,
  [38877] = 1,
    ACTIONS(9321), 1,
      sym__spaceOrLine,
  [38881] = 1,
    ACTIONS(9323), 1,
      sym__spaceOrLine,
  [38885] = 1,
    ACTIONS(9325), 1,
      sym__spaceOrLine,
  [38889] = 1,
    ACTIONS(9327), 1,
      anon_sym_SPACE,
  [38893] = 1,
    ACTIONS(9329), 1,
      anon_sym_BSLASHjmp_STAR,
  [38897] = 1,
    ACTIONS(9331), 1,
      anon_sym_BSLASH_STAR,
  [38901] = 1,
    ACTIONS(7790), 1,
      anon_sym_BSLASHfig_STAR,
  [38905] = 1,
    ACTIONS(9333), 1,
      anon_sym_BSLASHva_STAR,
  [38909] = 1,
    ACTIONS(9335), 1,
      anon_sym_BSLASHvp_STAR,
  [38913] = 1,
    ACTIONS(9337), 1,
      anon_sym_BSLASHiqt_STAR,
  [38917] = 1,
    ACTIONS(9339), 1,
      anon_sym_BSLASH_STAR,
  [38921] = 1,
    ACTIONS(9341), 1,
      sym_caller,
  [38925] = 1,
    ACTIONS(9343), 1,
      sym_caller,
  [38929] = 1,
    ACTIONS(9345), 1,
      sym_caller,
  [38933] = 1,
    ACTIONS(9347), 1,
      anon_sym_BSLASH_PLUSord_STAR,
  [38937] = 1,
    ACTIONS(9349), 1,
      sym_caller,
  [38941] = 1,
    ACTIONS(9351), 1,
      anon_sym_BSLASH_PLUSpn_STAR,
  [38945] = 1,
    ACTIONS(9353), 1,
      anon_sym_BSLASH_STAR,
  [38949] = 1,
    ACTIONS(9355), 1,
      anon_sym_BSLASH_PLUSpng_STAR,
  [38953] = 1,
    ACTIONS(9357), 1,
      anon_sym_BSLASH_PLUSaddpn_STAR,
  [38957] = 1,
    ACTIONS(9359), 1,
      anon_sym_BSLASH_PLUSqt_STAR,
  [38961] = 1,
    ACTIONS(9361), 1,
      anon_sym_BSLASH_PLUSsig_STAR,
  [38965] = 1,
    ACTIONS(9363), 1,
      anon_sym_SPACE,
  [38969] = 1,
    ACTIONS(9365), 1,
      anon_sym_BSLASH_PLUSsls_STAR,
  [38973] = 1,
    ACTIONS(9367), 1,
      sym__spaceOrLine,
  [38977] = 1,
    ACTIONS(9369), 1,
      anon_sym_SPACE,
  [38981] = 1,
    ACTIONS(9371), 1,
      anon_sym_BSLASH_PLUStl_STAR,
  [38985] = 1,
    ACTIONS(9373), 1,
      anon_sym_BSLASH_PLUSwj_STAR,
  [38989] = 1,
    ACTIONS(9375), 1,
      anon_sym_BSLASH_PLUSem_STAR,
  [38993] = 1,
    ACTIONS(9377), 1,
      sym__spaceOrLine,
  [38997] = 1,
    ACTIONS(9379), 1,
      anon_sym_STAR,
  [39001] = 1,
    ACTIONS(9381), 1,
      sym__spaceOrLine,
  [39005] = 1,
    ACTIONS(9383), 1,
      sym__spaceOrLine,
  [39009] = 1,
    ACTIONS(9385), 1,
      sym__spaceOrLine,
  [39013] = 1,
    ACTIONS(9387), 1,
      sym__spaceOrLine,
  [39017] = 1,
    ACTIONS(9389), 1,
      sym__spaceOrLine,
  [39021] = 1,
    ACTIONS(9391), 1,
      sym__spaceOrLine,
  [39025] = 1,
    ACTIONS(9393), 1,
      sym__spaceOrLine,
  [39029] = 1,
    ACTIONS(9395), 1,
      sym__spaceOrLine,
  [39033] = 1,
    ACTIONS(9397), 1,
      sym__spaceOrLine,
  [39037] = 1,
    ACTIONS(9399), 1,
      sym__spaceOrLine,
  [39041] = 1,
    ACTIONS(9401), 1,
      sym__spaceOrLine,
  [39045] = 1,
    ACTIONS(9403), 1,
      sym__spaceOrLine,
  [39049] = 1,
    ACTIONS(9405), 1,
      sym__spaceOrLine,
  [39053] = 1,
    ACTIONS(9407), 1,
      anon_sym_BSLASH_PLUSit_STAR,
  [39057] = 1,
    ACTIONS(9409), 1,
      anon_sym_BSLASH_PLUSbdit_STAR,
  [39061] = 1,
    ACTIONS(9411), 1,
      sym__spaceOrLine,
  [39065] = 1,
    ACTIONS(9413), 1,
      sym_caller,
  [39069] = 1,
    ACTIONS(9415), 1,
      sym_caller,
  [39073] = 1,
    ACTIONS(9417), 1,
      sym_caller,
  [39077] = 1,
    ACTIONS(9419), 1,
      sym__spaceOrLine,
  [39081] = 1,
    ACTIONS(9421), 1,
      sym_caller,
  [39085] = 1,
    ACTIONS(9423), 1,
      sym__spaceOrLine,
  [39089] = 1,
    ACTIONS(9425), 1,
      sym__spaceOrLine,
  [39093] = 1,
    ACTIONS(9427), 1,
      sym__spaceOrLine,
  [39097] = 1,
    ACTIONS(9429), 1,
      sym__spaceOrLine,
  [39101] = 1,
    ACTIONS(9431), 1,
      sym__spaceOrLine,
  [39105] = 1,
    ACTIONS(9433), 1,
      sym__spaceOrLine,
  [39109] = 1,
    ACTIONS(9435), 1,
      sym__spaceOrLine,
  [39113] = 1,
    ACTIONS(9437), 1,
      sym__spaceOrLine,
  [39117] = 1,
    ACTIONS(9439), 1,
      sym__spaceOrLine,
  [39121] = 1,
    ACTIONS(9441), 1,
      sym__spaceOrLine,
  [39125] = 1,
    ACTIONS(9443), 1,
      sym__spaceOrLine,
  [39129] = 1,
    ACTIONS(9445), 1,
      sym__spaceOrLine,
  [39133] = 1,
    ACTIONS(9447), 1,
      sym__spaceOrLine,
  [39137] = 1,
    ACTIONS(9449), 1,
      sym__spaceOrLine,
  [39141] = 1,
    ACTIONS(9451), 1,
      anon_sym_SPACE,
  [39145] = 1,
    ACTIONS(9453), 1,
      anon_sym_SPACE,
  [39149] = 1,
    ACTIONS(9455), 1,
      sym__spaceOrLine,
  [39153] = 1,
    ACTIONS(9457), 1,
      anon_sym_SPACE,
  [39157] = 1,
    ACTIONS(9459), 1,
      sym__spaceOrLine,
  [39161] = 1,
    ACTIONS(9461), 1,
      sym__spaceOrLine,
  [39165] = 1,
    ACTIONS(9463), 1,
      anon_sym_SPACE,
  [39169] = 1,
    ACTIONS(9465), 1,
      sym__spaceOrLine,
  [39173] = 1,
    ACTIONS(9467), 1,
      sym__spaceOrLine,
  [39177] = 1,
    ACTIONS(9469), 1,
      sym__spaceOrLine,
  [39181] = 1,
    ACTIONS(9471), 1,
      sym__spaceOrLine,
  [39185] = 1,
    ACTIONS(9473), 1,
      sym__spaceOrLine,
  [39189] = 1,
    ACTIONS(9475), 1,
      sym__spaceOrLine,
  [39193] = 1,
    ACTIONS(9477), 1,
      sym__spaceOrLine,
  [39197] = 1,
    ACTIONS(9479), 1,
      sym__spaceOrLine,
  [39201] = 1,
    ACTIONS(9481), 1,
      sym__spaceOrLine,
  [39205] = 1,
    ACTIONS(9483), 1,
      sym__spaceOrLine,
  [39209] = 1,
    ACTIONS(9485), 1,
      sym_caller,
  [39213] = 1,
    ACTIONS(9487), 1,
      sym_caller,
  [39217] = 1,
    ACTIONS(9489), 1,
      sym_caller,
  [39221] = 1,
    ACTIONS(9491), 1,
      anon_sym_BSLASH_STAR,
  [39225] = 1,
    ACTIONS(9493), 1,
      sym_caller,
  [39229] = 1,
    ACTIONS(9495), 1,
      anon_sym_BSLASH_STAR,
  [39233] = 1,
    ACTIONS(9497), 1,
      anon_sym_BSLASH_PLUSno_STAR,
  [39237] = 1,
    ACTIONS(9499), 1,
      anon_sym_BSLASH_PLUSsc_STAR,
  [39241] = 1,
    ACTIONS(9501), 1,
      anon_sym_BSLASH_PLUSsup_STAR,
  [39245] = 1,
    ACTIONS(9503), 1,
      anon_sym_BSLASH_PLUSndx_STAR,
  [39249] = 1,
    ACTIONS(9505), 1,
      anon_sym_BSLASH_PLUSpro_STAR,
  [39253] = 1,
    ACTIONS(9507), 1,
      anon_sym_BSLASH_PLUSwg_STAR,
  [39257] = 1,
    ACTIONS(9509), 1,
      anon_sym_BSLASH_PLUSwh_STAR,
  [39261] = 1,
    ACTIONS(9511), 1,
      anon_sym_BSLASH_PLUSwa_STAR,
  [39265] = 1,
    ACTIONS(9513), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
  [39269] = 1,
    ACTIONS(9515), 1,
      sym_versionNumber,
  [39273] = 1,
    ACTIONS(9517), 1,
      anon_sym_EQ,
  [39277] = 1,
    ACTIONS(9519), 1,
      anon_sym_BSLASHk_STAR,
  [39281] = 1,
    ACTIONS(9521), 1,
      anon_sym_BSLASHrb_STAR,
  [39285] = 1,
    ACTIONS(9523), 1,
      anon_sym_BSLASHw_STAR,
  [39289] = 1,
    ACTIONS(9525), 1,
      anon_sym_DQUOTE,
  [39293] = 1,
    ACTIONS(9527), 1,
      anon_sym_DQUOTE,
  [39297] = 1,
    ACTIONS(9529), 1,
      anon_sym_DQUOTE,
  [39301] = 1,
    ACTIONS(9531), 1,
      anon_sym_DQUOTE,
  [39305] = 1,
    ACTIONS(9533), 1,
      anon_sym_DQUOTE,
  [39309] = 1,
    ACTIONS(9535), 1,
      anon_sym_DQUOTE,
  [39313] = 1,
    ACTIONS(9537), 1,
      sym__spaceOrLine,
  [39317] = 1,
    ACTIONS(9539), 1,
      sym__spaceOrLine,
  [39321] = 1,
    ACTIONS(9541), 1,
      anon_sym_DQUOTE,
  [39325] = 1,
    ACTIONS(9543), 1,
      anon_sym_BSLASH_PLUSdc_STAR,
  [39329] = 1,
    ACTIONS(9545), 1,
      anon_sym_BSLASH_PLUSrb_STAR,
  [39333] = 1,
    ACTIONS(9547), 1,
      anon_sym_BSLASH_PLUSw_STAR,
  [39337] = 1,
    ACTIONS(9549), 1,
      anon_sym_DQUOTE,
  [39341] = 1,
    ACTIONS(9551), 1,
      anon_sym_EQ,
  [39345] = 1,
    ACTIONS(9553), 1,
      aux_sym_milestoneTag_token1,
  [39349] = 1,
    ACTIONS(9555), 1,
      sym_caller,
  [39353] = 1,
    ACTIONS(9557), 1,
      sym_caller,
  [39357] = 1,
    ACTIONS(9559), 1,
      sym_caller,
  [39361] = 1,
    ACTIONS(9561), 1,
      anon_sym_EQ,
  [39365] = 1,
    ACTIONS(9563), 1,
      sym_caller,
  [39369] = 1,
    ACTIONS(9565), 1,
      anon_sym_EQ,
  [39373] = 1,
    ACTIONS(9567), 1,
      anon_sym_EQ,
  [39377] = 1,
    ACTIONS(9569), 1,
      sym_caller,
  [39381] = 1,
    ACTIONS(9571), 1,
      sym_caller,
  [39385] = 1,
    ACTIONS(9573), 1,
      sym_caller,
  [39389] = 1,
    ACTIONS(9575), 1,
      sym_chapterNumber,
  [39393] = 1,
    ACTIONS(9577), 1,
      sym_caller,
  [39397] = 1,
    ACTIONS(9579), 1,
      anon_sym_DQUOTE,
  [39401] = 1,
    ACTIONS(9581), 1,
      anon_sym_DQUOTE,
  [39405] = 1,
    ACTIONS(9583), 1,
      sym_caller,
  [39409] = 1,
    ACTIONS(9585), 1,
      sym_caller,
  [39413] = 1,
    ACTIONS(9587), 1,
      sym_caller,
  [39417] = 1,
    ACTIONS(9589), 1,
      anon_sym_DQUOTE,
  [39421] = 1,
    ACTIONS(9591), 1,
      sym_caller,
  [39425] = 1,
    ACTIONS(9593), 1,
      anon_sym_STAR,
  [39429] = 1,
    ACTIONS(9595), 1,
      anon_sym_DQUOTE,
  [39433] = 1,
    ACTIONS(9597), 1,
      sym_caller,
  [39437] = 1,
    ACTIONS(9599), 1,
      sym_caller,
  [39441] = 1,
    ACTIONS(9601), 1,
      sym_caller,
  [39445] = 1,
    ACTIONS(9603), 1,
      anon_sym_DQUOTE,
  [39449] = 1,
    ACTIONS(9605), 1,
      sym__spaceOrLine,
  [39453] = 1,
    ACTIONS(9607), 1,
      sym__spaceOrLine,
  [39457] = 1,
    ACTIONS(9609), 1,
      sym__spaceOrLine,
  [39461] = 1,
    ACTIONS(9611), 1,
      sym__spaceOrLine,
  [39465] = 1,
    ACTIONS(9613), 1,
      sym__spaceOrLine,
  [39469] = 1,
    ACTIONS(9615), 1,
      sym__spaceOrLine,
  [39473] = 1,
    ACTIONS(9617), 1,
      sym__spaceOrLine,
  [39477] = 1,
    ACTIONS(9619), 1,
      sym__spaceOrLine,
  [39481] = 1,
    ACTIONS(9621), 1,
      sym__spaceOrLine,
  [39485] = 1,
    ACTIONS(9623), 1,
      sym__spaceOrLine,
  [39489] = 1,
    ACTIONS(9625), 1,
      sym__spaceOrLine,
  [39493] = 1,
    ACTIONS(9627), 1,
      sym__spaceOrLine,
  [39497] = 1,
    ACTIONS(9629), 1,
      sym__spaceOrLine,
  [39501] = 1,
    ACTIONS(9631), 1,
      sym__spaceOrLine,
  [39505] = 1,
    ACTIONS(9633), 1,
      sym__spaceOrLine,
  [39509] = 1,
    ACTIONS(9635), 1,
      sym__spaceOrLine,
  [39513] = 1,
    ACTIONS(9637), 1,
      sym__spaceOrLine,
  [39517] = 1,
    ACTIONS(9639), 1,
      sym__spaceOrLine,
  [39521] = 1,
    ACTIONS(9641), 1,
      sym__spaceOrLine,
  [39525] = 1,
    ACTIONS(9643), 1,
      sym__spaceOrLine,
  [39529] = 1,
    ACTIONS(9645), 1,
      sym__spaceOrLine,
  [39533] = 1,
    ACTIONS(9647), 1,
      sym__spaceOrLine,
  [39537] = 1,
    ACTIONS(9649), 1,
      sym__spaceOrLine,
  [39541] = 1,
    ACTIONS(9651), 1,
      sym__spaceOrLine,
  [39545] = 1,
    ACTIONS(9653), 1,
      sym__spaceOrLine,
  [39549] = 1,
    ACTIONS(9655), 1,
      sym__spaceOrLine,
  [39553] = 1,
    ACTIONS(9657), 1,
      sym__spaceOrLine,
  [39557] = 1,
    ACTIONS(9659), 1,
      sym__spaceOrLine,
  [39561] = 1,
    ACTIONS(9661), 1,
      sym__spaceOrLine,
  [39565] = 1,
    ACTIONS(9663), 1,
      sym__spaceOrLine,
  [39569] = 1,
    ACTIONS(9665), 1,
      sym__spaceOrLine,
  [39573] = 1,
    ACTIONS(9667), 1,
      sym__spaceOrLine,
  [39577] = 1,
    ACTIONS(9669), 1,
      sym__spaceOrLine,
  [39581] = 1,
    ACTIONS(9671), 1,
      sym__spaceOrLine,
  [39585] = 1,
    ACTIONS(9673), 1,
      sym__spaceOrLine,
  [39589] = 1,
    ACTIONS(9675), 1,
      sym__spaceOrLine,
  [39593] = 1,
    ACTIONS(9677), 1,
      sym__spaceOrLine,
  [39597] = 1,
    ACTIONS(9679), 1,
      sym__spaceOrLine,
  [39601] = 1,
    ACTIONS(9681), 1,
      sym__spaceOrLine,
  [39605] = 1,
    ACTIONS(9683), 1,
      sym__spaceOrLine,
  [39609] = 1,
    ACTIONS(9685), 1,
      sym__spaceOrLine,
  [39613] = 1,
    ACTIONS(9687), 1,
      sym__spaceOrLine,
  [39617] = 1,
    ACTIONS(9689), 1,
      sym__spaceOrLine,
  [39621] = 1,
    ACTIONS(9691), 1,
      sym__spaceOrLine,
  [39625] = 1,
    ACTIONS(9693), 1,
      sym__spaceOrLine,
  [39629] = 1,
    ACTIONS(9695), 1,
      sym__spaceOrLine,
  [39633] = 1,
    ACTIONS(9697), 1,
      sym__spaceOrLine,
  [39637] = 1,
    ACTIONS(9699), 1,
      sym__spaceOrLine,
  [39641] = 1,
    ACTIONS(9701), 1,
      sym__spaceOrLine,
  [39645] = 1,
    ACTIONS(9703), 1,
      sym__spaceOrLine,
  [39649] = 1,
    ACTIONS(9705), 1,
      sym__spaceOrLine,
  [39653] = 1,
    ACTIONS(9707), 1,
      sym__spaceOrLine,
  [39657] = 1,
    ACTIONS(9709), 1,
      sym__spaceOrLine,
  [39661] = 1,
    ACTIONS(9711), 1,
      sym__spaceOrLine,
  [39665] = 1,
    ACTIONS(9713), 1,
      sym__spaceOrLine,
  [39669] = 1,
    ACTIONS(9715), 1,
      anon_sym_DQUOTE,
  [39673] = 1,
    ACTIONS(9717), 1,
      anon_sym_EQ,
  [39677] = 1,
    ACTIONS(9719), 1,
      anon_sym_EQ,
  [39681] = 1,
    ACTIONS(9721), 1,
      anon_sym_DQUOTE,
  [39685] = 1,
    ACTIONS(9723), 1,
      sym_verseNumber,
  [39689] = 1,
    ACTIONS(9725), 1,
      anon_sym_DQUOTE,
  [39693] = 1,
    ACTIONS(9727), 1,
      sym__spaceOrLine,
  [39697] = 1,
    ACTIONS(9729), 1,
      sym__spaceOrLine,
  [39701] = 1,
    ACTIONS(9731), 1,
      sym__spaceOrLine,
  [39705] = 1,
    ACTIONS(9733), 1,
      sym__spaceOrLine,
  [39709] = 1,
    ACTIONS(9735), 1,
      sym__spaceOrLine,
  [39713] = 1,
    ACTIONS(9737), 1,
      sym__spaceOrLine,
  [39717] = 1,
    ACTIONS(9739), 1,
      sym__spaceOrLine,
  [39721] = 1,
    ACTIONS(9741), 1,
      sym__spaceOrLine,
  [39725] = 1,
    ACTIONS(9743), 1,
      sym__spaceOrLine,
  [39729] = 1,
    ACTIONS(9745), 1,
      sym__spaceOrLine,
  [39733] = 1,
    ACTIONS(9747), 1,
      sym__spaceOrLine,
  [39737] = 1,
    ACTIONS(9749), 1,
      sym__spaceOrLine,
  [39741] = 1,
    ACTIONS(9751), 1,
      sym__spaceOrLine,
  [39745] = 1,
    ACTIONS(9753), 1,
      sym__spaceOrLine,
  [39749] = 1,
    ACTIONS(9755), 1,
      sym__spaceOrLine,
  [39753] = 1,
    ACTIONS(9757), 1,
      sym__spaceOrLine,
  [39757] = 1,
    ACTIONS(9759), 1,
      sym__spaceOrLine,
  [39761] = 1,
    ACTIONS(9761), 1,
      sym__spaceOrLine,
  [39765] = 1,
    ACTIONS(9763), 1,
      sym__spaceOrLine,
  [39769] = 1,
    ACTIONS(9765), 1,
      sym__spaceOrLine,
  [39773] = 1,
    ACTIONS(9767), 1,
      sym__spaceOrLine,
  [39777] = 1,
    ACTIONS(9769), 1,
      sym__spaceOrLine,
  [39781] = 1,
    ACTIONS(9771), 1,
      sym__spaceOrLine,
  [39785] = 1,
    ACTIONS(9773), 1,
      sym__spaceOrLine,
  [39789] = 1,
    ACTIONS(9775), 1,
      sym__spaceOrLine,
  [39793] = 1,
    ACTIONS(9777), 1,
      sym__spaceOrLine,
  [39797] = 1,
    ACTIONS(9779), 1,
      sym__spaceOrLine,
  [39801] = 1,
    ACTIONS(9781), 1,
      sym__spaceOrLine,
  [39805] = 1,
    ACTIONS(9783), 1,
      anon_sym_DQUOTE,
  [39809] = 1,
    ACTIONS(9785), 1,
      anon_sym_EQ,
  [39813] = 1,
    ACTIONS(9787), 1,
      sym_verseNumber,
  [39817] = 1,
    ACTIONS(9789), 1,
      anon_sym_DQUOTE,
  [39821] = 1,
    ACTIONS(9791), 1,
      sym__spaceOrLine,
  [39825] = 1,
    ACTIONS(9793), 1,
      sym__spaceOrLine,
  [39829] = 1,
    ACTIONS(9795), 1,
      sym__spaceOrLine,
  [39833] = 1,
    ACTIONS(9797), 1,
      sym__spaceOrLine,
  [39837] = 1,
    ACTIONS(9799), 1,
      sym__spaceOrLine,
  [39841] = 1,
    ACTIONS(9801), 1,
      sym__spaceOrLine,
  [39845] = 1,
    ACTIONS(9803), 1,
      sym__spaceOrLine,
  [39849] = 1,
    ACTIONS(9805), 1,
      sym__spaceOrLine,
  [39853] = 1,
    ACTIONS(9807), 1,
      sym__spaceOrLine,
  [39857] = 1,
    ACTIONS(9809), 1,
      sym__spaceOrLine,
  [39861] = 1,
    ACTIONS(9811), 1,
      sym__spaceOrLine,
  [39865] = 1,
    ACTIONS(9813), 1,
      sym__spaceOrLine,
  [39869] = 1,
    ACTIONS(9815), 1,
      sym__spaceOrLine,
  [39873] = 1,
    ACTIONS(9817), 1,
      sym__spaceOrLine,
  [39877] = 1,
    ACTIONS(9819), 1,
      sym__spaceOrLine,
  [39881] = 1,
    ACTIONS(9821), 1,
      sym__spaceOrLine,
  [39885] = 1,
    ACTIONS(9823), 1,
      sym__spaceOrLine,
  [39889] = 1,
    ACTIONS(9825), 1,
      sym__spaceOrLine,
  [39893] = 1,
    ACTIONS(9827), 1,
      sym__spaceOrLine,
  [39897] = 1,
    ACTIONS(9829), 1,
      sym__spaceOrLine,
  [39901] = 1,
    ACTIONS(9831), 1,
      sym__spaceOrLine,
  [39905] = 1,
    ACTIONS(9833), 1,
      sym__spaceOrLine,
  [39909] = 1,
    ACTIONS(9835), 1,
      sym__spaceOrLine,
  [39913] = 1,
    ACTIONS(9837), 1,
      sym__spaceOrLine,
  [39917] = 1,
    ACTIONS(9839), 1,
      sym__spaceOrLine,
  [39921] = 1,
    ACTIONS(9841), 1,
      sym__spaceOrLine,
  [39925] = 1,
    ACTIONS(9843), 1,
      sym__spaceOrLine,
  [39929] = 1,
    ACTIONS(9845), 1,
      anon_sym_DQUOTE,
  [39933] = 1,
    ACTIONS(9847), 1,
      sym_verseNumber,
  [39937] = 1,
    ACTIONS(9849), 1,
      anon_sym_DQUOTE,
  [39941] = 1,
    ACTIONS(9851), 1,
      sym__spaceOrLine,
  [39945] = 1,
    ACTIONS(9853), 1,
      sym__spaceOrLine,
  [39949] = 1,
    ACTIONS(9855), 1,
      sym__spaceOrLine,
  [39953] = 1,
    ACTIONS(9857), 1,
      sym__spaceOrLine,
  [39957] = 1,
    ACTIONS(9859), 1,
      sym__spaceOrLine,
  [39961] = 1,
    ACTIONS(9861), 1,
      sym__spaceOrLine,
  [39965] = 1,
    ACTIONS(9863), 1,
      sym__spaceOrLine,
  [39969] = 1,
    ACTIONS(9865), 1,
      sym__spaceOrLine,
  [39973] = 1,
    ACTIONS(9867), 1,
      sym__spaceOrLine,
  [39977] = 1,
    ACTIONS(9869), 1,
      sym__spaceOrLine,
  [39981] = 1,
    ACTIONS(9871), 1,
      sym__spaceOrLine,
  [39985] = 1,
    ACTIONS(9873), 1,
      sym__spaceOrLine,
  [39989] = 1,
    ACTIONS(9875), 1,
      sym__spaceOrLine,
  [39993] = 1,
    ACTIONS(9877), 1,
      sym__spaceOrLine,
  [39997] = 1,
    ACTIONS(9879), 1,
      sym__spaceOrLine,
  [40001] = 1,
    ACTIONS(9881), 1,
      sym__spaceOrLine,
  [40005] = 1,
    ACTIONS(9883), 1,
      sym__spaceOrLine,
  [40009] = 1,
    ACTIONS(9885), 1,
      sym__spaceOrLine,
  [40013] = 1,
    ACTIONS(9887), 1,
      sym__spaceOrLine,
  [40017] = 1,
    ACTIONS(9889), 1,
      sym__spaceOrLine,
  [40021] = 1,
    ACTIONS(9891), 1,
      sym__spaceOrLine,
  [40025] = 1,
    ACTIONS(9893), 1,
      sym__spaceOrLine,
  [40029] = 1,
    ACTIONS(9895), 1,
      sym__spaceOrLine,
  [40033] = 1,
    ACTIONS(9897), 1,
      sym__spaceOrLine,
  [40037] = 1,
    ACTIONS(9899), 1,
      sym__spaceOrLine,
  [40041] = 1,
    ACTIONS(9901), 1,
      sym__spaceOrLine,
  [40045] = 1,
    ACTIONS(9903), 1,
      sym__spaceOrLine,
  [40049] = 1,
    ACTIONS(9905), 1,
      sym_bookcode,
  [40053] = 1,
    ACTIONS(9907), 1,
      sym_verseNumber,
  [40057] = 1,
    ACTIONS(9909), 1,
      anon_sym_DQUOTE,
  [40061] = 1,
    ACTIONS(9911), 1,
      sym__spaceOrLine,
  [40065] = 1,
    ACTIONS(9913), 1,
      sym__spaceOrLine,
  [40069] = 1,
    ACTIONS(9915), 1,
      sym__spaceOrLine,
  [40073] = 1,
    ACTIONS(9917), 1,
      sym__spaceOrLine,
  [40077] = 1,
    ACTIONS(9919), 1,
      sym__spaceOrLine,
  [40081] = 1,
    ACTIONS(9921), 1,
      sym__spaceOrLine,
  [40085] = 1,
    ACTIONS(9923), 1,
      sym__spaceOrLine,
  [40089] = 1,
    ACTIONS(9925), 1,
      sym__spaceOrLine,
  [40093] = 1,
    ACTIONS(9927), 1,
      sym__spaceOrLine,
  [40097] = 1,
    ACTIONS(9929), 1,
      sym__spaceOrLine,
  [40101] = 1,
    ACTIONS(9931), 1,
      sym__spaceOrLine,
  [40105] = 1,
    ACTIONS(9933), 1,
      sym__spaceOrLine,
  [40109] = 1,
    ACTIONS(9935), 1,
      sym__spaceOrLine,
  [40113] = 1,
    ACTIONS(9937), 1,
      sym__spaceOrLine,
  [40117] = 1,
    ACTIONS(9939), 1,
      sym__spaceOrLine,
  [40121] = 1,
    ACTIONS(9941), 1,
      sym__spaceOrLine,
  [40125] = 1,
    ACTIONS(9943), 1,
      sym__spaceOrLine,
  [40129] = 1,
    ACTIONS(9945), 1,
      sym__spaceOrLine,
  [40133] = 1,
    ACTIONS(9947), 1,
      sym__spaceOrLine,
  [40137] = 1,
    ACTIONS(9949), 1,
      sym__spaceOrLine,
  [40141] = 1,
    ACTIONS(9951), 1,
      sym__spaceOrLine,
  [40145] = 1,
    ACTIONS(9953), 1,
      sym__spaceOrLine,
  [40149] = 1,
    ACTIONS(9955), 1,
      sym__spaceOrLine,
  [40153] = 1,
    ACTIONS(9957), 1,
      sym__spaceOrLine,
  [40157] = 1,
    ACTIONS(9959), 1,
      sym__spaceOrLine,
  [40161] = 1,
    ACTIONS(9961), 1,
      sym__spaceOrLine,
  [40165] = 1,
    ACTIONS(9963), 1,
      sym__spaceOrLine,
  [40169] = 1,
    ACTIONS(9965), 1,
      anon_sym_BSLASHk_STAR,
  [40173] = 1,
    ACTIONS(9967), 1,
      sym_verseNumber,
  [40177] = 1,
    ACTIONS(9969), 1,
      anon_sym_DQUOTE,
  [40181] = 1,
    ACTIONS(9971), 1,
      sym__spaceOrLine,
  [40185] = 1,
    ACTIONS(9973), 1,
      sym__spaceOrLine,
  [40189] = 1,
    ACTIONS(9975), 1,
      sym__spaceOrLine,
  [40193] = 1,
    ACTIONS(9977), 1,
      sym__spaceOrLine,
  [40197] = 1,
    ACTIONS(9979), 1,
      sym__spaceOrLine,
  [40201] = 1,
    ACTIONS(9981), 1,
      sym__spaceOrLine,
  [40205] = 1,
    ACTIONS(9983), 1,
      sym__spaceOrLine,
  [40209] = 1,
    ACTIONS(9985), 1,
      sym__spaceOrLine,
  [40213] = 1,
    ACTIONS(9987), 1,
      sym__spaceOrLine,
  [40217] = 1,
    ACTIONS(9989), 1,
      sym__spaceOrLine,
  [40221] = 1,
    ACTIONS(9991), 1,
      sym__spaceOrLine,
  [40225] = 1,
    ACTIONS(9993), 1,
      sym__spaceOrLine,
  [40229] = 1,
    ACTIONS(9995), 1,
      sym__spaceOrLine,
  [40233] = 1,
    ACTIONS(9997), 1,
      sym__spaceOrLine,
  [40237] = 1,
    ACTIONS(9999), 1,
      sym__spaceOrLine,
  [40241] = 1,
    ACTIONS(10001), 1,
      sym__spaceOrLine,
  [40245] = 1,
    ACTIONS(10003), 1,
      sym__spaceOrLine,
  [40249] = 1,
    ACTIONS(10005), 1,
      sym__spaceOrLine,
  [40253] = 1,
    ACTIONS(10007), 1,
      sym__spaceOrLine,
  [40257] = 1,
    ACTIONS(10009), 1,
      sym__spaceOrLine,
  [40261] = 1,
    ACTIONS(10011), 1,
      sym__spaceOrLine,
  [40265] = 1,
    ACTIONS(10013), 1,
      sym__spaceOrLine,
  [40269] = 1,
    ACTIONS(10015), 1,
      sym__spaceOrLine,
  [40273] = 1,
    ACTIONS(10017), 1,
      sym__spaceOrLine,
  [40277] = 1,
    ACTIONS(10019), 1,
      sym__spaceOrLine,
  [40281] = 1,
    ACTIONS(10021), 1,
      sym__spaceOrLine,
  [40285] = 1,
    ACTIONS(10023), 1,
      sym__spaceOrLine,
  [40289] = 1,
    ACTIONS(10025), 1,
      anon_sym_BSLASHk_STAR,
  [40293] = 1,
    ACTIONS(10027), 1,
      sym__spaceOrLine,
  [40297] = 1,
    ACTIONS(10029), 1,
      sym__spaceOrLine,
  [40301] = 1,
    ACTIONS(10031), 1,
      sym__spaceOrLine,
  [40305] = 1,
    ACTIONS(10033), 1,
      sym__spaceOrLine,
  [40309] = 1,
    ACTIONS(10035), 1,
      sym__spaceOrLine,
  [40313] = 1,
    ACTIONS(10037), 1,
      sym__spaceOrLine,
  [40317] = 1,
    ACTIONS(10039), 1,
      sym__spaceOrLine,
  [40321] = 1,
    ACTIONS(10041), 1,
      sym__spaceOrLine,
  [40325] = 1,
    ACTIONS(10043), 1,
      sym__spaceOrLine,
  [40329] = 1,
    ACTIONS(10045), 1,
      sym__spaceOrLine,
  [40333] = 1,
    ACTIONS(10047), 1,
      sym__spaceOrLine,
  [40337] = 1,
    ACTIONS(10049), 1,
      sym__spaceOrLine,
  [40341] = 1,
    ACTIONS(10051), 1,
      sym__spaceOrLine,
  [40345] = 1,
    ACTIONS(10053), 1,
      sym__spaceOrLine,
  [40349] = 1,
    ACTIONS(10055), 1,
      sym__spaceOrLine,
  [40353] = 1,
    ACTIONS(10057), 1,
      sym__spaceOrLine,
  [40357] = 1,
    ACTIONS(10059), 1,
      sym__spaceOrLine,
  [40361] = 1,
    ACTIONS(10061), 1,
      sym__spaceOrLine,
  [40365] = 1,
    ACTIONS(10063), 1,
      sym__spaceOrLine,
  [40369] = 1,
    ACTIONS(10065), 1,
      sym__spaceOrLine,
  [40373] = 1,
    ACTIONS(10067), 1,
      sym__spaceOrLine,
  [40377] = 1,
    ACTIONS(10069), 1,
      sym__spaceOrLine,
  [40381] = 1,
    ACTIONS(10071), 1,
      sym__spaceOrLine,
  [40385] = 1,
    ACTIONS(10073), 1,
      sym__spaceOrLine,
  [40389] = 1,
    ACTIONS(10075), 1,
      sym__spaceOrLine,
  [40393] = 1,
    ACTIONS(10077), 1,
      sym__spaceOrLine,
  [40397] = 1,
    ACTIONS(10079), 1,
      sym__spaceOrLine,
  [40401] = 1,
    ACTIONS(10081), 1,
      anon_sym_DQUOTE,
  [40405] = 1,
    ACTIONS(10083), 1,
      sym__spaceOrLine,
  [40409] = 1,
    ACTIONS(10085), 1,
      sym__spaceOrLine,
  [40413] = 1,
    ACTIONS(10087), 1,
      sym__spaceOrLine,
  [40417] = 1,
    ACTIONS(10089), 1,
      sym__spaceOrLine,
  [40421] = 1,
    ACTIONS(10091), 1,
      sym__spaceOrLine,
  [40425] = 1,
    ACTIONS(10093), 1,
      sym__spaceOrLine,
  [40429] = 1,
    ACTIONS(10095), 1,
      sym__spaceOrLine,
  [40433] = 1,
    ACTIONS(10097), 1,
      sym__spaceOrLine,
  [40437] = 1,
    ACTIONS(10099), 1,
      sym__spaceOrLine,
  [40441] = 1,
    ACTIONS(10101), 1,
      sym__spaceOrLine,
  [40445] = 1,
    ACTIONS(10103), 1,
      sym__spaceOrLine,
  [40449] = 1,
    ACTIONS(10105), 1,
      sym__spaceOrLine,
  [40453] = 1,
    ACTIONS(10107), 1,
      sym__spaceOrLine,
  [40457] = 1,
    ACTIONS(10109), 1,
      sym__spaceOrLine,
  [40461] = 1,
    ACTIONS(10111), 1,
      sym__spaceOrLine,
  [40465] = 1,
    ACTIONS(10113), 1,
      sym__spaceOrLine,
  [40469] = 1,
    ACTIONS(10115), 1,
      sym__spaceOrLine,
  [40473] = 1,
    ACTIONS(10117), 1,
      sym__spaceOrLine,
  [40477] = 1,
    ACTIONS(10119), 1,
      sym__spaceOrLine,
  [40481] = 1,
    ACTIONS(10121), 1,
      sym__spaceOrLine,
  [40485] = 1,
    ACTIONS(10123), 1,
      sym__spaceOrLine,
  [40489] = 1,
    ACTIONS(10125), 1,
      sym__spaceOrLine,
  [40493] = 1,
    ACTIONS(10127), 1,
      sym__spaceOrLine,
  [40497] = 1,
    ACTIONS(10129), 1,
      sym__spaceOrLine,
  [40501] = 1,
    ACTIONS(10131), 1,
      sym__spaceOrLine,
  [40505] = 1,
    ACTIONS(10133), 1,
      sym__spaceOrLine,
  [40509] = 1,
    ACTIONS(10135), 1,
      sym__spaceOrLine,
  [40513] = 1,
    ACTIONS(10137), 1,
      anon_sym_DQUOTE,
  [40517] = 1,
    ACTIONS(10139), 1,
      sym__spaceOrLine,
  [40521] = 1,
    ACTIONS(10141), 1,
      sym__spaceOrLine,
  [40525] = 1,
    ACTIONS(10143), 1,
      anon_sym_DQUOTE,
  [40529] = 1,
    ACTIONS(10145), 1,
      ts_builtin_sym_end,
  [40533] = 1,
    ACTIONS(10147), 1,
      sym__spaceOrLine,
  [40537] = 1,
    ACTIONS(10149), 1,
      sym__spaceOrLine,
  [40541] = 1,
    ACTIONS(10151), 1,
      sym__spaceOrLine,
  [40545] = 1,
    ACTIONS(10153), 1,
      sym__spaceOrLine,
  [40549] = 1,
    ACTIONS(10155), 1,
      sym__spaceOrLine,
  [40553] = 1,
    ACTIONS(10157), 1,
      sym__spaceOrLine,
  [40557] = 1,
    ACTIONS(10159), 1,
      sym__spaceOrLine,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1182)] = 0,
  [SMALL_STATE(1183)] = 69,
  [SMALL_STATE(1184)] = 138,
  [SMALL_STATE(1185)] = 207,
  [SMALL_STATE(1186)] = 276,
  [SMALL_STATE(1187)] = 345,
  [SMALL_STATE(1188)] = 414,
  [SMALL_STATE(1189)] = 483,
  [SMALL_STATE(1190)] = 552,
  [SMALL_STATE(1191)] = 621,
  [SMALL_STATE(1192)] = 690,
  [SMALL_STATE(1193)] = 759,
  [SMALL_STATE(1194)] = 828,
  [SMALL_STATE(1195)] = 897,
  [SMALL_STATE(1196)] = 966,
  [SMALL_STATE(1197)] = 1035,
  [SMALL_STATE(1198)] = 1104,
  [SMALL_STATE(1199)] = 1173,
  [SMALL_STATE(1200)] = 1242,
  [SMALL_STATE(1201)] = 1311,
  [SMALL_STATE(1202)] = 1380,
  [SMALL_STATE(1203)] = 1449,
  [SMALL_STATE(1204)] = 1518,
  [SMALL_STATE(1205)] = 1587,
  [SMALL_STATE(1206)] = 1656,
  [SMALL_STATE(1207)] = 1725,
  [SMALL_STATE(1208)] = 1794,
  [SMALL_STATE(1209)] = 1863,
  [SMALL_STATE(1210)] = 1932,
  [SMALL_STATE(1211)] = 2001,
  [SMALL_STATE(1212)] = 2070,
  [SMALL_STATE(1213)] = 2139,
  [SMALL_STATE(1214)] = 2208,
  [SMALL_STATE(1215)] = 2277,
  [SMALL_STATE(1216)] = 2346,
  [SMALL_STATE(1217)] = 2415,
  [SMALL_STATE(1218)] = 2484,
  [SMALL_STATE(1219)] = 2553,
  [SMALL_STATE(1220)] = 2622,
  [SMALL_STATE(1221)] = 2691,
  [SMALL_STATE(1222)] = 2760,
  [SMALL_STATE(1223)] = 2829,
  [SMALL_STATE(1224)] = 2898,
  [SMALL_STATE(1225)] = 2967,
  [SMALL_STATE(1226)] = 3045,
  [SMALL_STATE(1227)] = 3133,
  [SMALL_STATE(1228)] = 3211,
  [SMALL_STATE(1229)] = 3299,
  [SMALL_STATE(1230)] = 3377,
  [SMALL_STATE(1231)] = 3442,
  [SMALL_STATE(1232)] = 3517,
  [SMALL_STATE(1233)] = 3594,
  [SMALL_STATE(1234)] = 3659,
  [SMALL_STATE(1235)] = 3724,
  [SMALL_STATE(1236)] = 3789,
  [SMALL_STATE(1237)] = 3854,
  [SMALL_STATE(1238)] = 3929,
  [SMALL_STATE(1239)] = 3994,
  [SMALL_STATE(1240)] = 4079,
  [SMALL_STATE(1241)] = 4154,
  [SMALL_STATE(1242)] = 4219,
  [SMALL_STATE(1243)] = 4302,
  [SMALL_STATE(1244)] = 4385,
  [SMALL_STATE(1245)] = 4450,
  [SMALL_STATE(1246)] = 4535,
  [SMALL_STATE(1247)] = 4600,
  [SMALL_STATE(1248)] = 4665,
  [SMALL_STATE(1249)] = 4730,
  [SMALL_STATE(1250)] = 4795,
  [SMALL_STATE(1251)] = 4860,
  [SMALL_STATE(1252)] = 4925,
  [SMALL_STATE(1253)] = 4990,
  [SMALL_STATE(1254)] = 5055,
  [SMALL_STATE(1255)] = 5120,
  [SMALL_STATE(1256)] = 5185,
  [SMALL_STATE(1257)] = 5250,
  [SMALL_STATE(1258)] = 5323,
  [SMALL_STATE(1259)] = 5388,
  [SMALL_STATE(1260)] = 5458,
  [SMALL_STATE(1261)] = 5522,
  [SMALL_STATE(1262)] = 5592,
  [SMALL_STATE(1263)] = 5670,
  [SMALL_STATE(1264)] = 5739,
  [SMALL_STATE(1265)] = 5802,
  [SMALL_STATE(1266)] = 5865,
  [SMALL_STATE(1267)] = 5938,
  [SMALL_STATE(1268)] = 6001,
  [SMALL_STATE(1269)] = 6064,
  [SMALL_STATE(1270)] = 6127,
  [SMALL_STATE(1271)] = 6196,
  [SMALL_STATE(1272)] = 6259,
  [SMALL_STATE(1273)] = 6322,
  [SMALL_STATE(1274)] = 6391,
  [SMALL_STATE(1275)] = 6454,
  [SMALL_STATE(1276)] = 6517,
  [SMALL_STATE(1277)] = 6580,
  [SMALL_STATE(1278)] = 6643,
  [SMALL_STATE(1279)] = 6712,
  [SMALL_STATE(1280)] = 6775,
  [SMALL_STATE(1281)] = 6838,
  [SMALL_STATE(1282)] = 6901,
  [SMALL_STATE(1283)] = 6964,
  [SMALL_STATE(1284)] = 7027,
  [SMALL_STATE(1285)] = 7093,
  [SMALL_STATE(1286)] = 7161,
  [SMALL_STATE(1287)] = 7227,
  [SMALL_STATE(1288)] = 7295,
  [SMALL_STATE(1289)] = 7363,
  [SMALL_STATE(1290)] = 7431,
  [SMALL_STATE(1291)] = 7499,
  [SMALL_STATE(1292)] = 7565,
  [SMALL_STATE(1293)] = 7633,
  [SMALL_STATE(1294)] = 7703,
  [SMALL_STATE(1295)] = 7771,
  [SMALL_STATE(1296)] = 7839,
  [SMALL_STATE(1297)] = 7907,
  [SMALL_STATE(1298)] = 7975,
  [SMALL_STATE(1299)] = 8047,
  [SMALL_STATE(1300)] = 8119,
  [SMALL_STATE(1301)] = 8187,
  [SMALL_STATE(1302)] = 8255,
  [SMALL_STATE(1303)] = 8323,
  [SMALL_STATE(1304)] = 8395,
  [SMALL_STATE(1305)] = 8463,
  [SMALL_STATE(1306)] = 8535,
  [SMALL_STATE(1307)] = 8601,
  [SMALL_STATE(1308)] = 8669,
  [SMALL_STATE(1309)] = 8737,
  [SMALL_STATE(1310)] = 8803,
  [SMALL_STATE(1311)] = 8871,
  [SMALL_STATE(1312)] = 8932,
  [SMALL_STATE(1313)] = 8993,
  [SMALL_STATE(1314)] = 9054,
  [SMALL_STATE(1315)] = 9115,
  [SMALL_STATE(1316)] = 9182,
  [SMALL_STATE(1317)] = 9243,
  [SMALL_STATE(1318)] = 9304,
  [SMALL_STATE(1319)] = 9365,
  [SMALL_STATE(1320)] = 9430,
  [SMALL_STATE(1321)] = 9495,
  [SMALL_STATE(1322)] = 9556,
  [SMALL_STATE(1323)] = 9617,
  [SMALL_STATE(1324)] = 9678,
  [SMALL_STATE(1325)] = 9739,
  [SMALL_STATE(1326)] = 9808,
  [SMALL_STATE(1327)] = 9869,
  [SMALL_STATE(1328)] = 9936,
  [SMALL_STATE(1329)] = 9997,
  [SMALL_STATE(1330)] = 10058,
  [SMALL_STATE(1331)] = 10119,
  [SMALL_STATE(1332)] = 10180,
  [SMALL_STATE(1333)] = 10241,
  [SMALL_STATE(1334)] = 10302,
  [SMALL_STATE(1335)] = 10369,
  [SMALL_STATE(1336)] = 10430,
  [SMALL_STATE(1337)] = 10491,
  [SMALL_STATE(1338)] = 10552,
  [SMALL_STATE(1339)] = 10613,
  [SMALL_STATE(1340)] = 10674,
  [SMALL_STATE(1341)] = 10735,
  [SMALL_STATE(1342)] = 10796,
  [SMALL_STATE(1343)] = 10857,
  [SMALL_STATE(1344)] = 10918,
  [SMALL_STATE(1345)] = 10979,
  [SMALL_STATE(1346)] = 11040,
  [SMALL_STATE(1347)] = 11101,
  [SMALL_STATE(1348)] = 11162,
  [SMALL_STATE(1349)] = 11223,
  [SMALL_STATE(1350)] = 11284,
  [SMALL_STATE(1351)] = 11345,
  [SMALL_STATE(1352)] = 11406,
  [SMALL_STATE(1353)] = 11467,
  [SMALL_STATE(1354)] = 11528,
  [SMALL_STATE(1355)] = 11589,
  [SMALL_STATE(1356)] = 11650,
  [SMALL_STATE(1357)] = 11711,
  [SMALL_STATE(1358)] = 11772,
  [SMALL_STATE(1359)] = 11833,
  [SMALL_STATE(1360)] = 11894,
  [SMALL_STATE(1361)] = 11955,
  [SMALL_STATE(1362)] = 12016,
  [SMALL_STATE(1363)] = 12077,
  [SMALL_STATE(1364)] = 12137,
  [SMALL_STATE(1365)] = 12206,
  [SMALL_STATE(1366)] = 12265,
  [SMALL_STATE(1367)] = 12324,
  [SMALL_STATE(1368)] = 12383,
  [SMALL_STATE(1369)] = 12442,
  [SMALL_STATE(1370)] = 12501,
  [SMALL_STATE(1371)] = 12559,
  [SMALL_STATE(1372)] = 12617,
  [SMALL_STATE(1373)] = 12675,
  [SMALL_STATE(1374)] = 12733,
  [SMALL_STATE(1375)] = 12791,
  [SMALL_STATE(1376)] = 12849,
  [SMALL_STATE(1377)] = 12907,
  [SMALL_STATE(1378)] = 12965,
  [SMALL_STATE(1379)] = 13023,
  [SMALL_STATE(1380)] = 13081,
  [SMALL_STATE(1381)] = 13139,
  [SMALL_STATE(1382)] = 13197,
  [SMALL_STATE(1383)] = 13255,
  [SMALL_STATE(1384)] = 13313,
  [SMALL_STATE(1385)] = 13371,
  [SMALL_STATE(1386)] = 13429,
  [SMALL_STATE(1387)] = 13487,
  [SMALL_STATE(1388)] = 13545,
  [SMALL_STATE(1389)] = 13603,
  [SMALL_STATE(1390)] = 13661,
  [SMALL_STATE(1391)] = 13719,
  [SMALL_STATE(1392)] = 13777,
  [SMALL_STATE(1393)] = 13835,
  [SMALL_STATE(1394)] = 13893,
  [SMALL_STATE(1395)] = 13951,
  [SMALL_STATE(1396)] = 14009,
  [SMALL_STATE(1397)] = 14067,
  [SMALL_STATE(1398)] = 14125,
  [SMALL_STATE(1399)] = 14183,
  [SMALL_STATE(1400)] = 14241,
  [SMALL_STATE(1401)] = 14299,
  [SMALL_STATE(1402)] = 14357,
  [SMALL_STATE(1403)] = 14415,
  [SMALL_STATE(1404)] = 14473,
  [SMALL_STATE(1405)] = 14531,
  [SMALL_STATE(1406)] = 14589,
  [SMALL_STATE(1407)] = 14647,
  [SMALL_STATE(1408)] = 14705,
  [SMALL_STATE(1409)] = 14763,
  [SMALL_STATE(1410)] = 14821,
  [SMALL_STATE(1411)] = 14879,
  [SMALL_STATE(1412)] = 14937,
  [SMALL_STATE(1413)] = 14995,
  [SMALL_STATE(1414)] = 15053,
  [SMALL_STATE(1415)] = 15111,
  [SMALL_STATE(1416)] = 15169,
  [SMALL_STATE(1417)] = 15227,
  [SMALL_STATE(1418)] = 15285,
  [SMALL_STATE(1419)] = 15343,
  [SMALL_STATE(1420)] = 15401,
  [SMALL_STATE(1421)] = 15459,
  [SMALL_STATE(1422)] = 15517,
  [SMALL_STATE(1423)] = 15575,
  [SMALL_STATE(1424)] = 15633,
  [SMALL_STATE(1425)] = 15691,
  [SMALL_STATE(1426)] = 15749,
  [SMALL_STATE(1427)] = 15807,
  [SMALL_STATE(1428)] = 15865,
  [SMALL_STATE(1429)] = 15923,
  [SMALL_STATE(1430)] = 15981,
  [SMALL_STATE(1431)] = 16039,
  [SMALL_STATE(1432)] = 16097,
  [SMALL_STATE(1433)] = 16155,
  [SMALL_STATE(1434)] = 16213,
  [SMALL_STATE(1435)] = 16271,
  [SMALL_STATE(1436)] = 16329,
  [SMALL_STATE(1437)] = 16387,
  [SMALL_STATE(1438)] = 16445,
  [SMALL_STATE(1439)] = 16503,
  [SMALL_STATE(1440)] = 16561,
  [SMALL_STATE(1441)] = 16619,
  [SMALL_STATE(1442)] = 16677,
  [SMALL_STATE(1443)] = 16735,
  [SMALL_STATE(1444)] = 16793,
  [SMALL_STATE(1445)] = 16851,
  [SMALL_STATE(1446)] = 16909,
  [SMALL_STATE(1447)] = 16967,
  [SMALL_STATE(1448)] = 17025,
  [SMALL_STATE(1449)] = 17082,
  [SMALL_STATE(1450)] = 17139,
  [SMALL_STATE(1451)] = 17196,
  [SMALL_STATE(1452)] = 17253,
  [SMALL_STATE(1453)] = 17310,
  [SMALL_STATE(1454)] = 17367,
  [SMALL_STATE(1455)] = 17424,
  [SMALL_STATE(1456)] = 17481,
  [SMALL_STATE(1457)] = 17538,
  [SMALL_STATE(1458)] = 17595,
  [SMALL_STATE(1459)] = 17652,
  [SMALL_STATE(1460)] = 17709,
  [SMALL_STATE(1461)] = 17766,
  [SMALL_STATE(1462)] = 17823,
  [SMALL_STATE(1463)] = 17880,
  [SMALL_STATE(1464)] = 17937,
  [SMALL_STATE(1465)] = 17994,
  [SMALL_STATE(1466)] = 18051,
  [SMALL_STATE(1467)] = 18108,
  [SMALL_STATE(1468)] = 18165,
  [SMALL_STATE(1469)] = 18222,
  [SMALL_STATE(1470)] = 18279,
  [SMALL_STATE(1471)] = 18336,
  [SMALL_STATE(1472)] = 18393,
  [SMALL_STATE(1473)] = 18450,
  [SMALL_STATE(1474)] = 18507,
  [SMALL_STATE(1475)] = 18564,
  [SMALL_STATE(1476)] = 18621,
  [SMALL_STATE(1477)] = 18678,
  [SMALL_STATE(1478)] = 18735,
  [SMALL_STATE(1479)] = 18792,
  [SMALL_STATE(1480)] = 18849,
  [SMALL_STATE(1481)] = 18906,
  [SMALL_STATE(1482)] = 18963,
  [SMALL_STATE(1483)] = 19020,
  [SMALL_STATE(1484)] = 19077,
  [SMALL_STATE(1485)] = 19134,
  [SMALL_STATE(1486)] = 19191,
  [SMALL_STATE(1487)] = 19248,
  [SMALL_STATE(1488)] = 19305,
  [SMALL_STATE(1489)] = 19362,
  [SMALL_STATE(1490)] = 19419,
  [SMALL_STATE(1491)] = 19476,
  [SMALL_STATE(1492)] = 19533,
  [SMALL_STATE(1493)] = 19590,
  [SMALL_STATE(1494)] = 19647,
  [SMALL_STATE(1495)] = 19704,
  [SMALL_STATE(1496)] = 19767,
  [SMALL_STATE(1497)] = 19824,
  [SMALL_STATE(1498)] = 19887,
  [SMALL_STATE(1499)] = 19944,
  [SMALL_STATE(1500)] = 20001,
  [SMALL_STATE(1501)] = 20058,
  [SMALL_STATE(1502)] = 20115,
  [SMALL_STATE(1503)] = 20172,
  [SMALL_STATE(1504)] = 20229,
  [SMALL_STATE(1505)] = 20292,
  [SMALL_STATE(1506)] = 20349,
  [SMALL_STATE(1507)] = 20406,
  [SMALL_STATE(1508)] = 20463,
  [SMALL_STATE(1509)] = 20526,
  [SMALL_STATE(1510)] = 20583,
  [SMALL_STATE(1511)] = 20640,
  [SMALL_STATE(1512)] = 20697,
  [SMALL_STATE(1513)] = 20754,
  [SMALL_STATE(1514)] = 20811,
  [SMALL_STATE(1515)] = 20868,
  [SMALL_STATE(1516)] = 20925,
  [SMALL_STATE(1517)] = 20982,
  [SMALL_STATE(1518)] = 21039,
  [SMALL_STATE(1519)] = 21096,
  [SMALL_STATE(1520)] = 21153,
  [SMALL_STATE(1521)] = 21210,
  [SMALL_STATE(1522)] = 21267,
  [SMALL_STATE(1523)] = 21324,
  [SMALL_STATE(1524)] = 21381,
  [SMALL_STATE(1525)] = 21438,
  [SMALL_STATE(1526)] = 21495,
  [SMALL_STATE(1527)] = 21552,
  [SMALL_STATE(1528)] = 21609,
  [SMALL_STATE(1529)] = 21666,
  [SMALL_STATE(1530)] = 21728,
  [SMALL_STATE(1531)] = 21786,
  [SMALL_STATE(1532)] = 21848,
  [SMALL_STATE(1533)] = 21906,
  [SMALL_STATE(1534)] = 21964,
  [SMALL_STATE(1535)] = 22026,
  [SMALL_STATE(1536)] = 22088,
  [SMALL_STATE(1537)] = 22150,
  [SMALL_STATE(1538)] = 22212,
  [SMALL_STATE(1539)] = 22274,
  [SMALL_STATE(1540)] = 22336,
  [SMALL_STATE(1541)] = 22398,
  [SMALL_STATE(1542)] = 22460,
  [SMALL_STATE(1543)] = 22522,
  [SMALL_STATE(1544)] = 22584,
  [SMALL_STATE(1545)] = 22646,
  [SMALL_STATE(1546)] = 22708,
  [SMALL_STATE(1547)] = 22767,
  [SMALL_STATE(1548)] = 22826,
  [SMALL_STATE(1549)] = 22902,
  [SMALL_STATE(1550)] = 22978,
  [SMALL_STATE(1551)] = 23037,
  [SMALL_STATE(1552)] = 23081,
  [SMALL_STATE(1553)] = 23125,
  [SMALL_STATE(1554)] = 23169,
  [SMALL_STATE(1555)] = 23213,
  [SMALL_STATE(1556)] = 23257,
  [SMALL_STATE(1557)] = 23301,
  [SMALL_STATE(1558)] = 23345,
  [SMALL_STATE(1559)] = 23389,
  [SMALL_STATE(1560)] = 23433,
  [SMALL_STATE(1561)] = 23477,
  [SMALL_STATE(1562)] = 23521,
  [SMALL_STATE(1563)] = 23565,
  [SMALL_STATE(1564)] = 23609,
  [SMALL_STATE(1565)] = 23653,
  [SMALL_STATE(1566)] = 23697,
  [SMALL_STATE(1567)] = 23741,
  [SMALL_STATE(1568)] = 23785,
  [SMALL_STATE(1569)] = 23829,
  [SMALL_STATE(1570)] = 23873,
  [SMALL_STATE(1571)] = 23917,
  [SMALL_STATE(1572)] = 23961,
  [SMALL_STATE(1573)] = 24005,
  [SMALL_STATE(1574)] = 24049,
  [SMALL_STATE(1575)] = 24093,
  [SMALL_STATE(1576)] = 24137,
  [SMALL_STATE(1577)] = 24181,
  [SMALL_STATE(1578)] = 24225,
  [SMALL_STATE(1579)] = 24269,
  [SMALL_STATE(1580)] = 24313,
  [SMALL_STATE(1581)] = 24357,
  [SMALL_STATE(1582)] = 24403,
  [SMALL_STATE(1583)] = 24449,
  [SMALL_STATE(1584)] = 24493,
  [SMALL_STATE(1585)] = 24537,
  [SMALL_STATE(1586)] = 24581,
  [SMALL_STATE(1587)] = 24625,
  [SMALL_STATE(1588)] = 24669,
  [SMALL_STATE(1589)] = 24713,
  [SMALL_STATE(1590)] = 24757,
  [SMALL_STATE(1591)] = 24801,
  [SMALL_STATE(1592)] = 24845,
  [SMALL_STATE(1593)] = 24889,
  [SMALL_STATE(1594)] = 24933,
  [SMALL_STATE(1595)] = 24977,
  [SMALL_STATE(1596)] = 25021,
  [SMALL_STATE(1597)] = 25065,
  [SMALL_STATE(1598)] = 25109,
  [SMALL_STATE(1599)] = 25153,
  [SMALL_STATE(1600)] = 25197,
  [SMALL_STATE(1601)] = 25243,
  [SMALL_STATE(1602)] = 25287,
  [SMALL_STATE(1603)] = 25331,
  [SMALL_STATE(1604)] = 25375,
  [SMALL_STATE(1605)] = 25419,
  [SMALL_STATE(1606)] = 25465,
  [SMALL_STATE(1607)] = 25511,
  [SMALL_STATE(1608)] = 25555,
  [SMALL_STATE(1609)] = 25600,
  [SMALL_STATE(1610)] = 25645,
  [SMALL_STATE(1611)] = 25690,
  [SMALL_STATE(1612)] = 25735,
  [SMALL_STATE(1613)] = 25780,
  [SMALL_STATE(1614)] = 25825,
  [SMALL_STATE(1615)] = 25870,
  [SMALL_STATE(1616)] = 25915,
  [SMALL_STATE(1617)] = 25960,
  [SMALL_STATE(1618)] = 26005,
  [SMALL_STATE(1619)] = 26050,
  [SMALL_STATE(1620)] = 26095,
  [SMALL_STATE(1621)] = 26148,
  [SMALL_STATE(1622)] = 26193,
  [SMALL_STATE(1623)] = 26238,
  [SMALL_STATE(1624)] = 26283,
  [SMALL_STATE(1625)] = 26328,
  [SMALL_STATE(1626)] = 26373,
  [SMALL_STATE(1627)] = 26423,
  [SMALL_STATE(1628)] = 26467,
  [SMALL_STATE(1629)] = 26511,
  [SMALL_STATE(1630)] = 26561,
  [SMALL_STATE(1631)] = 26611,
  [SMALL_STATE(1632)] = 26661,
  [SMALL_STATE(1633)] = 26711,
  [SMALL_STATE(1634)] = 26761,
  [SMALL_STATE(1635)] = 26811,
  [SMALL_STATE(1636)] = 26854,
  [SMALL_STATE(1637)] = 26897,
  [SMALL_STATE(1638)] = 26940,
  [SMALL_STATE(1639)] = 26983,
  [SMALL_STATE(1640)] = 27026,
  [SMALL_STATE(1641)] = 27069,
  [SMALL_STATE(1642)] = 27112,
  [SMALL_STATE(1643)] = 27155,
  [SMALL_STATE(1644)] = 27198,
  [SMALL_STATE(1645)] = 27241,
  [SMALL_STATE(1646)] = 27284,
  [SMALL_STATE(1647)] = 27327,
  [SMALL_STATE(1648)] = 27370,
  [SMALL_STATE(1649)] = 27413,
  [SMALL_STATE(1650)] = 27456,
  [SMALL_STATE(1651)] = 27499,
  [SMALL_STATE(1652)] = 27542,
  [SMALL_STATE(1653)] = 27583,
  [SMALL_STATE(1654)] = 27624,
  [SMALL_STATE(1655)] = 27665,
  [SMALL_STATE(1656)] = 27706,
  [SMALL_STATE(1657)] = 27747,
  [SMALL_STATE(1658)] = 27788,
  [SMALL_STATE(1659)] = 27829,
  [SMALL_STATE(1660)] = 27870,
  [SMALL_STATE(1661)] = 27911,
  [SMALL_STATE(1662)] = 27952,
  [SMALL_STATE(1663)] = 27993,
  [SMALL_STATE(1664)] = 28034,
  [SMALL_STATE(1665)] = 28075,
  [SMALL_STATE(1666)] = 28116,
  [SMALL_STATE(1667)] = 28157,
  [SMALL_STATE(1668)] = 28198,
  [SMALL_STATE(1669)] = 28239,
  [SMALL_STATE(1670)] = 28280,
  [SMALL_STATE(1671)] = 28321,
  [SMALL_STATE(1672)] = 28362,
  [SMALL_STATE(1673)] = 28403,
  [SMALL_STATE(1674)] = 28444,
  [SMALL_STATE(1675)] = 28485,
  [SMALL_STATE(1676)] = 28526,
  [SMALL_STATE(1677)] = 28567,
  [SMALL_STATE(1678)] = 28608,
  [SMALL_STATE(1679)] = 28649,
  [SMALL_STATE(1680)] = 28690,
  [SMALL_STATE(1681)] = 28731,
  [SMALL_STATE(1682)] = 28772,
  [SMALL_STATE(1683)] = 28813,
  [SMALL_STATE(1684)] = 28853,
  [SMALL_STATE(1685)] = 28905,
  [SMALL_STATE(1686)] = 28945,
  [SMALL_STATE(1687)] = 28984,
  [SMALL_STATE(1688)] = 29023,
  [SMALL_STATE(1689)] = 29062,
  [SMALL_STATE(1690)] = 29101,
  [SMALL_STATE(1691)] = 29140,
  [SMALL_STATE(1692)] = 29179,
  [SMALL_STATE(1693)] = 29218,
  [SMALL_STATE(1694)] = 29257,
  [SMALL_STATE(1695)] = 29296,
  [SMALL_STATE(1696)] = 29335,
  [SMALL_STATE(1697)] = 29374,
  [SMALL_STATE(1698)] = 29413,
  [SMALL_STATE(1699)] = 29457,
  [SMALL_STATE(1700)] = 29503,
  [SMALL_STATE(1701)] = 29547,
  [SMALL_STATE(1702)] = 29590,
  [SMALL_STATE(1703)] = 29633,
  [SMALL_STATE(1704)] = 29670,
  [SMALL_STATE(1705)] = 29713,
  [SMALL_STATE(1706)] = 29756,
  [SMALL_STATE(1707)] = 29799,
  [SMALL_STATE(1708)] = 29842,
  [SMALL_STATE(1709)] = 29885,
  [SMALL_STATE(1710)] = 29928,
  [SMALL_STATE(1711)] = 29986,
  [SMALL_STATE(1712)] = 30020,
  [SMALL_STATE(1713)] = 30054,
  [SMALL_STATE(1714)] = 30088,
  [SMALL_STATE(1715)] = 30122,
  [SMALL_STATE(1716)] = 30156,
  [SMALL_STATE(1717)] = 30190,
  [SMALL_STATE(1718)] = 30224,
  [SMALL_STATE(1719)] = 30258,
  [SMALL_STATE(1720)] = 30292,
  [SMALL_STATE(1721)] = 30326,
  [SMALL_STATE(1722)] = 30360,
  [SMALL_STATE(1723)] = 30394,
  [SMALL_STATE(1724)] = 30428,
  [SMALL_STATE(1725)] = 30462,
  [SMALL_STATE(1726)] = 30496,
  [SMALL_STATE(1727)] = 30530,
  [SMALL_STATE(1728)] = 30564,
  [SMALL_STATE(1729)] = 30598,
  [SMALL_STATE(1730)] = 30632,
  [SMALL_STATE(1731)] = 30666,
  [SMALL_STATE(1732)] = 30700,
  [SMALL_STATE(1733)] = 30734,
  [SMALL_STATE(1734)] = 30768,
  [SMALL_STATE(1735)] = 30823,
  [SMALL_STATE(1736)] = 30878,
  [SMALL_STATE(1737)] = 30920,
  [SMALL_STATE(1738)] = 30962,
  [SMALL_STATE(1739)] = 31010,
  [SMALL_STATE(1740)] = 31058,
  [SMALL_STATE(1741)] = 31106,
  [SMALL_STATE(1742)] = 31154,
  [SMALL_STATE(1743)] = 31202,
  [SMALL_STATE(1744)] = 31250,
  [SMALL_STATE(1745)] = 31298,
  [SMALL_STATE(1746)] = 31346,
  [SMALL_STATE(1747)] = 31394,
  [SMALL_STATE(1748)] = 31442,
  [SMALL_STATE(1749)] = 31490,
  [SMALL_STATE(1750)] = 31538,
  [SMALL_STATE(1751)] = 31586,
  [SMALL_STATE(1752)] = 31634,
  [SMALL_STATE(1753)] = 31682,
  [SMALL_STATE(1754)] = 31730,
  [SMALL_STATE(1755)] = 31778,
  [SMALL_STATE(1756)] = 31826,
  [SMALL_STATE(1757)] = 31874,
  [SMALL_STATE(1758)] = 31922,
  [SMALL_STATE(1759)] = 31970,
  [SMALL_STATE(1760)] = 32018,
  [SMALL_STATE(1761)] = 32066,
  [SMALL_STATE(1762)] = 32114,
  [SMALL_STATE(1763)] = 32162,
  [SMALL_STATE(1764)] = 32202,
  [SMALL_STATE(1765)] = 32242,
  [SMALL_STATE(1766)] = 32284,
  [SMALL_STATE(1767)] = 32321,
  [SMALL_STATE(1768)] = 32360,
  [SMALL_STATE(1769)] = 32397,
  [SMALL_STATE(1770)] = 32439,
  [SMALL_STATE(1771)] = 32481,
  [SMALL_STATE(1772)] = 32523,
  [SMALL_STATE(1773)] = 32556,
  [SMALL_STATE(1774)] = 32590,
  [SMALL_STATE(1775)] = 32622,
  [SMALL_STATE(1776)] = 32644,
  [SMALL_STATE(1777)] = 32678,
  [SMALL_STATE(1778)] = 32712,
  [SMALL_STATE(1779)] = 32744,
  [SMALL_STATE(1780)] = 32766,
  [SMALL_STATE(1781)] = 32787,
  [SMALL_STATE(1782)] = 32808,
  [SMALL_STATE(1783)] = 32829,
  [SMALL_STATE(1784)] = 32850,
  [SMALL_STATE(1785)] = 32871,
  [SMALL_STATE(1786)] = 32892,
  [SMALL_STATE(1787)] = 32913,
  [SMALL_STATE(1788)] = 32934,
  [SMALL_STATE(1789)] = 32955,
  [SMALL_STATE(1790)] = 32976,
  [SMALL_STATE(1791)] = 33000,
  [SMALL_STATE(1792)] = 33018,
  [SMALL_STATE(1793)] = 33036,
  [SMALL_STATE(1794)] = 33054,
  [SMALL_STATE(1795)] = 33072,
  [SMALL_STATE(1796)] = 33096,
  [SMALL_STATE(1797)] = 33114,
  [SMALL_STATE(1798)] = 33138,
  [SMALL_STATE(1799)] = 33156,
  [SMALL_STATE(1800)] = 33180,
  [SMALL_STATE(1801)] = 33198,
  [SMALL_STATE(1802)] = 33216,
  [SMALL_STATE(1803)] = 33233,
  [SMALL_STATE(1804)] = 33260,
  [SMALL_STATE(1805)] = 33277,
  [SMALL_STATE(1806)] = 33304,
  [SMALL_STATE(1807)] = 33321,
  [SMALL_STATE(1808)] = 33338,
  [SMALL_STATE(1809)] = 33355,
  [SMALL_STATE(1810)] = 33372,
  [SMALL_STATE(1811)] = 33389,
  [SMALL_STATE(1812)] = 33406,
  [SMALL_STATE(1813)] = 33423,
  [SMALL_STATE(1814)] = 33437,
  [SMALL_STATE(1815)] = 33451,
  [SMALL_STATE(1816)] = 33465,
  [SMALL_STATE(1817)] = 33481,
  [SMALL_STATE(1818)] = 33495,
  [SMALL_STATE(1819)] = 33509,
  [SMALL_STATE(1820)] = 33525,
  [SMALL_STATE(1821)] = 33539,
  [SMALL_STATE(1822)] = 33553,
  [SMALL_STATE(1823)] = 33567,
  [SMALL_STATE(1824)] = 33581,
  [SMALL_STATE(1825)] = 33595,
  [SMALL_STATE(1826)] = 33621,
  [SMALL_STATE(1827)] = 33647,
  [SMALL_STATE(1828)] = 33673,
  [SMALL_STATE(1829)] = 33685,
  [SMALL_STATE(1830)] = 33697,
  [SMALL_STATE(1831)] = 33714,
  [SMALL_STATE(1832)] = 33731,
  [SMALL_STATE(1833)] = 33744,
  [SMALL_STATE(1834)] = 33757,
  [SMALL_STATE(1835)] = 33770,
  [SMALL_STATE(1836)] = 33783,
  [SMALL_STATE(1837)] = 33803,
  [SMALL_STATE(1838)] = 33823,
  [SMALL_STATE(1839)] = 33843,
  [SMALL_STATE(1840)] = 33863,
  [SMALL_STATE(1841)] = 33883,
  [SMALL_STATE(1842)] = 33903,
  [SMALL_STATE(1843)] = 33923,
  [SMALL_STATE(1844)] = 33943,
  [SMALL_STATE(1845)] = 33963,
  [SMALL_STATE(1846)] = 33983,
  [SMALL_STATE(1847)] = 33998,
  [SMALL_STATE(1848)] = 34015,
  [SMALL_STATE(1849)] = 34030,
  [SMALL_STATE(1850)] = 34047,
  [SMALL_STATE(1851)] = 34064,
  [SMALL_STATE(1852)] = 34079,
  [SMALL_STATE(1853)] = 34094,
  [SMALL_STATE(1854)] = 34111,
  [SMALL_STATE(1855)] = 34126,
  [SMALL_STATE(1856)] = 34143,
  [SMALL_STATE(1857)] = 34158,
  [SMALL_STATE(1858)] = 34175,
  [SMALL_STATE(1859)] = 34192,
  [SMALL_STATE(1860)] = 34209,
  [SMALL_STATE(1861)] = 34226,
  [SMALL_STATE(1862)] = 34243,
  [SMALL_STATE(1863)] = 34260,
  [SMALL_STATE(1864)] = 34275,
  [SMALL_STATE(1865)] = 34290,
  [SMALL_STATE(1866)] = 34305,
  [SMALL_STATE(1867)] = 34321,
  [SMALL_STATE(1868)] = 34337,
  [SMALL_STATE(1869)] = 34353,
  [SMALL_STATE(1870)] = 34369,
  [SMALL_STATE(1871)] = 34385,
  [SMALL_STATE(1872)] = 34401,
  [SMALL_STATE(1873)] = 34417,
  [SMALL_STATE(1874)] = 34433,
  [SMALL_STATE(1875)] = 34449,
  [SMALL_STATE(1876)] = 34465,
  [SMALL_STATE(1877)] = 34481,
  [SMALL_STATE(1878)] = 34492,
  [SMALL_STATE(1879)] = 34503,
  [SMALL_STATE(1880)] = 34514,
  [SMALL_STATE(1881)] = 34525,
  [SMALL_STATE(1882)] = 34536,
  [SMALL_STATE(1883)] = 34547,
  [SMALL_STATE(1884)] = 34558,
  [SMALL_STATE(1885)] = 34569,
  [SMALL_STATE(1886)] = 34580,
  [SMALL_STATE(1887)] = 34591,
  [SMALL_STATE(1888)] = 34602,
  [SMALL_STATE(1889)] = 34613,
  [SMALL_STATE(1890)] = 34624,
  [SMALL_STATE(1891)] = 34635,
  [SMALL_STATE(1892)] = 34646,
  [SMALL_STATE(1893)] = 34657,
  [SMALL_STATE(1894)] = 34668,
  [SMALL_STATE(1895)] = 34679,
  [SMALL_STATE(1896)] = 34690,
  [SMALL_STATE(1897)] = 34701,
  [SMALL_STATE(1898)] = 34712,
  [SMALL_STATE(1899)] = 34723,
  [SMALL_STATE(1900)] = 34734,
  [SMALL_STATE(1901)] = 34745,
  [SMALL_STATE(1902)] = 34756,
  [SMALL_STATE(1903)] = 34767,
  [SMALL_STATE(1904)] = 34778,
  [SMALL_STATE(1905)] = 34791,
  [SMALL_STATE(1906)] = 34802,
  [SMALL_STATE(1907)] = 34813,
  [SMALL_STATE(1908)] = 34824,
  [SMALL_STATE(1909)] = 34835,
  [SMALL_STATE(1910)] = 34846,
  [SMALL_STATE(1911)] = 34857,
  [SMALL_STATE(1912)] = 34868,
  [SMALL_STATE(1913)] = 34879,
  [SMALL_STATE(1914)] = 34890,
  [SMALL_STATE(1915)] = 34901,
  [SMALL_STATE(1916)] = 34912,
  [SMALL_STATE(1917)] = 34923,
  [SMALL_STATE(1918)] = 34934,
  [SMALL_STATE(1919)] = 34945,
  [SMALL_STATE(1920)] = 34956,
  [SMALL_STATE(1921)] = 34967,
  [SMALL_STATE(1922)] = 34978,
  [SMALL_STATE(1923)] = 34989,
  [SMALL_STATE(1924)] = 35000,
  [SMALL_STATE(1925)] = 35011,
  [SMALL_STATE(1926)] = 35022,
  [SMALL_STATE(1927)] = 35033,
  [SMALL_STATE(1928)] = 35044,
  [SMALL_STATE(1929)] = 35055,
  [SMALL_STATE(1930)] = 35066,
  [SMALL_STATE(1931)] = 35077,
  [SMALL_STATE(1932)] = 35088,
  [SMALL_STATE(1933)] = 35099,
  [SMALL_STATE(1934)] = 35110,
  [SMALL_STATE(1935)] = 35121,
  [SMALL_STATE(1936)] = 35132,
  [SMALL_STATE(1937)] = 35143,
  [SMALL_STATE(1938)] = 35154,
  [SMALL_STATE(1939)] = 35165,
  [SMALL_STATE(1940)] = 35176,
  [SMALL_STATE(1941)] = 35184,
  [SMALL_STATE(1942)] = 35194,
  [SMALL_STATE(1943)] = 35204,
  [SMALL_STATE(1944)] = 35214,
  [SMALL_STATE(1945)] = 35224,
  [SMALL_STATE(1946)] = 35234,
  [SMALL_STATE(1947)] = 35244,
  [SMALL_STATE(1948)] = 35254,
  [SMALL_STATE(1949)] = 35262,
  [SMALL_STATE(1950)] = 35272,
  [SMALL_STATE(1951)] = 35282,
  [SMALL_STATE(1952)] = 35290,
  [SMALL_STATE(1953)] = 35300,
  [SMALL_STATE(1954)] = 35310,
  [SMALL_STATE(1955)] = 35316,
  [SMALL_STATE(1956)] = 35326,
  [SMALL_STATE(1957)] = 35336,
  [SMALL_STATE(1958)] = 35344,
  [SMALL_STATE(1959)] = 35354,
  [SMALL_STATE(1960)] = 35362,
  [SMALL_STATE(1961)] = 35372,
  [SMALL_STATE(1962)] = 35382,
  [SMALL_STATE(1963)] = 35392,
  [SMALL_STATE(1964)] = 35402,
  [SMALL_STATE(1965)] = 35412,
  [SMALL_STATE(1966)] = 35420,
  [SMALL_STATE(1967)] = 35430,
  [SMALL_STATE(1968)] = 35438,
  [SMALL_STATE(1969)] = 35448,
  [SMALL_STATE(1970)] = 35456,
  [SMALL_STATE(1971)] = 35466,
  [SMALL_STATE(1972)] = 35476,
  [SMALL_STATE(1973)] = 35486,
  [SMALL_STATE(1974)] = 35496,
  [SMALL_STATE(1975)] = 35504,
  [SMALL_STATE(1976)] = 35514,
  [SMALL_STATE(1977)] = 35524,
  [SMALL_STATE(1978)] = 35532,
  [SMALL_STATE(1979)] = 35542,
  [SMALL_STATE(1980)] = 35552,
  [SMALL_STATE(1981)] = 35559,
  [SMALL_STATE(1982)] = 35566,
  [SMALL_STATE(1983)] = 35573,
  [SMALL_STATE(1984)] = 35580,
  [SMALL_STATE(1985)] = 35587,
  [SMALL_STATE(1986)] = 35594,
  [SMALL_STATE(1987)] = 35601,
  [SMALL_STATE(1988)] = 35608,
  [SMALL_STATE(1989)] = 35615,
  [SMALL_STATE(1990)] = 35622,
  [SMALL_STATE(1991)] = 35629,
  [SMALL_STATE(1992)] = 35636,
  [SMALL_STATE(1993)] = 35643,
  [SMALL_STATE(1994)] = 35650,
  [SMALL_STATE(1995)] = 35657,
  [SMALL_STATE(1996)] = 35664,
  [SMALL_STATE(1997)] = 35671,
  [SMALL_STATE(1998)] = 35678,
  [SMALL_STATE(1999)] = 35685,
  [SMALL_STATE(2000)] = 35692,
  [SMALL_STATE(2001)] = 35699,
  [SMALL_STATE(2002)] = 35706,
  [SMALL_STATE(2003)] = 35713,
  [SMALL_STATE(2004)] = 35720,
  [SMALL_STATE(2005)] = 35727,
  [SMALL_STATE(2006)] = 35734,
  [SMALL_STATE(2007)] = 35741,
  [SMALL_STATE(2008)] = 35748,
  [SMALL_STATE(2009)] = 35755,
  [SMALL_STATE(2010)] = 35762,
  [SMALL_STATE(2011)] = 35769,
  [SMALL_STATE(2012)] = 35776,
  [SMALL_STATE(2013)] = 35783,
  [SMALL_STATE(2014)] = 35790,
  [SMALL_STATE(2015)] = 35797,
  [SMALL_STATE(2016)] = 35804,
  [SMALL_STATE(2017)] = 35811,
  [SMALL_STATE(2018)] = 35818,
  [SMALL_STATE(2019)] = 35825,
  [SMALL_STATE(2020)] = 35832,
  [SMALL_STATE(2021)] = 35839,
  [SMALL_STATE(2022)] = 35846,
  [SMALL_STATE(2023)] = 35853,
  [SMALL_STATE(2024)] = 35860,
  [SMALL_STATE(2025)] = 35867,
  [SMALL_STATE(2026)] = 35872,
  [SMALL_STATE(2027)] = 35879,
  [SMALL_STATE(2028)] = 35886,
  [SMALL_STATE(2029)] = 35893,
  [SMALL_STATE(2030)] = 35900,
  [SMALL_STATE(2031)] = 35907,
  [SMALL_STATE(2032)] = 35914,
  [SMALL_STATE(2033)] = 35921,
  [SMALL_STATE(2034)] = 35928,
  [SMALL_STATE(2035)] = 35935,
  [SMALL_STATE(2036)] = 35942,
  [SMALL_STATE(2037)] = 35949,
  [SMALL_STATE(2038)] = 35956,
  [SMALL_STATE(2039)] = 35963,
  [SMALL_STATE(2040)] = 35970,
  [SMALL_STATE(2041)] = 35977,
  [SMALL_STATE(2042)] = 35984,
  [SMALL_STATE(2043)] = 35991,
  [SMALL_STATE(2044)] = 35998,
  [SMALL_STATE(2045)] = 36005,
  [SMALL_STATE(2046)] = 36012,
  [SMALL_STATE(2047)] = 36019,
  [SMALL_STATE(2048)] = 36026,
  [SMALL_STATE(2049)] = 36033,
  [SMALL_STATE(2050)] = 36040,
  [SMALL_STATE(2051)] = 36047,
  [SMALL_STATE(2052)] = 36054,
  [SMALL_STATE(2053)] = 36061,
  [SMALL_STATE(2054)] = 36068,
  [SMALL_STATE(2055)] = 36075,
  [SMALL_STATE(2056)] = 36082,
  [SMALL_STATE(2057)] = 36089,
  [SMALL_STATE(2058)] = 36096,
  [SMALL_STATE(2059)] = 36103,
  [SMALL_STATE(2060)] = 36110,
  [SMALL_STATE(2061)] = 36117,
  [SMALL_STATE(2062)] = 36124,
  [SMALL_STATE(2063)] = 36131,
  [SMALL_STATE(2064)] = 36138,
  [SMALL_STATE(2065)] = 36145,
  [SMALL_STATE(2066)] = 36152,
  [SMALL_STATE(2067)] = 36159,
  [SMALL_STATE(2068)] = 36166,
  [SMALL_STATE(2069)] = 36173,
  [SMALL_STATE(2070)] = 36180,
  [SMALL_STATE(2071)] = 36187,
  [SMALL_STATE(2072)] = 36194,
  [SMALL_STATE(2073)] = 36201,
  [SMALL_STATE(2074)] = 36206,
  [SMALL_STATE(2075)] = 36213,
  [SMALL_STATE(2076)] = 36220,
  [SMALL_STATE(2077)] = 36227,
  [SMALL_STATE(2078)] = 36234,
  [SMALL_STATE(2079)] = 36241,
  [SMALL_STATE(2080)] = 36248,
  [SMALL_STATE(2081)] = 36255,
  [SMALL_STATE(2082)] = 36262,
  [SMALL_STATE(2083)] = 36269,
  [SMALL_STATE(2084)] = 36276,
  [SMALL_STATE(2085)] = 36283,
  [SMALL_STATE(2086)] = 36290,
  [SMALL_STATE(2087)] = 36297,
  [SMALL_STATE(2088)] = 36304,
  [SMALL_STATE(2089)] = 36311,
  [SMALL_STATE(2090)] = 36318,
  [SMALL_STATE(2091)] = 36325,
  [SMALL_STATE(2092)] = 36332,
  [SMALL_STATE(2093)] = 36339,
  [SMALL_STATE(2094)] = 36346,
  [SMALL_STATE(2095)] = 36353,
  [SMALL_STATE(2096)] = 36360,
  [SMALL_STATE(2097)] = 36367,
  [SMALL_STATE(2098)] = 36374,
  [SMALL_STATE(2099)] = 36381,
  [SMALL_STATE(2100)] = 36388,
  [SMALL_STATE(2101)] = 36395,
  [SMALL_STATE(2102)] = 36402,
  [SMALL_STATE(2103)] = 36409,
  [SMALL_STATE(2104)] = 36416,
  [SMALL_STATE(2105)] = 36423,
  [SMALL_STATE(2106)] = 36430,
  [SMALL_STATE(2107)] = 36437,
  [SMALL_STATE(2108)] = 36444,
  [SMALL_STATE(2109)] = 36451,
  [SMALL_STATE(2110)] = 36458,
  [SMALL_STATE(2111)] = 36465,
  [SMALL_STATE(2112)] = 36472,
  [SMALL_STATE(2113)] = 36479,
  [SMALL_STATE(2114)] = 36486,
  [SMALL_STATE(2115)] = 36493,
  [SMALL_STATE(2116)] = 36500,
  [SMALL_STATE(2117)] = 36507,
  [SMALL_STATE(2118)] = 36514,
  [SMALL_STATE(2119)] = 36521,
  [SMALL_STATE(2120)] = 36528,
  [SMALL_STATE(2121)] = 36535,
  [SMALL_STATE(2122)] = 36542,
  [SMALL_STATE(2123)] = 36549,
  [SMALL_STATE(2124)] = 36556,
  [SMALL_STATE(2125)] = 36563,
  [SMALL_STATE(2126)] = 36570,
  [SMALL_STATE(2127)] = 36577,
  [SMALL_STATE(2128)] = 36581,
  [SMALL_STATE(2129)] = 36585,
  [SMALL_STATE(2130)] = 36589,
  [SMALL_STATE(2131)] = 36593,
  [SMALL_STATE(2132)] = 36597,
  [SMALL_STATE(2133)] = 36601,
  [SMALL_STATE(2134)] = 36605,
  [SMALL_STATE(2135)] = 36609,
  [SMALL_STATE(2136)] = 36613,
  [SMALL_STATE(2137)] = 36617,
  [SMALL_STATE(2138)] = 36621,
  [SMALL_STATE(2139)] = 36625,
  [SMALL_STATE(2140)] = 36629,
  [SMALL_STATE(2141)] = 36633,
  [SMALL_STATE(2142)] = 36637,
  [SMALL_STATE(2143)] = 36641,
  [SMALL_STATE(2144)] = 36645,
  [SMALL_STATE(2145)] = 36649,
  [SMALL_STATE(2146)] = 36653,
  [SMALL_STATE(2147)] = 36657,
  [SMALL_STATE(2148)] = 36661,
  [SMALL_STATE(2149)] = 36665,
  [SMALL_STATE(2150)] = 36669,
  [SMALL_STATE(2151)] = 36673,
  [SMALL_STATE(2152)] = 36677,
  [SMALL_STATE(2153)] = 36681,
  [SMALL_STATE(2154)] = 36685,
  [SMALL_STATE(2155)] = 36689,
  [SMALL_STATE(2156)] = 36693,
  [SMALL_STATE(2157)] = 36697,
  [SMALL_STATE(2158)] = 36701,
  [SMALL_STATE(2159)] = 36705,
  [SMALL_STATE(2160)] = 36709,
  [SMALL_STATE(2161)] = 36713,
  [SMALL_STATE(2162)] = 36717,
  [SMALL_STATE(2163)] = 36721,
  [SMALL_STATE(2164)] = 36725,
  [SMALL_STATE(2165)] = 36729,
  [SMALL_STATE(2166)] = 36733,
  [SMALL_STATE(2167)] = 36737,
  [SMALL_STATE(2168)] = 36741,
  [SMALL_STATE(2169)] = 36745,
  [SMALL_STATE(2170)] = 36749,
  [SMALL_STATE(2171)] = 36753,
  [SMALL_STATE(2172)] = 36757,
  [SMALL_STATE(2173)] = 36761,
  [SMALL_STATE(2174)] = 36765,
  [SMALL_STATE(2175)] = 36769,
  [SMALL_STATE(2176)] = 36773,
  [SMALL_STATE(2177)] = 36777,
  [SMALL_STATE(2178)] = 36781,
  [SMALL_STATE(2179)] = 36785,
  [SMALL_STATE(2180)] = 36789,
  [SMALL_STATE(2181)] = 36793,
  [SMALL_STATE(2182)] = 36797,
  [SMALL_STATE(2183)] = 36801,
  [SMALL_STATE(2184)] = 36805,
  [SMALL_STATE(2185)] = 36809,
  [SMALL_STATE(2186)] = 36813,
  [SMALL_STATE(2187)] = 36817,
  [SMALL_STATE(2188)] = 36821,
  [SMALL_STATE(2189)] = 36825,
  [SMALL_STATE(2190)] = 36829,
  [SMALL_STATE(2191)] = 36833,
  [SMALL_STATE(2192)] = 36837,
  [SMALL_STATE(2193)] = 36841,
  [SMALL_STATE(2194)] = 36845,
  [SMALL_STATE(2195)] = 36849,
  [SMALL_STATE(2196)] = 36853,
  [SMALL_STATE(2197)] = 36857,
  [SMALL_STATE(2198)] = 36861,
  [SMALL_STATE(2199)] = 36865,
  [SMALL_STATE(2200)] = 36869,
  [SMALL_STATE(2201)] = 36873,
  [SMALL_STATE(2202)] = 36877,
  [SMALL_STATE(2203)] = 36881,
  [SMALL_STATE(2204)] = 36885,
  [SMALL_STATE(2205)] = 36889,
  [SMALL_STATE(2206)] = 36893,
  [SMALL_STATE(2207)] = 36897,
  [SMALL_STATE(2208)] = 36901,
  [SMALL_STATE(2209)] = 36905,
  [SMALL_STATE(2210)] = 36909,
  [SMALL_STATE(2211)] = 36913,
  [SMALL_STATE(2212)] = 36917,
  [SMALL_STATE(2213)] = 36921,
  [SMALL_STATE(2214)] = 36925,
  [SMALL_STATE(2215)] = 36929,
  [SMALL_STATE(2216)] = 36933,
  [SMALL_STATE(2217)] = 36937,
  [SMALL_STATE(2218)] = 36941,
  [SMALL_STATE(2219)] = 36945,
  [SMALL_STATE(2220)] = 36949,
  [SMALL_STATE(2221)] = 36953,
  [SMALL_STATE(2222)] = 36957,
  [SMALL_STATE(2223)] = 36961,
  [SMALL_STATE(2224)] = 36965,
  [SMALL_STATE(2225)] = 36969,
  [SMALL_STATE(2226)] = 36973,
  [SMALL_STATE(2227)] = 36977,
  [SMALL_STATE(2228)] = 36981,
  [SMALL_STATE(2229)] = 36985,
  [SMALL_STATE(2230)] = 36989,
  [SMALL_STATE(2231)] = 36993,
  [SMALL_STATE(2232)] = 36997,
  [SMALL_STATE(2233)] = 37001,
  [SMALL_STATE(2234)] = 37005,
  [SMALL_STATE(2235)] = 37009,
  [SMALL_STATE(2236)] = 37013,
  [SMALL_STATE(2237)] = 37017,
  [SMALL_STATE(2238)] = 37021,
  [SMALL_STATE(2239)] = 37025,
  [SMALL_STATE(2240)] = 37029,
  [SMALL_STATE(2241)] = 37033,
  [SMALL_STATE(2242)] = 37037,
  [SMALL_STATE(2243)] = 37041,
  [SMALL_STATE(2244)] = 37045,
  [SMALL_STATE(2245)] = 37049,
  [SMALL_STATE(2246)] = 37053,
  [SMALL_STATE(2247)] = 37057,
  [SMALL_STATE(2248)] = 37061,
  [SMALL_STATE(2249)] = 37065,
  [SMALL_STATE(2250)] = 37069,
  [SMALL_STATE(2251)] = 37073,
  [SMALL_STATE(2252)] = 37077,
  [SMALL_STATE(2253)] = 37081,
  [SMALL_STATE(2254)] = 37085,
  [SMALL_STATE(2255)] = 37089,
  [SMALL_STATE(2256)] = 37093,
  [SMALL_STATE(2257)] = 37097,
  [SMALL_STATE(2258)] = 37101,
  [SMALL_STATE(2259)] = 37105,
  [SMALL_STATE(2260)] = 37109,
  [SMALL_STATE(2261)] = 37113,
  [SMALL_STATE(2262)] = 37117,
  [SMALL_STATE(2263)] = 37121,
  [SMALL_STATE(2264)] = 37125,
  [SMALL_STATE(2265)] = 37129,
  [SMALL_STATE(2266)] = 37133,
  [SMALL_STATE(2267)] = 37137,
  [SMALL_STATE(2268)] = 37141,
  [SMALL_STATE(2269)] = 37145,
  [SMALL_STATE(2270)] = 37149,
  [SMALL_STATE(2271)] = 37153,
  [SMALL_STATE(2272)] = 37157,
  [SMALL_STATE(2273)] = 37161,
  [SMALL_STATE(2274)] = 37165,
  [SMALL_STATE(2275)] = 37169,
  [SMALL_STATE(2276)] = 37173,
  [SMALL_STATE(2277)] = 37177,
  [SMALL_STATE(2278)] = 37181,
  [SMALL_STATE(2279)] = 37185,
  [SMALL_STATE(2280)] = 37189,
  [SMALL_STATE(2281)] = 37193,
  [SMALL_STATE(2282)] = 37197,
  [SMALL_STATE(2283)] = 37201,
  [SMALL_STATE(2284)] = 37205,
  [SMALL_STATE(2285)] = 37209,
  [SMALL_STATE(2286)] = 37213,
  [SMALL_STATE(2287)] = 37217,
  [SMALL_STATE(2288)] = 37221,
  [SMALL_STATE(2289)] = 37225,
  [SMALL_STATE(2290)] = 37229,
  [SMALL_STATE(2291)] = 37233,
  [SMALL_STATE(2292)] = 37237,
  [SMALL_STATE(2293)] = 37241,
  [SMALL_STATE(2294)] = 37245,
  [SMALL_STATE(2295)] = 37249,
  [SMALL_STATE(2296)] = 37253,
  [SMALL_STATE(2297)] = 37257,
  [SMALL_STATE(2298)] = 37261,
  [SMALL_STATE(2299)] = 37265,
  [SMALL_STATE(2300)] = 37269,
  [SMALL_STATE(2301)] = 37273,
  [SMALL_STATE(2302)] = 37277,
  [SMALL_STATE(2303)] = 37281,
  [SMALL_STATE(2304)] = 37285,
  [SMALL_STATE(2305)] = 37289,
  [SMALL_STATE(2306)] = 37293,
  [SMALL_STATE(2307)] = 37297,
  [SMALL_STATE(2308)] = 37301,
  [SMALL_STATE(2309)] = 37305,
  [SMALL_STATE(2310)] = 37309,
  [SMALL_STATE(2311)] = 37313,
  [SMALL_STATE(2312)] = 37317,
  [SMALL_STATE(2313)] = 37321,
  [SMALL_STATE(2314)] = 37325,
  [SMALL_STATE(2315)] = 37329,
  [SMALL_STATE(2316)] = 37333,
  [SMALL_STATE(2317)] = 37337,
  [SMALL_STATE(2318)] = 37341,
  [SMALL_STATE(2319)] = 37345,
  [SMALL_STATE(2320)] = 37349,
  [SMALL_STATE(2321)] = 37353,
  [SMALL_STATE(2322)] = 37357,
  [SMALL_STATE(2323)] = 37361,
  [SMALL_STATE(2324)] = 37365,
  [SMALL_STATE(2325)] = 37369,
  [SMALL_STATE(2326)] = 37373,
  [SMALL_STATE(2327)] = 37377,
  [SMALL_STATE(2328)] = 37381,
  [SMALL_STATE(2329)] = 37385,
  [SMALL_STATE(2330)] = 37389,
  [SMALL_STATE(2331)] = 37393,
  [SMALL_STATE(2332)] = 37397,
  [SMALL_STATE(2333)] = 37401,
  [SMALL_STATE(2334)] = 37405,
  [SMALL_STATE(2335)] = 37409,
  [SMALL_STATE(2336)] = 37413,
  [SMALL_STATE(2337)] = 37417,
  [SMALL_STATE(2338)] = 37421,
  [SMALL_STATE(2339)] = 37425,
  [SMALL_STATE(2340)] = 37429,
  [SMALL_STATE(2341)] = 37433,
  [SMALL_STATE(2342)] = 37437,
  [SMALL_STATE(2343)] = 37441,
  [SMALL_STATE(2344)] = 37445,
  [SMALL_STATE(2345)] = 37449,
  [SMALL_STATE(2346)] = 37453,
  [SMALL_STATE(2347)] = 37457,
  [SMALL_STATE(2348)] = 37461,
  [SMALL_STATE(2349)] = 37465,
  [SMALL_STATE(2350)] = 37469,
  [SMALL_STATE(2351)] = 37473,
  [SMALL_STATE(2352)] = 37477,
  [SMALL_STATE(2353)] = 37481,
  [SMALL_STATE(2354)] = 37485,
  [SMALL_STATE(2355)] = 37489,
  [SMALL_STATE(2356)] = 37493,
  [SMALL_STATE(2357)] = 37497,
  [SMALL_STATE(2358)] = 37501,
  [SMALL_STATE(2359)] = 37505,
  [SMALL_STATE(2360)] = 37509,
  [SMALL_STATE(2361)] = 37513,
  [SMALL_STATE(2362)] = 37517,
  [SMALL_STATE(2363)] = 37521,
  [SMALL_STATE(2364)] = 37525,
  [SMALL_STATE(2365)] = 37529,
  [SMALL_STATE(2366)] = 37533,
  [SMALL_STATE(2367)] = 37537,
  [SMALL_STATE(2368)] = 37541,
  [SMALL_STATE(2369)] = 37545,
  [SMALL_STATE(2370)] = 37549,
  [SMALL_STATE(2371)] = 37553,
  [SMALL_STATE(2372)] = 37557,
  [SMALL_STATE(2373)] = 37561,
  [SMALL_STATE(2374)] = 37565,
  [SMALL_STATE(2375)] = 37569,
  [SMALL_STATE(2376)] = 37573,
  [SMALL_STATE(2377)] = 37577,
  [SMALL_STATE(2378)] = 37581,
  [SMALL_STATE(2379)] = 37585,
  [SMALL_STATE(2380)] = 37589,
  [SMALL_STATE(2381)] = 37593,
  [SMALL_STATE(2382)] = 37597,
  [SMALL_STATE(2383)] = 37601,
  [SMALL_STATE(2384)] = 37605,
  [SMALL_STATE(2385)] = 37609,
  [SMALL_STATE(2386)] = 37613,
  [SMALL_STATE(2387)] = 37617,
  [SMALL_STATE(2388)] = 37621,
  [SMALL_STATE(2389)] = 37625,
  [SMALL_STATE(2390)] = 37629,
  [SMALL_STATE(2391)] = 37633,
  [SMALL_STATE(2392)] = 37637,
  [SMALL_STATE(2393)] = 37641,
  [SMALL_STATE(2394)] = 37645,
  [SMALL_STATE(2395)] = 37649,
  [SMALL_STATE(2396)] = 37653,
  [SMALL_STATE(2397)] = 37657,
  [SMALL_STATE(2398)] = 37661,
  [SMALL_STATE(2399)] = 37665,
  [SMALL_STATE(2400)] = 37669,
  [SMALL_STATE(2401)] = 37673,
  [SMALL_STATE(2402)] = 37677,
  [SMALL_STATE(2403)] = 37681,
  [SMALL_STATE(2404)] = 37685,
  [SMALL_STATE(2405)] = 37689,
  [SMALL_STATE(2406)] = 37693,
  [SMALL_STATE(2407)] = 37697,
  [SMALL_STATE(2408)] = 37701,
  [SMALL_STATE(2409)] = 37705,
  [SMALL_STATE(2410)] = 37709,
  [SMALL_STATE(2411)] = 37713,
  [SMALL_STATE(2412)] = 37717,
  [SMALL_STATE(2413)] = 37721,
  [SMALL_STATE(2414)] = 37725,
  [SMALL_STATE(2415)] = 37729,
  [SMALL_STATE(2416)] = 37733,
  [SMALL_STATE(2417)] = 37737,
  [SMALL_STATE(2418)] = 37741,
  [SMALL_STATE(2419)] = 37745,
  [SMALL_STATE(2420)] = 37749,
  [SMALL_STATE(2421)] = 37753,
  [SMALL_STATE(2422)] = 37757,
  [SMALL_STATE(2423)] = 37761,
  [SMALL_STATE(2424)] = 37765,
  [SMALL_STATE(2425)] = 37769,
  [SMALL_STATE(2426)] = 37773,
  [SMALL_STATE(2427)] = 37777,
  [SMALL_STATE(2428)] = 37781,
  [SMALL_STATE(2429)] = 37785,
  [SMALL_STATE(2430)] = 37789,
  [SMALL_STATE(2431)] = 37793,
  [SMALL_STATE(2432)] = 37797,
  [SMALL_STATE(2433)] = 37801,
  [SMALL_STATE(2434)] = 37805,
  [SMALL_STATE(2435)] = 37809,
  [SMALL_STATE(2436)] = 37813,
  [SMALL_STATE(2437)] = 37817,
  [SMALL_STATE(2438)] = 37821,
  [SMALL_STATE(2439)] = 37825,
  [SMALL_STATE(2440)] = 37829,
  [SMALL_STATE(2441)] = 37833,
  [SMALL_STATE(2442)] = 37837,
  [SMALL_STATE(2443)] = 37841,
  [SMALL_STATE(2444)] = 37845,
  [SMALL_STATE(2445)] = 37849,
  [SMALL_STATE(2446)] = 37853,
  [SMALL_STATE(2447)] = 37857,
  [SMALL_STATE(2448)] = 37861,
  [SMALL_STATE(2449)] = 37865,
  [SMALL_STATE(2450)] = 37869,
  [SMALL_STATE(2451)] = 37873,
  [SMALL_STATE(2452)] = 37877,
  [SMALL_STATE(2453)] = 37881,
  [SMALL_STATE(2454)] = 37885,
  [SMALL_STATE(2455)] = 37889,
  [SMALL_STATE(2456)] = 37893,
  [SMALL_STATE(2457)] = 37897,
  [SMALL_STATE(2458)] = 37901,
  [SMALL_STATE(2459)] = 37905,
  [SMALL_STATE(2460)] = 37909,
  [SMALL_STATE(2461)] = 37913,
  [SMALL_STATE(2462)] = 37917,
  [SMALL_STATE(2463)] = 37921,
  [SMALL_STATE(2464)] = 37925,
  [SMALL_STATE(2465)] = 37929,
  [SMALL_STATE(2466)] = 37933,
  [SMALL_STATE(2467)] = 37937,
  [SMALL_STATE(2468)] = 37941,
  [SMALL_STATE(2469)] = 37945,
  [SMALL_STATE(2470)] = 37949,
  [SMALL_STATE(2471)] = 37953,
  [SMALL_STATE(2472)] = 37957,
  [SMALL_STATE(2473)] = 37961,
  [SMALL_STATE(2474)] = 37965,
  [SMALL_STATE(2475)] = 37969,
  [SMALL_STATE(2476)] = 37973,
  [SMALL_STATE(2477)] = 37977,
  [SMALL_STATE(2478)] = 37981,
  [SMALL_STATE(2479)] = 37985,
  [SMALL_STATE(2480)] = 37989,
  [SMALL_STATE(2481)] = 37993,
  [SMALL_STATE(2482)] = 37997,
  [SMALL_STATE(2483)] = 38001,
  [SMALL_STATE(2484)] = 38005,
  [SMALL_STATE(2485)] = 38009,
  [SMALL_STATE(2486)] = 38013,
  [SMALL_STATE(2487)] = 38017,
  [SMALL_STATE(2488)] = 38021,
  [SMALL_STATE(2489)] = 38025,
  [SMALL_STATE(2490)] = 38029,
  [SMALL_STATE(2491)] = 38033,
  [SMALL_STATE(2492)] = 38037,
  [SMALL_STATE(2493)] = 38041,
  [SMALL_STATE(2494)] = 38045,
  [SMALL_STATE(2495)] = 38049,
  [SMALL_STATE(2496)] = 38053,
  [SMALL_STATE(2497)] = 38057,
  [SMALL_STATE(2498)] = 38061,
  [SMALL_STATE(2499)] = 38065,
  [SMALL_STATE(2500)] = 38069,
  [SMALL_STATE(2501)] = 38073,
  [SMALL_STATE(2502)] = 38077,
  [SMALL_STATE(2503)] = 38081,
  [SMALL_STATE(2504)] = 38085,
  [SMALL_STATE(2505)] = 38089,
  [SMALL_STATE(2506)] = 38093,
  [SMALL_STATE(2507)] = 38097,
  [SMALL_STATE(2508)] = 38101,
  [SMALL_STATE(2509)] = 38105,
  [SMALL_STATE(2510)] = 38109,
  [SMALL_STATE(2511)] = 38113,
  [SMALL_STATE(2512)] = 38117,
  [SMALL_STATE(2513)] = 38121,
  [SMALL_STATE(2514)] = 38125,
  [SMALL_STATE(2515)] = 38129,
  [SMALL_STATE(2516)] = 38133,
  [SMALL_STATE(2517)] = 38137,
  [SMALL_STATE(2518)] = 38141,
  [SMALL_STATE(2519)] = 38145,
  [SMALL_STATE(2520)] = 38149,
  [SMALL_STATE(2521)] = 38153,
  [SMALL_STATE(2522)] = 38157,
  [SMALL_STATE(2523)] = 38161,
  [SMALL_STATE(2524)] = 38165,
  [SMALL_STATE(2525)] = 38169,
  [SMALL_STATE(2526)] = 38173,
  [SMALL_STATE(2527)] = 38177,
  [SMALL_STATE(2528)] = 38181,
  [SMALL_STATE(2529)] = 38185,
  [SMALL_STATE(2530)] = 38189,
  [SMALL_STATE(2531)] = 38193,
  [SMALL_STATE(2532)] = 38197,
  [SMALL_STATE(2533)] = 38201,
  [SMALL_STATE(2534)] = 38205,
  [SMALL_STATE(2535)] = 38209,
  [SMALL_STATE(2536)] = 38213,
  [SMALL_STATE(2537)] = 38217,
  [SMALL_STATE(2538)] = 38221,
  [SMALL_STATE(2539)] = 38225,
  [SMALL_STATE(2540)] = 38229,
  [SMALL_STATE(2541)] = 38233,
  [SMALL_STATE(2542)] = 38237,
  [SMALL_STATE(2543)] = 38241,
  [SMALL_STATE(2544)] = 38245,
  [SMALL_STATE(2545)] = 38249,
  [SMALL_STATE(2546)] = 38253,
  [SMALL_STATE(2547)] = 38257,
  [SMALL_STATE(2548)] = 38261,
  [SMALL_STATE(2549)] = 38265,
  [SMALL_STATE(2550)] = 38269,
  [SMALL_STATE(2551)] = 38273,
  [SMALL_STATE(2552)] = 38277,
  [SMALL_STATE(2553)] = 38281,
  [SMALL_STATE(2554)] = 38285,
  [SMALL_STATE(2555)] = 38289,
  [SMALL_STATE(2556)] = 38293,
  [SMALL_STATE(2557)] = 38297,
  [SMALL_STATE(2558)] = 38301,
  [SMALL_STATE(2559)] = 38305,
  [SMALL_STATE(2560)] = 38309,
  [SMALL_STATE(2561)] = 38313,
  [SMALL_STATE(2562)] = 38317,
  [SMALL_STATE(2563)] = 38321,
  [SMALL_STATE(2564)] = 38325,
  [SMALL_STATE(2565)] = 38329,
  [SMALL_STATE(2566)] = 38333,
  [SMALL_STATE(2567)] = 38337,
  [SMALL_STATE(2568)] = 38341,
  [SMALL_STATE(2569)] = 38345,
  [SMALL_STATE(2570)] = 38349,
  [SMALL_STATE(2571)] = 38353,
  [SMALL_STATE(2572)] = 38357,
  [SMALL_STATE(2573)] = 38361,
  [SMALL_STATE(2574)] = 38365,
  [SMALL_STATE(2575)] = 38369,
  [SMALL_STATE(2576)] = 38373,
  [SMALL_STATE(2577)] = 38377,
  [SMALL_STATE(2578)] = 38381,
  [SMALL_STATE(2579)] = 38385,
  [SMALL_STATE(2580)] = 38389,
  [SMALL_STATE(2581)] = 38393,
  [SMALL_STATE(2582)] = 38397,
  [SMALL_STATE(2583)] = 38401,
  [SMALL_STATE(2584)] = 38405,
  [SMALL_STATE(2585)] = 38409,
  [SMALL_STATE(2586)] = 38413,
  [SMALL_STATE(2587)] = 38417,
  [SMALL_STATE(2588)] = 38421,
  [SMALL_STATE(2589)] = 38425,
  [SMALL_STATE(2590)] = 38429,
  [SMALL_STATE(2591)] = 38433,
  [SMALL_STATE(2592)] = 38437,
  [SMALL_STATE(2593)] = 38441,
  [SMALL_STATE(2594)] = 38445,
  [SMALL_STATE(2595)] = 38449,
  [SMALL_STATE(2596)] = 38453,
  [SMALL_STATE(2597)] = 38457,
  [SMALL_STATE(2598)] = 38461,
  [SMALL_STATE(2599)] = 38465,
  [SMALL_STATE(2600)] = 38469,
  [SMALL_STATE(2601)] = 38473,
  [SMALL_STATE(2602)] = 38477,
  [SMALL_STATE(2603)] = 38481,
  [SMALL_STATE(2604)] = 38485,
  [SMALL_STATE(2605)] = 38489,
  [SMALL_STATE(2606)] = 38493,
  [SMALL_STATE(2607)] = 38497,
  [SMALL_STATE(2608)] = 38501,
  [SMALL_STATE(2609)] = 38505,
  [SMALL_STATE(2610)] = 38509,
  [SMALL_STATE(2611)] = 38513,
  [SMALL_STATE(2612)] = 38517,
  [SMALL_STATE(2613)] = 38521,
  [SMALL_STATE(2614)] = 38525,
  [SMALL_STATE(2615)] = 38529,
  [SMALL_STATE(2616)] = 38533,
  [SMALL_STATE(2617)] = 38537,
  [SMALL_STATE(2618)] = 38541,
  [SMALL_STATE(2619)] = 38545,
  [SMALL_STATE(2620)] = 38549,
  [SMALL_STATE(2621)] = 38553,
  [SMALL_STATE(2622)] = 38557,
  [SMALL_STATE(2623)] = 38561,
  [SMALL_STATE(2624)] = 38565,
  [SMALL_STATE(2625)] = 38569,
  [SMALL_STATE(2626)] = 38573,
  [SMALL_STATE(2627)] = 38577,
  [SMALL_STATE(2628)] = 38581,
  [SMALL_STATE(2629)] = 38585,
  [SMALL_STATE(2630)] = 38589,
  [SMALL_STATE(2631)] = 38593,
  [SMALL_STATE(2632)] = 38597,
  [SMALL_STATE(2633)] = 38601,
  [SMALL_STATE(2634)] = 38605,
  [SMALL_STATE(2635)] = 38609,
  [SMALL_STATE(2636)] = 38613,
  [SMALL_STATE(2637)] = 38617,
  [SMALL_STATE(2638)] = 38621,
  [SMALL_STATE(2639)] = 38625,
  [SMALL_STATE(2640)] = 38629,
  [SMALL_STATE(2641)] = 38633,
  [SMALL_STATE(2642)] = 38637,
  [SMALL_STATE(2643)] = 38641,
  [SMALL_STATE(2644)] = 38645,
  [SMALL_STATE(2645)] = 38649,
  [SMALL_STATE(2646)] = 38653,
  [SMALL_STATE(2647)] = 38657,
  [SMALL_STATE(2648)] = 38661,
  [SMALL_STATE(2649)] = 38665,
  [SMALL_STATE(2650)] = 38669,
  [SMALL_STATE(2651)] = 38673,
  [SMALL_STATE(2652)] = 38677,
  [SMALL_STATE(2653)] = 38681,
  [SMALL_STATE(2654)] = 38685,
  [SMALL_STATE(2655)] = 38689,
  [SMALL_STATE(2656)] = 38693,
  [SMALL_STATE(2657)] = 38697,
  [SMALL_STATE(2658)] = 38701,
  [SMALL_STATE(2659)] = 38705,
  [SMALL_STATE(2660)] = 38709,
  [SMALL_STATE(2661)] = 38713,
  [SMALL_STATE(2662)] = 38717,
  [SMALL_STATE(2663)] = 38721,
  [SMALL_STATE(2664)] = 38725,
  [SMALL_STATE(2665)] = 38729,
  [SMALL_STATE(2666)] = 38733,
  [SMALL_STATE(2667)] = 38737,
  [SMALL_STATE(2668)] = 38741,
  [SMALL_STATE(2669)] = 38745,
  [SMALL_STATE(2670)] = 38749,
  [SMALL_STATE(2671)] = 38753,
  [SMALL_STATE(2672)] = 38757,
  [SMALL_STATE(2673)] = 38761,
  [SMALL_STATE(2674)] = 38765,
  [SMALL_STATE(2675)] = 38769,
  [SMALL_STATE(2676)] = 38773,
  [SMALL_STATE(2677)] = 38777,
  [SMALL_STATE(2678)] = 38781,
  [SMALL_STATE(2679)] = 38785,
  [SMALL_STATE(2680)] = 38789,
  [SMALL_STATE(2681)] = 38793,
  [SMALL_STATE(2682)] = 38797,
  [SMALL_STATE(2683)] = 38801,
  [SMALL_STATE(2684)] = 38805,
  [SMALL_STATE(2685)] = 38809,
  [SMALL_STATE(2686)] = 38813,
  [SMALL_STATE(2687)] = 38817,
  [SMALL_STATE(2688)] = 38821,
  [SMALL_STATE(2689)] = 38825,
  [SMALL_STATE(2690)] = 38829,
  [SMALL_STATE(2691)] = 38833,
  [SMALL_STATE(2692)] = 38837,
  [SMALL_STATE(2693)] = 38841,
  [SMALL_STATE(2694)] = 38845,
  [SMALL_STATE(2695)] = 38849,
  [SMALL_STATE(2696)] = 38853,
  [SMALL_STATE(2697)] = 38857,
  [SMALL_STATE(2698)] = 38861,
  [SMALL_STATE(2699)] = 38865,
  [SMALL_STATE(2700)] = 38869,
  [SMALL_STATE(2701)] = 38873,
  [SMALL_STATE(2702)] = 38877,
  [SMALL_STATE(2703)] = 38881,
  [SMALL_STATE(2704)] = 38885,
  [SMALL_STATE(2705)] = 38889,
  [SMALL_STATE(2706)] = 38893,
  [SMALL_STATE(2707)] = 38897,
  [SMALL_STATE(2708)] = 38901,
  [SMALL_STATE(2709)] = 38905,
  [SMALL_STATE(2710)] = 38909,
  [SMALL_STATE(2711)] = 38913,
  [SMALL_STATE(2712)] = 38917,
  [SMALL_STATE(2713)] = 38921,
  [SMALL_STATE(2714)] = 38925,
  [SMALL_STATE(2715)] = 38929,
  [SMALL_STATE(2716)] = 38933,
  [SMALL_STATE(2717)] = 38937,
  [SMALL_STATE(2718)] = 38941,
  [SMALL_STATE(2719)] = 38945,
  [SMALL_STATE(2720)] = 38949,
  [SMALL_STATE(2721)] = 38953,
  [SMALL_STATE(2722)] = 38957,
  [SMALL_STATE(2723)] = 38961,
  [SMALL_STATE(2724)] = 38965,
  [SMALL_STATE(2725)] = 38969,
  [SMALL_STATE(2726)] = 38973,
  [SMALL_STATE(2727)] = 38977,
  [SMALL_STATE(2728)] = 38981,
  [SMALL_STATE(2729)] = 38985,
  [SMALL_STATE(2730)] = 38989,
  [SMALL_STATE(2731)] = 38993,
  [SMALL_STATE(2732)] = 38997,
  [SMALL_STATE(2733)] = 39001,
  [SMALL_STATE(2734)] = 39005,
  [SMALL_STATE(2735)] = 39009,
  [SMALL_STATE(2736)] = 39013,
  [SMALL_STATE(2737)] = 39017,
  [SMALL_STATE(2738)] = 39021,
  [SMALL_STATE(2739)] = 39025,
  [SMALL_STATE(2740)] = 39029,
  [SMALL_STATE(2741)] = 39033,
  [SMALL_STATE(2742)] = 39037,
  [SMALL_STATE(2743)] = 39041,
  [SMALL_STATE(2744)] = 39045,
  [SMALL_STATE(2745)] = 39049,
  [SMALL_STATE(2746)] = 39053,
  [SMALL_STATE(2747)] = 39057,
  [SMALL_STATE(2748)] = 39061,
  [SMALL_STATE(2749)] = 39065,
  [SMALL_STATE(2750)] = 39069,
  [SMALL_STATE(2751)] = 39073,
  [SMALL_STATE(2752)] = 39077,
  [SMALL_STATE(2753)] = 39081,
  [SMALL_STATE(2754)] = 39085,
  [SMALL_STATE(2755)] = 39089,
  [SMALL_STATE(2756)] = 39093,
  [SMALL_STATE(2757)] = 39097,
  [SMALL_STATE(2758)] = 39101,
  [SMALL_STATE(2759)] = 39105,
  [SMALL_STATE(2760)] = 39109,
  [SMALL_STATE(2761)] = 39113,
  [SMALL_STATE(2762)] = 39117,
  [SMALL_STATE(2763)] = 39121,
  [SMALL_STATE(2764)] = 39125,
  [SMALL_STATE(2765)] = 39129,
  [SMALL_STATE(2766)] = 39133,
  [SMALL_STATE(2767)] = 39137,
  [SMALL_STATE(2768)] = 39141,
  [SMALL_STATE(2769)] = 39145,
  [SMALL_STATE(2770)] = 39149,
  [SMALL_STATE(2771)] = 39153,
  [SMALL_STATE(2772)] = 39157,
  [SMALL_STATE(2773)] = 39161,
  [SMALL_STATE(2774)] = 39165,
  [SMALL_STATE(2775)] = 39169,
  [SMALL_STATE(2776)] = 39173,
  [SMALL_STATE(2777)] = 39177,
  [SMALL_STATE(2778)] = 39181,
  [SMALL_STATE(2779)] = 39185,
  [SMALL_STATE(2780)] = 39189,
  [SMALL_STATE(2781)] = 39193,
  [SMALL_STATE(2782)] = 39197,
  [SMALL_STATE(2783)] = 39201,
  [SMALL_STATE(2784)] = 39205,
  [SMALL_STATE(2785)] = 39209,
  [SMALL_STATE(2786)] = 39213,
  [SMALL_STATE(2787)] = 39217,
  [SMALL_STATE(2788)] = 39221,
  [SMALL_STATE(2789)] = 39225,
  [SMALL_STATE(2790)] = 39229,
  [SMALL_STATE(2791)] = 39233,
  [SMALL_STATE(2792)] = 39237,
  [SMALL_STATE(2793)] = 39241,
  [SMALL_STATE(2794)] = 39245,
  [SMALL_STATE(2795)] = 39249,
  [SMALL_STATE(2796)] = 39253,
  [SMALL_STATE(2797)] = 39257,
  [SMALL_STATE(2798)] = 39261,
  [SMALL_STATE(2799)] = 39265,
  [SMALL_STATE(2800)] = 39269,
  [SMALL_STATE(2801)] = 39273,
  [SMALL_STATE(2802)] = 39277,
  [SMALL_STATE(2803)] = 39281,
  [SMALL_STATE(2804)] = 39285,
  [SMALL_STATE(2805)] = 39289,
  [SMALL_STATE(2806)] = 39293,
  [SMALL_STATE(2807)] = 39297,
  [SMALL_STATE(2808)] = 39301,
  [SMALL_STATE(2809)] = 39305,
  [SMALL_STATE(2810)] = 39309,
  [SMALL_STATE(2811)] = 39313,
  [SMALL_STATE(2812)] = 39317,
  [SMALL_STATE(2813)] = 39321,
  [SMALL_STATE(2814)] = 39325,
  [SMALL_STATE(2815)] = 39329,
  [SMALL_STATE(2816)] = 39333,
  [SMALL_STATE(2817)] = 39337,
  [SMALL_STATE(2818)] = 39341,
  [SMALL_STATE(2819)] = 39345,
  [SMALL_STATE(2820)] = 39349,
  [SMALL_STATE(2821)] = 39353,
  [SMALL_STATE(2822)] = 39357,
  [SMALL_STATE(2823)] = 39361,
  [SMALL_STATE(2824)] = 39365,
  [SMALL_STATE(2825)] = 39369,
  [SMALL_STATE(2826)] = 39373,
  [SMALL_STATE(2827)] = 39377,
  [SMALL_STATE(2828)] = 39381,
  [SMALL_STATE(2829)] = 39385,
  [SMALL_STATE(2830)] = 39389,
  [SMALL_STATE(2831)] = 39393,
  [SMALL_STATE(2832)] = 39397,
  [SMALL_STATE(2833)] = 39401,
  [SMALL_STATE(2834)] = 39405,
  [SMALL_STATE(2835)] = 39409,
  [SMALL_STATE(2836)] = 39413,
  [SMALL_STATE(2837)] = 39417,
  [SMALL_STATE(2838)] = 39421,
  [SMALL_STATE(2839)] = 39425,
  [SMALL_STATE(2840)] = 39429,
  [SMALL_STATE(2841)] = 39433,
  [SMALL_STATE(2842)] = 39437,
  [SMALL_STATE(2843)] = 39441,
  [SMALL_STATE(2844)] = 39445,
  [SMALL_STATE(2845)] = 39449,
  [SMALL_STATE(2846)] = 39453,
  [SMALL_STATE(2847)] = 39457,
  [SMALL_STATE(2848)] = 39461,
  [SMALL_STATE(2849)] = 39465,
  [SMALL_STATE(2850)] = 39469,
  [SMALL_STATE(2851)] = 39473,
  [SMALL_STATE(2852)] = 39477,
  [SMALL_STATE(2853)] = 39481,
  [SMALL_STATE(2854)] = 39485,
  [SMALL_STATE(2855)] = 39489,
  [SMALL_STATE(2856)] = 39493,
  [SMALL_STATE(2857)] = 39497,
  [SMALL_STATE(2858)] = 39501,
  [SMALL_STATE(2859)] = 39505,
  [SMALL_STATE(2860)] = 39509,
  [SMALL_STATE(2861)] = 39513,
  [SMALL_STATE(2862)] = 39517,
  [SMALL_STATE(2863)] = 39521,
  [SMALL_STATE(2864)] = 39525,
  [SMALL_STATE(2865)] = 39529,
  [SMALL_STATE(2866)] = 39533,
  [SMALL_STATE(2867)] = 39537,
  [SMALL_STATE(2868)] = 39541,
  [SMALL_STATE(2869)] = 39545,
  [SMALL_STATE(2870)] = 39549,
  [SMALL_STATE(2871)] = 39553,
  [SMALL_STATE(2872)] = 39557,
  [SMALL_STATE(2873)] = 39561,
  [SMALL_STATE(2874)] = 39565,
  [SMALL_STATE(2875)] = 39569,
  [SMALL_STATE(2876)] = 39573,
  [SMALL_STATE(2877)] = 39577,
  [SMALL_STATE(2878)] = 39581,
  [SMALL_STATE(2879)] = 39585,
  [SMALL_STATE(2880)] = 39589,
  [SMALL_STATE(2881)] = 39593,
  [SMALL_STATE(2882)] = 39597,
  [SMALL_STATE(2883)] = 39601,
  [SMALL_STATE(2884)] = 39605,
  [SMALL_STATE(2885)] = 39609,
  [SMALL_STATE(2886)] = 39613,
  [SMALL_STATE(2887)] = 39617,
  [SMALL_STATE(2888)] = 39621,
  [SMALL_STATE(2889)] = 39625,
  [SMALL_STATE(2890)] = 39629,
  [SMALL_STATE(2891)] = 39633,
  [SMALL_STATE(2892)] = 39637,
  [SMALL_STATE(2893)] = 39641,
  [SMALL_STATE(2894)] = 39645,
  [SMALL_STATE(2895)] = 39649,
  [SMALL_STATE(2896)] = 39653,
  [SMALL_STATE(2897)] = 39657,
  [SMALL_STATE(2898)] = 39661,
  [SMALL_STATE(2899)] = 39665,
  [SMALL_STATE(2900)] = 39669,
  [SMALL_STATE(2901)] = 39673,
  [SMALL_STATE(2902)] = 39677,
  [SMALL_STATE(2903)] = 39681,
  [SMALL_STATE(2904)] = 39685,
  [SMALL_STATE(2905)] = 39689,
  [SMALL_STATE(2906)] = 39693,
  [SMALL_STATE(2907)] = 39697,
  [SMALL_STATE(2908)] = 39701,
  [SMALL_STATE(2909)] = 39705,
  [SMALL_STATE(2910)] = 39709,
  [SMALL_STATE(2911)] = 39713,
  [SMALL_STATE(2912)] = 39717,
  [SMALL_STATE(2913)] = 39721,
  [SMALL_STATE(2914)] = 39725,
  [SMALL_STATE(2915)] = 39729,
  [SMALL_STATE(2916)] = 39733,
  [SMALL_STATE(2917)] = 39737,
  [SMALL_STATE(2918)] = 39741,
  [SMALL_STATE(2919)] = 39745,
  [SMALL_STATE(2920)] = 39749,
  [SMALL_STATE(2921)] = 39753,
  [SMALL_STATE(2922)] = 39757,
  [SMALL_STATE(2923)] = 39761,
  [SMALL_STATE(2924)] = 39765,
  [SMALL_STATE(2925)] = 39769,
  [SMALL_STATE(2926)] = 39773,
  [SMALL_STATE(2927)] = 39777,
  [SMALL_STATE(2928)] = 39781,
  [SMALL_STATE(2929)] = 39785,
  [SMALL_STATE(2930)] = 39789,
  [SMALL_STATE(2931)] = 39793,
  [SMALL_STATE(2932)] = 39797,
  [SMALL_STATE(2933)] = 39801,
  [SMALL_STATE(2934)] = 39805,
  [SMALL_STATE(2935)] = 39809,
  [SMALL_STATE(2936)] = 39813,
  [SMALL_STATE(2937)] = 39817,
  [SMALL_STATE(2938)] = 39821,
  [SMALL_STATE(2939)] = 39825,
  [SMALL_STATE(2940)] = 39829,
  [SMALL_STATE(2941)] = 39833,
  [SMALL_STATE(2942)] = 39837,
  [SMALL_STATE(2943)] = 39841,
  [SMALL_STATE(2944)] = 39845,
  [SMALL_STATE(2945)] = 39849,
  [SMALL_STATE(2946)] = 39853,
  [SMALL_STATE(2947)] = 39857,
  [SMALL_STATE(2948)] = 39861,
  [SMALL_STATE(2949)] = 39865,
  [SMALL_STATE(2950)] = 39869,
  [SMALL_STATE(2951)] = 39873,
  [SMALL_STATE(2952)] = 39877,
  [SMALL_STATE(2953)] = 39881,
  [SMALL_STATE(2954)] = 39885,
  [SMALL_STATE(2955)] = 39889,
  [SMALL_STATE(2956)] = 39893,
  [SMALL_STATE(2957)] = 39897,
  [SMALL_STATE(2958)] = 39901,
  [SMALL_STATE(2959)] = 39905,
  [SMALL_STATE(2960)] = 39909,
  [SMALL_STATE(2961)] = 39913,
  [SMALL_STATE(2962)] = 39917,
  [SMALL_STATE(2963)] = 39921,
  [SMALL_STATE(2964)] = 39925,
  [SMALL_STATE(2965)] = 39929,
  [SMALL_STATE(2966)] = 39933,
  [SMALL_STATE(2967)] = 39937,
  [SMALL_STATE(2968)] = 39941,
  [SMALL_STATE(2969)] = 39945,
  [SMALL_STATE(2970)] = 39949,
  [SMALL_STATE(2971)] = 39953,
  [SMALL_STATE(2972)] = 39957,
  [SMALL_STATE(2973)] = 39961,
  [SMALL_STATE(2974)] = 39965,
  [SMALL_STATE(2975)] = 39969,
  [SMALL_STATE(2976)] = 39973,
  [SMALL_STATE(2977)] = 39977,
  [SMALL_STATE(2978)] = 39981,
  [SMALL_STATE(2979)] = 39985,
  [SMALL_STATE(2980)] = 39989,
  [SMALL_STATE(2981)] = 39993,
  [SMALL_STATE(2982)] = 39997,
  [SMALL_STATE(2983)] = 40001,
  [SMALL_STATE(2984)] = 40005,
  [SMALL_STATE(2985)] = 40009,
  [SMALL_STATE(2986)] = 40013,
  [SMALL_STATE(2987)] = 40017,
  [SMALL_STATE(2988)] = 40021,
  [SMALL_STATE(2989)] = 40025,
  [SMALL_STATE(2990)] = 40029,
  [SMALL_STATE(2991)] = 40033,
  [SMALL_STATE(2992)] = 40037,
  [SMALL_STATE(2993)] = 40041,
  [SMALL_STATE(2994)] = 40045,
  [SMALL_STATE(2995)] = 40049,
  [SMALL_STATE(2996)] = 40053,
  [SMALL_STATE(2997)] = 40057,
  [SMALL_STATE(2998)] = 40061,
  [SMALL_STATE(2999)] = 40065,
  [SMALL_STATE(3000)] = 40069,
  [SMALL_STATE(3001)] = 40073,
  [SMALL_STATE(3002)] = 40077,
  [SMALL_STATE(3003)] = 40081,
  [SMALL_STATE(3004)] = 40085,
  [SMALL_STATE(3005)] = 40089,
  [SMALL_STATE(3006)] = 40093,
  [SMALL_STATE(3007)] = 40097,
  [SMALL_STATE(3008)] = 40101,
  [SMALL_STATE(3009)] = 40105,
  [SMALL_STATE(3010)] = 40109,
  [SMALL_STATE(3011)] = 40113,
  [SMALL_STATE(3012)] = 40117,
  [SMALL_STATE(3013)] = 40121,
  [SMALL_STATE(3014)] = 40125,
  [SMALL_STATE(3015)] = 40129,
  [SMALL_STATE(3016)] = 40133,
  [SMALL_STATE(3017)] = 40137,
  [SMALL_STATE(3018)] = 40141,
  [SMALL_STATE(3019)] = 40145,
  [SMALL_STATE(3020)] = 40149,
  [SMALL_STATE(3021)] = 40153,
  [SMALL_STATE(3022)] = 40157,
  [SMALL_STATE(3023)] = 40161,
  [SMALL_STATE(3024)] = 40165,
  [SMALL_STATE(3025)] = 40169,
  [SMALL_STATE(3026)] = 40173,
  [SMALL_STATE(3027)] = 40177,
  [SMALL_STATE(3028)] = 40181,
  [SMALL_STATE(3029)] = 40185,
  [SMALL_STATE(3030)] = 40189,
  [SMALL_STATE(3031)] = 40193,
  [SMALL_STATE(3032)] = 40197,
  [SMALL_STATE(3033)] = 40201,
  [SMALL_STATE(3034)] = 40205,
  [SMALL_STATE(3035)] = 40209,
  [SMALL_STATE(3036)] = 40213,
  [SMALL_STATE(3037)] = 40217,
  [SMALL_STATE(3038)] = 40221,
  [SMALL_STATE(3039)] = 40225,
  [SMALL_STATE(3040)] = 40229,
  [SMALL_STATE(3041)] = 40233,
  [SMALL_STATE(3042)] = 40237,
  [SMALL_STATE(3043)] = 40241,
  [SMALL_STATE(3044)] = 40245,
  [SMALL_STATE(3045)] = 40249,
  [SMALL_STATE(3046)] = 40253,
  [SMALL_STATE(3047)] = 40257,
  [SMALL_STATE(3048)] = 40261,
  [SMALL_STATE(3049)] = 40265,
  [SMALL_STATE(3050)] = 40269,
  [SMALL_STATE(3051)] = 40273,
  [SMALL_STATE(3052)] = 40277,
  [SMALL_STATE(3053)] = 40281,
  [SMALL_STATE(3054)] = 40285,
  [SMALL_STATE(3055)] = 40289,
  [SMALL_STATE(3056)] = 40293,
  [SMALL_STATE(3057)] = 40297,
  [SMALL_STATE(3058)] = 40301,
  [SMALL_STATE(3059)] = 40305,
  [SMALL_STATE(3060)] = 40309,
  [SMALL_STATE(3061)] = 40313,
  [SMALL_STATE(3062)] = 40317,
  [SMALL_STATE(3063)] = 40321,
  [SMALL_STATE(3064)] = 40325,
  [SMALL_STATE(3065)] = 40329,
  [SMALL_STATE(3066)] = 40333,
  [SMALL_STATE(3067)] = 40337,
  [SMALL_STATE(3068)] = 40341,
  [SMALL_STATE(3069)] = 40345,
  [SMALL_STATE(3070)] = 40349,
  [SMALL_STATE(3071)] = 40353,
  [SMALL_STATE(3072)] = 40357,
  [SMALL_STATE(3073)] = 40361,
  [SMALL_STATE(3074)] = 40365,
  [SMALL_STATE(3075)] = 40369,
  [SMALL_STATE(3076)] = 40373,
  [SMALL_STATE(3077)] = 40377,
  [SMALL_STATE(3078)] = 40381,
  [SMALL_STATE(3079)] = 40385,
  [SMALL_STATE(3080)] = 40389,
  [SMALL_STATE(3081)] = 40393,
  [SMALL_STATE(3082)] = 40397,
  [SMALL_STATE(3083)] = 40401,
  [SMALL_STATE(3084)] = 40405,
  [SMALL_STATE(3085)] = 40409,
  [SMALL_STATE(3086)] = 40413,
  [SMALL_STATE(3087)] = 40417,
  [SMALL_STATE(3088)] = 40421,
  [SMALL_STATE(3089)] = 40425,
  [SMALL_STATE(3090)] = 40429,
  [SMALL_STATE(3091)] = 40433,
  [SMALL_STATE(3092)] = 40437,
  [SMALL_STATE(3093)] = 40441,
  [SMALL_STATE(3094)] = 40445,
  [SMALL_STATE(3095)] = 40449,
  [SMALL_STATE(3096)] = 40453,
  [SMALL_STATE(3097)] = 40457,
  [SMALL_STATE(3098)] = 40461,
  [SMALL_STATE(3099)] = 40465,
  [SMALL_STATE(3100)] = 40469,
  [SMALL_STATE(3101)] = 40473,
  [SMALL_STATE(3102)] = 40477,
  [SMALL_STATE(3103)] = 40481,
  [SMALL_STATE(3104)] = 40485,
  [SMALL_STATE(3105)] = 40489,
  [SMALL_STATE(3106)] = 40493,
  [SMALL_STATE(3107)] = 40497,
  [SMALL_STATE(3108)] = 40501,
  [SMALL_STATE(3109)] = 40505,
  [SMALL_STATE(3110)] = 40509,
  [SMALL_STATE(3111)] = 40513,
  [SMALL_STATE(3112)] = 40517,
  [SMALL_STATE(3113)] = 40521,
  [SMALL_STATE(3114)] = 40525,
  [SMALL_STATE(3115)] = 40529,
  [SMALL_STATE(3116)] = 40533,
  [SMALL_STATE(3117)] = 40537,
  [SMALL_STATE(3118)] = 40541,
  [SMALL_STATE(3119)] = 40545,
  [SMALL_STATE(3120)] = 40549,
  [SMALL_STATE(3121)] = 40553,
  [SMALL_STATE(3122)] = 40557,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fig, 4, 0, 0),
  [11] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fig, 4, 0, 0),
  [13] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fig, 2, 0, 0),
  [15] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fig, 2, 0, 0),
  [17] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fig, 3, 0, 0),
  [19] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fig, 3, 0, 0),
  [21] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xt_standalone, 3, 0, 0),
  [23] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xt_standalone, 3, 0, 0),
  [25] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xt_standalone, 4, 0, 0),
  [27] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xt_standalone, 4, 0, 0),
  [29] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bdNested, 4, 0, 0),
  [31] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bdNested, 4, 0, 0),
  [33] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_supNested, 4, 0, 0),
  [35] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_supNested, 4, 0, 0),
  [37] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ndNested, 4, 0, 0),
  [39] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ndNested, 4, 0, 0),
  [41] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordNested, 4, 0, 0),
  [43] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ordNested, 4, 0, 0),
  [45] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pnNested, 4, 0, 0),
  [47] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pnNested, 4, 0, 0),
  [49] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pngNested, 4, 0, 0),
  [51] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pngNested, 4, 0, 0),
  [53] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_addpnNested, 4, 0, 0),
  [55] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_addpnNested, 4, 0, 0),
  [57] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qtNested, 4, 0, 0),
  [59] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qtNested, 4, 0, 0),
  [61] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sigNested, 4, 0, 0),
  [63] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sigNested, 4, 0, 0),
  [65] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slsNested, 4, 0, 0),
  [67] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slsNested, 4, 0, 0),
  [69] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tlNested, 4, 0, 0),
  [71] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tlNested, 4, 0, 0),
  [73] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wjNested, 4, 0, 0),
  [75] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wjNested, 4, 0, 0),
  [77] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_emNested, 4, 0, 0),
  [79] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_emNested, 4, 0, 0),
  [81] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_itNested, 4, 0, 0),
  [83] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_itNested, 4, 0, 0),
  [85] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bditNested, 4, 0, 0),
  [87] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bditNested, 4, 0, 0),
  [89] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noNested, 4, 0, 0),
  [91] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noNested, 4, 0, 0),
  [93] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scNested, 4, 0, 0),
  [95] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scNested, 4, 0, 0),
  [97] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kNested, 4, 0, 0),
  [99] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kNested, 4, 0, 0),
  [101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ndxNested, 4, 0, 0),
  [103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ndxNested, 4, 0, 0),
  [105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proNested, 4, 0, 0),
  [107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proNested, 4, 0, 0),
  [109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rbNested, 4, 0, 0),
  [111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rbNested, 4, 0, 0),
  [113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wNested, 4, 0, 0),
  [115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wNested, 4, 0, 0),
  [117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wgNested, 4, 0, 0),
  [119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wgNested, 4, 0, 0),
  [121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_whNested, 4, 0, 0),
  [123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_whNested, 4, 0, 0),
  [125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_waNested, 4, 0, 0),
  [127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_waNested, 4, 0, 0),
  [129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmpNested, 4, 0, 1),
  [131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmpNested, 4, 0, 1),
  [133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmpNested, 3, 0, 0),
  [135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmpNested, 3, 0, 0),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmpNested, 3, 0, 1),
  [139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmpNested, 3, 0, 1),
  [141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_addNested, 4, 0, 0),
  [143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_addNested, 4, 0, 0),
  [145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmpNested, 2, 0, 0),
  [147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmpNested, 2, 0, 0),
  [149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dcNested, 4, 0, 0),
  [151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dcNested, 4, 0, 0),
  [153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rbNested, 5, 0, 0),
  [155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rbNested, 5, 0, 0),
  [157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wNested, 5, 0, 0),
  [159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wNested, 5, 0, 0),
  [161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bkNested, 4, 0, 0),
  [163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bkNested, 4, 0, 0),
  [165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lim, 1, 0, 0),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lim, 1, 0, 0),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2936),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2940),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2941),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2944),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2947),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2949),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2950),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2951),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2952),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2953),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2954),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2960),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2963),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2964),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2819),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_li, 1, 0, 0),
  [277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_li, 1, 0, 0),
  [279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0),
  [281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(359),
  [284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2016),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2115),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2116),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2117),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2118),
  [299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0),
  [301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2468),
  [304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2936),
  [307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1993),
  [310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1974),
  [313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1180),
  [316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1181),
  [319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2713),
  [322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2714),
  [325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2715),
  [328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(302),
  [331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2679),
  [334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1165),
  [337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2046),
  [340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2938),
  [343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2939),
  [346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2940),
  [349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2941),
  [352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2942),
  [355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2943),
  [358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2944),
  [361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2945),
  [364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2946),
  [367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2947),
  [370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2948),
  [373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2950),
  [379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2951),
  [382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2952),
  [385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2953),
  [388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2954),
  [391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2955),
  [394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2956),
  [397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2957),
  [400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2958),
  [403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2959),
  [406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2960),
  [409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2961),
  [415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2962),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2963),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2964),
  [424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1858),
  [427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1869),
  [430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2819),
  [433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1931),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1943),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(342),
  [442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_li, 2, 0, 0),
  [444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_li, 2, 0, 0),
  [446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lim, 2, 0, 0),
  [448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lim, 2, 0, 0),
  [450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref, 4, 0, 0),
  [452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref, 4, 0, 0),
  [454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref, 3, 0, 0),
  [456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref, 3, 0, 0),
  [458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qr, 3, 0, 0),
  [460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qr, 3, 0, 0),
  [474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2969),
  [502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2973),
  [510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2974),
  [512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2976),
  [516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2983),
  [530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2986),
  [536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3118),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2994),
  [554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qr, 2, 0, 0),
  [566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qr, 2, 0, 0),
  [568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_q, 1, 0, 0),
  [570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_q, 1, 0, 0),
  [572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qm, 1, 0, 0),
  [574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qm, 1, 0, 0),
  [576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qc, 2, 0, 0),
  [578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qc, 2, 0, 0),
  [580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qd, 2, 0, 0),
  [582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qd, 2, 0, 0),
  [584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_q, 2, 0, 0),
  [586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_q, 2, 0, 0),
  [588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qm, 2, 0, 0),
  [590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qm, 2, 0, 0),
  [592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0),
  [594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(459),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2043),
  [600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2085),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2084),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2083),
  [609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2082),
  [612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0),
  [614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2314),
  [617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2966),
  [620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1996),
  [623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2509),
  [626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2510),
  [629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2749),
  [632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2750),
  [635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2751),
  [638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(283),
  [641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2717),
  [644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1157),
  [647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2072),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2968),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2969),
  [656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2970),
  [659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2971),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2972),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2973),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2974),
  [671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2975),
  [674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2976),
  [677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2977),
  [680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2978),
  [683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2979),
  [686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2980),
  [689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2981),
  [692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2982),
  [695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2983),
  [698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2984),
  [701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2985),
  [704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2986),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2987),
  [710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2988),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2989),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2990),
  [719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3118),
  [722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2991),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2992),
  [728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2993),
  [731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2994),
  [734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1847),
  [737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2819),
  [743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1900),
  [746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1952),
  [749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(361),
  [752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qd, 3, 0, 0),
  [754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qd, 3, 0, 0),
  [756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qc, 3, 0, 0),
  [758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qc, 3, 0, 0),
  [760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2851),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2853),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2854),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2857),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3112),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2027),
  [871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2028),
  [874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2029),
  [877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2030),
  [880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2495),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2494),
  [886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2071),
  [889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1179),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1177),
  [895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2599),
  [898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2600),
  [901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2601),
  [904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(292),
  [907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2561),
  [910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1171),
  [913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1980),
  [916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2845),
  [919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2846),
  [922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2847),
  [925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2848),
  [928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2849),
  [931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2850),
  [934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2851),
  [937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2852),
  [940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2853),
  [943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2854),
  [946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2855),
  [949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2856),
  [952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2857),
  [955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2858),
  [958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2859),
  [961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2860),
  [964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2861),
  [967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2862),
  [970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2863),
  [973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2866),
  [982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2867),
  [985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3112),
  [988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2869),
  [994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2870),
  [997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2871),
  [1000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1855),
  [1003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [1006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1923),
  [1009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1979),
  [1012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(457),
  [1015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [1018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [1021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0),
  [1023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(301),
  [1026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(291),
  [1029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(290),
  [1032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(289),
  [1035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(288),
  [1038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(287),
  [1041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(286),
  [1044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(304),
  [1047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(293),
  [1050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2079),
  [1053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(1171),
  [1056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(1163),
  [1059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2845),
  [1062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2846),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2847),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2848),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2849),
  [1074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2850),
  [1077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2851),
  [1080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2852),
  [1083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2853),
  [1086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2854),
  [1089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2855),
  [1092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2856),
  [1095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2857),
  [1098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2858),
  [1101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2859),
  [1104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2860),
  [1107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2861),
  [1110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2862),
  [1113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2863),
  [1116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [1119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [1122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2866),
  [1125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2867),
  [1128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3112),
  [1131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [1134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2869),
  [1137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2870),
  [1140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2871),
  [1143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2583),
  [1146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2582),
  [1149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2581),
  [1152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2580),
  [1155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2579),
  [1158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2578),
  [1161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2577),
  [1164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2576),
  [1167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2575),
  [1170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2574),
  [1173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2573),
  [1176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2572),
  [1179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2571),
  [1182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2570),
  [1185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2569),
  [1188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2568),
  [1191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2567),
  [1194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2566),
  [1197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2565),
  [1200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2564),
  [1203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2563),
  [1206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2560),
  [1209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2556),
  [1212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2553),
  [1215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2552),
  [1218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2551),
  [1221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2548),
  [1224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2540),
  [1227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(1855),
  [1230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [1233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(1867),
  [1236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2478),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nb, 3, 0, 0),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nb, 3, 0, 0),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lf, 3, 0, 0),
  [1245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lf, 3, 0, 0),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pc, 3, 0, 0),
  [1249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pc, 3, 0, 0),
  [1251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pmc, 2, 0, 0),
  [1253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pmc, 2, 0, 0),
  [1255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_p, 2, 0, 0),
  [1257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_p, 2, 0, 0),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mi, 3, 0, 0),
  [1261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mi, 3, 0, 0),
  [1263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pmr, 3, 0, 0),
  [1265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pmr, 3, 0, 0),
  [1267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pmc, 3, 0, 0),
  [1269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pmc, 3, 0, 0),
  [1271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pm, 3, 0, 0),
  [1273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pm, 3, 0, 0),
  [1275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pmo, 3, 0, 0),
  [1277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pmo, 3, 0, 0),
  [1279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cls, 3, 0, 0),
  [1281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cls, 3, 0, 0),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pr, 3, 0, 0),
  [1285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pr, 3, 0, 0),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_po, 3, 0, 0),
  [1289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_po, 3, 0, 0),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_m, 3, 0, 0),
  [1293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_m, 3, 0, 0),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_p, 3, 0, 0),
  [1297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_p, 3, 0, 0),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pm, 2, 0, 0),
  [1301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pm, 2, 0, 0),
  [1303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ph, 1, 0, 0),
  [1305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ph, 1, 0, 0),
  [1307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pi, 1, 0, 0),
  [1309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pi, 1, 0, 0),
  [1311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pmr, 2, 0, 0),
  [1313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pmr, 2, 0, 0),
  [1315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mi, 2, 0, 0),
  [1317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mi, 2, 0, 0),
  [1319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_m, 2, 0, 0),
  [1321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_m, 2, 0, 0),
  [1323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0),
  [1325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(359),
  [1328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2016),
  [1331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2115),
  [1334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2116),
  [1337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2117),
  [1340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2118),
  [1343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0),
  [1345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2468),
  [1348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2936),
  [1351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1993),
  [1354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2713),
  [1357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2714),
  [1360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2715),
  [1363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(302),
  [1366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2679),
  [1369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1165),
  [1372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2046),
  [1375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2938),
  [1378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2939),
  [1381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2940),
  [1384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2941),
  [1387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2942),
  [1390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2943),
  [1393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2944),
  [1396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2945),
  [1399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2946),
  [1402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2947),
  [1405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2948),
  [1408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [1411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2950),
  [1414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2951),
  [1417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2952),
  [1420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2953),
  [1423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2954),
  [1426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2955),
  [1429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2956),
  [1432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2957),
  [1435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2958),
  [1438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2959),
  [1441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2960),
  [1444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [1447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2961),
  [1450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2962),
  [1453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2963),
  [1456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2964),
  [1459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1858),
  [1462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1869),
  [1465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2819),
  [1468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1931),
  [1471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1943),
  [1474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(342),
  [1477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pmo, 2, 0, 0),
  [1479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pmo, 2, 0, 0),
  [1481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ph, 2, 0, 0),
  [1483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ph, 2, 0, 0),
  [1485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pi, 2, 0, 0),
  [1487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pi, 2, 0, 0),
  [1489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cls, 2, 0, 0),
  [1491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cls, 2, 0, 0),
  [1493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nb, 2, 0, 0),
  [1495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nb, 2, 0, 0),
  [1497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pc, 2, 0, 0),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pc, 2, 0, 0),
  [1501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pr, 2, 0, 0),
  [1503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pr, 2, 0, 0),
  [1505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_po, 2, 0, 0),
  [1507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_po, 2, 0, 0),
  [1509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lf, 2, 0, 0),
  [1511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lf, 2, 0, 0),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2908),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2911),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2914),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2919),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3116),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2930),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2931),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [1781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chapter, 1, 0, 0),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chapter, 2, 0, 0),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chapter, 3, 0, 0),
  [1933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0),
  [1935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2107),
  [1938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2104),
  [1941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2100),
  [1944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2098),
  [1947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1131),
  [1950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1138),
  [1953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2112),
  [1956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2636),
  [1959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2014),
  [1962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1173),
  [1965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2058),
  [1968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2057),
  [1971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2105),
  [1974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2054),
  [1977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1981),
  [1980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2052),
  [1983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2050),
  [1986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2784),
  [1989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2783),
  [1992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2782),
  [1995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2781),
  [1998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2780),
  [2001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2779),
  [2004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2778),
  [2007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2777),
  [2010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2776),
  [2013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2099),
  [2016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2775),
  [2019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2773),
  [2022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2772),
  [2025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2096),
  [2028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2681),
  [2031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2089),
  [2034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2770),
  [2037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2767),
  [2040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2766),
  [2043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2086),
  [2046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2754),
  [2049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2665),
  [2052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2078),
  [2055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2077),
  [2058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(3113),
  [2061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2661),
  [2064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2660),
  [2067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2659),
  [2070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(297),
  [2073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2658),
  [2076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2819),
  [2079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1933),
  [2082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1953),
  [2085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1232),
  [2088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(258),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [2107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(667),
  [2110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2001),
  [2113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2092),
  [2116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2093),
  [2119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2094),
  [2122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2095),
  [2125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2680),
  [2128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2904),
  [2131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1990),
  [2134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2492),
  [2137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2491),
  [2140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2637),
  [2143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2638),
  [2146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2639),
  [2149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(295),
  [2152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2603),
  [2155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1162),
  [2158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2042),
  [2161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2907),
  [2164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2908),
  [2167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2909),
  [2170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2910),
  [2173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2911),
  [2176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2912),
  [2179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2913),
  [2182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2914),
  [2185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2915),
  [2188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2916),
  [2191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2917),
  [2194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2918),
  [2197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2919),
  [2200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2920),
  [2203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2921),
  [2206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2922),
  [2209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2923),
  [2212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2924),
  [2215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2925),
  [2218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2926),
  [2221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2927),
  [2224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2928),
  [2227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2929),
  [2230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3116),
  [2233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2930),
  [2236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2931),
  [2239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2932),
  [2242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2933),
  [2245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1850),
  [2248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1874),
  [2251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1910),
  [2254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1950),
  [2257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(544),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [2272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [2275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [2278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0),
  [2280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2079),
  [2283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(1171),
  [2286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(1163),
  [2289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2845),
  [2292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2846),
  [2295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2847),
  [2298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2848),
  [2301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2849),
  [2304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2850),
  [2307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2851),
  [2310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2852),
  [2313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2853),
  [2316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2854),
  [2319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2855),
  [2322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2856),
  [2325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2857),
  [2328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2858),
  [2331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2859),
  [2334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2860),
  [2337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2861),
  [2340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2862),
  [2343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2863),
  [2346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [2349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [2352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2866),
  [2355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2867),
  [2358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3112),
  [2361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [2364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2869),
  [2367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2870),
  [2370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2871),
  [2373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2583),
  [2376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2582),
  [2379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2581),
  [2382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2580),
  [2385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2579),
  [2388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2578),
  [2391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2577),
  [2394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2576),
  [2397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2575),
  [2400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2574),
  [2403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2573),
  [2406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2572),
  [2409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2571),
  [2412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2570),
  [2415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2569),
  [2418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2568),
  [2421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2567),
  [2424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2566),
  [2427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2565),
  [2430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2564),
  [2433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2563),
  [2436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2560),
  [2439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2556),
  [2442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2553),
  [2445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2552),
  [2448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2551),
  [2451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2548),
  [2454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2540),
  [2457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(1855),
  [2460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [2463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(1867),
  [2466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_footnoteText, 1, 0, 0),
  [2468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [2471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [2474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2027),
  [2477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2028),
  [2480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2029),
  [2483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2030),
  [2486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2495),
  [2489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2494),
  [2492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2071),
  [2495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2599),
  [2498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2600),
  [2501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2601),
  [2504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(292),
  [2507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2561),
  [2510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1171),
  [2513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1980),
  [2516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2845),
  [2519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2846),
  [2522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2847),
  [2525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2848),
  [2528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2849),
  [2531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2850),
  [2534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2851),
  [2537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2852),
  [2540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2853),
  [2543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2854),
  [2546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2855),
  [2549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2856),
  [2552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2857),
  [2555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2858),
  [2558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2859),
  [2561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2860),
  [2564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2861),
  [2567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2862),
  [2570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2863),
  [2573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [2576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [2579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2866),
  [2582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2867),
  [2585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3112),
  [2588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [2591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2869),
  [2594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2870),
  [2597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2871),
  [2600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1855),
  [2603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [2606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1923),
  [2609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1979),
  [2612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(457),
  [2615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ord, 4, 0, 0),
  [2617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ord, 4, 0, 0),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sc, 4, 0, 0),
  [2621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sc, 4, 0, 0),
  [2623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sig, 4, 0, 0),
  [2625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sig, 4, 0, 0),
  [2627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sls, 4, 0, 0),
  [2629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sls, 4, 0, 0),
  [2631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tl, 4, 0, 0),
  [2633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tl, 4, 0, 0),
  [2635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmp, 2, 0, 0),
  [2637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmp, 2, 0, 0),
  [2639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_addpn, 4, 0, 0),
  [2641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_addpn, 4, 0, 0),
  [2643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_png, 4, 0, 0),
  [2645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_png, 4, 0, 0),
  [2647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pn, 4, 0, 0),
  [2649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pn, 4, 0, 0),
  [2651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nd, 4, 0, 0),
  [2653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nd, 4, 0, 0),
  [2655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_k, 4, 0, 0),
  [2657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_k, 4, 0, 0),
  [2659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wj, 4, 0, 0),
  [2661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wj, 4, 0, 0),
  [2663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_em, 4, 0, 0),
  [2665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_em, 4, 0, 0),
  [2667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bd, 4, 0, 0),
  [2669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bd, 4, 0, 0),
  [2671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_it, 4, 0, 0),
  [2673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_it, 4, 0, 0),
  [2675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bdit, 4, 0, 0),
  [2677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bdit, 4, 0, 0),
  [2679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_no, 4, 0, 0),
  [2681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_no, 4, 0, 0),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qt, 4, 0, 0),
  [2685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qt, 4, 0, 0),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sup, 4, 0, 0),
  [2689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sup, 4, 0, 0),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ndx, 4, 0, 0),
  [2693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ndx, 4, 0, 0),
  [2695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pro, 4, 0, 0),
  [2697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pro, 4, 0, 0),
  [2699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_w, 4, 0, 0),
  [2701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_w, 4, 0, 0),
  [2703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wg, 4, 0, 0),
  [2705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wg, 4, 0, 0),
  [2707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wh, 4, 0, 0),
  [2709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wh, 4, 0, 0),
  [2711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wa, 4, 0, 0),
  [2713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wa, 4, 0, 0),
  [2715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dc, 4, 0, 0),
  [2717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dc, 4, 0, 0),
  [2719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmp, 4, 0, 1),
  [2721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmp, 4, 0, 1),
  [2723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmp, 3, 0, 0),
  [2725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmp, 3, 0, 0),
  [2727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_k, 5, 0, 0),
  [2729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_k, 5, 0, 0),
  [2731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rb, 5, 0, 0),
  [2733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rb, 5, 0, 0),
  [2735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_w, 5, 0, 0),
  [2737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_w, 5, 0, 0),
  [2739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmp, 3, 0, 1),
  [2741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmp, 3, 0, 1),
  [2743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bk, 4, 0, 0),
  [2745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bk, 4, 0, 0),
  [2747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add, 4, 0, 0),
  [2749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add, 4, 0, 0),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2695),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [2811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2107),
  [2814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2104),
  [2817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2100),
  [2820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2098),
  [2823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(1137),
  [2826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2058),
  [2829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2057),
  [2832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2056),
  [2835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2054),
  [2838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(1981),
  [2841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2052),
  [2844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2050),
  [2847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2695),
  [2850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2694),
  [2853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2693),
  [2856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2692),
  [2859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2691),
  [2862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2690),
  [2865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2689),
  [2868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2688),
  [2871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2687),
  [2874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2048),
  [2877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2685),
  [2880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2684),
  [2883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2683),
  [2886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2047),
  [2889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2681),
  [2892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2045),
  [2895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2674),
  [2898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2669),
  [2901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2668),
  [2904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2039),
  [2907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2666),
  [2910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2665),
  [2913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2038),
  [2916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2033),
  [2919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2662),
  [2922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2661),
  [2925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2660),
  [2928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2659),
  [2931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(297),
  [2934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2658),
  [2937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2819),
  [2940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(1933),
  [2943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(1953),
  [2946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(1364),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0),
  [2951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2656),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [2960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_crossrefText, 1, 0, 0),
  [2962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [2965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [2968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0),
  [2970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2583),
  [2973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2582),
  [2976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2581),
  [2979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2580),
  [2982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2579),
  [2985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2578),
  [2988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2577),
  [2991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2576),
  [2994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2575),
  [2997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2574),
  [3000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2573),
  [3003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2572),
  [3006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2571),
  [3009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2570),
  [3012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2569),
  [3015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2568),
  [3018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2567),
  [3021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2566),
  [3024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2565),
  [3027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2564),
  [3030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2563),
  [3033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2560),
  [3036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2556),
  [3039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2553),
  [3042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2552),
  [3045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2551),
  [3048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2548),
  [3051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2540),
  [3054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(1855),
  [3057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(1867),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_x, 3, 0, 0),
  [3062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_x, 3, 0, 0),
  [3064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_footnote, 1, 0, 0),
  [3066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_footnote, 1, 0, 0),
  [3068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_f, 4, 0, 0),
  [3070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_f, 4, 0, 0),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rq, 3, 0, 0),
  [3074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rq, 3, 0, 0),
  [3076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fe, 4, 0, 0),
  [3078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fe, 4, 0, 0),
  [3080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_f, 3, 0, 0),
  [3082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_f, 3, 0, 0),
  [3084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_crossref, 1, 0, 0),
  [3086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_crossref, 1, 0, 0),
  [3088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ef, 4, 0, 0),
  [3090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ef, 4, 0, 0),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fe, 3, 0, 0),
  [3094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fe, 3, 0, 0),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ef, 3, 0, 0),
  [3098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ef, 3, 0, 0),
  [3100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fm, 3, 0, 0),
  [3102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fm, 3, 0, 0),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_x, 4, 0, 0),
  [3106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_x, 4, 0, 0),
  [3108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [3110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [3112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [3114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2479),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [3120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__innerText, 1, 0, 0),
  [3122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [3125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2557),
  [3128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2558),
  [3131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2559),
  [3134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(285),
  [3137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2479),
  [3140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1171),
  [3143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2060),
  [3146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0),
  [3148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2583),
  [3151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2582),
  [3154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2581),
  [3157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2580),
  [3160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2579),
  [3163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2578),
  [3166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2577),
  [3169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2576),
  [3172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2575),
  [3175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2574),
  [3178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2573),
  [3181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2572),
  [3184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2571),
  [3187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2570),
  [3190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2569),
  [3193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2568),
  [3196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2567),
  [3199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2566),
  [3202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2565),
  [3205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2564),
  [3208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2563),
  [3211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2560),
  [3214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2556),
  [3217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2553),
  [3220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2552),
  [3223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2551),
  [3226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2548),
  [3229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2540),
  [3232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1855),
  [3235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1867),
  [3238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_s, 1, 0, 0),
  [3240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_s, 1, 0, 0),
  [3242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [3244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [3246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_s, 2, 0, 0),
  [3248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_s, 2, 0, 0),
  [3250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0),
  [3252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(359),
  [3255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0),
  [3257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2713),
  [3260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2714),
  [3263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2715),
  [3266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(302),
  [3269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2679),
  [3272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1165),
  [3275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2046),
  [3278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2938),
  [3281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2939),
  [3284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2940),
  [3287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2941),
  [3290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2942),
  [3293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2943),
  [3296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2944),
  [3299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2945),
  [3302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2946),
  [3305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2947),
  [3308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2948),
  [3311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [3314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2950),
  [3317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2951),
  [3320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2952),
  [3323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2953),
  [3326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2954),
  [3329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2955),
  [3332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2956),
  [3335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2957),
  [3338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2958),
  [3341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2959),
  [3344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2960),
  [3347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [3350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2961),
  [3353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2962),
  [3356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2963),
  [3359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2964),
  [3362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1858),
  [3365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1869),
  [3368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms, 2, 0, 0),
  [3370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms, 2, 0, 0),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [3374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verseText, 1, 0, 0),
  [3376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verseText, 1, 0, 0),
  [3378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0),
  [3380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(359),
  [3383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0),
  [3385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2938),
  [3388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2939),
  [3391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2940),
  [3394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2941),
  [3397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2942),
  [3400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2943),
  [3403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2944),
  [3406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2945),
  [3409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2946),
  [3412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2947),
  [3415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2948),
  [3418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [3421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2950),
  [3424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2951),
  [3427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2952),
  [3430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2953),
  [3433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2954),
  [3436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2955),
  [3439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2956),
  [3442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2957),
  [3445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2958),
  [3448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2959),
  [3451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2960),
  [3454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [3457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2961),
  [3460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2962),
  [3463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2963),
  [3466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2964),
  [3469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1858),
  [3472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1869),
  [3475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(459),
  [3478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2968),
  [3481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2969),
  [3484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2970),
  [3487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2971),
  [3490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2972),
  [3493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2973),
  [3496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2974),
  [3499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2975),
  [3502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2976),
  [3505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2977),
  [3508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2978),
  [3511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2979),
  [3514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2980),
  [3517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2981),
  [3520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2982),
  [3523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2983),
  [3526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2984),
  [3529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2985),
  [3532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2986),
  [3535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2987),
  [3538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2988),
  [3541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2989),
  [3544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2990),
  [3547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3118),
  [3550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2991),
  [3553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2992),
  [3556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2993),
  [3559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2994),
  [3562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1847),
  [3565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [3568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [3571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2599),
  [3574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2600),
  [3577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2601),
  [3580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(292),
  [3583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2561),
  [3586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1171),
  [3589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1980),
  [3592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2845),
  [3595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2846),
  [3598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2847),
  [3601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2848),
  [3604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2849),
  [3607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2850),
  [3610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2851),
  [3613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2852),
  [3616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2853),
  [3619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2854),
  [3622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2855),
  [3625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2856),
  [3628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2857),
  [3631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2858),
  [3634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2859),
  [3637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2860),
  [3640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2861),
  [3643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2862),
  [3646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2863),
  [3649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [3652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [3655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2866),
  [3658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2867),
  [3661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3112),
  [3664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [3667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2869),
  [3670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2870),
  [3673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2871),
  [3676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1855),
  [3679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [3682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [3685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2845),
  [3688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2846),
  [3691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2847),
  [3694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2848),
  [3697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2849),
  [3700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2850),
  [3703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2851),
  [3706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2852),
  [3709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2853),
  [3712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2854),
  [3715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2855),
  [3718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2856),
  [3721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2857),
  [3724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2858),
  [3727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2859),
  [3730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2860),
  [3733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2861),
  [3736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2862),
  [3739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2863),
  [3742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [3745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [3748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2866),
  [3751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2867),
  [3754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3112),
  [3757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [3760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2869),
  [3763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2870),
  [3766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2871),
  [3769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1855),
  [3772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [3775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ip, 2, 0, 0),
  [3777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ip, 2, 0, 0),
  [3779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [3781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iex, 2, 0, 0),
  [3783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iex, 2, 0, 0),
  [3785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__introText, 2, 0, 0),
  [3787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(359),
  [3790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2016),
  [3793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0),
  [3795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1997),
  [3798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1165),
  [3801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2938),
  [3804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2939),
  [3807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2940),
  [3810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2941),
  [3813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2942),
  [3816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2943),
  [3819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2944),
  [3822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2945),
  [3825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2946),
  [3828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2947),
  [3831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2948),
  [3834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2949),
  [3837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2950),
  [3840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2951),
  [3843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2952),
  [3846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2953),
  [3849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2954),
  [3852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2955),
  [3855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2956),
  [3858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2957),
  [3861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2958),
  [3864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2959),
  [3867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2960),
  [3870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3117),
  [3873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2961),
  [3876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2962),
  [3879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2963),
  [3882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2964),
  [3885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1858),
  [3888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1869),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [3893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [3895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3086),
  [3899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3087),
  [3901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [3905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3094),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3095),
  [3917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3096),
  [3919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [3923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [3933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3104),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [3941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [3953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(611),
  [3956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3084),
  [3959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3085),
  [3962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [3965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3087),
  [3968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3088),
  [3971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3089),
  [3974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3090),
  [3977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3091),
  [3980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3092),
  [3983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3093),
  [3986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3094),
  [3989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3095),
  [3992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3096),
  [3995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3097),
  [3998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3098),
  [4001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3099),
  [4004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3100),
  [4007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3101),
  [4010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3102),
  [4013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3103),
  [4016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3104),
  [4019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3105),
  [4022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3106),
  [4025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3122),
  [4028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3107),
  [4031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3108),
  [4034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3109),
  [4037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3110),
  [4040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1857),
  [4043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1866),
  [4046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(667),
  [4049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2907),
  [4052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2908),
  [4055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2909),
  [4058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2910),
  [4061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2911),
  [4064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2912),
  [4067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2913),
  [4070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2914),
  [4073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2915),
  [4076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2916),
  [4079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2917),
  [4082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2918),
  [4085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2919),
  [4088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2920),
  [4091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2921),
  [4094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2922),
  [4097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2923),
  [4100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2924),
  [4103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2925),
  [4106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2926),
  [4109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2927),
  [4112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2928),
  [4115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2929),
  [4118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3116),
  [4121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2930),
  [4124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2931),
  [4127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2932),
  [4130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2933),
  [4133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1850),
  [4136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1874),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [4141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [4143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [4149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [4153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [4155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [4157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [4159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [4165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2835),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [4171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [4173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [4175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [4181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [4183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [4185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [4191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [4193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [4195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3037),
  [4197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3038),
  [4199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [4201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [4203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [4205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [4207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [4209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [4211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [4213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [4215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [4217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [4219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [4221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [4223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [4225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [4227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [4229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [4231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [4233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [4235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [4237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [4239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [4241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [4243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1391),
  [4246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2081),
  [4249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2035),
  [4252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2034),
  [4255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2026),
  [4258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2024),
  [4261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2183),
  [4264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3026),
  [4267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2012),
  [4270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2591),
  [4273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2592),
  [4276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2834),
  [4279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2835),
  [4282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2836),
  [4285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(306),
  [4288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2831),
  [4291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1168),
  [4294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2121),
  [4297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3028),
  [4300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3029),
  [4303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3030),
  [4306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3031),
  [4309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3032),
  [4312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3033),
  [4315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3034),
  [4318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3035),
  [4321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3036),
  [4324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3037),
  [4327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3038),
  [4330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3039),
  [4333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3040),
  [4336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3041),
  [4339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3042),
  [4342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3043),
  [4345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3044),
  [4348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3045),
  [4351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3046),
  [4354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3047),
  [4357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3048),
  [4360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3049),
  [4363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3050),
  [4366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3120),
  [4369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3051),
  [4372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3052),
  [4375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3053),
  [4378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3054),
  [4381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1862),
  [4384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1870),
  [4387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1912),
  [4390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1970),
  [4393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1266),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [4398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [4400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0),
  [4402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(359),
  [4405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0),
  [4407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(1165),
  [4410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2938),
  [4413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2939),
  [4416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2940),
  [4419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2941),
  [4422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2942),
  [4425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2943),
  [4428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2944),
  [4431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2945),
  [4434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2946),
  [4437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2947),
  [4440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2948),
  [4443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [4446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2950),
  [4449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2951),
  [4452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2952),
  [4455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2953),
  [4458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2954),
  [4461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2955),
  [4464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2956),
  [4467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2957),
  [4470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2958),
  [4473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2959),
  [4476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2960),
  [4479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [4482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2961),
  [4485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2962),
  [4488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2963),
  [4491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2964),
  [4494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(1858),
  [4497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(1869),
  [4500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cd, 2, 0, 0),
  [4502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cd, 2, 0, 0),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [4510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2),
  [4513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1994),
  [4516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2053),
  [4519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1171),
  [4522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2845),
  [4525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2846),
  [4528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2847),
  [4531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2848),
  [4534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2849),
  [4537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2850),
  [4540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2851),
  [4543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2852),
  [4546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2853),
  [4549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2854),
  [4552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2855),
  [4555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2856),
  [4558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2857),
  [4561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2858),
  [4564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2859),
  [4567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2860),
  [4570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2861),
  [4573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2862),
  [4576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2863),
  [4579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2864),
  [4582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2865),
  [4585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2866),
  [4588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2867),
  [4591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3112),
  [4594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2868),
  [4597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2869),
  [4600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2870),
  [4603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2871),
  [4606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1855),
  [4609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1871),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [4618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [4622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [4630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [4632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lh, 3, 0, 0),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [4636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [4638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [4640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [4642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [4646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [4648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2998),
  [4650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [4652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [4654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [4656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [4660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [4662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [4664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [4668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3009),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3011),
  [4676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [4678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [4684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [4686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [4688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [4690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [4694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3119),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [4698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3022),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [4706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [4708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [4712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [4714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1493),
  [4717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2069),
  [4720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2065),
  [4723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2064),
  [4726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2063),
  [4729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2062),
  [4732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2160),
  [4735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2996),
  [4738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1999),
  [4741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2827),
  [4744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2828),
  [4747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2829),
  [4750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(296),
  [4753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2824),
  [4756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1166),
  [4759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1992),
  [4762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2998),
  [4765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2999),
  [4768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3000),
  [4771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3001),
  [4774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3002),
  [4777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3003),
  [4780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3004),
  [4783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3005),
  [4786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3006),
  [4789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3007),
  [4792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3008),
  [4795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3009),
  [4798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3010),
  [4801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3011),
  [4804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3012),
  [4807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3013),
  [4810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3014),
  [4813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3015),
  [4816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3016),
  [4819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3017),
  [4822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3018),
  [4825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3019),
  [4828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3020),
  [4831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3119),
  [4834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3021),
  [4837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3022),
  [4840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3023),
  [4843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3024),
  [4846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1860),
  [4849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1872),
  [4852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1878),
  [4855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1961),
  [4858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1303),
  [4861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(761),
  [4864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3056),
  [4867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3057),
  [4870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3058),
  [4873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3059),
  [4876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3060),
  [4879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3061),
  [4882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3062),
  [4885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3063),
  [4888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3064),
  [4891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3065),
  [4894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3066),
  [4897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3067),
  [4900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3068),
  [4903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3069),
  [4906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3070),
  [4909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3071),
  [4912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3072),
  [4915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3073),
  [4918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3074),
  [4921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3075),
  [4924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3076),
  [4927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3077),
  [4930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3078),
  [4933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3121),
  [4936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3079),
  [4939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3080),
  [4942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3081),
  [4945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3082),
  [4948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1849),
  [4951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1875),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [4956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [4958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [4960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [4962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [4964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [4966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [4970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [4972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3064),
  [4974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [4976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [4978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [4980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [4982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [4984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [4986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3071),
  [4988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [4990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [4992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [4994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [4996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3076),
  [4998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [5000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [5002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [5004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3079),
  [5006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [5008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [5010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [5012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [5014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [5016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lh, 2, 0, 0),
  [5018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0),
  [5020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2901),
  [5023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2090),
  [5026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2935),
  [5029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2525),
  [5032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attributesInCrossref, 2, 0, 0),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [5036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [5038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [5040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [5042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceRegular, 1, 0, 0),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [5046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceRegular, 1, 0, 0),
  [5048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [5050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [5052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [5054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_io, 2, 0, 0),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [5058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [5060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_io, 2, 0, 0),
  [5062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [5064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [5066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [5068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [5070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [5072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [5074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [5076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [5078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [5080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [5082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [5084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [5086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [5088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [5090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [5092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [5094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [5096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [5098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [5100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [5102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [5104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [5106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [5108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [5110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [5112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [5114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [5116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [5118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [5120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [5122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [5124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [5126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [5128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_v, 2, 0, 0),
  [5130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_v, 2, 0, 0),
  [5132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1190),
  [5135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1982),
  [5138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2088),
  [5141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1153),
  [5144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2765),
  [5147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2764),
  [5150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2763),
  [5153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2762),
  [5156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2761),
  [5159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2760),
  [5162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2759),
  [5165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2758),
  [5168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2757),
  [5171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2756),
  [5174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2755),
  [5177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2752),
  [5180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2748),
  [5183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2745),
  [5186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2744),
  [5189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2743),
  [5192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2742),
  [5195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2741),
  [5198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2740),
  [5201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2739),
  [5204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2738),
  [5207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2737),
  [5210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2736),
  [5213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2735),
  [5216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2734),
  [5219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2733),
  [5222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2726),
  [5225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2731),
  [5228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1861),
  [5231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1873),
  [5234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceRegular, 2, 0, 0),
  [5236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceRegular, 2, 0, 0),
  [5238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [5240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [5242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_v, 3, 0, 0),
  [5244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_v, 3, 0, 0),
  [5246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0),
  [5248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0),
  [5250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2936),
  [5253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(1993),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [5258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [5260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [5262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iot, 2, 0, 0),
  [5264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iot, 2, 0, 0),
  [5266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_im, 2, 0, 0),
  [5268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_im, 2, 0, 0),
  [5270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ipi, 2, 0, 0),
  [5272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ipi, 2, 0, 0),
  [5274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imi, 2, 0, 0),
  [5276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imi, 2, 0, 0),
  [5278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iq, 2, 0, 0),
  [5280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iq, 2, 0, 0),
  [5282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ili, 2, 0, 0),
  [5284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ili, 2, 0, 0),
  [5286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ipq, 2, 0, 0),
  [5288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ipq, 2, 0, 0),
  [5290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_is, 2, 0, 0),
  [5292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_is, 2, 0, 0),
  [5294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imq, 2, 0, 0),
  [5296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imq, 2, 0, 0),
  [5298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imt, 2, 0, 0),
  [5300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imt, 2, 0, 0),
  [5302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ipr, 2, 0, 0),
  [5304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ipr, 2, 0, 0),
  [5306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2966),
  [5309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(1996),
  [5312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [5314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [5316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defaultAttribute, 4, 0, 0),
  [5318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkAttribute, 5, 0, 0),
  [5320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_customAttribute, 4, 0, 0),
  [5322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkAttribute, 4, 0, 0),
  [5324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defaultAttribute, 2, 0, 0),
  [5326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_customAttribute, 5, 0, 0),
  [5328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceStandaloneMarker, 3, 0, 0),
  [5330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceStandaloneMarker, 3, 0, 0),
  [5332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_milestone, 1, 0, 0),
  [5334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_milestone, 1, 0, 0),
  [5336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneStandaloneMarker, 3, 0, 0),
  [5338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__milestoneStandaloneMarker, 3, 0, 0),
  [5340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceClosed, 3, 0, 0),
  [5342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceClosed, 3, 0, 0),
  [5344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneEnd, 3, 0, 0),
  [5346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__milestoneEnd, 3, 0, 0),
  [5348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneStart, 3, 0, 0),
  [5350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__milestoneStart, 3, 0, 0),
  [5352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneStandaloneMarker, 2, 0, 0),
  [5354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__milestoneStandaloneMarker, 2, 0, 0),
  [5356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceClosed, 2, 0, 0),
  [5358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceClosed, 2, 0, 0),
  [5360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceStandaloneMarker, 2, 0, 0),
  [5362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceStandaloneMarker, 2, 0, 0),
  [5364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneEnd, 2, 0, 0),
  [5366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__milestoneEnd, 2, 0, 0),
  [5368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneStart, 2, 0, 0),
  [5370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__milestoneStart, 2, 0, 0),
  [5372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lit, 2, 0, 0),
  [5374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lit, 2, 0, 0),
  [5376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_restore, 2, 0, 0),
  [5378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_restore, 2, 0, 0),
  [5380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rem, 2, 0, 0),
  [5382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rem, 2, 0, 0),
  [5384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sts, 2, 0, 0),
  [5386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sts, 2, 0, 0),
  [5388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_liTag, 3, 0, 0),
  [5390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_liTag, 3, 0, 0),
  [5392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_vp, 4, 0, 0),
  [5394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_vp, 4, 0, 0),
  [5396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceStandaloneMarker, 4, 0, 0),
  [5398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceStandaloneMarker, 4, 0, 0),
  [5400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_liv, 4, 0, 0),
  [5402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_liv, 4, 0, 0),
  [5404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_liv, 5, 0, 0),
  [5406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_liv, 5, 0, 0),
  [5408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lik, 3, 0, 0),
  [5410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lik, 3, 0, 0),
  [5412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_litl, 3, 0, 0),
  [5414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_litl, 3, 0, 0),
  [5416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceClosed, 4, 0, 0),
  [5418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceClosed, 4, 0, 0),
  [5420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_zNameSpace, 1, 0, 0),
  [5422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_zNameSpace, 1, 0, 0),
  [5424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limTag, 2, 0, 0),
  [5426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_limTag, 2, 0, 0),
  [5428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_liTag, 2, 0, 0),
  [5430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_liTag, 2, 0, 0),
  [5432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limTag, 3, 0, 0),
  [5434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_limTag, 3, 0, 0),
  [5436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_va, 4, 0, 0),
  [5438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_va, 4, 0, 0),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [5442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [5444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [5446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qac, 3, 0, 0),
  [5448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qac, 3, 0, 0),
  [5450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qac, 4, 0, 0),
  [5452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qac, 4, 0, 0),
  [5454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qmTag, 3, 0, 0),
  [5456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qmTag, 3, 0, 0),
  [5458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qTag, 3, 0, 0),
  [5460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qTag, 3, 0, 0),
  [5462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qs, 4, 0, 0),
  [5464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qs, 4, 0, 0),
  [5466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qmTag, 2, 0, 0),
  [5468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qmTag, 2, 0, 0),
  [5470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qs, 3, 0, 0),
  [5472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qs, 3, 0, 0),
  [5474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [5476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [5478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2494),
  [5481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2071),
  [5484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qTag, 2, 0, 0),
  [5486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qTag, 2, 0, 0),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [5490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [5492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [5494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [5496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [5498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_piTag, 2, 0, 0),
  [5500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_piTag, 2, 0, 0),
  [5502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_phTag, 2, 0, 0),
  [5504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_phTag, 2, 0, 0),
  [5506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_piTag, 3, 0, 0),
  [5508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_piTag, 3, 0, 0),
  [5510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2904),
  [5513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(1990),
  [5516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_phTag, 3, 0, 0),
  [5518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_phTag, 3, 0, 0),
  [5520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xtNested, 2, 0, 0),
  [5522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xtNested, 2, 0, 0),
  [5524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [5526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [5528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sTag, 2, 0, 0),
  [5530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sTag, 2, 0, 0),
  [5532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sTag, 3, 0, 0),
  [5534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sTag, 3, 0, 0),
  [5536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iqt, 3, 0, 0),
  [5538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iqt, 3, 0, 0),
  [5540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defaultAttribute, 2, 0, 0),
  [5542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defaultAttribute, 4, 0, 0),
  [5544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xtNested, 3, 0, 0),
  [5546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xtNested, 3, 0, 0),
  [5548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [5550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_File, 1, 0, 0),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [5560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [5566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [5590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [5608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fv, 3, 0, 0),
  [5610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fv, 3, 0, 0),
  [5612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xtNested, 4, 0, 0),
  [5614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xtNested, 4, 0, 0),
  [5616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1391),
  [5619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3028),
  [5622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3029),
  [5625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3030),
  [5628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3031),
  [5631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3032),
  [5634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3033),
  [5637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3034),
  [5640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3035),
  [5643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3036),
  [5646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3037),
  [5649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3038),
  [5652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3039),
  [5655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3040),
  [5658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3041),
  [5661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3042),
  [5664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3043),
  [5667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3044),
  [5670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3045),
  [5673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3046),
  [5676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3047),
  [5679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3048),
  [5682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3049),
  [5685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3050),
  [5688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3120),
  [5691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3051),
  [5694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3052),
  [5697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3053),
  [5700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3054),
  [5703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1862),
  [5706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1870),
  [5709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1493),
  [5712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2998),
  [5715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2999),
  [5718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3000),
  [5721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3001),
  [5724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3002),
  [5727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3003),
  [5730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3004),
  [5733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3005),
  [5736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3006),
  [5739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3007),
  [5742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3008),
  [5745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3009),
  [5748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3010),
  [5751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3011),
  [5754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3012),
  [5757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3013),
  [5760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3014),
  [5763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3015),
  [5766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3016),
  [5769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3017),
  [5772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3018),
  [5775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3019),
  [5778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3020),
  [5781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3119),
  [5784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3021),
  [5787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3022),
  [5790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3023),
  [5793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3024),
  [5796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1860),
  [5799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1872),
  [5802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [5804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [5806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [5808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2843),
  [5810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [5812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [5814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [5816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [5818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [5820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [5822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [5824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [5826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [5828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2753),
  [5830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [5832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [5834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [5836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [5838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [5840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2875),
  [5842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2876),
  [5844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [5846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [5848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [5850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [5852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [5854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2882),
  [5856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [5858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [5860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2885),
  [5862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [5864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [5866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [5868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [5870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [5872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2891),
  [5874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [5876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2893),
  [5878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [5880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2895),
  [5882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2896),
  [5884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [5886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [5888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2899),
  [5890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [5892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [5894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_File, 2, 0, 0),
  [5896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_File, 3, 0, 0),
  [5898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1554),
  [5901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2785),
  [5904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2786),
  [5907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2787),
  [5910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(303),
  [5913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2753),
  [5916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1150),
  [5919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2087),
  [5922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2872),
  [5925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [5928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2874),
  [5931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2875),
  [5934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2876),
  [5937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2877),
  [5940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2878),
  [5943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2879),
  [5946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2880),
  [5949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2881),
  [5952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2882),
  [5955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2883),
  [5958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2884),
  [5961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2885),
  [5964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2886),
  [5967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2887),
  [5970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2888),
  [5973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2889),
  [5976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2890),
  [5979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2891),
  [5982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2892),
  [5985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2893),
  [5988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2894),
  [5991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2895),
  [5994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2896),
  [5997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2897),
  [6000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2898),
  [6003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2899),
  [6006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1853),
  [6009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1876),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [6014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2820),
  [6016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2821),
  [6018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2822),
  [6020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [6022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [6024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [6026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [6028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [6030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1600),
  [6033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2820),
  [6036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2821),
  [6039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2822),
  [6042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(294),
  [6045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2789),
  [6048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1149),
  [6051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2110),
  [6054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1859),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [6059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fdc, 2, 0, 0),
  [6061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fdc, 2, 0, 0),
  [6063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [6065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fq, 2, 0, 0),
  [6067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fq, 2, 0, 0),
  [6069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [6071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fl, 2, 0, 0),
  [6073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fl, 2, 0, 0),
  [6075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [6077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fr, 2, 0, 0),
  [6079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fr, 2, 0, 0),
  [6081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [6083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fw, 2, 0, 0),
  [6085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fw, 2, 0, 0),
  [6087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [6089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fp, 2, 0, 0),
  [6091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fp, 2, 0, 0),
  [6093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [6095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fk, 2, 0, 0),
  [6097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fk, 2, 0, 0),
  [6099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [6101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ft, 2, 0, 0),
  [6103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ft, 2, 0, 0),
  [6105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [6107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fqa, 2, 0, 0),
  [6109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fqa, 2, 0, 0),
  [6111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [6113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fq, 3, 0, 0),
  [6115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fq, 3, 0, 0),
  [6117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fr, 3, 0, 0),
  [6119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fr, 3, 0, 0),
  [6121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fdc, 3, 0, 0),
  [6123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fdc, 3, 0, 0),
  [6125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ft, 3, 0, 0),
  [6127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ft, 3, 0, 0),
  [6129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fp, 3, 0, 0),
  [6131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fp, 3, 0, 0),
  [6133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cat, 3, 0, 0),
  [6135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cat, 3, 0, 0),
  [6137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fw, 3, 0, 0),
  [6139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fw, 3, 0, 0),
  [6141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fl, 3, 0, 0),
  [6143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fl, 3, 0, 0),
  [6145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fk, 3, 0, 0),
  [6147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fk, 3, 0, 0),
  [6149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fqa, 3, 0, 0),
  [6151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fqa, 3, 0, 0),
  [6153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imte, 2, 0, 0),
  [6155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imte, 2, 0, 0),
  [6157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0),
  [6159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2041),
  [6162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2037),
  [6165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2000),
  [6168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1986),
  [6171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1995),
  [6174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1989),
  [6177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2074),
  [6180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1126),
  [6183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1128),
  [6186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1132),
  [6189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1127),
  [6192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1136),
  [6195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1985),
  [6198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1135),
  [6201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1134),
  [6204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1133),
  [6207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1732),
  [6210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2080),
  [6213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0),
  [6215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1121),
  [6218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2819),
  [6221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1905),
  [6224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1941),
  [6227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1684),
  [6230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(259),
  [6233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mte, 2, 0, 0),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [6237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mte, 2, 0, 0),
  [6239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [6241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2676),
  [6243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [6245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [6247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [6249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [6251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [6253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0),
  [6255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1267),
  [6258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0),
  [6260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2675),
  [6263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2676),
  [6266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2677),
  [6269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(300),
  [6272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2641),
  [6275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1167),
  [6278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2018),
  [6281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mandatoryHead, 1, 0, 0),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [6291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [6303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__mandatoryHead, 1, 0, 0),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [6313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mandatoryHead, 2, 0, 0),
  [6315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__mandatoryHead, 2, 0, 0),
  [6317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0),
  [6319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2800),
  [6322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2031),
  [6325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2020),
  [6328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2021),
  [6331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2023),
  [6334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2015),
  [6337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2125),
  [6340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2123),
  [6343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2122),
  [6346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2119),
  [6349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0),
  [6351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2819),
  [6354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(1928),
  [6357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(1944),
  [6360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(1550),
  [6363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(262),
  [6366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [6369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0),
  [6371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2845),
  [6374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2846),
  [6377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2847),
  [6380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2848),
  [6383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2849),
  [6386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2850),
  [6389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2851),
  [6392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2852),
  [6395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2853),
  [6398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2854),
  [6401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2855),
  [6404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2856),
  [6407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2857),
  [6410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2858),
  [6413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2859),
  [6416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2860),
  [6419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2861),
  [6422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2862),
  [6425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2863),
  [6428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [6431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [6434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2866),
  [6437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2867),
  [6440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3112),
  [6443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [6446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2869),
  [6449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2870),
  [6452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2871),
  [6455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(1855),
  [6458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [6461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_poetry, 1, 0, 0),
  [6463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_poetry, 1, 0, 0),
  [6465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2, 0, 0),
  [6467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2, 0, 0),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [6471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0),
  [6473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0),
  [6475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2089),
  [6478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2770),
  [6481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2767),
  [6484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2086),
  [6487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2754),
  [6490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 1, 0, 0),
  [6492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 1, 0, 0),
  [6494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0),
  [6496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0),
  [6498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2078),
  [6501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2077),
  [6504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 3, 0, 0),
  [6506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 3, 0, 0),
  [6508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [6512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [6514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [6518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [6520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 2, 0, 0),
  [6522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 2, 0, 0),
  [6524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1499),
  [6527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2557),
  [6530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2558),
  [6533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2559),
  [6536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(285),
  [6539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2479),
  [6542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1160),
  [6545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2060),
  [6548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0),
  [6550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0),
  [6552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2544),
  [6555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2545),
  [6558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2546),
  [6561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2547),
  [6564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c, 3, 0, 0),
  [6566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c, 3, 0, 0),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [6570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [6572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [6574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_th, 3, 0, 0),
  [6576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_th, 3, 0, 0),
  [6578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_thr, 3, 0, 0),
  [6580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_thr, 3, 0, 0),
  [6582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tc, 3, 0, 0),
  [6584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tc, 3, 0, 0),
  [6586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c, 2, 0, 0),
  [6588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c, 2, 0, 0),
  [6590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tcr, 3, 0, 0),
  [6592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tcr, 3, 0, 0),
  [6594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2045),
  [6597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2674),
  [6600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2669),
  [6603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2039),
  [6606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2666),
  [6609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_c_repeat1, 2, 0, 0),
  [6611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_c_repeat1, 2, 0, 0), SHIFT_REPEAT(2112),
  [6614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_c_repeat1, 2, 0, 0), SHIFT_REPEAT(2636),
  [6617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_c_repeat1, 2, 0, 0), SHIFT_REPEAT(2014),
  [6620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_c_repeat1, 2, 0, 0), SHIFT_REPEAT(1173),
  [6623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_c_repeat1, 2, 0, 0),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [6633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sdBlock, 1, 0, 0),
  [6635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sdBlock, 1, 0, 0),
  [6637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sdBlock_repeat1, 2, 0, 0),
  [6639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sdBlock_repeat1, 2, 0, 0),
  [6641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sdBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2050),
  [6644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2038),
  [6647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2033),
  [6650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_liBlock, 1, 0, 0),
  [6652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_liBlock, 1, 0, 0),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [6656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [6658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [6660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limBlock, 1, 0, 0),
  [6662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_limBlock, 1, 0, 0),
  [6664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_liBlock_repeat1, 2, 0, 0),
  [6666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_liBlock_repeat1, 2, 0, 0),
  [6668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2078),
  [6671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_limBlock_repeat1, 2, 0, 0),
  [6673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_limBlock_repeat1, 2, 0, 0),
  [6675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_limBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2077),
  [6678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_qa_repeat1, 2, 0, 0),
  [6680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_qa_repeat1, 2, 0, 0), SHIFT_REPEAT(1267),
  [6683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_qa_repeat1, 2, 0, 0),
  [6685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(3026),
  [6688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2012),
  [6691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qa, 3, 0, 0),
  [6693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qa, 3, 0, 0),
  [6695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sBlock_repeat1, 2, 0, 0),
  [6697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2105),
  [6700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sBlock_repeat1, 2, 0, 0),
  [6702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_mteBlock_repeat1, 2, 0, 0),
  [6704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_mteBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2058),
  [6707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_mteBlock_repeat1, 2, 0, 0),
  [6709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qmBlock, 1, 0, 0),
  [6711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qmBlock, 1, 0, 0),
  [6713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qBlock, 1, 0, 0),
  [6715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qBlock, 1, 0, 0),
  [6717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qa, 2, 0, 0),
  [6719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qa, 2, 0, 0),
  [6721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_phBlock, 1, 0, 0),
  [6723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_phBlock, 1, 0, 0),
  [6725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [6727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [6729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_piBlock, 1, 0, 0),
  [6731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_piBlock, 1, 0, 0),
  [6733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sBlock, 1, 0, 0),
  [6735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sBlock, 1, 0, 0),
  [6737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_msBlock, 1, 0, 0),
  [6739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_msBlock, 1, 0, 0),
  [6741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mteBlock, 1, 0, 0),
  [6743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mteBlock, 1, 0, 0),
  [6745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2501),
  [6748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2503),
  [6751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2512),
  [6754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2515),
  [6757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [6761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [6765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_msBlock_repeat1, 2, 0, 0),
  [6767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_msBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2057),
  [6770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_msBlock_repeat1, 2, 0, 0),
  [6772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_piBlock_repeat1, 2, 0, 0),
  [6774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_piBlock_repeat1, 2, 0, 0),
  [6776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_piBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2099),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [6781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [6783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [6785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_qBlock_repeat1, 2, 0, 0),
  [6787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_qBlock_repeat1, 2, 0, 0),
  [6789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_qBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2089),
  [6792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_phBlock_repeat1, 2, 0, 0),
  [6794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_phBlock_repeat1, 2, 0, 0),
  [6796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_phBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2096),
  [6799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_qmBlock_repeat1, 2, 0, 0),
  [6801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_qmBlock_repeat1, 2, 0, 0),
  [6803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_qmBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2086),
  [6806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_s, 3, 0, 0),
  [6808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_s, 3, 0, 0),
  [6810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 0),
  [6812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 0),
  [6814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2996),
  [6817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(1999),
  [6820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_table_repeat1, 2, 0, 0),
  [6822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_table_repeat1, 2, 0, 0),
  [6824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_repeat1, 2, 0, 0), SHIFT_REPEAT(3113),
  [6827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table, 1, 0, 0),
  [6829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table, 1, 0, 0),
  [6831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [6833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [6835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pb, 2, 0, 0),
  [6837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pb, 2, 0, 0),
  [6839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_b, 2, 0, 0),
  [6841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_b, 2, 0, 0),
  [6843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_title, 1, 0, 0),
  [6845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_title, 1, 0, 0),
  [6847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms, 3, 0, 0),
  [6849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms, 3, 0, 0),
  [6851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sr, 2, 0, 0),
  [6853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sr, 2, 0, 0),
  [6855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_d, 2, 0, 0),
  [6857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_d, 2, 0, 0),
  [6859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sd, 1, 0, 0),
  [6861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sd, 1, 0, 0),
  [6863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_paragraph, 1, 0, 0),
  [6865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_paragraph, 1, 0, 0),
  [6867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sp, 2, 0, 0),
  [6869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sp, 2, 0, 0),
  [6871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_r, 2, 0, 0),
  [6873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_r, 2, 0, 0),
  [6875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sdTag, 2, 0, 0),
  [6877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sdTag, 2, 0, 0),
  [6879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sdTag, 3, 0, 0),
  [6881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sdTag, 3, 0, 0),
  [6883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_s, 4, 0, 0),
  [6885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_s, 4, 0, 0),
  [6887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mr, 2, 0, 0),
  [6889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mr, 2, 0, 0),
  [6891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_esb, 3, 0, 0),
  [6893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_esb, 3, 0, 0),
  [6895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_esb, 2, 0, 0),
  [6897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_esb, 2, 0, 0),
  [6899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ca, 3, 0, 0),
  [6901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ca, 3, 0, 0),
  [6903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cl, 2, 0, 0),
  [6905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cl, 2, 0, 0),
  [6907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cp, 2, 0, 0),
  [6909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cp, 2, 0, 0),
  [6911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2038),
  [6914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_limBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2033),
  [6917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_qa_repeat1, 2, 0, 0), SHIFT_REPEAT(1499),
  [6920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2056),
  [6923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_phBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2047),
  [6926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_piBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2048),
  [6929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_qBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2045),
  [6932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_qmBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2039),
  [6935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_repeat1, 2, 0, 0), SHIFT_REPEAT(2662),
  [6938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1644),
  [6941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2474),
  [6944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2475),
  [6947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2476),
  [6950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(298),
  [6953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2629),
  [6956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1170),
  [6959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2011),
  [6962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mt, 2, 0, 0),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [6966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mt, 2, 0, 0),
  [6968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2474),
  [6970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [6972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [6974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [6976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [6978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [6980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [6984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [6986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [6988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_customAttribute, 4, 0, 0),
  [6990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkAttribute, 4, 0, 0),
  [6992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_customAttribute, 5, 0, 0),
  [6994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkAttribute, 5, 0, 0),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [7000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_hBlock_repeat1, 2, 0, 0),
  [7002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2021),
  [7005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_hBlock_repeat1, 2, 0, 0),
  [7007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tocaBlock, 1, 0, 0),
  [7009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tocaBlock, 1, 0, 0),
  [7011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tocBlock, 1, 0, 0),
  [7013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tocBlock, 1, 0, 0),
  [7015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_id, 2, 0, 0),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [7019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_id, 2, 0, 0),
  [7021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tocBlock_repeat1, 2, 0, 0),
  [7023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tocBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2023),
  [7026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_tocBlock_repeat1, 2, 0, 0),
  [7028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tocaBlock_repeat1, 2, 0, 0),
  [7030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_tocaBlock_repeat1, 2, 0, 0),
  [7032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tocaBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2015),
  [7035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hBlock, 1, 0, 0),
  [7037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hBlock, 1, 0, 0),
  [7039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_msTag, 2, 0, 0),
  [7041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_msTag, 2, 0, 0),
  [7043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_msTag, 3, 0, 0),
  [7045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_msTag, 3, 0, 0),
  [7047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_h, 2, 0, 0),
  [7049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_h, 2, 0, 0),
  [7051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_usfm, 2, 0, 0),
  [7053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_usfm, 2, 0, 0),
  [7055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_id, 3, 0, 0),
  [7057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_id, 3, 0, 0),
  [7059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ide, 2, 0, 0),
  [7061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ide, 2, 0, 0),
  [7063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toca, 2, 0, 0),
  [7065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toca, 2, 0, 0),
  [7067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toc, 2, 0, 0),
  [7069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toc, 2, 0, 0),
  [7071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_description, 1, 0, 0),
  [7073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_description, 1, 0, 0),
  [7075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_book, 1, 0, 0),
  [7077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_book, 1, 0, 0),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [7081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [7083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [7085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_isTag, 3, 0, 0),
  [7087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_isTag, 3, 0, 0),
  [7089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imteTag, 2, 0, 0),
  [7091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imteTag, 2, 0, 0),
  [7093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_isTag, 2, 0, 0),
  [7095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_isTag, 2, 0, 0),
  [7097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imtTag, 3, 0, 0),
  [7099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imtTag, 3, 0, 0),
  [7101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imteTag, 3, 0, 0),
  [7103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imteTag, 3, 0, 0),
  [7105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ioTag, 2, 0, 0),
  [7107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ioTag, 2, 0, 0),
  [7109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imtTag, 2, 0, 0),
  [7111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imtTag, 2, 0, 0),
  [7113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iliTag, 2, 0, 0),
  [7115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iliTag, 2, 0, 0),
  [7117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iqTag, 2, 0, 0),
  [7119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iqTag, 2, 0, 0),
  [7121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ioTag, 3, 0, 0),
  [7123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ioTag, 3, 0, 0),
  [7125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iliTag, 3, 0, 0),
  [7127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iliTag, 3, 0, 0),
  [7129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iqTag, 3, 0, 0),
  [7131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iqTag, 3, 0, 0),
  [7133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mtBlock, 1, 0, 0),
  [7135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mtBlock, 1, 0, 0),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [7141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_mtBlock_repeat1, 2, 0, 0),
  [7143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_mtBlock_repeat1, 2, 0, 0),
  [7145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_mtBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(1998),
  [7148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_isBlock, 1, 0, 0),
  [7150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_isBlock, 1, 0, 0),
  [7152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iqBlock, 1, 0, 0),
  [7154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iqBlock, 1, 0, 0),
  [7156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iliBlock, 1, 0, 0),
  [7158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iliBlock, 1, 0, 0),
  [7160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imtBlock, 1, 0, 0),
  [7162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imtBlock, 1, 0, 0),
  [7164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_imtBlock_repeat1, 2, 0, 0),
  [7166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imtBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(1995),
  [7169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_imtBlock_repeat1, 2, 0, 0),
  [7171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_isBlock_repeat1, 2, 0, 0),
  [7173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_isBlock_repeat1, 2, 0, 0),
  [7175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_isBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(1989),
  [7178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_iliBlock_repeat1, 2, 0, 0),
  [7180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_iliBlock_repeat1, 2, 0, 0),
  [7182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_iliBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(1985),
  [7185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_iqBlock_repeat1, 2, 0, 0),
  [7187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_iqBlock_repeat1, 2, 0, 0),
  [7189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_iqBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2080),
  [7192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [7194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [7196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [7198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [7200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [7202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [7204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [7206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [7208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [7210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [7212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [7214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ior, 3, 0, 0),
  [7216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ior, 3, 0, 0),
  [7218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_io, 3, 0, 0),
  [7220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_io, 3, 0, 0),
  [7222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ib, 1, 0, 0),
  [7224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ib, 1, 0, 0),
  [7226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__figAttributes, 2, 0, 0),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [7240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [7246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0),
  [7248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2527),
  [7251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2113),
  [7254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2523),
  [7257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2525),
  [7260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2153),
  [7263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2150),
  [7266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2471),
  [7269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2227),
  [7272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2228),
  [7275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2229),
  [7278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0),
  [7280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2527),
  [7283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2113),
  [7286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2523),
  [7289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attributesInCrossref, 2, 0, 0),
  [7291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0),
  [7293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1161),
  [7296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1148),
  [7299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1159),
  [7302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1158),
  [7305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1156),
  [7308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1155),
  [7311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1154),
  [7314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1152),
  [7317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1151),
  [7320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(2656),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [7389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__wAttributes, 2, 0, 0),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [7397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0),
  [7399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2527),
  [7402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2823),
  [7405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2825),
  [7408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2826),
  [7411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2523),
  [7414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2525),
  [7417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [7419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [7421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2826),
  [7423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__milestoneAttributes_repeat1, 2, 0, 0),
  [7425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__milestoneAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2527),
  [7428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__milestoneAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2523),
  [7431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__milestoneAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2525),
  [7434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__milestoneAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2524),
  [7437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [7439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneAttributes, 2, 0, 0),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [7443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__rbAttributes_repeat1, 2, 0, 0),
  [7445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__rbAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2527),
  [7448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__rbAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2818),
  [7451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__rbAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2523),
  [7454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__rbAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2525),
  [7457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_locAttribute, 5, 0, 0),
  [7459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_locAttribute, 5, 0, 0),
  [7461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2818),
  [7463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [7465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [7467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rbAttributes, 2, 0, 0),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [7471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_locAttribute, 4, 0, 0),
  [7473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_locAttribute, 4, 0, 0),
  [7475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeAttribute, 5, 0, 0),
  [7477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeAttribute, 5, 0, 0),
  [7479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeAttribute, 4, 0, 0),
  [7481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeAttribute, 4, 0, 0),
  [7483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_srcAttribute, 4, 0, 0),
  [7485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_srcAttribute, 4, 0, 0),
  [7487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_altAttribute, 5, 0, 0),
  [7489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_altAttribute, 5, 0, 0),
  [7491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_copyAttribute, 4, 0, 0),
  [7493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_copyAttribute, 4, 0, 0),
  [7495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_srcAttribute, 5, 0, 0),
  [7497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_srcAttribute, 5, 0, 0),
  [7499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_altAttribute, 4, 0, 0),
  [7501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_altAttribute, 4, 0, 0),
  [7503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refAttribute, 4, 0, 0),
  [7505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refAttribute, 4, 0, 0),
  [7507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_copyAttribute, 5, 0, 0),
  [7509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_copyAttribute, 5, 0, 0),
  [7511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refAttribute, 5, 0, 0),
  [7513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refAttribute, 5, 0, 0),
  [7515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xt, 2, 0, 0),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [7521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_msAttribute, 5, 0, 0),
  [7523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_msAttribute, 5, 0, 0),
  [7525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scrlocAttribute, 5, 0, 0),
  [7527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scrlocAttribute, 5, 0, 0),
  [7529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scrlocAttribute, 4, 0, 0),
  [7531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scrlocAttribute, 4, 0, 0),
  [7533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemmaAttribute, 4, 0, 0),
  [7535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lemmaAttribute, 4, 0, 0),
  [7537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jmpAttribute, 2, 0, 0),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [7543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemmaAttribute, 5, 0, 0),
  [7545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lemmaAttribute, 5, 0, 0),
  [7547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jmpAttribute_repeat1, 2, 0, 0),
  [7549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jmpAttribute_repeat1, 2, 0, 0), SHIFT_REPEAT(2902),
  [7552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jmpAttribute_repeat1, 2, 0, 0), SHIFT_REPEAT(2525),
  [7555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strongAttribute, 5, 0, 0),
  [7557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strongAttribute, 5, 0, 0),
  [7559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jmpAttribute, 1, 0, 0),
  [7561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_msAttribute, 4, 0, 0),
  [7563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_msAttribute, 4, 0, 0),
  [7565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strongAttribute, 4, 0, 0),
  [7567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strongAttribute, 4, 0, 0),
  [7569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xq, 2, 0, 0),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [7573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xta, 2, 0, 0),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [7577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xk, 2, 0, 0),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [7581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xop, 2, 0, 0),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [7585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xot, 2, 0, 0),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [7589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xdc, 2, 0, 0),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [7593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xo, 2, 0, 0),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [7597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xnt, 2, 0, 0),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [7601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xt, 3, 0, 0),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [7605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xo, 3, 0, 0),
  [7607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xnt, 3, 0, 0),
  [7609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xt, 4, 0, 0),
  [7611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glossAttribute, 5, 0, 0),
  [7613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glossAttribute, 5, 0, 0),
  [7615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xdc, 3, 0, 0),
  [7617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xot, 3, 0, 0),
  [7619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glossAttribute, 4, 0, 0),
  [7621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glossAttribute, 4, 0, 0),
  [7623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xk, 3, 0, 0),
  [7625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xq, 3, 0, 0),
  [7627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xop, 3, 0, 0),
  [7629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xta, 3, 0, 0),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [7633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_File, 4, 0, 0),
  [7635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_imteBlock_repeat1, 2, 0, 0),
  [7637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imteBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(1991),
  [7640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imteBlock, 1, 0, 0),
  [7642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mteTag, 3, 0, 0),
  [7644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mteTag, 3, 0, 0),
  [7646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mtTag, 2, 0, 0),
  [7648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mtTag, 2, 0, 0),
  [7650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mteTag, 2, 0, 0),
  [7652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mteTag, 2, 0, 0),
  [7654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mtTag, 3, 0, 0),
  [7656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mtTag, 3, 0, 0),
  [7658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_File_repeat2, 2, 0, 0),
  [7660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat2, 2, 0, 0), SHIFT_REPEAT(2830),
  [7663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat2, 2, 0, 0), SHIFT_REPEAT(2032),
  [7666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_File, 6, 0, 0),
  [7668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_File, 5, 0, 0),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [7676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [7678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [7682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [7684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [7690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [7694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [7698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [7700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [7702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [7704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [7706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [7708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [7716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [7718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [7720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [7722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [7724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [7726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [7728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [7730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [7732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [7734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [7736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [7738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [7760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [7774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [7782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [7784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [7792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [7804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_qa_repeat1, 2, 0, 0), SHIFT_REPEAT(1600),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [7825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [7847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [7899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ie, 1, 0, 0),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [7929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_livTag, 1, 0, 0),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [7951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [7971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [7975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [7979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [7985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [7989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [7993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [8009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [8013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [8017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [8025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_livTag, 2, 0, 0),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [8043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [8071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [8091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [8099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [8107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_milestoneTag, 2, 0, 0),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [8133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [8135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [8137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [8141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [8149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [8169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [8177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [8299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [8309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [8485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [8499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [8665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__linkAttributeUserDefinedName, 2, 0, 0),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [8757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [8797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tocaTag, 3, 0, 0),
  [8799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tocTag, 3, 0, 0),
  [8801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hTag, 3, 0, 0),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [8815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [8905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [8927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [8953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [8961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [8967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_milestoneAttributeName, 1, 0, 0),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [9089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [9125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [9127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [9133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tocaTag, 2, 0, 0),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [9137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tocTag, 2, 0, 0),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [9141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hTag, 2, 0, 0),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [9153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [9159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [9161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [9167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [9169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [9171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [9173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [9175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [9177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [9211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [9217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [9219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [9221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [9229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [9231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [9235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [9239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [9245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [9247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [9251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [9263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__refAttributes, 2, 0, 0),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [9295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [9307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [9321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [9329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [9335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [9339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [9343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [9345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [9347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [9353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [9355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [9357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [9359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [9363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [9365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [9367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [9373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [9375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [9377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [9379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [9381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [9383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [9385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [9387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [9389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [9391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [9393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [9395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [9397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [9399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [9401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [9403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [9405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [9407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [9409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [9411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [9413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [9419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [9421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [9425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [9427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [9429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [9431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [9435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [9437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [9441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [9443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [9447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [9449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [9451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [9459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [9461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [9465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [9467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [9475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [9477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [9479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [9481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [9483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [9485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [9487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [9489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [9491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [9493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [9495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [9497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [9503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [9519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [9521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [9523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [9525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [9529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [9531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [9533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [9537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [9539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [9541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [9543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [9547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [9549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [9551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [9553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [9555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [9557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [9559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [9567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [9571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [9573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [9575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [9577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [9581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [9583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [9585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [9587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [9589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [9593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [9595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [9597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [9601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [9603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [9605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [9607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [9611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [9613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [9621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [9631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [9635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [9649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [9653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [9655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [9665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [9667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [9693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [9695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [9705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [9711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [9717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [9737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [9743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [9745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [9751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [9753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [9755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [9757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [9759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [9761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [9763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [9765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [9767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [9769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [9773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [9775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [9779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [9781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [9783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [9785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [9787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [9791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [9799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [9803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [9807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [9809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [9811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [9815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [9817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [9823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [9827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [9829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [9831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [9833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [9837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [9845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [9867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [9893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [9907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [9911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [9965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyAttribute, 4, 0, 0),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [10025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyAttribute, 5, 0, 0),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [10075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [10079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [10081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [10083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [10089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [10091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [10093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [10095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [10111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [10115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [10117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [10119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [10123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [10129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [10133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [10143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [10145] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [10147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [10151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [10159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_usfm3(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
